import express from "express";
// import path from "path";
import morgan from "morgan";
import bodyParser from "body-parser";
import cors from "cors"
import path from "path"
import { fileURLToPath } from 'url';
import dotenv from 'dotenv'; 

import SipdRoutes from "./routes/sirup_route.js";
// import { fileURLToPath } from "url";

const app = express();
// const __dirname = path.dirname(fileURLToPath(import.meta.url));
dotenv.config(); 
// settings
app.set("port", process.env.PORT || 5500);
// app.set("views", path.join(__dirname, "views"));
// app.set("view engine", "ejs");
app.use(bodyParser.json({limit: '50mb'}));
app.use(bodyParser.urlencoded({ extended: true })); 
app.use(cors({
    origin: 'http://localhost:8080'
}));

// middlewares
app.use(morgan("dev"));
app.use(express.json());
app.use(express.urlencoded({limit: '50mb', extended: true }));

// routes
app.use(SipdRoutes);
const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);
app.use('/uploads', express.static(path.join(__dirname, '../uploads')))
app.use('/assets', express.static(path.join(__dirname, '../assets')))

// static files
// app.use(express.static(path.join(__dirname, "public")));

// starting the server
export default app;
