/*
SQLyog Ultimate v13.1.1 (64 bit)
MySQL - 5.7.33 : Database - kominfosirefik
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`kominfosirefik` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `kominfosirefik`;

/*Table structure for table `laporan` */

DROP TABLE IF EXISTS `laporan`;

CREATE TABLE `laporan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `bulan_id` int(25) NOT NULL,
  `tahun_id` int(25) NOT NULL,
  `subkegiatan_detail_id` int(11) unsigned NOT NULL,
  `nilai_kontrak` float(11,2) NOT NULL DEFAULT '0.00',
  `tgl_mulai` date NOT NULL,
  `tgl_selesai` date NOT NULL,
  `realisasi_bulan_ini` float(11,2) NOT NULL DEFAULT '0.00',
  `persen_fisik` int(11) NOT NULL,
  `persentase_keuangan` int(11) NOT NULL,
  `sisa_anggaran` float(11,2) NOT NULL DEFAULT '0.00',
  `pelaksana_rekanan` varchar(255) CHARACTER SET latin1 NOT NULL,
  `ket` varchar(255) CHARACTER SET latin1 NOT NULL,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `modified_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` varchar(25) DEFAULT NULL,
  `modified_by` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fkLaporanSubkegiatanDetailID` (`subkegiatan_detail_id`),
  CONSTRAINT `fkLaporanSubkegiatanDetailID` FOREIGN KEY (`subkegiatan_detail_id`) REFERENCES `master_subkegiatan_detail` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `laporan` */

/*Table structure for table `laporan_photo` */

DROP TABLE IF EXISTS `laporan_photo`;

CREATE TABLE `laporan_photo` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `laporan_id` int(11) unsigned NOT NULL,
  `file_name` varchar(255) NOT NULL,
  `file_type` varchar(255) NOT NULL,
  `photo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fkLaporanPhotoLaporanID` (`laporan_id`),
  CONSTRAINT `fkLaporanPhotoLaporanID` FOREIGN KEY (`laporan_id`) REFERENCES `laporan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `laporan_photo` */

/*Table structure for table `master_amel_detail` */

DROP TABLE IF EXISTS `master_amel_detail`;

CREATE TABLE `master_amel_detail` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `instansi` varchar(255) NOT NULL,
  `satuan_kerja` varchar(255) NOT NULL,
  `paket` varchar(255) NOT NULL,
  `metode_pengadaan` varchar(255) NOT NULL,
  `pagu_rup` varchar(255) NOT NULL,
  `id_rup_lama` varchar(255) NOT NULL,
  `history_rup` text NOT NULL,
  `lokasi_paket` varchar(255) NOT NULL,
  `kode_paket` varchar(255) NOT NULL,
  `nama_paket` varchar(255) NOT NULL,
  `nilai_pagu_paket` varchar(255) NOT NULL,
  `nilai_hps` varchar(255) NOT NULL,
  `nilai_kontrak` varchar(255) NOT NULL,
  `jenis_transaksi` varchar(255) NOT NULL,
  `metode_pemilihan` varchar(255) NOT NULL,
  `status_paket` varchar(255) NOT NULL,
  `nama_penyedia` varchar(255) NOT NULL,
  `npwp_penyedia` varchar(255) NOT NULL,
  `tanggal_realisasi` varchar(255) NOT NULL,
  `nilai_realisasi` varchar(255) NOT NULL,
  `jadwal_pengumuman` varchar(255) NOT NULL,
  `jadwal_pemilihan` varchar(255) NOT NULL,
  `jadwal_hasil` varchar(255) NOT NULL,
  `jadwal_kontrak` varchar(255) NOT NULL,
  `jadwal_serahterima` varchar(255) NOT NULL,
  `terakhir_diupdate` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=439 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_amel_detail` */

insert  into `master_amel_detail`(`id`,`rup`,`instansi`,`satuan_kerja`,`paket`,`metode_pengadaan`,`pagu_rup`,`id_rup_lama`,`history_rup`,`lokasi_paket`,`kode_paket`,`nama_paket`,`nilai_pagu_paket`,`nilai_hps`,`nilai_kontrak`,`jenis_transaksi`,`metode_pemilihan`,`status_paket`,`nama_penyedia`,`npwp_penyedia`,`tanggal_realisasi`,`nilai_realisasi`,`jadwal_pengumuman`,`jadwal_pemilihan`,`jadwal_hasil`,`jadwal_kontrak`,`jadwal_serahterima`,`terakhir_diupdate`) values 
(186,'47480553','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47480553 - Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pendingin','Pengadaan Langsung','Rp. 1.100.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr H. Koesnadi','11513472','Belanja  Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pendingin (Belanja Pemeliharaan & Perbaikan Rutin HVAC)','Rp. 1.100.000.000,00','Rp. 267.440.625,00','Rp. 251.526.000,00','Non Tender Transaksional  ','Pengadaan Langsung','Berkontrak','CV KURNIA BERKAT MANDIRI','85.550.795.0-615.000','28 Februari 2024','Rp. 251.526.000,00','12 Januari 2024','','','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(187,'47441985','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441985 - Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','Rp. 99.750.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8490116','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','Rp. 96.425.000,00','Rp. 96.425.000,00','Rp. 96.425.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.GOZAY PRODUCTION','40.741.246.9-656.000','5 Februari 2024','Rp. 96.425.000,00','11 Januari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(188,'46456846','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46456846 - Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','Rp. 90.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bagian Pengadaan Barang dan Jasa','ISR-P2401-8362329','Beban Kawat/Faksimili/Internet/TV Berlangganan','Rp. 90.000.000,00','Rp. 90.000.000,00','Rp. 90.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Telekomunikasi Indonesia, Tbk.','01.000.013.1-093.000','5 Februari 2024','Rp. 90.000.000,00','27 Desember 2023','8 Januari 2024','8 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(189,'46465234','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46465234 - [5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 9.400.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2401-8367530','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','Rp. 9.200.000,00','Rp. 9.200.000,00','Rp. 9.200.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','12 Januari 2024','Rp. 9.200.000,00','3 Januari 2024','8 Januari 2024','8 Januari 2024','12 Januari 2024','','16 Februari 2024 01:23 WIB'),
(190,'46475659','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46475659 - [5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 2.820.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8479448','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','Rp. 2.760.000,00','Rp. 2.760.000,00','Rp. 2.760.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','7 Februari 2024','Rp. 2.760.000,00','3 Januari 2024','2 Februari 2024','2 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(191,'46791415','Kab. Bondowoso','Sekretariat DPRD','46791415 - BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','Rp. 32.500.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','kantor DPRD BONDOWOSO','TQ6-P2402-8470071','BELANJA MAKANAN DAN MINUMAN RAPAT','Rp. 32.240.000,00','Rp. 32.240.000,00','Rp. 32.240.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','NADYA MULIA','86.760.656.8-656.000','1 Februari 2024','Rp. 32.240.000,00','3 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(192,'46821987','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46821987 - Belanja Sewa Peralatan dan Mesin','E-Purchasing','Rp. 105.000.000,00','46457254    ','46821987, 46457254','Bagian Pengadaan Barang dan Jasa','JPY-P2401-8361787','Belanja Sewa Peralatan dan Mesin','Rp. 99.000.000,00','Rp. 99.000.000,00','Rp. 99.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT OPTIMUS TEKNOLOGI PRO','72.884.548.8-077.000','5 Januari 2024','Rp. 99.000.000,00','4 Januari 2024','5 Januari 2024','5 Januari 2024','5 Januari 2024','','16 Februari 2024 01:23 WIB'),
(193,'46949170','Kab. Bondowoso','Sekretariat DPRD','46949170 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 226.630.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8476096','Belanja Makanan dan Minuman Rapat','Rp. 223.141.500,00','Rp. 223.141.500,00','Rp. 223.141.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 223.141.500,00','6 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(194,'47064668','Kab. Bondowoso','Sekretariat DPRD','47064668 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 105.344.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2402-8473252','Belanja Makanan dan Minuman Rapat','Rp. 103.615.400,00','Rp. 103.615.400,00','Rp. 103.615.400,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 103.615.400,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(195,'47071159','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil','47071159 - Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','Rp. 158.580.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Dinas Kependudukan dan Pencatatan Sipil','PEV-P2401-8388036','Pengadaan Alat Rekam KTP Elektronik','Rp. 158.300.000,00','Rp. 158.300.000,00','Rp. 158.300.000,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','PT. TRIKREASINDO MANDIRI SENTOSA','73.002.884.2-044.000','17 Januari 2024','Rp. 158.300.000,00','8 Januari 2024','16 Januari 2024','17 Januari 2024','17 Januari 2024','','16 Februari 2024 01:23 WIB'),
(196,'47075977','Kab. Bondowoso','Sekretariat DPRD','47075977 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 24.106.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8475701','Belanja Makanan dan Minuman Rapat','Rp. 23.697.100,00','Rp. 23.697.100,00','Rp. 23.697.100,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 23.697.100,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(197,'47226498','Kab. Bondowoso','Satuan Polisi Pamong Praja','47226498 - Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','Rp. 45.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497666','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','Rp. 44.955.000,00','Rp. 44.955.000,00','Rp. 44.955.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 44.955.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(198,'47228579','Kab. Bondowoso','Satuan Polisi Pamong Praja','47228579 - Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','Rp. 126.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497951','Belanja Pakaian Dinas Lapangan ( PDL )','Rp. 123.876.000,00','Rp. 123.876.000,00','Rp. 123.876.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 123.876.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(199,'47236412','Kab. Bondowoso','Satuan Polisi Pamong Praja','47236412 - Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','Rp. 210.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8401620','Belanja Sewa kendaraan Bermotor Penumpang','Rp. 210.000.000,00','Rp. 210.000.000,00','Rp. 210.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','22 Januari 2024','Rp. 210.000.000,00','10 Januari 2024','22 Januari 2024','19 Januari 2024','22 Januari 2024','','16 Februari 2024 01:23 WIB'),
(200,'47237321','Kab. Bondowoso','Satuan Polisi Pamong Praja','47237321 - Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','Rp. 204.600.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8399618','Belanja Sewa Kendaraan Bermotor Penumpang','Rp. 203.130.000,00','Rp. 203.130.000,00','Rp. 203.130.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','19 Januari 2024','Rp. 203.130.000,00','10 Januari 2024','19 Januari 2024','19 Januari 2024','19 Januari 2024','','16 Februari 2024 01:23 WIB'),
(201,'47329988','Kab. Bondowoso','Satuan Polisi Pamong Praja','47329988 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 295.724.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','MI8-P2401-8421673','Belanja Makanan dan Minuman Rapat','Rp. 293.207.200,00','Rp. 293.207.200,00','Rp. 293.207.200,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.BUNDA JAYA','73.268.151.5-656.000','24 Januari 2024','Rp. 293.207.200,00','11 Januari 2024','24 Januari 2024','24 Januari 2024','24 Januari 2024','','16 Februari 2024 01:23 WIB'),
(202,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432402','Belanja Obat (E-Purchasing)','Rp. 1.222.839,00','Rp. 1.222.839,00','Rp. 1.222.839,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT ETANA BIOTECHNOLOGIES INDONESIA','71.131.629.9-004.000','2 Februari 2024','Rp. 1.222.839,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(203,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432422','Belanja Obat (E-Purchasing)','Rp. 860.000,00','Rp. 860.000,00','Rp. 860.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ERRITA PHARMA','011041811441000','29 Januari 2024','Rp. 860.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(204,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432453','Belanja Obat (E-Purchasing)','Rp. 1.020.680,00','Rp. 1.020.680,00','Rp. 1.020.680,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mersifarma Tirmaku Mercusana','01.792.434.1-405.002','31 Januari 2024','Rp. 1.020.680,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(205,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432634','Belanja Obat (E-Purchasing)','Rp. 3.894.000,00','Rp. 3.894.000,00','Rp. 3.894.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ikapharmindo Putramas','011048469007000','31 Januari 2024','Rp. 3.894.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(206,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432679','Belanja Obat (E-Purchasing)','Rp. 12.243.600,00','Rp. 12.243.600,00','Rp. 12.243.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SOHO Industri Pharmasi','010027134007000','30 Januari 2024','Rp. 12.243.600,00','11 Januari 2024','27 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(207,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432781','Belanja Obat (E-Purchasing)','Rp. 12.765.600,00','Rp. 12.765.600,00','Rp. 12.765.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT KALBE FARMA Tbk','010018364092000','31 Januari 2024','Rp. 12.765.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(208,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434434','Belanja Obat (E-Purchasing)','Rp. 2.722.048,00','Rp. 2.722.048,00','Rp. 2.722.048,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Glaxo Wellcome Indonesia','010618742052000','2 Februari 2024','Rp. 2.722.048,00','11 Januari 2024','30 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(209,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434469','Belanja Obat (E-Purchasing)','Rp. 12.870.000,00','Rp. 12.870.000,00','Rp. 12.870.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. COMBINED IMPERIAL PHARMACEUTICALS','011049145073000','31 Januari 2024','Rp. 12.870.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(210,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434506','Belanja Obat (E-Purchasing)','Rp. 1.176.000,00','Rp. 1.176.000,00','Rp. 1.176.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Imedco Djaja','013017579451000','31 Januari 2024','Rp. 1.176.000,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(211,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442364','Belanja Obat (E-Purchasing)','Rp. 1.650.000,00','Rp. 1.650.000,00','Rp. 1.650.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT  Ethica Industri Farmasi','01.303.269.3-007.000','31 Januari 2024','Rp. 1.650.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(212,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442389','Belanja Obat (E-Purchasing)','Rp. 8.407.260,00','Rp. 8.407.260,00','Rp. 8.407.260,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NOVELL PHARMACEUTICAL LABORATORIES','010026805052000','6 Februari 2024','Rp. 8.407.260,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(213,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442471','Belanja Obat (E-Purchasing)','Rp. 4.928.400,00','Rp. 4.928.400,00','Rp. 4.928.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Phapros Tbk','010007938051000','2 Februari 2024','Rp. 4.928.400,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(214,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442729','Belanja Obat (E-Purchasing)','Rp. 3.581.900,00','Rp. 3.581.900,00','Rp. 3.581.900,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Hexpharm Jaya Laboratories','016068421441000','1 Februari 2024','Rp. 3.581.900,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(215,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442805','Belanja Obat (E-Purchasing)','Rp. 134.906.220,00','Rp. 134.906.220,00','Rp. 134.906.220,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','P.T. Dexa Medica','01.129.507.8-092.000','31 Januari 2024','Rp. 134.906.220,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(216,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8443897','Belanja Obat (E-Purchasing)','Rp. 166.727.550,00','Rp. 166.727.550,00','Rp. 166.727.550,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Pratapa Nirmala','013025754073000','31 Januari 2024','Rp. 166.727.550,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(217,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8444007','Belanja Obat (E-Purchasing)','Rp. 18.879.840,00','Rp. 18.879.840,00','Rp. 18.879.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NUFARINDO','011210341511000','2 Februari 2024','Rp. 18.879.840,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(218,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451350','Belanja Obat (E-Purchasing)','Rp. 12.300.000,00','Rp. 12.300.000,00','Rp. 12.300.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT MENARINI INDRIA LABORATORIES','016570830413000','1 Februari 2024','Rp. 12.300.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(219,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451425','Belanja Obat (E-Purchasing)','Rp. 683.400,00','Rp. 683.400,00','Rp. 683.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ferron Par Pharmaceuticals','17134032431000','1 Februari 2024','Rp. 683.400,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(220,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451475','Belanja Obat (E-Purchasing)','Rp. 2.880.000,00','Rp. 2.880.000,00','Rp. 2.880.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Yarindo Farmatama','016793721415000','5 Februari 2024','Rp. 2.880.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(221,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451595','Belanja Obat (E-Purchasing)','Rp. 60.225.240,00','Rp. 60.225.240,00','Rp. 60.225.240,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Otsuka Indonesia','010031631052000','6 Februari 2024','Rp. 60.225.240,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(222,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8478407','Belanja Obat (E-Purchasing)','Rp. 7.894.500,00','Rp. 7.894.500,00','Rp. 7.894.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT BBraun Pharmaceutical Indonesia','030361653063000','2 Februari 2024','Rp. 7.894.500,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(223,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8511781','Belanja Obat (E-Purchasing)','Rp. 46.655.700,00','Rp. 46.655.700,00','Rp. 0,00','Katalog   - Sektoral','E-Purchasing','Proses Negosiasi','PT.Bernofarm','011407558631000','','Rp. 0,00','11 Januari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(224,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432474','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 7.200.000,00','Rp. 7.200.000,00','Rp. 7.200.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Abadi Makmur Bersama','744952979407000','30 Januari 2024','Rp. 7.200.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(225,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432498','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.747.250,00','Rp. 2.747.250,00','Rp. 2.747.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SENTRA ASIA GEMILANG','020764924047000','30 Januari 2024','Rp. 2.747.250,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(226,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432509','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.836.250,00','Rp. 24.836.250,00','Rp. 24.836.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEGAH MEDIKA PHARMA','02.182.906.4-062.000','30 Januari 2024','Rp. 24.836.250,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(227,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434612','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 4.170.000,00','Rp. 4.170.000,00','Rp. 4.170.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENSEVAL PUTERA MEGATRADING, Tbk.','01.342.572.3-054.000','31 Januari 2024','Rp. 4.170.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(228,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434980','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.749.915,00','Rp. 1.749.915,00','Rp. 1.749.915,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ANUGERAH PHARMINDO LESTARI','013695184092000','2 Februari 2024','Rp. 1.749.915,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(229,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435157','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 16.714.350,00','Rp. 16.714.350,00','Rp. 16.714.350,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ESSITY HYGIENE AND HEALTH INDONESIA','020587853056000','31 Januari 2024','Rp. 16.714.350,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(230,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435228','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.397.600,00','Rp. 2.397.600,00','Rp. 2.397.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','31 Januari 2024','Rp. 2.397.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(231,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8435908','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 11.275.000,00','Rp. 11.275.000,00','Rp. 11.275.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 11.275.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(232,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435925','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 800.000,00','Rp. 800.000,00','Rp. 800.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 800.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(233,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8444537','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.057.840,00','Rp. 3.057.840,00','Rp. 3.057.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENERGI MEDISTRON','211169032013000','31 Januari 2024','Rp. 3.057.840,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(234,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8444609','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 690.000,00','Rp. 690.000,00','Rp. 690.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Sinaraya Nugraha Ahmadaris Medika','019255322651000','1 Februari 2024','Rp. 690.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(235,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AL2-P2401-8445994','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.150.000,00','Rp. 3.150.000,00','Rp. 3.150.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT RASANI KARYA MANDIRI','718703507411000','5 Februari 2024','Rp. 3.150.000,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(236,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446026','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.975.000,00','Rp. 24.975.000,00','Rp. 24.975.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEDITRANS GLOBAL','316466598606000','2 Februari 2024','Rp. 24.975.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(237,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446082','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.292.656,00','Rp. 2.292.656,00','Rp. 2.292.656,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. B.BRAUN MEDICAL INDONESIA','01.348.750.9-073.000','5 Februari 2024','Rp. 2.292.656,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(238,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446155','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 900.000,00','Rp. 900.000,00','Rp. 900.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mahakam Beta Farma','013098892007000','6 Februari 2024','Rp. 900.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(239,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446203','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.512.000,00','Rp. 1.512.000,00','Rp. 1.512.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Dwiasri Graha (dwigraha medical)','017800632001000','6 Februari 2024','Rp. 1.512.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(240,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446256','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.534.020,00','Rp. 1.534.020,00','Rp. 1.534.020,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.GLOBAL DISPOMEDIKA','024268385077000','2 Februari 2024','Rp. 1.534.020,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(241,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455494','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.635.250,00','Rp. 3.635.250,00','Rp. 3.635.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Smart Lab Indonesia','311941991411000','2 Februari 2024','Rp. 3.635.250,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(242,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8478988','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 5.883.000,00','Rp. 5.883.000,00','Rp. 5.883.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. JAYA ABADI MEDIKA','710551763061000','6 Februari 2024','Rp. 5.883.000,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(243,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432531','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 10.009.980,00','Rp. 10.009.980,00','Rp. 10.009.980,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Medihop','023885882027000','30 Januari 2024','Rp. 10.009.980,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(244,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451674','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.875.750,00','Rp. 4.875.750,00','Rp. 4.875.750,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT IDS MEDICAL SYSTEMS INDONESIA','03.093.783.3-031.000','5 Februari 2024','Rp. 4.875.750,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(245,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451806','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.268.000,00','Rp. 4.268.000,00','Rp. 4.268.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.INDOPRIMA BIONET','02.321.104.8-032.000','1 Februari 2024','Rp. 4.268.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(246,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455037','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.696.720,00','Rp. 4.696.720,00','Rp. 4.696.720,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Medtronic Indonesia','032575995012000','3 Februari 2024','Rp. 4.696.720,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(247,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455208','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 1.087.800,00','Rp. 1.087.800,00','Rp. 1.087.800,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 1.087.800,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(248,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455358','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.174.500,00','Rp. 4.174.500,00','Rp. 4.174.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 4.174.500,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(249,'47482487','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47482487 - Belanja Modal Electric Generating Set','E-Purchasing','Rp. 3.200.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr H. Koesnadi','P00-P2402-8504867','Belanja Modal Electric Generating Set','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. SUPER TECHNOLOGY INDONESIA','407830017509000','7 Februari 2024','Rp. 3.190.000.000,00','12 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(250,'47842181','Kab. Bondowoso','Sekretariat DPRD','47842181 - Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','Rp. 71.185.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2401-8467032','Belanja Makanan dan Minuman Tamu (06.0008)','Rp. 69.909.500,00','Rp. 69.909.500,00','Rp. 69.909.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 69.909.500,00','16 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(251,'48396091','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48396091 - Belanja Modal Personal Computer','E-Purchasing','Rp. 405.300.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr. H. Koesnadi','ETB-P2401-8416933','Belanja Modal Personal Computer','Rp. 393.500.000,00','Rp. 393.500.000,00','Rp. 393.500.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','toga gemilang raya','96.473.953.6-626.000','3 Februari 2024','Rp. 393.500.000,00','22 Januari 2024','24 Januari 2024','24 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(252,'48685407','Kab. Bondowoso','Satuan Polisi Pamong Praja','48685407 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 23.500.000,00','47125461    ','48685407, 47125461','Satuan Polisi Pamong Praja','MI8-P2401-8430327','Belanja Makanan dan Minuman Rapat','Rp. 23.300.000,00','Rp. 23.300.000,00','Rp. 23.300.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. MANDALA ABADI','02.785.002.3-656.000','29 Januari 2024','Rp. 23.300.000,00','25 Januari 2024','26 Januari 2024','29 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(253,'48968351','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48968351 - Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','Rp. 500.000.000,00','47412330    ','48968351, 47412330','RSUD dr. H. Koesnadi','FKS-P2402-8472336','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Rp. 19.580.000,00','Rp. 19.580.000,00','Rp. 19.580.000,00','Katalog   - Sektoral','E-Purchasing','Proses Kontrak Ppk','PT Jayamas Medica Industri','020262762641000','7 Februari 2024','Rp. 19.580.000,00','29 Januari 2024','6 Februari 2024','6 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(254,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8516062','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.680.000,00','Rp. 4.680.000,00','Rp. 4.680.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','7 Februari 2024','Rp. 4.680.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(255,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8516384','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 100.363.500,00','Rp. 100.363.500,00','Rp. 100.363.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV SUMBER REZEKI','31.160.919.2-656.000','7 Februari 2024','Rp. 100.363.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(256,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8517346','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.602.000,00','Rp. 4.602.000,00','Rp. 4.602.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. PELITA ALAM NUSANTARA','96.801.546.1-656.000','7 Februari 2024','Rp. 4.602.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(257,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8517768','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.132.500,00','Rp. 4.132.500,00','Rp. 4.132.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. RAMA BERSAUDARA','93.696.674.6-656.000','7 Februari 2024','Rp. 4.132.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(258,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518251','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 705.000,00','Rp. 705.000,00','Rp. 705.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 705.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(259,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8518534','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 63.336.500,00','Rp. 63.336.500,00','Rp. 63.336.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 63.336.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(260,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518651','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 20.395.000,00','Rp. 20.395.000,00','Rp. 20.395.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.sumber mitra abadi','75.777.667.9-656.000','7 Februari 2024','Rp. 20.395.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(261,'49259852','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49259852 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 12.260.000,00','47075834    ','49259852, 47075834','Kabupaten Bondowoso','MI8-P2402-8472222','Belanja Makanan dan Minuman Rapat','Rp. 11.920.000,00','Rp. 11.920.000,00','Rp. 11.920.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 11.920.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(262,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2401-8394730','Belanja Makanan dan Minuman Rapat','Rp. 300.409.500,00','Rp. 300.409.500,00','Rp. 300.409.500,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','ENNY CATERING','08.764.975.2-656.000','','Rp. 300.409.500,00','1 Februari 2024','18 Januari 2024','18 Januari 2024','','','16 Februari 2024 01:23 WIB'),
(263,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2402-8473734','Belanja Makanan dan Minuman Rapat','Rp. 43.930.000,00','Rp. 43.930.000,00','Rp. 43.930.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 43.930.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(264,'49413214','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49413214 - Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','Rp. 6.650.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kabupaten Bondowoso','MI8-P2402-8490079','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','Rp. 6.505.000,00','Rp. 6.505.000,00','Rp. 6.505.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','5 Februari 2024','Rp. 6.505.000,00','5 Februari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(265,'46456846','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46456846 - Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','Rp. 90.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bagian Pengadaan Barang dan Jasa','ISR-P2401-8362329','Beban Kawat/Faksimili/Internet/TV Berlangganan','Rp. 90.000.000,00','Rp. 90.000.000,00','Rp. 90.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Telekomunikasi Indonesia, Tbk.','01.000.013.1-093.000','5 Februari 2024','Rp. 90.000.000,00','27 Desember 2023','8 Januari 2024','8 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(266,'46465234','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46465234 - [5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 9.400.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2401-8367530','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','Rp. 9.200.000,00','Rp. 9.200.000,00','Rp. 9.200.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','12 Januari 2024','Rp. 9.200.000,00','3 Januari 2024','8 Januari 2024','8 Januari 2024','12 Januari 2024','','16 Februari 2024 01:23 WIB'),
(267,'46475659','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46475659 - [5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 2.820.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8479448','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','Rp. 2.760.000,00','Rp. 2.760.000,00','Rp. 2.760.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','7 Februari 2024','Rp. 2.760.000,00','3 Januari 2024','2 Februari 2024','2 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(268,'46791415','Kab. Bondowoso','Sekretariat DPRD','46791415 - BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','Rp. 32.500.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','kantor DPRD BONDOWOSO','TQ6-P2402-8470071','BELANJA MAKANAN DAN MINUMAN RAPAT','Rp. 32.240.000,00','Rp. 32.240.000,00','Rp. 32.240.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','NADYA MULIA','86.760.656.8-656.000','1 Februari 2024','Rp. 32.240.000,00','3 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(269,'46821987','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46821987 - Belanja Sewa Peralatan dan Mesin','E-Purchasing','Rp. 105.000.000,00','46457254    ','46821987, 46457254','Bagian Pengadaan Barang dan Jasa','JPY-P2401-8361787','Belanja Sewa Peralatan dan Mesin','Rp. 99.000.000,00','Rp. 99.000.000,00','Rp. 99.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT OPTIMUS TEKNOLOGI PRO','72.884.548.8-077.000','5 Januari 2024','Rp. 99.000.000,00','4 Januari 2024','5 Januari 2024','5 Januari 2024','5 Januari 2024','','16 Februari 2024 01:23 WIB'),
(270,'46949170','Kab. Bondowoso','Sekretariat DPRD','46949170 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 226.630.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8476096','Belanja Makanan dan Minuman Rapat','Rp. 223.141.500,00','Rp. 223.141.500,00','Rp. 223.141.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 223.141.500,00','6 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(271,'47064668','Kab. Bondowoso','Sekretariat DPRD','47064668 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 105.344.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2402-8473252','Belanja Makanan dan Minuman Rapat','Rp. 103.615.400,00','Rp. 103.615.400,00','Rp. 103.615.400,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 103.615.400,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(272,'47071159','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil','47071159 - Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','Rp. 158.580.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Dinas Kependudukan dan Pencatatan Sipil','PEV-P2401-8388036','Pengadaan Alat Rekam KTP Elektronik','Rp. 158.300.000,00','Rp. 158.300.000,00','Rp. 158.300.000,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','PT. TRIKREASINDO MANDIRI SENTOSA','73.002.884.2-044.000','17 Januari 2024','Rp. 158.300.000,00','8 Januari 2024','16 Januari 2024','17 Januari 2024','17 Januari 2024','','16 Februari 2024 01:23 WIB'),
(273,'47075977','Kab. Bondowoso','Sekretariat DPRD','47075977 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 24.106.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8475701','Belanja Makanan dan Minuman Rapat','Rp. 23.697.100,00','Rp. 23.697.100,00','Rp. 23.697.100,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 23.697.100,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(274,'47226498','Kab. Bondowoso','Satuan Polisi Pamong Praja','47226498 - Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','Rp. 45.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497666','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','Rp. 44.955.000,00','Rp. 44.955.000,00','Rp. 44.955.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 44.955.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(275,'47228579','Kab. Bondowoso','Satuan Polisi Pamong Praja','47228579 - Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','Rp. 126.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497951','Belanja Pakaian Dinas Lapangan ( PDL )','Rp. 123.876.000,00','Rp. 123.876.000,00','Rp. 123.876.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 123.876.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(276,'47236412','Kab. Bondowoso','Satuan Polisi Pamong Praja','47236412 - Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','Rp. 210.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8401620','Belanja Sewa kendaraan Bermotor Penumpang','Rp. 210.000.000,00','Rp. 210.000.000,00','Rp. 210.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','22 Januari 2024','Rp. 210.000.000,00','10 Januari 2024','22 Januari 2024','19 Januari 2024','22 Januari 2024','','16 Februari 2024 01:23 WIB'),
(277,'47237321','Kab. Bondowoso','Satuan Polisi Pamong Praja','47237321 - Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','Rp. 204.600.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8399618','Belanja Sewa Kendaraan Bermotor Penumpang','Rp. 203.130.000,00','Rp. 203.130.000,00','Rp. 203.130.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','19 Januari 2024','Rp. 203.130.000,00','10 Januari 2024','19 Januari 2024','19 Januari 2024','19 Januari 2024','','16 Februari 2024 01:23 WIB'),
(278,'47329988','Kab. Bondowoso','Satuan Polisi Pamong Praja','47329988 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 295.724.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','MI8-P2401-8421673','Belanja Makanan dan Minuman Rapat','Rp. 293.207.200,00','Rp. 293.207.200,00','Rp. 293.207.200,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.BUNDA JAYA','73.268.151.5-656.000','24 Januari 2024','Rp. 293.207.200,00','11 Januari 2024','24 Januari 2024','24 Januari 2024','24 Januari 2024','','16 Februari 2024 01:23 WIB'),
(279,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432402','Belanja Obat (E-Purchasing)','Rp. 1.222.839,00','Rp. 1.222.839,00','Rp. 1.222.839,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT ETANA BIOTECHNOLOGIES INDONESIA','71.131.629.9-004.000','2 Februari 2024','Rp. 1.222.839,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(280,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432422','Belanja Obat (E-Purchasing)','Rp. 860.000,00','Rp. 860.000,00','Rp. 860.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ERRITA PHARMA','011041811441000','29 Januari 2024','Rp. 860.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(281,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432453','Belanja Obat (E-Purchasing)','Rp. 1.020.680,00','Rp. 1.020.680,00','Rp. 1.020.680,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mersifarma Tirmaku Mercusana','01.792.434.1-405.002','31 Januari 2024','Rp. 1.020.680,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(282,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432634','Belanja Obat (E-Purchasing)','Rp. 3.894.000,00','Rp. 3.894.000,00','Rp. 3.894.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ikapharmindo Putramas','011048469007000','31 Januari 2024','Rp. 3.894.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(283,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432679','Belanja Obat (E-Purchasing)','Rp. 12.243.600,00','Rp. 12.243.600,00','Rp. 12.243.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SOHO Industri Pharmasi','010027134007000','30 Januari 2024','Rp. 12.243.600,00','11 Januari 2024','27 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(284,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432781','Belanja Obat (E-Purchasing)','Rp. 12.765.600,00','Rp. 12.765.600,00','Rp. 12.765.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT KALBE FARMA Tbk','010018364092000','31 Januari 2024','Rp. 12.765.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(285,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434434','Belanja Obat (E-Purchasing)','Rp. 2.722.048,00','Rp. 2.722.048,00','Rp. 2.722.048,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Glaxo Wellcome Indonesia','010618742052000','2 Februari 2024','Rp. 2.722.048,00','11 Januari 2024','30 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(286,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434469','Belanja Obat (E-Purchasing)','Rp. 12.870.000,00','Rp. 12.870.000,00','Rp. 12.870.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. COMBINED IMPERIAL PHARMACEUTICALS','011049145073000','31 Januari 2024','Rp. 12.870.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(287,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434506','Belanja Obat (E-Purchasing)','Rp. 1.176.000,00','Rp. 1.176.000,00','Rp. 1.176.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Imedco Djaja','013017579451000','31 Januari 2024','Rp. 1.176.000,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(288,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442364','Belanja Obat (E-Purchasing)','Rp. 1.650.000,00','Rp. 1.650.000,00','Rp. 1.650.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT  Ethica Industri Farmasi','01.303.269.3-007.000','31 Januari 2024','Rp. 1.650.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(289,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442389','Belanja Obat (E-Purchasing)','Rp. 8.407.260,00','Rp. 8.407.260,00','Rp. 8.407.260,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NOVELL PHARMACEUTICAL LABORATORIES','010026805052000','6 Februari 2024','Rp. 8.407.260,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(290,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442471','Belanja Obat (E-Purchasing)','Rp. 4.928.400,00','Rp. 4.928.400,00','Rp. 4.928.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Phapros Tbk','010007938051000','2 Februari 2024','Rp. 4.928.400,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(291,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442729','Belanja Obat (E-Purchasing)','Rp. 3.581.900,00','Rp. 3.581.900,00','Rp. 3.581.900,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Hexpharm Jaya Laboratories','016068421441000','1 Februari 2024','Rp. 3.581.900,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(292,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442805','Belanja Obat (E-Purchasing)','Rp. 134.906.220,00','Rp. 134.906.220,00','Rp. 134.906.220,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','P.T. Dexa Medica','01.129.507.8-092.000','31 Januari 2024','Rp. 134.906.220,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(293,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8443897','Belanja Obat (E-Purchasing)','Rp. 166.727.550,00','Rp. 166.727.550,00','Rp. 166.727.550,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Pratapa Nirmala','013025754073000','31 Januari 2024','Rp. 166.727.550,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(294,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8444007','Belanja Obat (E-Purchasing)','Rp. 18.879.840,00','Rp. 18.879.840,00','Rp. 18.879.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NUFARINDO','011210341511000','2 Februari 2024','Rp. 18.879.840,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(295,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451350','Belanja Obat (E-Purchasing)','Rp. 12.300.000,00','Rp. 12.300.000,00','Rp. 12.300.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT MENARINI INDRIA LABORATORIES','016570830413000','1 Februari 2024','Rp. 12.300.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(296,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451425','Belanja Obat (E-Purchasing)','Rp. 683.400,00','Rp. 683.400,00','Rp. 683.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ferron Par Pharmaceuticals','17134032431000','1 Februari 2024','Rp. 683.400,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(297,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451475','Belanja Obat (E-Purchasing)','Rp. 2.880.000,00','Rp. 2.880.000,00','Rp. 2.880.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Yarindo Farmatama','016793721415000','5 Februari 2024','Rp. 2.880.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(298,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451595','Belanja Obat (E-Purchasing)','Rp. 60.225.240,00','Rp. 60.225.240,00','Rp. 60.225.240,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Otsuka Indonesia','010031631052000','6 Februari 2024','Rp. 60.225.240,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(299,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8478407','Belanja Obat (E-Purchasing)','Rp. 7.894.500,00','Rp. 7.894.500,00','Rp. 7.894.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT BBraun Pharmaceutical Indonesia','030361653063000','2 Februari 2024','Rp. 7.894.500,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(300,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8511781','Belanja Obat (E-Purchasing)','Rp. 46.655.700,00','Rp. 46.655.700,00','Rp. 0,00','Katalog   - Sektoral','E-Purchasing','Proses Negosiasi','PT.Bernofarm','011407558631000','','Rp. 0,00','11 Januari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(301,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432474','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 7.200.000,00','Rp. 7.200.000,00','Rp. 7.200.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Abadi Makmur Bersama','744952979407000','30 Januari 2024','Rp. 7.200.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(302,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432498','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.747.250,00','Rp. 2.747.250,00','Rp. 2.747.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SENTRA ASIA GEMILANG','020764924047000','30 Januari 2024','Rp. 2.747.250,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(303,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432509','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.836.250,00','Rp. 24.836.250,00','Rp. 24.836.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEGAH MEDIKA PHARMA','02.182.906.4-062.000','30 Januari 2024','Rp. 24.836.250,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(304,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434612','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 4.170.000,00','Rp. 4.170.000,00','Rp. 4.170.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENSEVAL PUTERA MEGATRADING, Tbk.','01.342.572.3-054.000','31 Januari 2024','Rp. 4.170.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(305,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434980','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.749.915,00','Rp. 1.749.915,00','Rp. 1.749.915,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ANUGERAH PHARMINDO LESTARI','013695184092000','2 Februari 2024','Rp. 1.749.915,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(306,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435157','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 16.714.350,00','Rp. 16.714.350,00','Rp. 16.714.350,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ESSITY HYGIENE AND HEALTH INDONESIA','020587853056000','31 Januari 2024','Rp. 16.714.350,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(307,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435228','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.397.600,00','Rp. 2.397.600,00','Rp. 2.397.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','31 Januari 2024','Rp. 2.397.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(308,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8435908','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 11.275.000,00','Rp. 11.275.000,00','Rp. 11.275.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 11.275.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(309,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435925','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 800.000,00','Rp. 800.000,00','Rp. 800.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 800.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(310,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8444537','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.057.840,00','Rp. 3.057.840,00','Rp. 3.057.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENERGI MEDISTRON','211169032013000','31 Januari 2024','Rp. 3.057.840,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(311,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8444609','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 690.000,00','Rp. 690.000,00','Rp. 690.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Sinaraya Nugraha Ahmadaris Medika','019255322651000','1 Februari 2024','Rp. 690.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(312,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AL2-P2401-8445994','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.150.000,00','Rp. 3.150.000,00','Rp. 3.150.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT RASANI KARYA MANDIRI','718703507411000','5 Februari 2024','Rp. 3.150.000,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(313,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446026','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.975.000,00','Rp. 24.975.000,00','Rp. 24.975.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEDITRANS GLOBAL','316466598606000','2 Februari 2024','Rp. 24.975.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(314,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446082','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.292.656,00','Rp. 2.292.656,00','Rp. 2.292.656,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. B.BRAUN MEDICAL INDONESIA','01.348.750.9-073.000','5 Februari 2024','Rp. 2.292.656,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(315,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446155','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 900.000,00','Rp. 900.000,00','Rp. 900.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mahakam Beta Farma','013098892007000','6 Februari 2024','Rp. 900.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(316,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446203','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.512.000,00','Rp. 1.512.000,00','Rp. 1.512.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Dwiasri Graha (dwigraha medical)','017800632001000','6 Februari 2024','Rp. 1.512.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(317,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446256','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.534.020,00','Rp. 1.534.020,00','Rp. 1.534.020,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.GLOBAL DISPOMEDIKA','024268385077000','2 Februari 2024','Rp. 1.534.020,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(318,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455494','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.635.250,00','Rp. 3.635.250,00','Rp. 3.635.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Smart Lab Indonesia','311941991411000','2 Februari 2024','Rp. 3.635.250,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(319,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8478988','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 5.883.000,00','Rp. 5.883.000,00','Rp. 5.883.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. JAYA ABADI MEDIKA','710551763061000','6 Februari 2024','Rp. 5.883.000,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(320,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432531','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 10.009.980,00','Rp. 10.009.980,00','Rp. 10.009.980,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Medihop','023885882027000','30 Januari 2024','Rp. 10.009.980,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(321,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451674','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.875.750,00','Rp. 4.875.750,00','Rp. 4.875.750,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT IDS MEDICAL SYSTEMS INDONESIA','03.093.783.3-031.000','5 Februari 2024','Rp. 4.875.750,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(322,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451806','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.268.000,00','Rp. 4.268.000,00','Rp. 4.268.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.INDOPRIMA BIONET','02.321.104.8-032.000','1 Februari 2024','Rp. 4.268.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(323,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455037','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.696.720,00','Rp. 4.696.720,00','Rp. 4.696.720,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Medtronic Indonesia','032575995012000','3 Februari 2024','Rp. 4.696.720,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(324,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455208','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 1.087.800,00','Rp. 1.087.800,00','Rp. 1.087.800,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 1.087.800,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(325,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455358','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.174.500,00','Rp. 4.174.500,00','Rp. 4.174.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 4.174.500,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(326,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2402-8473452','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 18.544.050,00','Rp. 18.544.050,00','Rp. 18.544.050,00','Katalog   - Sektoral','E-Purchasing','Review Paket','PT. SABA INDOMEDIKA','024050049038000','','Rp. 18.544.050,00','11 Januari 2024','9 Februari 2024','9 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(327,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8473646','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 9.156.000,00','Rp. 9.156.000,00','Rp. 9.156.000,00','Katalog   - Sektoral','E-Purchasing','Sepakat','PT INTERSKALA MEDIKA INDONESIA','949432470085000','','Rp. 9.156.000,00','11 Januari 2024','1 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(328,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8515566','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 968.000,00','Rp. 968.000,00','Rp. 0,00','Katalog  ','E-Purchasing','Proses Negosiasi','Laniros Dian Pharma','022918213039000','','Rp. 0,00','11 Januari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(329,'47440138','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47440138 - Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','Rp. 19.250.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8513530','Belanja Pakaian Dinas Lapangan (PDL)','Rp. 18.375.000,00','Rp. 18.375.000,00','Rp. 18.375.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 18.375.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(330,'47441043','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441043 - Belanja Modal Mebel','E-Purchasing','Rp. 3.180.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jalan Mastrip No 237','RTH-P2402-8514654','Belanja Modal Mebel','Rp. 3.100.000,00','Rp. 3.100.000,00','Rp. 3.100.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 3.100.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(331,'47441739','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441739 - Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','Rp. 21.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8513879','Belanja Pakaian Dinas Lapangan (PDL)','Rp. 20.895.000,00','Rp. 20.895.000,00','Rp. 20.895.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 20.895.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(332,'47441985','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441985 - Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','Rp. 99.750.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8490116','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','Rp. 96.425.000,00','Rp. 96.425.000,00','Rp. 96.425.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.GOZAY PRODUCTION','40.741.246.9-656.000','5 Februari 2024','Rp. 96.425.000,00','11 Januari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(333,'47482487','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47482487 - Belanja Modal Electric Generating Set','E-Purchasing','Rp. 3.200.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr H. Koesnadi','P00-P2402-8504867','Belanja Modal Electric Generating Set','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. SUPER TECHNOLOGY INDONESIA','407830017509000','7 Februari 2024','Rp. 3.190.000.000,00','12 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(334,'47842181','Kab. Bondowoso','Sekretariat DPRD','47842181 - Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','Rp. 71.185.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2401-8467032','Belanja Makanan dan Minuman Tamu (06.0008)','Rp. 69.909.500,00','Rp. 69.909.500,00','Rp. 69.909.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 69.909.500,00','16 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(335,'48396091','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48396091 - Belanja Modal Personal Computer','E-Purchasing','Rp. 405.300.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr. H. Koesnadi','ETB-P2401-8416933','Belanja Modal Personal Computer','Rp. 393.500.000,00','Rp. 393.500.000,00','Rp. 393.500.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','toga gemilang raya','96.473.953.6-626.000','3 Februari 2024','Rp. 393.500.000,00','22 Januari 2024','24 Januari 2024','24 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(336,'48603665','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48603665 - Belanja Modal Alat Kedokteran Umum (BLUD)','E-Purchasing','Rp. 606.102.700,00','47395943    ','48603665, 47395943','RSUD dr. H. Koesnadi Bondowoso','AK1-P2401-8454379','Belanja Modal Alat Kedokteran Umum (BLUD)','Rp. 280.798.920,00','Rp. 280.798.920,00','Rp. 280.798.920,00','Katalog   - Sektoral','E-Purchasing','Proses Kontrak Ppk','PT. MEGA ANDALAN KALASAN','01.852.309.2-542.000','','Rp. 280.798.920,00','24 Januari 2024','31 Januari 2024','31 Januari 2024','','','16 Februari 2024 01:23 WIB'),
(337,'48685407','Kab. Bondowoso','Satuan Polisi Pamong Praja','48685407 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 23.500.000,00','47125461    ','48685407, 47125461','Satuan Polisi Pamong Praja','MI8-P2401-8430327','Belanja Makanan dan Minuman Rapat','Rp. 23.300.000,00','Rp. 23.300.000,00','Rp. 23.300.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. MANDALA ABADI','02.785.002.3-656.000','29 Januari 2024','Rp. 23.300.000,00','25 Januari 2024','26 Januari 2024','29 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(338,'48968351','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48968351 - Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','Rp. 500.000.000,00','47412330    ','48968351, 47412330','RSUD dr. H. Koesnadi','FKS-P2402-8472336','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Rp. 19.580.000,00','Rp. 19.580.000,00','Rp. 19.580.000,00','Katalog   - Sektoral','E-Purchasing','Proses Kontrak Ppk','PT Jayamas Medica Industri','020262762641000','7 Februari 2024','Rp. 19.580.000,00','29 Januari 2024','6 Februari 2024','6 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(339,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8516062','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.680.000,00','Rp. 4.680.000,00','Rp. 4.680.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','7 Februari 2024','Rp. 4.680.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(340,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8516384','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 100.363.500,00','Rp. 100.363.500,00','Rp. 100.363.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV SUMBER REZEKI','31.160.919.2-656.000','7 Februari 2024','Rp. 100.363.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(341,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8517346','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.602.000,00','Rp. 4.602.000,00','Rp. 4.602.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. PELITA ALAM NUSANTARA','96.801.546.1-656.000','7 Februari 2024','Rp. 4.602.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(342,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8517768','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.132.500,00','Rp. 4.132.500,00','Rp. 4.132.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. RAMA BERSAUDARA','93.696.674.6-656.000','7 Februari 2024','Rp. 4.132.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(343,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518251','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 705.000,00','Rp. 705.000,00','Rp. 705.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 705.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(344,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8518534','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 63.336.500,00','Rp. 63.336.500,00','Rp. 63.336.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 63.336.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(345,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518651','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 20.395.000,00','Rp. 20.395.000,00','Rp. 20.395.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.sumber mitra abadi','75.777.667.9-656.000','7 Februari 2024','Rp. 20.395.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(346,'49259852','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49259852 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 12.260.000,00','47075834    ','49259852, 47075834','Kabupaten Bondowoso','MI8-P2402-8472222','Belanja Makanan dan Minuman Rapat','Rp. 11.920.000,00','Rp. 11.920.000,00','Rp. 11.920.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 11.920.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(347,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2401-8394730','Belanja Makanan dan Minuman Rapat','Rp. 300.409.500,00','Rp. 300.409.500,00','Rp. 300.409.500,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','ENNY CATERING','08.764.975.2-656.000','','Rp. 300.409.500,00','1 Februari 2024','18 Januari 2024','18 Januari 2024','','','16 Februari 2024 01:23 WIB'),
(348,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2402-8473734','Belanja Makanan dan Minuman Rapat','Rp. 43.930.000,00','Rp. 43.930.000,00','Rp. 43.930.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 43.930.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(349,'49413214','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49413214 - Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','Rp. 6.650.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kabupaten Bondowoso','MI8-P2402-8490079','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','Rp. 6.505.000,00','Rp. 6.505.000,00','Rp. 6.505.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','5 Februari 2024','Rp. 6.505.000,00','5 Februari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(350,'46456846','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46456846 - Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','Rp. 90.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bagian Pengadaan Barang dan Jasa','ISR-P2401-8362329','Beban Kawat/Faksimili/Internet/TV Berlangganan','Rp. 90.000.000,00','Rp. 90.000.000,00','Rp. 90.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Telekomunikasi Indonesia, Tbk.','01.000.013.1-093.000','5 Februari 2024','Rp. 90.000.000,00','27 Desember 2023','8 Januari 2024','8 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(351,'46465234','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46465234 - [5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 9.400.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2401-8367530','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','Rp. 9.200.000,00','Rp. 9.200.000,00','Rp. 9.200.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','12 Januari 2024','Rp. 9.200.000,00','3 Januari 2024','8 Januari 2024','8 Januari 2024','12 Januari 2024','','16 Februari 2024 01:23 WIB'),
(352,'46475659','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','46475659 - [5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 2.820.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8479448','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','Rp. 2.760.000,00','Rp. 2.760.000,00','Rp. 2.760.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','MOCH.SUNARYO','87.002.399.1-656.000','7 Februari 2024','Rp. 2.760.000,00','3 Januari 2024','2 Februari 2024','2 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(353,'46791415','Kab. Bondowoso','Sekretariat DPRD','46791415 - BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','Rp. 32.500.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','kantor DPRD BONDOWOSO','TQ6-P2402-8470071','BELANJA MAKANAN DAN MINUMAN RAPAT','Rp. 32.240.000,00','Rp. 32.240.000,00','Rp. 32.240.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','NADYA MULIA','86.760.656.8-656.000','1 Februari 2024','Rp. 32.240.000,00','3 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(354,'46821987','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','46821987 - Belanja Sewa Peralatan dan Mesin','E-Purchasing','Rp. 105.000.000,00','46457254    ','46821987, 46457254','Bagian Pengadaan Barang dan Jasa','JPY-P2401-8361787','Belanja Sewa Peralatan dan Mesin','Rp. 99.000.000,00','Rp. 99.000.000,00','Rp. 99.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT OPTIMUS TEKNOLOGI PRO','72.884.548.8-077.000','5 Januari 2024','Rp. 99.000.000,00','4 Januari 2024','5 Januari 2024','5 Januari 2024','5 Januari 2024','','16 Februari 2024 01:23 WIB'),
(355,'46949170','Kab. Bondowoso','Sekretariat DPRD','46949170 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 226.630.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8476096','Belanja Makanan dan Minuman Rapat','Rp. 223.141.500,00','Rp. 223.141.500,00','Rp. 223.141.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 223.141.500,00','6 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(356,'47064668','Kab. Bondowoso','Sekretariat DPRD','47064668 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 105.344.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2402-8473252','Belanja Makanan dan Minuman Rapat','Rp. 103.615.400,00','Rp. 103.615.400,00','Rp. 103.615.400,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 103.615.400,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(357,'47071159','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil','47071159 - Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','Rp. 158.580.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Dinas Kependudukan dan Pencatatan Sipil','PEV-P2401-8388036','Pengadaan Alat Rekam KTP Elektronik','Rp. 158.300.000,00','Rp. 158.300.000,00','Rp. 158.300.000,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','PT. TRIKREASINDO MANDIRI SENTOSA','73.002.884.2-044.000','17 Januari 2024','Rp. 158.300.000,00','8 Januari 2024','16 Januari 2024','17 Januari 2024','17 Januari 2024','','16 Februari 2024 01:23 WIB'),
(358,'47075977','Kab. Bondowoso','Sekretariat DPRD','47075977 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 24.106.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD BONDOWOSO','MI8-P2402-8475701','Belanja Makanan dan Minuman Rapat','Rp. 23.697.100,00','Rp. 23.697.100,00','Rp. 23.697.100,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','2 Februari 2024','Rp. 23.697.100,00','8 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(359,'47226498','Kab. Bondowoso','Satuan Polisi Pamong Praja','47226498 - Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','Rp. 45.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497666','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','Rp. 44.955.000,00','Rp. 44.955.000,00','Rp. 44.955.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 44.955.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(360,'47228579','Kab. Bondowoso','Satuan Polisi Pamong Praja','47228579 - Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','Rp. 126.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','ZZ3-P2402-8497951','Belanja Pakaian Dinas Lapangan ( PDL )','Rp. 123.876.000,00','Rp. 123.876.000,00','Rp. 123.876.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','Cv. Kurniawan putra','84.131.763.9-656.000','7 Februari 2024','Rp. 123.876.000,00','10 Januari 2024','6 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(361,'47236412','Kab. Bondowoso','Satuan Polisi Pamong Praja','47236412 - Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','Rp. 210.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8401620','Belanja Sewa kendaraan Bermotor Penumpang','Rp. 210.000.000,00','Rp. 210.000.000,00','Rp. 210.000.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','22 Januari 2024','Rp. 210.000.000,00','10 Januari 2024','22 Januari 2024','19 Januari 2024','22 Januari 2024','','16 Februari 2024 01:23 WIB'),
(362,'47237321','Kab. Bondowoso','Satuan Polisi Pamong Praja','47237321 - Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','Rp. 204.600.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2401-8399618','Belanja Sewa Kendaraan Bermotor Penumpang','Rp. 203.130.000,00','Rp. 203.130.000,00','Rp. 203.130.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.PRIMA DATA','02.016.127.9-656.000','19 Januari 2024','Rp. 203.130.000,00','10 Januari 2024','19 Januari 2024','19 Januari 2024','19 Januari 2024','','16 Februari 2024 01:23 WIB'),
(363,'47237967','Kab. Bondowoso','Satuan Polisi Pamong Praja','47237967 - Belanja Sewa Kendaraan Bermotor Beroda Dua','E-Purchasing','Rp. 135.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','AW0-P2402-8493667','Belanja Sewa Kendaraan Bermotor Beroda Dua','Rp. 132.750.000,00','Rp. 132.750.000,00','Rp. 0,00','Katalog   - Lokal','E-Purchasing','Proses Negosiasi','CV.PRIMA DATA','02.016.127.9-656.000','','Rp. 0,00','10 Januari 2024','5 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(364,'47329988','Kab. Bondowoso','Satuan Polisi Pamong Praja','47329988 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 295.724.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Satuan Polisi Pamong Praja','MI8-P2401-8421673','Belanja Makanan dan Minuman Rapat','Rp. 293.207.200,00','Rp. 293.207.200,00','Rp. 293.207.200,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.BUNDA JAYA','73.268.151.5-656.000','24 Januari 2024','Rp. 293.207.200,00','11 Januari 2024','24 Januari 2024','24 Januari 2024','24 Januari 2024','','16 Februari 2024 01:23 WIB'),
(365,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432402','Belanja Obat (E-Purchasing)','Rp. 1.222.839,00','Rp. 1.222.839,00','Rp. 1.222.839,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT ETANA BIOTECHNOLOGIES INDONESIA','71.131.629.9-004.000','2 Februari 2024','Rp. 1.222.839,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(366,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432422','Belanja Obat (E-Purchasing)','Rp. 860.000,00','Rp. 860.000,00','Rp. 860.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ERRITA PHARMA','011041811441000','29 Januari 2024','Rp. 860.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(367,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432453','Belanja Obat (E-Purchasing)','Rp. 1.020.680,00','Rp. 1.020.680,00','Rp. 1.020.680,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mersifarma Tirmaku Mercusana','01.792.434.1-405.002','31 Januari 2024','Rp. 1.020.680,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(368,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432634','Belanja Obat (E-Purchasing)','Rp. 3.894.000,00','Rp. 3.894.000,00','Rp. 3.894.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ikapharmindo Putramas','011048469007000','31 Januari 2024','Rp. 3.894.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(369,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432679','Belanja Obat (E-Purchasing)','Rp. 12.243.600,00','Rp. 12.243.600,00','Rp. 12.243.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SOHO Industri Pharmasi','010027134007000','30 Januari 2024','Rp. 12.243.600,00','11 Januari 2024','27 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(370,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8432781','Belanja Obat (E-Purchasing)','Rp. 12.765.600,00','Rp. 12.765.600,00','Rp. 12.765.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT KALBE FARMA Tbk','010018364092000','31 Januari 2024','Rp. 12.765.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(371,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434434','Belanja Obat (E-Purchasing)','Rp. 2.722.048,00','Rp. 2.722.048,00','Rp. 2.722.048,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Glaxo Wellcome Indonesia','010618742052000','2 Februari 2024','Rp. 2.722.048,00','11 Januari 2024','30 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(372,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434469','Belanja Obat (E-Purchasing)','Rp. 12.870.000,00','Rp. 12.870.000,00','Rp. 12.870.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. COMBINED IMPERIAL PHARMACEUTICALS','011049145073000','31 Januari 2024','Rp. 12.870.000,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(373,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8434506','Belanja Obat (E-Purchasing)','Rp. 1.176.000,00','Rp. 1.176.000,00','Rp. 1.176.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Imedco Djaja','013017579451000','31 Januari 2024','Rp. 1.176.000,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(374,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442364','Belanja Obat (E-Purchasing)','Rp. 1.650.000,00','Rp. 1.650.000,00','Rp. 1.650.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT  Ethica Industri Farmasi','01.303.269.3-007.000','31 Januari 2024','Rp. 1.650.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(375,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442389','Belanja Obat (E-Purchasing)','Rp. 8.407.260,00','Rp. 8.407.260,00','Rp. 8.407.260,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NOVELL PHARMACEUTICAL LABORATORIES','010026805052000','6 Februari 2024','Rp. 8.407.260,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(376,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442471','Belanja Obat (E-Purchasing)','Rp. 4.928.400,00','Rp. 4.928.400,00','Rp. 4.928.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Phapros Tbk','010007938051000','2 Februari 2024','Rp. 4.928.400,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(377,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442729','Belanja Obat (E-Purchasing)','Rp. 3.581.900,00','Rp. 3.581.900,00','Rp. 3.581.900,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Hexpharm Jaya Laboratories','016068421441000','1 Februari 2024','Rp. 3.581.900,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(378,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8442805','Belanja Obat (E-Purchasing)','Rp. 134.906.220,00','Rp. 134.906.220,00','Rp. 134.906.220,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','P.T. Dexa Medica','01.129.507.8-092.000','31 Januari 2024','Rp. 134.906.220,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(379,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8443897','Belanja Obat (E-Purchasing)','Rp. 166.727.550,00','Rp. 166.727.550,00','Rp. 166.727.550,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Pratapa Nirmala','013025754073000','31 Januari 2024','Rp. 166.727.550,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(380,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8444007','Belanja Obat (E-Purchasing)','Rp. 18.879.840,00','Rp. 18.879.840,00','Rp. 18.879.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. NUFARINDO','011210341511000','2 Februari 2024','Rp. 18.879.840,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(381,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451350','Belanja Obat (E-Purchasing)','Rp. 12.300.000,00','Rp. 12.300.000,00','Rp. 12.300.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT MENARINI INDRIA LABORATORIES','016570830413000','1 Februari 2024','Rp. 12.300.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(382,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451425','Belanja Obat (E-Purchasing)','Rp. 683.400,00','Rp. 683.400,00','Rp. 683.400,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Ferron Par Pharmaceuticals','17134032431000','1 Februari 2024','Rp. 683.400,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(383,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451475','Belanja Obat (E-Purchasing)','Rp. 2.880.000,00','Rp. 2.880.000,00','Rp. 2.880.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Yarindo Farmatama','016793721415000','5 Februari 2024','Rp. 2.880.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(384,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2401-8451595','Belanja Obat (E-Purchasing)','Rp. 60.225.240,00','Rp. 60.225.240,00','Rp. 60.225.240,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Otsuka Indonesia','010031631052000','6 Februari 2024','Rp. 60.225.240,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(385,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8478407','Belanja Obat (E-Purchasing)','Rp. 7.894.500,00','Rp. 7.894.500,00','Rp. 7.894.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT BBraun Pharmaceutical Indonesia','030361653063000','2 Februari 2024','Rp. 7.894.500,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(386,'47391075','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47391075 - Belanja Obat (E-Purchasing)','E-Purchasing','Rp. 6.458.970.700,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','OPA-P2402-8511781','Belanja Obat (E-Purchasing)','Rp. 46.655.700,00','Rp. 46.655.700,00','Rp. 0,00','Katalog   - Sektoral','E-Purchasing','Proses Negosiasi','PT.Bernofarm','011407558631000','','Rp. 0,00','11 Januari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(387,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432474','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 7.200.000,00','Rp. 7.200.000,00','Rp. 7.200.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Abadi Makmur Bersama','744952979407000','30 Januari 2024','Rp. 7.200.000,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(388,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432498','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.747.250,00','Rp. 2.747.250,00','Rp. 2.747.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. SENTRA ASIA GEMILANG','020764924047000','30 Januari 2024','Rp. 2.747.250,00','11 Januari 2024','26 Januari 2024','29 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(389,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8432509','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.836.250,00','Rp. 24.836.250,00','Rp. 24.836.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEGAH MEDIKA PHARMA','02.182.906.4-062.000','30 Januari 2024','Rp. 24.836.250,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(390,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434612','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 4.170.000,00','Rp. 4.170.000,00','Rp. 4.170.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENSEVAL PUTERA MEGATRADING, Tbk.','01.342.572.3-054.000','31 Januari 2024','Rp. 4.170.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(391,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8434980','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.749.915,00','Rp. 1.749.915,00','Rp. 1.749.915,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ANUGERAH PHARMINDO LESTARI','013695184092000','2 Februari 2024','Rp. 1.749.915,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(392,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435157','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 16.714.350,00','Rp. 16.714.350,00','Rp. 16.714.350,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ESSITY HYGIENE AND HEALTH INDONESIA','020587853056000','31 Januari 2024','Rp. 16.714.350,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(393,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435228','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.397.600,00','Rp. 2.397.600,00','Rp. 2.397.600,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','31 Januari 2024','Rp. 2.397.600,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(394,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8435908','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 11.275.000,00','Rp. 11.275.000,00','Rp. 11.275.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 11.275.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(395,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8435925','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 800.000,00','Rp. 800.000,00','Rp. 800.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENDO Indonesia','021141866618000','31 Januari 2024','Rp. 800.000,00','11 Januari 2024','29 Januari 2024','29 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(396,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8444537','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.057.840,00','Rp. 3.057.840,00','Rp. 3.057.840,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. ENERGI MEDISTRON','211169032013000','31 Januari 2024','Rp. 3.057.840,00','11 Januari 2024','29 Januari 2024','30 Januari 2024','31 Januari 2024','','16 Februari 2024 01:23 WIB'),
(397,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8444609','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 690.000,00','Rp. 690.000,00','Rp. 690.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Sinaraya Nugraha Ahmadaris Medika','019255322651000','1 Februari 2024','Rp. 690.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(398,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AL2-P2401-8445994','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.150.000,00','Rp. 3.150.000,00','Rp. 3.150.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT RASANI KARYA MANDIRI','718703507411000','5 Februari 2024','Rp. 3.150.000,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(399,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446026','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 24.975.000,00','Rp. 24.975.000,00','Rp. 24.975.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. MEDITRANS GLOBAL','316466598606000','2 Februari 2024','Rp. 24.975.000,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(400,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446082','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 2.292.656,00','Rp. 2.292.656,00','Rp. 2.292.656,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. B.BRAUN MEDICAL INDONESIA','01.348.750.9-073.000','5 Februari 2024','Rp. 2.292.656,00','11 Januari 2024','1 Februari 2024','2 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(401,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446155','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 900.000,00','Rp. 900.000,00','Rp. 900.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Mahakam Beta Farma','013098892007000','6 Februari 2024','Rp. 900.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(402,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8446203','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.512.000,00','Rp. 1.512.000,00','Rp. 1.512.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.Dwiasri Graha (dwigraha medical)','017800632001000','6 Februari 2024','Rp. 1.512.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(403,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8446256','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 1.534.020,00','Rp. 1.534.020,00','Rp. 1.534.020,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.GLOBAL DISPOMEDIKA','024268385077000','2 Februari 2024','Rp. 1.534.020,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(404,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455494','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 3.635.250,00','Rp. 3.635.250,00','Rp. 3.635.250,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Smart Lab Indonesia','311941991411000','2 Februari 2024','Rp. 3.635.250,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','2 Februari 2024','','16 Februari 2024 01:23 WIB'),
(405,'47397190','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47397190 - Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','Rp. 2.159.700.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8478988','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','Rp. 5.883.000,00','Rp. 5.883.000,00','Rp. 5.883.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. JAYA ABADI MEDIKA','710551763061000','6 Februari 2024','Rp. 5.883.000,00','11 Januari 2024','2 Februari 2024','2 Februari 2024','6 Februari 2024','','16 Februari 2024 01:23 WIB'),
(406,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8432531','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 10.009.980,00','Rp. 10.009.980,00','Rp. 10.009.980,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Medihop','023885882027000','30 Januari 2024','Rp. 10.009.980,00','11 Januari 2024','26 Januari 2024','26 Januari 2024','30 Januari 2024','','16 Februari 2024 01:23 WIB'),
(407,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451674','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.875.750,00','Rp. 4.875.750,00','Rp. 4.875.750,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT IDS MEDICAL SYSTEMS INDONESIA','03.093.783.3-031.000','5 Februari 2024','Rp. 4.875.750,00','11 Januari 2024','1 Februari 2024','1 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(408,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8451806','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.268.000,00','Rp. 4.268.000,00','Rp. 4.268.000,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT.INDOPRIMA BIONET','02.321.104.8-032.000','1 Februari 2024','Rp. 4.268.000,00','11 Januari 2024','30 Januari 2024','30 Januari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(409,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455037','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.696.720,00','Rp. 4.696.720,00','Rp. 4.696.720,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT. Medtronic Indonesia','032575995012000','3 Februari 2024','Rp. 4.696.720,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(410,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2401-8455208','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 1.087.800,00','Rp. 1.087.800,00','Rp. 1.087.800,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 1.087.800,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(411,'47398892','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47398892 - Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','Rp. 1.750.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2401-8455358','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','Rp. 4.174.500,00','Rp. 4.174.500,00','Rp. 4.174.500,00','Katalog   - Sektoral','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','PT Jayamas Medica Industri','020262762641000','3 Februari 2024','Rp. 4.174.500,00','11 Januari 2024','31 Januari 2024','31 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(412,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','AK1-P2402-8473452','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 18.544.050,00','Rp. 18.544.050,00','Rp. 18.544.050,00','Katalog   - Sektoral','E-Purchasing','Review Paket','PT. SABA INDOMEDIKA','024050049038000','','Rp. 18.544.050,00','11 Januari 2024','9 Februari 2024','9 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(413,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8473646','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 9.156.000,00','Rp. 9.156.000,00','Rp. 9.156.000,00','Katalog   - Sektoral','E-Purchasing','Sepakat','PT INTERSKALA MEDIKA INDONESIA','949432470085000','','Rp. 9.156.000,00','11 Januari 2024','1 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(414,'47405247','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47405247 - Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','Rp. 500.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Piere Tendean No. 3 Bondowoso','FKS-P2402-8515566','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','Rp. 968.000,00','Rp. 968.000,00','Rp. 0,00','Katalog  ','E-Purchasing','Proses Negosiasi','Laniros Dian Pharma','022918213039000','','Rp. 0,00','11 Januari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(415,'47440138','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47440138 - Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','Rp. 19.250.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8513530','Belanja Pakaian Dinas Lapangan (PDL)','Rp. 18.375.000,00','Rp. 18.375.000,00','Rp. 18.375.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 18.375.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(416,'47441043','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441043 - Belanja Modal Mebel','E-Purchasing','Rp. 3.180.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jalan Mastrip No 237','RTH-P2402-8514654','Belanja Modal Mebel','Rp. 3.100.000,00','Rp. 3.100.000,00','Rp. 3.100.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 3.100.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(417,'47441739','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441739 - Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','Rp. 21.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8513879','Belanja Pakaian Dinas Lapangan (PDL)','Rp. 20.895.000,00','Rp. 20.895.000,00','Rp. 20.895.000,00','Katalog   - Lokal','E-Purchasing','Review Paket','CV.GOZAY PRODUCTION','40.741.246.9-656.000','','Rp. 20.895.000,00','11 Januari 2024','7 Februari 2024','7 Februari 2024','','','16 Februari 2024 01:23 WIB'),
(418,'47441985','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','47441985 - Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','Rp. 99.750.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Jl. Mastrip No. 237 Bondowoso','ZZ3-P2402-8490116','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','Rp. 96.425.000,00','Rp. 96.425.000,00','Rp. 96.425.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV.GOZAY PRODUCTION','40.741.246.9-656.000','5 Februari 2024','Rp. 96.425.000,00','11 Januari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB'),
(419,'47482487','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','47482487 - Belanja Modal Electric Generating Set','E-Purchasing','Rp. 3.200.000.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr H. Koesnadi','P00-P2402-8504867','Belanja Modal Electric Generating Set','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Rp. 3.190.000.000,00','Katalog   - Nasional','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. SUPER TECHNOLOGY INDONESIA','407830017509000','7 Februari 2024','Rp. 3.190.000.000,00','12 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(420,'47842181','Kab. Bondowoso','Sekretariat DPRD','47842181 - Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','Rp. 71.185.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kantor DPRD Kabupaten Bondowoso','MI8-P2401-8467032','Belanja Makanan dan Minuman Tamu (06.0008)','Rp. 69.909.500,00','Rp. 69.909.500,00','Rp. 69.909.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 69.909.500,00','16 Januari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(421,'48396091','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48396091 - Belanja Modal Personal Computer','E-Purchasing','Rp. 405.300.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','RSUD dr. H. Koesnadi','ETB-P2401-8416933','Belanja Modal Personal Computer','Rp. 393.500.000,00','Rp. 393.500.000,00','Rp. 393.500.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','toga gemilang raya','96.473.953.6-626.000','3 Februari 2024','Rp. 393.500.000,00','22 Januari 2024','24 Januari 2024','24 Januari 2024','3 Februari 2024','','16 Februari 2024 01:23 WIB'),
(422,'48603665','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48603665 - Belanja Modal Alat Kedokteran Umum (BLUD)','E-Purchasing','Rp. 606.102.700,00','47395943    ','48603665, 47395943','RSUD dr. H. Koesnadi Bondowoso','AK1-P2401-8454379','Belanja Modal Alat Kedokteran Umum (BLUD)','Rp. 280.798.920,00','Rp. 280.798.920,00','Rp. 280.798.920,00','Katalog   - Sektoral','E-Purchasing','Proses Kontrak Ppk','PT. MEGA ANDALAN KALASAN','01.852.309.2-542.000','','Rp. 280.798.920,00','24 Januari 2024','31 Januari 2024','31 Januari 2024','','','16 Februari 2024 01:23 WIB'),
(423,'48685407','Kab. Bondowoso','Satuan Polisi Pamong Praja','48685407 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 23.500.000,00','47125461    ','48685407, 47125461','Satuan Polisi Pamong Praja','MI8-P2401-8430327','Belanja Makanan dan Minuman Rapat','Rp. 23.300.000,00','Rp. 23.300.000,00','Rp. 23.300.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. MANDALA ABADI','02.785.002.3-656.000','29 Januari 2024','Rp. 23.300.000,00','25 Januari 2024','26 Januari 2024','29 Januari 2024','29 Januari 2024','','16 Februari 2024 01:23 WIB'),
(424,'48968351','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48968351 - Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','Rp. 500.000.000,00','47412330    ','48968351, 47412330','RSUD dr. H. Koesnadi','FKS-P2402-8472336','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Rp. 19.580.000,00','Rp. 19.580.000,00','Rp. 19.580.000,00','Katalog   - Sektoral','E-Purchasing','Proses Kontrak Ppk','PT Jayamas Medica Industri','020262762641000','7 Februari 2024','Rp. 19.580.000,00','29 Januari 2024','6 Februari 2024','6 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(425,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8516062','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.680.000,00','Rp. 4.680.000,00','Rp. 4.680.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','7 Februari 2024','Rp. 4.680.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(426,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8516384','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 100.363.500,00','Rp. 100.363.500,00','Rp. 100.363.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV SUMBER REZEKI','31.160.919.2-656.000','7 Februari 2024','Rp. 100.363.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(427,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8517346','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.602.000,00','Rp. 4.602.000,00','Rp. 4.602.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. PELITA ALAM NUSANTARA','96.801.546.1-656.000','7 Februari 2024','Rp. 4.602.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(428,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8517768','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 4.132.500,00','Rp. 4.132.500,00','Rp. 4.132.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','CV. RAMA BERSAUDARA','93.696.674.6-656.000','7 Februari 2024','Rp. 4.132.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(429,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518251','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 705.000,00','Rp. 705.000,00','Rp. 705.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 705.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(430,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','TQ6-P2402-8518534','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 63.336.500,00','Rp. 63.336.500,00','Rp. 63.336.500,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.matra global wahana','31.777.216.8-656.000','7 Februari 2024','Rp. 63.336.500,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(431,'48974012','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','48974012 - Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','Rp. 1.457.000.000,00','47492397    ','48974012, 47492397','RSUD dr. H. Koesnadi Bondowoso','MI8-P2402-8518651','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Rp. 20.395.000,00','Rp. 20.395.000,00','Rp. 20.395.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','cv.sumber mitra abadi','75.777.667.9-656.000','7 Februari 2024','Rp. 20.395.000,00','29 Januari 2024','7 Februari 2024','7 Februari 2024','7 Februari 2024','','16 Februari 2024 01:23 WIB'),
(432,'49258675','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','49258675 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 4.935.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8513078','Belanja Makanan dan Minuman Rapat','Rp. 4.410.000,00','Rp. 4.410.000,00','Rp. 0,00','Katalog  ','E-Purchasing','Proses Negosiasi','CV SHANTY','70.488.828.8-656.000','','Rp. 0,00','1 Februari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(433,'49259852','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49259852 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 12.260.000,00','47075834    ','49259852, 47075834','Kabupaten Bondowoso','MI8-P2402-8472222','Belanja Makanan dan Minuman Rapat','Rp. 11.920.000,00','Rp. 11.920.000,00','Rp. 11.920.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 11.920.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(434,'49260743','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','49260743 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 4.935.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8513368','Belanja Makanan dan Minuman Rapat','Rp. 4.410.000,00','Rp. 4.410.000,00','Rp. 0,00','Katalog  ','E-Purchasing','Proses Negosiasi','CV SHANTY','70.488.828.8-656.000','','Rp. 0,00','2 Februari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(435,'49260883','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','49260883 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 3.290.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Bondowoso','MI8-P2402-8513933','Belanja Makanan dan Minuman Rapat','Rp. 2.940.000,00','Rp. 2.940.000,00','Rp. 0,00','Katalog  ','E-Purchasing','Proses Negosiasi','CV SHANTY','70.488.828.8-656.000','','Rp. 0,00','2 Februari 2024','7 Februari 2024','','','','16 Februari 2024 01:23 WIB'),
(436,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2401-8394730','Belanja Makanan dan Minuman Rapat','Rp. 300.409.500,00','Rp. 300.409.500,00','Rp. 300.409.500,00','Katalog   - Lokal','E-Purchasing','Proses Kontrak Ppk','ENNY CATERING','08.764.975.2-656.000','','Rp. 300.409.500,00','1 Februari 2024','18 Januari 2024','18 Januari 2024','','','16 Februari 2024 01:23 WIB'),
(437,'49281122','Kab. Bondowoso','Sekretariat DPRD','49281122 - Belanja Makanan dan Minuman Rapat','E-Purchasing','Rp. 44.915.000,00','47083886    ','49281122, 47083886','Kantor DPRD BONDOWOSO','MI8-P2402-8473734','Belanja Makanan dan Minuman Rapat','Rp. 43.930.000,00','Rp. 43.930.000,00','Rp. 43.930.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','1 Februari 2024','Rp. 43.930.000,00','1 Februari 2024','1 Februari 2024','1 Februari 2024','1 Februari 2024','','16 Februari 2024 01:23 WIB'),
(438,'49413214','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','49413214 - Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','Rp. 6.650.000,00','Tidak Pernah Dilakukan Revisi RUP    ','Tidak Ada.','Kabupaten Bondowoso','MI8-P2402-8490079','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','Rp. 6.505.000,00','Rp. 6.505.000,00','Rp. 6.505.000,00','Katalog   - Lokal','E-Purchasing','Melakukan Pengiriman Dan Penerimaan','ENNY CATERING','08.764.975.2-656.000','5 Februari 2024','Rp. 6.505.000,00','5 Februari 2024','5 Februari 2024','5 Februari 2024','5 Februari 2024','','16 Februari 2024 01:23 WIB');

/*Table structure for table `master_amel_hasilpemilihan` */

DROP TABLE IF EXISTS `master_amel_hasilpemilihan`;

CREATE TABLE `master_amel_hasilpemilihan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) CHARACTER SET latin1 NOT NULL,
  `satker_id` varchar(255) NOT NULL,
  `satker` varchar(255) CHARACTER SET latin1 NOT NULL,
  `namapaket` text CHARACTER SET latin1 NOT NULL,
  `metode_pemilihan` varchar(255) CHARACTER SET latin1 NOT NULL,
  `tanggal_hasil_pemilihan` varchar(255) NOT NULL,
  `status_paket` varchar(255) CHARACTER SET latin1 NOT NULL,
  `nilai_hps` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_amel_hasilpemilihan` */

insert  into `master_amel_hasilpemilihan`(`id`,`rup`,`satker_id`,`satker`,`namapaket`,`metode_pemilihan`,`tanggal_hasil_pemilihan`,`status_paket`,`nilai_hps`) values 
(34,'46456846','155412','155412 - Bagian Pengadaan Barang dan Jasa','Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','8 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 90.000.000,00'),
(35,'46465234','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','8 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 9.200.000,00'),
(36,'46475659','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','2 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 2.760.000,00'),
(37,'46791415','154998','154998 - Sekretariat DPRD','BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 32.240.000,00'),
(38,'46821987','155412','155412 - Bagian Pengadaan Barang dan Jasa','Belanja Sewa Peralatan dan Mesin','E-Purchasing','5 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 99.000.000,00'),
(39,'46949170','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 223.141.500,00'),
(40,'47064668','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 103.615.400,00'),
(41,'47071159','104091','104091 - Dinas Kependudukan dan Pencatatan Sipil','Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','17 Januari 2024','Proses Kontrak Ppk','Rp. 158.300.000,00'),
(42,'47075977','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.697.100,00'),
(43,'47226498','103776','103776 - Satuan Polisi Pamong Praja','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 44.955.000,00'),
(44,'47228579','103776','103776 - Satuan Polisi Pamong Praja','Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 123.876.000,00'),
(45,'47236412','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','19 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 210.000.000,00'),
(46,'47237321','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','19 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 203.130.000,00'),
(47,'47329988','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','24 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 293.207.200,00'),
(48,'47391075','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Obat (E-Purchasing)','E-Purchasing','26 Januari 2024','0/22 Paket Sudah Selesai','Rp. 518.494.777,00'),
(49,'47397190','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','26 Januari 2024','0/19 Paket Sudah Selesai','Rp. 119.520.131,00'),
(50,'47398892','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','26 Januari 2024','0/6 Paket Sudah Selesai','Rp. 29.112.750,00'),
(51,'47405247','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','9 Februari 2024','0/3 Paket Sudah Selesai','Rp. 28.668.050,00'),
(52,'47440138','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','7 Februari 2024','Review Paket','Rp. 18.375.000,00'),
(53,'47441043','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Modal Mebel','E-Purchasing','7 Februari 2024','Review Paket','Rp. 3.100.000,00'),
(54,'47441739','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','7 Februari 2024','Review Paket','Rp. 20.895.000,00'),
(55,'47441985','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 96.425.000,00'),
(56,'47482487','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Electric Generating Set','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 3.190.000.000,00'),
(57,'47842181','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 69.909.500,00'),
(58,'48396091','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Personal Computer','E-Purchasing','24 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 393.500.000,00'),
(59,'48603665','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Alat Kedokteran Umum (BLUD)','E-Purchasing','31 Januari 2024','Proses Kontrak Ppk','Rp. 280.798.920,00'),
(60,'48685407','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','29 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.300.000,00'),
(61,'48968351','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','6 Februari 2024','Proses Kontrak Ppk','Rp. 19.580.000,00'),
(62,'48974012','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','7 Februari 2024','0/7 Paket Sudah Selesai','Rp. 198.214.500,00'),
(63,'49259852','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 11.920.000,00'),
(64,'49281122','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','18 Januari 2024','0/2 Paket Sudah Selesai','Rp. 344.339.500,00'),
(65,'49413214','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 6.505.000,00');

/*Table structure for table `master_amel_kontrak` */

DROP TABLE IF EXISTS `master_amel_kontrak`;

CREATE TABLE `master_amel_kontrak` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `satker_id` varchar(255) NOT NULL,
  `satker` varchar(255) NOT NULL,
  `namapaket` text NOT NULL,
  `metode_pemilihan` varchar(255) NOT NULL,
  `tanggal_kontrak` varchar(255) NOT NULL,
  `status_paket` varchar(255) NOT NULL,
  `nilai_hps` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=75 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_amel_kontrak` */

insert  into `master_amel_kontrak`(`id`,`rup`,`satker_id`,`satker`,`namapaket`,`metode_pemilihan`,`tanggal_kontrak`,`status_paket`,`nilai_hps`) values 
(47,'47480553','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pendingin','Pengadaan Langsung','30 Januari 2024','Berkontrak','Rp. 251.526.000,00'),
(48,'47441985','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 96.425.000,00'),
(49,'46456846','155412','155412 - Bagian Pengadaan Barang dan Jasa','Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 90.000.000,00'),
(50,'46465234','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','12 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 9.200.000,00'),
(51,'46475659','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 2.760.000,00'),
(52,'46791415','154998','154998 - Sekretariat DPRD','BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 32.240.000,00'),
(53,'46821987','155412','155412 - Bagian Pengadaan Barang dan Jasa','Belanja Sewa Peralatan dan Mesin','E-Purchasing','5 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 99.000.000,00'),
(54,'46949170','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','2 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 223.141.500,00'),
(55,'47064668','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 103.615.400,00'),
(56,'47071159','104091','104091 - Dinas Kependudukan dan Pencatatan Sipil','Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','17 Januari 2024','Proses Kontrak Ppk','Rp. 158.300.000,00'),
(57,'47075977','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','2 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.697.100,00'),
(58,'47226498','103776','103776 - Satuan Polisi Pamong Praja','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 44.955.000,00'),
(59,'47228579','103776','103776 - Satuan Polisi Pamong Praja','Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 123.876.000,00'),
(60,'47236412','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','22 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 210.000.000,00'),
(61,'47237321','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','19 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 203.130.000,00'),
(62,'47329988','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','24 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 293.207.200,00'),
(63,'47391075','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Obat (E-Purchasing)','E-Purchasing','29 Januari 2024','0/22 Paket Sudah Selesai','Rp. 471.839.077,00'),
(64,'47397190','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','30 Januari 2024','0/19 Paket Sudah Selesai','Rp. 119.520.131,00'),
(65,'47398892','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','30 Januari 2024','0/6 Paket Sudah Selesai','Rp. 29.112.750,00'),
(66,'47482487','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Electric Generating Set','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 3.190.000.000,00'),
(67,'47842181','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 69.909.500,00'),
(68,'48396091','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Personal Computer','E-Purchasing','3 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 393.500.000,00'),
(69,'48685407','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','29 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.300.000,00'),
(70,'48968351','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','7 Februari 2024','Proses Kontrak Ppk','Rp. 19.580.000,00'),
(71,'48974012','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','7 Februari 2024','0/7 Paket Sudah Selesai','Rp. 198.214.500,00'),
(72,'49259852','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 11.920.000,00'),
(73,'49281122','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','0/2 Paket Sudah Selesai','Rp. 344.339.500,00'),
(74,'49413214','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 6.505.000,00');

/*Table structure for table `master_amel_pemilihan` */

DROP TABLE IF EXISTS `master_amel_pemilihan`;

CREATE TABLE `master_amel_pemilihan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) CHARACTER SET latin1 NOT NULL,
  `satker_id` varchar(255) NOT NULL,
  `satker` varchar(255) CHARACTER SET latin1 NOT NULL,
  `namapaket` text CHARACTER SET latin1 NOT NULL,
  `metode_pemilihan` varchar(255) CHARACTER SET latin1 NOT NULL,
  `tanggal_pemilihan` varchar(255) NOT NULL,
  `status_paket` varchar(255) CHARACTER SET latin1 NOT NULL,
  `nilai_hps` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=95 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_amel_pemilihan` */

insert  into `master_amel_pemilihan`(`id`,`rup`,`satker_id`,`satker`,`namapaket`,`metode_pemilihan`,`tanggal_pemilihan`,`status_paket`,`nilai_hps`) values 
(59,'46456846','155412','155412 - Bagian Pengadaan Barang dan Jasa','Beban Kawat/Faksimili/Internet/TV Berlangganan','E-Purchasing','8 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 90.000.000,00'),
(60,'46465234','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','E-Purchasing','8 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 9.200.000,00'),
(61,'46475659','175022','175022 - Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','E-Purchasing','2 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 2.760.000,00'),
(62,'46791415','154998','154998 - Sekretariat DPRD','BELANJA MAKANAN DAN MINUMAN RAPAT','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 32.240.000,00'),
(63,'46821987','155412','155412 - Bagian Pengadaan Barang dan Jasa','Belanja Sewa Peralatan dan Mesin','E-Purchasing','5 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 99.000.000,00'),
(64,'46949170','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 223.141.500,00'),
(65,'47064668','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 103.615.400,00'),
(66,'47071159','104091','104091 - Dinas Kependudukan dan Pencatatan Sipil','Pengadaan Alat Rekam KTP Elektronik','E-Purchasing','16 Januari 2024','Proses Kontrak Ppk','Rp. 158.300.000,00'),
(67,'47075977','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.697.100,00'),
(68,'47226498','103776','103776 - Satuan Polisi Pamong Praja','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','E-Purchasing','6 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 44.955.000,00'),
(69,'47228579','103776','103776 - Satuan Polisi Pamong Praja','Belanja Pakaian Dinas Lapangan ( PDL )','E-Purchasing','6 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 123.876.000,00'),
(70,'47236412','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa kendaraan Bermotor Penumpang','E-Purchasing','22 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 210.000.000,00'),
(71,'47237321','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa Kendaraan Bermotor Penumpang','E-Purchasing','19 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 203.130.000,00'),
(72,'47237967','103776','103776 - Satuan Polisi Pamong Praja','Belanja Sewa Kendaraan Bermotor Beroda Dua','E-Purchasing','5 Februari 2024','Proses Negosiasi','Rp. 132.750.000,00'),
(73,'47329988','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','24 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 293.207.200,00'),
(74,'47391075','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Obat (E-Purchasing)','E-Purchasing','26 Januari 2024','0/22 Paket Sudah Selesai','Rp. 518.494.777,00'),
(75,'47397190','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','E-Purchasing','26 Januari 2024','0/19 Paket Sudah Selesai','Rp. 119.520.131,00'),
(76,'47398892','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','E-Purchasing','26 Januari 2024','0/6 Paket Sudah Selesai','Rp. 29.112.750,00'),
(77,'47405247','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','E-Purchasing','1 Februari 2024','0/3 Paket Sudah Selesai','Rp. 28.668.050,00'),
(78,'47440138','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','7 Februari 2024','Review Paket','Rp. 18.375.000,00'),
(79,'47441043','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Modal Mebel','E-Purchasing','7 Februari 2024','Review Paket','Rp. 3.100.000,00'),
(80,'47441739','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Dinas Lapangan (PDL)','E-Purchasing','7 Februari 2024','Review Paket','Rp. 20.895.000,00'),
(81,'47441985','104188','104188 - Badan Penanggulangan Bencana Daerah','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 96.425.000,00'),
(82,'47482487','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Electric Generating Set','E-Purchasing','7 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 3.190.000.000,00'),
(83,'47842181','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Tamu (06.0008)','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 69.909.500,00'),
(84,'48396091','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Personal Computer','E-Purchasing','24 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 393.500.000,00'),
(85,'48603665','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Modal Alat Kedokteran Umum (BLUD)','E-Purchasing','31 Januari 2024','Proses Kontrak Ppk','Rp. 280.798.920,00'),
(86,'48685407','103776','103776 - Satuan Polisi Pamong Praja','Belanja Makanan dan Minuman Rapat','E-Purchasing','26 Januari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 23.300.000,00'),
(87,'48968351','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','E-Purchasing','6 Februari 2024','Proses Kontrak Ppk','Rp. 19.580.000,00'),
(88,'48974012','348281','348281 - Rumah Sakit Umum DR. H. Koesnadi','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','E-Purchasing','7 Februari 2024','0/7 Paket Sudah Selesai','Rp. 198.214.500,00'),
(89,'49258675','174876','174876 - Bagian Perencanaan dan Keuangan','Belanja Makanan dan Minuman Rapat','E-Purchasing','7 Februari 2024','Proses Negosiasi','Rp. 4.410.000,00'),
(90,'49259852','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat','E-Purchasing','1 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 11.920.000,00'),
(91,'49260743','174876','174876 - Bagian Perencanaan dan Keuangan','Belanja Makanan dan Minuman Rapat','E-Purchasing','7 Februari 2024','Proses Negosiasi','Rp. 4.410.000,00'),
(92,'49260883','174876','174876 - Bagian Perencanaan dan Keuangan','Belanja Makanan dan Minuman Rapat','E-Purchasing','7 Februari 2024','Proses Negosiasi','Rp. 2.940.000,00'),
(93,'49281122','154998','154998 - Sekretariat DPRD','Belanja Makanan dan Minuman Rapat','E-Purchasing','18 Januari 2024','0/2 Paket Sudah Selesai','Rp. 344.339.500,00'),
(94,'49413214','103613','103613 - Bagian Kesejahteraan Rakyat','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','E-Purchasing','5 Februari 2024','Melakukan Pengiriman Dan Penerimaan','Rp. 6.505.000,00');

/*Table structure for table `master_bidang` */

DROP TABLE IF EXISTS `master_bidang`;

CREATE TABLE `master_bidang` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kode` varchar(25) NOT NULL,
  `deskripsi` varchar(255) NOT NULL,
  `urusan_id` varchar(25) NOT NULL,
  `opd_id` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unBidang` (`kode`),
  KEY `fkMasterBidangUrusanID` (`urusan_id`),
  KEY `fkMasterBidangOpdID` (`opd_id`),
  CONSTRAINT `fkMasterBidangUrusanID` FOREIGN KEY (`urusan_id`) REFERENCES `master_urusan` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_bidang` */

/*Table structure for table `master_kegiatan` */

DROP TABLE IF EXISTS `master_kegiatan`;

CREATE TABLE `master_kegiatan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kode` varchar(25) NOT NULL,
  `kegiatan` varchar(255) NOT NULL,
  `program_id` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unKegiatan` (`kode`),
  KEY `fkKegiatanProgramID` (`program_id`),
  CONSTRAINT `fkKegiatanProgramID` FOREIGN KEY (`program_id`) REFERENCES `master_program` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_kegiatan` */

/*Table structure for table `master_kegiatan_detail` */

DROP TABLE IF EXISTS `master_kegiatan_detail`;

CREATE TABLE `master_kegiatan_detail` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kegiatan_id` varchar(25) NOT NULL,
  `indikator` varchar(25) NOT NULL,
  `lokasi_kegiatan` varchar(255) NOT NULL,
  `target` varchar(255) NOT NULL,
  `sumberdana_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fkKegiatanDetailKegiatanID` (`kegiatan_id`),
  KEY `fkKegiatanDetailSumberdanaID` (`sumberdana_id`),
  CONSTRAINT `fkKegiatanDetailKegiatanID` FOREIGN KEY (`kegiatan_id`) REFERENCES `master_kegiatan` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fkKegiatanDetailSumberdanaID` FOREIGN KEY (`sumberdana_id`) REFERENCES `master_sumberdana` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_kegiatan_detail` */

/*Table structure for table `master_program` */

DROP TABLE IF EXISTS `master_program`;

CREATE TABLE `master_program` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kode` varchar(25) NOT NULL,
  `deskripsi` varchar(255) NOT NULL,
  `bidang_id` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unProgram` (`kode`),
  KEY `fkProgramBidangID` (`bidang_id`),
  CONSTRAINT `fkProgramBidangID` FOREIGN KEY (`bidang_id`) REFERENCES `master_bidang` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_program` */

/*Table structure for table `master_program_detail` */

DROP TABLE IF EXISTS `master_program_detail`;

CREATE TABLE `master_program_detail` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `program_id` varchar(25) NOT NULL,
  `indikator` varchar(255) NOT NULL,
  `lokasi_kegiatan` varchar(255) DEFAULT NULL,
  `target` varchar(255) DEFAULT NULL,
  `sumberdana_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fkSubprogramProgramID` (`program_id`),
  KEY `fkSubprogramSumberdanaID` (`sumberdana_id`),
  CONSTRAINT `fkSubprogramProgramID` FOREIGN KEY (`program_id`) REFERENCES `master_program` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fkSubprogramSumberdanaID` FOREIGN KEY (`sumberdana_id`) REFERENCES `master_sumberdana` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_program_detail` */

/*Table structure for table `master_sirup_lokasi` */

DROP TABLE IF EXISTS `master_sirup_lokasi`;

CREATE TABLE `master_sirup_lokasi` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `provinsi` text NOT NULL,
  `kabupaten` text NOT NULL,
  `detail_lokasi` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11468 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sirup_lokasi` */

insert  into `master_sirup_lokasi`(`id`,`rup`,`provinsi`,`kabupaten`,`detail_lokasi`) values 
(151,'47346801','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(152,'47347815','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(153,'47349508','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(154,'47349957','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kabupaten Bondowoso'),
(155,'47351157','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(156,'47352238','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(157,'47352433','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(158,'47352950','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kabupaten Bondowoso'),
(159,'47353441','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(160,'47353796','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(161,'47355097','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(162,'47356872','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kabupaten Bondowoso'),
(163,'47357486','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(164,'47358666','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(165,'47358883','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(166,'47359649','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(167,'47359851','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(168,'47360884','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(169,'47361206','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(170,'47361807','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(171,'47362407','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(172,'47367004','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(173,'47368327','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(174,'47368756','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(175,'47369914','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(176,'47372104','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(177,'47372896','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(178,'47373184','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(179,'47374101','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(180,'47375939','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(181,'47376846','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(182,'47378392','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(183,'47381311','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(184,'47381326','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(185,'47381846','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(186,'47382304','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(187,'47382793','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(188,'47390334','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(189,'47390707','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(190,'47391179','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(191,'47391434','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(192,'47391945','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(193,'47392505','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(194,'47392772','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(195,'47393168','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(196,'47427513','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(197,'47428408','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(198,'47428894','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(199,'47430419','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(200,'47431869','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(201,'47458101','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(202,'47458283','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(203,'47458439','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(204,'47458606','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(205,'47458906','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(206,'47460877','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(207,'47461317','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(208,'47461435','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(209,'47461779','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(210,'47461817','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(211,'47462206','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(212,'47464491','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(213,'47465297','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(214,'47465960','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(215,'47466551','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(216,'47467564','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(217,'47468095','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(218,'47468366','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(219,'47468447','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(220,'47469070','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(221,'47469749','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(222,'47471214','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(223,'47471933','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(224,'47473077','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(225,'47473478','Jawa Timur','Bondowoso (Kab.)','1BKPSDM Kab.Bondowoso'),
(226,'47474699','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(227,'47474872','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(228,'47475159','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(229,'47476069','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(230,'47476573','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(231,'47484465','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(232,'47490303','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(233,'47490315','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(234,'47492784','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(235,'47492821','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(236,'47493460','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(237,'47494081','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(238,'47494272','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(239,'47495316','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(240,'47503942','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(241,'47512192','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(242,'47512656','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(243,'47513209','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(244,'47513459','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(245,'47514035','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(246,'47515374','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(247,'47516435','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(248,'47517451','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(249,'47518147','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(250,'47544256','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(251,'47544600','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(252,'47545192','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(253,'47664783','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(254,'47666471','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(255,'47667471','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(256,'36109632','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(257,'36110565','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(258,'36110739','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(259,'36110855','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(260,'36110951','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(261,'36111002','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(262,'36111510','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(263,'36111571','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(264,'36111621','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(265,'36111935','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(266,'36113127','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kabupaten Bondowoso'),
(267,'36113735','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kabupaten Bondowoso'),
(268,'36114007','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(269,'36118076','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(270,'36118589','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(271,'36119340','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(272,'36119730','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(273,'36125879','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(274,'36140070','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(275,'36140269','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAB. BONDOWOSO'),
(276,'36153119','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(277,'36153762','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(278,'36154725','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(279,'36154864','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(280,'36154875','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(281,'36154937','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(282,'36154968','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(283,'36155014','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(284,'36155300','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(285,'36155422','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(286,'36155767','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(287,'36155813','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(288,'36155873','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(289,'36155990','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(290,'36156011','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(291,'36156107','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(292,'36156195','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(293,'36157933','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(294,'36158727','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(295,'36159097','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(296,'36159670','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(297,'36160073','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(298,'36160085','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(299,'36162502','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(300,'36162679','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(301,'36162888','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(302,'36163158','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(303,'36163758','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(304,'36163931','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(305,'36164075','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(306,'36164307','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(307,'36166367','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(308,'36166474','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(309,'36167663','Jawa Timur','Bondowoso (Kab.)','BKPSDM KAb. Bondowoso'),
(310,'36170403','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab. Bondowoso'),
(311,'36174262','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(312,'36174382','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(313,'36174575','Jawa Timur','Bondowoso (Kab.)','BKPSDM BONDOWOSO'),
(314,'36175791','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(315,'36175958','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(316,'36184799','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(317,'36184893','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(318,'36184941','Jawa Timur','Bondowoso (Kab.)','BKPSDM Kab.Bondowoso'),
(319,'47567046','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(320,'47567047','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(321,'47567048','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(322,'47567049','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(323,'47567050','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(324,'47567051','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(325,'47567052','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(326,'47567053','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(327,'47567054','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(328,'47567055','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(329,'47567056','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(330,'47567057','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(331,'47567058','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(332,'47567059','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(333,'47567060','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(334,'47567061','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(335,'47567062','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(336,'47567063','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(337,'47567064','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(338,'47567065','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(339,'47567066','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(340,'47567067','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(341,'47567068','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(342,'47567069','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(343,'47567070','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(344,'47567071','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(345,'47567072','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(346,'47567073','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(347,'47567074','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(348,'47567075','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(349,'47567076','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(350,'47567077','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(351,'47567078','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(352,'47567079','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(353,'47567080','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(354,'47567081','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(355,'47567082','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(356,'47567083','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(357,'47567084','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(358,'47567085','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(359,'47567086','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(360,'47567087','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(361,'47567088','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(362,'47567089','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(363,'47567090','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(364,'47567091','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(365,'47567092','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(366,'47567093','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(367,'47567094','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(368,'47567096','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(369,'47567097','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(370,'47567098','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(371,'47567099','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(372,'47567100','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(373,'47567101','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(374,'47567102','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(375,'47567103','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(376,'47567104','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(377,'47567105','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(378,'47567106','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(379,'47567107','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(380,'47567108','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(381,'47567109','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(382,'47567110','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(383,'47567111','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(384,'47567112','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(385,'47567113','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(386,'47567114','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(387,'47567115','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(388,'47567116','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(389,'47567117','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(390,'47567118','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(391,'47567119','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(392,'47567120','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(393,'47567121','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(394,'47571839','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(395,'47571840','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(396,'47571841','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(397,'47571842','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(398,'47571963','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(399,'47571964','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(400,'47571965','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(401,'47571966','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(402,'47571997','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(403,'47571998','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(404,'47571999','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(405,'47572000','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(406,'47572161','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(407,'47572162','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(408,'47572163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(409,'47572164','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(410,'47572165','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(411,'47572166','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(412,'47572167','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(413,'47572168','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(414,'47572169','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(415,'47572170','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(416,'47572171','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(417,'47572172','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(418,'47572173','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(419,'47572174','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(420,'47572175','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(421,'47572176','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(422,'47572177','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(423,'47572178','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(424,'47572179','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(425,'47572180','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(426,'47572599','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(427,'47572600','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(428,'47572601','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(429,'47572602','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(430,'47572603','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(431,'47572604','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(432,'47572605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(433,'47572606','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(434,'47572607','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(435,'47572608','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(436,'47572609','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(437,'47572610','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(438,'47572611','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(439,'47572612','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(440,'47572613','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(441,'47572614','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(442,'47572615','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(443,'47572616','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(444,'47572617','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(445,'47572618','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(446,'47572619','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(447,'47572620','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(448,'47572621','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(449,'47572622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(450,'47572623','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(451,'47572624','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(452,'47572625','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(453,'47572626','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(454,'47572627','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(455,'47572628','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(456,'47572629','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(457,'47572630','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(458,'47572631','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(459,'47572632','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(460,'47572633','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(461,'47572634','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(462,'47572635','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(463,'47572636','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(464,'47572637','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(465,'47572638','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(466,'47572639','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(467,'47572640','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(468,'47572641','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(469,'47572642','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(470,'47572643','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(471,'47572644','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(472,'47572645','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(473,'47572646','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(474,'47572647','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(475,'47572648','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(476,'47572649','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(477,'47572650','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(478,'47572651','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(479,'47572652','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(480,'47572653','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(481,'47572654','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(482,'47575592','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(483,'47575593','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(484,'47575594','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(485,'47575595','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(486,'47575596','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(487,'47575597','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(488,'47575599','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(489,'47575600','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(490,'47575601','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(491,'47575602','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(492,'47575603','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(493,'47575604','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(494,'47575605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(495,'47575607','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(496,'47575608','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(497,'47575609','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(498,'47575610','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(499,'47575611','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(500,'47575776','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(501,'47575778','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(502,'47575779','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(503,'47575780','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(504,'47575781','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(505,'47575782','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(506,'47575783','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(507,'47575784','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(508,'47575785','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(509,'47575786','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(510,'47575787','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(511,'47575788','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(512,'47575789','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(513,'47575790','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(514,'47575791','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(515,'47575792','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(516,'47575793','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(517,'47575795','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(518,'47575796','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(519,'47575861','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(520,'47575862','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(521,'47575863','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(522,'47575864','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(523,'47575895','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(524,'47575896','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(525,'47575897','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(526,'47575898','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(527,'47575912','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(528,'47575913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(529,'47575914','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(530,'47575915','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(531,'47578974','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(532,'47578975','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(533,'47578976','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(534,'47578977','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(535,'47578978','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(536,'47578979','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(537,'47578980','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(538,'47578981','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(539,'47578982','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(540,'47578983','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(541,'47578984','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(542,'47578985','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(543,'47578986','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(544,'47578987','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(545,'47579060','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(546,'47579061','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(547,'47579062','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(548,'47579063','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(549,'47579064','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(550,'47579065','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(551,'47579066','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(552,'47579067','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(553,'47579068','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(554,'47579070','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(555,'47579071','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(556,'47579140','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(557,'47579141','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(558,'47579142','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(559,'47579143','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(560,'47579144','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(561,'47579145','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(562,'47579146','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(563,'47579147','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(564,'47579148','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(565,'47579149','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(566,'47579150','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(567,'47579151','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(568,'47579152','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(569,'47579153','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(570,'47579154','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(571,'47579155','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(572,'47579156','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(573,'47579157','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(574,'47579158','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(575,'47579159','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(576,'47579160','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(577,'47579161','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(578,'47579162','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(579,'47579163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(580,'47579164','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(581,'47579165','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(582,'47579166','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(583,'47579200','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(584,'47579202','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(585,'47579203','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(586,'47579204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(587,'47579213','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(588,'47579214','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(589,'47579215','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(590,'47579216','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(591,'47580334','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(592,'47580335','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(593,'47580336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(594,'47580337','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(595,'47580338','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(596,'47580339','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(597,'47580340','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(598,'47580341','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(599,'47580342','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(600,'47580343','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(601,'47580344','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(602,'47580345','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(603,'47580346','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(604,'47580348','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(605,'47580417','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(606,'47580418','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(607,'47580419','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(608,'47580420','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(609,'47580421','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(610,'47580422','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(611,'47580466','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(612,'47580467','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(613,'47580468','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(614,'47580469','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(615,'47580470','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(616,'47580471','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(617,'47580472','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(618,'47580473','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(619,'47580474','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(620,'47580486','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(621,'47580487','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(622,'47580488','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(623,'47580489','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(624,'47580490','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(625,'47581636','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(626,'47581639','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(627,'47581640','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(628,'47581646','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(629,'47581648','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(630,'47581650','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(631,'47581653','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(632,'47581655','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(633,'47581660','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(634,'47581663','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(635,'47581666','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(636,'47581670','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(637,'47581676','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(638,'47581679','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(639,'47581680','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(640,'47581682','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(641,'47581694','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(642,'47581696','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(643,'47581697','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(644,'47581700','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(645,'47581701','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(646,'47581702','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(647,'47581703','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(648,'47581704','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(649,'47581706','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(650,'47581708','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(651,'47581710','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(652,'47581711','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(653,'47581713','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(654,'47581715','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(655,'47581716','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(656,'47581717','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(657,'47581718','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(658,'47581720','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(659,'47581721','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(660,'47581723','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(661,'47581724','Jawa Timur','Bojonegoro (Kab.)','Bondowoso'),
(662,'47581726','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(663,'47581727','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(664,'47581728','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(665,'47581730','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(666,'47581731','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(667,'47581732','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(668,'47581733','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(669,'47581734','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(670,'47581736','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(671,'47581737','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(672,'47581740','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(673,'47581742','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(674,'47581818','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(675,'47581819','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(676,'47581820','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(677,'47581821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(678,'47581822','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(679,'47581823','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(680,'47581824','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(681,'47581825','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(682,'47581826','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(683,'47581827','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(684,'47581828','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(685,'47581903','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(686,'47581904','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(687,'47581905','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(688,'47581906','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(689,'47581907','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(690,'47581908','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(691,'47581909','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(692,'47581910','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(693,'47581911','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(694,'47581912','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(695,'47581913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(696,'47581927','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(697,'47581928','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(698,'47581929','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(699,'47581930','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(700,'47581931','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(701,'47581932','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(702,'47581933','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(703,'47581934','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(704,'47581954','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(705,'47581955','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(706,'47581956','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(707,'47581957','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(708,'47581958','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(709,'47581959','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(710,'47581960','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(711,'47581961','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(712,'47584019','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(713,'47584134','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(714,'47584152','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(715,'47584153','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(716,'47584154','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(717,'47584155','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(718,'47584156','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(719,'47584157','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(720,'47584158','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(721,'47584159','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(722,'47584160','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(723,'47584163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(724,'47584164','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(725,'47584165','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(726,'47584166','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(727,'47584167','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(728,'47584168','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(729,'47584169','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(730,'47584170','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(731,'47584171','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(732,'47584172','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(733,'47584173','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(734,'47584174','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(735,'47584175','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(736,'47584176','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(737,'47584177','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(738,'47584178','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(739,'47584183','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(740,'47584184','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(741,'47584185','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(742,'47584186','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(743,'47584187','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(744,'47584188','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(745,'47584189','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(746,'47584190','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(747,'47584191','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(748,'47584193','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(749,'47584194','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(750,'47584195','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(751,'47584196','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(752,'47584197','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(753,'47584198','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(754,'47584199','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(755,'47584200','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(756,'47584201','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(757,'47584204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(758,'47584205','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(759,'47584206','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(760,'47584207','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(761,'47584208','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(762,'47584209','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(763,'47584210','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(764,'47584211','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(765,'47584212','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(766,'47584217','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(767,'47584218','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(768,'47584219','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(769,'47584220','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(770,'47584221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(771,'47584222','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(772,'47584223','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(773,'47584224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(774,'47584225','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(775,'47584226','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(776,'47584228','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(777,'47584229','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(778,'47584230','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(779,'47584231','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(780,'47584232','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(781,'47584233','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(782,'47584234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(783,'47584235','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(784,'47584236','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(785,'47584237','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(786,'47584238','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(787,'47584239','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(788,'47584240','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(789,'47584241','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(790,'47584242','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(791,'47584243','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(792,'47584244','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(793,'47584245','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(794,'47584246','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(795,'47584247','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(796,'47584268','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(797,'47584269','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(798,'47584270','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(799,'47584271','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(800,'47584272','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(801,'47584273','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(802,'47584274','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(803,'47584275','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(804,'47584276','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(805,'47584277','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(806,'47584303','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(807,'47584304','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(808,'47584305','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(809,'47584306','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(810,'47584307','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(811,'47584308','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(812,'47584309','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(813,'47584310','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(814,'47584311','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(815,'47584312','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(816,'47584320','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(817,'47584321','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(818,'47584322','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(819,'47584323','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(820,'47584324','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(821,'47584325','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(822,'47584326','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(823,'47584327','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(824,'47584328','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(825,'47584329','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(826,'47584330','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(827,'47584331','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(828,'47584332','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(829,'47584333','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(830,'47584334','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(831,'47584335','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(832,'47584336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(833,'47584337','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(834,'47584338','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(835,'47584339','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(836,'47584359','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(837,'47584360','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(838,'47584361','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(839,'47584362','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(840,'47584363','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(841,'47584364','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(842,'47584365','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(843,'47584366','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(844,'47584367','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(845,'47584368','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(846,'47584369','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(847,'47584370','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(848,'47584371','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(849,'47584372','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(850,'47584373','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(851,'47584374','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(852,'47584375','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(853,'47584376','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(854,'47584378','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(855,'47584379','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(856,'47584380','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(857,'47584381','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(858,'47584383','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(859,'47584384','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(860,'47584385','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(861,'47584386','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(862,'47584387','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(863,'47584388','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(864,'47584389','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(865,'47584390','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(866,'47584391','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(867,'47584392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(868,'47584393','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(869,'47584394','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(870,'47584396','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(871,'47584397','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(872,'47584398','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(873,'47584399','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(874,'47584400','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(875,'47584401','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(876,'47584402','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(877,'47786924','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(878,'48175411','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(879,'48176764','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(880,'36195215','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(881,'36195216','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(882,'36195217','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(883,'36195218','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(884,'36195219','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(885,'36195220','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(886,'36195221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(887,'36195222','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(888,'36195223','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(889,'36195224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(890,'36195225','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(891,'36195226','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(892,'36195227','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(893,'36195228','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(894,'36195229','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(895,'36195230','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(896,'36195231','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(897,'36195232','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(898,'36195233','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(899,'36195234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(900,'36195235','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(901,'36195236','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(902,'36195237','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(903,'36195238','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(904,'36195239','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(905,'36195240','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(906,'36195241','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(907,'36195243','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(908,'36195244','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(909,'36195245','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(910,'36195246','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(911,'36195247','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(912,'36195248','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(913,'36195249','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(914,'36195250','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(915,'36195251','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(916,'36195252','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(917,'36195253','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(918,'36195254','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(919,'36195255','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(920,'36195257','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(921,'36195258','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(922,'36195259','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(923,'36195260','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(924,'36195261','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(925,'36195262','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(926,'36195263','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(927,'36195264','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(928,'36195265','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(929,'36195266','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(930,'36195267','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(931,'36195268','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(932,'36195269','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(933,'36195270','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(934,'36195271','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(935,'36195272','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(936,'36195273','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(937,'36195274','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(938,'36195275','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(939,'36195276','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(940,'36195277','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(941,'36195278','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(942,'36195279','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(943,'36195280','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(944,'36195281','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(945,'36195282','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(946,'36195283','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(947,'36195284','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(948,'36195285','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(949,'36195286','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(950,'36195287','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(951,'36195288','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(952,'36198528','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(953,'36198529','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(954,'36198530','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(955,'36198531','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(956,'36198532','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(957,'36198534','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(958,'36198535','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(959,'36198536','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(960,'36199199','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(961,'36199200','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(962,'36199201','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(963,'36199202','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(964,'36199204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(965,'36199205','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(966,'36199206','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(967,'36199207','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(968,'36199208','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(969,'36199209','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(970,'36199210','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(971,'36199211','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(972,'36199212','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(973,'36199213','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(974,'36199214','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(975,'36199215','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(976,'36199216','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(977,'36199217','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(978,'36199218','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(979,'36199219','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(980,'36199220','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(981,'36199221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(982,'36199222','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(983,'36200709','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(984,'36200710','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(985,'36200711','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(986,'36200712','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(987,'36200713','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(988,'36200714','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(989,'36200715','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(990,'36200716','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(991,'36200717','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(992,'36200718','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(993,'36200719','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(994,'36200720','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(995,'36200721','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(996,'36200722','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(997,'36200723','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(998,'36200724','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(999,'36200725','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1000,'36200816','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1001,'36200817','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1002,'36200818','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1003,'36200819','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1004,'36200820','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1005,'36200821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1006,'36200822','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1007,'36200823','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1008,'36200824','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1009,'36200825','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1010,'36200826','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1011,'36200827','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1012,'36202104','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1013,'36202105','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1014,'36202106','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1015,'36202107','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1016,'36202108','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1017,'36202109','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1018,'36202110','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1019,'36202111','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1020,'36202112','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1021,'36202113','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1022,'36202114','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1023,'36202115','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1024,'36202116','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1025,'36202148','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1026,'36202149','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1027,'36202150','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1028,'36202151','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1029,'36202152','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1030,'36202153','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1031,'36202154','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1032,'36202155','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1033,'36202156','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1034,'36202157','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1035,'36202158','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1036,'36202159','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1037,'36202194','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1038,'36202195','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1039,'36202196','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1040,'36202197','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1041,'36202198','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1042,'36202199','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1043,'36202200','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1044,'36202201','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1045,'36202202','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1046,'36202203','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1047,'36202204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1048,'36202205','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1049,'36202206','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1050,'36202207','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1051,'36202208','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1052,'36202792','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1053,'36202793','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1054,'36202794','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1055,'36202795','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1056,'36202796','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1057,'36202797','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1058,'36202798','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1059,'36202853','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1060,'36202879','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1061,'36202892','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1062,'36203389','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1063,'36203390','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1064,'36203393','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1065,'36203394','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1066,'36203395','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1067,'36203398','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1068,'36203399','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1069,'36203400','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1070,'36203403','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1071,'36203405','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1072,'36203407','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1073,'36203409','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1074,'36203410','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1075,'36203411','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1076,'36203412','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1077,'36203419','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1078,'36203422','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1079,'36203423','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1080,'36203427','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1081,'36203432','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1082,'36203433','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1083,'36203435','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1084,'36203437','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1085,'36203439','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1086,'36203481','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1087,'36203482','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1088,'36203483','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1089,'36203484','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1090,'36203485','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1091,'36203486','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1092,'36203487','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1093,'36203488','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1094,'36203489','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1095,'36203490','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1096,'36203491','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1097,'36203492','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1098,'36203493','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1099,'36203494','Jawa Timur','Bojonegoro (Kab.)','Bondowoso'),
(1100,'36203519','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1101,'36203520','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1102,'36203521','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1103,'36203522','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1104,'36203523','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1105,'36203524','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1106,'36203525','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1107,'36203526','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1108,'36203527','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1109,'36203528','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1110,'36203529','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1111,'36203530','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1112,'36204901','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1113,'36204902','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1114,'36204904','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1115,'36204905','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1116,'36204907','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1117,'36204908','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1118,'36204909','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1119,'36204910','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1120,'36204911','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1121,'36204912','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1122,'36204948','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1123,'36204949','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1124,'36204950','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1125,'36204952','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1126,'36204953','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1127,'36204954','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1128,'36204955','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1129,'36204956','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1130,'36204957','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1131,'36204961','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1132,'36204970','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1133,'36204971','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1134,'36204972','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1135,'36204974','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1136,'36204975','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1137,'36204976','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1138,'36204978','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1139,'36204980','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1140,'36204983','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1141,'36204985','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1142,'36204991','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1143,'36204992','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1144,'36204993','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1145,'36204994','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1146,'47330695','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1147,'47330696','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1148,'47330697','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1149,'47335031','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1150,'47335033','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1151,'47335035','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1152,'47335713','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1153,'47335714','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1154,'47335715','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1155,'47335716','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1156,'47335717','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1157,'47335718','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1158,'47348890','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1159,'47348891','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1160,'47348892','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1161,'47348894','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1162,'47348895','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1163,'47348896','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1164,'47348898','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1165,'47348900','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1166,'47348903','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1167,'47348905','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1168,'47372696','Jawa Timur','Bondowoso (Kab.)','Badan Penanggulangan Bencana Daerah'),
(1169,'47372697','Jawa Timur','Bondowoso (Kab.)','Badan Penanggulangan Bencana Daerah'),
(1170,'47372698','Jawa Timur','Bondowoso (Kab.)','Badan Penanggulangan Bencana Daerah'),
(1171,'47375394','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1172,'47375396','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1173,'47375398','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1174,'47430786','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1175,'47431550','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1176,'47432068','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1177,'47432714','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1178,'47433328','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1179,'47433337','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1180,'47433850','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1181,'47434137','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1182,'47434141','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1183,'47434641','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1184,'47434888','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1185,'47435090','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1186,'47437199','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1187,'47437492','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1188,'47437525','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1189,'47437684','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1190,'47438002','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1191,'47438152','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1192,'47438517','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1193,'47439089','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1194,'47439319','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1195,'47439506','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1196,'47439765','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1197,'47439967','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1198,'47440009','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1199,'47440031','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1200,'47440138','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1201,'47440249','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1202,'47440288','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1203,'47440760','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1204,'47440855','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1205,'47440868','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1206,'47440976','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1207,'47441043','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1208,'47441054','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1209,'47441111','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1210,'47441207','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1211,'47441291','Jawa Tengah','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1212,'47441466','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1213,'47441628','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1214,'47441739','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1215,'47441953','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1216,'47441985','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1217,'47442326','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1218,'47442343','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1219,'47442553','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1220,'47442716','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1221,'47442852','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1222,'47443096','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1223,'47443154','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1224,'47443206','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1225,'47444133','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1226,'47444155','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1227,'47444198','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1228,'47444288','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1229,'47444365','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1230,'47444379','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1231,'47444585','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1232,'47444646','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1233,'47444683','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1234,'47444807','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1235,'47444844','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1236,'47445065','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1237,'47445079','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1238,'47445136','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1239,'47445144','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1240,'47445163','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1241,'47445204','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1242,'47445239','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1243,'47445336','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1244,'47445346','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1245,'47445434','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1246,'47445476','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1247,'47445611','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1248,'47445646','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1249,'47445732','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1250,'47613058','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1251,'47613059','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1252,'47613561','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1253,'47613787','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1254,'47614529','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1255,'47614530','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1256,'47614531','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1257,'47614532','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1258,'47615442','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1259,'47615443','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1260,'47617067','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1261,'47617747','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1262,'47617748','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1263,'47617749','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1264,'47620855','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1265,'47620856','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1266,'47620857','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1267,'47620858','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1268,'47622027','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1269,'47622466','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1270,'47622467','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1271,'36100562','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1272,'36100563','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1273,'36102130','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1274,'36102454','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1275,'36102455','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1276,'36108132','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(1277,'36108134','Jawa Timur','Gresik (Kab.)','bondowoso'),
(1278,'36108135','Jawa Timur','Gresik (Kab.)','bondowoso'),
(1279,'36139983','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1280,'36140915','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1281,'36142724','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1282,'36142880','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1283,'36143033','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1284,'36143040','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1285,'36143203','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1286,'36143318','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1287,'36143423','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1288,'36143680','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1289,'36143789','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1290,'36144414','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1291,'36144428','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1292,'36144557','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1293,'36144780','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1294,'36145499','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1295,'36145569','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1296,'36145665','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1297,'36145713','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1298,'36145741','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1299,'36145784','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1300,'36145829','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1301,'36145859','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1302,'36146088','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1303,'36146095','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1304,'36146259','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1305,'36146289','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1306,'36146304','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1307,'36146352','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1308,'36146420','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1309,'36146499','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1310,'36146547','Jawa Timur','Bondowoso (Kab.)','Jl. Mastrip No. 237 Bondowoso'),
(1311,'36146673','Jawa Timur','Bondowoso (Kab.)','Jalan Mastrip No 237'),
(1312,'36218727','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1313,'36218728','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1314,'36219938','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1315,'36219939','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1316,'36219941','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1317,'36220245','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1318,'36220246','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1319,'36220247','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1320,'36220248','Jawa Timur','Bondowoso (Kab.)','Bpbd Kabupaten Bondowoso'),
(1321,'47027908','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1322,'47028341','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1323,'47028770','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1324,'47029732','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1325,'47030125','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1326,'47030458','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1327,'47036473','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1328,'47037776','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1329,'47039317','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1330,'47039983','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1331,'47043598','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1332,'47045281','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1333,'47050163','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1334,'47051723','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1335,'47052118','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1336,'47269643','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1337,'47284155','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1338,'47284911','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1339,'47285350','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1340,'47285967','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1341,'47293655','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1342,'47294624','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1343,'47295408','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1344,'47297812','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1345,'47298401','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1346,'47298848','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1347,'47327229','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1348,'47327568','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1349,'47327760','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1350,'47329149','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1351,'47333730','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1352,'47334782','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1353,'47338803','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1354,'47339531','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1355,'47340479','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1356,'47345390','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1357,'47346001','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1358,'47346763','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1359,'47352301','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1360,'35994398','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1361,'35995051','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1362,'35995594','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1363,'35995716','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1364,'35996875','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1365,'35997381','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1366,'35997712','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1367,'35998075','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1368,'35998173','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1369,'35999006','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1370,'35999311','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1371,'35999455','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1372,'35999491','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1373,'35999536','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1374,'36083624','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1375,'36085579','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1376,'36085900','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1377,'36086242','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1378,'36086444','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1379,'36086721','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1380,'36086903','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1381,'36087057','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1382,'36087273','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1383,'36089964','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1384,'36107924','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1385,'36108274','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1386,'36108559','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1387,'36109238','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1388,'36109652','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1389,'36109852','Jawa Timur','Bondowoso (Kab.)','Jl. Khairil Anwar No.297, Badean, Kec. Bondowoso'),
(1390,'47224879','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1391,'47225678','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1392,'47226709','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1393,'47230958','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1394,'47235130','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1395,'47236261','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1396,'47238054','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1397,'47240090','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1398,'47241168','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1399,'47242491','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1400,'47244522','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1401,'47263397','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1402,'47263680','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1403,'47264028','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1404,'47264445','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1405,'47266943','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1406,'47270484','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1407,'47271226','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1408,'47271586','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1409,'47272012','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1410,'47272519','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1411,'47274335','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1412,'47275290','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1413,'47276060','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1414,'47276462','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1415,'47277317','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1416,'47280002','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1417,'47280790','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1418,'47281119','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1419,'47281459','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1420,'47281872','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1421,'47282628','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1422,'47285960','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1423,'47286424','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1424,'47286836','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1425,'47287241','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1426,'47287605','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1427,'47291439','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1428,'47292490','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1429,'47298614','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1430,'47298971','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1431,'47299735','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1432,'47300156','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1433,'47301073','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1434,'47301922','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1435,'47302289','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1436,'47303301','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1437,'47303735','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1438,'47304300','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1439,'47305535','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1440,'47307256','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1441,'47307333','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1442,'47307412','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1443,'47307703','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1444,'47307813','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1445,'47307885','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1446,'47308088','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1447,'47308170','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1448,'47308225','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1449,'47308332','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1450,'47308444','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1451,'47308646','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1452,'47308976','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1453,'47309047','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1454,'47309133','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1455,'47309204','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1456,'47309456','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1457,'47456573','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1458,'47456597','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1459,'47456652','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1460,'47456824','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1461,'47456884','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1462,'47456893','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1463,'47456901','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1464,'47456924','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1465,'47456935','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1466,'47456942','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1467,'47457042','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1468,'47457051','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1469,'47457123','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1470,'47457132','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1471,'47457136','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1472,'47457195','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1473,'47457220','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1474,'47457255','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1475,'47457293','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1476,'47457302','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1477,'47457330','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1478,'47457339','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1479,'47457366','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1480,'47457394','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1481,'47457492','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1482,'47463886','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1483,'47464881','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1484,'47465223','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1485,'47465406','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1486,'47465763','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1487,'47465955','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1488,'47466140','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1489,'47466566','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1490,'47467191','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1491,'47467703','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1492,'47468698','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1493,'47477445','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1494,'47478217','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1495,'47478794','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1496,'47479067','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1497,'47479380','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1498,'47482111','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1499,'47482872','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1500,'47484357','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1501,'47485550','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1502,'47485856','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1503,'47486622','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1504,'47486848','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1505,'47487112','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1506,'47487454','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1507,'36064429','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1508,'36068968','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1509,'36077116','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1510,'36077357','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1511,'36077442','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1512,'36077605','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1513,'36077715','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1514,'36080475','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1515,'36080702','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1516,'36082613','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1517,'36082732','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1518,'36082821','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1519,'36084248','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1520,'36084367','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1521,'36084487','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1522,'36084611','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1523,'36084781','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1524,'36085898','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1525,'36086047','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1526,'36086254','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1527,'36086384','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1528,'36086533','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1529,'36087433','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1530,'36090159','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1531,'36090675','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1532,'36091300','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1533,'36091357','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1534,'36091414','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1535,'36091983','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1536,'36092014','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1537,'36092036','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1538,'36092060','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1539,'36092445','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1540,'36092476','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1541,'36092658','Jawa Timur','Bondowoso (Kab.)','BPKAD'),
(1542,'36152014','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1543,'36152017','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1544,'36152027','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1545,'36152028','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1546,'36152053','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1547,'36152058','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1548,'36152060','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1549,'36152088','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1550,'36152091','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1551,'36152092','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1552,'36152137','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1553,'36152146','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1554,'36152150','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1555,'36152181','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1556,'36152183','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1557,'36152193','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1558,'36152212','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1559,'36152229','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1560,'36152233','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1561,'36152290','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1562,'36152292','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1563,'36152295','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(1564,'36152308','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(1565,'36152327','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(1566,'36152338','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(1567,'36152340','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(1568,'36154948','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1569,'36155013','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1570,'36155358','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1571,'36155536','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1572,'36155642','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1573,'36156837','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1574,'36162117','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1575,'36162373','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1576,'36162662','Jawa Timur','Bondowoso (Kab.)','BPKAD Kabupaten Bondowoso'),
(1577,'46463636','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1578,'46463926','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1579,'46464152','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1580,'46464740','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1581,'46464796','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1582,'46465234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1583,'46465382','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1584,'46466390','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1585,'46466752','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1586,'46467104','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1587,'46467997','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1588,'46468441','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1589,'46468585','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1590,'46468704','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1591,'46468963','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1592,'46469351','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1593,'46469797','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1594,'46471321','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1595,'46471833','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1596,'46472147','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1597,'46472371','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1598,'46472478','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1599,'46472586','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1600,'46472754','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1601,'46473033','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1602,'46473341','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1603,'46473602','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1604,'46473913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1605,'46474404','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1606,'46474503','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1607,'46474775','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1608,'46475528','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1609,'46475659','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1610,'46486234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1611,'46487199','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1612,'46488035','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1613,'46535875','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1614,'46536252','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1615,'46536594','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1616,'46536880','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1617,'46537113','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1618,'46548289','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1619,'46548525','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1620,'46548696','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1621,'46579957','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1622,'46580060','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1623,'46580150','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1624,'46580706','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1625,'46581204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1626,'46581544','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1627,'46581656','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1628,'46581821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1629,'46581866','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1630,'46581951','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1631,'46581974','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1632,'46582427','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1633,'46586734','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1634,'46587479','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1635,'46588118','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1636,'46588397','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1637,'46588693','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1638,'46589221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1639,'46590879','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1640,'46590903','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1641,'46591284','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1642,'46591466','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1643,'46591680','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1644,'46591859','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1645,'46592119','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1646,'46592335','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1647,'46592603','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1648,'46597904','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1649,'46600836','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1650,'46602274','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1651,'46602998','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1652,'46603941','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1653,'46604235','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1654,'46604758','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1655,'46605202','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1656,'46605333','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1657,'46605485','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1658,'46605659','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1659,'46606993','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1660,'46607326','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1661,'46607543','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1662,'46607814','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1663,'46608239','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1664,'46608383','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1665,'46609136','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1666,'46610696','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1667,'46611024','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1668,'46623796','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1669,'46623832','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1670,'46623892','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1671,'46623931','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1672,'46624289','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1673,'46624330','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1674,'46624356','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1675,'46624386','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1676,'46625828','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1677,'46625852','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1678,'46625874','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1679,'46625907','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1680,'46637404','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1681,'46637451','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1682,'46646745','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1683,'46646851','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1684,'46646889','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1685,'46646906','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1686,'46646940','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1687,'46647060','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1688,'46647092','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1689,'46647145','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1690,'46647216','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1691,'46647242','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1692,'46647727','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1693,'46655241','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1694,'46655383','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1695,'46655503','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1696,'46656076','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1697,'46656167','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1698,'46656594','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1699,'46656713','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1700,'46656758','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1701,'46664060','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1702,'46664097','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1703,'46664136','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1704,'46664325','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1705,'46664348','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1706,'46665742','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1707,'46665773','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1708,'46665807','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1709,'46666775','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1710,'46667051','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1711,'46676081','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1712,'46676088','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1713,'46676090','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1714,'46676093','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1715,'46676096','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1716,'46676099','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1717,'46676101','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1718,'46676114','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1719,'46676117','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1720,'46676120','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1721,'46676122','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1722,'46676123','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1723,'46676124','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1724,'46676130','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1725,'46676131','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1726,'46676133','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1727,'46676134','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1728,'46676135','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1729,'46676145','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1730,'46676148','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1731,'46676150','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1732,'46676158','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1733,'46676160','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1734,'46676166','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1735,'46676183','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1736,'46676184','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1737,'46676187','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1738,'46676191','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1739,'46676192','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1740,'46676194','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1741,'46676199','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1742,'46676200','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1743,'46676203','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1744,'46676207','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1745,'46676208','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1746,'46676217','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1747,'46676219','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1748,'46676230','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1749,'46676231','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1750,'46676261','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1751,'46676290','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1752,'46676294','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1753,'46676299','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1754,'46676315','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1755,'46676396','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1756,'46676398','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1757,'46676407','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1758,'46676410','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1759,'46676412','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1760,'46676449','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1761,'46676459','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1762,'46682633','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1763,'46682862','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1764,'46683348','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1765,'46683556','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1766,'46683745','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1767,'46683870','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1768,'46684197','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1769,'46684426','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1770,'46684527','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1771,'46684532','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1772,'46684724','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1773,'46684858','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1774,'46685114','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1775,'46685781','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1776,'46686174','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1777,'46686302','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1778,'46686303','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1779,'46686389','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1780,'46686497','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1781,'46686542','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1782,'46686730','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1783,'46686773','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1784,'46686809','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1785,'46687406','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1786,'46687762','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1787,'46688016','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1788,'46688213','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1789,'46688576','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1790,'46688634','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1791,'46688819','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1792,'46688974','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1793,'46689466','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1794,'46689467','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1795,'46689858','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1796,'46690040','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1797,'46690430','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1798,'46690448','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1799,'46690666','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1800,'46690784','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1801,'46690857','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1802,'46691057','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1803,'46691665','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1804,'46691995','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1805,'46692426','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1806,'46692836','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1807,'46694187','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1808,'46694480','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1809,'46695217','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1810,'46695799','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1811,'46696821','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1812,'46696886','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1813,'46697182','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1814,'46697218','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1815,'46697770','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1816,'46697834','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1817,'46698054','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1818,'46698127','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1819,'46698639','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1820,'46698758','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1821,'46698863','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1822,'46699033','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1823,'46699279','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1824,'46699587','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1825,'46699972','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1826,'46700048','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1827,'46704623','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1828,'46705480','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1829,'46705544','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1830,'46705650','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1831,'46706767','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1832,'46707008','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1833,'46707119','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1834,'46707251','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1835,'46707421','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1836,'46708674','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1837,'46733655','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1838,'46733958','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1839,'46734195','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1840,'46802294','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1841,'46803064','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1842,'46803751','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1843,'46804223','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1844,'46804442','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1845,'46804744','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1846,'46807830','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1847,'46808980','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1848,'46809598','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1849,'46810078','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1850,'46811162','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1851,'46811690','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1852,'46817947','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1853,'46818259','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1854,'46818907','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1855,'46819349','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1856,'46819821','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1857,'46820741','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1858,'46821157','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1859,'46821551','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1860,'46828959','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1861,'46894714','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1862,'46998812','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1863,'47000244','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1864,'47002716','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1865,'47003160','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1866,'47008448','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1867,'47009342','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1868,'47010044','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1869,'47010143','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1870,'47010562','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1871,'47011717','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1872,'47014298','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1873,'47015051','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1874,'47016136','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1875,'47020891','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1876,'47021636','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1877,'47022777','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1878,'47024282','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1879,'47024674','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1880,'47025036','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1881,'47058770','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1882,'47059113','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1883,'47060641','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1884,'47167279','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1885,'47348857','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1886,'47366631','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1887,'47369871','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1888,'47497754','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah'),
(1889,'35747122','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1890,'35747423','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1891,'35747524','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1892,'35747726','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1893,'35747955','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1894,'35748052','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1895,'35748170','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1896,'35748291','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1897,'35749156','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1898,'35749317','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1899,'35749376','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1900,'35749414','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1901,'35749596','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1902,'35749685','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1903,'35749762','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1904,'35749772','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1905,'35749913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1906,'35750019','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1907,'35750092','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1908,'35750163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1909,'35779398','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1910,'35779514','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1911,'35779568','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1912,'35783306','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1913,'35797622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1914,'35797646','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1915,'35798626','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1916,'35798913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1917,'35801670','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1918,'35801806','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1919,'35801862','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1920,'35801941','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1921,'35802021','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1922,'35802109','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1923,'35802759','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1924,'35802818','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1925,'35803041','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1926,'35803130','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1927,'35803194','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1928,'35803271','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1929,'35806287','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1930,'35806369','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1931,'35808057','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1932,'35809246','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1933,'35809274','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1934,'35809378','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1935,'35809429','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1936,'35809458','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1937,'35809563','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1938,'35814738','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1939,'35814743','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1940,'35814793','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1941,'35814985','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1942,'35815245','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1943,'35815249','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1944,'35815251','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1945,'35815260','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1946,'35815269','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1947,'35815286','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1948,'35815293','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1949,'35815305','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1950,'35815310','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1951,'35819661','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1952,'35823780','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1953,'35823792','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1954,'35824184','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1955,'35830266','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1956,'35830289','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1957,'35830297','Jawa Timur','Bondowoso (Kab.)','BP4D Kab. Bondowoso'),
(1958,'35835250','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1959,'35835251','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1960,'35835293','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1961,'35835300','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1962,'35835302','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1963,'35835303','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1964,'35835305','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1965,'35835306','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1966,'35835308','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1967,'35835311','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1968,'35835312','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1969,'35835313','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1970,'35835314','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1971,'35835315','Jawa Timur','Bondowoso (Kab.)','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah Kabupaten Bondowoso'),
(1972,'35835421','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1973,'35835424','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1974,'35835425','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1975,'35835426','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1976,'35838751','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1977,'35839891','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1978,'35840793','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1979,'35841109','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1980,'35841174','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1981,'35842851','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1982,'35842941','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1983,'35843369','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1984,'35843418','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1985,'35843719','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1986,'35843861','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(1987,'35845200','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1988,'35845455','Jawa Timur','Bondowoso (Kab.)','BP4D Bondowoso'),
(1989,'35847961','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1990,'35847995','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1991,'35848552','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1992,'35848585','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(1993,'35848973','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1994,'35849174','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1995,'35849264','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1996,'35849383','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1997,'35858432','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1998,'35858580','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(1999,'35891672','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2000,'35891835','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2001,'35891974','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2002,'35892087','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2003,'35892394','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2004,'35892554','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2005,'35972867','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2006,'36098856','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(2007,'36098917','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(2008,'36101504','Jawa Timur','Bondowoso (Kab.)','BP4D'),
(2009,'36222020','Jawa Timur','Bondowoso (Kab.)','BP4D Kabupaten Bondowoso'),
(2010,'46873615','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2011,'46875358','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2012,'46876063','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2013,'46878034','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2014,'46878374','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2015,'46879192','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2016,'46879654','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2017,'46881118','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2018,'46881809','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2019,'46882103','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2020,'46883209','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2021,'46883912','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2022,'46884291','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2023,'46884609','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2024,'46888270','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2025,'47022051','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2026,'47034052','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2027,'47098307','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2028,'35983846','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2029,'35985262','Jawa Timur','Bondowoso (Kab.)','JL. LETNAN AMIR KUSMAN NO. 2 DABASAH - BONDOWOSO'),
(2030,'47073578','Jawa Timur','Bondowoso (Kab.)','Kabuaten Bondowoso'),
(2031,'47073903','Jawa Timur','Bondowoso (Kab.)','Kabuaten Bondowoso'),
(2032,'47074847','Jawa Timur','Bondowoso (Kab.)','Kabuaten Bondowoso'),
(2033,'47074924','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2034,'47074995','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2035,'47075057','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2036,'47075408','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2037,'47075577','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2038,'47273714','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2039,'47277389','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2040,'47278414','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2041,'47278969','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2042,'47279599','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2043,'47280222','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2044,'49259852','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2045,'49413214','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(2046,'49964663','Jawa Timur','Bondowoso (Kab.)','kabupaten Bondowoso'),
(2047,'36081163','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2048,'36081891','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2049,'36082172','Jawa Timur','Bondowoso (Kab.)','Bagian Kesejaheraan Rakyat Sekretariat Daerah Kabupaten Bondowoso'),
(2050,'46947636','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2051,'46947831','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2052,'46947983','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2053,'46948069','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2054,'46948183','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2055,'46948921','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2056,'46948992','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2057,'46949066','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2058,'46949107','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2059,'46949151','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2060,'46949451','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2061,'46949479','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2062,'46949753','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2063,'46949827','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2064,'46949861','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2065,'46949893','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2066,'46949925','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2067,'46950146','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2068,'46950213','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2069,'46950228','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2070,'46950299','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2071,'46950351','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2072,'46950575','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2073,'46950735','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2074,'46950768','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2075,'46950958','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2076,'46951021','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2077,'46951064','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2078,'35947395','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2079,'35947443','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2080,'35947567','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2081,'35947956','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2082,'35947970','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2083,'35948005','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2084,'35948178','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2085,'35948385','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2086,'35948409','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2087,'35948453','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2088,'35948579','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2089,'35948614','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2090,'35948639','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2091,'35948841','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2092,'35948857','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2093,'35948891','Jawa Timur','Bondowoso (Kab.)','Bagian Organisasi'),
(2094,'46448596','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2095,'46452671','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2096,'46455023','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2097,'46456401','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2098,'46456846','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2099,'46458575','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2100,'46459113','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2101,'46821987','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2102,'46851262','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2103,'46851591','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2104,'46851796','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2105,'46852298','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2106,'46869055','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2107,'47638724','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2108,'47638726','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2109,'47638728','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2110,'47645742','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2111,'35740861','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2112,'35742031','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2113,'35742371','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2114,'35906076','Jawa Timur','Bondowoso (Kab.)','Jawa Timur dan DKI Jakarta'),
(2115,'36227579','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2116,'36227581','Jawa Timur','Bondowoso (Kab.)','Bagian Pengadaan Barang dan Jasa'),
(2117,'46875378','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2118,'46885800','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2119,'46885992','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2120,'46886043','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2121,'46886084','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2122,'46887961','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2123,'46889233','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2124,'46890950','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2125,'46892451','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2126,'46893368','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2127,'46965068','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2128,'46965268','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2129,'46990483','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2130,'46992827','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2131,'46993696','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2132,'46994340','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2133,'46995362','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2134,'46997735','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2135,'47000018','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2136,'47002338','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2137,'47002866','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2138,'47003430','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2139,'47007944','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2140,'47021171','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2141,'47022066','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2142,'47023632','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2143,'47029734','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2144,'47030104','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2145,'47030460','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2146,'47030824','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2147,'47036106','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2148,'47037005','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2149,'47092308','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2150,'47161062','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2151,'47184203','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2152,'47210296','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2153,'47211153','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2154,'47212061','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2155,'47212933','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2156,'47213623','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2157,'47214330','Jawa Timur','Bondowoso (Kab.)','BBagian Perekonomian dan Administrasi Pembangunanagian Perekonomian dan Administrasi Pembangunan'),
(2158,'47215460','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2159,'47216195','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2160,'47223711','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2161,'47224444','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2162,'47225599','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2163,'47226630','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2164,'47228207','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2165,'47229160','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2166,'47229998','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2167,'47239018','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2168,'47240353','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2169,'47241235','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2170,'47242002','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2171,'47243376','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2172,'47259677','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2173,'35962200','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2174,'35963282','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2175,'35974958','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2176,'35975869','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2177,'35978221','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2178,'35982115','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2179,'35984276','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2180,'36012721','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2181,'36036509','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2182,'36037518','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2183,'36039473','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2184,'36040958','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2185,'36047724','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2186,'36060288','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2187,'36061422','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2188,'36061665','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2189,'36065384','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2190,'36065761','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2191,'36067454','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2192,'36069993','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2193,'36070292','Jawa Timur','Bondowoso (Kab.)','Bagian Perekonomian dan Administrasi Pembangunan'),
(2194,'49258223','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2195,'49258224','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2196,'49258587','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2197,'49258588','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2198,'49258675','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2199,'49258676','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2200,'49258677','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2201,'49258678','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2202,'49258849','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2203,'49258909','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2204,'49258936','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2205,'49259032','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2206,'49259594','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2207,'49259641','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2208,'49259648','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2209,'49260743','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2210,'49260881','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2211,'49260883','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2212,'49268430','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2213,'49276236','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2214,'49276237','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2215,'49301427','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2216,'49301752','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2217,'49302088','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2218,'49302265','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2219,'49302566','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2220,'49302757','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2221,'49323549','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2222,'49323788','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2223,'49324050','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2224,'49324430','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2225,'49935381','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2226,'36091726','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2227,'36874440','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2228,'36874441','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2229,'36874596','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2230,'36874597','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2231,'36874598','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2232,'36874622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2233,'36874623','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2234,'36874680','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2235,'36874755','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2236,'36874932','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2237,'36875468','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2238,'36875522','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2239,'36875523','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2240,'36875524','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2241,'36881683','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2242,'36881684','Jawa Timur','Bondowoso (Kab.)','Bagian Perencanaan dan Keuangan'),
(2243,'47105062','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2244,'47106172','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2245,'47106791','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2246,'47107664','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2247,'47108566','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2248,'47109371','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2249,'47110224','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2250,'47119968','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2251,'47121071','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2252,'47122387','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2253,'47123036','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2254,'47123703','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2255,'47124492','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2256,'47125137','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2257,'47125716','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2258,'47128081','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2259,'47133546','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2260,'47204591','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2261,'36018719','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2262,'36019040','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2263,'36019559','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2264,'36021705','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2265,'36026498','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2266,'36027009','Jawa Timur','Bondowoso (Kab.)','Bagian Protokol dan Komunikasi Pimpinan'),
(2267,'47216125','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2268,'47216127','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2269,'47216128','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2270,'47216129','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2271,'47216131','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2272,'47216132','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2273,'47216133','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2274,'47339052','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2275,'47339053','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2276,'47339054','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2277,'47339055','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2278,'47351256','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2279,'47351258','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2280,'47351260','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2281,'47351262','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2282,'47351265','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2283,'47351269','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2284,'47352619','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2285,'47352620','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2286,'47352621','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2287,'47352622','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2288,'47352623','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2289,'47352624','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2290,'47352625','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2291,'47352627','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2292,'47352628','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2293,'47353183','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2294,'47353184','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2295,'47353185','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2296,'47353186','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2297,'47353187','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2298,'47353188','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2299,'47353996','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2300,'47353997','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2301,'47353999','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2302,'47354001','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2303,'47354004','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2304,'36059744','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2305,'36059745','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2306,'36059746','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2307,'36059747','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2308,'36103589','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2309,'36109162','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2310,'36109163','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2311,'36109164','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2312,'36109165','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2313,'36109564','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2314,'36109565','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2315,'36109566','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2316,'36109568','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2317,'36109853','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2318,'36109854','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2319,'36110159','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2320,'36110160','Jawa Timur','Bondowoso (Kab.)','Bondowoso (Kab.)'),
(2321,'47209881','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2322,'47210082','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2323,'47210084','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2324,'47210086','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2325,'47210088','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2326,'47210089','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2327,'47210128','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2328,'47210129','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2329,'47317202','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2330,'47317203','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2331,'47317204','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2332,'47348360','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2333,'47348362','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2334,'47348871','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2335,'47350055','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2336,'47350056','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2337,'47350057','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2338,'47350058','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2339,'47389226','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2340,'47389938','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2341,'47389939','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2342,'47389940','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2343,'47389941','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2344,'47389942','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2345,'47390024','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2346,'47390025','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2347,'47390026','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2348,'47390027','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2349,'47390028','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2350,'47390196','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2351,'47390197','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2352,'47390198','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2353,'47390199','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2354,'47390849','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2355,'47390850','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2356,'47391070','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2357,'47391071','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2358,'47391573','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2359,'47391574','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2360,'47391575','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2361,'47391576','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2362,'47391577','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2363,'47391578','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2364,'47391579','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2365,'47391581','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2366,'47523309','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2367,'50009369','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2368,'36108051','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2369,'36108127','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2370,'36108690','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2371,'36124851','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2372,'36124885','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2373,'36124886','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2374,'36124887','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2375,'36124888','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2376,'36125149','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2377,'36125150','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2378,'36125151','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2379,'36125152','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2380,'36125153','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2381,'36125154','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2382,'36177249','Jawa Timur','Bondowoso (Kab.)','Bagian Umum'),
(2383,'47723025','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2384,'47723813','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2385,'47723823','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2386,'47723956','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2387,'47724005','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2388,'47724050','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2389,'47724204','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2390,'47724296','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2391,'47724355','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2392,'47724418','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2393,'47724473','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2394,'47724504','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2395,'47724548','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2396,'47724596','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2397,'47724806','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2398,'47725076','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2399,'47725994','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2400,'47726060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2401,'47726591','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2402,'47726788','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2403,'47726849','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2404,'47727036','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2405,'47727071','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2406,'47727124','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2407,'47727164','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2408,'47727189','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2409,'47727226','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2410,'47727268','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2411,'47727317','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2412,'47727348','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2413,'47727369','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2414,'47728237','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2415,'47728293','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2416,'47728321','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2417,'47729651','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2418,'47729853','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2419,'47729897','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2420,'47729929','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2421,'47729972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2422,'47730041','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2423,'47730069','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2424,'47730072','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2425,'47730094','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2426,'47730122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2427,'47730143','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2428,'47730189','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2429,'47730451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2430,'47730465','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2431,'47730734','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2432,'47730784','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2433,'47730885','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2434,'47730888','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2435,'47730927','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2436,'47730979','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2437,'47730997','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2438,'47731060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2439,'47731107','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2440,'47731138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2441,'47731174','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2442,'47731241','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2443,'47731274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2444,'47731280','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2445,'47731334','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2446,'47731404','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2447,'47731407','Jawa Timur','Bondowoso (Kab.)','Sumberwringin'),
(2448,'47731437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2449,'47731504','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2450,'47731536','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2451,'47731550','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2452,'47731602','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2453,'47731604','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2454,'47731622','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2455,'47731647','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2456,'47731648','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2457,'47731664','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2458,'47731686','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2459,'47731722','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2460,'47731731','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2461,'47731751','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2462,'47731775','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2463,'47731819','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2464,'47731830','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2465,'47731877','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2466,'47731881','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2467,'47731913','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2468,'47731914','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2469,'47731945','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2470,'47731987','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2471,'47732001','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2472,'47732031','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2473,'47732048','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2474,'47732084','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2475,'47732145','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2476,'47732212','Jawa Timur','Bondowoso (Kab.)','Kec. Curahdami'),
(2477,'47732261','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2478,'47732307','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2479,'47732360','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2480,'47732396','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2481,'47732437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sempol'),
(2482,'47732479','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2483,'47732486','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2484,'47732548','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2485,'47732564','Jawa Timur','Bondowoso (Kab.)','Kec. Curahdami'),
(2486,'47732572','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2487,'47732596','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2488,'47732610','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(2489,'47732623','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2490,'47732634','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2491,'47732641','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2492,'47732649','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2493,'47732660','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2494,'47732677','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2495,'47732683','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2496,'47732695','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2497,'47732716','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2498,'47732718','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2499,'47732721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2500,'47732735','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2501,'47732747','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2502,'47732758','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2503,'47732770','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2504,'47732793','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2505,'47732872','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2506,'47732939','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2507,'47733009','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2508,'47733086','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2509,'47733151','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2510,'47733192','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2511,'47733408','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2512,'47733473','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2513,'47733525','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2514,'47733566','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2515,'47733601','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2516,'47733603','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2517,'47733611','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2518,'47733668','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2519,'47733670','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2520,'47733682','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2521,'47733765','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2522,'47733808','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2523,'47733844','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2524,'47733882','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2525,'47733934','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2526,'47733975','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2527,'47733976','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2528,'47733989','Jawa Timur','Bondowoso (Kab.)','KecamatanSumberwringin'),
(2529,'47734032','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2530,'47734046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2531,'47734123','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2532,'47734125','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2533,'47734162','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2534,'47734169','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2535,'47734214','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2536,'47734231','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2537,'47734277','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2538,'47734306','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2539,'47734307','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2540,'47734343','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2541,'47734344','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2542,'47734366','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2543,'47734379','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2544,'47734395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sempol'),
(2545,'47734399','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2546,'47734405','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2547,'47734412','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2548,'47734431','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2549,'47734439','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2550,'47734455','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2551,'47734459','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2552,'47734491','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2553,'47734507','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2554,'47734571','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2555,'47734572','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2556,'47734607','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2557,'47734619','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2558,'47734634','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2559,'47734635','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2560,'47734663','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2561,'47734689','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2562,'47734743','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2563,'47734748','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2564,'47734758','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2565,'47734797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2566,'47734798','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2567,'47734808','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2568,'47734847','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2569,'47734848','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2570,'47734851','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2571,'47734896','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2572,'47734897','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2573,'47734930','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2574,'47734932','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2575,'47734972','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2576,'47735019','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2577,'47735226','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2578,'47735250','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2579,'47735281','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2580,'47735306','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2581,'47735342','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2582,'47735416','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2583,'47735454','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2584,'47735459','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2585,'47735480','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2586,'47735498','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2587,'47735524','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2588,'47735539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2589,'47735570','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2590,'47735575','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2591,'47735594','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2592,'47735822','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2593,'47735836','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2594,'47735891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2595,'47735906','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2596,'47735907','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2597,'47735910','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2598,'47735939','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2599,'47735945','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2600,'47735946','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2601,'47735951','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2602,'47735976','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2603,'47736087','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2604,'47736092','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2605,'47736112','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2606,'47736114','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(2607,'47736117','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2608,'47736137','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2609,'47736138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(2610,'47736149','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2611,'47736172','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2612,'47736173','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2613,'47736197','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2614,'47736216','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2615,'47736224','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2616,'47736233','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2617,'47736247','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2618,'47736250','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2619,'47736324','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2620,'47736520','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2621,'47736539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2622,'47736555','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2623,'47736596','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2624,'47736624','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2625,'47736639','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2626,'47736648','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2627,'47736670','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2628,'47736690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2629,'47736698','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2630,'47736709','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2631,'47736720','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2632,'47736726','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2633,'47736727','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2634,'47736789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2635,'47736812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2636,'47736848','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2637,'47736860','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2638,'47736921','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2639,'47736937','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2640,'47736979','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2641,'47737014','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2642,'47737017','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2643,'47737032','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2644,'47737058','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2645,'47737071','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2646,'47737085','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2647,'47737119','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2648,'47737125','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2649,'47737134','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2650,'47737137','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2651,'47737145','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2652,'47737147','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2653,'47737170','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2654,'47737171','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2655,'47737181','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2656,'47737182','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2657,'47737217','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2658,'47737290','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2659,'47737300','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2660,'47737320','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2661,'47737337','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2662,'47737362','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2663,'47737386','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2664,'47737401','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2665,'47737470','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2666,'47737500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2667,'47737530','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2668,'47737554','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2669,'47737572','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2670,'47737585','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(2671,'47737589','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(2672,'47737600','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2673,'47737612','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2674,'47737705','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2675,'47737720','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2676,'47737729','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2677,'47737781','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2678,'47737796','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2679,'47737804','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2680,'47737812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2681,'47737819','Jawa Timur','Bondowoso (Kab.)','Kec. Sumberwringin'),
(2682,'47737823','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2683,'47737828','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2684,'47737829','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2685,'47737836','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2686,'47737837','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(2687,'47737847','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2688,'47737851','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(2689,'47737856','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2690,'47737861','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2691,'47737862','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2692,'47737863','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2693,'47737878','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(2694,'47737879','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2695,'47737891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2696,'47737893','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2697,'47737901','Jawa Timur','Bondowoso (Kab.)','Kec. Klabang'),
(2698,'47737903','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2699,'47737905','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2700,'47737912','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2701,'47737915','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(2702,'47737926','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(2703,'47737928','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2704,'47737937','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2705,'47737938','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2706,'47737939','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2707,'47737944','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2708,'47737945','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2709,'47737965','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2710,'47737966','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2711,'47737974','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2712,'47737975','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2713,'47737984','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2714,'47737986','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2715,'47741668','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2716,'47742527','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2717,'47742802','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2718,'47742803','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2719,'47742886','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2720,'47742914','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2721,'47743013','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2722,'47743120','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2723,'47743127','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2724,'47743406','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2725,'47743424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(2726,'47743621','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2727,'47743846','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2728,'47743972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2729,'47744045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2730,'47744165','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2731,'47744294','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2732,'47744382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2733,'47744475','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2734,'47744709','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2735,'47744754','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2736,'47744890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari DS'),
(2737,'47744951','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2738,'47744994','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2739,'47745151','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2740,'47745245','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2741,'47745366','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2742,'47745461','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2743,'47745653','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2744,'47745791','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2745,'47746030','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2746,'47746134','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2747,'47746849','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2748,'47746876','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2749,'47747326','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(2750,'47747490','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(2751,'47748285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2752,'47748287','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2753,'47748675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2754,'47748683','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2755,'47748697','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2756,'47748992','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2757,'47749017','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2758,'47749205','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2759,'47749441','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2760,'47749536','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2761,'47749581','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2762,'47749605','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2763,'47749713','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2764,'47749746','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(2765,'47749793','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(2766,'47749987','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2767,'47750060','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2768,'47750138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Ds'),
(2769,'47750154','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2770,'47750373','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2771,'47750400','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2772,'47750414','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2773,'47750438','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2774,'47750707','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2775,'47750821','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2776,'47750876','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2777,'47751076','Jawa Timur','Bondowoso (Kab.)','Kabupaten Wonosari'),
(2778,'47751118','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2779,'47751234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2780,'47751238','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2781,'47751471','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2782,'47751506','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(2783,'47751762','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2784,'47752270','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2785,'47752328','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2786,'47752464','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2787,'47752694','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2788,'47752759','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2789,'47752894','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2790,'47753112','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2791,'47753258','Jawa Timur','Bondowoso (Kab.)','Kecamatan Botolinggo'),
(2792,'47753347','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2793,'47753521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2794,'47753614','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekani'),
(2795,'47753752','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2796,'47754027','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2797,'47754043','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumber Wringin'),
(2798,'47754109','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2799,'47754363','Jawa Timur','Bondowoso (Kab.)','Tamanan'),
(2800,'47754412','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2801,'47754517','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2802,'47754729','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2803,'47755219','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2804,'47755585','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2805,'47756106','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2806,'47756261','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2807,'47756386','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2808,'47756630','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2809,'47756847','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2810,'47756982','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2811,'47757047','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2812,'47757085','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2813,'47757469','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2814,'47757675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(2815,'47757862','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2816,'47758059','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2817,'47758150','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2818,'47758260','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2819,'47758393','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2820,'47758424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2821,'47758981','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2822,'47759060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2823,'47759273','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2824,'47759355','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2825,'47759787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2826,'47760361','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(2827,'47760536','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2828,'47760752','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(2829,'47760776','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2830,'47761074','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2831,'47762285','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2832,'47762570','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(2833,'47762616','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2834,'47762885','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(2835,'47762899','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2836,'47763431','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2837,'47763443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(2838,'47763971','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2839,'47764588','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2840,'47764690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(2841,'47764712','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2842,'47765092','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2843,'47765144','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(2844,'47765972','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2845,'47766006','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(2846,'47766404','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2847,'47766492','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2848,'47766772','Jawa Timur','Bondowoso (Kab.)','Kec. Taman Krocok'),
(2849,'47766959','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2850,'47767102','Jawa Timur','Bondowoso (Kab.)','Kec. Taman Krocok'),
(2851,'47767407','Jawa Timur','Bondowoso (Kab.)','Kec. Ijen'),
(2852,'47768216','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2853,'47768625','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2854,'47769044','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2855,'47769062','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2856,'47769302','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2857,'47769521','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2858,'47769546','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2859,'47769764','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2860,'47770079','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(2861,'47770275','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2862,'47770313','Jawa Timur','Bondowoso (Kab.)','Kec. Tapen'),
(2863,'47770532','Jawa Timur','Bondowoso (Kab.)','Kec. Tapen'),
(2864,'47770789','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2865,'47770825','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2866,'47771049','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(2867,'47771264','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2868,'47771527','Jawa Timur','Bondowoso (Kab.)','Kec. Jambesari DS'),
(2869,'47771847','Jawa Timur','Bondowoso (Kab.)','Kec. Taman Krocok'),
(2870,'47771899','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2871,'47771947','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2872,'47772086','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2873,'47772344','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(2874,'47772363','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2875,'47772405','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2876,'47772648','Jawa Timur','Bondowoso (Kab.)','Kec. Pakem'),
(2877,'47773123','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2878,'47773896','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2879,'47774371','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(2880,'47774642','Jawa Timur','Bondowoso (Kab.)','Kec. Sumberwringin'),
(2881,'47774851','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(2882,'47775196','Jawa Timur','Bondowoso (Kab.)','Kec. Klabang'),
(2883,'47775428','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(2884,'47775482','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2885,'47775669','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(2886,'47776253','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2887,'47776545','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2888,'47776982','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(2889,'47777305','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(2890,'47777584','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2891,'47777897','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2892,'47778433','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2893,'47778634','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2894,'47778921','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(2895,'47779241','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2896,'47780436','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2897,'47783276','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2898,'47784384','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2899,'47788944','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2900,'47791233','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2901,'47791235','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2902,'47791237','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2903,'47791239','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2904,'47791241','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2905,'47791243','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2906,'47791244','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2907,'47791245','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2908,'47791246','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2909,'47791247','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2910,'47791248','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2911,'47791249','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(2912,'47791250','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2913,'47791251','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2914,'47791252','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2915,'47791254','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2916,'47791255','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2917,'47791257','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2918,'47791260','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2919,'47791262','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2920,'47791264','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2921,'47791266','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2922,'47791267','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2923,'47791268','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2924,'47797958','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2925,'47797959','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2926,'47797960','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2927,'47797961','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2928,'47797962','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2929,'47799884','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2930,'47799900','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2931,'47799904','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2932,'47799908','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2933,'47799910','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2934,'47799912','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2935,'47801747','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2936,'47801749','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2937,'47801750','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2938,'47801751','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2939,'47801752','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2940,'47805205','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2941,'47805213','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2942,'47805216','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2943,'47805218','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2944,'47805219','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2945,'47809068','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(2946,'47809272','Jawa Timur','Bondowoso (Kab.)','Kec. Binakal'),
(2947,'47809523','Jawa Timur','Bondowoso (Kab.)','Kec. Pakem'),
(2948,'47809792','Jawa Timur','Bondowoso (Kab.)','Kec. Pakem'),
(2949,'47809969','Jawa Timur','Bondowoso (Kab.)','Kec. Klabang'),
(2950,'47810125','Jawa Timur','Bondowoso (Kab.)','Kec. Ijen'),
(2951,'47810398','Jawa Timur','Bondowoso (Kab.)','Kec. Ijen'),
(2952,'47810456','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2953,'47810541','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2954,'47810790','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2955,'47811005','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2956,'47811162','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(2957,'47811364','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(2958,'47811376','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(2959,'47811597','Jawa Timur','Bondowoso (Kab.)','Kec. Binakal'),
(2960,'47811641','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tegalampel'),
(2961,'47811959','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(2962,'47812200','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2963,'47812251','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2964,'47812406','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2965,'47812529','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(2966,'47812647','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2967,'47812863','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2968,'47812938','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2969,'47813217','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2970,'47813308','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2971,'47813329','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(2972,'47813419','Jawa Timur','Bondowoso (Kab.)','Kec. Jambesari DS'),
(2973,'47813647','Jawa Timur','Bondowoso (Kab.)','Kec. Jambesari DS'),
(2974,'47813868','Jawa Timur','Bondowoso (Kab.)','Kec. Klabang'),
(2975,'47813969','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2976,'47814303','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2977,'47814350','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(2978,'47814743','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(2979,'47814793','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(2980,'47815244','Jawa Timur','Bondowoso (Kab.)','Kec. Pakem'),
(2981,'47815469','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(2982,'47815817','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(2983,'47816151','Jawa Timur','Bondowoso (Kab.)','Kec. Sumberwringin'),
(2984,'47816224','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(2985,'47816581','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(2986,'47817033','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2987,'47817228','Jawa Timur','Bondowoso (Kab.)','Kec. Taman Krocok'),
(2988,'47817477','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(2989,'47817775','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2990,'47825455','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(2991,'47825779','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(2992,'47825968','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2993,'47826143','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(2994,'47826355','Jawa Timur','Bondowoso (Kab.)','Kec. Binakal'),
(2995,'47826505','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(2996,'47826710','Jawa Timur','Bondowoso (Kab.)','Kec. Jambesari DS'),
(2997,'47827004','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(2998,'47827335','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(2999,'47827917','Jawa Timur','Bondowoso (Kab.)','Kec. Sumberwringin'),
(3000,'47828121','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(3001,'47828647','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(3002,'47830253','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3003,'47830254','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3004,'47830255','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3005,'47830256','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3006,'47833943','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3007,'47833944','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3008,'47833945','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3009,'47833946','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3010,'47833947','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3011,'47833949','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3012,'47833950','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3013,'47833951','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3014,'47833952','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3015,'47833953','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3016,'47833954','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3017,'47833955','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3018,'47833956','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3019,'47833957','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3020,'47833958','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3021,'47833959','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3022,'47833960','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3023,'47833961','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3024,'47833962','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3025,'47833963','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3026,'47835373','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(3027,'47835784','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(3028,'47835826','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(3029,'47835880','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(3030,'47835945','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(3031,'47836049','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(3032,'47836084','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(3033,'47836143','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(3034,'47836176','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(3035,'47836251','Jawa Timur','Bondowoso (Kab.)','Kec. Maesan'),
(3036,'47836311','Jawa Timur','Bondowoso (Kab.)','Kec. Jambesari Ds'),
(3037,'47836362','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(3038,'47836392','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(3039,'47836433','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(3040,'47836509','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(3041,'47836701','Jawa Timur','Bondowoso (Kab.)','Kec. Botolinggo'),
(3042,'47836781','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(3043,'47836830','Jawa Timur','Bondowoso (Kab.)','Kec. Sumber Wringin'),
(3044,'47836889','Jawa Timur','Bondowoso (Kab.)','Kec. Tamanan'),
(3045,'47836922','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(3046,'47837383','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(3047,'47837703','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(3048,'47837777','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(3049,'47837833','Jawa Timur','Bondowoso (Kab.)','Kec. Curahdami'),
(3050,'47837888','Jawa Timur','Bondowoso (Kab.)','Kec. Tapen'),
(3051,'47837940','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(3052,'47838008','Jawa Timur','Bondowoso (Kab.)','Kec. Bondowoso'),
(3053,'47838047','Jawa Timur','Bondowoso (Kab.)','Kec. Cermee'),
(3054,'47838065','Jawa Timur','Bondowoso (Kab.)','Kec. Grujugan'),
(3055,'47838093','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3056,'47838094','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3057,'47838095','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3058,'47838096','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3059,'47838097','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3060,'47838098','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3061,'47838099','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3062,'47838100','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3063,'47838101','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3064,'47838102','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3065,'47838103','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3066,'47838104','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3067,'47838105','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3068,'47838106','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3069,'47838107','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3070,'47838108','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3071,'47838109','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3072,'47838110','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3073,'47838111','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3074,'47838112','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3075,'47838115','Jawa Timur','Bondowoso (Kab.)','Kec. Klabang'),
(3076,'47838149','Jawa Timur','Bondowoso (Kab.)','Kec. Pakem'),
(3077,'47838169','Jawa Timur','Bondowoso (Kab.)','Kec. Prajekan'),
(3078,'47838193','Jawa Timur','Bondowoso (Kab.)','Kec. Pujer'),
(3079,'47838217','Jawa Timur','Bondowoso (Kab.)','Kec. Sukosari'),
(3080,'47838284','Jawa Timur','Bondowoso (Kab.)','Kec. Taman Krocok'),
(3081,'47838298','Jawa Timur','Bondowoso (Kab.)','Kec. Tapen'),
(3082,'47838355','Jawa Timur','Bondowoso (Kab.)','Kec. Tegalampel'),
(3083,'47838398','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang'),
(3084,'47838449','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(3085,'47838472','Jawa Timur','Bondowoso (Kab.)','Kec. Tlogosari'),
(3086,'47838505','Jawa Timur','Bondowoso (Kab.)','Kec. Wonosari'),
(3087,'47838528','Jawa Timur','Bondowoso (Kab.)','Kec. Wringin'),
(3088,'47839178','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3089,'47839179','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3090,'47839180','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3091,'47839181','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3092,'47844392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3093,'47844493','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3094,'47844534','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3095,'47844597','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3096,'47845024','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3097,'47845120','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3098,'47845176','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3099,'47845267','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3100,'47845314','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3101,'47845380','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3102,'36262622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3103,'36262634','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3104,'36262651','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3105,'36262655','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3106,'36262672','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3107,'36262964','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3108,'36262988','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3109,'36262997','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3110,'36263612','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3111,'36263642','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3112,'36263646','Jawa Timur','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum'),
(3113,'36263669','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3114,'36263688','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3115,'36263712','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3116,'36263736','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3117,'36264336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3118,'36273400','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3119,'36273503','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3120,'36275116','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3121,'36275221','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3122,'36275930','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3123,'36276050','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3124,'36276412','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3125,'36276498','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(3126,'36282831','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3127,'36285955','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3128,'36286122','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3129,'36286268','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3130,'36286946','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3131,'36288223','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3132,'36290355','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3133,'36290438','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3134,'36290514','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3135,'36290624','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3136,'36290781','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3137,'36290782','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3138,'36290783','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3139,'36290784','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3140,'36290785','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3141,'36290786','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3142,'36290787','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3143,'36291575','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3144,'36291576','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3145,'36291577','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3146,'36291578','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3147,'36291579','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3148,'36291580','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3149,'36292311','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3150,'36292312','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3151,'36292313','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3152,'36292314','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3153,'36292315','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3154,'36292316','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3155,'36293564','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3156,'36293565','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3157,'36293566','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3158,'36293568','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3159,'36293569','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3160,'36293570','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3161,'36298986','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3162,'36300269','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3163,'36300636','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3164,'36303601','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3165,'36303602','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3166,'36303603','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3167,'36304168','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3168,'36304169','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3169,'36304170','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3170,'36304171','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3171,'36304172','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3172,'36304173','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3173,'36304174','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3174,'36305324','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3175,'36305386','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3176,'36305387','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3177,'36305388','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3178,'36305670','Jawa Timur','Bondowoso (Kab.)','Dinas Bina Marga Sumber Daya Air dan Bina Konstruksi Kabupaten Bondowoso'),
(3179,'36307725','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3180,'36307737','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3181,'36308042','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3182,'36308058','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3183,'36308065','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3184,'47070737','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3185,'47070856','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3186,'47070898','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3187,'47070944','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3188,'47071159','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3189,'47071408','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3190,'47071555','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3191,'47072172','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3192,'47072256','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3193,'47466320','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3194,'47472062','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3195,'47473999','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3196,'47476909','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3197,'47478206','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3198,'47485289','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3199,'47486668','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3200,'47487506','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3201,'47492480','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3202,'47498433','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3203,'47747475','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3204,'47748222','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3205,'47749058','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3206,'47750293','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3207,'47752701','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3208,'47753708','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3209,'47758473','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3210,'47760263','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3211,'47761079','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3212,'47761631','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3213,'47762204','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3214,'47763726','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3215,'47769047','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3216,'47769814','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3217,'47770382','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3218,'47771013','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3219,'47776471','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3220,'47778598','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3221,'47779048','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3222,'47779545','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3223,'47780231','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3224,'47783834','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3225,'47791310','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3226,'47793856','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3227,'47794173','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3228,'47861101','Jawa Timur','Bondowoso (Kab.)','Dinas Kependudukan dan Pencatatan Sipil'),
(3229,'47106591','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3230,'47108045','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3231,'47112383','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3232,'47289269','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3233,'47324444','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3234,'47325451','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3235,'47325935','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3236,'47326037','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3237,'47326251','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3238,'47326399','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3239,'47326512','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3240,'47326664','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3241,'47326837','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3242,'47327519','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3243,'47327629','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3244,'47576133','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3245,'47577379','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3246,'47577455','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3247,'47577489','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3248,'47577556','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3249,'47577645','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3250,'47577889','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3251,'47577996','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3252,'47579044','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3253,'47579076','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3254,'47579240','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3255,'47579398','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3256,'47579472','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3257,'47579806','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3258,'47579883','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3259,'47579997','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3260,'47580579','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3261,'47580727','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3262,'47581178','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3263,'47581243','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3264,'47581347','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3265,'47581519','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3266,'47582843','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3267,'47582892','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3268,'47583009','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3269,'47583397','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3270,'47583774','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3271,'47587773','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3272,'47587795','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3273,'47588139','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3274,'47588184','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3275,'47588424','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3276,'47588461','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3277,'47588488','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3278,'47589205','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3279,'47589288','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3280,'47590320','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3281,'47595701','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3282,'47595762','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3283,'47596080','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3284,'47596138','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3285,'47596242','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3286,'47596284','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3287,'47596438','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3288,'47596492','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3289,'47596601','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3290,'47596833','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3291,'47605771','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3292,'47613343','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3293,'47615226','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3294,'47616164','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3295,'47617741','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3296,'47619452','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3297,'47619997','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3298,'47622693','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3299,'47622739','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3300,'47623290','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3301,'47626003','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3302,'47626782','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3303,'47627068','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3304,'47627739','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3305,'47628717','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3306,'47629488','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3307,'47636166','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3308,'47637645','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3309,'47638421','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3310,'47639925','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3311,'47641006','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3312,'47641496','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3313,'47641793','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3314,'47643224','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3315,'47643540','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3316,'47646414','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3317,'47646724','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3318,'47647227','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3319,'47647911','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3320,'47648608','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3321,'47649843','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3322,'47650483','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3323,'47657901','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3324,'47658869','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3325,'47659756','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3326,'47660518','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3327,'47661173','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3328,'47664206','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3329,'47674379','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3330,'47676454','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3331,'47677420','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3332,'47677670','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3333,'47678211','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3334,'47678499','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3335,'47678645','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3336,'47679126','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3337,'47679552','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3338,'47679581','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3339,'47680400','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3340,'47680905','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3341,'47680940','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3342,'47682039','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3343,'47682563','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3344,'47682636','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3345,'47683001','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3346,'47683711','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3347,'47685610','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3348,'47688397','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3349,'47689218','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3350,'47711717','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3351,'47711850','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3352,'47712714','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3353,'47712733','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3354,'47713649','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3355,'47713919','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3356,'47714152','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3357,'47714368','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3358,'47714776','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3359,'47714813','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3360,'47715132','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3361,'47715290','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3362,'47715529','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3363,'47716096','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3364,'47716154','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3365,'47716547','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3366,'47717195','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3367,'47717682','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3368,'47718083','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3369,'47718162','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3370,'47718222','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3371,'47718664','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3372,'47719514','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3373,'47719960','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3374,'47724427','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3375,'47724522','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3376,'47724623','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3377,'47724718','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3378,'47724808','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3379,'47725233','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3380,'47726893','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3381,'47726998','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3382,'47727060','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3383,'47727123','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3384,'47727165','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3385,'47727314','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3386,'47727374','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3387,'47759819','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3388,'47762594','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3389,'47763420','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3390,'47764061','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3391,'47766906','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3392,'47767589','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3393,'47769186','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3394,'47771479','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3395,'47772173','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3396,'47773350','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3397,'47825586','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3398,'47826363','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3399,'47828907','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3400,'47829374','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3401,'47829801','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3402,'47830697','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3403,'47831199','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3404,'47833581','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3405,'47833843','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3406,'47834126','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3407,'47834339','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3408,'47834938','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3409,'47835076','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3410,'47890212','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3411,'48032249','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3412,'48033044','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3413,'48034654','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3414,'48036125','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3415,'48037003','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3416,'48037553','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3417,'48138987','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3418,'48139302','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3419,'48139527','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3420,'48139795','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3421,'48140523','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3422,'48141296','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3423,'48141661','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3424,'48146288','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3425,'48147335','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3426,'48308575','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3427,'48318157','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3428,'48319584','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3429,'48320510','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3430,'48324096','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3431,'48325380','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3432,'48326738','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3433,'48446305','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3434,'48446490','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3435,'48446753','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3436,'48447211','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3437,'48447789','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3438,'48449471','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3439,'48918891','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3440,'48918966','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3441,'48919069','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3442,'48919208','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3443,'48919352','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3444,'48919455','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3445,'48919550','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3446,'48919640','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3447,'48919834','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3448,'49166856','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3449,'49170340','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3450,'49934033','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3451,'49934467','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3452,'36074050','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3453,'36074214','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3454,'36074558','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3455,'36086806','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3456,'36086887','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3457,'36087038','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3458,'36089433','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3459,'36089526','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3460,'36089637','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3461,'36089778','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3462,'36098417','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3463,'36098431','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3464,'36098441','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3465,'36098457','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3466,'36099041','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3467,'36099071','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3468,'36099092','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso'),
(3469,'36201495','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3470,'36201504','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3471,'36201514','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3472,'36201534','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3473,'36201551','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3474,'36201631','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3475,'36201681','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3476,'36201696','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3477,'36201727','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3478,'36201761','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3479,'36201765','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3480,'36201778','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3481,'36201789','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3482,'36201790','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3483,'36201792','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3484,'36201837','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3485,'36201851','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3486,'36201860','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3487,'36201877','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3488,'36201902','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3489,'36201928','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3490,'36201930','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3491,'36202028','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3492,'36202037','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3493,'36202081','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3494,'36202308','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3495,'36202315','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3496,'36202327','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3497,'36202338','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3498,'36202363','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3499,'36202375','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3500,'36202403','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3501,'36202420','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3502,'36202442','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3503,'36202460','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3504,'36202510','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3505,'36202524','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3506,'36202553','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3507,'36202567','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3508,'36202579','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3509,'36202638','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3510,'36202667','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3511,'36202670','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3512,'36202691','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3513,'36202722','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3514,'36202742','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3515,'36202756','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3516,'36202769','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3517,'36202810','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3518,'36203052','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3519,'36203128','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3520,'36203141','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3521,'36203177','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3522,'36203214','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3523,'36203295','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3524,'36203343','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3525,'36203370','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3526,'36203462','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3527,'36203466','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3528,'36203545','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3529,'36203594','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3530,'36203607','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3531,'36203651','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3532,'36203694','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3533,'36203763','Jawa Timur','Bondowoso (Kab.)','DINAS KESEHATAN'),
(3534,'36203791','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3535,'36203872','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3536,'36203920','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3537,'36203979','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3538,'36204203','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3539,'36204245','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3540,'36204261','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3541,'36204290','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3542,'36204311','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3543,'36204447','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3544,'36204453','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3545,'36204492','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3546,'36204520','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3547,'36204554','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3548,'36204570','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3549,'36204610','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3550,'36204694','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3551,'36204703','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3552,'36204718','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3553,'36217271','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3554,'36217885','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3555,'36217992','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3556,'36218046','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3557,'36218502','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3558,'36218721','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3559,'36218944','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3560,'36218978','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3561,'36219185','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3562,'36219764','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3563,'36222801','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3564,'36223113','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3565,'36223341','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3566,'36223789','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3567,'36224897','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3568,'36225546','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3569,'36225613','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3570,'36225698','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3571,'36225859','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3572,'36225916','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3573,'36226680','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3574,'36226713','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3575,'36227023','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3576,'36227301','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3577,'36227405','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3578,'36227562','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3579,'36227659','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3580,'36227847','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3581,'36228402','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3582,'36228620','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3583,'36228839','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3584,'36228980','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3585,'36230738','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3586,'36230967','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3587,'36231251','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3588,'36231624','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3589,'36232625','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3590,'36232897','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3591,'36233292','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3592,'36233657','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3593,'36234140','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3594,'36234806','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3595,'36235144','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3596,'36235369','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3597,'36235846','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3598,'36236209','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3599,'36236385','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3600,'36236695','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3601,'36236866','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3602,'36237304','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3603,'36237642','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3604,'36237739','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3605,'36238000','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3606,'36238512','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3607,'36238706','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3608,'36238807','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3609,'36239060','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3610,'36241691','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3611,'36241961','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3612,'36244476','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3613,'36245203','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3614,'36246346','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3615,'36246929','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3616,'36247321','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3617,'36247500','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3618,'36247665','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3619,'36247984','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3620,'36248135','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3621,'36248561','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3622,'36248697','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3623,'36249150','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3624,'36249352','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3625,'36249643','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3626,'36249826','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3627,'36250105','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3628,'36250298','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3629,'36250488','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3630,'36250490','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3631,'36250797','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3632,'36251180','Jawa Timur','Bondowoso (Kab.)','Dinkes Bondowoso'),
(3633,'36251443','Jawa Timur','Bondowoso (Kab.)','Dinas kesehatan Bondowoso'),
(3634,'36252233','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3635,'36252881','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3636,'36253304','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3637,'36253630','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3638,'36253823','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3639,'36254159','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3640,'36254503','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3641,'36254773','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3642,'36255006','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3643,'36255340','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3644,'36255644','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3645,'36256368','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3646,'36257350','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3647,'36263063','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3648,'36263102','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3649,'36263134','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3650,'36263245','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3651,'36263313','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3652,'36263358','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3653,'36263389','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3654,'36263417','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3655,'36263434','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3656,'36263444','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3657,'36267764','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3658,'36267806','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3659,'36267821','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3660,'36267960','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3661,'36268135','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3662,'36268611','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3663,'36268628','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3664,'36268638','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3665,'36268964','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3666,'36268982','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3667,'36269029','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3668,'36269562','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3669,'36269599','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3670,'36269609','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3671,'36269637','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3672,'36269731','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3673,'36270123','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3674,'36270129','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3675,'36270182','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3676,'36270207','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3677,'36270245','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3678,'36270411','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3679,'36270496','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3680,'36271572','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3681,'36271839','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3682,'36272290','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3683,'36272533','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3684,'36273309','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3685,'36273391','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3686,'36273492','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3687,'36273603','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3688,'36274296','Jawa Timur','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( DAU )'),
(3689,'36274532','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3690,'36275059','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3691,'36275188','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3692,'36275245','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3693,'36275462','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3694,'36275478','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3695,'36275483','Jawa Timur','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer ( DAU )'),
(3696,'36275921','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3697,'36276106','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3698,'36276401','Jawa Timur','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota ( DAU )'),
(3699,'36276549','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3700,'36276629','Jawa Timur','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota ( DAU )'),
(3701,'36277767','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3702,'36278003','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3703,'36278200','Jawa Timur','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas ( DAU )'),
(3704,'36278235','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kab. Bondowoso ( Jl. Imam Bonjol No. 13 Bondowoso)'),
(3705,'36278725','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3706,'36278899','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3707,'36278938','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3708,'36279043','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3709,'36279326','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3710,'36279384','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3711,'36279778','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3712,'36279817','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3713,'36279993','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3714,'36280036','Jawa Timur','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum Honor Tenaga Stok Upname ( DAU )'),
(3715,'36280162','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3716,'36280595','Jawa Timur','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( BOK )'),
(3717,'36280710','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3718,'36281026','Jawa Timur','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor ( BOK )'),
(3719,'36281455','Jawa Timur','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover ( BOK )'),
(3720,'36281773','Jawa Timur','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas ( BOK )'),
(3721,'36283869','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3722,'36284152','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3723,'36284660','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3724,'36284785','Jawa Timur','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )'),
(3725,'36284922','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3726,'36285065','Jawa Timur','Bondowoso (Kab.)','Belanja Paket/Pengiriman ( BOK )'),
(3727,'36285218','Jawa Timur','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum'),
(3728,'36304466','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3729,'36313361','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3730,'36313409','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3731,'36323650','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3732,'36323910','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3733,'36325625','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3734,'36326399','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3735,'36326878','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3736,'36344506','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan'),
(3737,'36377011','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3738,'36377292','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3739,'36378636','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3740,'36386992','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3741,'36387167','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3742,'36387688','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3743,'36388018','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3744,'36389220','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3745,'36390179','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3746,'36391092','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3747,'36392673','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3748,'36392900','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3749,'36393517','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3750,'36393941','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3751,'36394302','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3752,'36394496','Jawa Timur','Bondowoso (Kab.)','Dinas Kesehatan Kabupaten Bondowoso'),
(3753,'46858227','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3754,'46858364','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3755,'46858539','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3756,'46888084','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3757,'46902365','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3758,'46903493','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3759,'46904546','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3760,'46905440','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3761,'46909217','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3762,'46910838','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3763,'46911749','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3764,'46912848','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3765,'46915696','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3766,'46917607','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3767,'46935991','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3768,'46936230','Jawa Timur','Jember (Kab.)','Dinas Komunikasi dan Informatika'),
(3769,'46940767','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3770,'46940850','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3771,'46941035','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3772,'46941526','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3773,'46942021','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3774,'46942272','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3775,'46942613','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3776,'46942966','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3777,'46943110','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3778,'46944745','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3779,'46945663','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3780,'46945941','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3781,'46946023','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3782,'46959678','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3783,'46964915','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3784,'46965030','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3785,'46965106','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3786,'46965431','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3787,'46965499','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3788,'46965692','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3789,'46965849','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3790,'46966129','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3791,'46966169','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3792,'46966233','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3793,'46968864','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3794,'46969177','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3795,'46969229','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3796,'46969335','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3797,'46973522','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3798,'46973885','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3799,'46974155','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3800,'46974254','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3801,'46974327','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3802,'46974504','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3803,'46980948','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3804,'46981247','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3805,'46981609','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3806,'46982016','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3807,'46982473','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3808,'46984832','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3809,'46985566','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3810,'46987527','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3811,'46988725','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3812,'46991650','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3813,'47007927','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3814,'47008825','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3815,'47009889','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3816,'47026922','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3817,'47032753','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3818,'47033711','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3819,'47047488','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3820,'47048685','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3821,'47052003','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3822,'47053631','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3823,'47064612','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3824,'47066990','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3825,'47067824','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3826,'47085005','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3827,'47087857','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3828,'47089144','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3829,'47097651','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3830,'47101353','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3831,'47104437','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3832,'47137583','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3833,'47139327','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3834,'47141082','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3835,'47141711','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3836,'47149463','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3837,'47154566','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3838,'47162166','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3839,'47163177','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3840,'47168009','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3841,'47171130','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3842,'47175941','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3843,'47179304','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3844,'47186706','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3845,'47201867','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3846,'47231003','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3847,'47233994','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3848,'47236499','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3849,'47242303','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3850,'47244019','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3851,'47244767','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3852,'47245912','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3853,'47991510','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3854,'35909070','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3855,'35909485','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3856,'35921380','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3857,'35922224','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3858,'35922658','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3859,'35923205','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3860,'35923875','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3861,'35924633','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3862,'35925139','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3863,'35925876','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3864,'35926320','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3865,'35926498','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3866,'35926646','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3867,'35927055','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3868,'35946905','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3869,'35952918','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3870,'35953005','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3871,'35953064','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3872,'35953087','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3873,'35953109','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3874,'35953129','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3875,'35953146','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3876,'35953152','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3877,'35954385','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3878,'35958313','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3879,'35958372','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3880,'35958765','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3881,'35958780','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3882,'35958886','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3883,'35962550','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3884,'35963005','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3885,'35965118','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3886,'35979361','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3887,'35986547','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3888,'35988273','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3889,'36007788','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3890,'36012367','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3891,'36012636','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3892,'36015814','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3893,'36016312','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3894,'36033213','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3895,'36033515','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3896,'36033952','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3897,'36039478','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3898,'36044427','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3899,'36047160','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3900,'36047318','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3901,'36054417','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3902,'36068155','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3903,'36068506','Jawa Timur','Bondowoso (Kab.)','Dinas Komunikasi dan Informatika'),
(3904,'46981040','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3905,'46981176','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3906,'46981605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3907,'46981807','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3908,'46982083','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3909,'46982442','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3910,'46983115','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3911,'46983355','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3912,'47004573','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3913,'47005392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3914,'47005642','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3915,'47006123','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3916,'47007073','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3917,'47007373','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3918,'47009315','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3919,'47009733','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3920,'47013563','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3921,'47014099','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3922,'47014336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3923,'47015345','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3924,'47020749','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3925,'47021599','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3926,'47022337','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3927,'47023600','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3928,'47024757','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3929,'47025392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3930,'47025869','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3931,'47026425','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3932,'47026876','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3933,'47028708','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3934,'47030374','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3935,'47033993','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3936,'47034503','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3937,'47034870','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3938,'47035550','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3939,'47037236','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3940,'47037572','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3941,'47039290','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3942,'47039969','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3943,'47053349','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3944,'47060734','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3945,'47061474','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3946,'47061917','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3947,'47062336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3948,'47063062','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3949,'47063981','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3950,'47064203','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3951,'47064469','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3952,'47064624','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3953,'47087263','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3954,'47088599','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3955,'47089163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3956,'47089476','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3957,'47094101','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3958,'47096959','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3959,'47098929','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3960,'47098956','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3961,'47098972','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3962,'47099512','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3963,'47101276','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3964,'47101383','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3965,'47104168','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3966,'47104913','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3967,'47105491','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3968,'47108769','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3969,'47109261','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3970,'47112720','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3971,'47118758','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3972,'47123763','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3973,'47128005','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3974,'47128344','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3975,'47130999','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3976,'47133249','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3977,'47133647','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3978,'47133969','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3979,'47135478','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3980,'47157622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3981,'47163601','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3982,'47166696','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3983,'47169233','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3984,'47170767','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3985,'47173139','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3986,'47173902','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3987,'47174153','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3988,'47174316','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3989,'47175431','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3990,'47176921','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3991,'47177935','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3992,'47178495','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3993,'47187222','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3994,'47187309','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3995,'47187441','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3996,'47189068','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3997,'47200366','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3998,'47200481','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(3999,'47200637','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4000,'47200849','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4001,'47201028','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4002,'47201087','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4003,'47201375','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4004,'47201484','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4005,'47201509','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4006,'47201620','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4007,'47201638','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4008,'47201739','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4009,'47201962','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4010,'47201983','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4011,'47202389','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4012,'47202394','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4013,'47202536','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4014,'47202733','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4015,'47203548','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4016,'47203948','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4017,'47204136','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4018,'47204361','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4019,'47204773','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4020,'47204910','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4021,'47204921','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4022,'47205263','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4023,'47205652','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4024,'47205668','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4025,'47205704','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4026,'47206035','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4027,'47206267','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4028,'47207034','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4029,'47207736','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4030,'47207972','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4031,'47209538','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4032,'47209621','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4033,'47210477','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4034,'47211281','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4035,'47213457','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4036,'47214172','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4037,'47216395','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4038,'47217569','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4039,'47218281','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4040,'47218496','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4041,'47222191','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4042,'47222271','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4043,'47224148','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4044,'47227336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4045,'47227815','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4046,'47231089','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4047,'47237148','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4048,'47238604','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4049,'47240122','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4050,'47249349','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4051,'47249937','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4052,'47250749','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4053,'47253345','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4054,'47256411','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4055,'47259305','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4056,'47259716','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4057,'47260122','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4058,'47265123','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4059,'47267446','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4060,'47273760','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4061,'47278622','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4062,'47281433','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4063,'47282561','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4064,'47297441','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4065,'47327966','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4066,'47332261','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4067,'47333780','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4068,'47334989','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4069,'47336167','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4070,'47337234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4071,'47338396','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4072,'47339062','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4073,'47340575','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4074,'47341138','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4075,'47343409','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4076,'47344475','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4077,'47345380','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4078,'47346382','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4079,'47347336','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4080,'47348924','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4081,'47349926','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4082,'47350317','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4083,'47350748','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4084,'47351865','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4085,'47352466','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4086,'47352863','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4087,'47353521','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4088,'47354898','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4089,'47355469','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4090,'47356333','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4091,'47462761','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4092,'47463140','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4093,'47492342','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4094,'47493140','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4095,'47493880','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4096,'47494934','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4097,'47502251','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4098,'47502312','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4099,'49643039','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4100,'49643134','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4101,'49643202','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4102,'49674420','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4103,'49678903','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4104,'49679877','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4105,'49680035','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4106,'49680130','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4107,'49680368','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4108,'49680490','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4109,'49680595','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4110,'49681688','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4111,'49682053','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4112,'49682867','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4113,'49718363','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4114,'49718509','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4115,'49718620','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4116,'49718628','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4117,'49718811','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4118,'49718868','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4119,'49719011','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4120,'49719145','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4121,'49719304','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4122,'49731991','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4123,'49732043','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4124,'49732332','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4125,'49732545','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4126,'49732623','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4127,'49810067','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4128,'49810302','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4129,'49810500','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4130,'49810604','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4131,'49811119','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4132,'49811167','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4133,'49811242','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4134,'49811276','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4135,'49811319','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4136,'49811358','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4137,'49812918','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4138,'49813387','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4139,'49814609','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4140,'49827091','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4141,'49827337','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4142,'35974785','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4143,'35975170','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4144,'35975229','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4145,'35975367','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4146,'35975715','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4147,'35975792','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4148,'35975911','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4149,'35976177','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4150,'35976445','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4151,'35976764','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4152,'35977045','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4153,'35985706','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4154,'35985957','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4155,'35986335','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4156,'35994228','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4157,'35994999','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4158,'36008244','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4159,'36008365','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4160,'36009138','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4161,'36009522','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4162,'36013285','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4163,'36013528','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4164,'36013681','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4165,'36015108','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4166,'36015313','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4167,'36015570','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4168,'36015730','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4169,'36016821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4170,'36017224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4171,'36017593','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4172,'36017729','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4173,'36018831','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4174,'36019027','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4175,'36020885','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4176,'36021198','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4177,'36021470','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4178,'36027626','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4179,'36039813','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4180,'36040063','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4181,'36040715','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4182,'36040894','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4183,'36040957','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4184,'36041004','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4185,'36041125','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4186,'36044509','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4187,'36055418','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4188,'36055500','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4189,'36055501','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4190,'36055564','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4191,'36055582','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4192,'36055629','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4193,'36056908','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4194,'36057235','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4195,'36057574','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4196,'36057711','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4197,'36057872','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4198,'36057973','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4199,'36058197','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4200,'36061220','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4201,'36063115','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4202,'36064352','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4203,'36064655','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4204,'36064718','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4205,'36065225','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4206,'36065438','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4207,'36068647','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4208,'36068805','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4209,'36069037','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4210,'36069248','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4211,'36069426','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4212,'36078355','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4213,'36078662','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4214,'36078861','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4215,'36078985','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4216,'36081259','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4217,'36082087','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4218,'36082284','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4219,'36084255','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4220,'36084450','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4221,'36084595','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4222,'36085793','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4223,'36086050','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4224,'36086329','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4225,'36103271','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4226,'36106223','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4227,'36111017','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4228,'36111228','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4229,'36111408','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4230,'36141211','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4231,'36165088','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4232,'36169847','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4233,'36170180','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4234,'36170354','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4235,'36245730','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4236,'36245983','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4237,'36246161','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4238,'47570292','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4239,'47570323','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4240,'47570324','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4241,'47570325','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4242,'47570326','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4243,'47570548','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4244,'47570601','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4245,'47570666','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4246,'47571064','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4247,'47571105','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4248,'47571106','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4249,'47571107','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4250,'47571108','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4251,'47571109','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4252,'47571110','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4253,'47571177','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4254,'47571363','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4255,'47571575','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4256,'47571623','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4257,'47571668','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4258,'47571688','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4259,'47571689','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4260,'47571690','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4261,'47571818','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4262,'47571959','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4263,'47571960','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4264,'47571961','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4265,'47572374','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4266,'47572441','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4267,'47572490','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4268,'47572522','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4269,'47572523','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4270,'47572524','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4271,'47572525','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4272,'47572526','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4273,'47572527','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4274,'47572528','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4275,'47572529','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4276,'47572530','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4277,'47572531','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4278,'47572532','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4279,'47572533','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4280,'47572534','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup'),
(4281,'47572556','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4282,'47572557','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4283,'47572558','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4284,'47572559','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4285,'47572560','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4286,'47572561','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4287,'47572562','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4288,'47572567','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4289,'47572660','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4290,'47572854','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4291,'47572855','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4292,'47572856','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4293,'47573312','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4294,'47573324','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4295,'47573325','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4296,'47573326','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4297,'47573327','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4298,'47573328','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4299,'47573398','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4300,'47574030','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4301,'47574031','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4302,'47574032','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4303,'47574062','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4304,'47574063','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4305,'47574064','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4306,'47574065','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4307,'47574066','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4308,'47574067','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4309,'47574068','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4310,'47574069','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4311,'47574070','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4312,'47574071','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4313,'47574072','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4314,'47574073','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4315,'47574074','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4316,'47574483','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4317,'47574567','Jawa Timur','Bondowoso (Kab.)','DLH Bondowoso'),
(4318,'47574568','Jawa Timur','Bondowoso (Kab.)','DLH Bondowoso'),
(4319,'47574569','Jawa Timur','Bondowoso (Kab.)','DLH Bondowoso'),
(4320,'47574570','Jawa Timur','Bondowoso (Kab.)','DLH Bondowoso'),
(4321,'47574571','Jawa Timur','Bondowoso (Kab.)','DLH Bondowoso'),
(4322,'47574732','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4323,'47574733','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4324,'47574734','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4325,'47574735','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4326,'47574736','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4327,'47574737','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4328,'47574738','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4329,'47574739','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4330,'47574740','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4331,'47574741','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4332,'47574742','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4333,'47574743','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4334,'47575134','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4335,'47575135','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4336,'47575136','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4337,'47575137','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4338,'47575710','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4339,'47575840','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4340,'47576211','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4341,'47576273','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4342,'47576274','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4343,'47576275','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4344,'47576276','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4345,'47576386','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4346,'47576433','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4347,'47576467','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4348,'47576468','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4349,'47576610','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4350,'47576645','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4351,'47577652','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4352,'47577653','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4353,'47577654','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4354,'47577920','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4355,'47577921','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4356,'47577922','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4357,'36196527','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4358,'36196528','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4359,'36196529','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4360,'36196877','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4361,'36197131','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4362,'36197203','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4363,'36197204','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4364,'36197205','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4365,'36197294','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4366,'36197568','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4367,'36197569','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4368,'36197570','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4369,'36197942','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4370,'36197943','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4371,'36197945','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4372,'36198539','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4373,'36199111','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4374,'36199112','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4375,'36199113','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4376,'36199118','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4377,'36199119','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4378,'36199120','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4379,'36199123','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4380,'36199125','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4381,'36199127','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4382,'36199129','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4383,'36199130','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4384,'36199295','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4385,'36199296','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4386,'36199702','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4387,'36199703','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4388,'36199704','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4389,'36199832','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4390,'36200159','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4391,'36200160','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4392,'36200161','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4393,'36200443','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4394,'36200444','Jawa Timur','Bondowoso (Kab.)','DLH Kabupaten Bondowoso'),
(4395,'36201103','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4396,'36201104','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4397,'36201592','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4398,'36201593','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4399,'36201594','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4400,'36201595','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4401,'36201596','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4402,'36201629','Jawa Timur','Bondowoso (Kab.)','Dinas Lingkungan Hidup Kabupaten Bondowoso'),
(4403,'47244161','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4404,'47244162','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4405,'47244163','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4406,'47244164','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4407,'47244165','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4408,'47244166','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4409,'47244168','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4410,'47244169','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4411,'47244170','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4412,'47244515','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4413,'47244516','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4414,'47244743','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4415,'47244745','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4416,'47244746','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4417,'47244748','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4418,'47245156','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4419,'47247178','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4420,'47247179','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4421,'47247180','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4422,'47247182','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4423,'47247184','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4424,'47247187','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4425,'47247189','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4426,'47247192','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4427,'47247195','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4428,'47247198','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4429,'47247200','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4430,'47247411','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4431,'47247414','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4432,'47247416','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4433,'47247418','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4434,'47247421','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4435,'47248062','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4436,'47248063','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4437,'47248064','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4438,'47248067','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4439,'47248069','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4440,'47248071','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4441,'47248072','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4442,'47248073','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4443,'47248074','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4444,'47248327','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4445,'47248328','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4446,'47248329','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4447,'47248330','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4448,'47248331','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4449,'47248332','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4450,'47248752','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4451,'47248753','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4452,'47248754','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4453,'47248755','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4454,'47248756','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4455,'47248757','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4456,'47248758','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4457,'47248759','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4458,'47248760','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4459,'47248761','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4460,'47248762','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4461,'47248763','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4462,'47248764','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4463,'47248765','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4464,'47248766','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4465,'47248767','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4466,'47248768','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4467,'47249139','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4468,'47249144','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4469,'47249146','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4470,'47249149','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4471,'47249150','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4472,'47249151','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4473,'47252008','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4474,'47252009','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4475,'47252011','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4476,'47252013','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4477,'47252015','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4478,'47252240','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4479,'47252241','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4480,'47252242','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4481,'47252243','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4482,'47252244','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4483,'47252245','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4484,'47252547','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4485,'47252549','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4486,'47252551','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4487,'47252552','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4488,'47252553','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4489,'47252734','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4490,'47252737','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4491,'47252740','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4492,'47252741','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4493,'47252986','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4494,'47252987','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4495,'47252988','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4496,'47252989','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4497,'47252990','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4498,'47252991','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4499,'47252993','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4500,'47253155','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4501,'47253157','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4502,'47253158','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4503,'47253159','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4504,'47253160','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4505,'47254278','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4506,'47254279','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4507,'47254280','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4508,'47254281','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4509,'47254282','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4510,'47254283','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4511,'47254284','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4512,'47254285','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4513,'47254286','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4514,'47254287','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4515,'47254288','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4516,'47254289','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4517,'47254290','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4518,'47254291','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4519,'47254292','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4520,'47254293','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4521,'47254294','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4522,'47254295','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4523,'47254296','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4524,'47254297','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4525,'47254298','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4526,'47254299','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4527,'47254300','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4528,'47254301','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4529,'47254302','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4530,'47254303','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4531,'47254467','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4532,'47254469','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4533,'47254470','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4534,'47254471','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4535,'47254694','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4536,'47254695','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4537,'47254696','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4538,'47254698','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4539,'47254701','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4540,'47254765','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4541,'47254855','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4542,'47254856','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4543,'47254857','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4544,'47254860','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4545,'47254994','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4546,'47254995','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4547,'47254997','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4548,'47255221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4549,'47255223','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4550,'47255224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4551,'47255225','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4552,'47255226','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4553,'47255491','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4554,'47255493','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4555,'47255494','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4556,'47255495','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4557,'47255497','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4558,'47255498','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4559,'47255499','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4560,'47255865','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4561,'47255866','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4562,'47255868','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4563,'47255869','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4564,'47255870','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4565,'47255871','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4566,'47255873','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4567,'47255875','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4568,'47255877','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4569,'47255879','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4570,'47256102','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4571,'47256103','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4572,'47256104','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4573,'47256105','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4574,'47256106','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4575,'47256279','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4576,'47256281','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4577,'47256283','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4578,'47256339','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4579,'47256341','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4580,'47256343','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4581,'47256420','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4582,'47256421','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4583,'47256422','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4584,'47256495','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4585,'47256503','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4586,'47256509','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4587,'47256579','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4588,'47256580','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4589,'47256581','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4590,'47256623','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4591,'47256624','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4592,'47256625','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4593,'47256704','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4594,'47256705','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4595,'47256706','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4596,'47256834','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4597,'47256835','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4598,'47256836','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4599,'47256929','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4600,'47256995','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4601,'47257591','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4602,'47257592','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4603,'47257593','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4604,'47257596','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4605,'47257598','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4606,'47257655','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4607,'47257658','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4608,'47257946','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4609,'47257947','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4610,'47257948','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4611,'47257949','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4612,'47257951','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4613,'47257953','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4614,'47257954','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4615,'47257956','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4616,'47257958','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4617,'47257962','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4618,'47257964','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4619,'47257965','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4620,'47258460','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4621,'47258462','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4622,'47258532','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4623,'47258533','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4624,'47258599','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4625,'47258600','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4626,'47258601','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4627,'47434379','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4628,'47434380','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4629,'47434381','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4630,'47434383','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4631,'47434384','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4632,'47434386','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4633,'47434388','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4634,'47434390','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4635,'47434392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4636,'47434394','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4637,'47434396','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4638,'47434399','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4639,'47434401','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4640,'36069724','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4641,'36069725','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4642,'36069726','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4643,'36069727','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4644,'36069728','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4645,'36069729','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4646,'36069951','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4647,'36069953','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4648,'36069954','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4649,'36069956','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4650,'36069957','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4651,'36070857','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4652,'36070858','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4653,'36070859','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4654,'36070860','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4655,'36070923','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4656,'36070924','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4657,'36070925','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4658,'36070926','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4659,'36071049','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4660,'36071266','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4661,'36071267','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4662,'36071268','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4663,'36071345','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4664,'36071346','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4665,'36071347','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4666,'36071537','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4667,'36071538','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4668,'36071539','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4669,'36071540','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4670,'36071663','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4671,'36071664','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4672,'36071665','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4673,'36072539','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4674,'36072606','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4675,'36072607','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4676,'36072608','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4677,'36072609','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4678,'36072752','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4679,'36072753','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4680,'36072754','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4681,'36072815','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4682,'36072816','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4683,'36072817','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4684,'36072885','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4685,'36072886','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4686,'36072960','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4687,'36073112','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4688,'36073113','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4689,'36073276','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4690,'36073277','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4691,'36073278','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4692,'36073279','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4693,'36073280','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4694,'36073281','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4695,'36073340','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4696,'36073341','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4697,'36073343','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4698,'36073344','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4699,'36073345','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4700,'36073346','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4701,'36073496','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4702,'36073497','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4703,'36073523','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4704,'36073524','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4705,'36073723','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4706,'36073724','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4707,'36073867','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4708,'36073868','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4709,'36073869','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4710,'36073870','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4711,'36073871','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4712,'36073934','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4713,'36073935','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4714,'36073936','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4715,'36073984','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4716,'36073986','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4717,'36073987','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4718,'36073988','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4719,'36074407','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4720,'36074447','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4721,'36074448','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4722,'36074737','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4723,'36074783','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4724,'36074784','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4725,'36074785','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4726,'36074837','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4727,'36074872','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4728,'36074873','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4729,'36074916','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4730,'36131434','Jawa Timur','Bondowoso (Kab.)','BONDOWOSO'),
(4731,'36142082','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4732,'36149120','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4733,'36149141','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4734,'47049280','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4735,'47049281','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4736,'47049283','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4737,'47049284','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4738,'47064917','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4739,'47064918','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4740,'47064919','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4741,'47064940','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4742,'47064941','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4743,'47064942','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4744,'47064968','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4745,'47064969','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4746,'47064970','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4747,'47064999','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4748,'47065000','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4749,'47065001','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4750,'47065052','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4751,'47065053','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4752,'47065054','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4753,'47065075','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4754,'47065078','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4755,'47065080','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4756,'47084764','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4757,'47084765','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4758,'47085929','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4759,'47085930','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4760,'47085931','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4761,'47085932','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4762,'47085933','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4763,'47085934','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4764,'47108705','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4765,'47108706','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4766,'47108707','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4767,'47108709','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4768,'47115221','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4769,'47115222','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4770,'47115223','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4771,'47115224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4772,'47115225','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4773,'47115226','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4774,'47119429','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4775,'47119430','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4776,'47122496','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4777,'47122497','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4778,'47122498','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4779,'47128374','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4780,'47128376','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4781,'47128377','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4782,'47132106','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4783,'47132107','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4784,'47132108','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4785,'47142087','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4786,'47142088','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4787,'47142089','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4788,'47142090','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4789,'47142091','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4790,'47142092','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4791,'47160605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4792,'47160606','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4793,'47163088','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4794,'47163816','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4795,'47164351','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4796,'47164352','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4797,'47164353','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4798,'47164354','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4799,'47166060','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4800,'47167710','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4801,'47167711','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4802,'47167712','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4803,'47173870','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4804,'47173871','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4805,'47173872','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4806,'47175767','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4807,'47175768','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4808,'47175769','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4809,'47176828','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4810,'47176829','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4811,'47176831','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4812,'47200428','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4813,'47200429','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4814,'47200430','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4815,'47200649','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4816,'47200650','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4817,'47200651','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4818,'36007674','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4819,'36007675','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4820,'36016392','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4821,'36016393','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4822,'36019810','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4823,'36019811','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4824,'36031158','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4825,'36031159','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4826,'36031160','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4827,'36038805','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4828,'36038807','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(4829,'46871562','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4830,'46871747','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4831,'46872089','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4832,'46873530','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4833,'46874069','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4834,'46876258','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4835,'46876354','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4836,'46878825','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4837,'46879197','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4838,'46879495','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4839,'46980845','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4840,'46980876','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4841,'46981017','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4842,'46981772','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4843,'46984594','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4844,'46984719','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4845,'46985248','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4846,'46985708','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4847,'46985874','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4848,'46992793','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4849,'46993259','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4850,'46993535','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4851,'46993926','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4852,'46994269','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4853,'46996841','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4854,'46998292','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4855,'46998768','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4856,'46999913','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4857,'47000191','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4858,'47002758','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4859,'47003158','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4860,'47003427','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4861,'47003449','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4862,'47003907','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4863,'47003929','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4864,'47004650','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4865,'47004949','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4866,'47005438','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4867,'47008054','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4868,'47010020','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4869,'47010433','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4870,'47010881','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4871,'47011950','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4872,'47012399','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4873,'47012522','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4874,'47012631','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4875,'47013128','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4876,'47013510','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4877,'47014102','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4878,'47014413','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4879,'47024902','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4880,'47029710','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4881,'47030688','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4882,'47032518','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4883,'47032554','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4884,'47032821','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4885,'47033084','Jawa Timur','Bojonegoro (Kab.)','Kab. Bondowoso'),
(4886,'47033278','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4887,'47033621','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4888,'47034570','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4889,'47036684','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4890,'47037078','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4891,'47037494','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4892,'47037943','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4893,'47038219','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4894,'47038952','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4895,'47039523','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4896,'47039796','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4897,'47093526','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4898,'47110958','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4899,'47206186','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4900,'47217209','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4901,'47217738','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4902,'47218294','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4903,'47233234','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4904,'47233852','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4905,'47235371','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4906,'47248633','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4907,'47249207','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4908,'47249228','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4909,'47249801','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4910,'47254971','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4911,'47258246','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4912,'47287583','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4913,'47288816','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4914,'47289775','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4915,'47292087','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4916,'47292450','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4917,'47293085','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4918,'47743063','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4919,'35914996','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4920,'35915176','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4921,'35915362','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4922,'35915479','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4923,'35917651','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4924,'35918031','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4925,'35918160','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4926,'35961372','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4927,'35961403','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4928,'35961411','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4929,'35963638','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4930,'35963721','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4931,'35966392','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4932,'35969473','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4933,'35969613','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4934,'35973863','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4935,'35974207','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4936,'35974385','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4937,'35974532','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4938,'35974655','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4939,'35975064','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4940,'35975188','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4941,'35982974','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4942,'35984517','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4943,'35984550','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4944,'35984893','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4945,'35984894','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4946,'35985034','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4947,'35985111','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(4948,'35987396','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4949,'35987645','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4950,'36013419','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4951,'36013535','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4952,'36013708','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4953,'36013828','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4954,'36014002','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4955,'36014241','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4956,'36014330','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4957,'36014514','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4958,'36014596','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4959,'36014714','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4960,'36014809','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4961,'36018496','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4962,'36060919','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4963,'36061224','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4964,'36068696','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4965,'36068879','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4966,'36069044','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4967,'36072033','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4968,'36072429','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4969,'36072694','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4970,'36088086','Jawa Timur','Bondowoso (Kab.)','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja'),
(4971,'36153094','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(4972,'46869068','Jawa Timur','Bondowoso (Kab.)','SMP Adz Dzakirin'),
(4973,'46874905','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN'),
(4974,'46876404','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4975,'46881772','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4976,'46886915','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4977,'46887568','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4978,'46888943','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4979,'46889470','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4980,'46890605','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4981,'46890700','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4982,'46891634','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4983,'46893364','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4984,'46897006','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4985,'46897398','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(4986,'46898478','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4987,'46898762','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(4988,'46899319','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(4989,'46902867','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(4990,'46903472','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(4991,'46906299','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4992,'46906898','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4993,'46907205','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(4994,'46934402','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Kidul 4 Kec. Botolinggo'),
(4995,'46934438','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Lor 1 Kec. Botolinggo'),
(4996,'46934476','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(4997,'46934508','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(4998,'46934551','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(4999,'46934706','Jawa Timur','Bondowoso (Kab.)','SDN Sukorejo 3 Kec Sumber Wringin'),
(5000,'46934734','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5001,'46934797','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5002,'46935249','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Kidul 4 Kec. Botolinggo'),
(5003,'46935251','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Lor 1 Kec. Botolinggo'),
(5004,'46935253','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 1 Kec. Ijen'),
(5005,'46935259','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5006,'46935265','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5007,'46935586','Jawa Timur','Bondowoso (Kab.)','SDN Sukorejo 3 Kec Sumber Wringin'),
(5008,'46935588','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5009,'46935589','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(5010,'46935591','Jawa Timur','Bondowoso (Kab.)','SDN Pejagan Kec. Jambesari DS'),
(5011,'46935649','Jawa Timur','Bondowoso (Kab.)','SDN Sumberwaru Kec. Binakal'),
(5012,'46935662','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Kidul 1 Kec. Prajekan'),
(5013,'46935668','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5014,'46935671','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(5015,'46935677','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 3 Kec. Ijen'),
(5016,'46935680','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 2 Kec. Ijen'),
(5017,'46935681','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 2 Kec. Pujer'),
(5018,'46935817','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5019,'46935839','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 1 Kec. Ijen'),
(5020,'46935855','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 2 Kec. Ijen'),
(5021,'46935877','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 3 Kec. Ijen'),
(5022,'46935913','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 2 Kec. Pujer'),
(5023,'46935977','Jawa Timur','Bondowoso (Kab.)','SDN Pejagan Kec. Jambesari DS'),
(5024,'46935990','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Kidul 1 Kec. Prajekan'),
(5025,'46936078','Jawa Timur','Bondowoso (Kab.)','SDN Sumberwaru Kec. Binakal'),
(5026,'46936117','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Kidul 4 Kec. Botolinggo'),
(5027,'46936229','Jawa Timur','Bondowoso (Kab.)','SDN Gayam Lor 1 Kec. Botolinggo'),
(5028,'46936241','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(5029,'46936249','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5030,'46936257','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(5031,'46936271','Jawa Timur','Bondowoso (Kab.)','SDN Sukorejo 3 Kec Sumber Wringin'),
(5032,'46936304','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5033,'46936316','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5034,'46936332','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5035,'46936341','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 1 Kec. Ijen'),
(5036,'46936354','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 2 Kec. Ijen'),
(5037,'46936362','Jawa Timur','Bondowoso (Kab.)','SDN Kalianyar 3 Kec. Ijen'),
(5038,'46936401','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 2 Kec. Pujer'),
(5039,'46936409','Jawa Timur','Bondowoso (Kab.)','SDN Pejagan Kec. Jambesari DS'),
(5040,'46936419','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Kidul 1 Kec. Prajekan'),
(5041,'46936427','Jawa Timur','Bondowoso (Kab.)','SDN Sumberwaru Kec. Binakal'),
(5042,'46936492','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5043,'46936515','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5044,'46948995','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN'),
(5045,'46949078','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5046,'46949134','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5047,'46949172','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5048,'46949495','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5049,'46949551','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5050,'46951995','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5051,'46952096','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5052,'46952122','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5053,'46952141','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5054,'46952250','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5055,'46952360','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Cermee'),
(5056,'46952371','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Cermee'),
(5057,'46952386','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Cermee'),
(5058,'46952411','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pakem'),
(5059,'46952595','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pakem'),
(5060,'46952618','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pakem'),
(5061,'46952652','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Tamanan'),
(5062,'46952706','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Tamanan'),
(5063,'46952759','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Tamanan'),
(5064,'46955886','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tamanan'),
(5065,'46956040','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tamanan'),
(5066,'46956099','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tamanan'),
(5067,'46956138','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tegalampel'),
(5068,'46956215','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tegalampel'),
(5069,'46956238','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tegalampel'),
(5070,'46956292','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5071,'46956308','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5072,'46956325','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5073,'46956369','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Jambesari'),
(5074,'46956393','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Jambesari'),
(5075,'46956464','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Jambesari'),
(5076,'46956504','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Taman krocok'),
(5077,'46956546','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Taman krocok'),
(5078,'46956568','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Taman krocok'),
(5079,'46956670','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wringin'),
(5080,'46956713','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wringin'),
(5081,'46956773','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wringin'),
(5082,'46956942','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wonosari'),
(5083,'46956983','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wonosari'),
(5084,'46957019','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Wonosari'),
(5085,'46957073','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tenggarang'),
(5086,'46957099','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tenggarang'),
(5087,'46957130','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Tenggarang'),
(5088,'46957163','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5089,'46957263','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5090,'46957282','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5091,'46957740','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5092,'46957795','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5093,'46957834','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5094,'46957901','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5095,'46957982','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5096,'46958017','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5097,'46958248','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5098,'46958287','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5099,'46958307','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5100,'46967020','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMPN 3 Satu Atap Maesan'),
(5101,'46967034','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMPN 3 Satu Atap Maesan'),
(5102,'46967058','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMPN 3 Satu Atap Maesan'),
(5103,'46967498','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5104,'46968234','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5105,'46968268','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Pujer'),
(5106,'46968295','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5107,'46968312','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5108,'46968321','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Sumber wringin'),
(5109,'46968363','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5110,'46968369','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5111,'46968377','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5112,'46968388','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 3 Bondowoso'),
(5113,'46968397','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 3 Bondowoso'),
(5114,'46968408','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 3 Bondowoso'),
(5115,'46968604','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5116,'46968626','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5117,'46968673','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5118,'46968710','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5119,'46968730','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5120,'46968775','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5121,'46969387','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5122,'46969398','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5123,'46969428','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5124,'46969473','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5125,'46969490','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5126,'46969500','Jawa Timur','Bondowoso (Kab.)','SMP ISLAM AS SYUHADA 45 Kecamatan Curahdami'),
(5127,'46969540','Jawa Timur','Bondowoso (Kab.)','SMP SMP ADZ DZAKIRIN'),
(5128,'46969555','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5129,'46969567','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5130,'46969576','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 maesan'),
(5131,'46969597','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5132,'46969608','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5133,'46969642','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5134,'46969695','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5135,'46969718','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5136,'46969740','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5137,'46970416','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Tamanan, SMP ISLAM AS SYUHADA 45 Curahdami'),
(5138,'46970474','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN, SMP ISLAM AS SYUHADA 45, SMP Islam Miftahul Ulum Mandiro'),
(5139,'46970605','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5140,'46970633','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5141,'46970707','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5142,'46970753','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5143,'46970770','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5144,'46970815','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5145,'46973410','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5146,'46973429','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5147,'46974897','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5148,'46974931','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan, UPTD SPF SMP Negeri 3 Bondowoso'),
(5149,'46975037','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5150,'46975080','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5151,'46975197','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5152,'46975222','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5153,'46975420','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5154,'46975468','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5155,'46975528','Jawa Timur','Bondowoso (Kab.)','\"UPTD SPF SMPN 1 SATU ATAP BOTOLINGGO, UPTD SPF SMPN 2 SATU ATAP BOTOLINGGO, UPTD SPF SMPN 2 SATU ATAP GRUJUGAN, UPTD SPF SMPN 2 SATU ATAP JAMBESARI, UPTD SPF SMPN 2 SATU ATAP PUJER UPTD SPF SMPN 2 SATU ATAP SUMBER WRINGIN UPTD SPF SMPN 2 SATU ATAP TLOGOSARI UPTD SPF SMPN 3 SATU ATAP CERMEE UPTD SPF SMPN 3 SATU ATAP MAESAN UPTD SPF SMPN 3 SATU ATAP TAMANAN\"'),
(5156,'46975557','Jawa Timur','Bondowoso (Kab.)','\"UPTD SPF SMPN 2 SATU ATAP PUJER UPTD SPF SMPN 2 SATU ATAP TLOGOSARI UPTD SPF SMPN 3 SATU ATAP MAESAN UPTD SPF SMPN 3 SATU ATAP SUMBER WRINGIN UPTD SPF SMPN 3 SATU ATAP TAMANAN\"'),
(5157,'46975638','Jawa Timur','Bondowoso (Kab.)','\"UPTD SPF SMPN 1 SATU ATAP BOTOLINGGO UPTD SPF SMPN 2 SATU ATAP GRUJUGAN UPTD SPF SMPN 2 SATU ATAP JAMBESARI UPTD SPF SMPN 2 SATU ATAP PUJER UPTD SPF SMPN 2 SATU ATAP SUMBER WRINGIN UPTD SPF SMPN 3 SATU ATAP MAESAN UPTD SPF SMPN 3 SATU ATAP SUMBER WRINGIN UPTD SPF SMPN 3 SATU ATAP TAMANAN UPTD SPF SMPN 4 SATU ATAP CERMEE\"'),
(5158,'46975731','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Maesan'),
(5159,'46975810','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 1 Maesan'),
(5160,'46976045','Jawa Timur','Bondowoso (Kab.)','\"UPTD SPF SMPN 1 Bondowoso, UPTD SPF SMPN 2 Bondowoso, UPTD SPF SMPN 2 Tenggarang, UPTD SPF SMPN 7 Bondowoso\"'),
(5161,'46976349','Jawa Timur','Bondowoso (Kab.)','SMP NU 03 Kecamatan SUmber Wringin'),
(5162,'46976435','Jawa Timur','Bondowoso (Kab.)','SMP NU 03 Kecamatan SUmber Wringin'),
(5163,'46976462','Jawa Timur','Bondowoso (Kab.)','SMP NU 03 Kecamatan SUmber Wringin'),
(5164,'46976716','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5165,'46976750','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5166,'46976772','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5167,'46976818','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5168,'46976880','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5169,'46976903','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5170,'46976979','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5171,'46977028','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5172,'46977066','Jawa Timur','Bondowoso (Kab.)','SMP ADZ DZAKIRIN Kecamatan Tamanan'),
(5173,'46977087','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5174,'46977130','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5175,'46977155','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5176,'46977216','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5177,'46977731','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5178,'46977760','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 1 Kec.Pujer'),
(5179,'46977935','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 3 Kec.Pujer'),
(5180,'46977952','Jawa Timur','Bondowoso (Kab.)','SDN Tegalampel Kec.Tegalampel'),
(5181,'46978024','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5182,'46978160','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 1 Kec.Pujer'),
(5183,'46978167','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 3 Kec.Pujer'),
(5184,'46978218','Jawa Timur','Bondowoso (Kab.)','SDN Tegalampel Kec.Tegalampel'),
(5185,'46978231','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5186,'46978284','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5187,'46978294','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 1 Kec.Pujer'),
(5188,'46978303','Jawa Timur','Bondowoso (Kab.)','SDN Maskuning Wetan 3 Kec.Pujer'),
(5189,'46978312','Jawa Timur','Bondowoso (Kab.)','SDN Tegalampel Kec.Tegalampel'),
(5190,'46978331','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5191,'46978365','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec. Tlogosari'),
(5192,'46978376','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec. Tlogosari'),
(5193,'46978383','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec. Tlogosari'),
(5194,'46982179','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5195,'46983134','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5196,'46989099','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5197,'46989647','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5198,'46990055','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5199,'46991367','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5200,'46992258','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5201,'46992362','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5202,'46992742','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5203,'46993574','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5204,'46993612','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5205,'46994171','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5206,'46994362','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5207,'46994576','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5208,'46994643','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5209,'46995307','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5210,'46995528','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5211,'46995680','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5212,'46996008','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5213,'46996396','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5214,'46996705','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5215,'47000194','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(5216,'47002327','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5217,'47005121','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5218,'47006417','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5219,'47007377','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5220,'47011425','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5221,'47012894','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5222,'47013560','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5223,'47013653','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5224,'47014296','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5225,'47014361','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5226,'47015118','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5227,'47015936','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5228,'47016064','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5229,'47018832','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5230,'47020826','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5231,'47030381','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5232,'47030980','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5233,'47031336','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5234,'47032837','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5235,'47033298','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5236,'47033690','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5237,'47034206','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5238,'47034558','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5239,'47034963','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5240,'47035035','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5241,'47035314','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5242,'47035405','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5243,'47035693','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5244,'47036149','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5245,'47036393','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5246,'47036493','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5247,'47036884','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5248,'47037149','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5249,'47057681','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5250,'47061895','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5251,'47062261','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5252,'47062731','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5253,'47091382','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5254,'47091989','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5255,'47092418','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5256,'47096906','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5257,'47097898','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5258,'47098008','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5259,'47098787','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5260,'47099067','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5261,'47099318','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5262,'47099731','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5263,'47101171','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5264,'47101575','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5265,'47101739','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5266,'47103207','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5267,'47103658','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5268,'47104138','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5269,'47104209','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5270,'47104322','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5271,'47104411','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5272,'47104464','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5273,'47104883','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5274,'47104889','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5275,'47105022','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5276,'47105602','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5277,'47105925','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bandilan 3 Kec. Prajekan'),
(5278,'47106147','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5279,'47106312','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5280,'47107114','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5281,'47107673','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5282,'47108204','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5283,'47108598','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5284,'47109013','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5285,'47109725','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5286,'47110433','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5287,'47110589','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5288,'47111039','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bandilan 3 Kec. Prajekan'),
(5289,'47111277','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5290,'47111300','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5291,'47111643','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bandilan 3 Kec. Prajekan'),
(5292,'47111899','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5293,'47112135','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bercak 1 Kec, Cermee'),
(5294,'47112371','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5295,'47112609','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bercak 1 Kec. Cermee'),
(5296,'47112685','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5297,'47113254','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Bercak 1 Kec. Cermee'),
(5298,'47113504','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5299,'47113587','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Cermee 3 Kec. Cermee'),
(5300,'47113684','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5301,'47114499','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5302,'47115645','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5303,'47116324','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5304,'47119354','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5305,'47119697','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5306,'47120867','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5307,'47121390','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5308,'47122426','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5309,'47126306','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5310,'47131270','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5311,'47132201','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SMP Negeri 2 Maesan'),
(5312,'47133000','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5313,'47134802','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5314,'47135839','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5315,'47136743','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5316,'47139261','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5317,'47139971','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5318,'47140618','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5319,'47141736','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5320,'47143492','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5321,'47144880','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5322,'47146331','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5323,'47146991','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5324,'47148025','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5325,'47149284','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5326,'47150813','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5327,'47151338','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5328,'47151688','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5329,'47152048','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5330,'47154722','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5331,'47155365','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5332,'47155731','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5333,'47156059','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5334,'47156422','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5335,'47166532','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5336,'47168514','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5337,'47169117','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5338,'47178917','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5339,'47179503','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5340,'47189359','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5341,'47189478','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5342,'47189656','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5343,'47194545','Jawa Timur','Bondowoso (Kab.)','D'),
(5344,'47194594','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(5345,'47194656','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5346,'47194705','Jawa Timur','Bondowoso (Kab.)','SDN Sumber Wringin 2 Kec Sumber Wringin'),
(5347,'47194735','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5348,'47194756','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5349,'47194788','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5350,'47194821','Jawa Timur','Bondowoso (Kab.)','SDN Batu Ampar 1 Kec. Cermee'),
(5351,'47194851','Jawa Timur','Bondowoso (Kab.)','SDN Cangkring Kec. Prajekan'),
(5352,'47194907','Jawa Timur','Bondowoso (Kab.)','SDN Cermee 3 Kec. Cermee'),
(5353,'47194993','Jawa Timur','Bondowoso (Kab.)','SDN Curahpoh 2 Kec. Curahdami'),
(5354,'47195020','Jawa Timur','Bondowoso (Kab.)','SDN Jeruk Sok-sok 3 Kec. Binakal'),
(5355,'47195061','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 1 Kec. Pujer'),
(5356,'47195081','Jawa Timur','Bondowoso (Kab.)','SDN Patemon 1 Kec. Tlogosari'),
(5357,'47195265','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Lor 2 Kec. Prajekan'),
(5358,'47195314','Jawa Timur','Bondowoso (Kab.)','SDN Suger Lor 3 Kec. Maesan'),
(5359,'47195332','Jawa Timur','Bondowoso (Kab.)','SDN Sumbersuko 1 Kec. Curahdami'),
(5360,'47195412','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(5361,'47195427','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5362,'47195478','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(5363,'47195493','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5364,'47195525','Jawa Timur','Bondowoso (Kab.)','SDN Sumber Wringin 2 Kec Sumber Wringin'),
(5365,'47195563','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5366,'47195786','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5367,'47197079','Jawa Timur','Bondowoso (Kab.)','SDN Batu Ampar 1 Kec. Cermee'),
(5368,'47201435','Jawa Timur','Bondowoso (Kab.)','SDN Cangkring Kec. Prajekan'),
(5369,'47201524','Jawa Timur','Bondowoso (Kab.)','SDN Cermee 3 Kec. Cermee'),
(5370,'47201587','Jawa Timur','Bondowoso (Kab.)','SDN Curahpoh 2 Kec. Curahdami'),
(5371,'47201675','Jawa Timur','Bondowoso (Kab.)','SDN Jeruk Sok-sok 3 Kec. Binakal'),
(5372,'47201755','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 1 Kec. Pujer'),
(5373,'47202027','Jawa Timur','Bondowoso (Kab.)','SDN Patemon 1 Kec. Tlogosari'),
(5374,'47202115','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Lor 2 Kec. Prajekan'),
(5375,'47202211','Jawa Timur','Bondowoso (Kab.)','SDN Suger Lor 3 Kec. Maesan'),
(5376,'47202228','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5377,'47202348','Jawa Timur','Bondowoso (Kab.)','SDN Sumbersuko 1 Kec. Curahdami'),
(5378,'47202443','Jawa Timur','Bondowoso (Kab.)','SDN Jambesari 3 Kec Jambesari DS'),
(5379,'47202558','Jawa Timur','Bondowoso (Kab.)','SDN Jampit 2 Kec Ijen'),
(5380,'47202748','Jawa Timur','Bondowoso (Kab.)','SDN Sukodono 2 Kec Pujer'),
(5381,'47202828','Jawa Timur','Bondowoso (Kab.)','SDN Sulek 2 Kec Tlogosari'),
(5382,'47202968','Jawa Timur','Bondowoso (Kab.)','SDN Sumber Wringin 2 Kec Sumber Wringin'),
(5383,'47203203','Jawa Timur','Bondowoso (Kab.)','SDN Tegalmijin 1 Kec Grujugan'),
(5384,'47203445','Jawa Timur','Bondowoso (Kab.)','SDN Wonosuko 2 Kec Tamanan'),
(5385,'47203656','Jawa Timur','Bondowoso (Kab.)','SDN Batu Ampar 1 Kec. Cermee'),
(5386,'47203913','Jawa Timur','Bondowoso (Kab.)','SDN Cangkring Kec. Prajekan'),
(5387,'47204152','Jawa Timur','Bondowoso (Kab.)','SDN Cermee 3 Kec. Cermee'),
(5388,'47204297','Jawa Timur','Bondowoso (Kab.)','SDN Curahpoh 2 Kec. Curahdami'),
(5389,'47204387','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5390,'47204428','Jawa Timur','Bondowoso (Kab.)','SDN Jeruk Sok-sok 3 Kec. Binakal'),
(5391,'47204582','Jawa Timur','Bondowoso (Kab.)','SDN Kejayan 1 Kec. Pujer'),
(5392,'47204681','Jawa Timur','Bondowoso (Kab.)','SDN Patemon 1 Kec. Tlogosari'),
(5393,'47204889','Jawa Timur','Bondowoso (Kab.)','SDN Prajekan Lor 2 Kec. Prajekan'),
(5394,'47205014','Jawa Timur','Bondowoso (Kab.)','SDN Suger Lor 3 Kec. Maesan'),
(5395,'47205219','Jawa Timur','Bondowoso (Kab.)','SDN Sumbersuko 1 Kec. Curahdami'),
(5396,'47205644','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5397,'47205833','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5398,'47206607','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5399,'47208349','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5400,'47210324','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5401,'47210820','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5402,'47213490','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5403,'47220899','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5404,'47225109','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5405,'47228204','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5406,'47228369','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5407,'47229107','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5408,'47230000','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5409,'47230023','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5410,'47231943','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5411,'47232914','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5412,'47233366','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5413,'47235009','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5414,'47237917','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5415,'47239391','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5416,'47244212','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5417,'47244549','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5418,'47245070','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5419,'47245103','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5420,'47246176','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5421,'47246238','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5422,'47247511','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5423,'47249055','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5424,'47249912','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5425,'47250706','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5426,'47251458','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5427,'47251897','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5428,'47253018','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5429,'47253279','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5430,'47254179','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5431,'47255201','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5432,'47255265','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5433,'47256234','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5434,'47256804','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5435,'47257878','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5436,'47257936','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5437,'47258941','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5438,'47260278','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5439,'47260686','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5440,'47260874','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5441,'47261563','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5442,'47262136','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5443,'47263395','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5444,'47263725','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5445,'47263890','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5446,'47264931','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5447,'47279652','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5448,'47280927','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5449,'47282303','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5450,'47284026','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5451,'47285189','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5452,'47285996','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5453,'47286197','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5454,'47287408','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5455,'47302152','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5456,'47302305','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5457,'47302453','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5458,'47312209','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Cermee 3 Kec. Cermee'),
(5459,'47312387','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Cermee 3 Kec. Cermee'),
(5460,'47312460','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Curahpoh 1 Kec. Curahdami'),
(5461,'47312490','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Curahpoh 1 Kec. Curahdami'),
(5462,'47312520','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Curahpoh 1 Kec. Curahdami'),
(5463,'47312730','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5464,'47312863','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5465,'47312947','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5466,'47313006','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Lumutan 1 Kec. Botolinggo'),
(5467,'47313053','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Lumutan 1 Kec. Botolinggo'),
(5468,'47313100','Jawa Timur','Bondowoso (Kab.)','UPTD SDN Lumutan 1 Kec. Botolinggo'),
(5469,'47313925','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Patemon 1 Kec. Tlogosari'),
(5470,'47314180','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Patemon 1 Kec. Tlogosari'),
(5471,'47314444','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Patemon 1 Kec. Tlogosari'),
(5472,'47314546','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan'),
(5473,'47314632','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Banyuwuluh 1 Kec. Wringin'),
(5474,'47314783','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan'),
(5475,'47314937','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan'),
(5476,'47315086','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5477,'47315116','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5478,'47315155','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5479,'47315203','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jetis 2 Kec. Curahdami'),
(5480,'47315235','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5481,'47315322','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5482,'47315353','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Kajar 2 Kec. Tenggarang'),
(5483,'47315454','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klekean 1 Kec. Botolinggo'),
(5484,'47315583','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sucolor 1 Kec. Maesan'),
(5485,'47315646','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5486,'47315669','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5487,'47315778','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5488,'47315888','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo3 Kec. Sumber Wringin'),
(5489,'47315997','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberanyar 2 Kec. Maesan'),
(5490,'47316064','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5491,'47316128','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5492,'47316159','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5493,'47316267','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5494,'47316493','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumbersuko 1 Kec. Curahdami'),
(5495,'47316609','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumbersuko 1 Kec. Curahdami'),
(5496,'47316800','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Banyuwuluh 1 Kec. Wringin'),
(5497,'47316951','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumbersuko 1 Kec. Curahdami'),
(5498,'47316985','Jawa Timur','Bondowoso (Kab.)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)'),
(5499,'47317037','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5500,'47317083','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5501,'47317085','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5502,'47317124','Jawa Timur','Bondowoso (Kab.)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami'),
(5503,'47317150','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5504,'47317234','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5505,'47317242','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5506,'47317307','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5507,'47317373','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5508,'47317409','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Kajar 2 Kec. Tenggarang'),
(5509,'47317517','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klekean 1 Kec. Botolinggo'),
(5510,'47317575','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5511,'47317603','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sucolor 1 Kec. Maesan'),
(5512,'47317645','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5513,'47317682','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5514,'47317715','Jawa Timur','Bondowoso (Kab.)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)'),
(5515,'47317778','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5516,'47317824','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5517,'47317842','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5518,'47317875','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5519,'47317898','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberanyar 2 Kec. Maesan'),
(5520,'47317925','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5521,'47317984','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5522,'47318030','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5523,'47318044','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5524,'47318065','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5525,'47318075','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5526,'47318134','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5527,'47318139','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5528,'47318159','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5529,'47318169','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5530,'47318178','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5531,'47318184','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberanyar 2 Kec. Maesan'),
(5532,'47318333','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5533,'47318376','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5534,'47318410','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5535,'47318427','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5536,'47318474','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5537,'47318512','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5538,'47318565','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sucolor 1 Kec. Maesan'),
(5539,'47318703','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klekean 1 Kec. Botolinggo'),
(5540,'47318729','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Kajar 2 Kec. Tenggarang'),
(5541,'47318751','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jetis 2 Kec. Curahdami'),
(5542,'47318761','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5543,'47318971','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5544,'47318994','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Banyuwuluh 1 Kec. Wringin'),
(5545,'47319100','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5546,'47319154','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5547,'47319203','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5548,'47324456','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5549,'47325512','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5550,'47325746','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5551,'47325775','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5552,'47326102','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5553,'47326322','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5554,'47326684','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5555,'47326812','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5556,'47326823','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5557,'47326978','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5558,'47327237','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Baratan Kec. Binakal'),
(5559,'47328120','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Baratan Kec. Binakal'),
(5560,'47328408','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Baratan Kec. Binakal'),
(5561,'47328799','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gebang Kec. Tenggarang'),
(5562,'47329933','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gebang Kec. Tenggarang'),
(5563,'47330168','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gebang Kec. Tenggarang'),
(5564,'47330243','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5565,'47331267','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5566,'47331335','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gubrih 2 Kec. Wringin'),
(5567,'47331475','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5568,'47331679','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gubrih 2 Kec. Wringin'),
(5569,'47331995','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gubrih 2 Kec. Wringin'),
(5570,'47332029','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5571,'47332477','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5572,'47336052','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5573,'47338873','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5574,'47340286','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5575,'47340768','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwaru Kec. Binakal'),
(5576,'47341224','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwaru Kec. Binakal'),
(5577,'47341385','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5578,'47341766','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwaru Kec. Binakal'),
(5579,'47342182','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5580,'47342286','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin'),
(5581,'47342769','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin'),
(5582,'47342907','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sulek 2 Kec. Tlogosari'),
(5583,'47343419','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin'),
(5584,'47344727','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin'),
(5585,'47344999','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5586,'47345273','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin'),
(5587,'47345783','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin'),
(5588,'47345987','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klabang Agung Kec. Tegalampel'),
(5589,'47346355','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5590,'47346536','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 4 Kec. Tamanan'),
(5591,'47347687','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klabang Agung Kec. Tegalampel'),
(5592,'47349554','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 1 Kec. Tamanan'),
(5593,'47349686','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5594,'47349947','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 4 Kec. Tamanan'),
(5595,'47350392','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klabang Agung Kec. Tegalampel'),
(5596,'47350493','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5597,'47351009','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Klabang Agung Kec. Tegalampel'),
(5598,'47351519','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 1 Kec. Tamanan'),
(5599,'47352609','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 1 Kec. Tamanan'),
(5600,'47352947','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5601,'47353027','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 4 Kec. Tamanan'),
(5602,'47353432','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 4 Kec. Tamanan'),
(5603,'47354401','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5604,'47357841','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5605,'47358397','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5606,'47360224','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5607,'47361212','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5608,'47362225','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5609,'47364081','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5610,'47365801','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5611,'47367849','Jawa Timur','Bondowoso (Kab.)','TKS AL KAUTSAR'),
(5612,'47368965','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5613,'47370443','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5614,'47371183','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukodono 2 Kec. Pujer'),
(5615,'47371458','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5616,'47373761','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5617,'47374470','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5618,'47374619','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5619,'47376268','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5620,'47376923','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5621,'47377624','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5622,'47378485','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5623,'47379891','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5624,'47379912','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin'),
(5625,'47380282','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5626,'47380334','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5627,'47381020','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5628,'47381373','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5629,'47381697','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5630,'47382054','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5631,'47382388','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Tegalmijin 1 Kec. Grujugan'),
(5632,'47384459','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5633,'47384941','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5634,'47385067','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5635,'47385385','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5636,'47385676','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(5637,'47388222','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Jampit 2 Kec. Ijen'),
(5638,'47388920','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5639,'47389231','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5640,'47389462','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Wonosuko 2 Kec. Tamanan'),
(5641,'47404380','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5642,'47404503','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5643,'47405370','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5644,'47405736','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5645,'47407298','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5646,'47409064','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5647,'47410040','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5648,'47410577','Jawa Timur','Bondowoso (Kab.)','TKS Widya Mandala'),
(5649,'47411293','Jawa Timur','Bondowoso (Kab.)','TKS AL Kautsar'),
(5650,'47412036','Jawa Timur','Bondowoso (Kab.)','TK Widya Mandala'),
(5651,'47412989','Jawa Timur','Bondowoso (Kab.)','TK Widya Mandala'),
(5652,'47412992','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5653,'47413865','Jawa Timur','Bondowoso (Kab.)','TKS Al Kautsar'),
(5654,'47415535','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5655,'47416370','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5656,'47421135','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5657,'47424438','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(5658,'47424963','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Gubrih 1 Kec. Wringin'),
(5659,'47425460','Jawa Timur','Bondowoso (Kab.)','UPTD SPF SDN Selolembu Kec. Curahdami'),
(5660,'47457997','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5661,'47458065','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5662,'47458154','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5663,'47458876','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5664,'47458932','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5665,'47460230','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5666,'47460372','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5667,'47460542','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5668,'47460742','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5669,'48024244','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5670,'48024579','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5671,'35920328','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5672,'35922359','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5673,'35929394','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5674,'35959327','Jawa Timur','Bondowoso (Kab.)','SMP RAUDLATUL MUSTARSIDIN Kecamatan Sumber wringin'),
(5675,'35959338','Jawa Timur','Bondowoso (Kab.)','SMP Islam Miftahul Ulum Mandiro Kecamatan Tegalampel'),
(5676,'35961849','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5677,'35969102','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5678,'35969771','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5679,'35972043','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5680,'35973903','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5681,'35974921','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5682,'35976890','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5683,'35977225','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5684,'35977345','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5685,'35979053','Jawa Timur','Bondowoso (Kab.)','bondowoso'),
(5686,'35983675','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5687,'35983957','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5688,'35984301','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5689,'35985273','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5690,'35986623','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5691,'35999049','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5692,'36013439','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5693,'36013617','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5694,'36013833','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5695,'36014757','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5696,'36015114','Jawa Timur','Lainnya','Dinas Pendidikan'),
(5697,'36015844','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5698,'36020047','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5699,'36020404','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5700,'36024181','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5701,'36024822','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5702,'36025196','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5703,'36025519','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5704,'36025773','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5705,'36026212','Jawa Timur','Bondowoso (Kab.)','SKB'),
(5706,'36026793','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5707,'36027307','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5708,'36027787','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5709,'36028067','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5710,'36028327','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5711,'36028467','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab Bondowoso'),
(5712,'36028714','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5713,'36028876','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5714,'36029129','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5715,'36029502','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5716,'36035102','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5717,'36036609','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5718,'36040700','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5719,'36041497','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5720,'36054020','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5721,'36060881','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5722,'36062946','Jawa Timur','Bondowoso (Kab.)','KB Mrawan Tapen, PAUD TK dharma wanita karanganyar'),
(5723,'36065346','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5724,'36065540','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5725,'36071378','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5726,'36085685','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5727,'36086163','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5728,'36086764','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5729,'36087391','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5730,'36087639','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kab. Bondowoso'),
(5731,'36093681','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5732,'36093892','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5733,'36094546','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5734,'36094879','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5735,'36094913','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5736,'36094934','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5737,'36094949','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5738,'36094965','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5739,'36095053','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5740,'36095137','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5741,'36095364','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5742,'36095613','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5743,'36095706','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5744,'36096369','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5745,'36098629','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5746,'36098840','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5747,'36098865','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5748,'36099040','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5749,'36099205','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5750,'36099399','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5751,'36099705','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5752,'36100037','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5753,'36100966','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5754,'36101529','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5755,'36104280','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5756,'36106273','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan'),
(5757,'36109517','Jawa Timur','Bondowoso (Kab.)','Dinas Pendidikan Kabupaten Bondowoso'),
(5758,'47371922','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5759,'47371925','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5760,'47371931','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5761,'47371936','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5762,'47381063','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5763,'47381064','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5764,'47381065','Jawa Timur','Bondowoso (Kab.)','KABUPATEN BONDOWOSO'),
(5765,'47381066','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5766,'47381067','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5767,'47381068','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5768,'47381069','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5769,'47381071','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5770,'47381072','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5771,'47381073','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5772,'47381074','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5773,'47381075','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5774,'47381077','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5775,'47381078','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5776,'47381832','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5777,'47381834','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5778,'47381837','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5779,'47381839','Jawa Timur','Bondowoso (Kab.)','Dinas Perhuubungan'),
(5780,'47381841','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5781,'47382114','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5782,'47382115','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5783,'47382116','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5784,'47382117','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5785,'47382327','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5786,'47382330','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5787,'47382331','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5788,'47382332','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5789,'47382333','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5790,'47382946','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5791,'47382947','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5792,'47382948','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5793,'47382950','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5794,'47382951','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5795,'47382952','Jawa Timur','Bondowoso (Kab.)','BALI DAN MADURA'),
(5796,'47383106','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5797,'47383107','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5798,'47383108','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5799,'47383109','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5800,'47383517','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5801,'47383520','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5802,'47383521','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5803,'47383523','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5804,'47383525','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5805,'47383704','Jawa Timur','Bondowoso (Kab.)','KABUPATEN BONDOWOSO'),
(5806,'47383706','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5807,'47383708','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5808,'47383711','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5809,'47383712','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5810,'47384816','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5811,'47386997','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(5812,'47388651','Jawa Timur','Bondowoso (Kab.)','Kec. Tenggarang Kec. Pujer'),
(5813,'47388736','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5814,'47388737','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5815,'47389593','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(5816,'47390456','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5817,'47391126','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5818,'47392175','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5819,'47392696','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5820,'47392698','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5821,'47392700','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5822,'47392702','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5823,'47392866','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5824,'47392867','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5825,'47392869','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5826,'47392870','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5827,'47392871','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5828,'47392872','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5829,'47393063','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5830,'47393064','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5831,'47393065','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5832,'47393326','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5833,'47393327','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5834,'47393329','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5835,'47393355','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5836,'47393357','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5837,'47393358','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5838,'47393580','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5839,'47393581','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5840,'47393582','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5841,'47393853','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5842,'47393854','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5843,'47394113','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5844,'47394114','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5845,'47394115','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5846,'47394116','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5847,'47394816','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5848,'47394817','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5849,'47394818','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5850,'47394819','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5851,'47394820','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5852,'47394821','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5853,'47394822','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5854,'47394823','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5855,'47394824','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5856,'47394825','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5857,'47394826','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5858,'47394827','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5859,'47394828','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5860,'47394829','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5861,'47394830','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5862,'47394831','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5863,'47394842','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5864,'47394843','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5865,'47394844','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5866,'47394845','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5867,'47395019','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5868,'47395020','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5869,'47395021','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5870,'47395022','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5871,'47395023','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5872,'47395136','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5873,'47395268','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5874,'47395269','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5875,'47395270','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5876,'47395271','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5877,'47395272','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5878,'47395273','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5879,'47395274','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5880,'47395275','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5881,'47395276','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5882,'47395277','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5883,'47395278','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5884,'47395398','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5885,'47395399','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5886,'47395400','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5887,'47395401','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5888,'47395409','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5889,'47395410','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5890,'47395411','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5891,'47395412','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5892,'47395543','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5893,'47395544','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5894,'47395545','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5895,'47395546','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5896,'47395655','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5897,'47395656','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5898,'47395657','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5899,'47395658','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5900,'47395659','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5901,'47395660','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5902,'47395876','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5903,'47395877','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5904,'47395878','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5905,'47395879','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5906,'47396106','Jawa Timur','Bojonegoro (Kab.)','Dinas Perhubungan'),
(5907,'47396107','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5908,'47396108','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5909,'47396109','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5910,'47396110','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5911,'47396111','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5912,'47396112','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5913,'47396262','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5914,'47396693','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5915,'47398297','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5916,'47401912','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5917,'47404992','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5918,'47406029','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5919,'47409891','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5920,'47411199','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5921,'47459150','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5922,'47460804','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5923,'47461442','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5924,'47461877','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5925,'47463552','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(5926,'47464295','Jawa Timur','Bondowoso (Kab.)','Kecamatan Bondowoso'),
(5927,'47467361','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5928,'47467362','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5929,'47467363','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5930,'47469309','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5931,'47469310','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5932,'47469311','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5933,'47474034','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5934,'47474035','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5935,'47475288','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5936,'47475289','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5937,'47480064','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5938,'47482044','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5939,'47482045','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5940,'47482046','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5941,'47482047','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5942,'47482246','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5943,'47482249','Jawa Timur','Bondowoso (Kab.)','Desa Grujugan Kecamatan Cermee'),
(5944,'47482250','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5945,'47482252','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5946,'47482254','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5947,'47482257','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5948,'47482258','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5949,'47482260','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5950,'47482266','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5951,'47482267','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5952,'47482274','Jawa Timur','Bondowoso (Kab.)','Desa Grujugan Kec. Cermee, Desa Tamanan Kec. Tamanan'),
(5953,'47482275','Jawa Timur','Bondowoso (Kab.)','Desa Grujugan Kec. Cermee, Desa Tamanan Kec. Tamanan'),
(5954,'47482277','Jawa Timur','Bondowoso (Kab.)','Desda Tamanan Kecamatan Tamanan'),
(5955,'47482278','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5956,'47482295','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5957,'47482297','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5958,'47482298','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5959,'47482300','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5960,'47482302','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5961,'47482621','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5962,'47483396','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(5963,'47483614','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5964,'47484502','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5965,'47485806','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5966,'47486290','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5967,'47486291','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5968,'47486292','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5969,'47486293','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5970,'47487424','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5971,'47487425','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5972,'47488542','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5973,'36116863','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5974,'36116864','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5975,'36116867','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5976,'36120542','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5977,'36120543','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5978,'36120544','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5979,'36120803','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5980,'36120804','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5981,'36120897','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5982,'36120898','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5983,'36120899','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5984,'36121007','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5985,'36121270','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5986,'36121324','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5987,'36121478','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5988,'36121562','Jawa Timur','Bondowoso (Kab.)','DINAS PERHUBUNGAN KABUPATEN BONDOWOSO'),
(5989,'36123772','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5990,'36123773','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5991,'36125758','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5992,'36126105','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5993,'36126106','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5994,'36126107','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(5995,'36126357','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5996,'36126358','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5997,'36126359','Jawa Timur','Lainnya','Dinas Perhubungan Kabupaten Bondowoso'),
(5998,'36126360','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(5999,'36126528','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6000,'36126529','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6001,'36126530','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6002,'36126531','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6003,'36126565','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6004,'36126566','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6005,'36126567','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6006,'36126568','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6007,'36126569','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6008,'36126570','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6009,'36126571','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6010,'36126621','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6011,'36126622','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6012,'36156578','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6013,'36159130','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6014,'36159132','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6015,'36159656','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan'),
(6016,'36160574','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6017,'36161672','Jawa Timur','Bondowoso (Kab.)','Dinas Perhubungan Kabupaten Bondowoso'),
(6018,'47056156','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6019,'47056948','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6020,'47058885','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6021,'47059664','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6022,'47255424','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6023,'47256403','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6024,'47257014','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6025,'47258502','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6026,'47259377','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6027,'47265071','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6028,'47265499','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6029,'47266900','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6030,'47267207','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6031,'47267604','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6032,'47268002','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6033,'47268493','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6034,'47268798','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6035,'47274954','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6036,'47275676','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6037,'47279901','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6038,'47280582','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6039,'47281111','Jawa Timur','Bondowoso (Kab.)','Jl. A Yani No 33 Bondowoso'),
(6040,'47078916','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6041,'47079089','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6042,'47079136','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6043,'47079153','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6044,'47079185','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6045,'47079206','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6046,'47079217','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6047,'47079236','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6048,'47079246','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6049,'47079252','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6050,'47079267','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6051,'47079290','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6052,'47079332','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6053,'47079343','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6054,'47079352','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6055,'47079383','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6056,'47079410','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6057,'47079422','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6058,'47079426','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6059,'47079439','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6060,'47079450','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6061,'47079451','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6062,'47079457','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6063,'47079478','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6064,'47079492','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6065,'47079498','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6066,'47079503','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6067,'47079513','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6068,'47079532','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6069,'47079535','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6070,'47081062','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6071,'47081075','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6072,'47081119','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6073,'47081132','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6074,'47081152','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6075,'47081295','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6076,'47081305','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6077,'47081310','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6078,'47081331','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6079,'47081343','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6080,'47169181','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6081,'47169900','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6082,'47176145','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6083,'47198563','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6084,'47198914','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6085,'47199086','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6086,'47199105','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6087,'47199308','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6088,'47211552','Jawa Timur','Bondowoso (Kab.)','Semua Kecamatan'),
(6089,'47212523','Jawa Timur','Bondowoso (Kab.)','Semua Kecamatan'),
(6090,'47220222','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6091,'47222948','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6092,'47223797','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6093,'47225942','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6094,'47239674','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6095,'47241603','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6096,'47243807','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6097,'47244841','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6098,'47246234','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6099,'47248599','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6100,'47249758','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6101,'47253947','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6102,'47260238','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6103,'47261033','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6104,'47261395','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6105,'47261791','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6106,'47263139','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6107,'47263481','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6108,'47263726','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6109,'47264060','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6110,'47264410','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6111,'47264528','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6112,'47264766','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6113,'47265028','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6114,'47265341','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6115,'47265537','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6116,'47265637','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6117,'47265764','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6118,'47265917','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6119,'47266051','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6120,'47266201','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6121,'47266297','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6122,'47266542','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6123,'47266852','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6124,'47268930','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6125,'47269248','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6126,'47269546','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6127,'47269830','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6128,'47271907','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6129,'47272298','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6130,'47272702','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6131,'47273265','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6132,'47273307','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6133,'47274477','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6134,'47275913','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6135,'47286664','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6136,'47287716','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6137,'47288797','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6138,'47293331','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6139,'47295193','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6140,'47295926','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6141,'47296512','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6142,'47297394','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6143,'47298968','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6144,'47300181','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6145,'47300869','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6146,'47301315','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6147,'47301606','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6148,'47302048','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6149,'47302293','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6150,'47305044','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6151,'47305616','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6152,'47305732','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6153,'47305922','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6154,'47306420','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6155,'47306642','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6156,'47306789','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6157,'47307148','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6158,'47308214','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6159,'47308445','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6160,'47308986','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6161,'47309102','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6162,'47309189','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6163,'47309271','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6164,'47309344','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6165,'47309464','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6166,'47309605','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6167,'47309676','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6168,'47309714','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6169,'47309994','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6170,'47310076','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6171,'47310125','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6172,'47310164','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6173,'47313718','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6174,'47313904','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6175,'47314151','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6176,'47314432','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6177,'47315539','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6178,'47315659','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6179,'47315735','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6180,'47315916','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6181,'47316966','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6182,'47317125','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6183,'47317284','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6184,'47317439','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6185,'47317566','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6186,'47318053','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6187,'47318121','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6188,'47318290','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6189,'47318403','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6190,'47318482','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6191,'47318648','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6192,'47349611','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso, Semua Kecamatan, Semua Kelurahan'),
(6193,'36005525','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6194,'36005864','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6195,'36005867','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6196,'36005898','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6197,'36005921','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6198,'36005954','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6199,'36075935','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6200,'36077920','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6201,'36079123','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6202,'36079297','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6203,'36080681','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6204,'36080805','Jawa Timur','Bondowoso (Kab.)','Dinas Pertanian dan Ketahanan Pangan'),
(6205,'36082649','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6206,'36083394','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6207,'36084242','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6208,'36086907','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6209,'36087124','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6210,'36087367','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6211,'36087775','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6212,'36087997','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6213,'36088108','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6214,'36088122','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6215,'36088334','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6216,'36088480','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6217,'36088813','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6218,'36088924','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6219,'36089028','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6220,'36089268','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6221,'36089324','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6222,'36089339','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6223,'36089404','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6224,'36089498','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6225,'36089703','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6226,'36089796','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6227,'36089798','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6228,'36089893','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6229,'36089906','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6230,'36089940','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6231,'36090057','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6232,'36090238','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6233,'36090319','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6234,'36090357','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6235,'36090525','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6236,'36090609','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6237,'36090640','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6238,'36090663','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6239,'36090680','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6240,'36090691','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6241,'36090741','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6242,'36090756','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6243,'36090786','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6244,'36090811','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6245,'36091019','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6246,'36091350','Jawa Timur','Bondowoso (Kab.)','Kab Bondowoso semua Kecamatan semua Kelurahan'),
(6247,'36092722','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6248,'36092733','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6249,'36093460','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6250,'36093516','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6251,'36093534','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6252,'36093605','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6253,'36094457','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6254,'36094492','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6255,'36094641','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6256,'36094774','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6257,'36094861','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6258,'36095869','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6259,'36095890','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6260,'36095910','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6261,'36095954','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6262,'36095970','Jawa Timur','Bondowoso (Kab.)','dinas pertanian dan ketahanan pangan kab. bondowoso'),
(6263,'47093368','Jawa Timur','Bondowoso (Kab.)','Desa Sumbergading, Kec. Sumberwringin'),
(6264,'47094256','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6265,'47095378','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6266,'47097278','Jawa Timur','Bondowoso (Kab.)','Desa Klekean , Kec. Botolinggo'),
(6267,'47097563','Jawa Timur','Bondowoso (Kab.)','Desa Klekean , Kec. Botolinggo'),
(6268,'47097780','Jawa Timur','Bondowoso (Kab.)','Desa Klekean , Kec. Botolinggo'),
(6269,'47098138','Jawa Timur','Bondowoso (Kab.)','Desa Botolinggo, Kec. Botolinggo'),
(6270,'47098358','Jawa Timur','Bondowoso (Kab.)','Desa Batu Ampar, Kec. Cermee'),
(6271,'47098890','Jawa Timur','Bondowoso (Kab.)','Desa Kladi, Kec. Cermee'),
(6272,'47099138','Jawa Timur','Bondowoso (Kab.)','Desa Taal, Kec. Tapen'),
(6273,'47099301','Jawa Timur','Bondowoso (Kab.)','Desa Pecalongan, Kec. Sukosari'),
(6274,'47099655','Jawa Timur','Bondowoso (Kab.)','Desa Taman, Kec. Grujugan'),
(6275,'47100684','Jawa Timur','Bondowoso (Kab.)','Kel. Tenggarang, Kec. Tenggarang'),
(6276,'47101196','Jawa Timur','Bondowoso (Kab.)','Desa Wonosari, Kec. Wonosari'),
(6277,'47101857','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6278,'47102176','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6279,'47106204','Jawa Timur','Bondowoso (Kab.)','Desa Klekehan Kec. Botolinggo'),
(6280,'47106416','Jawa Timur','Bondowoso (Kab.)','Desa Lanas, Kec. Botolinggo'),
(6281,'47106632','Jawa Timur','Bondowoso (Kab.)','Desa Walidono, Kec. Prajekan'),
(6282,'47106851','Jawa Timur','Bondowoso (Kab.)','Desa Sukokerto, Kec. Pujer'),
(6283,'47107235','Jawa Timur','Bondowoso (Kab.)','Desa Sumberwringin, Kec. Sumberwringin'),
(6284,'47107507','Jawa Timur','Bondowoso (Kab.)','Desa Andungsari, Kec. Pakem'),
(6285,'47108076','Jawa Timur','Bondowoso (Kab.)','Tlogosari'),
(6286,'47108442','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6287,'47108653','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6288,'47109183','Jawa Timur','Bondowoso (Kab.)','Desa Jebung Kidul Kec. Tlogosari'),
(6289,'47109548','Jawa Timur','Bondowoso (Kab.)','Desa Kupang Kec. Curahdami'),
(6290,'47109806','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah Kec. Bondowoso'),
(6291,'47110039','Jawa Timur','Bondowoso (Kab.)','Kelurahan Badean Kec. Bondowoso'),
(6292,'47110227','Jawa Timur','Bondowoso (Kab.)','Desa Pecalongan Kec. Sukosari'),
(6293,'47110605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6294,'47110959','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6295,'47130841','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6296,'47131273','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6297,'47131793','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6298,'47132127','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6299,'47132403','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6300,'47133094','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6301,'48507710','Jawa Timur','Bondowoso (Kab.)','Dsn. Leket Desa Batu Salang Kec. Cermee'),
(6302,'48508480','Jawa Timur','Bondowoso (Kab.)','Dsn. Gunung Lao\' Desa Bajuran Kec. Cermee'),
(6303,'48508756','Jawa Timur','Bondowoso (Kab.)','Dsn. Bengko Bille Desa Bajuran Kec. Cermee'),
(6304,'48509070','Jawa Timur','Bondowoso (Kab.)','Desa Bandilan Kec. Prajekan'),
(6305,'48509438','Jawa Timur','Bondowoso (Kab.)','Desa Sempol Kec. Prajekan'),
(6306,'48509677','Jawa Timur','Bondowoso (Kab.)','Dsn. Taman Arum Desa Bandilan Kec. Prajekan'),
(6307,'48509882','Jawa Timur','Bondowoso (Kab.)','Dsn. Pereng Beto Desa Sempol Kec. Prajekan'),
(6308,'48510190','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6309,'48510522','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6310,'48510812','Jawa Timur','Bondowoso (Kab.)','Dsn. Sude Desa Gayam Kec. Botolinggo'),
(6311,'48511213','Jawa Timur','Bondowoso (Kab.)','Desa Kerang Kec. Sukosari'),
(6312,'48511438','Jawa Timur','Bondowoso (Kab.)','Dsn. Timur Gunung Dadapan Desa Tegaljati Kec. Sumberwringin'),
(6313,'48512440','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6314,'48512719','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6315,'48513164','Jawa Timur','Bondowoso (Kab.)','Desa Sukosari Kidul Kec. Sumberwringin'),
(6316,'48513379','Jawa Timur','Bondowoso (Kab.)','Desa Gunosari RT.01 Kec. Tlogosari'),
(6317,'48514127','Jawa Timur','Bondowoso (Kab.)','Desa Gunosari Kec. Tlogosari'),
(6318,'48514459','Jawa Timur','Bondowoso (Kab.)','Desa Pekalangan Kec. Tenggarang'),
(6319,'48514793','Jawa Timur','Bondowoso (Kab.)','Desa Lojajar Kec. Tenggarang'),
(6320,'48515123','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6321,'48515386','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6322,'48515983','Jawa Timur','Bondowoso (Kab.)','Desa Mandiro Kec. Tegalampel'),
(6323,'48516155','Jawa Timur','Bondowoso (Kab.)','Desa Mandiro Kec. Tegalampel'),
(6324,'48516421','Jawa Timur','Bondowoso (Kab.)','Dsn. Paleran Desa Paguan Kec. Taman Krocok'),
(6325,'48516688','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6326,'48517056','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6327,'48517355','Jawa Timur','Bondowoso (Kab.)','Dsn. Karang Desa Sukowono Kec. Pujer'),
(6328,'48517645','Jawa Timur','Bondowoso (Kab.)','Dsn. Kalisengon Desa Kaligedang Kec. Sempol'),
(6329,'48517842','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6330,'48517988','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6331,'47043072','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6332,'47043588','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6333,'47044843','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6334,'47045259','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6335,'47046011','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6336,'47046353','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6337,'47047378','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6338,'47047874','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6339,'47048385','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6340,'47050217','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6341,'47117335','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6342,'47121474','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6343,'47125305','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6344,'47147170','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6345,'47147469','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6346,'47148311','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6347,'47148707','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6348,'47149697','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6349,'47149941','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6350,'47150234','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6351,'47150476','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6352,'47502892','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6353,'47502896','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(6354,'47502902','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(6355,'36017642','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6356,'36018195','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6357,'36018499','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6358,'36018814','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6359,'36019161','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6360,'36019438','Jawa Timur','Bondowoso (Kab.)','Kab. Bondowoso'),
(6361,'36169419','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6362,'36169420','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6363,'36169422','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6364,'36603195','Jawa Timur','Bondowoso (Kab.)','Dinas Peternakan dan Perikanan Kabupaten Bondowoso'),
(6365,'36603972','Jawa Timur','Bondowoso (Kab.)','Dinas Peternakan dan Perikanan Kabupaten Bondowoso'),
(6366,'36604150','Jawa Timur','Bondowoso (Kab.)','Dinas Peternakan dan Perikanan Kabupaten Bondowoso'),
(6367,'36910426','Jawa Timur','Bondowoso (Kab.)','Kabupaten Bondowoso'),
(6368,'47092650','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6369,'47096463','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6370,'47096936','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6371,'47107445','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6372,'47108865','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6373,'47109534','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6374,'47109992','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6375,'47110205','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6376,'47112029','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6377,'47112681','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6378,'47112934','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6379,'47113490','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6380,'47115092','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6381,'47117416','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6382,'47118520','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6383,'47120511','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6384,'47122796','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6385,'47123881','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6386,'47124949','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6387,'47127498','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6388,'47133434','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6389,'47135749','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6390,'47136730','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6391,'47137740','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6392,'47139842','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6393,'47140783','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6394,'47141170','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6395,'47141510','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6396,'47142384','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6397,'47143310','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6398,'47144487','Jawa Timur','Bondowoso (Kab.)','Dinas Sosial Pemberdayaan Perempuan Perlindungan Anak dan Keluarga Berencana Kabupaten Bondowoso'),
(6399,'47185215','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6400,'47185605','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6401,'47185985','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6402,'47186057','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6403,'47186579','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6404,'47186689','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6405,'47187268','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6406,'47187450','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6407,'47187824','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6408,'47191436','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6409,'47191534','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6410,'47191595','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6411,'36019341','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6412,'36048501','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6413,'36048768','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(6414,'47236054','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6415,'47239483','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6416,'47241340','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6417,'47242235','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6418,'47243691','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6419,'47244466','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6420,'47245323','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6421,'47246308','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6422,'47246833','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6423,'47247782','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6424,'47248424','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6425,'47249113','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6426,'47249802','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6427,'47250386','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6428,'47250957','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6429,'47251534','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6430,'47252475','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6431,'47253129','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6432,'47573509','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS BINAKAL'),
(6433,'47576236','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS BINAKAL'),
(6434,'47576598','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS BINAKAL'),
(6435,'47576937','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS BINAKAL'),
(6436,'47595886','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6437,'47596098','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6438,'47596337','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6439,'47596602','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6440,'47596836','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6441,'47596912','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6442,'47597000','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6443,'47602251','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6444,'47602526','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6445,'47602636','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6446,'36098957','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6447,'36099042','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6448,'36099100','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6449,'36099211','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6450,'36099270','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6451,'36099391','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6452,'36099536','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6453,'36099677','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6454,'36099782','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6455,'36099836','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6456,'36099974','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6457,'36100086','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6458,'36100220','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6459,'36209615','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6460,'36209774','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6461,'36209775','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6462,'36209802','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6463,'36209834','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6464,'36209848','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6465,'36209880','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6466,'36209890','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6467,'36210006','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6468,'36210033','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6469,'36210068','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6470,'36210083','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6471,'36210117','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6472,'36210127','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6473,'36210255','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6474,'36210461','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6475,'36212543','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6476,'36212575','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS BINAKAL'),
(6477,'46868627','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6478,'46868756','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6479,'46868833','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6480,'46877011','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6481,'46878489','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6482,'46895396','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6483,'46895884','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6484,'46896833','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6485,'46897543','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6486,'46898690','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6487,'46899009','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6488,'46899463','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6489,'46899808','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6490,'46900011','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6491,'46900713','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6492,'46901053','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6493,'46901347','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6494,'46901485','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6495,'46973586','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6496,'46973746','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6497,'46973794','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6498,'35958385','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6499,'35958454','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6500,'35958499','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6501,'35958506','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6502,'35958516','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6503,'35958525','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6504,'35958551','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6505,'35958569','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6506,'35958632','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6507,'35958639','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6508,'35958653','Jawa Timur','Bondowoso (Kab.)','Jl.Raya Lumutan No.02'),
(6509,'47581963','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6510,'47582248','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6511,'47582342','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6512,'47582438','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6513,'47582533','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6514,'47582865','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6515,'47582904','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6516,'47582973','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6517,'47583011','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6518,'47583068','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6519,'47632139','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6520,'47633670','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6521,'47634379','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6522,'47635051','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6523,'47636131','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6524,'47636822','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6525,'47637545','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6526,'47662978','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS CERMEE'),
(6527,'47714974','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6528,'47715923','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6529,'47717073','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6530,'47717303','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6531,'47718051','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6532,'47718388','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6533,'47721300','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6534,'47722039','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6535,'47722135','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6536,'47722346','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6537,'47722594','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6538,'36202759','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6539,'36202784','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6540,'36202878','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6541,'36202933','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6542,'36202961','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6543,'36202986','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6544,'36203033','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6545,'36203064','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6546,'36203081','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6547,'36203099','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6548,'36203129','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6549,'36203146','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6550,'36203182','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6551,'36203205','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6552,'36203287','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6553,'36203321','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6554,'36237134','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6555,'36253199','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6556,'36253542','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6557,'36253730','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6558,'36253917','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6559,'36254087','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6560,'36254465','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6561,'36254670','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6562,'36255198','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6563,'36255522','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6564,'36255745','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6565,'36255957','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6566,'36256253','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6567,'36256575','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6568,'36256794','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6569,'36257038','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6570,'36257458','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6571,'36257713','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6572,'36262202','Jawa Timur','Bondowoso (Kab.)','UPTD Puskemas Cermee'),
(6573,'47315219','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6574,'47315445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6575,'47315534','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6576,'47388599','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6577,'47391061','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6578,'47391667','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6579,'47392265','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6580,'47440707','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6581,'47440795','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6582,'47441869','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6583,'47447645','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6584,'47447730','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6585,'47448278','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6586,'47448374','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6587,'47449318','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6588,'47449393','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6589,'47460237','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6590,'47460693','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6591,'47461202','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6592,'47461334','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6593,'47461573','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6594,'47461862','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6595,'47462421','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6596,'47462601','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6597,'47462902','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6598,'47466510','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6599,'47466759','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6600,'47466760','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6601,'47468321','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6602,'47469085','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6603,'47561123','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6604,'47561262','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6605,'47561624','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6606,'47561711','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6607,'47561823','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6608,'47569851','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6609,'47569926','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6610,'47569989','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6611,'47570177','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6612,'47570293','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6613,'47571402','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6614,'47571580','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6615,'36094672','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6616,'36094702','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6617,'36123375','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6618,'36124458','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6619,'36125622','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6620,'36125728','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6621,'36125866','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6622,'36129778','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6623,'36144703','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6624,'36144919','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6625,'36145021','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6626,'36145064','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6627,'36145238','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6628,'36147310','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6629,'36147486','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6630,'36147523','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6631,'36147663','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6632,'36148456','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6633,'36148497','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6634,'36192748','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6635,'36192777','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6636,'36192815','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6637,'36192833','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6638,'36192864','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6639,'36193033','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6640,'36196415','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6641,'36196428','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6642,'36196470','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6643,'36196489','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6644,'36196796','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6645,'36196806','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6646,'36197218','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6647,'36197273','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6648,'36197302','Jawa Timur','Bondowoso (Kab.)','Puskesmas Curahdami'),
(6649,'47533189','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6650,'47564625','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6651,'47564723','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6652,'47564826','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6653,'47565018','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6654,'47565180','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6655,'47565219','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6656,'47578124','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6657,'47578233','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6658,'47578323','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6659,'47578351','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6660,'47578467','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6661,'47578484','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6662,'47578553','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6663,'47578607','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6664,'47578795','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6665,'47578880','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6666,'47578973','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6667,'47579023','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6668,'47579224','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6669,'47590048','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6670,'47593845','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6671,'47594021','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6672,'47594068','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6673,'47594137','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6674,'47594173','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6675,'47594193','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6676,'47594285','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6677,'47594288','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6678,'47594340','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6679,'47594345','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6680,'47594389','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6681,'47594393','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6682,'47594444','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6683,'47594478','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6684,'47594496','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6685,'47594949','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6686,'47594972','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6687,'47595072','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6688,'47595116','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6689,'47595232','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6690,'47595315','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6691,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6692,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6693,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6694,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6695,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6696,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6697,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6698,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6699,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6700,'36178445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6701,'36178445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6702,'36178445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6703,'36193751','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6704,'36194368','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6705,'36194440','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6706,'36201589','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6707,'36201600','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6708,'36201612','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6709,'36201632','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6710,'36201678','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(6711,'36209608','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6712,'36209620','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6713,'36209711','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6714,'36209728','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6715,'36210009','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6716,'36210031','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6717,'36210043','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6718,'36210058','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6719,'36210072','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6720,'36210081','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6721,'36210098','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6722,'36210122','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6723,'36210128','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6724,'36210155','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6725,'36210180','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6726,'36210197','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6727,'36210231','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6728,'36210249','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Grujugan'),
(6729,'47390090','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6730,'47396461','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6731,'47561151','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6732,'47561410','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6733,'47561698','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6734,'47562023','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6735,'47562136','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6736,'47563019','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6737,'47563524','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6738,'47564214','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6739,'47564425','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6740,'47564602','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6741,'47564718','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6742,'47564919','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6743,'47565050','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6744,'47565142','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6745,'47589455','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6746,'47676861','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6747,'47678118','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6748,'47679383','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6749,'47680274','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6750,'47711252','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6751,'47712145','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6752,'47718589','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6753,'47718950','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6754,'47719568','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6755,'47720819','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6756,'47722264','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6757,'47722733','Jawa Timur','Bondowoso (Kab.)','FKTP JAMBESARI'),
(6758,'47761938','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6759,'47762769','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6760,'47764893','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6761,'36126582','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6762,'36192138','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6763,'36192492','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6764,'36193002','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6765,'36193059','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6766,'36193217','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6767,'36193309','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6768,'36193442','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6769,'36193465','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6770,'36193739','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6771,'36193767','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6772,'36193807','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6773,'36271153','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6774,'36271241','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6775,'36271365','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6776,'36271433','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6777,'36272076','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6778,'36272455','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6779,'36272636','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6780,'36272772','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6781,'36273260','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6782,'36273489','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6783,'36274146','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6784,'36274370','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6785,'36275343','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6786,'36276428','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6787,'36276946','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6788,'36277384','Jawa Timur','Bondowoso (Kab.)','Puskesmas Jambesari'),
(6789,'36279680','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6790,'36280294','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS JAMBESARI'),
(6791,'47601899','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6792,'47602273','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6793,'47602382','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6794,'47602577','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6795,'47602623','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6796,'47603222','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6797,'47603312','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6798,'47603386','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6799,'47603483','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6800,'47603538','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6801,'47715915','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6802,'47719803','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6803,'47719932','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6804,'47721138','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6805,'47721567','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6806,'47722077','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6807,'47722667','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6808,'47722818','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6809,'47723815','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6810,'47723878','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6811,'47724432','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6812,'47724471','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6813,'47725685','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6814,'36212315','Jawa Timur','Bondowoso (Kab.)','Puskesmas kademangan'),
(6815,'36212405','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6816,'36212447','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6817,'36212616','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6818,'36212802','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6819,'36212871','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6820,'36212907','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6821,'36212940','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6822,'36212963','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6823,'36213036','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6824,'36213077','Jawa Timur','Bondowoso (Kab.)','Puskesmas Kademangan'),
(6825,'36259937','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6826,'36260196','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6827,'36260679','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6828,'36260779','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6829,'36261294','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6830,'36261380','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6831,'36261501','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6832,'36261998','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6833,'36262024','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6834,'36262050','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6835,'36262084','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6836,'36262112','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6837,'36262213','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6838,'36262293','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6839,'36262410','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6840,'36262436','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6841,'36262996','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS KADEMANGAN'),
(6842,'36552665','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kademangan'),
(6843,'47652083','Jawa Timur','Bondowoso (Kab.)','puskesmas Klabang'),
(6844,'47659314','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6845,'47661904','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6846,'47663403','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6847,'47663550','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6848,'47665449','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6849,'47667495','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6850,'47667849','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6851,'47668594','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6852,'47669517','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6853,'47670464','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6854,'47671238','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6855,'47671282','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6856,'47671556','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6857,'47672171','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6858,'47676043','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6859,'47676601','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6860,'48364952','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6861,'48366078','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6862,'36234604','Jawa Timur','Bondowoso (Kab.)','puskesmas Klabang'),
(6863,'36241734','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6864,'36242941','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6865,'36243150','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6866,'36243230','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6867,'36243393','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6868,'36243673','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6869,'36243743','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6870,'36243915','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6871,'36244030','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6872,'36244171','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6873,'36244335','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6874,'36244475','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6875,'36244623','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6876,'36246549','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6877,'36247300','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6878,'36247489','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6879,'36247910','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6880,'36248136','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6881,'36251199','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6882,'36251543','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6883,'36251829','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6884,'36252052','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6885,'36252283','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6886,'36252467','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6887,'36252608','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6888,'36252952','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6889,'36253149','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6890,'36253393','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6891,'36253562','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6892,'36253916','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6893,'36511466','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Klabang'),
(6894,'47245913','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6895,'47249346','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6896,'47249890','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6897,'47255382','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6898,'47257145','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6899,'47258101','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6900,'47258864','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6901,'47259713','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6902,'47260092','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6903,'47260580','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6904,'47261176','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6905,'47334483','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6906,'47335197','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6907,'47335893','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6908,'47336356','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6909,'47336773','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6910,'47337244','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6911,'47337860','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6912,'47338510','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6913,'47339275','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6914,'47491965','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6915,'47568653','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6916,'47572383','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6917,'47572481','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6918,'47572782','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6919,'47572935','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6920,'47573249','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6921,'47573392','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6922,'47573575','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6923,'47613252','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6924,'47632439','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6925,'47633751','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6926,'47636795','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6927,'36060303','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6928,'36060619','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6929,'36061233','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6930,'36062054','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6931,'36062651','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6932,'36062753','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6933,'36063299','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6934,'36063530','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6935,'36063753','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6936,'36064196','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6937,'36064542','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6938,'36064714','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6939,'36192543','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6940,'36192651','Jawa Timur','Bondowoso (Kab.)','Puskesmas kotakulon'),
(6941,'36229551','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6942,'36236094','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6943,'36236814','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6944,'36237106','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6945,'36237334','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6946,'36237823','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6947,'36238150','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6948,'36238666','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6949,'36239053','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6950,'36239568','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6951,'36240170','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6952,'36241127','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6953,'36241314','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6954,'36241484','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6955,'36241720','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6956,'36241892','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6957,'36243735','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Kotakulon'),
(6958,'47383149','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6959,'47494470','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6960,'47494985','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6961,'47495494','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6962,'47495730','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6963,'47496353','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6964,'47496823','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6965,'47497046','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6966,'47594286','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6967,'47594359','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6968,'47594418','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6969,'47594461','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6970,'47594493','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6971,'47594547','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6972,'47594684','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6973,'47594723','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6974,'47594941','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6975,'47601703','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6976,'47601757','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6977,'47601933','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6978,'47601989','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6979,'47602044','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6980,'47602101','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6981,'47602160','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6982,'47602266','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6983,'47602314','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6984,'47602367','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6985,'47602395','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6986,'47602466','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6987,'47602499','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6988,'47602589','Jawa Timur','Bojonegoro (Kab.)','UPTD Puskesmas Maesan'),
(6989,'47602670','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6990,'47603458','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(6991,'47652920','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6992,'36209441','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6993,'36209477','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6994,'36209498','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6995,'36209504','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6996,'36209516','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6997,'36209552','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6998,'36209561','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(6999,'36209581','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7000,'36209609','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7001,'36209619','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7002,'36209652','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7003,'36209664','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7004,'36209677','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7005,'36209685','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7006,'36209691','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7007,'36212858','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7008,'36212909','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7009,'36212947','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7010,'36212988','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7011,'36213016','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7012,'36213041','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7013,'36213073','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7014,'36213089','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7015,'36213116','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7016,'36213128','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7017,'36213131','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7018,'36213144','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7019,'36213154','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Maesan'),
(7020,'36233096','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7021,'36233432','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7022,'36233920','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS MAESAN'),
(7023,'47204492','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7024,'47207350','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7025,'47212022','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7026,'47213391','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7027,'47216957','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7028,'47234405','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7029,'47237101','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7030,'47237639','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7031,'47259814','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7032,'47469367','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7033,'47469653','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7034,'47471082','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7035,'47471846','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7036,'47472235','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7037,'47472592','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7038,'47473316','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7039,'47474513','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7040,'47474855','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7041,'47590295','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7042,'47590431','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7043,'47610315','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7044,'47610426','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7045,'47610683','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7046,'47610735','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7047,'47610786','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7048,'47610821','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7049,'47610854','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7050,'47610885','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7051,'47610928','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7052,'36055738','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7053,'36056423','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7054,'36059039','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7055,'36066951','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7056,'36067817','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7057,'36068631','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7058,'36071423','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7059,'36072065','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7060,'36072686','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7061,'36072931','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7062,'36073291','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7063,'36073816','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7064,'36074028','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7065,'36074246','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7066,'36074512','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7067,'36074840','Jawa Timur','Bondowoso (Kab.)','Puskesmas Nangkaan'),
(7068,'36208150','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7069,'36208243','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7070,'36208259','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7071,'36208269','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7072,'36208273','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7073,'36208287','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7074,'36208298','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7075,'36208321','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7076,'36208338','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7077,'36208353','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7078,'36208358','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7079,'36208363','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7080,'36208371','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7081,'36208374','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7082,'36208376','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7083,'36208383','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7084,'36208391','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7085,'36208392','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7086,'36208397','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Nangkaan'),
(7087,'47647394','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7088,'47658955','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7089,'47659887','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7090,'47660707','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7091,'47661885','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7092,'47662712','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7093,'47663396','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7094,'47665414','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7095,'47666570','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7096,'47667361','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7097,'47668167','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7098,'47668675','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7099,'47669197','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7100,'47669615','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7101,'47670300','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7102,'47670702','Jawa Timur','Bondowoso (Kab.)','Puskesmas Pakem'),
(7103,'47596063','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7104,'47597876','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7105,'47597939','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7106,'47597980','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7107,'47598085','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7108,'47598175','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7109,'47598218','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7110,'47598258','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7111,'47598350','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7112,'47598403','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7113,'47598444','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7114,'47598478','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7115,'47598533','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7116,'47598757','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7117,'47598818','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7118,'47598914','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7119,'47598950','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7120,'47598991','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7121,'47599047','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7122,'47753917','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7123,'47762282','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7124,'47767735','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7125,'47811926','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7126,'47813732','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7127,'47815269','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7128,'47818915','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7129,'47826886','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7130,'47828253','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7131,'47828734','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7132,'47829646','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7133,'47833076','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7134,'47838524','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7135,'36209684','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7136,'36209706','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7137,'36209727','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7138,'36209996','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7139,'36210017','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7140,'36210044','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7141,'36210526','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7142,'36210544','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7143,'36210549','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7144,'36210564','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7145,'36210587','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7146,'36210618','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7147,'36210634','Jawa Timur','Bondowoso (Kab.)','Puskesmas Prajekan'),
(7148,'36275939','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7149,'36277865','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7150,'36278756','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7151,'36279704','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7152,'36280508','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7153,'36280740','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7154,'36281131','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7155,'36281390','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7156,'36295861','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7157,'36297790','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7158,'36298088','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7159,'36300907','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7160,'36302590','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7161,'36302683','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7162,'36302979','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7163,'36303160','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7164,'36303430','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7165,'36303600','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7166,'36305553','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS PRAJEKAN'),
(7167,'47391178','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7168,'47391740','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7169,'47394297','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7170,'47468253','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7171,'47468573','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7172,'47469342','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7173,'47470066','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7174,'47472760','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7175,'47473528','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7176,'47474442','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7177,'47475015','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7178,'47475610','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7179,'47476205','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7180,'47479699','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7181,'47481668','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7182,'47482812','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7183,'47483406','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7184,'47484479','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7185,'47485224','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7186,'47485816','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7187,'47486611','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7188,'47562881','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7189,'47603351','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7190,'47603554','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7191,'47604392','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7192,'47604484','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7193,'47604579','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7194,'47604645','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7195,'47604679','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7196,'47616676','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7197,'47617643','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7198,'47685250','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7199,'47693529','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7200,'47693623','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7201,'47693737','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7202,'47693885','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7203,'36192549','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7204,'36192583','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7205,'36192602','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7206,'36192660','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7207,'36192976','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7208,'36193012','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7209,'36193036','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7210,'36193082','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7211,'36193100','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7212,'36193219','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7213,'36193250','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7214,'36214262','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7215,'36214284','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7216,'36214488','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7217,'36214502','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7218,'36214506','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7219,'36214539','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7220,'36214551','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7221,'36214572','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7222,'36214578','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7223,'36214581','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7224,'36214588','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7225,'36214594','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7226,'36214598','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7227,'36214604','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7228,'36214606','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7229,'36214613','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7230,'36214616','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7231,'36214647','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7232,'36217603','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Pujer'),
(7233,'47599153','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7234,'47599288','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7235,'47599788','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7236,'47600166','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7237,'47600240','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7238,'47600298','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7239,'47600376','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7240,'47600424','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7241,'47600480','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7242,'47600544','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7243,'47600643','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7244,'47600698','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7245,'47600843','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7246,'47601043','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7247,'47601079','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7248,'47601140','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7249,'47601179','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7250,'47601224','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7251,'47643517','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7252,'47644404','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7253,'47644778','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7254,'47645218','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7255,'47645477','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7256,'47645769','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7257,'47646129','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7258,'47646399','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7259,'36211821','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7260,'36211855','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7261,'36211950','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7262,'36211984','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7263,'36212047','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7264,'36212076','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7265,'36212099','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7266,'36212118','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7267,'36212144','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7268,'36212167','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7269,'36212196','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7270,'36212206','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7271,'36212207','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7272,'36212240','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7273,'36212246','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7274,'36212255','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7275,'36212262','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7276,'36212275','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7277,'36212286','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7278,'36212303','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7279,'36212304','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7280,'36212325','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7281,'36212327','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7282,'36212335','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7283,'36212343','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sempol'),
(7284,'36212363','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7285,'36212377','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7286,'36212403','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7287,'36212420','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7288,'36212454','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7289,'36212478','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS SEMPOL'),
(7290,'36211436','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7291,'36211466','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7292,'36211497','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7293,'36211556','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7294,'36211583','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7295,'36211617','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7296,'36211637','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7297,'36211661','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7298,'36211679','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7299,'36212977','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7300,'36213032','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7301,'36213092','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7302,'36213115','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7303,'36213134','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7304,'36213153','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7305,'36213171','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7306,'36213176','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7307,'36213226','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7308,'36213232','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7309,'36213251','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7310,'36213267','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7311,'36213288','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7312,'36213298','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7313,'36213310','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7314,'36213314','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7315,'36213342','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS SUKOSARI'),
(7316,'47220986','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7317,'47223124','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7318,'47223890','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7319,'47225303','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7320,'47225943','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7321,'47226472','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7322,'47228138','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7323,'47228935','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7324,'47229756','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7325,'47230575','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7326,'47232095','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7327,'47232751','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7328,'47233214','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7329,'47233921','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7330,'47234650','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7331,'47235219','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7332,'47237294','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7333,'47237655','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7334,'47238206','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7335,'47238775','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7336,'47239792','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7337,'47240430','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7338,'47615006','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7339,'47617412','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7340,'47621354','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7341,'47627268','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7342,'47645441','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7343,'47647760','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Sumber Wringin'),
(7344,'36069682','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7345,'36069904','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7346,'36070085','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7347,'36070226','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7348,'36070378','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7349,'36070537','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7350,'36071788','Jawa Timur','Bondowoso (Kab.)','puskesmas sumber wringin'),
(7351,'47577425','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7352,'47577476','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7353,'47577543','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7354,'47577581','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7355,'47577635','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7356,'47587133','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7357,'47587277','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7358,'47652917','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7359,'47664674','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7360,'47664933','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7361,'47666806','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7362,'47666812','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7363,'47667130','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7364,'47667702','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7365,'47667804','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7366,'47668089','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7367,'47668774','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7368,'47669179','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7369,'47670265','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7370,'47670789','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7371,'47671523','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7372,'47672018','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7373,'47672367','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7374,'47674200','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7375,'47674625','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7376,'47675930','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7377,'47676465','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7378,'47676928','Jawa Timur','Bondowoso (Kab.)','PUSKESMAS TAMANAN'),
(7379,'47679088','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7380,'47679311','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7381,'47680766','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7382,'47681171','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7383,'47681419','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7384,'47682420','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7385,'47683190','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7386,'47685126','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7387,'47690695','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7388,'47692867','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7389,'36233714','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7390,'36234843','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7391,'36236357','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7392,'36236759','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7393,'36237168','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7394,'36237453','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7395,'36237911','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7396,'36239108','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7397,'36239472','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7398,'36240965','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7399,'36241070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7400,'36241291','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7401,'36241398','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7402,'36241479','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7403,'36241866','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7404,'36242123','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7405,'36242250','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7406,'36242319','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7407,'36242348','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7408,'36242460','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7409,'36242602','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7410,'36242788','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7411,'36242975','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7412,'36243421','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7413,'36243675','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tamanan'),
(7414,'36243998','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7415,'36244257','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7416,'36244887','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7417,'36245662','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7418,'36247524','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tamanan'),
(7419,'47479059','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7420,'47480168','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7421,'47482684','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7422,'47483552','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7423,'47484549','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7424,'47485827','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7425,'47486672','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7426,'47487746','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7427,'47488984','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7428,'47593102','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7429,'47600408','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7430,'47600525','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7431,'47600624','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7432,'47600693','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7433,'47600798','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7434,'47600993','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7435,'47601157','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Taman Krocok'),
(7436,'36165213','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7437,'36165648','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7438,'36166094','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7439,'36166564','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7440,'36166822','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7441,'36167321','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7442,'36167523','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7443,'36167881','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7444,'36168112','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7445,'36168433','Jawa Timur','Bondowoso (Kab.)','Puskesmas Taman Krocok'),
(7446,'47676226','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7447,'47677297','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7448,'47677643','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7449,'47677900','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7450,'47677974','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7451,'47678182','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7452,'47678490','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7453,'47679184','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7454,'47679331','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7455,'47679437','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7456,'47679705','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7457,'47680324','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7458,'47680424','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7459,'47681092','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7460,'47681514','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7461,'47682115','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7462,'47682248','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7463,'47682444','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7464,'47683614','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7465,'47684133','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7466,'47684532','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7467,'47685271','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7468,'47685532','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7469,'47685737','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7470,'47685750','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7471,'47686017','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7472,'47686304','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7473,'47687213','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7474,'47688021','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7475,'47688916','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7476,'47689140','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7477,'47689557','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7478,'47689929','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7479,'47690330','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7480,'47690571','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7481,'47690699','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7482,'47690977','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7483,'47691290','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7484,'47691834','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7485,'47694124','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7486,'47695565','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7487,'47697871','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7488,'47698241','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7489,'47699371','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7490,'47699435','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7491,'47701071','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7492,'47708373','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7493,'36233619','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7494,'36242393','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7495,'36242982','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7496,'36243278','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7497,'36243624','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7498,'36243731','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7499,'36244508','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7500,'36245938','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7501,'36246340','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7502,'36246718','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7503,'36247470','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7504,'36247908','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7505,'36248347','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7506,'36249167','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7507,'36250075','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7508,'36250134','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7509,'36250516','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7510,'36250591','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7511,'36251419','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tapen'),
(7512,'47140711','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7513,'47142805','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7514,'47223968','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7515,'47225106','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7516,'47225744','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7517,'47226679','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7518,'47228780','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7519,'47236567','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7520,'47238582','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7521,'47239406','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7522,'47352261','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7523,'47352949','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7524,'47354350','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7525,'47355209','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7526,'47356093','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7527,'47356731','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7528,'47603679','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7529,'47604023','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7530,'47604212','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7531,'47604408','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7532,'47604532','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7533,'47604643','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7534,'47604771','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7535,'47604888','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7536,'47604990','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7537,'47605129','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7538,'47605147','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7539,'47605248','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7540,'47605680','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7541,'36026891','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7542,'36027391','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7543,'36027954','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7544,'36028063','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7545,'36028189','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7546,'36028326','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7547,'36028518','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7548,'36028713','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7549,'36069523','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7550,'36069678','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7551,'36109127','Jawa Timur','Bondowoso (Kab.)','FKTP TEGALAMPEL'),
(7552,'36213340','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7553,'36214293','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7554,'36214298','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7555,'36214322','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7556,'36214350','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7557,'36214412','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7558,'36214468','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7559,'36214481','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7560,'36214486','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7561,'36214501','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7562,'36214511','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7563,'36214523','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7564,'36214548','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7565,'36214568','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7566,'36214576','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7567,'36214590','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7568,'36214595','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7569,'36214600','Jawa Timur','Bondowoso (Kab.)','UPTD Puskesmas Tegalampel'),
(7570,'47353905','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7571,'47355437','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7572,'47358089','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7573,'47361207','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7574,'47362234','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7575,'47364237','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7576,'47366875','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7577,'47367784','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7578,'47368895','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7579,'47370105','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7580,'47372356','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7581,'47373774','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7582,'47375491','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7583,'47377005','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7584,'47378471','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7585,'47380546','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7586,'47381209','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7587,'47382232','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7588,'47383458','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7589,'47591461','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7590,'47591498','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7591,'47591529','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7592,'47591622','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7593,'47591650','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7594,'47591682','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7595,'47591755','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7596,'47591781','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7597,'47591823','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7598,'47591974','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7599,'47592047','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7600,'47592146','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7601,'47592190','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7602,'47592486','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7603,'47592738','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7604,'47592838','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7605,'47592890','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7606,'47592967','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7607,'47593011','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7608,'47593064','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7609,'47593325','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7610,'47593421','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7611,'36163470','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7612,'36163724','Jawa Timur','Lainnya','puskesmas tenggarang'),
(7613,'36163999','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7614,'36164428','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7615,'36164908','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7616,'36165223','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7617,'36165474','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7618,'36165782','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7619,'36166126','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7620,'36166401','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7621,'36166949','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7622,'36167212','Jawa Timur','Bondowoso (Kab.)','puskesmas tenggarang'),
(7623,'36207300','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7624,'36207726','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7625,'36207761','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7626,'36207817','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7627,'36207833','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7628,'36207897','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7629,'36207921','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7630,'36207935','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7631,'36208008','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7632,'36208044','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7633,'36208052','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7634,'36208064','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7635,'36208075','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7636,'36208077','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7637,'36208086','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7638,'36208094','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7639,'36208869','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7640,'36208875','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7641,'36209241','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS TENGGARANG'),
(7642,'47062575','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7643,'47063101','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7644,'47063493','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7645,'47063661','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7646,'47063965','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7647,'47064227','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7648,'47064784','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7649,'47065166','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7650,'47066027','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7651,'47066428','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7652,'47066642','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7653,'47066955','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7654,'47067110','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7655,'47067321','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7656,'47067432','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7657,'47067695','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7658,'47067850','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7659,'47068029','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7660,'47068127','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7661,'47068191','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7662,'47068253','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7663,'47594926','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7664,'47595066','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7665,'47595233','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7666,'47595316','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7667,'47595475','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7668,'47595598','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7669,'47595675','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7670,'47595736','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7671,'47639767','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7672,'47641859','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7673,'47649407','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7674,'47654601','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7675,'47658644','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7676,'35994148','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7677,'35994631','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7678,'35994854','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7679,'35994951','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7680,'35995238','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7681,'35995549','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7682,'36000271','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7683,'36236667','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7684,'36237482','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7685,'36238509','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7686,'36239638','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7687,'36239792','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7688,'36240056','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7689,'36240881','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7690,'36241057','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7691,'36242154','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7692,'36242420','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7693,'36242808','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7694,'36243253','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7695,'36243668','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7696,'36244305','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7697,'36244445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7698,'36244567','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7699,'36244666','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7700,'36244732','Jawa Timur','Bondowoso (Kab.)','Puskesmas Tlogosari'),
(7701,'47655732','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7702,'47680968','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7703,'47683152','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7704,'47692714','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7705,'47697210','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7706,'47698118','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7707,'47699663','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7708,'47708005','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7709,'47712773','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7710,'36212668','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7711,'36212791','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7712,'36215657','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7713,'36215660','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7714,'36215681','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7715,'36215684','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7716,'36215687','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7717,'36215698','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7718,'36215721','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7719,'36215743','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7720,'36216017','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7721,'36216060','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7722,'36216095','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7723,'36219727','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7724,'36220132','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wonosari'),
(7725,'36235564','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7726,'36244468','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7727,'36244981','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7728,'36245844','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7729,'36246196','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7730,'36246354','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7731,'36247067','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7732,'36248191','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7733,'36248771','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7734,'36249301','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7735,'36249687','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7736,'36255625','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7737,'36256011','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7738,'36256378','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7739,'36256726','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7740,'36256990','Jawa Timur','Bondowoso (Kab.)','FKTP Wonosari'),
(7741,'47595867','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7742,'47595975','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7743,'47596018','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7744,'47596090','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7745,'47596323','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7746,'47597504','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7747,'47597527','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7748,'47597578','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7749,'47597632','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7750,'47597667','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7751,'47597679','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7752,'47597732','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7753,'47597768','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7754,'47597807','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7755,'47597834','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7756,'47597891','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7757,'47597938','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7758,'47597962','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7759,'47597986','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7760,'47598014','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7761,'47598146','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7762,'47598171','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7763,'47598211','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7764,'47598232','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7765,'47598260','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7766,'47598305','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7767,'47598364','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7768,'47598405','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7769,'47598462','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7770,'47630816','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7771,'47639347','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7772,'47640647','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7773,'47641682','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7774,'47643366','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7775,'47645025','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7776,'47647155','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7777,'47652943','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7778,'47654326','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7779,'47658129','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7780,'47660322','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7781,'47661944','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7782,'47667887','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7783,'36210912','Jawa Timur','Bondowoso (Kab.)','Puskesmas Wringin'),
(7784,'36239539','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7785,'36239704','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7786,'36239889','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7787,'36240141','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7788,'36241852','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7789,'36242043','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7790,'36242176','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7791,'36242343','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7792,'36242687','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7793,'36242803','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7794,'36242919','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7795,'36243029','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7796,'36262255','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7797,'36262327','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7798,'36262450','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7799,'36262490','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7800,'36262555','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7801,'36263330','Jawa Timur','Bondowoso (Kab.)','UPTD PUSKESMAS WRINGIN'),
(7802,'47553467','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7803,'47554054','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7804,'47554055','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7805,'47554712','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7806,'47554772','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7807,'47554823','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7808,'47554863','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7809,'47554941','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7810,'47555292','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7811,'47555369','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7812,'47555423','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7813,'47555752','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7814,'47555787','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7815,'47555804','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7816,'47555854','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7817,'36188078','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7818,'36188079','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7819,'36188163','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7820,'36188344','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7821,'36188414','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7822,'36188424','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7823,'36188541','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7824,'36188683','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7825,'36188821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7826,'36188859','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7827,'36188867','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7828,'36188869','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7829,'36188980','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7830,'36189027','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7831,'36189028','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(7832,'47444694','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7833,'47444695','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7834,'47444696','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7835,'47444814','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7836,'47444815','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7837,'47444816','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7838,'47444819','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7839,'47444820','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7840,'47444821','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7841,'47445003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7842,'47445004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7843,'47445006','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7844,'47445061','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7845,'47445062','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7846,'47445063','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7847,'47445172','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7848,'47445174','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7849,'47445175','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7850,'47445194','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7851,'47445195','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7852,'47445196','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7853,'47445201','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7854,'47445202','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7855,'47445203','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7856,'47445321','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7857,'47445323','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7858,'47445324','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7859,'47445394','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7860,'47445395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7861,'47445396','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7862,'47448447','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7863,'47448448','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7864,'47448449','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7865,'47448537','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7866,'47448538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7867,'47448552','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7868,'47448595','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7869,'47448596','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7870,'47448597','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7871,'47448598','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7872,'47448613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7873,'47448700','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7874,'47448758','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7875,'47448795','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7876,'47448797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7877,'47448798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7878,'47448859','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7879,'47450612','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7880,'47450613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7881,'47450614','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7882,'47450969','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7883,'47450970','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7884,'47450971','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7885,'47453655','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7886,'47453657','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7887,'47453659','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7888,'47453660','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7889,'47453661','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7890,'47454401','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7891,'47454402','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7892,'47454403','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7893,'47454404','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7894,'47454479','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7895,'47454480','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7896,'47454481','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7897,'47454482','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7898,'47454541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7899,'47454542','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7900,'47454543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7901,'47454544','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7902,'47454549','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7903,'47454550','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7904,'47454551','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7905,'47454552','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7906,'47454562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7907,'47454563','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7908,'47454564','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7909,'47454565','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7910,'47457532','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7911,'47457533','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7912,'47457534','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7913,'47457535','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7914,'47457538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7915,'47457539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7916,'47457540','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7917,'47457541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7918,'47457543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7919,'47457544','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7920,'47457545','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7921,'47457546','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7922,'47457552','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7923,'47457553','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7924,'47457554','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7925,'47457555','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7926,'47457566','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7927,'47457567','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7928,'47457568','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7929,'47457569','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7930,'47457579','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7931,'47457580','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7932,'47457581','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7933,'47457582','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7934,'47457597','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7935,'47457598','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7936,'47457599','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7937,'47457600','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7938,'47457602','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7939,'47457603','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7940,'47457604','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7941,'47457605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7942,'47458677','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7943,'47458678','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7944,'47458679','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7945,'47458680','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7946,'47459033','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7947,'47459034','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7948,'47459035','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7949,'47459036','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7950,'47459060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7951,'47459061','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7952,'47459062','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7953,'47459063','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7954,'47460432','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7955,'47460433','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7956,'47460434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7957,'47460435','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7958,'47460500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7959,'47460501','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7960,'47460502','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7961,'47460503','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7962,'36148314','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7963,'36148377','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7964,'36148378','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7965,'36148379','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7966,'36152804','Jawa Timur','Bondowoso (Kab.)','Kecamatan Binakal'),
(7967,'47372030','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7968,'47376936','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7969,'47404525','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7970,'47405227','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7971,'47406751','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7972,'47415792','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7973,'47416628','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7974,'47418362','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7975,'47449908','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7976,'47450006','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7977,'47450112','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7978,'47450524','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7979,'47450753','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7980,'47450812','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7981,'47453514','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7982,'47453578','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7983,'47453701','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7984,'47453748','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7985,'47453811','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7986,'47454435','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7987,'47468510','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7988,'47469146','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7989,'47469625','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7990,'47472844','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7991,'47475624','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7992,'47479248','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7993,'47482219','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7994,'47483325','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7995,'47492643','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7996,'47493417','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7997,'47496216','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7998,'47598027','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(7999,'47598096','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8000,'47598148','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8001,'47598203','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8002,'47598261','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8003,'47598358','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8004,'47598523','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8005,'47598577','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8006,'47598927','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8007,'47598965','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8008,'47599166','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8009,'47603033','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8010,'47603108','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8011,'47603258','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8012,'47603345','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8013,'47603430','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8014,'47603527','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8015,'47603579','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8016,'47603659','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8017,'47603723','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8018,'47603790','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8019,'47603839','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8020,'47603940','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8021,'47610305','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8022,'47610657','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8023,'47611005','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8024,'47611310','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8025,'47614242','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8026,'47614774','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8027,'47615441','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8028,'47615831','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8029,'47621669','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8030,'47624678','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8031,'47625685','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8032,'47630656','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8033,'47631416','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8034,'47633138','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8035,'47636327','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8036,'47657395','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8037,'47658099','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8038,'47660285','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8039,'47664359','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8040,'47667363','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8041,'47731858','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8042,'47731989','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8043,'47732088','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8044,'47732477','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8045,'47747022','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8046,'47748099','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8047,'47750126','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8048,'47750694','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8049,'47754377','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8050,'47755510','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8051,'47756598','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8052,'47762209','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8053,'47871044','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8054,'47879148','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8055,'47879910','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8056,'47885890','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8057,'36121499','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8058,'36150730','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8059,'36158939','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8060,'36162887','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8061,'36163400','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8062,'36168160','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8063,'36210962','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8064,'36210975','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8065,'36210981','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8066,'36210994','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8067,'36213502','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8068,'36213539','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8069,'36216968','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8070,'36217233','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8071,'36219442','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8072,'36219765','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8073,'36223247','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8074,'36223910','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8075,'36227523','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8076,'36266194','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8077,'36273640','Jawa Timur','Bondowoso (Kab.)','KECAMATAN BONDOWOSO'),
(8078,'47479050','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8079,'47479564','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8080,'47480114','Jawa Timur','Probolinggo (Kab.)','kecamatan Botolinggo'),
(8081,'47481836','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8082,'47482233','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8083,'47482521','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8084,'47483388','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8085,'47483974','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8086,'47485225','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8087,'47485227','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8088,'47485229','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8089,'47508302','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8090,'47508412','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8091,'47508413','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8092,'47508414','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8093,'47508652','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8094,'47508653','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8095,'47508654','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8096,'47508972','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8097,'47508973','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8098,'47509169','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8099,'47509170','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8100,'47509171','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8101,'47509172','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8102,'47509296','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8103,'47509297','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8104,'47509299','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8105,'47509555','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8106,'47509630','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8107,'47509766','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8108,'47509767','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8109,'47509929','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8110,'47509976','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8111,'47510094','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8112,'47510095','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8113,'47510206','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8114,'47510207','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8115,'47510208','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8116,'47510293','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8117,'47510454','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8118,'47510455','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8119,'47510456','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8120,'47510545','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8121,'47510666','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8122,'47510751','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8123,'47510752','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8124,'47510753','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8125,'47510754','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8126,'36161029','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8127,'36161161','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8128,'36161349','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8129,'36161512','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8130,'36162179','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8131,'36162489','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8132,'36162490','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8133,'36172370','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8134,'36172585','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8135,'36172801','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8136,'36172869','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8137,'36172920','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8138,'36172940','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8139,'36172994','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8140,'36173026','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8141,'36173060','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8142,'36173082','Jawa Timur','Bondowoso (Kab.)','kecamatan Botolinggo'),
(8143,'47395637','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8144,'47395638','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8145,'47395755','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8146,'47395757','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8147,'47395883','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8148,'47395884','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8149,'47395966','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8150,'47395969','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8151,'47396003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8152,'47396004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8153,'47396059','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8154,'47396060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8155,'47396125','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8156,'47396126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8157,'47396378','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8158,'47396380','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8159,'47396442','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8160,'47396443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8161,'47396501','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8162,'47396502','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8163,'47396558','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8164,'47396559','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8165,'47396612','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8166,'47396613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8167,'47396755','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8168,'47396756','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8169,'47396807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8170,'47397178','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8171,'47397179','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8172,'47397380','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8173,'47397719','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8174,'47397720','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8175,'47397721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8176,'47397722','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8177,'47397851','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8178,'47397852','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8179,'47397853','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8180,'47397854','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8181,'47398011','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8182,'47398012','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8183,'47398013','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8184,'47398014','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8185,'47398114','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8186,'47398115','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8187,'47398116','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8188,'47398117','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8189,'47398343','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8190,'47398344','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8191,'47398345','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8192,'47398450','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8193,'47398451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8194,'47398452','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8195,'47398454','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8196,'47398612','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8197,'47398613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8198,'47398614','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8199,'47398615','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8200,'47398757','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8201,'47398759','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8202,'47398761','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8203,'47398929','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8204,'47398930','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8205,'47398931','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8206,'47398932','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8207,'47399026','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8208,'47399027','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8209,'47399127','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8210,'47399128','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8211,'47399129','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8212,'47399202','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8213,'47399203','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8214,'47399204','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8215,'47399274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8216,'47399275','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8217,'47399277','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8218,'47399457','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8219,'47399458','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8220,'47399459','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8221,'47399460','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8222,'47399537','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8223,'47399538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8224,'47399539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8225,'47399540','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8226,'47399590','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8227,'47399737','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8228,'47399738','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8229,'47399739','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8230,'47399740','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8231,'47399802','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8232,'47399803','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8233,'47399804','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8234,'47399806','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8235,'47399955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8236,'47399958','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8237,'47399960','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8238,'47400099','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8239,'47400100','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8240,'47400101','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8241,'47400224','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8242,'47400225','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8243,'47400395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8244,'47400396','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8245,'47400397','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8246,'47400399','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8247,'47417157','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8248,'47417158','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8249,'47417159','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8250,'47417160','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8251,'36127048','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8252,'36127215','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8253,'36127216','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8254,'36127217','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8255,'36127451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8256,'36127494','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8257,'36127574','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8258,'36127646','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8259,'36127748','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8260,'36127789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8261,'36127830','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8262,'36127831','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8263,'36128202','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8264,'36128285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8265,'36128312','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8266,'36128368','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8267,'36128399','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8268,'36128443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8269,'36128484','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8270,'36128532','Jawa Timur','Bondowoso (Kab.)','Kecamatan Cermee'),
(8271,'46920764','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8272,'46920920','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8273,'46921035','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8274,'46921493','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8275,'46921654','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8276,'46921866','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8277,'46922314','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8278,'46922460','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8279,'46922587','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8280,'46922884','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8281,'46923028','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8282,'46923164','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8283,'46924069','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8284,'46924149','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8285,'46924223','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8286,'46924571','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8287,'46924641','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8288,'46924699','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8289,'46924913','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8290,'46924975','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8291,'46925044','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8292,'46925320','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8293,'46925388','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8294,'46925449','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8295,'46926186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8296,'46926280','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8297,'46926358','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8298,'46926488','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8299,'46926571','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8300,'46926632','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8301,'46926744','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8302,'46926786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8303,'46926878','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8304,'46927006','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8305,'46927134','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8306,'46927178','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8307,'46927244','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8308,'46927482','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8309,'46927571','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8310,'46927697','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8311,'46927779','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8312,'46927830','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8313,'46927941','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8314,'46927967','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8315,'46927989','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8316,'46928138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8317,'46928218','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8318,'46928261','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8319,'46928353','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8320,'46928400','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8321,'46928427','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8322,'46928504','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8323,'46928541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8324,'46928613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8325,'46928677','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8326,'46928962','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8327,'46929012','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8328,'46929032','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8329,'46929233','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8330,'46929550','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8331,'46929588','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8332,'46929633','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8333,'46929717','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8334,'46929926','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8335,'46929984','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8336,'46930091','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8337,'46930186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8338,'46930353','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8339,'46930465','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8340,'46930537','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8341,'46930610','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8342,'46930798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8343,'46930915','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8344,'46931003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8345,'46931045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8346,'46931185','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8347,'46931268','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8348,'46931315','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8349,'46931357','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8350,'46931478','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8351,'46931543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8352,'46931631','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8353,'46931675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8354,'46931753','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8355,'46931784','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8356,'46932073','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8357,'46932150','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8358,'46932206','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8359,'46932262','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8360,'46932448','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8361,'46932489','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8362,'46932527','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8363,'46932605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8364,'46932713','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8365,'46932749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8366,'46932804','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8367,'46932866','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8368,'46932985','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8369,'46933052','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8370,'46933170','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8371,'46933208','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8372,'46933289','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8373,'46933335','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8374,'46933443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8375,'46933488','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8376,'46933521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8377,'46933562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8378,'46933835','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8379,'46933859','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8380,'46933908','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8381,'46933919','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8382,'46934371','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8383,'46934415','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8384,'46934457','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8385,'46934500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8386,'46934839','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8387,'46934864','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8388,'46934934','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8389,'46934955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8390,'46935721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8391,'46935757','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8392,'46935812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8393,'46935841','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8394,'46935972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8395,'46936235','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8396,'46936298','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8397,'46936317','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8398,'46936334','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8399,'46936351','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8400,'35938807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8401,'35938836','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8402,'35938999','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8403,'35941115','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8404,'35941244','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8405,'35941432','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8406,'35941600','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8407,'35941813','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8408,'35941891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8409,'35941996','Jawa Timur','Bondowoso (Kab.)','Kecamatan Curahdami'),
(8410,'46766152','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8411,'46766461','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8412,'46766774','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8413,'46766970','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8414,'46767446','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8415,'46767787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8416,'46768516','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8417,'46768785','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8418,'46769231','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8419,'46769441','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8420,'46769703','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8421,'46770520','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8422,'46770829','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8423,'46771122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8424,'46771587','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8425,'46771776','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8426,'46772478','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8427,'46772901','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8428,'46773058','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8429,'46773255','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8430,'46773474','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8431,'46774279','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8432,'46776303','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8433,'46776991','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8434,'46777197','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8435,'46781060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8436,'46781414','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8437,'46781685','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8438,'46782771','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8439,'46782984','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8440,'46783298','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8441,'46783387','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8442,'46783625','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8443,'46783854','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8444,'46783907','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8445,'46783985','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8446,'46784200','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8447,'46788160','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8448,'46788172','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8449,'46788218','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8450,'46788237','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8451,'46788322','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8452,'46788344','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8453,'46788356','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8454,'46788381','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8455,'46788490','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8456,'46788520','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8457,'46788566','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8458,'46788603','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8459,'46788683','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8460,'46788789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8461,'46788840','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8462,'46788895','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8463,'46790961','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8464,'46791038','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8465,'46791087','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8466,'46791184','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8467,'46791240','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8468,'46791297','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8469,'46791364','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8470,'46791656','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8471,'46791749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8472,'46791824','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8473,'46791945','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8474,'46792009','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8475,'46792159','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8476,'46792267','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8477,'46792300','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8478,'46792444','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8479,'46792583','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8480,'46793087','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8481,'46793137','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8482,'46793275','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8483,'46793312','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8484,'46793365','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8485,'46793434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8486,'46793534','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8487,'46793568','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8488,'46793640','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8489,'46793839','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8490,'46794260','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8491,'46794291','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8492,'46794327','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8493,'46794359','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8494,'46794406','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8495,'46794435','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8496,'46794469','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8497,'46794494','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8498,'46794535','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8499,'46794574','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8500,'46794605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8501,'46794641','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8502,'46794699','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8503,'46794715','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8504,'46794741','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8505,'46794778','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8506,'46794897','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8507,'46795851','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8508,'46795864','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8509,'46795886','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8510,'46831699','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8511,'46831890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8512,'46832091','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8513,'46832285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8514,'46833298','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8515,'46833536','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8516,'46833800','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8517,'46834434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8518,'46835621','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8519,'46836090','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8520,'46836390','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8521,'46836663','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8522,'46837696','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8523,'46837927','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8524,'46838303','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8525,'46838658','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8526,'46840379','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8527,'46840783','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8528,'46841274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8529,'46842352','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8530,'46842632','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8531,'46843012','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8532,'46843261','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8533,'46849421','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8534,'46849708','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8535,'46850046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8536,'35873758','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8537,'35873943','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8538,'35875887','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8539,'35876067','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8540,'35876146','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8541,'35876241','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8542,'35879891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8543,'35881087','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8544,'35881443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8545,'35881555','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8546,'35882283','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8547,'35882301','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8548,'35882398','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8549,'35899014','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8550,'35899776','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8551,'35900491','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8552,'35901521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8553,'35902327','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8554,'35902899','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8555,'35905267','Jawa Timur','Bondowoso (Kab.)','Kecamatan Grujugan'),
(8556,'47015862','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8557,'47085624','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8558,'47085660','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8559,'47085701','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8560,'47085721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8561,'47085745','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8562,'47085756','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8563,'47085810','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8564,'47085909','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8565,'47085953','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8566,'47085964','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8567,'47085980','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8568,'47085995','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8569,'47086316','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8570,'47086382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8571,'47086400','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8572,'47086446','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8573,'47086466','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8574,'47086493','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8575,'47086494','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8576,'47086495','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8577,'47086496','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8578,'47086522','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8579,'47086604','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8580,'47086605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8581,'47086770','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8582,'47086771','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8583,'47086826','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8584,'47086827','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8585,'47086855','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8586,'47086856','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8587,'47086857','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8588,'47086858','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8589,'47086942','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8590,'47086943','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8591,'47086944','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8592,'47086963','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8593,'47086964','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8594,'47086965','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8595,'47087044','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8596,'47087045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8597,'47087046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8598,'47087139','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8599,'47087140','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8600,'47087141','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8601,'47087142','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8602,'47087194','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8603,'47087281','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8604,'47087282','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8605,'47087283','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8606,'47087688','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8607,'47087689','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8608,'47087711','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8609,'47087712','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8610,'47087713','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8611,'47087743','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8612,'47087744','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8613,'47087746','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8614,'47087812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8615,'47087813','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8616,'47087814','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8617,'47087815','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8618,'47087859','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8619,'47087862','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8620,'47087863','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8621,'47087864','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8622,'47087901','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8623,'47087902','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8624,'47087903','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8625,'47087904','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8626,'47088040','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8627,'47088042','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8628,'47088043','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8629,'47088044','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8630,'47088045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8631,'47088137','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8632,'47088138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8633,'47088139','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8634,'47088141','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8635,'47088182','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8636,'47088183','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8637,'47088184','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8638,'47088283','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8639,'47088285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8640,'47088286','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8641,'47088301','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8642,'47088385','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8643,'47088387','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8644,'47088388','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8645,'47088389','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8646,'48238185','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8647,'48238186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8648,'48238187','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8649,'48238188','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8650,'48238350','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8651,'48238351','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8652,'48238352','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8653,'48238689','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8654,'48238690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8655,'48238691','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8656,'48238692','Jawa Timur','Bondowoso (Kab.)','Kecamatan Ijen'),
(8657,'35976998','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8658,'35978248','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8659,'36007820','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8660,'36008290','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8661,'36008291','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8662,'36008300','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8663,'36008311','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8664,'36008355','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8665,'36008384','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8666,'36008428','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8667,'36008435','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8668,'36008477','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(8669,'47376748','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8670,'47376749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8671,'47376750','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8672,'47379968','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8673,'47379969','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8674,'47379970','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8675,'47380065','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8676,'47380066','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8677,'47380067','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8678,'47380159','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8679,'47380160','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8680,'47380162','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8681,'47381797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8682,'47381798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8683,'47382071','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8684,'47382072','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8685,'47382073','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8686,'47382199','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8687,'47382202','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8688,'47383730','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8689,'47383731','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8690,'47383732','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8691,'47383804','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8692,'47383805','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8693,'47384031','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8694,'47384032','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8695,'47384033','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8696,'47384170','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8697,'47384171','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8698,'47384172','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8699,'47384898','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8700,'47384900','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8701,'47385077','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8702,'47385078','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8703,'47385079','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8704,'47385700','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8705,'47385701','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8706,'47385702','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8707,'47385788','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8708,'47385789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8709,'47386238','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8710,'47386381','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8711,'47386423','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8712,'47386689','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8713,'47386690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8714,'47386691','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8715,'47386692','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8716,'47386799','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8717,'47386963','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8718,'47387434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8719,'47387436','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8720,'47387755','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8721,'47387987','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8722,'47387988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8723,'47388343','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8724,'47388344','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8725,'47388345','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8726,'47388476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8727,'47388477','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8728,'47388478','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8729,'47388479','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8730,'47388641','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8731,'47388642','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8732,'47388644','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8733,'47388645','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8734,'47388745','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8735,'47388746','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8736,'47388747','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8737,'47388890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8738,'47388891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8739,'47388892','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8740,'47388893','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8741,'47388990','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8742,'47388992','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8743,'47388993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8744,'47389066','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8745,'47389067','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8746,'47389068','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8747,'47389369','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8748,'47389370','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8749,'47389371','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8750,'47389372','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8751,'47389373','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8752,'47389374','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8753,'47389453','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8754,'47389454','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8755,'47389455','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8756,'47389456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8757,'47389725','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8758,'47389737','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8759,'47389738','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8760,'47389739','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8761,'47389901','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8762,'47389902','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8763,'47389903','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8764,'47389998','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8765,'47389999','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8766,'47390001','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8767,'47390002','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8768,'47390139','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8769,'47390140','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8770,'47390221','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8771,'47390223','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8772,'47390335','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8773,'47390336','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8774,'47390338','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8775,'47390401','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8776,'47390402','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8777,'47390403','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8778,'47390404','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8779,'47390672','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8780,'47390673','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8781,'47390674','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8782,'47390675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8783,'47390761','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8784,'47390762','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8785,'47390763','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8786,'47390764','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8787,'47390877','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8788,'47390878','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8789,'47390879','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8790,'47390880','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8791,'47391053','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8792,'47391054','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8793,'47391055','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8794,'47391203','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8795,'47391204','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8796,'47391205','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8797,'47391206','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8798,'47391320','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8799,'47391321','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8800,'47391322','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8801,'47391323','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8802,'47391409','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8803,'47391410','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8804,'47391411','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8805,'47391412','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8806,'47391480','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8807,'47391481','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8808,'47391482','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8809,'47391483','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8810,'47424440','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8811,'47424441','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8812,'47610749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8813,'36123102','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8814,'36123274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8815,'36123275','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8816,'36123276','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8817,'36123626','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8818,'36123690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8819,'36123736','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8820,'36124035','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8821,'36124036','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8822,'36124085','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8823,'36124147','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8824,'36124658','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8825,'36124659','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8826,'36124849','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8827,'36124889','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8828,'36124890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8829,'36124952','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8830,'36124978','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8831,'36125109','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8832,'36137724','Jawa Timur','Bondowoso (Kab.)','Kecamatan Jambesari Darus Sholah'),
(8833,'47384340','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8834,'47386820','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8835,'47387154','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8836,'47388615','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8837,'47388901','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8838,'47389079','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8839,'47389234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8840,'47389789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8841,'47390163','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8842,'47390458','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8843,'47390721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8844,'47391418','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8845,'47392445','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8846,'47392568','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8847,'47392854','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8848,'47392993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8849,'47393077','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8850,'47393324','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8851,'47393458','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8852,'47393670','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8853,'47393958','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8854,'47398885','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8855,'47399019','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8856,'47399164','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8857,'47399412','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8858,'47399697','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8859,'47399851','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8860,'47400716','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8861,'47401039','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8862,'47401191','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8863,'47402447','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8864,'47402966','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8865,'47403156','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8866,'47403380','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8867,'47403749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8868,'47404847','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8869,'47405031','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8870,'47405306','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8871,'47405688','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8872,'47405965','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8873,'47406562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8874,'47406964','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8875,'47408674','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8876,'47408968','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8877,'47409122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8878,'47409841','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8879,'47413949','Jawa Timur','Situbondo (Kab.)','Kecamatan Klabang'),
(8880,'47414158','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8881,'47414434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8882,'47414915','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8883,'47416280','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8884,'47416567','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8885,'47416850','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8886,'47417152','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8887,'47418114','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8888,'47419509','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8889,'47419818','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8890,'47420120','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8891,'47420863','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8892,'47421150','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8893,'47421788','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8894,'47422342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8895,'47422842','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8896,'47423235','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8897,'47423422','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8898,'47423663','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8899,'47424002','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8900,'47424143','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8901,'47424398','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8902,'47424548','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8903,'47424825','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8904,'47425041','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8905,'47425625','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8906,'47425926','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8907,'47426105','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8908,'47426344','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8909,'47451916','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8910,'47451952','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8911,'47452003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8912,'47452092','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8913,'47452179','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8914,'47452230','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8915,'47452304','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8916,'47452405','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8917,'47452431','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8918,'47452453','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8919,'47452507','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8920,'47452533','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8921,'47453266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8922,'47453285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8923,'47453315','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8924,'47453382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8925,'47453397','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8926,'47453445','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8927,'47453473','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8928,'47453520','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8929,'47453541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8930,'47453576','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8931,'47453596','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8932,'47453629','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8933,'47453644','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8934,'47453663','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8935,'47453680','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8936,'47453807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8937,'47453817','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8938,'47453830','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8939,'47453854','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8940,'47453862','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8941,'47453875','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8942,'47453894','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8943,'47453912','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8944,'47453922','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8945,'47454415','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8946,'47454422','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8947,'47454426','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8948,'47454445','Jawa Timur','Bondowoso (Kab.)','Alat Tulis Kantor'),
(8949,'47454450','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8950,'47454465','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8951,'47454487','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8952,'47454500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8953,'47454514','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8954,'47454597','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8955,'47454613','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8956,'47454634','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8957,'47454668','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8958,'47461667','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8959,'47464137','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8960,'47464729','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8961,'47465265','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8962,'47465683','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8963,'47466650','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8964,'47466856','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8965,'47467025','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8966,'47467274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8967,'47467678','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8968,'47470375','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8969,'47470927','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8970,'47471204','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8971,'47471645','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8972,'47472532','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8973,'47472829','Jawa Timur','Bondowoso (Kab.)','Kecamatan Klabang'),
(8974,'47077203','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8975,'47077226','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8976,'47077272','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8977,'47077341','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8978,'47077366','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8979,'47077386','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8980,'47077423','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8981,'47077456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8982,'47077479','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8983,'47077509','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8984,'47077538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8985,'47077713','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8986,'47077729','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8987,'47077758','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8988,'47077786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8989,'47077818','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8990,'47077846','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8991,'47077940','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8992,'47077961','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8993,'47078010','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8994,'47078191','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8995,'47078215','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8996,'47078234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8997,'47078253','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8998,'47078266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(8999,'47078420','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9000,'47078471','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9001,'47078499','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9002,'47078534','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9003,'47078561','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9004,'47078598','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9005,'47078619','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9006,'47078643','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9007,'47078656','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9008,'47078694','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9009,'47078701','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9010,'47078713','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9011,'47078763','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9012,'47078772','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9013,'47078797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9014,'47078816','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9015,'47078835','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9016,'47078849','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9017,'47078923','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9018,'47078936','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9019,'47079003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9020,'47079030','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9021,'47079066','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9022,'47079083','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9023,'47079126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9024,'47079164','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9025,'47079186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9026,'47079205','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9027,'47079219','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9028,'47079237','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9029,'47079248','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9030,'47079256','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9031,'47079266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9032,'47079346','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9033,'47079357','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9034,'47079409','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9035,'47079435','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9036,'47079447','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9037,'47079454','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9038,'47079476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9039,'47079493','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9040,'47079502','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9041,'47079511','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9042,'47079531','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9043,'47080210','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9044,'47081060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9045,'47085134','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9046,'47085276','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9047,'47085433','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9048,'47085582','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9049,'47085719','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9050,'47085919','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9051,'47086074','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9052,'47086192','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9053,'47086961','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9054,'47087222','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9055,'47087342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9056,'47087530','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9057,'47087619','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9058,'47087911','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9059,'47088136','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9060,'47088437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9061,'47088871','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9062,'47089165','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9063,'47089524','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9064,'47089771','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9065,'47090868','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9066,'47091172','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9067,'47091588','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9068,'47091825','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9069,'47092171','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9070,'47092411','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9071,'47092836','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9072,'47093076','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9073,'47103034','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9074,'47103608','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9075,'47103828','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9076,'47104292','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9077,'47104506','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9078,'47104861','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9079,'47105113','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9080,'47105549','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9081,'47106142','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9082,'47106721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9083,'47107104','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9084,'47107510','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9085,'47107866','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9086,'47108099','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9087,'47108345','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9088,'47108593','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9089,'47109506','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9090,'47109810','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9091,'47110073','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9092,'47110403','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9093,'47110787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9094,'47111246','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9095,'47111504','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9096,'47111767','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9097,'47112109','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9098,'47112527','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9099,'47113026','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9100,'47113562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9101,'47113895','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9102,'47114398','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9103,'47114716','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9104,'47115320','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9105,'47115769','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9106,'47116009','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9107,'47116285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9108,'47116516','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9109,'47116782','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9110,'47117126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9111,'47117385','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9112,'47117635','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9113,'47118042','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9114,'47118451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9115,'47118693','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9116,'47118934','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9117,'47138658','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9118,'47139011','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9119,'47139174','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9120,'47139280','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9121,'47139438','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9122,'47139656','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9123,'47583371','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9124,'47583414','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9125,'47583422','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9126,'47583485','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9127,'47583502','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9128,'47583509','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9129,'47583533','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9130,'47583543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9131,'47583554','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9132,'47583563','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9133,'36023174','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9134,'36023403','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9135,'36023517','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9136,'36023979','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9137,'36024059','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9138,'36024147','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9139,'36024301','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9140,'36024506','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9141,'36024647','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9142,'36024755','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9143,'36024920','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9144,'36025204','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9145,'36025365','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9146,'36025843','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9147,'36026988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9148,'36027315','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9149,'36027906','Jawa Timur','Bondowoso (Kab.)','Kecamatan Maesan'),
(9150,'36028094','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9151,'36029000','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9152,'36029061','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9153,'36029109','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9154,'36029183','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9155,'36029249','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9156,'36029309','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9157,'36043769','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9158,'47117161','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9159,'47117162','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9160,'47117163','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9161,'47117164','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9162,'47117436','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9163,'47117437','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9164,'47117438','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9165,'47117440','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9166,'47117916','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9167,'47117919','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9168,'47117920','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9169,'47117922','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9170,'47118192','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9171,'47118193','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9172,'47118194','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9173,'47118395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9174,'47118397','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9175,'47118399','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9176,'47118568','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9177,'47118569','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9178,'47118570','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9179,'47118746','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9180,'47118748','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9181,'47118749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9182,'47118840','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9183,'47119232','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9184,'47119233','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9185,'47119234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9186,'47119235','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9187,'47119490','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9188,'47119491','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9189,'47119492','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9190,'47119493','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9191,'47119669','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9192,'47119672','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9193,'47119675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9194,'47119677','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9195,'47119963','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9196,'47119964','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9197,'47120125','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9198,'47120126','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9199,'47120127','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9200,'47120343','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9201,'47120345','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9202,'47120346','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9203,'47120426','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9204,'47120427','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9205,'47120428','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9206,'47120667','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9207,'47120668','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9208,'47120669','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9209,'47120868','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9210,'47120870','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9211,'47120871','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9212,'47121102','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9213,'47121104','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9214,'47121105','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9215,'47121266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9216,'47121269','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9217,'47121271','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9218,'47121395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9219,'47121397','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9220,'47121398','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9221,'47121561','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9222,'47121562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9223,'47121563','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9224,'47122348','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9225,'47122350','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9226,'47122932','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9227,'47122934','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9228,'47122936','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9229,'47122937','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9230,'47122938','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9231,'47123241','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9232,'47123242','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9233,'47123243','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9234,'47123244','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9235,'47123534','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9236,'47123535','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9237,'47123536','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9238,'47123537','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9239,'47123885','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9240,'47123886','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9241,'47123888','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9242,'47123890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9243,'47124183','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9244,'47124185','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9245,'47124186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9246,'47124187','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9247,'47124476','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9248,'47124477','Jawa Timur','Bondowoso (Kab.)','kecamatan pakemw'),
(9249,'47124478','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9250,'47186761','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9251,'47186762','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9252,'47186763','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9253,'47186764','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9254,'36020843','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9255,'36023435','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9256,'36023436','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9257,'36023668','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9258,'36023884','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9259,'36023885','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9260,'36024066','Jawa Timur','Bondowoso (Kab.)','kecamatan pakem'),
(9261,'36048342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pakem'),
(9262,'47234485','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9263,'47234487','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9264,'47234674','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9265,'47234675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9266,'47234791','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9267,'47234792','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9268,'47234913','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9269,'47234914','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9270,'47235085','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9271,'47235086','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9272,'47235382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9273,'47235383','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9274,'47235384','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9275,'47235385','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9276,'47236440','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9277,'47236441','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9278,'47237956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9279,'47237957','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9280,'47237958','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9281,'47237960','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9282,'47238073','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9283,'47238074','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9284,'47238075','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9285,'47238766','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9286,'47238768','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9287,'47239245','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9288,'47239246','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9289,'47239247','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9290,'47239248','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9291,'47239408','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9292,'47239410','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9293,'47239411','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9294,'47239683','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9295,'47239684','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9296,'47239685','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9297,'47239889','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9298,'47239892','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9299,'47239893','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9300,'47240046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9301,'47240047','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9302,'47240346','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9303,'47240347','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9304,'47240348','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9305,'47240506','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9306,'47240507','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9307,'47240508','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9308,'47240860','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9309,'47240862','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9310,'47240863','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9311,'47240864','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9312,'47241033','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9313,'47241034','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9314,'47241211','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9315,'47241212','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9316,'47241213','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9317,'47241341','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9318,'47241342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9319,'47241343','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9320,'47241468','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9321,'47241470','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9322,'47241471','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9323,'47241655','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9324,'47241656','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9325,'47241657','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9326,'47241997','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9327,'47241999','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9328,'47242000','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9329,'47242001','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9330,'47242226','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9331,'47242227','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9332,'47242814','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9333,'47242815','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9334,'47242816','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9335,'47242817','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9336,'47243334','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9337,'47243335','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9338,'47243336','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9339,'47243337','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9340,'47243538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9341,'47243610','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9342,'47243743','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9343,'47243744','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9344,'47243745','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9345,'47243747','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9346,'47254311','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9347,'47254312','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9348,'47254313','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9349,'36067265','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9350,'36067266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9351,'36067855','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9352,'36067856','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9353,'36068055','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9354,'36068113','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9355,'36068191','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9356,'36068289','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9357,'36068336','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9358,'36068473','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9359,'36068597','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9360,'36068598','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9361,'36068669','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9362,'36069045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9363,'36069046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9364,'36069173','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9365,'36069380','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9366,'36069381','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9367,'36069456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9368,'36069510','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9369,'36069524','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9370,'36069581','Jawa Timur','Bondowoso (Kab.)','Kecamatan Prajekan'),
(9371,'47322531','Jawa Timur','Bondowoso (Kab.)','Kecamatan Pujer'),
(9372,'47328297','Jawa Timur','Bondowoso (Kab.)','KEC. Pujer'),
(9373,'47329090','Jawa Timur','Bondowoso (Kab.)','kec.Pujer'),
(9374,'47330034','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9375,'47331093','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9376,'47335979','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9377,'47337782','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9378,'47339723','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9379,'47340542','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9380,'47341217','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9381,'47342615','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9382,'47343376','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9383,'47343977','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9384,'47344951','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9385,'47345798','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9386,'47346653','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9387,'47347231','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9388,'47349296','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9389,'47373584','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9390,'47374408','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9391,'47376635','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9392,'47377903','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9393,'47378786','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9394,'47379714','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9395,'47380427','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9396,'47381170','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9397,'47382188','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9398,'47383839','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9399,'47385359','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9400,'47386179','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9401,'47387058','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9402,'47387751','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9403,'47388180','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9404,'47388647','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9405,'47389184','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9406,'47389485','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9407,'47389878','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9408,'47391408','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9409,'47391811','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9410,'47392151','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9411,'47392430','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9412,'47392774','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9413,'36101555','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9414,'36107860','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9415,'36108732','Jawa Timur','Bondowoso (Kab.)','kec. Pujer'),
(9416,'47203703','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9417,'47203704','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9418,'36032794','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9419,'36032795','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9420,'36032796','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9421,'36032797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9422,'36032798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9423,'36032799','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9424,'36032866','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9425,'36032867','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9426,'36032868','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9427,'36032942','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9428,'36032943','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9429,'36032944','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9430,'36032945','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9431,'36032946','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9432,'36033158','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9433,'36033159','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9434,'36033160','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9435,'36033161','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9436,'36033162','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9437,'36033205','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9438,'36033206','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9439,'36033207','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9440,'36033208','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9441,'36033409','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9442,'36033410','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9443,'36033411','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9444,'36033437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9445,'36033438','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9446,'36033439','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9447,'36033476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9448,'36033477','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9449,'36033486','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9450,'36033487','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9451,'36033531','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9452,'36033532','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9453,'36033533','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9454,'36033534','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9455,'36033535','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9456,'36033602','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9457,'36033603','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9458,'36033604','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9459,'36033605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9460,'36033606','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9461,'36033607','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9462,'36033686','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9463,'36033687','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9464,'36033688','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9465,'36033689','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9466,'36033690','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9467,'36033749','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9468,'36033750','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9469,'36033751','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9470,'36033752','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9471,'36033753','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9472,'36033783','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9473,'36033784','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9474,'36033785','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9475,'36033786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9476,'36033787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9477,'36033835','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9478,'36033836','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9479,'36033837','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9480,'36033838','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9481,'36033875','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9482,'36033876','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9483,'36033877','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9484,'36033878','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9485,'36033953','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9486,'36033954','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9487,'36033955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9488,'36033956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9489,'36034005','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9490,'36034007','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9491,'36034011','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9492,'36034013','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9493,'36034094','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9494,'36034095','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9495,'36034096','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9496,'36034097','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9497,'36034129','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9498,'36034130','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9499,'36034131','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9500,'36034132','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9501,'36050509','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9502,'36050510','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9503,'36050511','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9504,'36050512','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9505,'36050901','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9506,'36050902','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9507,'36050903','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9508,'36050930','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9509,'36050931','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9510,'36050964','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9511,'36050965','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9512,'36050986','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9513,'36050987','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9514,'36050988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9515,'36051041','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9516,'36051042','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9517,'36051043','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9518,'36051067','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9519,'36051068','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9520,'36051087','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9521,'36051088','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9522,'36051089','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9523,'36055349','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9524,'36055350','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9525,'36055351','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9526,'36055377','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9527,'36055378','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9528,'36055386','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9529,'36055387','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9530,'36055388','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9531,'36055401','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9532,'36055402','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9533,'36055403','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9534,'36055412','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9535,'36055413','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9536,'36055414','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9537,'36055424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9538,'36055425','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9539,'36055426','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9540,'36055449','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9541,'36055450','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9542,'36055451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9543,'36055458','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9544,'36055459','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9545,'36055475','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9546,'36055476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9547,'36055492','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9548,'36055493','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9549,'36055517','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9550,'36055577','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9551,'36055615','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9552,'36055616','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9553,'36055617','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9554,'36055618','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9555,'36055627','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9556,'36055649','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9557,'36055650','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9558,'36055710','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9559,'36055711','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9560,'36055712','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9561,'36055755','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9562,'36055786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9563,'36055787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9564,'36055861','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9565,'36074117','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9566,'36074118','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sukosari'),
(9567,'36004539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9568,'36004540','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9569,'36004541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9570,'36004542','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9571,'36004543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9572,'36004544','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9573,'36004545','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9574,'36004863','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9575,'36004885','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9576,'36004886','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9577,'36004887','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9578,'36004888','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9579,'36004889','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9580,'36004890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9581,'36004891','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9582,'36004892','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9583,'36004893','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9584,'36004915','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9585,'36004916','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9586,'36004917','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9587,'36004918','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9588,'36004919','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9589,'36004920','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9590,'36004921','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9591,'36004922','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9592,'36004923','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9593,'36004924','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9594,'36004925','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9595,'36004926','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9596,'36004938','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9597,'36004939','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9598,'36004940','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9599,'36004941','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9600,'36004942','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9601,'36004955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9602,'36004956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9603,'36004957','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9604,'36004958','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9605,'36004959','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9606,'36004960','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9607,'36004961','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9608,'36004975','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9609,'36004976','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9610,'36004977','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9611,'36004978','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9612,'36004988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9613,'36004989','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9614,'36004990','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9615,'36004991','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9616,'36004999','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9617,'36005000','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9618,'36005001','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9619,'36005023','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9620,'36005024','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9621,'36005025','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9622,'36005032','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9623,'36005033','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9624,'36005037','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9625,'36005038','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9626,'36005039','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9627,'36005047','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9628,'36005048','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9629,'36005049','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9630,'36005059','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9631,'36005060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9632,'36005061','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9633,'36005099','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9634,'36005100','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9635,'36005101','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9636,'36005103','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9637,'36005104','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9638,'36005105','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9639,'36005113','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9640,'36005114','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9641,'36005115','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9642,'36005116','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9643,'36005125','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9644,'36005126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9645,'36005127','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9646,'36005128','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9647,'36005154','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9648,'36005155','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9649,'36005156','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9650,'36005157','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9651,'36005162','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9652,'36005163','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9653,'36005164','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9654,'36005165','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9655,'36005166','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9656,'36005178','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9657,'36005179','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9658,'36005180','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9659,'36005194','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9660,'36005195','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9661,'36005196','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9662,'36005197','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9663,'36005211','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9664,'36005212','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9665,'36005213','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9666,'36005214','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9667,'36005217','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9668,'36005218','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9669,'36005219','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9670,'36005220','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9671,'36005221','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9672,'36005231','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9673,'36005232','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9674,'36005233','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9675,'36005234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9676,'36005235','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9677,'36005236','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9678,'36005237','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9679,'36005238','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9680,'36005239','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9681,'36005253','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9682,'36005263','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9683,'36005264','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9684,'36005265','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9685,'36005266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9686,'36005285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9687,'36005286','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9688,'36005287','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9689,'36005288','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9690,'36005289','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9691,'36005290','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9692,'36005307','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9693,'36005308','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9694,'36005309','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9695,'36005310','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9696,'36005311','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9697,'36005312','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9698,'36005313','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9699,'36005314','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9700,'36005318','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9701,'36005330','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9702,'36005331','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9703,'36005332','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9704,'36005333','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9705,'36005334','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9706,'36005359','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9707,'36005360','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9708,'36005361','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9709,'36005362','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9710,'36005363','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9711,'36005364','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9712,'36005380','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9713,'36005381','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9714,'36005382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9715,'36005383','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9716,'36005384','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9717,'36005385','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9718,'36005386','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9719,'36005387','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9720,'36005395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9721,'36005396','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9722,'36005397','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9723,'36005398','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9724,'36005399','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9725,'36005400','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9726,'36005401','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9727,'36005402','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9728,'36005414','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9729,'36005415','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9730,'36005416','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9731,'36005417','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9732,'36005418','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9733,'36005421','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9734,'36005422','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9735,'36005423','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9736,'36005424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9737,'36005425','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9738,'36005435','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9739,'36005436','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9740,'36005437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9741,'36005454','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9742,'36005455','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9743,'36005456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9744,'36005457','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9745,'36005458','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9746,'36005459','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9747,'36005460','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9748,'36005473','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9749,'36005474','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9750,'36005475','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9751,'36005476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9752,'36005477','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9753,'36005483','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9754,'36005484','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9755,'36005485','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9756,'36005486','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9757,'36005487','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9758,'36005488','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9759,'36005497','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9760,'36005498','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9761,'36005499','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9762,'36005500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9763,'36005510','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9764,'36005511','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9765,'36005512','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9766,'36005513','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9767,'36005514','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9768,'36005515','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9769,'36005516','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9770,'36005517','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9771,'36005518','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9772,'36005519','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9773,'36005520','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9774,'36005521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9775,'36005522','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9776,'36005539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9777,'36005540','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9778,'36005541','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9779,'36005542','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9780,'36005543','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9781,'36005544','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9782,'36005545','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9783,'36005546','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9784,'36005560','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9785,'36005561','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9786,'36005562','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9787,'36005563','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9788,'36005564','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9789,'36005565','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9790,'36005566','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9791,'36005567','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9792,'36005568','Jawa Timur','Bojonegoro (Kab.)','Kecamatan Sumberwringin'),
(9793,'36005569','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9794,'36091964','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9795,'36091965','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9796,'36091980','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9797,'36091981','Jawa Timur','Bondowoso (Kab.)','Kecamatan Sumberwringin'),
(9798,'47434456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(9799,'47434676','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(9800,'47434831','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tamanan'),
(9801,'47430004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9802,'47430439','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9803,'47430637','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9804,'47457959','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9805,'47457996','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9806,'47458007','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9807,'47458012','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9808,'47458280','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9809,'47458300','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9810,'47458318','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9811,'47458340','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9812,'47458341','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9813,'47458342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9814,'47458362','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9815,'47458793','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9816,'47458798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9817,'47458821','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9818,'47461821','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9819,'47462199','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9820,'47462200','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9821,'47462201','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9822,'47462202','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9823,'47462233','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9824,'47462269','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9825,'47462425','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9826,'47465768','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9827,'47470528','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9828,'47636037','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9829,'47636038','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9830,'47636039','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9831,'47636041','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9832,'47636248','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9833,'47638263','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9834,'47638264','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9835,'47638265','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9836,'47638266','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9837,'47638267','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9838,'47644733','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9839,'47644734','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9840,'47644735','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9841,'47644736','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9842,'47646269','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9843,'47646270','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9844,'47646271','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9845,'47646272','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9846,'47646807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9847,'47647295','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9848,'47647297','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9849,'47647298','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9850,'47647637','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9851,'47647638','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9852,'48090553','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9853,'48090554','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9854,'48090555','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9855,'48090556','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9856,'48090632','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9857,'48090633','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9858,'48090634','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9859,'48090928','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9860,'48090929','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9861,'48090930','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9862,'48091086','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9863,'48091087','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9864,'48091243','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9865,'48091244','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9866,'48091245','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9867,'48091524','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9868,'48091525','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9869,'48091526','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9870,'48091697','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9871,'48091698','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9872,'48091699','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9873,'48091786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9874,'48091787','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9875,'48091789','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9876,'48091987','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9877,'48091988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9878,'48091991','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9879,'48091993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9880,'48091997','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9881,'48092198','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9882,'48092199','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9883,'48092200','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9884,'48092313','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9885,'48092315','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9886,'48092317','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9887,'48092319','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9888,'48092577','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9889,'48092578','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9890,'48092579','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9891,'48092580','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9892,'48092581','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9893,'48093044','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9894,'48093045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9895,'48093048','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9896,'48093049','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9897,'48093732','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9898,'48093733','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9899,'48093734','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9900,'48093735','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9901,'48093846','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9902,'48093848','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9903,'48093849','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9904,'48093850','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9905,'48093961','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9906,'48093962','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9907,'48179592','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9908,'48179593','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9909,'48179594','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9910,'48236498','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9911,'48236499','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9912,'48236500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9913,'48236501','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9914,'48236968','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9915,'48236974','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9916,'36154495','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9917,'36154496','Jawa Timur','Bondowoso (Kab.)','Jawa Timur'),
(9918,'36155970','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9919,'36155971','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9920,'36155993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9921,'36229643','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9922,'36230387','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9923,'36230859','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9924,'36405896','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9925,'36405948','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9926,'36406041','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9927,'36406496','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9928,'36406576','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9929,'36406644','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9930,'36406821','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9931,'36406984','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9932,'36407187','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9933,'36407263','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9934,'36407283','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(9935,'36461008','Jawa Timur','Bondowoso (Kab.)','Kecamatan Taman Krocok'),
(9936,'47299448','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9937,'47299465','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9938,'47299486','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9939,'47299521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9940,'47299559','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9941,'47299618','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9942,'47299703','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9943,'48207308','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9944,'48207342','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9945,'48207451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9946,'48207500','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9947,'48207553','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9948,'48207811','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9949,'48207840','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9950,'48207925','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9951,'48207955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9952,'48208004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9953,'48208070','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9954,'48216296','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9955,'48216299','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9956,'48216300','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9957,'48216301','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9958,'48216327','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9959,'48216451','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9960,'48216642','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9961,'48216644','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9962,'48216646','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9963,'48216750','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9964,'48216875','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9965,'48217060','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9966,'48217061','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9967,'48217062','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9968,'48217063','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9969,'48217122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9970,'48217123','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9971,'48217124','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9972,'48217125','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9973,'48217126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9974,'48217194','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9975,'48217228','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9976,'48217247','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9977,'48217330','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9978,'48217331','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9979,'48217332','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9980,'48217333','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9981,'48217392','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9982,'48217393','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9983,'48217394','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9984,'48217395','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9985,'48217421','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9986,'48217422','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9987,'48217424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9988,'48217425','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9989,'48217548','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9990,'48217549','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9991,'48217584','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9992,'48217585','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9993,'48217637','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9994,'48217638','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9995,'48217720','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9996,'48217721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9997,'48217795','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9998,'48217799','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(9999,'48217930','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10000,'48217931','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10001,'48217932','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10002,'48217933','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10003,'48217950','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10004,'48217951','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10005,'48217992','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10006,'48217993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10007,'48218168','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10008,'48218169','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10009,'48218173','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10010,'48218177','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10011,'48218180','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10012,'48218415','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10013,'48218472','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10014,'48218540','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10015,'48218781','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10016,'48218782','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10017,'48218783','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10018,'48218784','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10019,'36454384','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10020,'36454470','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10021,'36454501','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10022,'36454532','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10023,'36454643','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10024,'36454694','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10025,'36454812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10026,'36454850','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10027,'36454938','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10028,'36455207','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10029,'36455220','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10030,'36455238','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10031,'36455289','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10032,'36455290','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10033,'36455313','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10034,'36455478','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tapen'),
(10035,'47509646','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10036,'36170623','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10037,'36170624','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10038,'36170625','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10039,'36170626','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10040,'36170627','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10041,'36170628','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10042,'36170652','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10043,'36170653','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10044,'36170654','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10045,'36170655','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10046,'36170656','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10047,'36170685','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10048,'36170686','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10049,'36170687','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10050,'36170688','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10051,'36170689','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10052,'36170690','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10053,'36172016','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10054,'36172017','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10055,'36172018','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10056,'36172019','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10057,'36172020','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10058,'36172021','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10059,'36172044','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10060,'36172045','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10061,'36172046','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10062,'36172047','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10063,'36172196','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10064,'36172197','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10065,'36172198','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10066,'36172199','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10067,'36172200','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10068,'36172201','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10069,'36172218','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10070,'36172219','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10071,'36172220','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10072,'36172221','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10073,'36172222','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10074,'36172230','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10075,'36172231','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10076,'36172232','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10077,'36172233','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10078,'36172234','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10079,'36172235','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10080,'36172252','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10081,'36172253','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10082,'36172255','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10083,'36172257','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10084,'36172272','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10085,'36172273','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10086,'36172274','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10087,'36172275','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10088,'36172285','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10089,'36172286','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10090,'36172287','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10091,'36172288','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10092,'36172297','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10093,'36172298','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10094,'36172299','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10095,'36172300','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10096,'36172366','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10097,'36172367','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10098,'36172368','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10099,'36172369','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10100,'36172465','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10101,'36172466','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10102,'36172467','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10103,'36172468','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10104,'36172469','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10105,'36172470','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10106,'36172488','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10107,'36172489','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10108,'36172490','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10109,'36172491','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10110,'36172492','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10111,'36172493','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10112,'36172509','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10113,'36172512','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10114,'36172514','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10115,'36172516','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10116,'36172519','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10117,'36172528','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10118,'36172529','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10119,'36172530','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10120,'36172531','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10121,'36172544','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10122,'36172545','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10123,'36172546','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10124,'36172564','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10125,'36172565','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10126,'36172566','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10127,'36172572','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10128,'36172573','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10129,'36172574','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10130,'36172602','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10131,'36172603','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10132,'36172604','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10133,'36172605','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10134,'36172606','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10135,'36172607','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10136,'36172618','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10137,'36172619','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10138,'36172620','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10139,'36172621','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10140,'36172622','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10141,'36172682','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10142,'36172697','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10143,'36172698','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10144,'36172704','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10145,'36172705','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10146,'36172741','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10147,'36172742','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10148,'36172743','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10149,'36172745','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10150,'36172751','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10151,'36172784','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10152,'36172785','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10153,'36172786','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10154,'36172797','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10155,'36172798','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10156,'36172803','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10157,'36172810','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10158,'36172819','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10159,'36172820','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10160,'36172821','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10161,'36172822','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10162,'36172830','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10163,'36172841','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10164,'36172843','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10165,'36173086','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10166,'36173087','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10167,'36173088','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10168,'36173112','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10169,'36173113','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10170,'36173114','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10171,'36173122','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10172,'36173123','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10173,'36173131','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10174,'36173132','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10175,'36173133','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10176,'36173136','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10177,'36173137','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10178,'36173162','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10179,'36173163','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10180,'36173164','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10181,'36173171','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10182,'36173172','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10183,'36173173','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10184,'36173178','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10185,'36173179','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10186,'36173180','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10187,'36173189','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10188,'36173190','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10189,'36173191','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10190,'36173203','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10191,'36173204','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10192,'36173205','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10193,'36173231','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10194,'36173232','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10195,'36173233','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10196,'36173262','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10197,'36173264','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10198,'36173266','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10199,'36173277','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10200,'36173278','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10201,'36173279','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10202,'36173347','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10203,'36173349','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10204,'36173350','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10205,'36173356','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10206,'36173357','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10207,'36173358','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10208,'36173376','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10209,'36173377','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10210,'36173378','Jawa Timur','Bondowoso (Kab.)','kecamatan tegalampel'),
(10211,'47115000','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10212,'47118498','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10213,'47119415','Jawa Timur','Situbondo (Kab.)','Kecamatan Tenggarang'),
(10214,'47123082','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10215,'47128840','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10216,'47132396','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10217,'47133822','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10218,'47135511','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10219,'47139330','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10220,'47140521','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10221,'47140909','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10222,'47141354','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10223,'47147214','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10224,'47149442','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10225,'47151407','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10226,'47155467','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10227,'47156914','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10228,'47157410','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10229,'47174393','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10230,'47174831','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10231,'47175561','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10232,'47177120','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10233,'47177956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10234,'47186461','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10235,'47186573','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10236,'47186725','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10237,'47187587','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10238,'47187705','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10239,'47187927','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10240,'47188016','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10241,'47188234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10242,'47188285','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10243,'47188374','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10244,'47188426','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10245,'47188468','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10246,'47188527','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10247,'47188655','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10248,'47189030','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10249,'47189193','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10250,'47189372','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10251,'47189454','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10252,'47189514','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10253,'47189610','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10254,'47189675','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10255,'47189729','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10256,'47191132','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10257,'47191193','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10258,'47191241','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10259,'47191764','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10260,'47192002','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10261,'47216960','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10262,'47217387','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10263,'47217672','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10264,'47219181','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10265,'47220890','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10266,'47221526','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10267,'47222075','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10268,'47222604','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10269,'47229245','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10270,'47230536','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10271,'47237384','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10272,'47310786','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10273,'47310844','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10274,'47310908','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10275,'47311029','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10276,'47311297','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10277,'47311379','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10278,'47311453','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10279,'47311616','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10280,'47311672','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10281,'47312061','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10282,'47312195','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10283,'47312447','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10284,'47312484','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10285,'47312512','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10286,'47312640','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10287,'47312677','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10288,'47312745','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10289,'47315068','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10290,'47315170','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10291,'47315291','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10292,'47315350','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10293,'47315556','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10294,'47315667','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10295,'47315721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10296,'47315788','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10297,'47317035','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10298,'47317169','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang4'),
(10299,'47317243','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10300,'47317355','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10301,'47325798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10302,'47325937','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10303,'47326031','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10304,'47331600','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10305,'47334611','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10306,'47342720','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10307,'47343393','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10308,'47346933','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10309,'47356269','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10310,'47360188','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10311,'47360738','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10312,'47365345','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10313,'47366575','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10314,'47367253','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10315,'47368004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10316,'47385234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10317,'47385585','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10318,'47386148','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10319,'47389492','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10320,'47390082','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10321,'47390369','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10322,'47390738','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10323,'47391757','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10324,'47392227','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10325,'47392466','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10326,'47392724','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10327,'47394124','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10328,'47395255','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10329,'47395954','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10330,'47396222','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10331,'47411923','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10332,'47412783','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10333,'47413945','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10334,'47418947','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10335,'47421010','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10336,'47422097','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10337,'47422487','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10338,'47422993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tenggarang'),
(10339,'47029755','Jawa Timur','Bondowoso (Kab.)','kKecamatan tlogosari'),
(10340,'47029756','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10341,'47030367','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10342,'47030368','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10343,'47030376','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10344,'47030377','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10345,'47030427','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10346,'47030430','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10347,'47030431','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10348,'47030432','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10349,'47030461','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10350,'47030482','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10351,'47030483','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10352,'47030484','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10353,'47030550','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10354,'47030551','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10355,'47030584','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10356,'47030585','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10357,'47030622','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10358,'47030623','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10359,'47030652','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10360,'47030653','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10361,'47030669','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10362,'47030670','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10363,'47030702','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10364,'47030721','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10365,'47030736','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10366,'47030751','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10367,'47030805','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10368,'47030835','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10369,'47030864','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10370,'47030894','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10371,'47030895','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10372,'47030896','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10373,'47030966','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10374,'47030967','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10375,'47031013','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10376,'47031045','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10377,'47031046','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10378,'47031048','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10379,'47031049','Jawa Timur','Bondowoso (Kab.)','Jalan Raya Pakisan'),
(10380,'47031062','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10381,'47031063','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10382,'47031064','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10383,'47031065','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10384,'47031079','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10385,'47031080','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10386,'47031081','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10387,'47031082','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10388,'47031107','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10389,'47031108','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10390,'47031126','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10391,'47031127','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10392,'47031128','Jawa Timur','Bondowoso (Kab.)','kecamatan tlogosari'),
(10393,'47031203','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10394,'47031204','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10395,'47031231','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10396,'47031232','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10397,'47031238','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10398,'47031239','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10399,'47036127','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10400,'47036128','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10401,'47036129','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10402,'47036130','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10403,'35982699','Jawa Timur','Bondowoso (Kab.)','Jalan Raya Pakisan'),
(10404,'35982976','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10405,'35982977','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10406,'35983013','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10407,'35983014','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10408,'35983054','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10409,'35983058','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10410,'35983077','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10411,'35983078','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10412,'35983247','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10413,'35983372','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10414,'35983373','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10415,'35983377','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10416,'35983392','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10417,'35983394','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10418,'35983407','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10419,'35983441','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10420,'35983466','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10421,'35983470','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10422,'35986139','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10423,'35986140','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10424,'36059176','Jawa Timur','Bondowoso (Kab.)','Kecamatan Tlogosari'),
(10425,'47573399','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10426,'47573797','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10427,'47573798','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10428,'47574563','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10429,'47574564','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10430,'47574974','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10431,'47574975','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10432,'47574976','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10433,'47578496','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10434,'47578507','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10435,'47578516','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10436,'47578517','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10437,'47578518','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10438,'47578548','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10439,'47578549','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10440,'47578550','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10441,'47578565','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10442,'47578576','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10443,'47578577','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10444,'47578578','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10445,'47578605','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10446,'47578606','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10447,'47578615','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10448,'47578624','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10449,'47578625','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10450,'47578626','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10451,'47578636','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10452,'47578637','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10453,'47580970','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10454,'47580971','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10455,'47580972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10456,'47581002','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10457,'47581003','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10458,'47581022','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10459,'47581023','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10460,'47581296','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10461,'47581297','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10462,'47581805','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10463,'47581806','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10464,'47581807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10465,'47581808','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10466,'47581809','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10467,'47581874','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10468,'47581875','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10469,'47581876','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10470,'47581920','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10471,'47581922','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10472,'47581923','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10473,'47581941','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10474,'47581942','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10475,'47581943','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10476,'47581966','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10477,'47581967','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10478,'47581972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10479,'47581974','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10480,'47581975','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10481,'47581992','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10482,'47581993','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10483,'47581994','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10484,'47582004','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10485,'47582005','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10486,'47582006','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10487,'47582025','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10488,'47582026','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10489,'47582027','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10490,'47585794','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10491,'47585795','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10492,'47585812','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10493,'47585813','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10494,'47585814','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10495,'47586015','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10496,'47586016','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10497,'47586017','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10498,'47586251','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10499,'47586252','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10500,'47586253','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10501,'47586274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10502,'47586427','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10503,'47586428','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10504,'47586429','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10505,'47586436','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10506,'47586437','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10507,'47586438','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10508,'47586443','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10509,'47586444','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10510,'47586445','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10511,'47586449','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10512,'36196038','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10513,'36196047','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10514,'36196070','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10515,'36197186','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10516,'36197389','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10517,'36199963','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10518,'36200158','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10519,'36200237','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10520,'36200341','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10521,'36201845','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10522,'36201871','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10523,'36202302','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10524,'36203115','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10525,'36203122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10526,'36203216','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10527,'36203473','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10528,'36203474','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10529,'36203511','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10530,'36203538','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10531,'36203539','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10532,'36203558','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10533,'36203591','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10534,'36205972','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10535,'36205974','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10536,'36206009','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10537,'36206132','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10538,'36206133','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10539,'36206134','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10540,'36206228','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10541,'36206234','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10542,'36206249','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wonosari'),
(10543,'47069914','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10544,'47069915','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10545,'47069916','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10546,'47069917','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10547,'47069939','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10548,'47069940','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10549,'47069941','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10550,'47069942','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10551,'47069955','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10552,'47069956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10553,'47069957','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10554,'47069958','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10555,'47069978','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10556,'47069979','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10557,'47069988','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10558,'47069989','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10559,'47070000','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10560,'47070002','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10561,'47070041','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10562,'47070042','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10563,'47070062','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10564,'47070063','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10565,'47070105','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10566,'47070106','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10567,'47070107','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10568,'47070108','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10569,'47070120','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10570,'47070121','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10571,'47070122','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10572,'47070123','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10573,'47070138','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10574,'47070139','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10575,'47070140','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10576,'47070141','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10577,'47070144','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10578,'47070145','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10579,'47070150','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10580,'47070151','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10581,'47070152','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10582,'47070153','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10583,'47070201','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10584,'47070215','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10585,'47070245','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10586,'47070249','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10587,'47070254','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10588,'47070274','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10589,'47070275','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10590,'47070276','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10591,'47070277','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10592,'47070281','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10593,'47070282','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10594,'47070296','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10595,'47070297','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10596,'47070299','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10597,'47070300','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10598,'47070301','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10599,'47070305','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10600,'47070306','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10601,'47070307','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10602,'47070310','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10603,'47070311','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10604,'47070312','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10605,'47070319','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10606,'47070320','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10607,'47070321','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10608,'47070332','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10609,'47070333','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10610,'47070334','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10611,'47070355','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10612,'47070356','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10613,'47070357','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10614,'47070372','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10615,'47070373','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10616,'47070374','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10617,'47070381','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10618,'47070382','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10619,'47070383','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10620,'47070404','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10621,'47070405','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10622,'47070406','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10623,'47070412','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10624,'47070413','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10625,'47070414','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10626,'47070417','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10627,'47070418','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10628,'47070419','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10629,'47070424','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10630,'47070425','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10631,'47070426','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10632,'47070432','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10633,'47070433','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10634,'47070434','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10635,'47070448','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10636,'47070449','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10637,'47070450','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10638,'47070455','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10639,'47070456','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10640,'47070457','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10641,'47070463','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10642,'47070464','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10643,'47070465','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10644,'47070474','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10645,'47070475','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10646,'47070476','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10647,'47070956','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10648,'47070957','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10649,'36001573','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10650,'36001574','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10651,'36001583','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10652,'36001593','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10653,'36001606','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10654,'36001640','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10655,'36001654','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10656,'36001655','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10657,'36001667','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10658,'36001671','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10659,'36001672','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10660,'36001685','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10661,'36001807','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10662,'36001808','Jawa Timur','Bondowoso (Kab.)','Kecamatan Wringin'),
(10663,'47570003','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10664,'47570015','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10665,'47570148','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10666,'47570149','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10667,'47570230','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10668,'47570259','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10669,'47570265','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10670,'36196451','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10671,'36196483','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10672,'36196484','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10673,'36196485','Jawa Timur','Bondowoso (Kab.)','kelurahan badean'),
(10674,'47003222','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10675,'47004273','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10676,'47007604','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10677,'47010450','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10678,'47011114','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10679,'47011351','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10680,'47012690','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10681,'47013640','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10682,'47015214','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10683,'47103695','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10684,'47104263','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10685,'47104608','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10686,'47104976','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10687,'47106115','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10688,'47106556','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10689,'47107571','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10690,'47108016','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10691,'35973778','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10692,'35974308','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10693,'35977183','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10694,'36016972','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10695,'36017119','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10696,'36017252','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10697,'36054521','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10698,'36054557','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10699,'36054698','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10700,'36054949','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10701,'36055143','Jawa Timur','Bondowoso (Kab.)','Kelurahan Blindungan'),
(10702,'45522670','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10703,'45523772','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10704,'45524255','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10705,'45680428','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10706,'45683968','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10707,'45684527','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10708,'45684813','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10709,'35401608','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10710,'35443945','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10711,'35444365','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10712,'35444423','Jawa Timur','Bondowoso (Kab.)','kelurahan curahdami'),
(10713,'47586756','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10714,'47586757','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10715,'47586758','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10716,'47586762','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10717,'47586763','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10718,'47586764','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10719,'47586767','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10720,'47586768','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10721,'47586769','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10722,'47586786','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10723,'47586795','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10724,'47586796','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10725,'47586803','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10726,'47586804','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10727,'47586805','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10728,'47586806','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10729,'36206408','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10730,'36206409','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10731,'36206770','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10732,'36206771','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10733,'36206772','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10734,'36206773','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10735,'36206774','Jawa Timur','Bondowoso (Kab.)','Kelurahan Dabasah'),
(10736,'46818049','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10737,'46818331','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10738,'46819973','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10739,'46820623','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10740,'46821038','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10741,'46821498','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10742,'46821737','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10743,'46871830','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10744,'46872146','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10745,'46872925','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10746,'46873124','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10747,'46873290','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10748,'46874992','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10749,'46875341','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10750,'46875476','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10751,'46875974','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10752,'46876544','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10753,'46878163','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10754,'35890897','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10755,'35891529','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10756,'35913391','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10757,'35913483','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10758,'35913541','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10759,'35913584','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10760,'35913635','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10761,'35913697','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10762,'35913753','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kademangan'),
(10763,'47577639','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10764,'47577640','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10765,'47577641','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10766,'47577642','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10767,'47577643','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10768,'47577656','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10769,'47577685','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10770,'47577748','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10771,'47577762','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10772,'47577763','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10773,'47577764','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10774,'47577765','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10775,'47577790','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10776,'47577791','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10777,'47577792','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10778,'47577793','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10779,'36201527','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10780,'36201528','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10781,'36201529','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10782,'36201530','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10783,'36201531','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10784,'36201532','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10785,'36201543','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10786,'36201549','Jawa Timur','Bondowoso (Kab.)','Kelurahan Kotakulon'),
(10787,'47587903','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10788,'47587904','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10789,'47587905','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10790,'47587988','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10791,'47587993','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10792,'47588004','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10793,'47588031','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10794,'47588033','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10795,'36206889','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10796,'36206944','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10797,'36206945','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10798,'36206946','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10799,'36206947','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10800,'36206948','Jawa Timur','Bondowoso (Kab.)','Kelurahan Nangkaan'),
(10801,'47590853','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10802,'47590855','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10803,'47590859','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10804,'47590867','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10805,'47590869','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10806,'47590872','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10807,'47590874','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10808,'47590875','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10809,'47590880','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10810,'47590898','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10811,'47590899','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10812,'47590900','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10813,'47590901','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10814,'47590903','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10815,'47590921','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10816,'47590922','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10817,'47590926','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10818,'47590927','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10819,'47590928','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10820,'36208180','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10821,'36208181','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10822,'36208182','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10823,'36208184','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10824,'36208398','Jawa Timur','Bondowoso (Kab.)','Kelurahan Sekarputih'),
(10825,'47457658','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10826,'47457659','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10827,'47457660','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10828,'47457691','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10829,'47457704','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10830,'47457746','Jawa Timur','Bondowoso (Kab.)','Bondowoso'),
(10831,'47445954','Jawa Timur','Bondowoso (Kab.)','Jln KHR. As\' Ad Syamsul Arifin Nomor 201'),
(10832,'47446648','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10833,'47446823','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10834,'47447013','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10835,'47447111','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10836,'47447376','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10837,'47447607','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10838,'47448361','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10839,'47448504','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10840,'47448544','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10841,'47448996','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10842,'47449148','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10843,'47449269','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10844,'47449345','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10845,'47449500','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10846,'47449575','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10847,'47449640','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10848,'47449700','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10849,'47449933','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10850,'47450811','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10851,'47451037','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10852,'47451177','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10853,'47451679','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10854,'47451738','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10855,'47451820','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10856,'47451876','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10857,'36146302','Jawa Timur','Bondowoso (Kab.)','Jl. KHR. As\'ad Samsul Arifin No. 201'),
(10858,'47391075','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10859,'47391538','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10860,'47393407','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10861,'47394657','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10862,'47395037','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10863,'47397190','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10864,'47398198','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10865,'47398892','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10866,'47399252','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10867,'47399708','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10868,'47400021','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10869,'47400465','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10870,'47400631','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10871,'47401401','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10872,'47401894','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10873,'47402394','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10874,'47403542','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10875,'47405247','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10876,'47405483','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10877,'47407496','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10878,'47408632','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10879,'47409900','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10880,'47413905','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10881,'47414460','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10882,'47415134','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10883,'47416579','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10884,'47420625','Jawa Timur','Bondowoso (Kab.)','Jl. Piere Tendean No. 3 Bondowoso'),
(10885,'47420665','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10886,'47423580','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10887,'47459477','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10888,'47463685','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10889,'47464817','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10890,'47466643','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10891,'47466849','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10892,'47467089','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10893,'47467623','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10894,'47468756','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10895,'47469110','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10896,'47472769','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10897,'47472830','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10898,'47473320','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10899,'47473966','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10900,'47475230','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10901,'47475836','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10902,'47477658','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10903,'47478279','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10904,'47478461','Jawa Timur','Bondowoso (Kab.)','RSU dr H. Koesnadi'),
(10905,'47478859','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10906,'47480553','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10907,'47482487','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10908,'47484582','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10909,'47485564','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10910,'47486904','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10911,'47487985','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10912,'47495196','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10913,'47496337','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10914,'47496465','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10915,'47497335','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10916,'47505603','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10917,'47506202','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10918,'47506961','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10919,'47515902','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10920,'47516482','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10921,'47517775','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10922,'47518170','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10923,'47519114','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10924,'47519787','Jawa Timur','Bondowoso (Kab.)','RSUD dr, H. Koesnadi Bondowoso'),
(10925,'47520502','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10926,'47521299','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10927,'47521440','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10928,'47522642','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10929,'47523033','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10930,'47524771','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10931,'47527682','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10932,'47531249','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10933,'47539509','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10934,'47539789','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10935,'47539822','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10936,'47540108','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10937,'47610212','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10938,'47610770','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10939,'47611928','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10940,'47613849','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi'),
(10941,'47623464','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10942,'47625667','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi'),
(10943,'47628107','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi'),
(10944,'47643354','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10945,'47664310','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10946,'48396091','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10947,'48603665','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10948,'48609966','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10949,'48716693','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10950,'48765365','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10951,'48806768','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10952,'48968351','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10953,'48974012','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10954,'48974257','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10955,'49733797','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10956,'49733855','Jawa Timur','Bondowoso (Kab.)','RSU dr. H. Koesnadi Bondowoso'),
(10957,'49848780','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H Koesnadi Bondowoso'),
(10958,'49849345','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H Koesnadi Bondowoso'),
(10959,'50014554','Jawa Timur','Bondowoso (Kab.)','RSUD dr.H.Koesnadi'),
(10960,'50038188','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi'),
(10961,'50072489','Jawa Timur','Bondowoso (Kab.)','RSUD dr H. Koesnadi'),
(10962,'36124869','Jawa Timur','Bondowoso (Kab.)','Rumah Sakit Umum dr. H. Koesnadi'),
(10963,'36124869','Jawa Timur','Bondowoso (Kab.)','Rumah Sakit Umum dr. H. Koesnadi'),
(10964,'36124869','Jawa Timur','Bondowoso (Kab.)','Rumah Sakit Umum dr. H. Koesnadi'),
(10965,'36125103','Jawa Timur','Bondowoso (Kab.)','Rumah Sakit Umum dr. H. Koesnadi'),
(10966,'36166678','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H. Koesnadi Bondowoso'),
(10967,'36167486','Jawa Timur','Bondowoso (Kab.)','RSUD dr, H. Koesnadi Bondowoso'),
(10968,'36174318','Jawa Timur','Bondowoso (Kab.)','RSUD dr, H. Koesnadi Bondowoso'),
(10969,'36175010','Jawa Timur','Bondowoso (Kab.)','RSUD dr, H. Koesnadi Bondowoso'),
(10970,'36176451','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10971,'36177255','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10972,'36178437','Jawa Timur','Bondowoso (Kab.)','RSUD Dr. H Koesnadi'),
(10973,'36178897','Jawa Timur','Bondowoso (Kab.)','RSUD dr. H Koesnadi Bondowoso'),
(10974,'36217281','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi Bondowoso'),
(10975,'36217459','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi Bondowoso'),
(10976,'36217625','Jawa Timur','Bondowoso (Kab.)','RSUD Dr H Koesnadi Bondowoso'),
(10977,'46993077','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10978,'46993911','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10979,'46994616','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10980,'46995082','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10981,'47002576','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10982,'47002940','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10983,'47003351','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10984,'47004567','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10985,'47004923','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10986,'47005455','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10987,'47006098','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10988,'47007530','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10989,'47008013','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10990,'47010417','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10991,'47011429','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10992,'47013109','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10993,'47013784','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10994,'47016092','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10995,'47016816','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10996,'47018042','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10997,'47018659','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10998,'47019309','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(10999,'47019885','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11000,'47020890','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11001,'47021421','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11002,'47026879','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11003,'47027461','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11004,'47027809','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11005,'47028194','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11006,'47028498','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11007,'47030101','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11008,'47116788','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11009,'47117468','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11010,'47118020','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11011,'47118922','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11012,'47119356','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11013,'47122695','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11014,'47123354','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11015,'47123917','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11016,'47124432','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11017,'47135491','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11018,'47135967','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11019,'47136461','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11020,'47136745','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11021,'47137979','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11022,'47139855','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11023,'47139964','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11024,'47140161','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11025,'47140552','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11026,'47141005','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11027,'47141226','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11028,'47141428','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11029,'47142006','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11030,'47143636','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11031,'47143844','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11032,'47144187','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11033,'47147100','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11034,'47202497','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11035,'47202809','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11036,'47203220','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11037,'47203817','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11038,'47204090','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11039,'47204320','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11040,'47204588','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11041,'47205176','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11042,'47205638','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11043,'47209886','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11044,'47210207','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11045,'47210525','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11046,'47210744','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11047,'47211088','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11048,'47211380','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11049,'47211632','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11050,'47212055','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11051,'47215636','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11052,'47216094','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11053,'47216549','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11054,'47217440','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11055,'47217803','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11056,'47218322','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11057,'47218736','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11058,'47219182','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11059,'47219566','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11060,'47220152','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11061,'47222279','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11062,'47223821','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11063,'47224456','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11064,'47225078','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11065,'47225460','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11066,'47226498','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11067,'47228032','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11068,'47228579','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11069,'47232863','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11070,'47234149','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11071,'47236412','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11072,'47237321','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11073,'47237967','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11074,'47239016','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11075,'47239701','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11076,'47240400','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11077,'47240984','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11078,'47257587','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11079,'47258593','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11080,'47259363','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11081,'47259626','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11082,'47259852','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11083,'47260892','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11084,'47261218','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11085,'47262790','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11086,'47328588','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11087,'47329026','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11088,'47329431','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11089,'47329748','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11090,'47329988','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11091,'47333043','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11092,'47333492','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11093,'47333770','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11094,'47334118','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11095,'47334482','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11096,'47335682','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11097,'47336042','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11098,'47336375','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11099,'47336872','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11100,'47337586','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11101,'47338208','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11102,'47338592','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11103,'47339102','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11104,'47339568','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11105,'47358785','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11106,'47359134','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11107,'47359549','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11108,'47361086','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11109,'47361573','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11110,'47362309','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11111,'47363232','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11112,'47363984','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11113,'47366021','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11114,'47366936','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11115,'48685407','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11116,'50033581','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11117,'35967923','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11118,'35969345','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11119,'35976360','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11120,'35980275','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11121,'35980662','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11122,'35980781','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11123,'35981026','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11124,'35981182','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11125,'36022353','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11126,'36022550','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11127,'36022730','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11128,'36024954','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11129,'36025246','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11130,'36025536','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11131,'36029384','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11132,'36029452','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11133,'36031383','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11134,'36031453','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11135,'36031623','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11136,'36056814','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11137,'36057058','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11138,'36057142','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11139,'36064931','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11140,'36065223','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11141,'36065401','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11142,'36065505','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11143,'36075342','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11144,'36075440','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11145,'36075746','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11146,'36100434','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11147,'36100587','Jawa Timur','Bondowoso (Kab.)','Satuan Polisi Pamong Praja'),
(11148,'36178070','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11149,'36178445','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11150,'36193751','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11151,'36194368','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11152,'36194440','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11153,'36201589','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11154,'36201600','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11155,'36201612','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11156,'36201632','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11157,'36201678','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11158,'36201686','Jawa Timur','Bondowoso (Kab.)','Puskesmas Grujugan'),
(11159,'46671060','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11160,'46772564','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11161,'46773507','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11162,'46775047','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11163,'46777438','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11164,'46779288','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11165,'46780427','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11166,'46781478','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11167,'46788302','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11168,'46788533','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11169,'46788686','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11170,'46788882','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11171,'46789584','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11172,'46789809','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11173,'46790112','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11174,'46790413','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11175,'46790692','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11176,'46791258','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11177,'46791415','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11178,'46791752','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11179,'46819594','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11180,'46820166','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11181,'46821827','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11182,'46823309','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11183,'46823724','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11184,'46826858','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11185,'46826959','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11186,'46827942','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11187,'46828019','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11188,'46829671','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11189,'46830013','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11190,'46830761','Jawa Timur','Bondowoso (Kab.)','K'),
(11191,'46831671','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11192,'46832762','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11193,'46835317','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11194,'46835526','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11195,'46835922','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11196,'46836280','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11197,'46836528','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11198,'46836705','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11199,'46837484','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11200,'46838308','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11201,'46839910','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11202,'46840095','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11203,'46840796','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11204,'46841543','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11205,'46841917','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11206,'46842554','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11207,'46842815','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11208,'46843154','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11209,'46843523','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11210,'46843833','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11211,'46844297','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11212,'46845069','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11213,'46845786','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11214,'46846758','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11215,'46847428','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11216,'46847626','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11217,'46849395','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11218,'46850911','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11219,'46859238','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11220,'46859421','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11221,'46859589','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11222,'46859903','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11223,'46860056','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11224,'46860327','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11225,'46861005','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11226,'46861196','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11227,'46861572','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11228,'46861803','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11229,'46862128','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11230,'46862419','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11231,'46862803','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11232,'46863185','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11233,'46863467','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11234,'46863646','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11235,'46863880','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11236,'46864229','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11237,'46869197','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11238,'46869974','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11239,'46870420','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11240,'46871040','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO1'),
(11241,'46872013','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11242,'46872902','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11243,'46874274','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11244,'46876582','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11245,'46877317','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11246,'46878746','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11247,'46881684','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11248,'46882803','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11249,'46883950','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11250,'46885038','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11251,'46922595','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11252,'46922901','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11253,'46923189','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11254,'46924350','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11255,'46924543','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11256,'46924891','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11257,'46925078','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11258,'46925347','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11259,'46925805','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11260,'46925957','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11261,'46926292','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11262,'46926423','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11263,'46926589','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11264,'46926905','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11265,'46927240','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11266,'46927345','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11267,'46927483','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11268,'46931001','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11269,'46931151','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11270,'46931292','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11271,'46931505','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11272,'46931676','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11273,'46931965','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11274,'46944663','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11275,'46945233','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11276,'46945277','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11277,'46948574','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11278,'46948750','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11279,'46948831','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11280,'46948904','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11281,'46949170','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11282,'46949225','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11283,'46949281','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11284,'46969423','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11285,'46969457','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11286,'46969513','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11287,'46969561','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11288,'46969562','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11289,'46969577','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11290,'46969601','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11291,'46969603','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11292,'46969643','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11293,'46969657','Jawa Timur','Bondowoso (Kab.)','K'),
(11294,'46969726','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11295,'46969787','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11296,'46969841','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11297,'46969980','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11298,'46970047','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11299,'46970085','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11300,'46970103','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11301,'46970159','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11302,'46970182','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11303,'46970221','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11304,'46970277','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11305,'46970295','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11306,'46970594','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11307,'46970717','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11308,'46970830','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11309,'46970907','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11310,'46971295','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11311,'46973806','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11312,'46973817','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11313,'46973846','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11314,'46973953','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11315,'46973979','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11316,'46974014','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11317,'46974035','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11318,'46974141','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11319,'46974221','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11320,'46974349','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11321,'46974369','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11322,'46974398','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11323,'46974444','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11324,'46974481','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11325,'46974510','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11326,'46974559','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11327,'46974670','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11328,'46974747','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11329,'46974758','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11330,'46974784','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11331,'46974823','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11332,'46974865','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11333,'46974906','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11334,'46974936','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11335,'46974979','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11336,'46975040','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11337,'46975302','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11338,'46975352','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11339,'46975403','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11340,'46975464','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11341,'46975523','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11342,'46975545','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11343,'46980810','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11344,'46981371','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11345,'46981643','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11346,'46981874','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11347,'46982597','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11348,'46983151','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11349,'46993676','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11350,'46993950','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11351,'46995538','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11352,'46995955','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11353,'47000131','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11354,'47000355','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11355,'47002350','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11356,'47002607','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11357,'47002964','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11358,'47033250','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11359,'47033453','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11360,'47033990','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11361,'47034105','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11362,'47034911','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11363,'47035173','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11364,'47035313','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11365,'47035448','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11366,'47035564','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11367,'47056176','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11368,'47059411','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11369,'47060099','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11370,'47061182','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11371,'47061823','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11372,'47062933','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11373,'47063361','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11374,'47063631','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11375,'47064493','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11376,'47064668','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11377,'47064767','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11378,'47064900','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11379,'47074904','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11380,'47074952','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11381,'47074994','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11382,'47075033','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11383,'47075098','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11384,'47075223','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11385,'47075280','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11386,'47075458','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11387,'47075741','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11388,'47075803','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11389,'47075938','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11390,'47075977','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11391,'47076121','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11392,'47076282','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11393,'47076288','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11394,'47076428','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11395,'47076575','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11396,'47076661','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11397,'47076736','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11398,'47076821','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11399,'47076840','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11400,'47076870','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11401,'47076953','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11402,'47076954','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11403,'47076973','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11404,'47077000','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11405,'47077037','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11406,'47077077','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11407,'47077175','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11408,'47077207','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11409,'47077227','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11410,'47077262','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11411,'47077324','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11412,'47077358','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11413,'47077375','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11414,'47077411','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11415,'47077424','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11416,'47077444','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11417,'47077471','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11418,'47083068','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11419,'47083192','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11420,'47083196','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11421,'47083219','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11422,'47083224','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11423,'47083238','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11424,'47083325','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11425,'47083338','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11426,'47083524','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11427,'47083529','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11428,'47083659','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11429,'47083742','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11430,'47083749','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11431,'47083790','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11432,'47083830','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11433,'47083852','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11434,'47083866','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11435,'47083909','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11436,'47083921','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11437,'47083979','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11438,'47084005','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11439,'47084021','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11440,'47084164','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11441,'47084180','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11442,'47084231','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11443,'47084237','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11444,'47084244','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11445,'47084333','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11446,'47084427','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11447,'47084496','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11448,'47084623','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11449,'47084694','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11450,'47084809','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11451,'47084897','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11452,'47085663','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11453,'47086096','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11454,'47086531','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11455,'47087596','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11456,'47088091','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11457,'47842181','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD Kabupaten Bondowoso'),
(11458,'49281122','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11459,'49289923','Jawa Timur','Bondowoso (Kab.)','kantor DPRD BONDOWOSO'),
(11460,'50098457','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD'),
(11461,'35947520','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11462,'35948000','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11463,'35956180','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11464,'35956198','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11465,'35956510','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11466,'35956654','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO'),
(11467,'35957241','Jawa Timur','Bondowoso (Kab.)','Kantor DPRD BONDOWOSO');

/*Table structure for table `master_sirup_mapping` */

DROP TABLE IF EXISTS `master_sirup_mapping`;

CREATE TABLE `master_sirup_mapping` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sirup_satker_id` int(11) DEFAULT NULL,
  `sirup_satker_nama` varchar(100) DEFAULT NULL,
  `sirup_satker_url_penyedia` varchar(255) DEFAULT 'https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=',
  `sirup_satker_url_pengelola` varchar(255) DEFAULT 'https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=',
  `skpd_id` varchar(255) DEFAULT NULL,
  `satker_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fkMappingSatkerID` (`skpd_id`),
  CONSTRAINT `fkMappingSatkerID` FOREIGN KEY (`skpd_id`) REFERENCES `_kominfo_satudata`.`data_skpd` (`code`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=195 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sirup_mapping` */

insert  into `master_sirup_mapping`(`id`,`sirup_satker_id`,`sirup_satker_nama`,`sirup_satker_url_penyedia`,`sirup_satker_url_pengelola`,`skpd_id`,`satker_id`) values 
(101,1,'Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=176424','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=176424','bkpsdm','176424'),
(102,2,'Badan Kesatuan Bangsa dan Politik','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104187','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104187','bakesbangpol','104187'),
(103,3,'Badan Penanggulangan Bencana Daerah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104188','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104188','bpbd','104188'),
(104,4,'Badan Pendapatan Daerah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=155074','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=155074','bapenda','155074'),
(105,5,'Badan Pengelolaan Keuangan dan Aset Daerah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=154410','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=154410','bpkad','154410'),
(106,6,'Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175022','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175022','bappeda','175022'),
(107,7,'Bagian Hukum','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104076','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104076','pemda-hukum','104076'),
(108,8,'Bagian Kesejahteraan Rakyat','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103613','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103613','pemda-kesra','103613'),
(109,9,'Bagian Organisasi','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104082','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104082','pemda-organisasi','104082'),
(110,10,'Bagian Pengadaan Barang dan Jasa','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=155412','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=155412','pemda-barjas','155412'),
(111,11,'Bagian Perekonomian dan Administrasi Pembangunan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=184375','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=184375','pemda-ap','184375'),
(112,12,'Bagian Perencanaan dan Keuangan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=174876','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=174876','pemda-perencanaan','174876'),
(113,13,'Bagian Protokol dan Komunikasi Pimpinan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=174880','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=174880','pemda-protokol','174880'),
(114,14,'Bagian Tata Pemerintahan dan Kerjasama','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=174875','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=174875','pemda-pemerintahan','174875'),
(115,15,'Bagian Umum','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=174878','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=174878','pemda-umum','174878'),
(116,16,'Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175427','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175427','dbmsdabk','175427'),
(117,17,'Dinas Kependudukan dan Pencatatan Sipil','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104091','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104091','dispendukcapil','104091'),
(118,18,'Dinas Kesehatan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104113','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104113','dinkes','104113'),
(119,19,'Dinas Komunikasi dan Informatika','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103777','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103777','diskominfo','103777'),
(120,20,'Dinas Koperasi, Perindustrian dan Perdagangan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=154199','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=154199','diskoperindag','154199'),
(121,21,'Dinas Lingkungan Hidup','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175053','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175053','dlh','175053'),
(122,22,'Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103765','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103765','disparpora ','103765'),
(123,23,'Dinas Pemberdayaan Masyarakat dan Desa','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103780','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103780','dpmd','103780'),
(124,24,'Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103769','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103769','dpmptsp','103769'),
(125,25,'Dinas Pendidikan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175020','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175020','diknas','175020'),
(126,26,'Dinas Perhubungan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175054','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175054','dishub','175054'),
(127,27,'Dinas Perpustakaan dan Kearsipan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=154079','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=154079','perpus','154079'),
(128,28,'Dinas Pertanian dan Ketahanan Pangan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175037','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175037','pertanian','175037'),
(129,29,'Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339422','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339422','perkim','339422'),
(130,30,'Dinas Peternakan dan Perikanan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175184','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175184','disnakikan','175184'),
(131,31,'Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=175019','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=175019','dinsos','175019'),
(132,32,'FKTP Binakal','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348288','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348288','pkm-binakal','348288'),
(133,33,'FKTP Botolinggo','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339420','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339420','pkm-botolinggo','339420'),
(134,34,'FKTP Cermee','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339421','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339421','pkm-cermee','339421'),
(135,35,'FKTP Curahdami','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348287','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348287','pkm-curahdami','348287'),
(136,36,'FKTP Grujugan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348289','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348289','pkm-grujugan','348289'),
(137,37,'FKTP Jambesari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339410','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339410','pkm-jambesari','339410'),
(138,38,'FKTP Kademangan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348284','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348284','pkm-kademangan','348284'),
(139,39,'FKTP Klabang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348295','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348295','pkm-klabang','348295'),
(140,40,'FKTP Kotakulon','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348283','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348283','pkm-kotakulon','348283'),
(141,41,'FKTP Maesan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348290','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348290','pkm-maesan','348290'),
(142,42,'FKTP Nangkaan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348282','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348282','pkm-nangkaan','348282'),
(143,43,'FKTP Pakem','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348286','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348286','pkm-pakem','348286'),
(144,44,'FKTP Prajekan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348294','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348294','pkm-prajekan','348294'),
(145,45,'FKTP Pujer','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339411','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339411','pkm-pujer','339411'),
(146,46,'FKTP Sempol','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339418','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339418','pkm-sempol','339418'),
(147,47,'FKTP Sukosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339415','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339415','pkm-sukosari','339415'),
(148,48,'FKTP Sumber Wringin','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339416','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339416','pkm-sumberwringin','339416'),
(149,49,'FKTP Tamanan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348291','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348291','pkm-tamanan','348291'),
(150,50,'FKTP Tamankrocok','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339402','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339402','pkm-tamankrocok','339402'),
(151,51,'FKTP Tapen','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348293','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348293','pkm-tapen','348293'),
(152,52,'FKTP Tegalampel','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339401','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339401','pkm-tegalampel','339401'),
(153,53,'FKTP Tenggarang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348285','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348285','pkm-tenggarang','348285'),
(154,54,'FKTP Tlogosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339412','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339412','pkm-tlogosari','339412'),
(155,55,'FKTP Wonosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348292','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348292','pkm-wonosari','348292'),
(156,56,'FKTP Wringin','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=339403','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=339403','pkm-wringin','339403'),
(157,57,'Inspektorat','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104090','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104090','inspektorat','104090'),
(158,58,'Kecamatan Binakal','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=155752','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=155752','binakal','155752'),
(159,59,'Kecamatan Bondowoso','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104273','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104273','bondowoso','104273'),
(160,60,'Kecamatan Botolinggo','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104285','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104285','botolinggo','104285'),
(161,61,'Kecamatan Cermee','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=155035','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=155035','cermee','155035'),
(162,62,'Kecamatan Curahdami','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104262','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104262','curahdami','104262'),
(163,63,'Kecamatan Grujugan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104259','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104259','grujugan','104259'),
(164,64,'Kecamatan Ijen','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104282','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104282','ijen','104282'),
(165,65,'Kecamatan Jambesari Darussholah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104286','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104286','jambesari','104286'),
(166,66,'Kecamatan Klabang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104277','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104277','klabang','104277'),
(167,67,'Kecamatan Maesan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104192','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104192','maesan','104192'),
(168,68,'Kecamatan Pakem','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104280','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104280','pakem','104280'),
(169,69,'Kecamatan Prajekan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104279','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104279','prajekan','104279'),
(170,70,'Kecamatan Pujer','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104258','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104258','pujer','104258'),
(171,71,'Kecamatan Sukosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104195','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104195','sukosari','104195'),
(172,72,'Kecamatan Sumber Wringin','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104281','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104281','sumberwringin','104281'),
(173,73,'Kecamatan Tamanan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104193','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104193','tamanan','104193'),
(174,74,'Kecamatan Taman Krocok','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104284','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104284','tamankrocok','104284'),
(175,75,'Kecamatan Tapen','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104270','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104270','tapen','104270'),
(176,76,'Kecamatan Tegalampel','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104276','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104276','tegalampel','104276'),
(177,77,'Kecamatan Tenggarang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104265','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104265','tenggarang','104265'),
(178,78,'Kecamatan Tlogosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104194','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104194','tlogosari','104194'),
(179,79,'Kecamatan Wonosari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104267','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104267','wonosari','104267'),
(180,80,'Kecamatan Wringin','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=104274','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=104274','wringin','104274'),
(181,81,'Kelurahan Badean','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156923','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156923','badean','156923'),
(182,82,'Kelurahan Blindungan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156921','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156921','blindungan','156921'),
(183,83,'Kelurahan Curahdami','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156940','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156940','curahdami','156940'),
(184,84,'Kelurahan Dabasah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156911','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156911','dabasah','156911'),
(185,85,'Kelurahan Kademangan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156917','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156917','kademangan','156917'),
(186,86,'Kelurahan Kotakulon','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156942','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156942','kotakulon','156942'),
(187,87,'Kelurahan Nangkaan','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156924','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156924','nangkaan','156924'),
(188,88,'Kelurahan Sekarputih','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156922','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156922','sekarputih','156922'),
(189,89,'Kelurahan Tamansari','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156939','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156939','tamansari','156939'),
(190,90,'Kelurahan Tenggarang','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=156919','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=156919','tenggarang','156919'),
(191,91,'Rumah Sakit Umum DR. H. Koesnadi','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=348281','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=348281','rsu','348281'),
(192,92,'Satuan Polisi Pamong Praja','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=103776','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=103776','satpolpp','103776'),
(193,93,'Sekretariat Daerah','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=176268','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=176268','pemda','176268'),
(194,94,'Sekretariat DPRD','https://sirup.lkpp.go.id/sirup/home/penyediaSatker?idSatker=154998','https://sirup.lkpp.go.id/sirup/home/swakelolaSatker?idSatker=154998','sekwan','154998');

/*Table structure for table `master_sirup_paket_pengelola` */

DROP TABLE IF EXISTS `master_sirup_paket_pengelola`;

CREATE TABLE `master_sirup_paket_pengelola` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `kegiatan` text NOT NULL,
  `paket` text NOT NULL,
  `pagu` text NOT NULL,
  `waktu` text NOT NULL,
  `kldi` text NOT NULL,
  `satuan_kerja` text NOT NULL,
  `tipe_swakelola` text NOT NULL,
  `penyelenggara_swakelola` text NOT NULL,
  `tahun_anggaran` text NOT NULL,
  `volume` text NOT NULL,
  `lokasi` text NOT NULL,
  `deskripsi` text NOT NULL,
  `pelaksanaan_awal` text NOT NULL,
  `pelaksaan_akhir` text NOT NULL,
  `satker_id` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3287 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sirup_paket_pengelola` */

insert  into `master_sirup_paket_pengelola`(`id`,`rup`,`kegiatan`,`paket`,`pagu`,`waktu`,`kldi`,`satuan_kerja`,`tipe_swakelola`,`penyelenggara_swakelola`,`tahun_anggaran`,`volume`,`lokasi`,`deskripsi`,`pelaksanaan_awal`,`pelaksaan_akhir`,`satker_id`) values 
(1,'36109632','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','12.300.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','30 Orang / Hari','Bondowoso (Kab.)','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Januari 2024','Desember 2024','bkpsdm'),
(2,'36110565','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja perjalanan dinas paket meeting luar kota','24.720.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','bkpsdm'),
(3,'36110739','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','BELANJA BAHAN - BAHAN BAKAR DAN PELUMAS','2.772.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','198 LITER','Bondowoso (Kab.)','PERTAMAX','Januari 2024','Desember 2024','bkpsdm'),
(4,'36110855','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Bahan-Bahan Bakar dan Pelumas','2.744.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Liter','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bkpsdm'),
(5,'36110951','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja bahan bakar dan pelumas','3.990.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Liter','Bondowoso (Kab.)','Belanja bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(6,'36111002','MUTASI DAN PROMOSI ASN','Belanja perjalanan dinas paket meeting luar kota','38.130.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','bkpsdm'),
(7,'36111510','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.760.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 PAKET','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(8,'36111571','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Bahan-Bahan Bakar dan Pelumas','2.324.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','166 liter','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bkpsdm'),
(9,'36111621','MUTASI DAN PROMOSI ASN','Belanja bahan bahan bakar dan pelumas','2.660.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja bahan bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(10,'36111935','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','30 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(11,'36113127','MUTASI DAN PROMOSI ASN','Belanja Bahan Bakar dan Pelumas','4.704.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bkpsdm'),
(12,'36113735','MUTASI DAN PROMOSI ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','52.690.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(13,'36114007','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja Jasa Tenaga kesehatan','2.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga kesehatan','Januari 2024','Desember 2024','bkpsdm'),
(14,'36118076','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja perjalanan dinas paket meeting luar kota','9.100.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','bkpsdm'),
(15,'36118589','PENILAIAN DAN EVALUASI KINERJA APARATUR','belanja bahan - bahan bakar pelumas','3.325.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Liter','Bondowoso (Kab.)','belanja bahan - bahan bakar pelumas','Januari 2024','Desember 2024','bkpsdm'),
(16,'36119340','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja perjalanan dinas dalam kota','1.600.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja perjalanan dinas dalam kota','Januari 2024','Desember 2024','bkpsdm'),
(17,'36119730','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja perjalanan dinas paket meeting luar kota','16.988.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','bkpsdm'),
(18,'36125879','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja perjalanan dinas paket meeting luar kota','18.342.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','bkpsdm'),
(19,'36140070','PENILAIAN DAN EVALUASI KINERJA APARATUR','honorarium narasumber atau pembahas, moderator, pembawa acara dan panitia','3.600.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','orang/jam','Bondowoso (Kab.)','honorarium narasumber atau pembahas, moderator, pembawa acara dan panitia','Januari 2024','Desember 2024','bkpsdm'),
(20,'36140269','PENILAIAN DAN EVALUASI KINERJA APARATUR','Belanja Jasa Konversi Aplikasi/Sistem Informasi','40.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','Paket','Bondowoso (Kab.)','Belanja Jasa Konversi Aplikasi/Sistem Informasi','Januari 2024','Desember 2024','bkpsdm'),
(21,'36153119','PENGEMBANGAN KOMPETENSI TEKNIS','Belanja Bahan - Bahan Bakar dan Pelumas','5.978.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','427 liter','Bondowoso (Kab.)','Belanja Bahan - Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bkpsdm'),
(22,'36153762','Administrasi Keuangan Perangkat Daerah','Belanja Gaji Pokok PNS','3.089.146.100','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Gaji Pokok PNS','Januari 2024','Desember 2024','bkpsdm'),
(23,'36154725','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','8.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','8 Orang','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','bkpsdm'),
(24,'36154864','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Keluarga PNS','339.253.600','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan Keluarga PNS','Januari 2024','Desember 2024','bkpsdm'),
(25,'36154875','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.400.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(26,'36154937','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Jabatan PNS','119.273.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan Jabatan PNS','Januari 2024','Desember 2024','bkpsdm'),
(27,'36154968','PENGADAAN, PEMBERHENTIAN DAN INFORMASI KEPEGAWAIAN ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','22.762.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(28,'36155014','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Fungsional PNS','63.756.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan Fungsional PNS','Januari 2024','Desember 2024','bkpsdm'),
(29,'36155300','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Fungsional Umum PNS','137.830.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan Fungsional Umum PNS','Januari 2024','Desember 2024','bkpsdm'),
(30,'36155422','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Beras PNS','226.399.500','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan Beras PNS','Januari 2024','Desember 2024','bkpsdm'),
(31,'36155767','PENGEMBANGAN KOMPETENSI ASN','Belanja jasa Penyelenggaraan acara','30.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','5 paket','Bondowoso (Kab.)','Retribusi Assessment','Januari 2024','Desember 2024','bkpsdm'),
(32,'36155813','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan PPh/Tunjangan Khusus PNS','4.610.300','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tunjangan PPh/Tunjangan Khusus PNS','Januari 2024','Desember 2024','bkpsdm'),
(33,'36155873','Administrasi Keuangan Perangkat Daerah','Belanja Pembulatan Gaji PNS','45.600','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Pembulatan Gaji PNS','Januari 2024','Desember 2024','bkpsdm'),
(34,'36155990','Administrasi Keuangan Perangkat Daerah','Belanja Iuran Jaminan Kesehatan PNS','147.419.400','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan PNS','Januari 2024','Desember 2024','bkpsdm'),
(35,'36156011','PENGEMBANGAN KOMPETENSI ASN','Belanja perjalanan dinas paket meeting luar kota','27.270.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota ( DKI. Jakarta dan Jawa timur )','Januari 2024','Desember 2024','bkpsdm'),
(36,'36156107','Administrasi Keuangan Perangkat Daerah','Belanja Iuran Jaminan Kecelakaan Kerja PNS','7.414.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja PNS','Januari 2024','Desember 2024','bkpsdm'),
(37,'36156195','Administrasi Keuangan Perangkat Daerah','Belanja Jaminan Kematian PNS','22.241.900','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Jaminan Kematian PNS','Januari 2024','Desember 2024','bkpsdm'),
(38,'36157933','PENGEMBANGAN KOMPETENSI ASN','Belanja bahan-bahan bakar dan pelumas','2.660.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','190 liter','Bondowoso (Kab.)','Belanja bahan-bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(39,'36158727','PENGEMBANGAN KOMPETENSI ASN','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','112.500.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Honorarium ketua Honorarium penanggung jawab Honorarium anggota','Januari 2024','Desember 2024','bkpsdm'),
(40,'36159097','PENGEMBANGAN KOMPETENSI ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','22.140.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota-Jawa Timur','Januari 2024','Desember 2024','bkpsdm'),
(41,'36159670','PENGEMBANGAN KOMPETENSI TEKNIS','Belanja Diklat Kepemimpinan','190.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Biaya Stula / Benchmarking Diklat Teknis / Biaya Fasilitasi Diklat Teknis','Januari 2024','Desember 2024','bkpsdm'),
(42,'36160073','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja jasa tenaga teknisi mekanik dan listrik','5.175.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja jasa tenaga teknisi mekanik dan listrik','Januari 2024','Desember 2024','bkpsdm'),
(43,'36160085','PENGEMBANGAN KOMPETENSI ASN','Belanja Sewa Mebel','24.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','200 buah','Bondowoso (Kab.)','Belanja Sewa Mebel','Januari 2024','Desember 2024','bkpsdm'),
(44,'36162502','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja bahan-bahan bakar dan pelumas','22.825.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja bahan-bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(45,'36162679','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Pembayaran pajak, bea dan perijinan','2.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Pembayaran pajak, bea dan perijinan','Januari 2024','Desember 2024','bkpsdm'),
(46,'36162888','Sertifikasi, Kelembagaan, Pengembangan Kompetensi Manajerial dan Fungsional','Belanja Bahan - Bahan Bakar dan Pelumas','1.792.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','128 liter','Bondowoso (Kab.)','Bahan Bakar Pertamax','Januari 2024','Desember 2024','bkpsdm'),
(47,'36163158','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja jasa tenaga administrasi','558.400.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja jasa tenaga administrasi','Januari 2024','Desember 2024','bkpsdm'),
(48,'36163758','Sertifikasi, Kelembagaan, Pengembangan Kompetensi Manajerial dan Fungsional','Belanja Kursus Singkat Pelatihan','55.500.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','15 orang','Bondowoso (Kab.)','Kursus Singkat / Pelatihan','Januari 2024','Desember 2024','bkpsdm'),
(49,'36163931','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja iuran jaminan kesehatan bagi non ASN','360.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja iuran jaminan kesehatan bagi non ASN','Januari 2024','Desember 2024','bkpsdm'),
(50,'36164075','Sertifikasi, Kelembagaan, Pengembangan Kompetensi Manajerial dan Fungsional','Belanja Diklat Kepemimpinan','262.500.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','15 orang','Bondowoso (Kab.)','Biaya Fasilitasi Diklat','Januari 2024','Desember 2024','bkpsdm'),
(51,'36164307','Sertifikasi, Kelembagaan, Pengembangan Kompetensi Manajerial dan Fungsional','Belanja Perjalanan Dinas PAket Meeting Luar Kota','11.070.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','27 orang','Bondowoso (Kab.)','SPPD','Januari 2024','Desember 2024','bkpsdm'),
(52,'36166367','PENGEMBANGAN KOMPETENSI ASN','Belanja bahan-bahan bakar dan pelumas','2.660.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','190 liter','Bondowoso (Kab.)','Belanja bahan-bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(53,'36166474','PENGEMBANGAN KOMPETENSI ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.130.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(54,'36167663','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja jasa tenaga teknisi mekanik dan listrik','10.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja jasa tenaga teknisi mekanik dan listrik','Januari 2024','Desember 2024','bkpsdm'),
(55,'36170403','Sertifikasi, Kelembagaan, Pengembangan Kompetensi Manajerial dan Fungsional','Belanja Diklat Kepemimpinan','65.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','13 Orang','Bondowoso (Kab.)','Biaya Kontribusi Diklat Teknis','Januari 2024','Desember 2024','bkpsdm'),
(56,'36174262','MUTASI DAN PROMOSI ASN','Belanja bahan-bahan bakar dan pelumas','7.070.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','505 liter','Bondowoso (Kab.)','Belanja bahan-bahan bakar dan pelumas','Januari 2024','Desember 2024','bkpsdm'),
(57,'36174382','MUTASI DAN PROMOSI ASN','Belanja jasa penyelenggaraan acara','270.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','45 paket','Bondowoso (Kab.)','Belanja jasa penyelenggaraan acara spesifikasi retribusi asesmen','Januari 2024','Desember 2024','bkpsdm'),
(58,'36174575','MUTASI DAN PROMOSI ASN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','93.640.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(59,'36175791','Administrasi Umum Perangkat Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','18.701.700','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bkpsdm'),
(60,'36175958','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','93.684.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bkpsdm'),
(61,'36184799','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Telepon','96.000.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tagihan Telepon','Januari 2024','Desember 2024','bkpsdm'),
(62,'36184893','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','11.600.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tagihan Air','Januari 2024','Desember 2024','bkpsdm'),
(63,'36184941','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','77.400.000','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','1','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia','2024','1 paket','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','bkpsdm'),
(64,'36195215','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang x 3 Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(65,'36195216','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(66,'36195217','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.360.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','59 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(67,'36195218','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(68,'36195219','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(69,'36195220','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(70,'36195221','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(71,'36195222','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(72,'36195223','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','60.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(73,'36195224','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Orang','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(74,'36195225','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','8.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(75,'36195226','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(76,'36195227','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(77,'36195228','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','850.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 1 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(78,'36195229','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(79,'36195230','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(80,'36195231','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(81,'36195232','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(82,'36195233','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(83,'36195234','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','4.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(84,'36195235','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(85,'36195236','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(86,'36195237','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(87,'36195238','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','4.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(88,'36195239','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(89,'36195240','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(90,'36195241','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(91,'36195243','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','2.100.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(92,'36195244','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(93,'36195245','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(94,'36195246','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(95,'36195247','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','900.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(96,'36195248','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(97,'36195249','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(98,'36195250','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(99,'36195251','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','13.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','15 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(100,'36195252','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','4.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(101,'36195253','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','2.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(102,'36195254','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Penyuluhan atau Pendampingan','20.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan;','Januari 2024','Desember 2024','bakesbangpol'),
(103,'36195255','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(104,'36195257','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Kesenian dan Kebudayaan','45.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kesenian dan Kebudayaan;','Januari 2024','Desember 2024','bakesbangpol'),
(105,'36195258','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Kesenian dan Kebudayaan','288.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','40 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kesenian dan Kebudayaan;','Januari 2024','Desember 2024','bakesbangpol'),
(106,'36195259','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(107,'36195260','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.440.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','59 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(108,'36195261','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','100 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(109,'36195262','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','48.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','100 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(110,'36195263','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(111,'36195264','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(112,'36195265','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Hadiah yang Bersifat Perlombaan','5.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Kali','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(113,'36195266','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','675.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 3','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(114,'36195267','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(115,'36195268','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','2.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 1 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(116,'36195269','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(117,'36195270','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','8.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(118,'36195271','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(119,'36195272','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','20.250.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','27 Orang','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(120,'36195273','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(121,'36195274','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(122,'36195275','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Ahli','4.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 15 Kegiatan','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli;','Januari 2024','Desember 2024','bakesbangpol'),
(123,'36195276','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Juri Perlombaan/Pertandingan','5.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan;','Januari 2024','Desember 2024','bakesbangpol'),
(124,'36195277','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.250.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(125,'36195278','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','2.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(126,'36195279','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','7.790.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','19 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(127,'36195280','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','8.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(128,'36195281','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','6.970.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','17 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(129,'36195282','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','8.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(130,'36195283','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Hadiah yang Bersifat Perlombaan','4.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Kali','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(131,'36195284','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Hadiah yang Bersifat Perlombaan','2.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Kali','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(132,'36195285','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Hadiah yang Bersifat Perlombaan','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Kali','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(133,'36195286','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(134,'36195287','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','2.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(135,'36195288','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(136,'36198528','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(137,'36198529','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(138,'36198530','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','300.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(139,'36198531','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang / Hari x 2 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(140,'36198532','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.280.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','116 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(141,'36198534','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang / Hari x 2 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(142,'36198535','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(143,'36198536','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(144,'36199199','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','20 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(145,'36199200','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','2.550.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(146,'36199201','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','750.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(147,'36199202','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','1.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(148,'36199204','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','900.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 3 Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(149,'36199205','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Administrasi','56.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','56 Orang','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','bakesbangpol'),
(150,'36199206','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Administrasi','20.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','16 Orang','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','bakesbangpol'),
(151,'36199207','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Administrasi','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','bakesbangpol'),
(152,'36199208','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Juri Perlombaan/Pertandingan','4.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Orang x 3 Hari','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan;','Januari 2024','Desember 2024','bakesbangpol'),
(153,'36199209','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Sewa Alat Angkutan Darat Bermotor Lainnya','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Kendaraan x 2 Hari','Bondowoso (Kab.)','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Januari 2024','Desember 2024','bakesbangpol'),
(154,'36199210','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Sewa Hotel','73.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','30 Orang / Kamar x 7 Hari','Bondowoso (Kab.)','Beban Sewa Hotel;','Januari 2024','Desember 2024','bakesbangpol'),
(155,'36199211','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Sewa Hotel','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Kamar x 4 Hari','Bondowoso (Kab.)','Beban Sewa Hotel;','Januari 2024','Desember 2024','bakesbangpol'),
(156,'36199212','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Hari x 10 Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(157,'36199213','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Orang / Hari x 23 Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(158,'36199214','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang / Hari x 23 Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(159,'36199215','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Hari x 10 Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(160,'36199216','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','40 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(161,'36199217','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Paket Meeting Luar Kota','10.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','40 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(162,'36199218','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','5.700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 19 Hari','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(163,'36199219','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','750.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(164,'36199220','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Ahli','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang x 20 Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli;','Januari 2024','Desember 2024','bakesbangpol'),
(165,'36199221','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Jasa Tenaga Ahli','2.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 5 Kegiatan','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli;','Januari 2024','Desember 2024','bakesbangpol'),
(166,'36199222','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ideologi Pancasila dan Karakter Kebangsaan','Beban Perjalanan Dinas Biasa','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','bakesbangpol'),
(167,'36200709','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 8 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(168,'36200710','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(169,'36200711','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(170,'36200712','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(171,'36200713','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(172,'36200714','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','10.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(173,'36200715','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','14.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(174,'36200716','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','36.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(175,'36200717','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','29.040.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','11 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(176,'36200718','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','7.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(177,'36200719','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(178,'36200720','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','24.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(179,'36200721','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.480.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','7 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(180,'36200722','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','50 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(181,'36200723','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(182,'36200724','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Luar Kota','36.900.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','90 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(183,'36200725','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(184,'36200816','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(185,'36200817','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.100.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(186,'36200818','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.700.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(187,'36200819','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(188,'36200820','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(189,'36200821','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','84.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','7 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(190,'36200822','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','30.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Orang x 12 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(191,'36200823','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Dalam Kota','3.360.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','21 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(192,'36200824','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','50 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(193,'36200825','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Luar Kota','5.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','22 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(194,'36200826','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Perjalanan Dinas Paket Meeting Luar Kota','20.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','50 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(195,'36200827','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Ketahanan Ekonomi, Sosial dan Budaya','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 3 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(196,'36202104','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(197,'36202105','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.900.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(198,'36202106','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','24.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang x 4 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(199,'36202107','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(200,'36202108','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 7 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(201,'36202109','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','51.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(202,'36202110','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(203,'36202111','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(204,'36202112','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(205,'36202113','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Tenaga Kebersihan','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Tenaga Kebersihan;','Januari 2024','Desember 2024','bakesbangpol'),
(206,'36202114','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(207,'36202115','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Dalam Kota','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','75 Orang x 4 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(208,'36202116','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Luar Kota','14.760.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','36 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(209,'36202148','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','3.900.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan;','Januari 2024','Desember 2024','bakesbangpol'),
(210,'36202149','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(211,'36202150','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(212,'36202151','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','16.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 4 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(213,'36202152','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(214,'36202153','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(215,'36202154','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(216,'36202155','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','51.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(217,'36202156','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(218,'36202157','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','90.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','15 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(219,'36202158','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Tenaga Kebersihan','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 4 Kali','Bondowoso (Kab.)','Beban Tenaga Kebersihan;','Januari 2024','Desember 2024','bakesbangpol'),
(220,'36202159','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Dalam Kota','57.280.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','358 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(221,'36202194','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 15 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(222,'36202195','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 15 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(223,'36202196','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 1 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(224,'36202197','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(225,'36202198','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 15 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(226,'36202199','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 15 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(227,'36202200','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(228,'36202201','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(229,'36202202','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','318.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','53 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(230,'36202203','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(231,'36202204','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','54.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','9 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(232,'36202205','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Tenaga Kebersihan','1.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 6 Kegiatan','Bondowoso (Kab.)','Beban Tenaga Kebersihan;','Januari 2024','Desember 2024','bakesbangpol'),
(233,'36202206','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','40 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(234,'36202207','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Perjalanan Dinas Paket Meeting Luar Kota','67.650.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','165 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(235,'36202208','Perumusan Kebijakan Teknis dan Pelaksanaan Pemantapan Kewaspadaan Nasional dan Penanganan Konflik Sosial','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(236,'36202792','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 2 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(237,'36202793','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(238,'36202794','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 2 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(239,'36202795','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.560.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','41 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(240,'36202796','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','16.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','400 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(241,'36202797','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','30.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','50 Orang / Kamar','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(242,'36202798','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','10 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(243,'36202853','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','16.640.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','104 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(244,'36202879','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(245,'36202892','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pemberdayaan dan Pengawasan Organisasi Kemasyarakatan','Beban Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(246,'36203389','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(247,'36203390','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(248,'36203393','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','5.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(249,'36203394','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','40.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Kegiatan x 5 Orang','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(250,'36203395','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 4 Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(251,'36203398','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(252,'36203399','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 4 Kegiatan','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(253,'36203400','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.200.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Kegiatan x 2 Orang','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','bakesbangpol'),
(254,'36203403','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.120.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','57 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(255,'36203405','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','16.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','400 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(256,'36203407','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','320.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(257,'36203409','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Luar Kota','13.530.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','33 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(258,'36203410','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Hadiah yang Bersifat Perlombaan','1.250.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(259,'36203411','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Hadiah yang Bersifat Perlombaan','1.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(260,'36203412','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Hadiah yang Bersifat Perlombaan','1.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan;','Januari 2024','Desember 2024','bakesbangpol'),
(261,'36203419','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat','1.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Set','Bondowoso (Kab.)','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Januari 2024','Desember 2024','bakesbangpol'),
(262,'36203422','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(263,'36203423','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(264,'36203427','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','bakesbangpol'),
(265,'36203432','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Jasa Juri Perlombaan/Pertandingan','4.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang x 3 Kali','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan;','Januari 2024','Desember 2024','bakesbangpol'),
(266,'36203433','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Jasa Juri Perlombaan/Pertandingan','7.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 3 Kali','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan;','Januari 2024','Desember 2024','bakesbangpol'),
(267,'36203435','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','40 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(268,'36203437','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','32.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','800 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(269,'36203439','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','30 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(270,'36203481','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','30.000.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','bakesbangpol'),
(271,'36203482','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','6.720.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','bakesbangpol'),
(272,'36203483','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','1.380.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','bakesbangpol'),
(273,'36203484','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(274,'36203485','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','262.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','219 Orang x 6 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(275,'36203486','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','90.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(276,'36203487','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(277,'36203488','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','48.300.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','23 Orang x 6 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(278,'36203489','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','328.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','219 Orang x 6 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(279,'36203490','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','34.500.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','23 Orang x 6 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(280,'36203491','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','eban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','28.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 12 Bulan','Bondowoso (Kab.)','eban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(281,'36203492','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(282,'36203493','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Dalam Kota','12.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','80 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(283,'36203494','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Luar Kota','15.990.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','39 Kali','Bojonegoro (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(284,'36203519','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','136.744.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(285,'36203520','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','551.888.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(286,'36203521','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','317.604.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(287,'36203522','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','206.256.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(288,'36203523','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','75.020.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(289,'36203524','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','244.076.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(290,'36203525','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','167.184.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(291,'36203526','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik','76.680.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Belanja Hibah berupa Bantuan Keuangan kepada Partai Politik;','Januari 2024','Desember 2024','bakesbangpol'),
(292,'36203527','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang / Bulan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(293,'36203528','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang x 2 Kegiatan','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','bakesbangpol'),
(294,'36203529','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Luar Kota','5.380.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','5 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(295,'36203530','Perumusan Kebijakan Teknis dan Pemantapan Pelaksanaan Bidang Pendidikan Politik, Etika Budaya Politik, Peningkatan Demokrasi, Fasilitasi Kelembagaan Pemerintahan, Perwakilan dan Partai Politik, Pemilihan Umum/Pemilihan Umum Kepala Daerah, serta Pemantauan Situasi Politik','Beban Perjalanan Dinas Paket Meeting Luar Kota','10.250.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','25 Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(296,'36204901','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','19.037.600','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','212 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Januari 2024','Desember 2024','bakesbangpol'),
(297,'36204902','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','405.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','225 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Januari 2024','Desember 2024','bakesbangpol'),
(298,'36204904','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','1.698.750','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','225 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Januari 2024','Desember 2024','bakesbangpol'),
(299,'36204905','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','1.136.250','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','225 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Januari 2024','Desember 2024','bakesbangpol'),
(300,'36204907','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bakar dan Pelumas','2.003.400','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','21 Liter','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','bakesbangpol'),
(301,'36204908','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bakar dan Pelumas','185.500','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','7 Buah','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','bakesbangpol'),
(302,'36204909','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Suku Cadang Alat Angkutan','12.731.200','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Buah','Bondowoso (Kab.)','Suku Cadang Alat Angkutan;','Januari 2024','Desember 2024','bakesbangpol'),
(303,'36204910','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bakar dan Pelumas','1.759.600','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','106 Liter','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','bakesbangpol'),
(304,'36204911','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bakar dan Pelumas','12.673.200','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','708 Liter','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','bakesbangpol'),
(305,'36204912','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','2.400.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','bakesbangpol'),
(306,'36204948','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Tagihan Telepon','12.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Telepon;','Januari 2024','Desember 2024','bakesbangpol'),
(307,'36204949','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Tagihan Air','6.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','bakesbangpol'),
(308,'36204950','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Tagihan Listrik','12.558.750','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','bakesbangpol'),
(309,'36204952','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','5.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','50 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','bakesbangpol'),
(310,'36204953','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','15.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','60 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','bakesbangpol'),
(311,'36204954','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Honorarium Penyelenggaraan Kegiatan Pendidikan dan Pelatihan','36.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','2 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Honorarium Penyelenggaraan Kegiatan Pendidikan dan Pelatihan;','Januari 2024','Desember 2024','bakesbangpol'),
(312,'36204955','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','216.000.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','12 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','bakesbangpol'),
(313,'36204956','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Iuran Jaminan Kesehatan bagi Non ASN','16.800.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','14 Orang x 12 Bulan','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN;','Januari 2024','Desember 2024','bakesbangpol'),
(314,'36204957','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN','3.360.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','14 Orang x 20 Bulan','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN;','Januari 2024','Desember 2024','bakesbangpol'),
(315,'36204961','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(316,'36204970','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(317,'36204971','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(318,'36204972','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','1 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(319,'36204974','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.640.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(320,'36204975','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.640.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','4 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(321,'36204976','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(322,'36204978','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.230.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(323,'36204980','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.230.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(324,'36204983','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','6 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(325,'36204985','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','1.230.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','3 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(326,'36204991','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Biasa','5.250.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','70 Orang / Kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','bakesbangpol'),
(327,'36204992','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','11.920.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','8 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(328,'36204993','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','26.750.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','107 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(329,'36204994','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','36.080.000','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik','1','Badan Kesatuan Bangsa dan Politik','2024','88 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bakesbangpol'),
(330,'36100562','Penataan Sistem Dasar Penanggulangan Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bpbd'),
(331,'36100563','Penataan Sistem Dasar Penanggulangan Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bpbd'),
(332,'36102130','Penataan Sistem Dasar Penanggulangan Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','3.280.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bpbd'),
(333,'36102454','Penataan Sistem Dasar Penanggulangan Bencana','Beban Perjalanan Dinas Paket Meeting Luar Kota','10.250.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','25 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bpbd'),
(334,'36102455','Penataan Sistem Dasar Penanggulangan Bencana','Beban Perjalanan Dinas Paket Meeting Dalam Kota','12.960.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','81 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bpbd'),
(335,'36108132','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','39.360.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bpbd'),
(336,'36108134','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','41.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Gresik (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bpbd'),
(337,'36108135','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Jasa Tenaga Penanganan Bencana','54.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Gresik (Kab.)','Beban Jasa Tenaga Penangan Bencana;','Januari 2024','Desember 2024','bpbd'),
(338,'36139983','Pelayanan Informasi Rawan Bencana Kabupaten/Kota','Belanja bahan-bahan bakar dan pelumas','3.828.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Pertamax dan pertamina dex','Februari 2024','Desember 2024','bpbd'),
(339,'36140915','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','7.177.500','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Pertamax dan pertamina dex','Mei 2024','Desember 2024','bpbd'),
(340,'36142724','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','14.400.000','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','16 orang per jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Spesifikasi : Pejabat Eselon III kebawah yang disetarakan)','Mei 2024','Desember 2024','bpbd'),
(341,'36142880','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Jasa Tenaga Ahli','140.000.000','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','280 orang per jam','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli (Spesifikasi : Tenaga ahli/narasumber fasilitator kabupaten)','Mei 2024','Desember 2024','bpbd'),
(342,'36143033','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','83.200.000','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Mei 2024','Desember 2024','bpbd'),
(343,'36143040','Pelayanan Informasi Rawan Bencana Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','2 orang per jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Spesifikasi : Pejabat Eselon III kebawah yang disetarakan)','Februari 2024','Desember 2024','bpbd'),
(344,'36143203','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','21.705.300','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Mei 2024','Desember 2024','bpbd'),
(345,'36143318','Pelayanan Informasi Rawan Bencana Kabupaten/Kota','Belanja Jasa Tenaga Ahli','2.500.000','October 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','5 orang per jam','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli (Spesifikasi : Tenaga ahli/narasumber fasilitator kabupaten)','Oktober 2024','Desember 2024','bpbd'),
(346,'36143423','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','1.116.500','July 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','pertamax dan pertamina dex','Juli 2024','Desember 2024','bpbd'),
(347,'36143680','Pelayanan Informasi Rawan Bencana Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','18 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (Spesifikasi : JAWA TIMUR)','Februari 2024','Desember 2024','bpbd'),
(348,'36143789','Pelayanan Informasi Rawan Bencana Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.793.300','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','bpbd'),
(349,'36144414','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Jasa Tenaga Ahli','15.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','30 orang per jam','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli (Spesifikasi : Tenaga ahli/narasumber fasilitator kabupaten)','Februari 2024','Desember 2024','bpbd'),
(350,'36144428','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.400.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','6 hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota (Spesifikasi : Sewa kamar hotel)','Februari 2024','Desember 2024','bpbd'),
(351,'36144557','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','239.400','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','798 lembar','Bondowoso (Kab.)','Alat Tulis Kantor (Spesifikasi : Fotocopy)','Februari 2024','Desember 2024','bpbd'),
(352,'36144780','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','3.987.500','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','pertamax dan pertamina dex','Februari 2024','Desember 2024','bpbd'),
(353,'36145499','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Pelatihan Keterampilan Kebencanaan)','36.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','40 orang per jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Spesifikasi : Pejabat Eselon III kebawah yang disetarakan)','Februari 2024','Desember 2024','bpbd'),
(354,'36145569','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (SPAB)','18.000.000','July 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','20 orang per jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Spesifikasi : Pejabat Eselon III kebawah yang disetarakan)','Juli 2024','Desember 2024','bpbd'),
(355,'36145665','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Jasa Tenaga Ahli (Pelatihan Keterampilan Kebencanaan)','30.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','60 orang per jam','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli (Spesifikasi : Tenaga ahli/narasumber fasilitator kabupaten)','Februari 2024','Desember 2024','bpbd'),
(356,'36145713','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Jasa Tenaga Ahli (SPAB)','45.000.000','July 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','90 orang per jam','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli (Spesifikasi : Tenaga ahli/narasumber fasilitator kabupaten)','Juli 2024','Desember 2024','bpbd'),
(357,'36145741','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pelatihan Keterampilan Kebencanaan)','24.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','600 orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (Spesifikasi : uang bantuan trasport)','Februari 2024','Desember 2024','bpbd'),
(358,'36145784','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (SPAB)','36.000.000','July 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','900 orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (Spesifikasi : Bantuan transport)','Juli 2024','Desember 2024','bpbd'),
(359,'36145829','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','19.200.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','120 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','bpbd'),
(360,'36145859','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','73.711.300','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Beban Jasa Jalan/Tol dan Beban Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','bpbd'),
(361,'36146088','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Honorarium Penyuluhan atau Pendampingan','18.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','12 orang per bulan','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan (Spesifikasi : Honor Pendamping)','Februari 2024','Desember 2024','bpbd'),
(362,'36146095','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','5.742.000','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','pertamax dan pertamina dex','Maret 2024','Desember 2024','bpbd'),
(363,'36146259','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','48 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Desember 2024','bpbd'),
(364,'36146289','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','3.828.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','pertamax dan pertamina dex','Februari 2024','Desember 2024','bpbd'),
(365,'36146304','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.640.000','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','54 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (Spesifikasi : JAWA TIMUR)','Mei 2024','Desember 2024','bpbd'),
(366,'36146352','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.380.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','18 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota (Spesifikasi : JAWA TIMUR)','Februari 2024','Desember 2024','bpbd'),
(367,'36146420','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','12.438.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','minyak pelumas/olie, pertamax dan pertamina dex','Februari 2024','Desember 2024','bpbd'),
(368,'36146499','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Honorarium Penyuluhan atau Pendampingan','18.000.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','12 orang per bulan','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan (Spesifikasi: Honor Pendamping)','Februari 2024','Desember 2024','bpbd'),
(369,'36146547','Pelayanan Penyelamatan dan Evakuasi Korban Bencana','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','10.560.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','66 orang per hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','bpbd'),
(370,'36146673','Pelayanan Pencegahan dan Kesiapsiagaan Terhadap Bencana','Belanja Bahan-Bahan Bakar dan Pelumas','5.742.000','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas(Spesifikasi : Pertamax dan Pertamina Dex)','Februari 2024','Desember 2024','bpbd'),
(371,'36218727','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','16.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','bpbd'),
(372,'36218728','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','75.910.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','bpbd'),
(373,'36219938','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','15.480.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Januari 2024','Desember 2024','bpbd'),
(374,'36219939','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','10.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','bpbd'),
(375,'36219941','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','30.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban tagihan Listrik;','Januari 2024','Desember 2024','bpbd'),
(376,'36220245','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Bencana','360.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Bencana; Beban Jasa Tenaga Penanganan Bencana;','Januari 2024','Desember 2024','bpbd'),
(377,'36220246','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','144.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','bpbd'),
(378,'36220247','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','18.000.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','bpbd'),
(379,'36220248','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','4.896.000','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah','1','Badan Penanggulangan Bencana Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN;','Januari 2024','Desember 2024','bpbd'),
(380,'35994398','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.880.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','43 Orang / Perjalanan','Bondowoso (Kab.)','Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','bapenda'),
(381,'35995051','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','118.080.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','288 Orang / Hari','Bondowoso (Kab.)','Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bapenda'),
(382,'35995594','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','1.800.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','450 M3','Bondowoso (Kab.)','Beban Tagihan Air','Januari 2024','Desember 2024','bapenda'),
(383,'35995716','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','60.000.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','100000 Kwh','Bondowoso (Kab.)','Beban Tagihan Listrik','Januari 2024','Desember 2024','bapenda'),
(384,'35996875','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','93.240.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','12 Bulan','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','bapenda'),
(385,'35997381','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','340.400.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi','Januari 2024','Desember 2024','bapenda'),
(386,'35997712','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','24.000.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan','Januari 2024','Desember 2024','bapenda'),
(387,'35998075','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','24.000.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan','Januari 2024','Desember 2024','bapenda'),
(388,'35998173','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','2.798.400','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','264 Orang / Bulan','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','bapenda'),
(389,'35999006','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','121.961.500','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bapenda'),
(390,'35999311','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Suku Cadang-Suku Cadang Alat Angkutan','14.614.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Suku Cadang','Januari 2024','Desember 2024','bapenda'),
(391,'35999455','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','160.691.100','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bapenda'),
(392,'35999491','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Pembayaran Pajak, Bea, dan Perizinan','16.700.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Pajak Kendaraan','Januari 2024','Desember 2024','bapenda'),
(393,'35999536','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','5.000.000','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','bapenda'),
(394,'36083624','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','27.300.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Hadiah Gebyar Pajak Daerah','Juni 2024','Desember 2024','bapenda'),
(395,'36085579','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','10 Orang/Kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Sarpras Gebyar Pajak Daerah)','Juni 2024','Desember 2024','bapenda'),
(396,'36085900','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','24.000.000','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Sosialiasi PBB P2)','April 2024','Desember 2024','bapenda'),
(397,'36086242','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Jasa Tenaga Kesenian dan Kebudayaan','1.500.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Kegiatan','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah','Juni 2024','Desember 2024','bapenda'),
(398,'36086444','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Jasa Tenaga Keamanan','219.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','3 Jam','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah (Beban Jasa Tenaga Keamanan)','Juni 2024','Desember 2024','bapenda'),
(399,'36086721','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','200.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Hari','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah (Beban Sewa Alat Angkutan Darat Bermotor Lainnya)','Juni 2024','Desember 2024','bapenda'),
(400,'36086903','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Sewa Mebel','891.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','297 Buah','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah (Beban Sewa Mebel)','Juni 2024','Desember 2024','bapenda'),
(401,'36087057','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Sewa Peralatan Studio Audio','1.500.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Hari','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah (Beban Sewa Peralatan Studio Audio)','Juni 2024','Desember 2024','bapenda'),
(402,'36087273','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Sewa Bangunan Gedung Kantor','500.000','June 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Kegiatan','Bondowoso (Kab.)','Sarpras Gebyar Pajak Daerah (Beban Sewa Bangunan Gedung Kantor)','Juni 2024','Desember 2024','bapenda'),
(403,'36089964','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','13.200.000','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','20 Orang/Hari','Bondowoso (Kab.)','Pendampingan Penilaian PBB P2 (Beban Perjalanan Dinas Paket Meeting Dalam Kota)','Maret 2024','Desember 2024','bapenda'),
(404,'36107924','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Paket/Pengiriman','1.695.750.000','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Pengiriman dan Penagihan SPPT PBB P2','Maret 2024','Desember 2024','bapenda'),
(405,'36108274','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','80.200.000','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Desember 2024','bapenda'),
(406,'36108559','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Penghargaan atas Suatu Prestasi','562.500.000','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Penghargaan atas Suatu Prestasi','Maret 2024','Desember 2024','bapenda'),
(407,'36109238','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','7.640.000','February 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas','Februari 2024','Desember 2024','bapenda'),
(408,'36109652','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','65.700.000','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','April 2024','Desember 2024','bapenda'),
(409,'36109852','Kegiatan Pengelolaan Pendapatan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','February 2024','Kab. Bondowoso','Badan Pendapatan Daerah','1','Badan Pendapatan Daerah','2024','10 Orang/Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','bapenda'),
(410,'36064429','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Lembur','26.055.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(411,'36068968','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Lembur','11.570.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(412,'36077116','Pengelolaan Barang Milik Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','3.850.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(413,'36077357','Pengelolaan Barang Milik Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','bpkad'),
(414,'36077442','Pengelolaan Barang Milik Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','bpkad'),
(415,'36077605','Pengelolaan Barang Milik Daerah','Belanja Lembur','24.444.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(416,'36077715','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','36.900.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(417,'36080475','Pengelolaan Barang Milik Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','1.680.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(418,'36080702','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','41.656.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(419,'36082613','Pengelolaan Barang Milik Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','4.340.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(420,'36082732','Pengelolaan Barang Milik Daerah','Belanja Lembur','85.568.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(421,'36082821','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','19.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bpkad'),
(422,'36084248','Pengelolaan Barang Milik Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','66.600.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','bpkad'),
(423,'36084367','Pengelolaan Barang Milik Daerah','Belanja Jasa Pengukuran Tanah','65.000.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pengukuran Tanah','Januari 2024','Desember 2024','bpkad'),
(424,'36084487','Pengelolaan Barang Milik Daerah','Belanja Lembur','62.856.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(425,'36084611','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','49.920.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bpkad'),
(426,'36084781','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','17.220.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(427,'36085898','Pengelolaan Barang Milik Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','3.640.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(428,'36086047','Pengelolaan Barang Milik Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','11.700.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','bpkad'),
(429,'36086254','Pengelolaan Barang Milik Daerah','Belanja Lembur','54.810.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(430,'36086384','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','11.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bpkad'),
(431,'36086533','Pengelolaan Barang Milik Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','28.410.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(432,'36087433','Pengelolaan Barang Milik Daerah','Belanja Lembur','185.832.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(433,'36090159','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Lembur','90.936.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(434,'36090675','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Lembur','40.730.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(435,'36091300','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','5.600.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(436,'36091357','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Lembur','135.700.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(437,'36091414','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.302.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(438,'36091983','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','5.180.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(439,'36092014','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Honorarium Tim Anggaran Pemerintah Daerah','216.400.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Anggaran Pemerintah Daerah','Januari 2024','Desember 2024','bpkad'),
(440,'36092036','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Lembur','97.998.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(441,'36092060','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.500.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(442,'36092445','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','4.662.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','bpkad'),
(443,'36092476','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','34.450.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(444,'36092658','Koordinasi dan Pelaksanaan Akuntansi dan Pelaporan Keuangan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','34.400.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(445,'36152014','Koordinasi dan Penyusunan Rencana Anggaran Daerah','HonorariumTim Anggaran Pemerintah Daerah','108.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','HonorariumTim Anggaran Pemerintah Daerah','Januari 2024','Desember 2024','bpkad'),
(446,'36152017','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Lembur','113.500.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(447,'36152027','Koordinasi dan Penyusunan Rencana Anggaran Daerah','HonorariumTim Anggaran Pemerintah Daerah','162.300.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','HonorariumTim Anggaran Pemerintah Daerah','Januari 2024','Desember 2024','bpkad'),
(448,'36152028','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Lembur','108.960.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(449,'36152053','Koordinasi dan Penyusunan Rencana Anggaran Daerah','HonorariumTim Anggaran Pemerintah Daerah','108.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','HonorariumTim Anggaran Pemerintah Daerah','Januari 2024','Desember 2024','bpkad'),
(450,'36152058','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Lembur','136.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(451,'36152060','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(452,'36152088','Koordinasi dan Penyusunan Rencana Anggaran Daerah','HonorariumTim Anggaran Pemerintah Daerah','54.100.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','HonorariumTim Anggaran Pemerintah Daerah','Januari 2024','Desember 2024','bpkad'),
(453,'36152091','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Lembur','117.100.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(454,'36152092','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','30.620.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(455,'36152137','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','bpkad'),
(456,'36152146','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','600.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Januari 2024','Desember 2024','bpkad'),
(457,'36152150','Koordinasi dan Penyusunan Rencana Anggaran Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','19.940.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(458,'36152181','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Lembur','45.150.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(459,'36152183','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','37.988.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(460,'36152193','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Lembur','23.900.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(461,'36152212','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','81.182.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(462,'36152229','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Lembur','35.060.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(463,'36152233','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(464,'36152290','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','20.400.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','bpkad'),
(465,'36152292','Koordinasi dan Pengelolaan Perbendaharaan Daerah','Belanja Lembur','68.165.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(466,'36152295','Penunjang Urusan Kewenangan Pengelolaan Keuangan Daerah','Belanja Bantuan Keuangan Khusus Kabupaten/Kota kepada Desa yang bersumber dari Dana Desa','220.049.411.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bantuan Keuangan Khusus Kabupaten/Kota kepada Desa yang bersumber dari Dana Desa','Januari 2024','Desember 2024','bpkad'),
(467,'36152308','Penunjang Urusan Kewenangan Pengelolaan Keuangan Daerah','Belanja Bantuan Keuangan Khusus Kabupaten/Kota kepada Desa yang bersumber dari Alokasi Dana Desa','95.394.090.700','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bantuan Keuangan Khusus Kabupaten/Kota kepada Desa yang bersumber dari Alokasi Dana Desa','Januari 2024','Desember 2024','bpkad'),
(468,'36152327','Penunjang Urusan Kewenangan Pengelolaan Keuangan Daerah','Belanja Tidak Terduga','5.500.000.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Tidak Terduga','Januari 2024','Desember 2024','bpkad'),
(469,'36152338','Penunjang Urusan Kewenangan Pengelolaan Keuangan Daerah','Belanja Bagi Hasil Pajak Daerah Kepada Pemerintahan Desa','4.813.455.644','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bagi Hasil Pajak Daerah Kepada Pemerintahan Desa','Januari 2024','Desember 2024','bpkad'),
(470,'36152340','Penunjang Urusan Kewenangan Pengelolaan Keuangan Daerah','Belanja Bagi Hasil Retribusi Daerah Kabupaten/Kota Kepada Pemerintah Desa','2.618.019.885','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Bagi Hasil Retribusi Daerah Kabupaten/Kota Kepada Pemerintah Desa','Januari 2024','Desember 2024','bpkad'),
(471,'36154948','Administrasi Keuangan Perangkat Daerah','Belanja Lembur','3.360.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(472,'36155013','Administrasi Keuangan Perangkat Daerah','Belanja Lembur','4.846.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(473,'36155358','Administrasi Kepegawaian Perangkat Daerah','Belanja Lembur','1.341.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(474,'36155536','Administrasi Kepegawaian Perangkat Daerah','Belanja Lembur','1.634.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bpkad'),
(475,'36155642','Administrasi Kepegawaian Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','118.400.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(476,'36156837','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','60.110.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bpkad'),
(477,'36162117','Penyediaan Jasa Penunjan Urusan Pemerintah Daerah','Beban Jasa Tenaga Administrasi, Kebersihan dan Keamanan','301.200.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi, Kebersihan dan Keamanan','Januari 2024','Desember 2024','bpkad'),
(478,'36162373','Penyediaan Jasa Penunjan Urusan Pemerintah Daerah','Belanja Iuran Jaminan Kesehatan dan Kecelakaan Kerja bagi Non ASN','17.760.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan dan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','bpkad'),
(479,'36162662','Pemeliharaan Barang Milik Penunjang Urusan Pemerintah Daerah','Beban Pembayaran Pajak, Bea, dan Perizinan','17.000.000','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah','1','Badan Pengelolaan Keuangan dan Aset Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Pembayaran Pajak, Bea, dan Perizinan','Januari 2024','Desember 2024','bpkad'),
(480,'35747122','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0004] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','11.500.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','April 2024','bappeda'),
(481,'35747423','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','45.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','April 2024','bappeda'),
(482,'35747524','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0003] Belanja Lembur','14.626.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','April 2024','bappeda'),
(483,'35747726','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','135.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Oktober 2024','bappeda'),
(484,'35747955','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0001] Belanja Jasa Tenaga Ahli','75.600.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Ahli','Januari 2024','Oktober 2024','bappeda'),
(485,'35748052','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0001] Belanja Lembur','21.444.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Juli 2024','bappeda'),
(486,'35748170','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.785.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Juni 2024','bappeda'),
(487,'35748291','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0002] Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.265.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Juli 2024','bappeda'),
(488,'35749156','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','47.800.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Februari 2024','Mei 2024','bappeda'),
(489,'35749317','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Belanja Jasa Tenaga Kesenian dan Kebudayaan','6.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Kesenian dan Kebudayaan','Januari 2024','Mei 2024','bappeda'),
(490,'35749376','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Belanja Jasa Tenaga Kebersihan','2.100.000','March 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Kebersihan','Maret 2024','Mei 2024','bappeda'),
(491,'35749414','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Belanja Jasa Tenaga Keamanan','2.800.000','March 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Keamanan','Maret 2024','Mei 2024','bappeda'),
(492,'35749596','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Belanja Lembur','18.026.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Lembur','Februari 2024','Juni 2024','bappeda'),
(493,'35749685','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0005] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.400.000','March 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Mei 2024','bappeda'),
(494,'35749762','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0006] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.720.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Februari 2024','bappeda'),
(495,'35749772','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0007] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','229.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','September 2024','bappeda'),
(496,'35749913','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0007] Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','189.300.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','September 2024','bappeda'),
(497,'35750019','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0007] Belanja Jasa Tenaga Ahli','140.400.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Ahli','Januari 2024','Agustus 2024','bappeda'),
(498,'35750092','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0007] Belanja Lembur','83.415.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(499,'35750163','Penyusunan Perencanaan dan Pendanaan','[5.01.02.2.01.0007] Belanja Perjalanan Dinas Paket Meeting Luar Kota','354.427.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(500,'35779398','Analisis Data dan Informasi Pemerintahan Daerah Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.02.0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','40.500.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Agustus 2024','bappeda'),
(501,'35779514','Analisis Data dan Informasi Pemerintahan Daerah Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.02.0001] Belanja Lembur','9.966.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Agustus 2024','bappeda'),
(502,'35779568','Analisis Data dan Informasi Pemerintahan Daerah Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.02.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Agustus 2024','bappeda'),
(503,'35783306','Analisis Data dan Informasi Pemerintahan Daerah Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.02.0003] Belanja Lembur','16.610.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(504,'35797622','Implementasi Sistem Informasi Pemerintahan Daerah di Bidang Pembangunan Daerah','[5.01.02.2.04.0001] Belanja Lembur','71.810.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(505,'35797646','Implementasi Sistem Informasi Pemerintahan Daerah di Bidang Pembangunan Daerah','[5.01.02.2.04.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.580.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(506,'35798626','Implementasi Sistem Informasi Pemerintahan Daerah di Bidang Pembangunan Daerah','[5.01.02.2.04.0003] Belanja Perjalanan Dinas Paket Meeting Luar Kota','46.740.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(507,'35798913','Implementasi Sistem Informasi Pemerintahan Daerah di Bidang Pembangunan Daerah','[5.01.02.2.04.0002] Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.380.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(508,'35801670','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Honorarium Narasumber atau pembahas','5.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber ( Sewa Akomodasi pemateri pelatihan )','Januari 2024','Desember 2024','bappeda'),
(509,'35801806','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Honorarium Tim Penyusun Jurnal, Buletin, Majalah ( Penulis Artikel )','10.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honor Penyusun dan Penulis Artikel','Januari 2024','Desember 2024','bappeda'),
(510,'35801862','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Belanja Jasa Tenaga Ahli','20.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Ahli ( Narasumber Kabupaten )','Januari 2024','Desember 2024','bappeda'),
(511,'35801941','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Belanja Lembur','9.436.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(512,'35802021','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Perjalanan Dinas Paket Meeting Dalam Kota','4.960.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(513,'35802109','Penelitian dan Pengembangan Bidang Penyelenggaraan Pemerintahan dan Pengkajian Peraturan','[ 5.05.02.2.01.0012 ] Perjalanan Dinas Paket Meeting Luar Kota','20.910.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bappeda'),
(514,'35802759','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0004] Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Khusus','54.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Khusus','Januari 2024','Desember 2024','bappeda'),
(515,'35802818','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0005] Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.250.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(516,'35803041','Penelitian dan Pengembangan Bidang Sosial dan Kependudukan','[5.05.02.2.02.0004] Honorarium Narasumber atau Pembahas','10.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honor Narasumber Kabupaten','Januari 2024','Desember 2024','bappeda'),
(517,'35803130','Penelitian dan Pengembangan Bidang Sosial dan Kependudukan','[5.05.02.2.02.0004] Belanja Jasa Tenaga Ahli','100.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Jasa Tenaga Ahli ( Tim Kajian )','Januari 2024','Desember 2024','bappeda'),
(518,'35803194','Penelitian dan Pengembangan Bidang Sosial dan Kependudukan','[5.05.02.2.02.0004] Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(519,'35803271','Penelitian dan Pengembangan Bidang Sosial dan Kependudukan','[5.05.02.2.02.0004] Perjalanan Dinas Paket Meeting Luar Kota','10.660.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bappeda'),
(520,'35806287','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0005] Belanja Lembur','7.080.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Uang Lembur ASN Gol. II, Uang Lembur ASN Gol III, Uang Lembur ASN Gol. IV, Non ASN','Januari 2024','Desember 2024','bappeda'),
(521,'35806369','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0005] Belanja Lembur - Uang Makan','1.776.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Uang Makan Lembur ASN Gol. I dan II, Uang Makan Lembur ASN Gol. III, Uang Makan Lembur ASN Gol.IV, Uang Makan Lembur Non ASN','Januari 2024','Desember 2024','bappeda'),
(522,'35808057','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0007] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(523,'35809246','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)',']5.01.03.2.02.0008] Belanja Honorarium Narasumber','43.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','bappeda'),
(524,'35809274','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0008] Beban Honorarium Penyuluhan atau Pendampingan','117.600.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','bappeda'),
(525,'35809378','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0008] Belanja Jasa Tenaga Ahli','18.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Tenaga Ahli','Januari 2024','Desember 2024','bappeda'),
(526,'35809429','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0008] Belanja Sewa Kendaraan Bermotor Penumpang','8.400.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Sewa Kendaraan Bermotor Penumpang','Januari 2024','Desember 2024','bappeda'),
(527,'35809458','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0008] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(528,'35809563','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0008] Belanja Perjalanan Dinas Paket Meeting Luar Kota','34.850.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(529,'35814738','Penelitian dan Pengembangan Bidang Ekonomi dan Pembangunan','[ 5.05.02.2.03.0001 ] Honor Narasumber, Pembahas','10.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honor Narasumber Kabupaten','Januari 2024','Desember 2024','bappeda'),
(530,'35814743','Penelitian dan Pengembangan Bidang Ekonomi dan Pembangunan','[ 5.05.02.2.03.0001 ] Jasa Tenaga Ahli','100.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Tenaga Ahli ( Tim Kajian )','Januari 2024','Desember 2024','bappeda'),
(531,'35814793','Penelitian dan Pengembangan Bidang Ekonomi dan Pembangunan','[ 5.05.02.2.03.0001 ] Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(532,'35814985','Penelitian dan Pengembangan Bidang Ekonomi dan Pembangunan','[ 5.05.02.2.03.0001 ] Perjalanan Dinas Paket Meeting Luar Kota','10.660.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Daerah','Januari 2024','Desember 2024','bappeda'),
(533,'35815245','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0001 ] Perjalanan Dinas Paket Meeting Luar Kota','20.500.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','PerjalananDinas Luar Daerah','Januari 2024','Desember 2024','bappeda'),
(534,'35815249','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0001 ] Perjalanan Dinas Paket Meeting Dalam Kota','8.960.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(535,'35815251','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0001 ] Jasa Tenaga Ahli','84.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Tenaga Ahli','Januari 2024','Desember 2024','bappeda'),
(536,'35815260','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Daerah','Januari 2024','Januari 2024','bappeda'),
(537,'35815269','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Perjalanan Dinas Paket Meeting Dalam Kota','3.520.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(538,'35815286','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Belanja Hadiah Perlombaan','15.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Hadiah Perlombaan ( Uang Pembinaan )','Januari 2024','Desember 2024','bappeda'),
(539,'35815293','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Belanja Jasa Juri','8.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Juri Lomba','Januari 2024','Desember 2024','bappeda'),
(540,'35815305','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Jasa Tenaga Ahli','17.500.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Jasa Tenaga Ahli/Narasumber Kabupaten','Januari 2024','Desember 2024','bappeda'),
(541,'35815310','Pengembangan Inovasi dan Teknologi','[ 5.05.02.2.04.0003 ] Honorarium Narasumber, Pembahas, moderator','7.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Honorarium Pembawa Acara','Januari 2024','Desember 2024','bappeda'),
(542,'35819661','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0004] Belanja Perjalanan Dinas Paket Meeting Luar Kota','65.600.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(543,'35823780','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0001] Belanja Lembur','14.760.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Uang Lembur PNS','Januari 2024','Desember 2024','bappeda'),
(544,'35823792','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','39.360.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Luar Daerah','Januari 2024','Desember 2024','bappeda'),
(545,'35824184','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Daerah','Januari 2024','Desember 2024','bappeda'),
(546,'35830266','Administrasi Keuangan Perangkat Daerah','[5.01.01.2.02.0003] Belanja Lembur','10.520.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur Penatausahaan Keuangan','Januari 2024','Desember 2024','bappeda'),
(547,'35830289','Administrasi Keuangan Perangkat Daerah','[5.01.01.2.02.0005] Belanja Lembur','7.700.000','June 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur Penyusunan Laporan Keuangan - Audited','Juni 2024','Desember 2024','bappeda'),
(548,'35830297','Administrasi Keuangan Perangkat Daerah','[5.01.01.2.02.0005] Belanja Lembur','10.520.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur Penyusunan Laporan Keuangan - Unaudited','Januari 2024','Mei 2024','bappeda'),
(549,'35835250','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0005) Belanja Lembur','13.080.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Februari 2024','Desember 2024','bappeda'),
(550,'35835251','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0005) Belanja Perjalanan Dinas Paket Meeting Luar Kota','21.768.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','bappeda'),
(551,'35835293','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0006) Belanja Lembur','5.232.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Februari 2024','Desember 2024','bappeda'),
(552,'35835300','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0001) Belanja Lembur','10.593.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Januari 2024','Desember 2024','bappeda'),
(553,'35835302','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0001) Belanja Perjalanan Dinas Paket Meeting Luar Kota','29.606.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(554,'35835303','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0002) Belanja Lembur','5.885.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Januari 2024','Desember 2024','bappeda'),
(555,'35835305','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0003) Belanja Lembur','7.062.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Januari 2024','Desember 2024','bappeda'),
(556,'35835306','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0003) Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(557,'35835308','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0004) Belanja Lembur','18.832.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Januari 2024','Desember 2024','bappeda'),
(558,'35835311','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0004) Belanja Jasa Konsultansi Lainnya-Jasa Konsultansi Lingkungan','48.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Paket','Bondowoso (Kab.)','Jasa Konsultasi','Januari 2024','Desember 2024','bappeda'),
(559,'35835312','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0007) Belanja Lembur','7.848.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Februari 2024','Desember 2024','bappeda'),
(560,'35835313','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0004) Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari','Bondowoso (Kab.)','Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(561,'35835314','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0007) Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.000.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','bappeda'),
(562,'35835315','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0004) Belanja Perjalanan Dinas Paket Meeting Luar Kota','80.160.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari / Kali','Bondowoso (Kab.)','Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bappeda'),
(563,'35835421','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0008) Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.500.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Honorarium Narasumber','Februari 2024','Desember 2024','bappeda'),
(564,'35835424','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0008) Belanja Lembur','19.620.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang Jam Hari','Bondowoso (Kab.)','Beban Lembur','Februari 2024','Desember 2024','bappeda'),
(565,'35835425','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0008) Belanja Jasa Konsultansi Perencanaan Penataan Ruang-Jasa Perencanaan Wilayah','96.000.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Paket','Bondowoso (Kab.)','Jasa Konsultasi','Februari 2024','Desember 2024','bappeda'),
(566,'35835426','Koordinasi Perencanaan Bidang Infrastruktur dan Kewilayahan','(5.01.03.2.03.0008) Belanja Perjalanan Dinas Paket Meeting Luar Kota','48.114.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','Orang / Hari / Kali','Bondowoso (Kab.)','Perjalanan Dinas Luar Kota','Februari 2024','Desember 2024','bappeda'),
(567,'35838751','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0008) Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Khusus','243.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','3 Dokumen','Bondowoso (Kab.)','Honorarium Tim Ahli Penyusunan Dokumen RAD PUG 2024 - 2026, RAD KLA 2024 - 2026 dan RPKD 2024 - 2026','Januari 2024','Desember 2024','bappeda'),
(568,'35839891','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0008) Belanja Lembur','70.785.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Horarium Lembur ASN dan Non ASN BP4D Kabupaten Bondowoso','Januari 2024','Desember 2024','bappeda'),
(569,'35840793','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0007) Belanja Perjalanan Dinas Paket Meeting Dalam Kota','11.520.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja perjalanan dinas dalam kota','Januari 2024','Desember 2024','bappeda'),
(570,'35841109','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[5.01.01.2.01.0001] Belanja Lembur','8.035.000','March 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Lembur Penyusunan Dokumen Perencanaan, Penganggaran dan Evaluasi Pelaporan Perangkat Daerah','Maret 2024','Desember 2024','bappeda'),
(571,'35841174','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[5.01.01.2.01.0001] Belanja Perjalanan Dinas','15.772.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Daerah','Februari 2024','Desember 2024','bappeda'),
(572,'35842851','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[5.01.01.2.01.0007] Belanja Lembur','8.035.000','March 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Lembur Laporan Evaluasi Kinerja Perangkat Daerah','Maret 2024','Desember 2024','bappeda'),
(573,'35842941','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[5.01.01.2.01.0007] Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.992.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(574,'35843369','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0005) Belanja Lembur','20.240.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja Lembur ASN dan Non ASN BP4D Kabupaten Bondowoso','Januari 2024','Desember 2024','bappeda'),
(575,'35843418','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0005) Belanja Perjalanan Dinas Paket Meeting Luar Kota','38.050.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bappeda'),
(576,'35843719','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0002) Belanja Lembur','12.040.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Uang Makan Lembur Non ASN Uang Makan Lembur ASN Gol. I dan Gol. II Uang Makan Lembur ASN Gol III Uang Makan Lembur ASN Gol. IV Beban Lembur Non ASN Beban Lembur ASN Gol. II Beban Lembur ASN Gol. III Beban Lembur ASN Gol. IV','Januari 2024','Desember 2024','bappeda'),
(577,'35843861','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','[5.01.03.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','27.200.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja Dinas Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(578,'35845200','Administrasi Kepegawaian Perangkat Daerah','[5.01.01.2.05.0011] Honorarium Narasumber Atau Pembahas, Moderator, Pembawa Acara, Dan Panitia','1.800.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber Atau Pembahas, Moderator, Pembawa Acara, Dan Panitia','Februari 2024','Desember 2024','bappeda'),
(579,'35845455','Administrasi Kepegawaian Perangkat Daerah','[5.01.01.2.05.0011] Belanja Perjalanan Dinas Paket Meeting Luar Kota','87.494.000','February 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','bappeda'),
(580,'35847961','Pengendalian, Evaluasi dan Pelaporan Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.03.0001] Belanja Lembur','27.504.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(581,'35847995','Pengendalian, Evaluasi dan Pelaporan Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.03.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','47.800.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(582,'35848552','Pengendalian, Evaluasi dan Pelaporan Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.03.0003] Belanja Lembur','17.190.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','bappeda'),
(583,'35848585','Pengendalian, Evaluasi dan Pelaporan Bidang Perencanaan Pembangunan Daerah','[5.01.02.2.03.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(584,'35848973','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0004) Belanja Lembur','33.140.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Uang Makan Lembur Non ASN Uang Makan Lembur ASN Gol. I dan Gol. II Uang Makan Lembur ASN Gol III Uang Makan Lembur ASN Gol. IV Belanja Lembur Non ASN Belanja Lembur ASN Gol. II Belanja Lembur ASN Gol. III Belanja Lembur ASN Gol. IV','Januari 2024','Desember 2024','bappeda'),
(585,'35849174','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0004) Belanja Jasa Konsultasi Berorientasi Layanan-Jasa Khusus','81.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Dokumen','Bondowoso (Kab.)','Jasa Konsultasi Penyusunan Dokumen Pemerintahan','Januari 2024','Desember 2024','bappeda'),
(586,'35849264','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0004) Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(587,'35849383','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0004) Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.688.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Penginapan Pejabat Eselon III/Golongan IV, DKI Jakarta Uang Harian D.K.I. JAKARTA Uang Harian JAWA TIMUR Bantuan Transpotasi ( Travel ) Surabaya - Bondowoso Biaya Taxi DKI Jakarta tiket pesawat pp jakarta surabaya Ekonomi','Januari 2024','Desember 2024','bappeda'),
(588,'35858432','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0001) Belanja Lembur','40.760.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','6 Orang 30 Hari','Bondowoso (Kab.)','Uang Makan Lembur Non ASN Uang Makan Lembur ASN Gol. I dan Gol. II Uang Makan Lembur ASN Gol III Uang Makan Lembur ASN Gol. IV Beban Lembur Non ASN Beban Lembur ASN Gol. II Beban Lembur ASN Gol. III Beban Lembur ASN Gol. IV','Januari 2024','Desember 2024','bappeda'),
(589,'35858580','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0001) Belanja Perjalanan Dinas Paket Meeting Luar Kota','18.240.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Penginapan Pejabat Eselon III/Golongan IV Penginapan Pejabat Eselon IV/Golongan III Beban Perjalanan Dinas paket Meeting Luar Kota','Januari 2024','Desember 2024','bappeda'),
(590,'35891672','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Tenaga Administrasi','168.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Tenaga Administrasi','Januari 2024','Desember 2024','bappeda'),
(591,'35891835','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Tenaga Kebersihan','72.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Petugas Kebersihan, Honor Petugas Kebersihan','Januari 2024','Desember 2024','bappeda'),
(592,'35891974','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Tenaga Keamanan','36.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Petugas Penjaga Malam','Januari 2024','Desember 2024','bappeda'),
(593,'35892087','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Tenaga Supir','36.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Sopir/Driver','Januari 2024','Desember 2024','bappeda'),
(594,'35892394','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Tenaga Informasi dan Teknologi','27.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honor Tenaga IT','Januari 2024','Desember 2024','bappeda'),
(595,'35892554','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','(5.01.01.2.08.0004) Belanja Jasa Konversi Aplikasi/Sistem Informasi','24.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Honorarium Tenaga IT','Januari 2024','Desember 2024','bappeda'),
(596,'35972867','Administrasi Umum Perangkat Daerah','(5.01.01.2.06.0009) Belanja Perjalanan Dinas Paket Meeting Luar Kota','189.640.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota ke BALI, Penginapan Pejabat ESelon II, Provinsi Bali, Penginapan Golongan I/II, Provinsi Jawa Timur, PenginapanPejabat Eselon II, DKI Jakarta, Perjalanan Dinas Paket Meeting Luar Kota ke D.K.I. JAKARTA, tiket pesawat pp jakarta surabaya Ekonomi, Penginapan Pejabat Eselon II, Provinsi Jawa Timur, Perjalanan Dinas Paket Meeting Luar Kota ke JAWA TIMUR','Januari 2024','Desember 2024','bappeda'),
(597,'36098856','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0004] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','8.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','bappeda'),
(598,'36098917','Koordinasi Perencanaan Bidang Perekonomian dan SDA (Sumber Daya Alam)','[5.01.03.2.02.0004] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','bappeda'),
(599,'36101504','Administrasi Umum Perangkat Daerah','(5.01.01.2.06.0009) Belanja Perjalanan Dinas Biasa','25.350.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 paket','Bondowoso (Kab.)','Uang representasi (Pejabat Eselon II)','Januari 2024','Desember 2024','bappeda'),
(600,'36222020','Koordinasi Perencanaan Bidang Pemerintahan dan Pembangunan Manusia','(5.01.03.2.01.0008) Belanja Perjalanan Dinas Paket Meeting Luar Kota','85.400.000','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','1','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah','2024','1 Tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Luar Kota','Januari 2024','Desember 2024','bappeda'),
(601,'35983846','Fasilitasi dan Koordinasi Hukum','Belanja Kursus/Pelatihan, Sosialisasi, Bimbingan Teknis serta Pendidikan dan Pelatihan','75.000.000','January 2024','Kab. Bondowoso','Bagian Hukum','1','Bagian Hukum','2024','15 Paket','Bondowoso (Kab.)','Belanja Kursus/Pelatihan, Sosialisasi, Bimbingan Teknis serta Pendidikan dan Pelatihan berupa Biaya Workshop/Bimtek','Januari 2024','Desember 2024','pemda-hukum'),
(602,'35985262','Fasilitasi dan Koordinasi Hukum','Belanja Hadiah yang Bersifat Perlombaan','3.250.000','January 2024','Kab. Bondowoso','Bagian Hukum','1','Bagian Hukum','2024','3 Regu','Bondowoso (Kab.)','Belanja Hadiah yang Bersifat Perlombaan berupa Uang Pembinaan untuk juara I, II dan III','Januari 2024','Desember 2024','pemda-hukum'),
(603,'36081163','Pelaksanaan kebijakan kesejahteraan rakyat','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','163.500.000','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','1','Bagian Kesejahteraan Rakyat','2024','1 paket','Bondowoso (Kab.)','ruang lingkup sesuai dengan KAK','Februari 2024','Desember 2024','pemda-kesra'),
(604,'36081891','Pelaksanaan kebijakan kesejahteraan rakyat','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','132.800.000','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','1','Bagian Kesejahteraan Rakyat','2024','1 paket','Bondowoso (Kab.)','ruang lingkup sesuai dengan KAK','Februari 2024','Desember 2024','pemda-kesra'),
(605,'36082172','Pelaksanaan kebijakan kesejahteraan rakyat','Honorarium Rohaniwan','72.900.000','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat','1','Bagian Kesejahteraan Rakyat','2024','1 paket','Bondowoso (Kab.)','rusng lingkup sesuai KAK','Februari 2024','Desember 2024','pemda-kesra'),
(606,'35947395','Penataan Organisasi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','147.600.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-organisasi'),
(607,'35947443','Penataan Organisasi','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','11.500.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-organisasi'),
(608,'35947567','Penataan Organisasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','103.160.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-organisasi'),
(609,'35947956','Penataan Organisasi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','39.200.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-organisasi'),
(610,'35947970','Penataan Organisasi','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.000.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-organisasi'),
(611,'35948005','Penataan Organisasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.860.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-organisasi'),
(612,'35948178','Penataan Organisasi','Belanja Hadiah yang Bersifat Perlombaan','5.250.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Hadiah yang Bersifat Perlombaan','Januari 2024','Desember 2024','pemda-organisasi'),
(613,'35948385','Penataan Organisasi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','54.000.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','60 Orang / Jam','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-organisasi'),
(614,'35948409','Penataan Organisasi','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','36.000.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-organisasi'),
(615,'35948453','Penataan Organisasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','30.140.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-organisasi'),
(616,'35948579','Penataan Organisasi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','281.100.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-organisasi'),
(617,'35948614','Penataan Organisasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','19.540.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-organisasi'),
(618,'35948639','Penataan Organisasi','Belanja Hadiah yang Bersifat Perlombaan','5.250.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Belanja Hadiah yang Bersifat Perlombaan','Januari 2024','Desember 2024','pemda-organisasi'),
(619,'35948841','Penataan Organisasi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','22.500.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','25 Orang / Jam','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-organisasi'),
(620,'35948857','Penataan Organisasi','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','22.500.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-organisasi'),
(621,'35948891','Penataan Organisasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','13.940.000','January 2024','Kab. Bondowoso','Bagian Organisasi','1','Bagian Organisasi','2024','34 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-organisasi'),
(622,'35740861','Pengelolaan Pengadaan Barang dan Jasa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.725.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','4 Orang / Kali, 3 Orang / Kegiatan','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-barjas'),
(623,'35742031','Pengelolaan Pengadaan Barang dan Jasa','Belanja Perjalanan Dinas Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','20 Orang / Perjalanan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','pemda-barjas'),
(624,'35742371','Pengelolaan Pengadaan Barang dan Jasa','Belanja Perjalanan Dinas Paket Meeting Luar Kota','26.770.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','7 Orang / Hari, 30 Orang / Hari, 24 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-barjas'),
(625,'35906076','Pengelolaan Pengadaan Barang dan Jasa','Belanja Perjalanan Dinas Paket Meeting Luar Kota','45.950.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','1 tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-barjas'),
(626,'36227579','Pengelolaan Pengadaan Barang dan Jasa','Belanja Perjalanan Dinas Paket Meeting Luar Kota','80.322.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-barjas'),
(627,'36227581','Pengelolaan Pengadaan Barang dan Jasa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','30.750.000','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa','1','Bagian Pengadaan Barang dan Jasa','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-barjas'),
(628,'35962200','Pelaksanaan kebijakan Perekonomian','Belanja Perjalanan Dinas','18.400.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','115 0rang','Bondowoso (Kab.)','Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','pemda-ap'),
(629,'35963282','Pelaksanaan kebijakan Perekonomian','Belanja Perjalanan Dinas Paket Meeting Luar Kota','5.300.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(630,'35974958','Pelaksanaan Administrasi Pembangunan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','11.800.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-ap'),
(631,'35975869','Pelaksanaan Administrasi Pembangunan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','17.700.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-ap'),
(632,'35978221','Pelaksanaan Administrasi Pembangunan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(633,'35982115','Pelaksanaan Administrasi Pembangunan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','38.000.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-ap'),
(634,'35984276','Pelaksanaan Administrasi Pembangunan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','5.200.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-ap'),
(635,'36012721','Pelaksanaan kebijakan Perekonomian','Belanja Subsidi Kepada BUMD','1.000.000.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Subsidi Kepada BUMD','Januari 2024','Desember 2024','pemda-ap'),
(636,'36036509','Pelaksanaan kebijakan Perekonomian','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','52.320.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','327 Orang/ Kegiatan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-ap'),
(637,'36037518','Pelaksanaan kebijakan Perekonomian','Belanja perjalanan Dinas Paket Meeting Luar Kota','24.000.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 paket','Bondowoso (Kab.)','Belanja perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(638,'36039473','Pelaksanaan kebijakan Perekonomian','Hororarium Narasumber Atau Pembahas,Moderator Acara,dan Panitia','7.100.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 paket','Bondowoso (Kab.)','Hororarium Narasumber Atau Pembahas,Moderator Acara,dan Panitia','Januari 2024','Desember 2024','pemda-ap'),
(639,'36040958','Pelaksanaan kebijakan Perekonomian','Hororarium tim Pelaksana dan Sekretariat Tim Pelaksana Kegiatan','10.500.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 paket','Bondowoso (Kab.)','Hororarium tim Pelaksana dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-ap'),
(640,'36047724','Pelaksanaan Administrasi Pembangunan','Belanja Perjalanan Dinas Paket Meeting luar Kota','31.710.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(641,'36060288','Pemantuan Kebijakan Sumber Daya Alam','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','281.400.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','pemda-ap'),
(642,'36061422','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','75.400.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-ap'),
(643,'36061665','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Luar Kota','84.680.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(644,'36065384','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','18.240.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-ap'),
(645,'36065761','Pemantuan Kebijakan Sumber Daya Alam','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.800.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','3 x 4 Orang','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','pemda-ap'),
(646,'36067454','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.500.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(647,'36069993','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','20.160.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-ap'),
(648,'36070292','Pemantuan Kebijakan Sumber Daya Alam','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.960.000','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan','1','Bagian Perekonomian dan Administrasi Pembangunan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-ap'),
(649,'36091726','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Dalam Negeri','12.184.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Negeri','Januari 2024','Desember 2024','pemda-perencanaan'),
(650,'36874440','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(651,'36874441','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.184.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-perencanaan'),
(652,'36874596','Administrasi Keuangan Perangkat Daerah','Belanja Jasa Tenaga Kebersihan','500.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Tenaga Kebersihan;','Januari 2024','Desember 2024','pemda-perencanaan'),
(653,'36874597','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','18.860.000','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','pemda-perencanaan'),
(654,'36874598','Administrasi Keuangan Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(655,'36874622','Administrasi Keuangan Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(656,'36874623','Administrasi Keuangan Perangkat Daerah','Belanja Jasa Tenaga Kebersihan','200.000','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Februari 2024','Desember 2024','pemda-perencanaan'),
(657,'36874680','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.500.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','5 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(658,'36874755','Administrasi Keuangan Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','pemda-perencanaan'),
(659,'36874932','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.800.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','12 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(660,'36875468','Administrasi Barang Milik Daerah pada Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(661,'36875522','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Jasa Tenaga Kebersihan','300.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Tenaga Kebersihan;','Januari 2024','Desember 2024','pemda-perencanaan'),
(662,'36875523','Administrasi Barang Milik Daerah pada Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.500.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(663,'36875524','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.890.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-perencanaan'),
(664,'36881683','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','8 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-perencanaan'),
(665,'36881684','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.544.000','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan','1','Bagian Perencanaan dan Keuangan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-perencanaan'),
(666,'36018719','Pelaksanaan Protokol dan Komunikasi Pimpinan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','12 Orang/Kali','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','Januari 2024','Desember 2024','pemda-protokol'),
(667,'36019040','Pelaksanaan Protokol dan Komunikasi Pimpinan','Honorarium Rohaniwan','2.400.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','12 Orang/Kali','Bondowoso (Kab.)','Honorarium Rohaniwan','Januari 2024','Desember 2024','pemda-protokol'),
(668,'36019559','Pelaksanaan Protokol dan Komunikasi Pimpinan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','80.000.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','500 Orang/Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-protokol'),
(669,'36021705','Pelaksanaan Protokol dan Komunikasi Pimpinan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','141.560.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-protokol'),
(670,'36026498','Pelaksanaan Protokol dan Komunikasi Pimpinan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','80.000.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','500 Orang/Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pemda-protokol'),
(671,'36027009','Pelaksanaan Protokol dan Komunikasi Pimpinan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','208.660.000','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan','1','Bagian Protokol dan Komunikasi Pimpinan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pemda-protokol'),
(672,'36059744','Administrasi Tata Pemerintahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','30.600.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(673,'36059745','Administrasi Tata Pemerintahan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','3.000.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(674,'36059746','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.840.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(675,'36059747','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(676,'36103589','Fasilitasi Kerja Sama Daerah','Belanja Perjalanan Dinas Biasa Luar Negeri','184.720.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa–Luar Negeri; Beban Perjalanan Dinas Biasa–Luar Negeri;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(677,'36109162','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','24.828.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(678,'36109163','Administrasi Tata Pemerintahan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','36.000.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(679,'36109164','Administrasi Tata Pemerintahan','Belanja Jasa Tenaga Administrasi','4.800.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(680,'36109165','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','11.200.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(681,'36109564','Administrasi Tata Pemerintahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','185.400.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(682,'36109565','Administrasi Tata Pemerintahan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','24.150.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(683,'36109566','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(684,'36109568','Administrasi Tata Pemerintahan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','312.019.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(685,'36109853','Fasilitasi Kerja Sama Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','18.000.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(686,'36109854','Fasilitasi Kerja Sama Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','40.564.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(687,'36110159','Fasilitasi Kerja Sama Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','18.000.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(688,'36110160','Fasilitasi Kerja Sama Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.562.000','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama','1','Bagian Tata Pemerintahan dan Kerjasama','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-pemerintahan'),
(689,'36108051','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','825.562.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-umum'),
(690,'36108127','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','649.209.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pemda-umum'),
(691,'36108690','Administrasi Umum Perangkat Daerah','Belanja Langganan Jurnal/Surat Kabar/Majalah','120.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Langganan Jurnal/Surat Kabar/Majalah;','Januari 2024','Desember 2024','pemda-umum'),
(692,'36124851','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Pembayaran Pajak, Bea, dan Perizinan','645.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan;','Januari 2024','Desember 2024','pemda-umum'),
(693,'36124885','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Telepon','50.400.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Telepon;','Januari 2024','Desember 2024','pemda-umum'),
(694,'36124886','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','23.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','pemda-umum'),
(695,'36124887','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','450.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','pemda-umum'),
(696,'36124888','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','144.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Januari 2024','Desember 2024','pemda-umum'),
(697,'36125149','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','40.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga;','Januari 2024','Desember 2024','pemda-umum'),
(698,'36125150','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Isi Tabung Gas','47.750.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Isi Tabung Gas;','Januari 2024','Desember 2024','pemda-umum'),
(699,'36125151','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','450.800.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','pemda-umum'),
(700,'36125152','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','540.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','pemda-umum'),
(701,'36125153','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Supir','228.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Supir;','Januari 2024','Desember 2024','pemda-umum'),
(702,'36125154','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kesehatan bagi Non ASN','6.000.000','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','1 Paket','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN;','Januari 2024','Desember 2024','pemda-umum'),
(703,'36177249','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','656.485.200','January 2024','Kab. Bondowoso','Bagian Umum','1','Bagian Umum','2024','39843 Liter; 6408 Liter','Bondowoso (Kab.)','Pertamax; Pertamina Dex','Januari 2024','Desember 2024','pemda-umum'),
(704,'36262622','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','40.697.990','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','dbmsdabk'),
(705,'36262634','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','97.200.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','dbmsdabk'),
(706,'36262651','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','4.031.926.750','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Januari 2024','Desember 2024','dbmsdabk'),
(707,'36262655','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Supir','108.636.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Supir','Januari 2024','Desember 2024','dbmsdabk'),
(708,'36262672','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','25.344.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','dbmsdabk'),
(709,'36262964','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','19.074.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','dbmsdabk'),
(710,'36262988','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','44.240.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dbmsdabk'),
(711,'36262997','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.500.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dbmsdabk'),
(712,'36263612','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','145.751.075','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','dbmsdabk'),
(713,'36263642','Penyelenggaraan Jalan Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','28.800.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','dbmsdabk'),
(714,'36263646','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.793.250.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Januari 2024','Desember 2024','dbmsdabk'),
(715,'36263669','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','30.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','dbmsdabk'),
(716,'36263688','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','15.840.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','dbmsdabk'),
(717,'36263712','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','36.800.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dbmsdabk'),
(718,'36263736','Penyelenggaraan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.500.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dbmsdabk'),
(719,'36264336','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','81.804.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','dbmsdabk'),
(720,'36273400','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD Luar Daerah (Rehab. Bendung Pring)','4.600.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD Luar Daerah','Januari 2024','Desember 2024','dbmsdabk'),
(721,'36273503','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD DALAM DAERAH (Rehab. Bendung Pring)','960.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD DALAM DAERAH','Januari 2024','Desember 2024','dbmsdabk'),
(722,'36275116','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD Luar Daerah (Rehab. Bendung Batu Ampar 1)','4.600.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD Luar Daerah','Januari 2024','Desember 2024','dbmsdabk'),
(723,'36275221','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD DALAM DAERAH (Rehab. Bendung Batu Ampar 1)','960.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD DALAM DAERAH (Rehab. Bendung Batu Ampar 1)','Januari 2024','Desember 2024','dbmsdabk'),
(724,'36275930','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD Luar Daerah ( Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer)','10.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SESUAI KAK','Januari 2024','Desember 2024','dbmsdabk'),
(725,'36276050','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD DALAM DAERAH ( Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer)','4.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD DALAM DAERAH','Januari 2024','Desember 2024','dbmsdabk'),
(726,'36276412','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD Luar Daerah (Rehab. Bang/Sal Batu Kecamatan Tenggarang)','1.700.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD Luar Daerah','Januari 2024','Desember 2024','dbmsdabk'),
(727,'36276498','Pengembangan dan Pengelolaan Sistem Irigasi Primer dan Sekunder pada Daerah Irigasi yang Luasnya di Bawah 1000 Ha dalam 1 (Satu) Daerah Kabupaten/Kota','SPPD DALAM DAERAH (Rehab. Bang/Sal Batu Kecamatan Tenggarang)','960.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 PAKET','Bondowoso (Kab.)','SPPD DALAM DAERAH','Januari 2024','Desember 2024','dbmsdabk'),
(728,'36282831','Administrasi Barang Milik Daerah pada Perangkat Daerah','Fotocopy','1.446.300','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','lembar','Bondowoso (Kab.)','Fotocopy','Maret 2024','Desember 2024','dbmsdabk'),
(729,'36285955','Administrasi Kepegawaian Perangkat Daerah','fotocopy','451.900','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','lembar','Bondowoso (Kab.)','fotocopy','Maret 2024','Desember 2024','dbmsdabk'),
(730,'36286122','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','Buah','Bondowoso (Kab.)','Materai','Maret 2024','Desember 2024','dbmsdabk'),
(731,'36286268','Administrasi Kepegawaian Perangkat Daerah','Belanja Perjalanan Dinas Biasa','2.000.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','Orang/Perjalanan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Biasa','Maret 2024','Desember 2024','dbmsdabk'),
(732,'36286946','Administrasi Umum Perangkat Daerah','Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','10.000.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Maret 2024','Desember 2024','dbmsdabk'),
(733,'36288223','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','1.188.800','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','3962.66666666667 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Februari 2024','Desember 2024','dbmsdabk'),
(734,'36290355','Administrasi Umum Perangkat Daerah','Penyediaan Barang Cetakan dan Penggandaan','6.143.700','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Februari 2024','Desember 2024','dbmsdabk'),
(735,'36290438','Administrasi Umum Perangkat Daerah','Penyediaan Bahan Bacaan dan Peraturan Perundang-undangan','5.000.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Langganan Jurnal/Surat Kabar/Majalah;','Maret 2024','Desember 2024','dbmsdabk'),
(736,'36290514','Administrasi Umum Perangkat Daerah','Penyelenggaraan Rapat Koordinasi dan Konsultasi SKPD','75.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dbmsdabk'),
(737,'36290624','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','252.610.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan; Beban Tagihan Telepon; Beban Tagihan Air; Beban Tagihan Listrik;','Januari 2024','Desember 2024','dbmsdabk'),
(738,'36290781','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Perjalanan Dinas Biasa','450.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Februari 2024','Desember 2024','dbmsdabk'),
(739,'36290782','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(740,'36290783','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Beban Perjalanan Dinas Paket Meeting Luar Kota','4.510.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','11 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(741,'36290784','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Beban Perjalanan Dinas Paket Meeting Luar Kota','3.320.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','5 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(742,'36290785','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Beban Perjalanan Dinas Paket Meeting Luar Kota','5.500.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','22 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(743,'36290786','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Sewa Bangunan Gedung Tempat Pertemuan','20.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Februari 2024','Desember 2024','dbmsdabk'),
(744,'36290787','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.500.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dbmsdabk'),
(745,'36291575','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Foto Copy','1.050.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','3500 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Februari 2024','Desember 2024','dbmsdabk'),
(746,'36291576','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','21.000.000','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Juni 2024','dbmsdabk'),
(747,'36291577','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Sewa Bangunan Gedung Tempat Pertemuan','40.000.000','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Sewa Bangunan Gedung Tempat Pertemuan;','April 2024','Juni 2024','dbmsdabk'),
(748,'36291578','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Perjalanan Dinas Biasa','900.000','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','April 2024','Juni 2024','dbmsdabk'),
(749,'36291579','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','18.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(750,'36291580','Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','24.840.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(751,'36292311','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Alat Tulis Kantor','1.200.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','4000 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Februari 2024','Desember 2024','dbmsdabk'),
(752,'36292312','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Alat Tulis Kantor','450.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1500 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Februari 2024','Desember 2024','dbmsdabk'),
(753,'36292313','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','49.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dbmsdabk'),
(754,'36292314','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Belanja Sewa Bangunan Gedung Tempat Pertemuan','40.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Februari 2024','Desember 2024','dbmsdabk'),
(755,'36292315','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','32.400.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(756,'36292316','Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','24.570.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(757,'36293564','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Foto Copy','900.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','3000 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Februari 2024','Desember 2024','dbmsdabk'),
(758,'36293565','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','15.200.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dbmsdabk'),
(759,'36293566','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','37.900.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Februari 2024','Desember 2024','dbmsdabk'),
(760,'36293568','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Belanja Sewa Bangunan Gedung Tempat Pertemuan','8.000.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Februari 2024','Desember 2024','dbmsdabk'),
(761,'36293569','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Biasa','900.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Maret 2024','Desember 2024','dbmsdabk'),
(762,'36293570','Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','22.258.000','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dbmsdabk'),
(763,'36298986','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Peralatan dan Perlengkapan Kantor','9.764.600','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Januari 2024','Desember 2024','dbmsdabk'),
(764,'36300269','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','600.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Beban Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Bermotor Beroda Dua;','Januari 2024','Desember 2024','dbmsdabk'),
(765,'36300636','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, Pajak dan Perizinan Kendaraan Dinas Operasional atau Lapangan','78.378.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Insentif bagi Pegawai Non ASN atas Pemungutan Retribusi Jasa Umum-Pengujian Kendaraan Bermotor; Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan;','Januari 2024','Desember 2024','dbmsdabk'),
(766,'36303601','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','8.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','40 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','dbmsdabk'),
(767,'36303602','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','4.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Unit / Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','dbmsdabk'),
(768,'36303603','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','8.000.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','32 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','dbmsdabk'),
(769,'36304168','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','2.963.700','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','9879 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(770,'36304169','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','1.220.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','50 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(771,'36304170','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Lembur','6.000.000','October 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','200 Orang / Jam','Bondowoso (Kab.)','Beban Lembur;','Oktober 2024','Desember 2024','dbmsdabk'),
(772,'36304171','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Lembur','4.000.000','October 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','200 Orang / Jam','Bondowoso (Kab.)','Beban Lembur;','Oktober 2024','Desember 2024','dbmsdabk'),
(773,'36304172','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','Desember 2024','dbmsdabk'),
(774,'36304173','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','900.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','3 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','Desember 2024','dbmsdabk'),
(775,'36304174','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','745.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','50 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(776,'36305324','Administrasi Keuangan Perangkat Daerah','Penyediaan Administrasi Pelaksanaan Tugas ASN','237.600.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','dbmsdabk'),
(777,'36305386','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','2.704.800','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','9016 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(778,'36305387','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','610.000','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','25 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(779,'36305388','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','372.500','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','25 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(780,'36305670','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','434.100','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1447 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Maret 2024','Desember 2024','dbmsdabk'),
(781,'36307725','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','21.415.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','dbmsdabk'),
(782,'36307737','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.560.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dbmsdabk'),
(783,'36308042','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','4.553.100','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','dbmsdabk'),
(784,'36308058','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dbmsdabk'),
(785,'36308065','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','1','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dbmsdabk'),
(786,'36074050','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','2.309.100','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Pertamina Dex 129 ltr','Februari 2024','Desember 2024','dinkes'),
(787,'36074214','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','735.900','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Fotocopy 2.453 lbr','Februari 2024','Desember 2024','dinkes'),
(788,'36074558','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','29.600.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Perjadin Dalam 180 Oh Sopir 20 Oh','Februari 2024','Desember 2024','dinkes'),
(789,'36086806','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','140.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Fotocopy 466 lbr Fotocopy 1 lbr','Februari 2024','Desember 2024','dinkes'),
(790,'36086887','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Perjadin Dalam Daerah 40 Oh','Februari 2024','Desember 2024','dinkes'),
(791,'36087038','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Fotocopy 86 lbr Fotocopy 1 lbr','Februari 2024','Desember 2024','dinkes'),
(792,'36089433','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (Pajak Rokok)','8.155.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Bahan bakar pertamax : 135 liter dan pertamina Dex : 350 liter','Januari 2024','Desember 2024','dinkes'),
(793,'36089526','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','4.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Bh. Kertas 150 Grm 4 Wr. Dicek : 1 Muka Lebih 1000 : 1 lembar','Februari 2024','Desember 2024','dinkes'),
(794,'36089637','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makan dan Minum Rapat (Pajak Rokok)','7.191.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','nasi 153 kotak dan kue 153 kotak','Februari 2024','Desember 2024','dinkes'),
(795,'36089778','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','3.050.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','- jawa timur : 5 orang/hari - Bantuan transportasi : 4 orang/kali','Februari 2024','Desember 2024','dinkes'),
(796,'36098417','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','19.350.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Perjadin Dalam Daerah 35 Oh Bantuan Transportasi (Travel) 20 Ok','Februari 2024','Desember 2024','dinkes'),
(797,'36098431','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Ahli','4.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Narasumber 8 Oj','Februari 2024','Desember 2024','dinkes'),
(798,'36098441','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Penyelenggaraan Acara','5.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Pendaftara Jambore Jiwa 1 paket','Februari 2024','Desember 2024','dinkes'),
(799,'36098457','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport 50 Oh','Februari 2024','Desember 2024','dinkes'),
(800,'36099041','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honor Narsum Pertemuan 3 Oj','Februari 2024','Desember 2024','dinkes'),
(801,'36099071','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Perjadin Dalam 150 Oh','Februari 2024','Desember 2024','dinkes'),
(802,'36099092','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honor Narsum 10 Oj','Februari 2024','Desember 2024','dinkes'),
(803,'36201495','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - ALAT TULIS KANTOR (PAJAK ROKOK)','130.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','FOTOCOPY : 124 LEMBAR ORDNER KECIL : 4 BUAH','Januari 2024','Desember 2024','dinkes'),
(804,'36201504','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER (PAJAK ROKOK)','129.600','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','KERTAS HVS F4 70 GRAM : 2 RIM','Februari 2024','Desember 2024','dinkes'),
(805,'36201514','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','HONORARIUM NARASUMBER ATAU PEMBAHAS, MODERATOR, PEMBAWA ACARA DAN PANITIA (PAJAK ROKOK)','4.500.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','HONOR SENAM : 15 ORANG / KEGIATAN','Januari 2024','Desember 2024','dinkes'),
(806,'36201534','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA (PAJAK ROKOK)','2.880.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PERJADIN DALAM KOTA (JAWA TIMUR) : 18 ORANG / HARI','Februari 2024','Desember 2024','dinkes'),
(807,'36201551','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA JASA PELAYANAN KESEHATAN BAGI ASN (PAJAK ROKOK)','36','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','BELANJA JASA PELAYANAN KESEHATAN BAGI ASN : 1 KALI','Februari 2024','Desember 2024','dinkes'),
(808,'36201631','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA BAHAN - BAHAN BAKAR DAN PELUMAS (PAJAK ROKOK)','19.725.300','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PERTAMINA DEX : 707 LITER PERTAMAX : 505 LITER','Februari 2024','Desember 2024','dinkes'),
(809,'36201681','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - ALAT TULIS KANTOR (PAJAK ROKOK)','13.819.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','FOTOCOPY : 7999 LEMBAR SNELHECTER MAP BAHAN PLASTIK : 40 PAK ORDNER BESAR : 195 BUAH ORDNER KECIL : 51 BUAH','Februari 2024','Desember 2024','dinkes'),
(810,'36201696','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (PAJAK ROKOK)','5.719.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex 210 liter Pertamax 140 liter','Januari 2024','Desember 2024','dinkes'),
(811,'36201727','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - ALAT TULIS KANTOR (DAU BIDANG KESEHATAN)','186.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','FOTOCOPY : 154 LEMBAR ORDNER KECIL : 6 BUAH','Februari 2024','Desember 2024','dinkes'),
(812,'36201761','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','7.367.200','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','- Binder clip No.200 40 pak, Binder clip No.260 40 pak, Map kancing interx 200, snellhecter bahan plastik 2 pak, isolasi bening 2 1/2 cm 4 buah, isolasi bening 5 cm 3 buah, isi steples kecil no.10 15 buah, buku kwitansi biasa 5 buah - Banner 33 meter - Fotocopy 10271 lembar','Februari 2024','Desember 2024','dinkes'),
(813,'36201765','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER ( DAU BIDANG KESEHATAN )','1.036.800','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','KERTAS HVS F4 70 GRAM : 16 RIM','Februari 2024','Desember 2024','dinkes'),
(814,'36201778','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok)','12.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','JAWA TIMUR 70 Orang/hari, Sopir Dalam Daerah Gol. I / PTT 25 Orang/hari','Januari 2024','Desember 2024','dinkes'),
(815,'36201789','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','16.238.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Penginapan Golongan I/II, Provinsi Jawa Timur 2 orang/hari, Sopir luar Luar Daerah dalam Provinsi jawa Timur Gol. I / PTT 4 Orang/hari, JAWA TIMUR 21 Orang/hari, Bantuan Transportasi (Travel) Surabaya-Bondowoso 10 orang/hari, Tiket Kereta PP Jember - Surabaya 7 orang/hari','Januari 2024','Desember 2024','dinkes'),
(816,'36201790','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER (PAJAK ROKOK)','5.682.700','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','KERTAS HVS F4 80 GRAM : 6 RIM KERTAS HVS F4 70 GRAM : 78 RIM AMPLOP PUTIH NO 104 UK 95 cm x 152 cm : 4 PAK AMPLOP PUTIH NO 90 UK 110 cm x 230 cm : 4 PAK','Februari 2024','Desember 2024','dinkes'),
(817,'36201792','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (PAJAK ROKOK)','3.506.300','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Kertas HVS F4 70 gram= 50 rim Amplop putih no.104 ukuran 95cmx152cm isi 100= 5 buah Amplop putih no.90 ukuran 110cmx230cm isi 100= 6 buah','Februari 2024','Desember 2024','dinkes'),
(818,'36201837','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - BAHAN KOMPUTER (PAJAK ROKOK)','9.898.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','REFILE INK DESKJET Bci-21 BLACK : 10 BUAH REFILE INK DESKJET Bci-21 COLOUR : 10 BUAH CATRIDGE WARNA : 12 BUAH CATRIDGE HITAM : 12 BUAH','Januari 2024','Desember 2024','dinkes'),
(819,'36201851','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (PAJAK ROKOK)','2.167.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Refile ink Deskjet Bci-21 Black 15 buah Refile ink Deskjet Bci-21 Colour 20 buah','Februari 2024','Desember 2024','dinkes'),
(820,'36201860','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (Pajak Rokok)','2.871.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','pertamax 90 liter dan pertamina dex 90 liter','Januari 2024','Desember 2024','dinkes'),
(821,'36201877','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','HONORARIUM NARASUMBER ATAU PEMBAHAS, MODERATOR, PEMBAWA ACARA DAN PANITIA (PAJAK ROKOK)','12.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PEJABAT ESELON III KEBAWAH YANG DISETARAKAN : 12 ORANG / JAM ANGGOTA : 4 ORANG / JAM','Februari 2024','Desember 2024','dinkes'),
(822,'36201902','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (PAJAK ROKOK)','4.800.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor Narsum dalam satker 24 orang/jam','Februari 2024','Desember 2024','dinkes'),
(823,'36201928','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (PAJAK ROKOK)','17.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dlm kota 100 orang/hari Sopir dalam daerah gol. I/PTT','Januari 2024','Desember 2024','dinkes'),
(824,'36201930','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA (PAJAK ROKOK)','69.600.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PERJADIN PAKET MEETING DALAM KOTA (JAWA TIMUR) : 405 ORANG / HARI PERJADIN PAKET MEETING DALAM KOTA (BANTUAN TRANSPORT) : 120 ORANG / HARI','Februari 2024','Desember 2024','dinkes'),
(825,'36202028','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA (PAJAK ROKOK)','29.730.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PENGINAPAN (JAWA BARAT) : 9 ORANG / HARI PERJADIN LUAR KOTA (JAWA TIMUR) : 60 ORANG / HARI','Februari 2024','Desember 2024','dinkes'),
(826,'36202037','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (PAJAK ROKOK)','36.320.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin Luar Daerah 120 orang/hari','Februari 2024','Desember 2024','dinkes'),
(827,'36202081','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA HADIAH YANG BERSIFAT PERLOMBAAN (PAJAK ROKOK)','12.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','UANG PEMBINAAN JUARA 1,2,3 LOMBA','Februari 2024','Desember 2024','dinkes'),
(828,'36202308','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','831.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Banner 280 gsm 6 meter Fotocopy 2240 lembar','Februari 2024','Desember 2024','dinkes'),
(829,'36202315','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','10.105.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Kue kotak 215 kotak, Nasi kotak biasa 215 kotak','Januari 2024','Desember 2024','dinkes'),
(830,'36202327','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (PAJAK ROKOK)','3.400.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor narsum dlm satker 2 orang/jam Honor narsum luar satker 10 orang/jam','Februari 2024','Februari 2024','dinkes'),
(831,'36202338','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','203.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Odner Besar (forte) 7 buah, fotocopy 1 lembar','Januari 2024','Desember 2024','dinkes'),
(832,'36202363','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium (DAU Bidang Kesehatan)','241.020.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pemeriksaan sampel laboratorium SHK 3708/sampel','Januari 2024','Desember 2024','dinkes'),
(833,'36202375','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pajak Rokok)','712.800','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','kertas HVS F4 70 gram 11 rim','Januari 2024','Desember 2024','dinkes'),
(834,'36202403','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pajak Rokok)','530.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Tinta Epson Hitam T 6641 4 buah','Januari 2024','Desember 2024','dinkes'),
(835,'36202420','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat (DAK Non Fisik/KGM)','6.580.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','kue kotak 140 kotak, nasi kotak biasa 140 kotak','Januari 2024','Desember 2024','dinkes'),
(836,'36202442','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK Non Fisik/KGM)','4.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Pengajar yang berasal dari luar satuan kerja perangkat daerah penyelenggara 16 orang/ jam','Januari 2024','Desember 2024','dinkes'),
(837,'36202460','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik/KGM)','12.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','JAWA TIMUR 80 Orang/hari','Januari 2024','Desember 2024','dinkes'),
(838,'36202510','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat (DAU)','39.950.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','kue kotak 850 kotak, nasi kotak biasa 850 kotak','Januari 2024','Desember 2024','dinkes'),
(839,'36202524','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik)','14.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','JAWA TIMUR 90 orang/hari','Januari 2024','Desember 2024','dinkes'),
(840,'36202553','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium (BOK Kab)','7.500.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Biaya Pemeriksaan /pengujian spesimen KLB ke Laboraturium 1 paket','Januari 2024','Desember 2024','dinkes'),
(841,'36202567','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Paket/Pengiriman','2.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Pengiriman dan Pengujian sampel ke Laboratorium 1 paket','Januari 2024','Desember 2024','dinkes'),
(842,'36202579','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Paket/Pengiriman (BOK-KGM)','4.680.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Biaya paket Pengiriman sampel SHK 156 kali','Januari 2024','Desember 2024','dinkes'),
(843,'36202638','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','JAWA TIMUR 30 orang/hari','Januari 2024','Desember 2024','dinkes'),
(844,'36202667','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','173.800','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Odner Besar (forte) 5 buah, fotocopy 96 lembar','Februari 2024','Desember 2024','dinkes'),
(845,'36202670','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (DAU Bidang Kesehatan)','1.517.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamax 70 liter Pertamina dex 30 liter','Februari 2024','Desember 2024','dinkes'),
(846,'36202691','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','kertas HVS F4 70 gram 4 rim','Februari 2024','Desember 2024','dinkes'),
(847,'36202722','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pajak Rokok)','530.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Tinta Epson Warna T 6644 4 buah','Februari 2024','Desember 2024','dinkes'),
(848,'36202742','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAU Bidang Kesehatan)','1.643.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Banner 280 gsm 12 meter Fotocopy 4400 lembar fotocopy kertas buram 200 lembar','Februari 2024','Desember 2024','dinkes'),
(849,'36202756','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','10.481.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','kue kotak 223 kotak, nasi kotak biasa 223 kotak','Januari 2024','Desember 2024','dinkes'),
(850,'36202769','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honor Pemateri Pelatihan','Januari 2024','Desember 2024','dinkes'),
(851,'36202810','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.806.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Bantuan Transportasi (Travel) Surabaya-Bondowoso 8 orang/kali, JAWA TIMUR 15 orang/hari, Penginapan Pejabat Eselon IV Golongan III, Provinsi Jawa Timur 4 orang/hari','Januari 2024','Desember 2024','dinkes'),
(852,'36203052','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA BAHAN - BAHAN BAKAR DAN PELUMAS (PAJAK ROKOK)','3.512.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PERTAMAX : 155 LITER PERTAMINA DEX : 75 LITER','Februari 2024','Desember 2024','dinkes'),
(853,'36203128','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAU Bidang Kesehatan)','17.800.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor narsum dlm satker 17 orang/jam honor narsum luar satker 48 orang/jam','Februari 2024','Desember 2024','dinkes'),
(854,'36203141','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAU Bidang Kesehatan)','2.480.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport 62 orang/kali','Februari 2024','Desember 2024','dinkes'),
(855,'36203177','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - ALAT TULIS KANTOR (PAJAK ROKOK)','4.414.400','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','FOTOCOPY : 6704 LEMBAR KERTAS 150 GRM 2 WR : 550 LEMBAR ORDNER KECIL : 4 BUAH','Februari 2024','Desember 2024','dinkes'),
(856,'36203214','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER (PAJAK ROKOK)','1.089.600','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','KERTAS HVS F4 70 GRAM :12 RIM KERTAS HVS F4 80 GRAM :4 RIM','Februari 2024','Desember 2024','dinkes'),
(857,'36203295','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA ALAT / BAHAN UNTUK KEGIATAN KANTOR - BAHAN KOMPUTER (PAJAK ROKOK)','558.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','REFILE INK DESKJET Bci 21 BLACK : 5 BUAH REFILE INK DESKJET Bci 21 COLOUR : 4 BUAH','Februari 2024','Desember 2024','dinkes'),
(858,'36203343','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','HONORARIUM TIM PELAKSANA KEGIATAN DAN SEKRETARIAT TIM PELAKSANA KEGIATAN (PAJAK ROKOK)','90.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','ANGGOTA : 120 ORANG / BULAN','Januari 2024','Desember 2024','dinkes'),
(859,'36203370','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','HONORARIUM NARASUMBER ATAU PEMBAHAS, MODERATOR, PEMBAWA ACARA DAN PANITIA (PAJAK ROKOK)','9.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','ANGGOTA : 30 ORANG / KEGIATAN','Februari 2024','Desember 2024','dinkes'),
(860,'36203462','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA (PAJAK ROKOK)','10.240.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PERJADIN PAKET MEETING DALAM KOTA (JAWA TIMUR) : 64 ORANG / HARI','Februari 2024','Desember 2024','dinkes'),
(861,'36203466','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (PAJAK ROKOK)','18.015.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex 850 liter Pertamax 200 liter','Januari 2024','Desember 2024','dinkes'),
(862,'36203545','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAU Bidang Kesehatan)','40.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 200 lembar','Februari 2024','Desember 2024','dinkes'),
(863,'36203594','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA (PAJAK ROKOK)','16.060.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','PENGINAPAN (JAWA BARAT) : 3 ORANG / HARI PERJADIN LUAR KOTA (JAWA TIMUR) : 35 ORANG / HARI','Februari 2024','Desember 2024','dinkes'),
(864,'36203607','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DBHCHT)','54.750','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 219 lembar','Februari 2024','Desember 2024','dinkes'),
(865,'36203651','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','2.088.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 3715 lembar Fotocopy kertas buram 200 lembar Banner 280 gsm 36 meter','Februari 2024','Desember 2024','dinkes'),
(866,'36203694','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (PAJAK ROKOK)','7.006.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','HVS A4 70 gr 9 rim HVS F4 70 gr 100 rim','Februari 2024','Desember 2024','dinkes'),
(867,'36203763','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','BELANJA HADIAH YANG BERSIFAT PERLOMBAAN (PAJAK ROKOK)','7.500.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 PAKET','Bondowoso (Kab.)','JUARA FORKOM 1,2,3 : 1 REGU','Maret 2024','Desember 2024','dinkes'),
(868,'36203791','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK NON FISIK-BOK KABUPATEN)','6.000.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor narsum dlm satker 12 orang/jam Honor narsum luar satker 12 orang/jam','Februari 2024','Desember 2024','dinkes'),
(869,'36203872','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK NON FISIK-BOK KABUPATEN)','18.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dlm kota 100 orang/hari bantuan transport 50 orang/hari','Januari 2024','Desember 2024','dinkes'),
(870,'36203920','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (PAJAK ROKOK)','80.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dalam kota 475 orang/hari bantuan transport 100 orang/hari','Januari 2024','Desember 2024','dinkes'),
(871,'36203979','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (PAJAK ROKOK)','21.740.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','perjadin luar kota 30 orang/hari travel 30 kali biaya taxi 10 orang/kali','Februari 2024','Desember 2024','dinkes'),
(872,'36204203','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (DAK NON FISIK-BOK KABUPATEN)','30.082.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex 900 liter Pertamax 998 liter','Februari 2024','Desember 2024','dinkes'),
(873,'36204245','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAK NON FISIK-BOK KABUPATEN)','991.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 3222 lembar Fotoocopy kertas buram 122 lembar','Februari 2024','Desember 2024','dinkes'),
(874,'36204261','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK NON FISIK-BOK KABUPATEN)','46.800.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor narsum luar satker 156 orang/jam','Februari 2024','Desember 2024','dinkes'),
(875,'36204290','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Sewa Bangunan Gedung Kantor (DAK NON FISIK-BOK KABUPATEN)','72.500.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Sewa gedung Rumah Tunggu Kelahiran (Kabupaten) Sewa gedung Rumah Tunggu Kelahiran (Kecamatan)','Januari 2024','Desember 2024','dinkes'),
(876,'36204311','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK NON FISIK-BOK KABUPATEN)','13.040.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dlm kota 75 orang/hari bantuan transport 26 orang/hari','Februari 2024','Desember 2024','dinkes'),
(877,'36204447','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (PAJAK ROKOK)','1.720.300','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamax 50 liter Pertamina Dex 57 liter','Januari 2024','Desember 2024','dinkes'),
(878,'36204453','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAU Bidang Kesehatan)','240.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 800 lembar','Maret 2024','Desember 2024','dinkes'),
(879,'36204492','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','534.900','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Banner 280 gsm 12 meter Fotocopy 723 lembar','Februari 2024','Desember 2024','dinkes'),
(880,'36204520','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (PAJAK ROKOK)','1.036.800','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','HVS F4 70gr 15 rim','Maret 2024','Desember 2024','dinkes'),
(881,'36204554','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (PAJAK ROKOK)','2.063.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Cartridge hitam 2 buah, cartridge warna 2 buah refile ink deskjet bci-21 colour 5 buah refile ink deskjet bci-21 black 5 buah','Maret 2024','Desember 2024','dinkes'),
(882,'36204570','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (PAJAK ROKOK)','17.760.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dlm kota 111 orang/hari','Januari 2024','Desember 2024','dinkes'),
(883,'36204610','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (PAJAK ROKOK)','7.260.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin luar kota 11 orang/hari travel 11 kali','Februari 2024','Desember 2024','dinkes'),
(884,'36204694','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','2.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Fotocopy 10 lembar','Maret 2024','Desember 2024','dinkes'),
(885,'36204703','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (PAJAK ROKOK)','12.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin dlm kota 75 orang/hari','Januari 2024','Desember 2024','dinkes'),
(886,'36204718','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (PAJAK ROKOK)','3.800.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Perjadin luar kota 5 orang/hari travel 7 kali','Februari 2024','Desember 2024','dinkes'),
(887,'36217271','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','9.555.500','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','dinkes'),
(888,'36217885','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Kertas dan Cover (Pajak Rokok)','972.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(889,'36217992','Pemberian Izin Praktik Tenaga Kesehatan di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','551.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Ordner, Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(890,'36218046','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Bahan Komputer ( Pajak Rokok)','1.987.500','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bahan Komputer ( Pajak Rokok)( tinta hitam dan warna )','Januari 2024','Desember 2024','dinkes'),
(891,'36218502','Pemberian Izin Praktik Tenaga Kesehatan di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Pajak Rokok)','1.620.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover (Kertas HVS F4)','Januari 2024','Desember 2024','dinkes'),
(892,'36218721','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas ,Moderator ,Pembawa Acara dan Panitia ( pajak Rokok)','7.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honor Narasumber Pertemeuan ASPAK dan Honor Narasumber Pertemuan Bimbingan ,Pengendalian dan Pengawasana Program alat Kesehatan dan Perbekalan','Januari 2024','Desember 2024','dinkes'),
(893,'36218944','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Jasa Tenaga ahli','1.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Tenaga ahli /narasumber fasilitator kabupaten','Januari 2024','Desember 2024','dinkes'),
(894,'36218978','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','266.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Ordner, Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(895,'36219185','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Pajak Rokok)','324.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover (Kertas HVS F4)','Januari 2024','Desember 2024','dinkes'),
(896,'36219764','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','14.628.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota ( Travel, Tiket Pesawat, UH, Penginapan)','Januari 2024','Desember 2024','dinkes'),
(897,'36222801','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja alat/bahan untuk kegiatan kantor - alat tulis kantor (DAK NON FISIK)(BOK KABUPATEN)','9.988.300','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Forocopy','Januari 2024','Desember 2024','dinkes'),
(898,'36223113','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia (DAK NON FISIK)(BOK KABUPATEN)','11.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia','Januari 2024','Desember 2024','dinkes'),
(899,'36223341','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Dalam Kota (DAK NON FISIK)(BOK KABUPATEN)','39.120.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','dinkes'),
(900,'36223789','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Bahan-Bahan Bakar dan Pelumas (DAK NF BOK POM)','1.498.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pemeriksaan sarana dalam rangka pengawalan pemenuhan komitmen penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga (SPP-IRT) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(901,'36224897','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','2.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Sewa kendaraan (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(902,'36225546','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Sisa pencetakan modul dan PIKP kegiatan Bimtek PKP) (DAK NF BOK POM)','9.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Sisa pencetakan modul dan PIKP kegiatan Bimtek PKP (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(903,'36225613','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota ( pajak Rokok)','25.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota dan Bantuan Transpot ( pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(904,'36225698','Pelaksanaan Sehat dalam rangka Promotif Preventif Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','160.800','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Fotocopy','Februari 2024','Desember 2024','dinkes'),
(905,'36225859','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota ( pajak Rokok)','5.670.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dinkes'),
(906,'36225916','Pelaksanaan Sehat dalam rangka Promotif Preventif Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (PAJAK ROKOK)','583.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Januari 2024','Desember 2024','dinkes'),
(907,'36226680','Pelaksanaan Sehat dalam rangka Promotif Preventif Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia (PAJAK ROKOK)','21.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia','Januari 2024','Desember 2024','dinkes'),
(908,'36226713','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Jasa pelayanan kesehatan bagi ASN','48.800','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Ap dau dan AP Pos ( dau)','Januari 2024','Desember 2024','dinkes'),
(909,'36227023','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia (DAK NON FISIK)(BOK KABUPATEN)','2.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia','Januari 2024','Desember 2024','dinkes'),
(910,'36227301','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','3.118.900','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Fotocopy (Cukai ), Fotocopy (DAU ),Fotocopy (DAU -Pos ),Fotocopy (DAU )','Januari 2024','Desember 2024','dinkes'),
(911,'36227405','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK NON FISIK)(BOK KABUPATEN)','160.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dinkes'),
(912,'36227562','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Kertas dan Cover','10.951.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover - AP (DAU)','Januari 2024','Desember 2024','dinkes'),
(913,'36227659','Administrasi Umum Perangkat Daerah','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','17.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Fotocopy','Februari 2024','Desember 2024','dinkes'),
(914,'36227847','Administrasi Umum Perangkat Daerah','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','3.999.900','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Februari 2024','Desember 2024','dinkes'),
(915,'36228402','Administrasi Umum Perangkat Daerah','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','68.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Fotocopy','Februari 2024','Desember 2024','dinkes'),
(916,'36228620','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.400.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','dinkes'),
(917,'36228839','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','85.381.900','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','dinkes'),
(918,'36228980','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','63','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN (DAU yang Ditentukan Penggunaannya Bidang Kesehatan)','Januari 2024','Desember 2024','dinkes'),
(919,'36230738','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (DAU yang ditentukan Penggunaannya Bidang Kesehatan)','250.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas (DAU yang ditentukan Penggunaannya Bidang Kesehatan)','Januari 2024','Desember 2024','dinkes'),
(920,'36230967','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas (PAJAK ROKOK)','10.740.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas (PAJAK ROKOK)','Januari 2024','Desember 2024','dinkes'),
(921,'36231251','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAU yang ditentukan Penggunaannya Bidang Kesehatan)','34.649.900','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Fotocopy','Januari 2024','Desember 2024','dinkes'),
(922,'36231624','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','3.584.600','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Alat Tulis Kantor','Februari 2024','Desember 2024','dinkes'),
(923,'36232625','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (PAJAK ROKOK)','2.684.400','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','HVS Amplop','Februari 2024','Desember 2024','dinkes'),
(924,'36232897','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (PAJAK ROKOK)','1.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Materai','Januari 2024','Desember 2024','dinkes'),
(925,'36233292','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia (DAK NON FISIK)(BOK KABUPATEN)','2.700.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia- Rakontek Kesmas','Januari 2024','Desember 2024','dinkes'),
(926,'36233657','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia (Pajak Rokok)','8.850.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator,Pembawa Acara dan Panitia-','Februari 2024','Desember 2024','dinkes'),
(927,'36234140','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Jasa Juri Perlombaan/Pertandingan (PAJAK ROKOK)','6.600.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Juri Perlombaan/Pertandingan','Februari 2024','Desember 2024','dinkes'),
(928,'36234806','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAU yang ditentukan Penggunaannya Bidang Kesehatan)','175.760.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Desember 2024','dinkes'),
(929,'36235144','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Pelengkap Pagu (Fotocopy) (Pajak Rokok)','52.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pelengkap Pagu (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(930,'36235369','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (PAJAK ROKOK)','32.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dinkes'),
(931,'36235846','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan DInas Paket Meeting Luar Kota (DAU yang ditentukan Penggunaannya Bidang Kesehatan)','153.630.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan DInas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dinkes'),
(932,'36236209','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (PAJAK ROKOK)','17.440.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan DInas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dinkes'),
(933,'36236385','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Sertifikat Piagam) (DAK NF BOK POM)','1.272.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(934,'36236695','Advokasi, Pemberdayaan, Kemitraan, Peningkatan Peran serta Masyarakat dan Lintas Sektor Tingkat Daerah Kabupaten/Kota','Belanja Hadiah Bersifat Perlombaan (PAJAK ROKOK)','16.250.000','June 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 paket','Bondowoso (Kab.)','Hadiah Lomba','Juni 2024','Desember 2024','dinkes'),
(935,'36236866','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Pelengkap Pagu (Fotocopy) (DAK NF BOK POM)','22.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pelengkap Pagu (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(936,'36237304','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (DAK NF BOK POM)','900.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pemeriksaan Sarana dalam Rangka Pengawalan Pemenuhan Komitmen Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga (SPP-IRT) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(937,'36237642','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','337.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Ordner, Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(938,'36237739','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Sisa BBM) (DAK NF BOK POM)','2.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Sisa BBM Pemeriksaan Sarana dalam Rangka Pengawalan Pemenuhan Komitmen Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga (SPP-IRT) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(939,'36238000','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','8.126.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas pertamax dan pertamina dex','Februari 2024','Desember 2024','dinkes'),
(940,'36238512','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Pajak Rokok)','129.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover (Kertas HVS F4)','Januari 2024','Desember 2024','dinkes'),
(941,'36238706','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Jasa Tenaga Kesehatan (DAU)','942.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honor Tenaga Perawat','Januari 2024','Desember 2024','dinkes'),
(942,'36238807','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (X Banner) (Pajak Rokok)','3.180.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Penyediaan Informasi Keamanan Pangan Bagi Masyarakat / Anak Sekolah (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(943,'36239060','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Jasa Tenaga Kesehatan (PAD)','360.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honor Tenaga Kesehatan','Januari 2024','Desember 2024','dinkes'),
(944,'36241691','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Jasa Tenaga Administrasi (PAD)','240.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honor Tenaga Administrasi','Januari 2024','Desember 2024','dinkes'),
(945,'36241961','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Iuaran Jaminan Kesehatan bagi Non ASN (DAU)','171.100.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Iuaran Jaminan Kesehatan bagi Non ASN (Dokter dan Perawat)','Januari 2024','Desember 2024','dinkes'),
(946,'36244476','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','18.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy, Map Kertas)','Januari 2024','Desember 2024','dinkes'),
(947,'36245203','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK Kabupaten) (Kegiatan IFK)','924.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(948,'36246346','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy dan Jilid) (AP BMHP)(SiLPA)','4.313.700','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy dan Jilid) (AP BMHP)(SiLPA) Fotocopy 8419 lembar Jilid Dan Cetak Cover Warna Dan Laminasi 120 Eksemplar','Januari 2024','Desember 2024','dinkes'),
(949,'36246929','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Fotocopy dan Jilid) (AP CUKAI)','4.586.300','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Fotocopy dan Jilid) (AP CUKAI) Jilid Dan Cetak Cover Warna Dan Laminasi 160 buah Fotocopy 7341 lembar','Januari 2024','Desember 2024','dinkes'),
(950,'36247321','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (AP BMHP)(SiLPA)','1.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (AP BMHP)(SiLPA) Materai 120 buah','Januari 2024','Desember 2024','dinkes'),
(951,'36247500','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (AP CUKAI)','1.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (AP CUKAI) Materai 160 buah','Januari 2024','Desember 2024','dinkes'),
(952,'36247665','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja alat/bahan untuk kegiatan kantor-alat tulis kantor','1.737.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat tulis kantor','Februari 2024','Desember 2024','dinkes'),
(953,'36247984','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','735.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover Kertas dan Cover','Februari 2024','Desember 2024','dinkes'),
(954,'36248135','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','177.700','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Februari 2024','Desember 2024','dinkes'),
(955,'36248561','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','156.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','Februari 2024','Desember 2024','dinkes'),
(956,'36248697','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja makanan dan minuman rapat','22.325.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja makanan dan minuman rapat','Februari 2024','Desember 2024','dinkes'),
(957,'36249150','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','906.300','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','Februari 2024','Desember 2024','dinkes'),
(958,'36249352','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','300.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','Februari 2024','Desember 2024','dinkes'),
(959,'36249643','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','260.800','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','Februari 2024','Desember 2024','dinkes'),
(960,'36249826','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','390.000','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','Februari 2024','Desember 2024','dinkes'),
(961,'36250105','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','651.200','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','Februari 2024','Desember 2024','dinkes'),
(962,'36250298','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','1.160.000','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','Maret 2024','Desember 2024','dinkes'),
(963,'36250488','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','2.163.200','March 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','Maret 2024','Desember 2024','dinkes'),
(964,'36250490','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','belanja jasa jalan/tol','3.059.500','February 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','beban jasa jalan tol','Februari 2024','Desember 2024','dinkes'),
(965,'36250797','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','795.000','June 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor- Alat Tulis Kantor','Juni 2024','Desember 2024','dinkes'),
(966,'36251180','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','468.000','June 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat/Bahan Untuk Kegiatan Kantor-Kertas dan cover','Juni 2024','Desember 2024','dinkes'),
(967,'36251443','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja perjalanan dinas paket meeting dalam kota','8.800.000','April 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','beban perjalanan dinas paket meeting dalam kota','April 2024','Desember 2024','dinkes'),
(968,'36252233','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK Kabupaten) Kegiatan Lab','11.500','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Map Kertas)','Januari 2024','Desember 2024','dinkes'),
(969,'36252881','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK Kabupaten) (Kegiatan Yankes)','2.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(970,'36253304','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Silpa) (Kegiatan PIEP)','1.326.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy, Map Kertas, Ordner Besar, Banner)','Januari 2024','Desember 2024','dinkes'),
(971,'36253630','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Pajak Rokok)','194.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover (Kertas HVS F4)','Januari 2024','Desember 2024','dinkes'),
(972,'36253823','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (BOK Kabupaten) (Kegiatan Lab)','292.500','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','dinkes'),
(973,'36254159','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Silpa) (Kegiatan PIEP)','129.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','dinkes'),
(974,'36254503','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pajak Rokok)','796.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bahan Komputer (Flasdisk)','Januari 2024','Desember 2024','dinkes'),
(975,'36254773','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (BOK Kabupaten) (Kegiatan Lab)','1.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(976,'36255006','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (BOK Kabupaten) (Kegiatan Yankes)','31.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(977,'36255340','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (BOK Kabupaten) (Kegiatan Promkes)','2.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(978,'36255644','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (SILPA) (Kegiatan PIEP)','288.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(979,'36256368','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi, dan Pengelola Website','30.450.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honor Tim Pengelola Website','Januari 2024','Desember 2024','dinkes'),
(980,'36257350','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan IFK)','28.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Paket Fullboard)','Januari 2024','Desember 2024','dinkes'),
(981,'36263063','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja perjalanan dinas paket meeting dalam kota','2.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','perjalanan dinas paket meeting dalam kota','Januari 2024','Desember 2024','dinkes'),
(982,'36263102','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja perjalanan dinas paket meeting luar kota','6.640.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','dinkes'),
(983,'36263134','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau pembahasan, moderator, pembawa acara dan panitia','7.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber atau pembahasan, moderator, pembawa acara dan panitia','Januari 2024','Desember 2024','dinkes'),
(984,'36263245','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja jasa tenaga administrasi','72.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','jasa tenaga administrasi','Januari 2024','Desember 2024','dinkes'),
(985,'36263313','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja perjalanan dinas paket meeting luar kota','50.260.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','dinkes'),
(986,'36263358','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja perjalanan dinas paket meeting dalam kota','158.120.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','belanja perjalanan dinas paket meeting dalam kota','Januari 2024','Desember 2024','dinkes'),
(987,'36263389','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja jasa tenaga laboratorium','428.480.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','belanja jasa tenaga laboratorium','Januari 2024','Desember 2024','dinkes'),
(988,'36263417','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','belanja jasa tenaga kesehatan','129.750.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','belanja jasa tenaga kesehatan','Januari 2024','Desember 2024','dinkes'),
(989,'36263434','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','honorarium penyuluhan atau pendampingan','16.750.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','honorarium penyuluhan atau pendampingan','Januari 2024','Desember 2024','dinkes'),
(990,'36263444','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau pembahasan, moderator, pembawa acara dan panitia','16.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber atau pembahasan, moderator, pembawa acara dan panitia','Januari 2024','Desember 2024','dinkes'),
(991,'36267764','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Bahan-Bahan Bakar dan Pelumas (DAK Non Fisik BOK POM)','1.498.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas (DAK Non Fisik BOK POM) Pertamax 107 Liter','Januari 2024','Desember 2024','dinkes'),
(992,'36267806','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Lembar Balik)(Pajak Rokok)','14.946.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Lembar Balik)(Pajak Rokok) Cetak Lembar Balik 47 Buah','Januari 2024','Desember 2024','dinkes'),
(993,'36267821','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Pajak Rokok)','468.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Pajak Rokok) Fotocopy 1562 lembar','Januari 2024','Desember 2024','dinkes'),
(994,'36267960','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Fotocopy) (DAK Non Fisik BOK POM)','2.190.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Fotocopy) (DAK Non Fisik BOK POM) Fotocopy ( Bimbingan Teknis Hasil Pengawasan) 5700 lembar Fotocopy ( Pelaksanaan pengawasan apotek dan toko obat terhadap pemenuhan standar dan persyaratan) 1600blembar','Januari 2024','Desember 2024','dinkes'),
(995,'36268135','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK Non Fisik BOK POM)','1.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK Non Fisik BOK POM) Narasumber \"Bimbingan Teknis Hasil Pengawasan\"','Januari 2024','Desember 2024','dinkes'),
(996,'36268611','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya (DAK Non Fisik BOK POM)','700.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya (DAK Non Fisik BOK POM) Kendaraan Roda 4 \" Bimbingan Teknis Hasil Pengawasan\"','Januari 2024','Desember 2024','dinkes'),
(997,'36268628','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik BOK POM)','53.760.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik BOK POM) -Bimbingan Teknis Hasil Pengawasan Paket full day 183 Orang / Kegiatan Bantuan transport 95 orang -Pelaksanaan pengawasan apotek dan toko obat terhadap pemenuhan standar dan persyaratan Perjadin JAWA TIMUR 160 OH Bantuan transporT 10 Orang -Pendampingan Tindakan Perbaikan dan Pencegahan (TPP)/ CAPA Bantuan transport 50 Orang','Januari 2024','Desember 2024','dinkes'),
(998,'36268638','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok)','16.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok) Perjalanan Dinas JAWA TIMUR \"Monev Penggunaan Obat Rasional (POR)\" 100 Orang / Hari','Januari 2024','Desember 2024','dinkes'),
(999,'36268964','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Perjalanan Dinas Paket Meeting Luar Kota (DAK Non Fisik BOK POM)','820.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota (DAK Non Fisik BOK POM) Beban Perjalanan Dinas Paket Meeting Luar Kota JAWA TIMUR 2 OH','Januari 2024','Desember 2024','dinkes'),
(1000,'36268982','Pemberian Izin Apotek, Toko Obat, Toko Alat Kesehatan dan Optikal, Usaha Mikro Obat Tradisional (UMOT)','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','4.100.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok) Beban Perjalanan Dinas Paket Meeting Luar Kota JAWA TIMUR 10 OH','Januari 2024','Desember 2024','dinkes'),
(1001,'36269029','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Bahan-Bahan Bakar dan Pelumas (DAK Non Fisik BOK POM)','6.664.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas (DAK Non Fisik BOK POM) - Pengawasan Iklan Pertamax 35 Liter - Pengawasan Kualitas Produk Pangan IRT Pertamax 321 Liter - Pemeriksaan Sarana Pertamax 120 Liter','Januari 2024','Desember 2024','dinkes'),
(1002,'36269562','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Bahan-Bahan Lainnya (Pembelian Sampel) (DAK Non Fisik BOK POM)','9.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan-Bahan Lainnya (Pembelian Sampel) (DAK Non Fisik BOK POM) Pembelian Sampel : 30 Sampel','Januari 2024','Desember 2024','dinkes'),
(1003,'36269599','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan ( Pajak Rokok )','13.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan ( Pajak Rokok ) Tim Monitoring dan evaluasi (Pengawasan, Pembinaan dan Sampling Makmin) : 66 Orang / Hari','Januari 2024','Desember 2024','dinkes'),
(1004,'36269609','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Jasa Tenaga Laboratorium (Pengujian sampel pangan) (DAK Non Fisik BOK POM)','87.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Laboratorium (Pengujian sampel pangan) (DAK Non Fisik BOK POM) 30 Sampel','Januari 2024','Desember 2024','dinkes'),
(1005,'36269637','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Jasa Tenaga Ahli (DAK Non Fisik BOK POM)','1.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Ahli (DAK Non Fisik BOK POM) Tenaga ahli/narasumber fasilitator kabupaten : 2 Orang / Jam','Januari 2024','Desember 2024','dinkes'),
(1006,'36269731','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Paket/Pengiriman (Jasa Pengiriman) (DAK Non Fisik BOK POM)','3.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Paket/Pengiriman (Jasa Pengiriman) (DAK Non Fisik BOK POM) 6 Orang / Kali','Januari 2024','Desember 2024','dinkes'),
(1007,'36270123','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya (Sewa Mobil) (DAK Non Fisik BOK POM)','300.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya (Sewa Mobil) (DAK Non Fisik BOK POM)','Januari 2024','Desember 2024','dinkes'),
(1008,'36270129','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan Kesling)','14.080.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (UH)','Januari 2024','Desember 2024','dinkes'),
(1009,'36270182','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan KGM)','8.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (UH)','Januari 2024','Desember 2024','dinkes'),
(1010,'36270207','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok)','1.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok) Bantuan transport \"Bimbingan Teknis Kader Keamanan Pangan\" : 40 orang','Januari 2024','Desember 2024','dinkes'),
(1011,'36270245','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan Lab)','24.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (Paket Fullboard, UH)','Januari 2024','Desember 2024','dinkes'),
(1012,'36270411','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan Promkes)','960.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (UH)','Januari 2024','Desember 2024','dinkes'),
(1013,'36270496','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Pajak Rokok)','12.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (UH)','Januari 2024','Desember 2024','dinkes'),
(1014,'36271572','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','13.622.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Luar Kota (Travel, UH, Penginapan)','Januari 2024','Desember 2024','dinkes'),
(1015,'36271839','Perencanaan Kebutuhan dan Pendayagunaan Sumber Daya Manusia Kesehatan untukUKP dan UKM di Wilayah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (BOK Kabupaten) (Kegiatan Yankes)','7.312.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Luar Kota (Travel, Penginapan)','Januari 2024','Desember 2024','dinkes'),
(1016,'36272290','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','3.943.700','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Labkesda (DAU) , Sisa AP Rehabilitasi Gedung Gudang IFK (SILPA ) , Sisa Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Januari 2024','Desember 2024','dinkes'),
(1017,'36272533','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik BOK POM)','52.520.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (DAK Non Fisik BOK POM) - Desk CAPA pelaku usaha PIRT (DAK NF BOK POM) Bantuan transport : 20 OH -Pengawasan Iklan Perjadin Dalam Daerah JAWA TIMUR 10 OH -Rapat pembahasan tindak lanjut hasil pengawasan Bantuan Transport 40 OH -Bimbingan Teknis Penilaian mandiri CPPOB IRTP bagi pelaku usaha Paket Full Day 141 orang / kegiatan Bantuan transport 70 OH -Pemeriksaan Sarana Perjadin dalam daerah JAWA TIMUR 180 OH','Januari 2024','Desember 2024','dinkes'),
(1018,'36273309','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Rumah Dinas Puskesmas Cermee','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Rumah Dinas Puskesmas Cermee','Januari 2024','Desember 2024','dinkes'),
(1019,'36273391','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pajak Rokok)','179.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy, Ordner Besar)','Januari 2024','Desember 2024','dinkes'),
(1020,'36273492','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK Kab) (Kegiatan KGM)','14.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(1021,'36273603','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK Kab) (Kegiatan Pelatihan)','14.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Alat Tulis Kantor (Fotocopy)','Januari 2024','Desember 2024','dinkes'),
(1022,'36274296','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( DAU )','12.495.400','April 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Snelhecter Map Bahan Plastik,cetak SBBK, Brief Odner, Foto Copy','April 2024','Desember 2024','dinkes'),
(1023,'36274532','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan gedung Kantor - AP Rehabilitasi Rumah Dinas Puskesmas jambesari','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Rumah Dinas Puskesmas jambesari','Januari 2024','Desember 2024','dinkes'),
(1024,'36275059','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Pajak Rokok)','518.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','dinkes'),
(1025,'36275188','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan gedung Kantor - AP Rehabilitasi Rumah Dinas Puskesmas Kademangan','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Rumah Dinas Puskesmas Kademangan','Januari 2024','Desember 2024','dinkes'),
(1026,'36275245','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (BOK Kab) (Kegiatan Pelatihan)','194.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','dinkes'),
(1027,'36275462','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gudang - AP Rehabilitasi Gedung Gudang IFK ( SILPA)','16.972.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Gedung Gudang IFK ( SILPA)','Januari 2024','Desember 2024','dinkes'),
(1028,'36275478','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pajak Rokok)','1.590.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bahan Komputer (Tinta Epson)','Januari 2024','Desember 2024','dinkes'),
(1029,'36275483','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer ( DAU )','11.704.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Tinta Epson 003,Tinta Epson','Januari 2024','Desember 2024','dinkes'),
(1030,'36275921','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (BOK Kabupaten) (Kegiatan KGM)','50.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(1031,'36276106','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Pajak Rokok)','98.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(1032,'36276401','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota ( DAU )','12.300.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dinkes'),
(1033,'36276549','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Sertifikat/ piagam ) (DAK Non Fisik BOK POM)','1.484.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Sertifikat/ piagam ) (DAK Non Fisik BOK POM) 140 lembar','Januari 2024','Desember 2024','dinkes'),
(1034,'36276629','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota ( DAU )','29.120.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dinkes'),
(1035,'36277767','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahasan, Moderator, Pembawa Acara, dan Panitia (Pajak Rokok)','1.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber','Januari 2024','Desember 2024','dinkes'),
(1036,'36278003','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (DAK Non Fisik BOK POM)','2.712.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy) (DAK Non Fisik BOK POM) - Bimbingan Teknis Penilaian mandiri CPPOB IRTP bagi pelaku usaha Fotocopy 6720 lembar - Pemeriksaan Sarana (Pencetakan Blangko BAP Pemeriksaan Sarana) Fotocopy 1200 lembar - Pemeriksaan Sarana (Pencetakan Blangko Template Dokumen Produksi) Fotocopy 1120 lembar','Januari 2024','Desember 2024','dinkes'),
(1037,'36278200','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas ( DAU )','12.780.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex','Januari 2024','Desember 2024','dinkes'),
(1038,'36278235','Pemeriksaan dan Tindak Lanjut Hasil Pemeriksaan Post Market pada Produksi dan Produk Makanan Minuman Industri Rumah Tangga','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Buku Materi) (DAK Non Fisik BOK POM)','18.020.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Buku Materi) (DAK Non Fisik BOK POM) 340 buah','Januari 2024','Desember 2024','dinkes'),
(1039,'36278725','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Telepon','70.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Tagihan Telepon','Januari 2024','Desember 2024','dinkes'),
(1040,'36278899','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','8.912.310','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Tagihan Air','Januari 2024','Desember 2024','dinkes'),
(1041,'36278938','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan sekertariat Tim Pelaksana Kegiatan','58.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Tim Penguji','Januari 2024','Desember 2024','dinkes'),
(1042,'36279043','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','323.842.185','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','dinkes'),
(1043,'36279326','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kesehatan','486.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Bidan Ponkesdes','Januari 2024','Desember 2024','dinkes'),
(1044,'36279384','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan (BOK Kabupaten) (Pelatihan ANC)','2.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pulsa/Biaya Komunikasi','Januari 2024','Desember 2024','dinkes'),
(1045,'36279778','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Kursus Singkat/Pelatihan (BOK Kabupaten) (Pelatihan)','783.200.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Biaya Pelatihan','Januari 2024','Desember 2024','dinkes'),
(1046,'36279817','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','21.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium pramukantor dan petugas kebersihan','Januari 2024','Desember 2024','dinkes'),
(1047,'36279993','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','48.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium petugas penjaga malam','Januari 2024','Desember 2024','dinkes'),
(1048,'36280036','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum Honor Tenaga Stok Upname ( DAU )','21.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor Tenaga Stok Upname','Januari 2024','Desember 2024','dinkes'),
(1049,'36280162','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Sopir','349.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium sopir dan sopir ambulance','Januari 2024','Desember 2024','dinkes'),
(1050,'36280595','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( BOK )','4.018.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Lakban, Gunting, Spidol, Foto Copy','Januari 2024','Desember 2024','dinkes'),
(1051,'36280710','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Kursus Singkat/Pelatihan (Pajak Rokok)','18.500.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Biaya Pelatihan','Januari 2024','Desember 2024','dinkes'),
(1052,'36281026','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor ( BOK )','4.194.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Karung besar, Plastik Klip, Tali rafia','Januari 2024','Desember 2024','dinkes'),
(1053,'36281455','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover ( BOK )','3.952.800','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Kertas HVS','Januari 2024','Desember 2024','dinkes'),
(1054,'36281773','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas ( BOK )','22.983.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex','Januari 2024','Desember 2024','dinkes'),
(1055,'36283869','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Pemeliharaan Komputer-Komputer Unit-Komputer Jaringan (Pajak Rokok)','3.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Pemeliharaan Website Sipnakes','Januari 2024','Desember 2024','dinkes'),
(1056,'36284152','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK Kabupaten) (Kegiatan KGM)','33.360.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Dalam Kota (Uh, Bantuan Transport)','Januari 2024','Desember 2024','dinkes'),
(1057,'36284660','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pajak Rokok)','21.036.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Luar Kota ( UH, Travel, Tiket Pesawat, Penginapan)','Januari 2024','Desember 2024','dinkes'),
(1058,'36284785','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','49.920.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','dinkes'),
(1059,'36284922','Pengembangan Mutu dan Peningkatan Kompetensi Teknis Sumber Daya ManusiaKesehatan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota (BOK Kab) (Pelatihan)','88.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Paket Meeting Luar Kota (Travel, UH)','Januari 2024','Desember 2024','dinkes'),
(1060,'36285065','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Paket/Pengiriman ( BOK )','18.517.000','June 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Belanja Paket/Pengiriman','Juni 2024','Desember 2024','dinkes'),
(1061,'36285218','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum ( BOK )','52.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1 Paket','Bondowoso (Kab.)','Honor Tenaga Bongkar dan Muat','Januari 2024','Desember 2024','dinkes'),
(1062,'36304466','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','16.164.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1063,'36313361','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','787.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Tenaga K1, Tenaga K2, Tenaga Administrasi Umum, Petugas Fround Offis','Januari 2024','Desember 2024','dinkes'),
(1064,'36313409','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Informasi dan Tekhnologi','36.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Honorarium Tenaga Informasi dan Tekhnologi','Januari 2024','Desember 2024','dinkes'),
(1065,'36323650','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (DAK NF BOK POM)','14.400.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (Narasumber / tenaga ahli Pansel Kabupaten) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(1066,'36323910','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Jasa Tenaga Ahli (Pajak Rokok)','9.500.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (Tenaga ahli/narasumber fasilitator kabupaten) (Pajak Rokok)','Januari 2024','Desember 2024','dinkes'),
(1067,'36325625','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport) (DAK NF BOK POM)','9.600.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (Bantuan transport) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(1068,'36326399','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Perjalanan Dinas Dalam Kota) (DAK NF BOK POM)','28.800.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Pemeriksaan sarana dalam rangka pengawalan pemenuhan komitmen penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga (SPP-IRT) (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(1069,'36326878','Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga dan Nomor P','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Perjalanan Dinas Dalam Kota) (DAK NF BOK POM)','27.840.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Pendampingan pemenuhan CAPA (DAK NF BOK POM)','Januari 2024','Desember 2024','dinkes'),
(1070,'36344506','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan Bakar dan Pelumas','138.295.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Oli mesin roda 4, Pertamax, Pertamina Dex','Januari 2024','Desember 2024','dinkes'),
(1071,'36377011','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Jasa pelayanan kesehatan bagi ASN','713.400','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','ATK DAN SISA REHABILITASI PUSTU TANGSIL KULON','Januari 2024','Desember 2024','dinkes'),
(1072,'36377292','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','122.800','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Atk dan Sisa AP rehabilitasi Pustu Tangsil kulon','Januari 2024','Desember 2024','dinkes'),
(1073,'36378636','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Alat /Bahan untuk Kegiatan Kantor - Kertas dan Cover','972.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Kertas','Januari 2024','Desember 2024','dinkes'),
(1074,'36386992','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','4.939.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Januari 2024','Desember 2024','dinkes'),
(1075,'36387167','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Sempol','6.016.600','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Sempol','Januari 2024','Desember 2024','dinkes'),
(1076,'36387688','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Sewa Bangunan Gedung Kantor - Puskesmas Prajekan','15.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Puskesmas Prajekan','Januari 2024','Desember 2024','dinkes'),
(1077,'36388018','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Sewa Bangunan Gedung Kantor - Puskesmas Sempol','15.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','Puskesmas Sempol','Januari 2024','Desember 2024','dinkes'),
(1078,'36389220','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Sewa Bangunan Gedung Kantor - Sewa Gedung kantor (DBH CHT )','60.000.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','2','Bondowoso (Kab.)','Sewa Puskesmas Prajekan dan Sewa Puskesmas Sempol','Januari 2024','Desember 2024','dinkes'),
(1079,'36390179','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Kotakulon (Dau Kesehatan )','16.164.000','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Kotakulon (Dau Kesehatan )','Januari 2024','Desember 2024','dinkes'),
(1080,'36391092','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Bendoarum ( Wonosari) (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Pembantu Bendoarum ( Wonosari)','Januari 2024','Desember 2024','dinkes'),
(1081,'36392673','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Gunosari ( Tlogosari) (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Pembantu Gunosari ( Tlogosari) (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1082,'36392900','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Grujugan ) (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','- AP Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Grujugan ) (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1083,'36393517','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Wonoboyo ( Klabang) (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Pembantu Wonoboyo ( Klabang) (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1084,'36393941','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Pembantu Wonokerto ( Klabang) (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Pembantu Wonokerto ( Klabang) (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1085,'36394302','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Sempol (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Sempol (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1086,'36394496','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten/Kota','Belanja Modal Bangunan Gedung Kantor - AP Rehabilitasi Puskesmas Tamanan (DBH CHT )','3.971.200','January 2024','Kab. Bondowoso','Dinas Kesehatan','1','Dinas Kesehatan','2024','1','Bondowoso (Kab.)','AP Rehabilitasi Puskesmas Tamanan (DBH CHT )','Januari 2024','Desember 2024','dinkes'),
(1087,'35909070','Pengelolaan e-government Di Lingkup Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.556.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskominfo'),
(1088,'35909485','Pengelolaan e-government Di Lingkup Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','36.748.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskominfo'),
(1089,'35921380','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','21.724.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : Penginapan golongan I/III Prov Jawa timur (2 org/hr), Jawa timur (34 org/hr), Penginapan pejabat eselon III/Golongan IV Jawa timur','Januari 2024','Desember 2024','diskominfo'),
(1090,'35922224','Administrasi Keuangan Perangkat Daerah','Belanja Gaji Pokok PNS','1.552.999.200','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Gaji Pokok PNS','Januari 2024','Desember 2024','diskominfo'),
(1091,'35922658','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Keluarga PNS','160.685.100','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan Keluarga PNS','Januari 2024','Desember 2024','diskominfo'),
(1092,'35923205','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Jabatan PNS','110.957.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan Jabatan PNS','Januari 2024','Desember 2024','diskominfo'),
(1093,'35923875','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Fungsional PNS','99.792.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan Fungsional PNS','Januari 2024','Desember 2024','diskominfo'),
(1094,'35924633','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Fungsional Umum PNS','30.800.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan Fungsional Umum PNS','Januari 2024','Desember 2024','diskominfo'),
(1095,'35925139','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan Beras PNS','98.143.600','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan Beras PNS','Januari 2024','Desember 2024','diskominfo'),
(1096,'35925876','Administrasi Keuangan Perangkat Daerah','Belanja Tunjangan PPh/Tunjangan Khusus PNS','9.637.600','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tunjangan PPh/Tunjangan Khusus PNS','Januari 2024','Desember 2024','diskominfo'),
(1097,'35926320','Administrasi Keuangan Perangkat Daerah','Belanja Pembulatan Gaji PNS','19.100','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Pembulatan Gaji PNS','Januari 2024','Desember 2024','diskominfo'),
(1098,'35926498','Administrasi Keuangan Perangkat Daerah','Belanja Iuran Jaminan Kesehatan PNS','74.217.700','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan PNS','Januari 2024','Desember 2024','diskominfo'),
(1099,'35926646','Administrasi Keuangan Perangkat Daerah','Belanja Iuran Jaminan Kecelakaan Kerja PNS','3.727.200','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja PNS','Januari 2024','Desember 2024','diskominfo'),
(1100,'35927055','Administrasi Keuangan Perangkat Daerah','Belanja Iuran Jaminan Kematian PNS','11.181.600','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kematian PNS','Januari 2024','Desember 2024','diskominfo'),
(1101,'35946905','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','71.324.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : - Belanja Perjalanan Dinas Paket Meeting Luar Kota Yogyakarta + Spesifikasi : Penginapan Pejabat Eselon II, Provinsi DI Yogyakarta (4 Orang / Hari) Rp. 2.695.000 + Spesifikasi : Penginapan Pejabat Eselon IV/Golongan III, Provins... (1 Orang / Hari) Rp. 845.000 + Spesifikasi : D.I. YOGYAKARTA (4 Orang / Hari) Rp. 420.000 - Belanja Perjalanan Dinas Paket Meeting Luar Kota DKI Jakarta Spesifikasi : + Spesifikasi : Penginapan Pejabat Eselon IV/Golongan III, DKI Jakarta (1 Orang / Hari) Rp. 730.000 + Spesifikasi : D.K.I. JAKARTA (2 Orang / Hari) Rp. 530.000 + Spesifikasi : PenginapanPejabat Eselon II, DKI Jakarta (2 Orang / Hari) Rp. 1.490.000 + Spesifikasi : Penginapan Pejabat Eselon IV/Golongan III, Provins... (1 Orang / Hari) Rp. 600.000 + Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... (1 Orang / Hari) Rp. 954.000 + Spesifikasi : JAWA TENGAH (8 Orang / Hari) Rp. 370.000 + Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Tengah (4 Orang / Hari) Rp. 1.480.000 - Belanja Perjalanan Dinas Paket Meeting Luar Kota Jawa Timur Spesifikasi : + Spesifikasi : Pejnginapan Peabat Eselon IV Golongan III, Provinsi... (2 Orang / Hari) Rp. 664.000 + Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... (2 Orang / Hari) Rp. 1.076.000 + Spesifikasi : Sopir luar Luar Daerah dalam Provinsi jawa Timur G... (12 Orang / Hari) Rp. 300.000 + Spesifikasi : JAWA TIMUR (16 Orang / Hari) Rp. 410.000 + Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Timur (15 Orang / Hari) Rp. 1.605.000 - Uang Representasi Spesifikasi : + Spesifikasi : Uang Representasi Pejabat Eselon II (34 Orang / Hari) Rp. 150.000','Januari 2024','Desember 2024','diskominfo'),
(1102,'35952918','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','509.600.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','- Belanja Jasa Tenaga Administrasi + Spesifikasi : Honorarium Administrasi Umum (108 Orang / Bulan) Rp. 1.500.000 = Rp. 162.000.000 - Honor Tidak tetap Administrasi Radio + Spesifikasi : Honor Tidak tetap Administrasi Radio (96 Orang / Bulan) Rp. 400.000 = Rp. 38.400.000 - Tunjangan Daerah Terpencil + Spesifikasi : Tunjangan Daerah Terpencil (84 Orang / Bulan) Rp. 300.000 = Rp. 25.200.000 - Honor Tenaga K1 + Spesifikasi : K1 (84 Orang / Bulan) Rp. 2.200.000 = Rp. 184.800.000 - Honor Tenaga K2 + Spesifikasi : K2 (36 Orang / Bulan) Rp. 2.200.000 = Rp. 79.200.000 - Tunjangan Hari Raya (K1 dan K2) + Spesifikasi : Uang Tunjangan Hari Raya (THR ) K2 dan K1 (20 Orang / Bulan) 1.000.000 = Rp. 20.000.000','Januari 2024','Desember 2024','diskominfo'),
(1103,'35953005','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','109.500.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Operator Komputer Spesifikasi : Operator (8760 Orang / Jam) Rp.12.500 = Rp. 109.500.000','Januari 2024','Desember 2024','diskominfo'),
(1104,'35953064','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','30.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Kebersihan - Honorarium Petugas Kebersihan + Spesifikasi : Honorarium Petugas Kebersihan (12 Orang / Bulan) Rp. 1.000.000 = Rp. 12.000.000 + Spesifikasi : Honor Petugas Kebersihan (12 Orang / Bulan) Rp. 1.500.000 = Rp. 18.000.00','Januari 2024','Desember 2024','diskominfo'),
(1105,'35953087','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','18.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Keamanan Beban Jasa Tenaga Keamanan Spesifikasi : Honorarium Petugas Penjaga Malam (12 Orang / Bulan) Rp. 1.500.000 = Rp. 18.000.000','Januari 2024','Desember 2024','diskominfo'),
(1106,'35953109','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Supir','17.393.500','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Supir + Spesifikasi : Honorarium Sopir/Driver (12 Orang / Bulan) Rp. 1.000.000= Rp. 12.000.000 + Spesifikasi : Sopir / Driver (469 Orang / Jam) Rp. 11.500 = Rp. 5.393.500','Januari 2024','Desember 2024','diskominfo'),
(1107,'35953129','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Informasi dan Teknologi','227.400.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Informasi dan Teknologi - Honor Tenaga IT + Spesifikasi : Honor Tenaga IT (12 Orang / Bulan) Rp. 2.250.000 = Rp. 27.000.000 - Honorarium Tenaga Multi Media ( S1 ) + Spesifikasi : Honorarium Tenaga Multi Media (S1 ) (72 Orang / Bulan) Rp. 2.500.000 = Rp. 180.000.000 - Honorarium Tenaga Multimedia + Spesifikasi : Honorarium Tenaga Multimedia (12 Orang / Bulan) Rp. 1.700.000 = Rp. 20.400.000','Januari 2024','Desember 2024','diskominfo'),
(1108,'35953146','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Konversi Aplikasi/Sistem Informasi','288.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Konversi Aplikasi/Sistem Informasi Spesifikasi : Honorarium Tenaga IT (144 Orang / Bulan) Rp. 2.000.000 = Rp. 288.000.000','Januari 2024','Desember 2024','diskominfo'),
(1109,'35953152','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','9.072.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN Spesifikasi : Premi Asuransi Ketenagakerjaan (756 Orang / Bulan) Rp. 12.000 Rp. 9.072.000','Januari 2024','Desember 2024','diskominfo'),
(1110,'35954385','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','150.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum Spesifikasi : Tukang Cat (2 Orang / Hari) Rp. 75.000 = Rp. 150.000','Januari 2024','Desember 2024','diskominfo'),
(1111,'35958313','Penyelenggaraan Statistik Sektoral di Lingkup Daerah Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','50.400.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan : Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan Spesifikasi : Tim Monitoring dan evaluasi 42 x 6 Orang Kali 200.000 0 % Rp. 50.400.000','Januari 2024','Desember 2024','diskominfo'),
(1112,'35958372','Penyelenggaraan Statistik Sektoral di Lingkup Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.970.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota : - Beban Perjalanan Dinas Biasa + Spesifikasi : Uang Representasi (Pejabat Eselon II) 2 Orang / Hari 150.000 0 % Rp. 300.000 - Beban Perjalanan Dinas Paket Meeting Luar Kota + Spesifikasi : JAWA TIMUR 28 Orang / Hari 410.000 0 % Rp. 11.480.000 - Penginapan Pejabat Eselon IVGolongan III, Provinsi Jawa Timur Beban Perjalanan Dinas Paket Meeting Luar Kota + Spesifikasi : Pejnginapan Peabat Eselon IV Golongan III, Provinsi... 2 Orang / Hari 664.000 0 % Rp. 1.328.000 -Penginapan Pejabat Eselon III/Golongan IV, Provinsi Jawa Timur Beban Perjalanan Dinas Paket Meeting Luar Kota + Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... 2 Orang / Hari 1.076.000 0 % Rp. 2.152.000 - Penginapan Pejabat Eselon II, Provinsi Jawa Timur Beban Perjalanan Dinas Paket Meeting Luar Kota + Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Timur 2 Orang / Hari 1.605.000 0 % Rp. 3.210.000 - Sopir luar Luar Daerah dalam Provinsi jawa Timur Gol.II Beban Perjalanan Dinas Paket Meeting Luar Kota + Spesifikasi : Sopir luar Luar Daerah dalam Provinsi jawa Timur G... 10 Orang / Hari 250.000 0 % Rp. 2.500.000','Januari 2024','Desember 2024','diskominfo'),
(1113,'35958765','Penyelenggaraan Statistik Sektoral di Lingkup Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Spesifikasi : Pejabat Eselon II/yang disetarakan 3 Orang / Jam 1.000.000 0 % Rp. 3.000.000','Januari 2024','Desember 2024','diskominfo'),
(1114,'35958780','Penyelenggaraan Statistik Sektoral di Lingkup Daerah Kabupaten/Kota','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Operator Komputer [ - ] Honor Operator Pengolah Data SATU DATA BONDOWOSO Beban Jasa Tenaga Operator Komputer Spesifikasi : Honorarium Pengolah Data 2 x 12 Orang Bulan 500.000 0 % Rp. 12.000.000','Januari 2024','Desember 2024','diskominfo'),
(1115,'35958886','Penyelenggaraan Statistik Sektoral di Lingkup Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','38.928.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota : - Spesifikasi : JAWA TIMUR 16 Orang / Hari 410.000 0 % Rp. 6.560.000 - Spesifikasi : Penginapan Pejabat Eselon IV Golongan III, Provins... 4 Orang / Hari 664.000 0 % Rp. 2.656.000 - Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... 3 Orang / Hari 1.076.000 0 % Rp. 3.228.000 - Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Timur 2 Orang / Hari 1.605.000 0 % Rp. 3.210.000 - Spesifikasi : Sopir luar Luar Daerah dalam Provinsi jawa Timur G... 10 Orang / Hari 250.000 0 % Rp. 2.500.000 - Spesifikasi : D.K.I. JAKARTA 6 Orang / Hari 530.000 0 % Rp. 3.180.000 - Spesifikasi : PenginapanPejabat Eselon II, DKI Jakarta 1 Orang / Hari 1.490.000 0 % Rp. 1.490.000 - Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, DKI Jak... 2 Orang / Hari 992.000 0 % Rp. 1.984.00 - Spesifikasi : tiket pesawat pp jakarta surabaya Ekonomi 5 Orang / Hari 2.674.000 0 % Rp. 13.370.000 - Spesifikasi : Uang Representasi (Pejabat Eselon II) 5 Orang / Hari 150.000 0 % Rp. 750.000','Januari 2024','Desember 2024','diskominfo'),
(1116,'35962550','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','11.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia - Spesifikasi : Pejabat Eselon II/yang disetarakan 5 Orang / Jam 1.000.000 0 % Rp. 5.000.000 - Spesifikasi : Anggota 2 x 5 Orang Kegiatan 600.000 0 % Rp. 6.000.000','Januari 2024','Desember 2024','diskominfo'),
(1117,'35963005','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','23.552.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota : - Spesifikasi : Uang Representasi (Pejabat Eselon II) 2 Orang / Hari 150.000 0 % Rp. 300.000 - Spesifikasi : JAWA TIMUR 25 Orang / Hari 410.000 0 % Rp. 10.250.000 - Spesifikasi : Penginapan Pejabat Eselon IV Golongan III, Provins... 10 Orang / Hari 664.000 0 % Rp. 6.640.000 - Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... 2 Orang / Hari 1.076.000 0 % Rp. 2.152.000 - Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Timur 2 Orang / Hari 1.605.000 0 % Rp. 3.210.000 - Spesifikasi : Sopir luar Luar Daerah dalam Provinsi jawa Timur G... 4 Orang / Hari 250.000 0 % Rp. 1.000.000','Januari 2024','Desember 2024','diskominfo'),
(1118,'35965118','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.050.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 5 Orang / Hari 410.000 0 % Rp. 2.050.000','Januari 2024','Desember 2024','diskominfo'),
(1119,'35979361','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.050.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 5 Orang / Hari 410.000 0 % Rp. 2.050.000','Januari 2024','Desember 2024','diskominfo'),
(1120,'35986547','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','17.400.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia - Spesifikasi : Pejabat Eselon II/yang disetarakan 3 Orang / Jam 1.000.000 0 % Rp. 3.000.000 - Spesifikasi : Anggota 2 x 12 Orang Bulan 600.000 0 % Rp. 14.400.000','Januari 2024','Desember 2024','diskominfo'),
(1121,'35988273','Penyelenggaraan Persandian untuk Pengamanan Informasi Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','53.735.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota : - Spesifikasi : Uang Representasi (Pejabat Eselon II) 6 Orang / Hari 150.000 0 % Rp. 900.000 - Spesifikasi : D.K.I. JAKARTA 15 Orang / Hari 530.000 0 % Rp. 7.950.000 - Spesifikasi : PenginapanPejabat Eselon II, DKI Jakarta 1 Orang / Hari 1.490.000 0 % Rp. 1.490.000 - Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, DKI Jak... 4 Orang / Hari 992.000 0 % Rp. 3.968.000 - Spesifikasi : tiket pesawat pp jakarta surabaya Ekonomi 4 Orang / Hari 2.674.000 0 % Rp. 10.696.000 - Spesifikasi : JAWA TIMUR30 Orang / Hari 410.000 0 % Rp. 12.300.000 - Spesifikasi : Penginapan Pejabat Eselon IV Golongan III, Provins... 8 Orang / Hari 664.000 0 % Rp. 5.312.000 - Spesifikasi : Penginapan Pejabat Eselon III/Golongan IV, Provins... 4 Orang / Hari 1.076.000 0 % Rp. 4.304.000 - Spesifikasi : Penginapan Pejabat Eselon II, Provinsi Jawa Timur 3 Orang / Hari 1.605.000 0 % Rp. 4.815.000','Januari 2024','Desember 2024','diskominfo'),
(1122,'36007788','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','24.600.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 60 Orang / Hari 410.000 0 % Rp. 24.600.000','Januari 2024','Desember 2024','diskominfo'),
(1123,'36012367','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Paniti Spesifikasi : Nara sumber / tenaga ahli Pansel kabupaten 2 Orang / Jam 400.000 0 % Rp. 800.000','Januari 2024','Desember 2024','diskominfo'),
(1124,'36012636','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi : JAWA TIMUR 20 Orang / Hari 160.000 0 % Rp. 3.200.000','Januari 2024','Desember 2024','diskominfo'),
(1125,'36015814','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi : JAWA TIMUR 15 Orang / Hari 160.000 0 % Rp. 2.400.000','Januari 2024','Desember 2024','diskominfo'),
(1126,'36016312','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','14.350.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 35 Orang / Hari 410.000 0 % Rp. 14.350.000','Januari 2024','Desember 2024','diskominfo'),
(1127,'36033213','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','18.450.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia : - Spesifikasi : Honorarium Pemandu acaraSiaran Bulan Suci Ramadhan 180 Orang / Jam 40.000 0 % Rp. 7.200.000 - Spesifikasi : Pemandu acara /Moderator 55 Orang / Kegiatan 150.000 0 % Rp. 8.250.000 - Spesifikasi : Pemandu acara /Moderator Siaran Mimbar Agama Islam 100 Orang / Jam 30.000 0 % Rp. 3.000.000','Januari 2024','Desember 2024','diskominfo'),
(1128,'36033515','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Jasa Tenaga Informasi dan Teknologi','12.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Informasi dan Teknologi Spesifikasi : Honorarium Petugas Pengolah Data Informasi 12 Orang / Bulan 1.000.000 0 % Rp. 12.000.000','Januari 2024','Desember 2024','diskominfo'),
(1129,'36033952','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','29.600.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan Spesifikasi : Honorarium Peliputan Berita Radio Mahardika 1850 Orang / Kegiatan 16.000 0 % Rp. 29.600.000','Januari 2024','Desember 2024','diskominfo'),
(1130,'36039478','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','24.600.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 60 Orang / Hari 410.000 0 % Rp. 24.600.000','Januari 2024','Desember 2024','diskominfo'),
(1131,'36044427','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.000.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Spesifikasi : Honor Pemateri Pelatihan 6 Orang / Hari 1.000.000 0 % Rp. 6.000.000','Januari 2024','Desember 2024','diskominfo'),
(1132,'36047160','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.040.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi : Bantuan transport 201 Orang 40.000 0 % Rp. 8.040.000','Januari 2024','Desember 2024','diskominfo'),
(1133,'36047318','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.774.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota - Spesifikasi : JAWA TIMUR 19 Orang / Hari 410.000 0 % Rp. 7.790.000 - Spesifikasi : Penginapan Golongan I/II, Provinsi Jawa Timur 6 Orang / Hari 664.000 0 % Rp. 3.984.000','Januari 2024','Desember 2024','diskominfo'),
(1134,'36054417','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.100.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 10 Orang / Hari 410.000 0 % Rp. 4.100.000','Januari 2024','Desember 2024','diskominfo'),
(1135,'36068155','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.800.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi : JAWA TIMUR 55 Orang / Hari 160.000 0 % Rp. 8.800.000','Januari 2024','Desember 2024','diskominfo'),
(1136,'36068506','Pengelolaan Informasi dan Komunikasi Publik Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','5.330.000','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika','1','Dinas Komunikasi dan Informatika','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi : JAWA TIMUR 13 Orang / Hari 410.000 0 % Rp. 5.330.000','Januari 2024','Desember 2024','diskominfo'),
(1137,'35974785','Pembinaan Terhadap Pengelola Sarana Distribusi Perdagangan Masyarakat di Wilayah Kerjanya','[3 30 03 2.02 0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Maret 2024','Maret 2024','diskoperindag'),
(1138,'35975170','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0004] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.300.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Februari 2024','Desember 2024','diskoperindag'),
(1139,'35975229','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','[2.17.01.2.08.0004] Belanja Jasa Tenaga Administrasi','610.800.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi','Januari 2024','Desember 2024','diskoperindag'),
(1140,'35975367','Pendidikan dan Latihan Perkoperasian Bagi Koperasi yang Wilayah Keanggotaan dalam Daerah Kabupaten/Kota','[2 17 05 2.01 0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','24.600.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Maret 2024','Maret 2024','diskoperindag'),
(1141,'35975715','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0004] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.000.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','diskoperindag'),
(1142,'35975792','Pendidikan dan Latihan Perkoperasian Bagi Koperasi yang Wilayah Keanggotaan dalam Daerah Kabupaten/Kota','[2 17 05 2.01 0001] Belanja Perjalanan Dinas Biasa','1.800.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Biasa','Maret 2024','Maret 2024','diskoperindag'),
(1143,'35975911','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','[2.17.01.2.08.0004] Belanja Jasa Tenaga Pelayanan Umum','156.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Pelayanan Umum','Januari 2024','Desember 2024','diskoperindag'),
(1144,'35976177','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[2.17.01.2.01.0007] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.990.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1145,'35976445','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0004] Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.396.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1146,'35976764','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','[2.17.01.2.08.0004] Belanja Jasa Tenaga Kebersihan','14.400.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan','Januari 2024','Desember 2024','diskoperindag'),
(1147,'35977045','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','[2.17.01.2.08.0004] Belanja Jasa Tenaga Keamanan','252.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa TenagaKeamanan','Januari 2024','Desember 2024','diskoperindag'),
(1148,'35985706','Administrasi Pendapatan Daerah Kewenangan Perangkat Daerah','[2.17.01.2.04.0007] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Bantuan transport 225 Orang / Hari','Januari 2024','Desember 2024','diskoperindag'),
(1149,'35985957','Administrasi Barang Milik Daerah pada Perangkat Daerah','[2.17.01.2.03.0005] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.480.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1150,'35986335','Administrasi Barang Milik Daerah pada Perangkat Daerah','[2.17.01.2.03.0005] Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.366.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','JAWATIMUR 31 Orang / Hari, PenginapanGolongan I/II, Provinsi Jawa Timur 4 Orang / Hari','Januari 2024','Desember 2024','diskoperindag'),
(1151,'35994228','Pendidikan dan Latihan Perkoperasian Bagi Koperasi yang Wilayah Keanggotaan dalam Daerah Kabupaten/Kota','[2 17 05 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Uang Bantuan Transport 120 Orang/Hari','Februari 2024','Maret 2024','diskoperindag'),
(1152,'35994999','Pendidikan dan Latihan Perkoperasian Bagi Koperasi yang Wilayah Keanggotaan dalam Daerah Kabupaten/Kota','[2 17 05 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Jawa Timur 6 Orang/Hari','Februari 2024','Maret 2024','diskoperindag'),
(1153,'36008244','Pemberdayaan dan Perlindungan Koperasi yang Keanggotaannya dalam Daerah Kabupaten/Kota','[2 17 06 2.01 0001] Honorarium Penyuluhan atau Pendampingan','126.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Penyuluhan atau Pendampingan, Honorarium Penyuluhan dan pendampingan','Januari 2024','Februari 2024','diskoperindag'),
(1154,'36008365','Pemberdayaan dan Perlindungan Koperasi yang Keanggotaannya dalam Daerah Kabupaten/Kota','[2 17 06 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota, Perjalanan Dalam Kota','Februari 2024','Maret 2024','diskoperindag'),
(1155,'36009138','Pemberdayaan dan Perlindungan Koperasi yang Keanggotaannya dalam Daerah Kabupaten/Kota','[2 17 06 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.600.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota, Meeting luar kota, Transportasi Jawa Timur','Maret 2024','April 2024','diskoperindag'),
(1156,'36009522','Administrasi Keuangan Perangkat Daerah','[2.17.01.2.02.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Pejabat Eselon III kebawahyang disetarakan 8 Orang / Jam','Januari 2024','Desember 2024','diskoperindag'),
(1157,'36013285','Penerbitan Izin Usaha Industri (IUI), Izin Perluasan Usaha Industri (IPUI), Izin Usaha Kawasan Industri (IUKI) dan Izin Perluasan Kawasan Industri (IPKI) Kewenangan Kabupaten/Kota','[3.31.03.2.01.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.700.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Februari 2024','Desember 2024','diskoperindag'),
(1158,'36013528','Penerbitan Izin Usaha Industri (IUI), Izin Perluasan Usaha Industri (IPUI), Izin Usaha Kawasan Industri (IUKI) dan Izin Perluasan Kawasan Industri (IPKI) Kewenangan Kabupaten/Kota','[3.31.03.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.840.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1159,'36013681','Penerbitan Izin Usaha Industri (IUI), Izin Perluasan Usaha Industri (IPUI), Izin Usaha Kawasan Industri (IUKI) dan Izin Perluasan Kawasan Industri (IPKI) Kewenangan Kabupaten/Kota','[3.31.03.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Luar Kota','13.576.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1160,'36015108','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','27.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','diskoperindag'),
(1161,'36015313','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0003] Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','15.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','Januari 2024','Desember 2024','diskoperindag'),
(1162,'36015570','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','17.760.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1163,'36015730','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Luar Kota','64.802.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1164,'36016821','Penyediaan Informasi Industri untuk Informasi Industri untuk IUI, IPUI, IUKI dan IPKI Kewenangan Kabupaten/Kota','[3.31.04.2.01.0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','diskoperindag'),
(1165,'36017224','Penyediaan Informasi Industri untuk Informasi Industri untuk IUI, IPUI, IUKI dan IPKI Kewenangan Kabupaten/Kota','[3.31.04.2.01.0001] Belanja Jasa Tenaga Operator Komputer','7.800.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1','Bondowoso (Kab.)','Belanja Jasa Tenaga Operator Komputer - Honor Petugas Pengolah data','Januari 2024','Desember 2024','diskoperindag'),
(1166,'36017593','Penyediaan Informasi Industri untuk Informasi Industri untuk IUI, IPUI, IUKI dan IPKI Kewenangan Kabupaten/Kota','[3.31.04.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.240.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1167,'36017729','Penyediaan Informasi Industri untuk Informasi Industri untuk IUI, IPUI, IUKI dan IPKI Kewenangan Kabupaten/Kota','[3.31.04.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','17.306.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1168,'36018831','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1169,'36019027','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.560.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1170,'36020885','Pembangunan dan Pengelolaan Sarana Distribusi Perdagangan','[5.1.02.02.01.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','18.000.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Februari 2024','Desember 2024','diskoperindag'),
(1171,'36021198','Pembangunan dan Pengelolaan Sarana Distribusi Perdagangan','[5.1.02.04.01.0004] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','diskoperindag'),
(1172,'36021470','Pembangunan dan Pengelolaan Sarana Distribusi Perdagangan','[5.1.02.04.01.0005] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','diskoperindag'),
(1173,'36027626','Pengendalian Harga, dan Stok Barang Kebutuhan Pokok dan Barang Penting di Tingkat Pasar Kabupaten/Kota','[3 30 04 2.02 0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Februari 2024','diskoperindag'),
(1174,'36039813','Pengendalian Harga, dan Stok Barang Kebutuhan Pokok dan Barang Penting di Tingkat Pasar Kabupaten/Kota','[3 30 04 2.02 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.400.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Maret 2024','diskoperindag'),
(1175,'36040063','Pengendalian Harga, dan Stok Barang Kebutuhan Pokok dan Barang Penting di Tingkat Pasar Kabupaten/Kota','[3 30 04 2.02 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.380.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Maret 2024','diskoperindag'),
(1176,'36040715','Pembinaan Terhadap Pengelola Sarana Distribusi Perdagangan Masyarakat di Wilayah Kerjanya','[3 30 03 2.02 0001] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.600.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Februari 2024','Juni 2024','diskoperindag'),
(1177,'36040894','Pembangunan dan Pengelolaan Sarana Distribusi Perdagangan','[5.1.02.02.01.0067] Belanja Pembayaran Pajak, Bea, dan Perizinan','32.630.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Pembayaran Pajak, Bea, dan Perizinan (Ijin Mendirikan Bangunan Pasar Kotakulon dan Tamanan)','Januari 2024','Desember 2024','diskoperindag'),
(1178,'36040957','Pembinaan Terhadap Pengelola Sarana Distribusi Perdagangan Masyarakat di Wilayah Kerjanya','[3 30 03 2.02 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','diskoperindag'),
(1179,'36041004','Pembangunan dan Pengelolaan Sarana Distribusi Perdagangan','[5.1.02.04.01.0004] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','400.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','diskoperindag'),
(1180,'36041125','Pembinaan Terhadap Pengelola Sarana Distribusi Perdagangan Masyarakat di Wilayah Kerjanya','[3 30 03 2.02 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','diskoperindag'),
(1181,'36044509','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','44.800.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Agustus 2024','diskoperindag'),
(1182,'36055418','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Belanja Makanan dan Minuman Rapat (SILPA)','9.400.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat (SILPA)','Januari 2024','Desember 2024','diskoperindag'),
(1183,'36055500','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Honorarium Narasumber (SILPA)','4.500.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber (SILPA)','Februari 2024','Desember 2024','diskoperindag'),
(1184,'36055501','Pelaksanaan Metrologi Legal, Berupa Tera, Tera Ulang, dan Pengawasan','[3 30 06 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Maret 2024','diskoperindag'),
(1185,'36055564','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Perjalanan Dinas Dalam Daerah (SILPA)','7.520.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Dalam Daerah (SILPA)','Januari 2024','Desember 2024','diskoperindag'),
(1186,'36055582','Pelaksanaan Metrologi Legal, Berupa Tera, Tera Ulang, dan Pengawasan','[3 30 06 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Maret 2024','Maret 2024','diskoperindag'),
(1187,'36055629','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Perjalanan Dinas Luar Daerah (SILPA)','22.750.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Luar Daerah (SILPA)','Januari 2024','Desember 2024','diskoperindag'),
(1188,'36056908','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','13.500.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','diskoperindag'),
(1189,'36057235','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','55.500.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','Januari 2024','Desember 2024','diskoperindag'),
(1190,'36057574','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','29.440.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1191,'36057711','Menjamin Ketersediaan Barang Kebutuhan Pokok dan Barang Penting di Tingkat Daerah Kabupaten/ Kota','[3 30 04 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Maret 2024','diskoperindag'),
(1192,'36057872','Menjamin Ketersediaan Barang Kebutuhan Pokok dan Barang Penting di Tingkat Daerah Kabupaten/ Kota','[3 30 04 2.01 0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','5.330.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Maret 2024','Maret 2024','diskoperindag'),
(1193,'36057973','Pengawasan Pupuk dan Pestisida Bersubsidi di Tingkat Daerah Kabupaten/Kota','[3 30 04 2.03 0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.920.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Desember 2024','diskoperindag'),
(1194,'36058197','Pengawasan Pupuk dan Pestisida Bersubsidi di Tingkat Daerah Kabupaten/Kota','[3 30 04 2.03 0003] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Maret 2024','Desember 2024','diskoperindag'),
(1195,'36061220','Penyusunan dan Evaluasi Rencana Pembangunan Industri Kabupaten/Kota','[3.31.02.2.01.0005] Belanja Perjalanan Dinas Paket Meeting Luar Kota','28.980.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1196,'36063115','Pengembangan Usaha Mikro dengan Orientasi Peningkatan Skala Usaha Menjadi Usaha Kecil','[2.17.08.2.01.0006] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Pelatihan Kemasan)','14.400.000','May 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','16 orang/hari','Bondowoso (Kab.)','Honorarium Narasumber untuk Pelatihan Kemasan','Mei 2024','Juni 2024','diskoperindag'),
(1197,'36064352','Pengembangan Usaha Mikro dengan Orientasi Peningkatan Skala Usaha Menjadi Usaha Kecil','[2.17.08.2.01.0006] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Pelatihan Kerupuk)','4.500.000','July 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','5 orang/hari','Bondowoso (Kab.)','Honorarium Narasumber untuk Pelatihan Kerupuk','Juli 2024','Agustus 2024','diskoperindag'),
(1198,'36064655','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0002] Belanja Perjalanan Dinas Paket Meeting Luar Kota','98.338.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Februari 2024','diskoperindag'),
(1199,'36064718','Pengembangan Usaha Mikro dengan Orientasi Peningkatan Skala Usaha Menjadi Usaha Kecil','[2.17.08.2.01.0006] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia (Bantuan)','10.800.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','12 orang/hari','Bondowoso (Kab.)','Honorarium Narasumber untuk Rapat penerimaan bantuan','Maret 2024','November 2024','diskoperindag'),
(1200,'36065225','Pengembangan Usaha Mikro dengan Orientasi Peningkatan Skala Usaha Menjadi Usaha Kecil','[2.17.08.2.01.0006] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','20.800.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','239 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota untuk Pelatihan Kemasan, pelatihan kerupuk dan bantuan','Maret 2024','November 2024','diskoperindag'),
(1201,'36065438','Pengembangan Usaha Mikro dengan Orientasi Peningkatan Skala Usaha Menjadi Usaha Kecil','[2.17.08.2.01.0006] Belanja Perjalanan Dinas Paket Meeting Luar Kota (Pelatihan Kemasan)','17.580.000','May 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','46 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota untuk Pelatihan Kemasan','Mei 2024','Juli 2024','diskoperindag'),
(1202,'36068647','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0003] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','10 orang/jam','Bondowoso (Kab.)','Honorarium narasumber kegiatan','Maret 2024','Desember 2024','diskoperindag'),
(1203,'36068805','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0005] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','12.300.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Maret 2024','Maret 2024','diskoperindag'),
(1204,'36069037','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0005] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.280.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Maret 2024','Maret 2024','diskoperindag'),
(1205,'36069248','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0003] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','120 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota kegiatan','Maret 2024','Desember 2024','diskoperindag'),
(1206,'36069426','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0005] Belanja Perjalanan Dinas Paket Meeting Luar Kota','14.210.000','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Maret 2024','Maret 2024','diskoperindag'),
(1207,'36078355','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0004] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','31.500.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','35 orang/jam','Bondowoso (Kab.)','Honorarium Kegiatan Pemberdayaan Kelembagaan Potensi Dan Pengembangan Usaha Mikro','April 2024','Desember 2024','diskoperindag'),
(1208,'36078662','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0004] Honorarium Penyuluhan atau Pendampingan','168.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','280 orang/bulan','Bondowoso (Kab.)','Honorarium Penyuluhan atau Pendampingan Kegiatan Pemberdayaan Kelembagaan Potensi Dan Pengembangan Usaha Mikro','Januari 2024','Desember 2024','diskoperindag'),
(1209,'36078861','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0004] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','17.600.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','335 orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Kegiatan Pemberdayaan Kelembagaan Potensi Dan Pengembangan Usaha Mikro','April 2024','Desember 2024','diskoperindag'),
(1210,'36078985','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0004] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','15 orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Kegiatan Pemberdayaan Kelembagaan Potensi Dan Pengembangan Usaha Mikro','April 2024','Desember 2024','diskoperindag'),
(1211,'36081259','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0002] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.400.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Beban HonorariumNarasumber atauPembahas,Moderator, PembawaAcara, dan Panitia Spesifikasi: PejabatEselon III kebawahyang disetarakan (6 orang/jam), sewaakomodasi pemateri pelatihan (2 orang/kamar)','April 2024','Desember 2024','diskoperindag'),
(1212,'36082087','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0002] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','11.920.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Beban PerjalananDinas Paket MeetingDalam Kota Spesifikasi: JAWATIMUR (62 orang/hari), Beban PerjalananDinas Paket MeetingDalam Kota Spesifikasi: uangbantuan trasport (50 orang/kegiatan)','April 2024','Desember 2024','diskoperindag'),
(1213,'36082284','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0002] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.510.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi: Bantuan Transportasi (Travel) Surabaya-Bondowoso (8 oraang/kali), Beban Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi: JAWA TIMUR (11 orang/hari)','April 2024','Desember 2024','diskoperindag'),
(1214,'36084255','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0015] Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','38.400.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber Kegiatan pelatihan','April 2024','Desember 2024','diskoperindag'),
(1215,'36084450','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0015] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.000.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Bantuan transport kegiatan pelatihan','April 2024','Desember 2024','diskoperindag'),
(1216,'36084595','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0015] Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.300.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','SPPD dan travel luar kota kegiatan pelatihan','April 2024','Desember 2024','diskoperindag'),
(1217,'36085793','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0014] Belanja Jasa Tenaga Operator Komputer','6.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','40 orang/bulan','Bondowoso (Kab.)','Honorarium Operator 40 orang/bulan','Januari 2024','Desember 2024','diskoperindag'),
(1218,'36086050','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0014] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','30 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi: JAWA TIMUR 30 orang/hari','April 2024','Desember 2024','diskoperindag'),
(1219,'36086329','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0014] Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota Spesifikasi: JAWA TIMUR 15 orang/hari','April 2024','Desember 2024','diskoperindag'),
(1220,'36103271','Administrasi Umum Perangkat Daerah','[2.17.01.2.06.0009] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','30 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota , Spesifikasi : JAWA TIMUR','Januari 2024','Desember 2024','diskoperindag'),
(1221,'36106223','Administrasi Umum Perangkat Daerah','[2.17.01.2.06.0009] Belanja Perjalanan Dinas Paket Meeting Luar Kota','145.200.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Uang Representasi Pejabat Eselon II 101 orang/hari , D.I. YOGYAKARTA 15 orang/hari , D.K.I. JAKARTA 15 orang/hari , JAWA TENGAH 13 orang/hari , JAWA TIMUR 45 orang/hari , PenginapanPejabat Eselon II DKI Jakarta 10 orang/hari , Penginapan Pejabat Eselon III/Golongan IV DKI Jakarta 10 orang/hari , Penginapan Pejabat Eselon III/Golongan IV Provinsi Jawa Tengah 9 orang/hari , Penginapan Pejabat Eselon III/Golongan IV Provinsi Jawa Timur 9 0rang/hari , Penginapan Pejabat Eselon II Provinsi DI Yogyakarta 8 orang/hari , Penginapan Pejabat Eselon II Provinsi Jawa Tengah 8 orang/hari , Penginapan Pejabat Eselon II Provinsi Jawa Timur 10 orang/hari','Januari 2024','Desember 2024','diskoperindag'),
(1222,'36111017','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[2.17.012.01.0001] Belanja Lembur','6.000.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Lembur','Januari 2024','Desember 2024','diskoperindag'),
(1223,'36111228','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[2.17.012.01.0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.680.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1224,'36111408','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','[2.17.012.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.560.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1225,'36141211','Pemeriksaan dan Pengawasan Koperasi, Koperasi Simpan Pinjam/Unit Simpan Pinjam Koperasi yang Wilayah Keanggotaannya dalam Daerah Kabupaten/ Kota','[2.17.03.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.560.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1226,'36165088','Penyelenggaraan Promosi Dagang Melalui Pameran Dagang dan Misi Dagang bagi Produk Ekspor Unggulan yang Terdapat pada 1 (Satu) Daerah Kabupaten/Kota','[3 30 05 2.01 0005] Belanja Jasa Tenaga Kesediaan dan Kebudayaan','240.000.000','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Kesediaan dan Kebudayaan','Februari 2024','Desember 2024','diskoperindag'),
(1227,'36169847','Pemeriksaan dan Pengawasan Koperasi, Koperasi Simpan Pinjam/Unit Simpan Pinjam Koperasi yang Wilayah Keanggotaannya dalam Daerah Kabupaten/ Kota,','[2.17.03.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.320.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1228,'36170180','Penilaian Kesehatan Koperasi Simpan Pinjam/Unit Simpan Pinjam Koperasi yang Wilayah Keanggotaanya dalam 1 (Satu) Daerah Kabupaten/Kota','[2.17.04.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.320.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diskoperindag'),
(1229,'36170354','Penilaian Kesehatan Koperasi Simpan Pinjam/Unit Simpan Pinjam Koperasi yang Wilayah Keanggotaanya dalam 1 (Satu) Daerah Kabupaten/Kota','[2.17.04.2.01.0001] Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.240.000','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','diskoperindag'),
(1230,'36245730','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0003] Belanja Jasa Tenaga Administrasi','500.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','5 orang/bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','April 2024','Desember 2024','diskoperindag'),
(1231,'36245983','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0004] Belanja Jasa Tenaga Administrasi','1.500.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','15 orang/bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','April 2024','Desember 2024','diskoperindag'),
(1232,'36246161','Pemberdayaan Usaha Mikro yang Dilakukan Melalui Pendataan, Kemitraan, Kemudahan Perizinan, Penguatan Kelembagaan dan Koordinasi dengan Para Pemangku Kepentingan','[2.17.07.2.01.0002] Belanja Jasa Tenaga Administrasi','500.000','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan','1','Dinas Koperasi, Perindustrian dan Perdagangan','2024','5 orang/bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','April 2024','Desember 2024','diskoperindag'),
(1233,'36196527','Rencana Perlindungan dan Pengelolaan Lingkungan Hidup (RPPLH) Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','36.769.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dlh'),
(1234,'36196528','Rencana Perlindungan dan Pengelolaan Lingkungan Hidup (RPPLH) Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.005.800','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','dlh'),
(1235,'36196529','Rencana Perlindungan dan Pengelolaan Lingkungan Hidup (RPPLH) Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.720.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dlh'),
(1236,'36196877','Pengelolaan Sampah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.300.000','March 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Maret 2024','Desember 2024','dlh'),
(1237,'36197131','Pengelolaan Sampah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','25.600.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Jawa timur','Januari 2024','Februari 2024','dlh'),
(1238,'36197203','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.174.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','dlh'),
(1239,'36197204','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dlh'),
(1240,'36197205','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','17.630.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dlh'),
(1241,'36197294','Pengelolaan Sampah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','53.604.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','dlh'),
(1242,'36197568','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','680.800','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','dlh'),
(1243,'36197569','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.020.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dlh'),
(1244,'36197570','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.360.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dlh'),
(1245,'36197942','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','1.369.900','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','dlh'),
(1246,'36197943','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.800.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dlh'),
(1247,'36197945','Pembinaan dan Pengawasan Terhadap Usaha dan/atau Kegiatan yang Izin Lingkungan dan Izin PPLH Diterbitkan oleh Pemerintah Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','5.740.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dlh'),
(1248,'36198539','Pengelolaan Sampah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.000.000','March 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','10 jam','Bondowoso (Kab.)','beban Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Maret 2024','Juni 2024','dlh'),
(1249,'36199111','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','4.984.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','dlh'),
(1250,'36199112','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','11.520.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dlh'),
(1251,'36199113','Pencegahan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.480.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dlh'),
(1252,'36199118','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','11.305.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','dlh'),
(1253,'36199119','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Kursus Singkat/Pelatihan','20.000.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Kursus Singkat/Pelatihan;','Februari 2024','Desember 2024','dlh'),
(1254,'36199120','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','13.920.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dlh'),
(1255,'36199123','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','36.570.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dlh'),
(1256,'36199125','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.250.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dlh'),
(1257,'36199127','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','18.500.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Februari 2024','Desember 2024','dlh'),
(1258,'36199129','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Bimbingan Teknis','170.000.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban bimbingan teknis;','Februari 2024','Desember 2024','dlh'),
(1259,'36199130','Penyelenggaraan Pendidikan, Pelatihan, dan Penyuluhan Lingkungan Hidup untuk Lembaga Kemasyarakatan Tingkat Daerah Kabupaten/Kota','Belanja Penghargaan atas Suatu Prestasi','14.250.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Penghargaan atas Suatu Prestasi; Beban Penghargaan atas Suatu Prestasi; Beban Penghargaan atas Suatu Prestasi; Beban Penghargaan atas Suatu Prestasi; Beban Penghargaan atas Suatu Prestasi;','Februari 2024','Desember 2024','dlh'),
(1260,'36199295','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Lembur','10.000.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Lembur; Beban Lembur; Beban Lembur; Beban Lembur; Beban Lembur; Beban Lembur;','Februari 2024','Desember 2024','dlh'),
(1261,'36199296','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.822.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dlh'),
(1262,'36199702','Pemulihan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','1.113.600','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','dlh'),
(1263,'36199703','Pemulihan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.800.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dlh'),
(1264,'36199704','Pemulihan Pencemaran dan/atau Kerusakan Lingkungan Hidup Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dlh'),
(1265,'36199832','Pengelolaan Sampah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','8.658.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Tahun','Bondowoso (Kab.)','Pekerja Semi Terlatih, Tukang Batu','Februari 2024','Juni 2024','dlh'),
(1266,'36200159','Pengelolaan Keanekaragaman Hayati Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','92.315.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','dlh'),
(1267,'36200160','Pengelolaan Keanekaragaman Hayati Kabupaten/Kota','Belanja Tagihan Listrik','200.000.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','dlh'),
(1268,'36200161','Pengelolaan Keanekaragaman Hayati Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.920.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dlh'),
(1269,'36200443','Pengelolaan Sampah','Belanja Jasa Tenaga Kebersihan','96.000.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','dlh'),
(1270,'36200444','Pengelolaan Sampah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','40.500.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','November 2024','dlh'),
(1271,'36201103','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','63.720.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dlh'),
(1272,'36201104','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dlh'),
(1273,'36201592','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','319.000.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','dlh'),
(1274,'36201593','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','60.000.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan;','Januari 2024','Desember 2024','dlh'),
(1275,'36201594','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kesehatan bagi Non ASN','45.360.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN;','Januari 2024','Desember 2024','dlh'),
(1276,'36201595','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','10.800.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN;','Januari 2024','Desember 2024','dlh'),
(1277,'36201596','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','600.000.000','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan; Beban Jasa Tenaga Kebersihan; Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','dlh'),
(1278,'36201629','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bangunan Gedung Kantor','377.300','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup','1','Dinas Lingkungan Hidup','2024','14 M2','Bondowoso (Kab.)','Bangunan Gedung Kantor;','Februari 2024','Desember 2024','dlh'),
(1279,'36069724','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Hadiah yang Bersifat Perlombaan','16.250.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Hadiah yang Bersifat Perlombaan; Beban Hadiah yang Bersifat Perlombaan; Beban Hadiah yang Bersifat Perlombaan;','April 2024','Mei 2024','disparpora '),
(1280,'36069725','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.325.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Maret 2024','April 2024','disparpora '),
(1281,'36069726','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.500.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Maret 2024','April 2024','disparpora '),
(1282,'36069727','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Jasa Juri Perlombaan/Pertandingan','1.800.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan;','Maret 2024','April 2024','disparpora '),
(1283,'36069728','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Maret 2024','disparpora '),
(1284,'36069729','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','30.650.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','April 2024','disparpora '),
(1285,'36069951','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','67.500.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','April 2024','Mei 2024','disparpora '),
(1286,'36069953','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','4.655.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Maret 2024','disparpora '),
(1287,'36069954','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','April 2024','disparpora '),
(1288,'36069956','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.200.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Mei 2024','disparpora '),
(1289,'36069957','Penyadaran, Pemberdayaan, dan Pengembangan Pemuda dan Kepemudaan Terhadap Pemuda Pelopor Kabupaten/Kota, Wirausaha Muda Pemula, dan Pemuda Kader Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','48.852.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','April 2024','disparpora '),
(1290,'36070857','Pembinaan dan Pengembangan Olahraga Prestasi Tingkat Daerah Provinsi','Belanja Bahan-Bahan Bakar dan Pelumas','7.208.600','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Januari 2024','disparpora '),
(1291,'36070858','Pembinaan dan Pengembangan Olahraga Prestasi Tingkat Daerah Provinsi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','35.670.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Maret 2024','disparpora '),
(1292,'36070859','Pembinaan dan Pengembangan Olahraga Prestasi Tingkat Daerah Provinsi','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','200.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Februari 2024','disparpora '),
(1293,'36070860','Pembinaan dan Pengembangan Olahraga Prestasi Tingkat Daerah Provinsi','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','1.500.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan;','Januari 2024','Maret 2024','disparpora '),
(1294,'36070923','Pembinaan dan Pengembangan Olahraga Rekreasi','Belanja Bahan-Bahan Bakar dan Pelumas','1.542.800','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Maret 2024','disparpora '),
(1295,'36070924','Pembinaan dan Pengembangan Olahraga Rekreasi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Maret 2024','disparpora '),
(1296,'36070925','Pembinaan dan Pengembangan Olahraga Rekreasi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.250.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Maret 2024','disparpora '),
(1297,'36070926','Pembinaan dan Pengembangan Olahraga Rekreasi','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','100.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan;','Januari 2024','Februari 2024','disparpora '),
(1298,'36071049','Pembinaan dan Pengembangan Organisasi Kepramukaan','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','100.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan;','Januari 2024','Februari 2024','disparpora '),
(1299,'36071266','Pengelolaan Kebudayaan yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','2.660.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','disparpora '),
(1300,'36071267','Pengelolaan Kebudayaan yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','disparpora '),
(1301,'36071268','Pengelolaan Kebudayaan yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Pagar','3.263.540','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','82.8309644670051 M','Bondowoso (Kab.)','Pagar;','Juni 2024','Desember 2024','disparpora '),
(1302,'36071345','Pelestarian Kesenian Tradisional yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.724.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Maret 2024','Desember 2024','disparpora '),
(1303,'36071346','Pelestarian Kesenian Tradisional yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.000.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','Desember 2024','disparpora '),
(1304,'36071347','Pelestarian Kesenian Tradisional yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.020.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','Desember 2024','disparpora '),
(1305,'36071537','Pembinaan Lembaga Adat yang Penganutnya dalam Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','12.342.400','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Juni 2024','Desember 2024','disparpora '),
(1306,'36071538','Pembinaan Lembaga Adat yang Penganutnya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.880.000','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Juni 2024','Desember 2024','disparpora '),
(1307,'36071539','Pembinaan Lembaga Adat yang Penganutnya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','14.760.000','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Juni 2024','Desember 2024','disparpora '),
(1308,'36071540','Pembinaan Lembaga Adat yang Penganutnya dalam Daerah Kabupaten/Kota','Belanja Jasa Tenaga Kesenian dan Kebudayaan','4.200.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kesenian dan Kebudayaan;','Februari 2024','Desember 2024','disparpora '),
(1309,'36071663','Pembinaan Kesenian yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','12.000.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','disparpora '),
(1310,'36071664','Pembinaan Kesenian yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','5.985.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','disparpora '),
(1311,'36071665','Pembinaan Kesenian yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','54.400.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','disparpora '),
(1312,'36072539','Pembinaan Kesenian yang Masyarakat Pelakunya dalam Daerah Kabupaten/Kota','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','50.000.000','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Agustus 2024','Desember 2024','disparpora '),
(1313,'36072606','Pembinaan Sejarah Lokal dalam 1 (Satu) Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','22.200.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Desember 2024','disparpora '),
(1314,'36072607','Pembinaan Sejarah Lokal dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','7.647.500','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','disparpora '),
(1315,'36072608','Pembinaan Sejarah Lokal dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','91.820.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','disparpora '),
(1316,'36072609','Pembinaan Sejarah Lokal dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.400.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','disparpora '),
(1317,'36072752','Penetapan Cagar Budaya Peringkat Kabupaten/Kota','Bahan Bakar dan Pelumas','1.197.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','30 Liter x 3 Kali','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Maret 2024','Desember 2024','disparpora '),
(1318,'36072753','Penetapan Cagar Budaya Peringkat Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','3.984.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','Desember 2024','disparpora '),
(1319,'36072754','Penetapan Cagar Budaya Peringkat Kabupaten/Kota','Belanja Jasa Tenaga Ahli','81.000.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli;','Maret 2024','Desember 2024','disparpora '),
(1320,'36072815','Pengelolaan Cagar Budaya Peringkat Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.990.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','April 2024','Desember 2024','disparpora '),
(1321,'36072816','Pengelolaan Cagar Budaya Peringkat Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','27.888.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','April 2024','Desember 2024','disparpora '),
(1322,'36072817','Pengelolaan Cagar Budaya Peringkat Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','50.400.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Desember 2024','disparpora '),
(1323,'36072885','Pengelolaan Cagar Budaya Peringkat Kabupaten/Kota','Pagar','1.986.550','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','50.42005076 M','Bondowoso (Kab.)','Pagar;','Juni 2024','Desember 2024','disparpora '),
(1324,'36072886','Pengelolaan Cagar Budaya Peringkat Kabupaten/Kota','Taman','2.033.750','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','22.6475501113586 M2','Bondowoso (Kab.)','Taman;','Juni 2024','Desember 2024','disparpora '),
(1325,'36072960','Pengelolaan Museum Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','3.192.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','disparpora '),
(1326,'36073112','Pengelolaan Daya Tarik Wisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','22.960.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','November 2024','disparpora '),
(1327,'36073113','Pengelolaan Daya Tarik Wisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','19.200.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','November 2024','disparpora '),
(1328,'36073276','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','1.696.000','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','942.222222222222 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Juni 2024','Agustus 2024','disparpora '),
(1329,'36073277','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','3.392.000','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1884.44444444444 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Juni 2024','Agustus 2024','disparpora '),
(1330,'36073278','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Bangunan Fasilitas Umum','3.169.275','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','35.2925946547884 M2','Bondowoso (Kab.)','Bangunan Fasilitas Umum;','Juni 2024','Agustus 2024','disparpora '),
(1331,'36073279','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Bangunan Fasilitas Umum','2.921.025','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','32.52811804 M2','Bondowoso (Kab.)','Bangunan Fasilitas Umum;','Juni 2024','Agustus 2024','disparpora '),
(1332,'36073280','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Pagar','2.471.525','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','62.7290609137056 M','Bondowoso (Kab.)','Pagar;','Juni 2024','Agustus 2024','disparpora '),
(1333,'36073281','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Pagar','2.471.525','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','62.7290609137056 M','Bondowoso (Kab.)','Pagar;','Juni 2024','Agustus 2024','disparpora '),
(1334,'36073340','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','180.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','disparpora '),
(1335,'36073341','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','9.310.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Februari 2024','Desember 2024','disparpora '),
(1336,'36073343','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.800.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','Desember 2024','disparpora '),
(1337,'36073344','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','30.344.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','disparpora '),
(1338,'36073345','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Jasa Tenaga Ahli','36.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ahli;','Januari 2024','Desember 2024','disparpora '),
(1339,'36073346','Pengelolaan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Jasa Tenaga Administrasi','163.800.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','disparpora '),
(1340,'36073496','Pemasaran Pariwisata Dalam dan Luar Negeri Daya Tarik, Destinasi dan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Langganan Jurnal/Surat Kabar/Majalah','10.000.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Langganan Jurnal/Surat Kabar/Majalah;','April 2024','Oktober 2024','disparpora '),
(1341,'36073497','Pemasaran Pariwisata Dalam dan Luar Negeri Daya Tarik, Destinasi dan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.000.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','April 2024','Oktober 2024','disparpora '),
(1342,'36073523','Pemasaran Pariwisata Dalam dan Luar Negeri Daya Tarik, Destinasi dan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','2.430.400','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Maret 2024','Desember 2024','disparpora '),
(1343,'36073524','Pemasaran Pariwisata Dalam dan Luar Negeri Daya Tarik, Destinasi dan Kawasan Strategis Pariwisata Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.480.000','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Juni 2024','Juli 2024','disparpora '),
(1344,'36073723','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Luar Kota','25.010.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Maret 2024','April 2024','disparpora '),
(1345,'36073724','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.200.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','April 2024','disparpora '),
(1346,'36073867','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Honorarium Penyuluhan atau Pendampingan','30.000.000','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan; Beban Honorarium Penyuluhan atau Pendampingan;','Mei 2024','Juni 2024','disparpora '),
(1347,'36073868','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Bahan-Bahan Bakar dan Pelumas','4.202.800','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Mei 2024','Juli 2024','disparpora '),
(1348,'36073869','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','41.280.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','September 2024','disparpora '),
(1349,'36073870','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Luar Kota','111.675.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','September 2024','disparpora '),
(1350,'36073871','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','42.800.000','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','September 2024','disparpora '),
(1351,'36073934','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','48.800.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Juni 2024','disparpora '),
(1352,'36073935','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Luar Kota','18.040.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','April 2024','Juni 2024','disparpora '),
(1353,'36073936','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','206.920.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','April 2024','Juni 2024','disparpora '),
(1354,'36073984','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','51.600.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','April 2024','Juni 2024','disparpora '),
(1355,'36073986','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','14.720.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Maret 2024','Juni 2024','disparpora '),
(1356,'36073987','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Fullboard Meeting','169.410.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','April 2024','Juni 2024','disparpora '),
(1357,'36073988','Pelaksanaan Peningkatan Kapasitas Sumber Daya Manusia Pariwisata dan Ekonomi Kreatif Tingkat Dasar','Belanja Diklat Kepemimpinan','80.000.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Diklat Kepemimpinan;','April 2024','Juni 2024','disparpora '),
(1358,'36074407','Administrasi Umum Perangkat Daerah','Belanja Langganan Jurnal/Surat Kabar/Majalah','12.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Langganan Jurnal/Surat Kabar/Majalah;','Januari 2024','Desember 2024','disparpora '),
(1359,'36074447','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','210.660.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','disparpora '),
(1360,'36074448','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','34.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','disparpora '),
(1361,'36074737','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Benda Pos;','Januari 2024','Desember 2024','disparpora '),
(1362,'36074783','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','8.000.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','disparpora '),
(1363,'36074784','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Telepon','49.200.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Telepon;','Januari 2024','Desember 2024','disparpora '),
(1364,'36074785','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','144.072.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','disparpora '),
(1365,'36074837','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pelayanan Umum Kantor','1.680.996.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Iuran Jaminan Kesehatan PNS; Beban Jasa Tenaga Kesenian dan Kebudayaan; Beban Jasa Tenaga Kesenian dan Kebudayaan; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Kebersihan; Beban Jasa Tenaga Keamanan; Beban Iuran Jaminan Kecelakaan Kerja bagi Non AS; Beban Iuran Jaminan Kematian bagi Non ASN;','Januari 2024','Desember 2024','disparpora '),
(1366,'36074872','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','114.389.600','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','disparpora '),
(1367,'36074873','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Pembayaran Pajak, Bea, dan Perizinan','20.800.000','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan;','Januari 2024','Desember 2024','disparpora '),
(1368,'36074916','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gudang','1.917.875','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','833.858695652174 M2','Bondowoso (Kab.)','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gudang;','Januari 2024','Desember 2024','disparpora '),
(1369,'36131434','Penyelenggaraan Kejuaraan Olahraga Tingkat Daerah Kabupaten/Kota','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','150.000.000','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Maret 2024','Juli 2024','disparpora '),
(1370,'36142082','Pembinaan dan Pengembangan Olahraga Pendidikan pada Jenjang Pendidikan yang Menjadi Kewenangan Daerah Kabupaten/Kota','Bangunan Gedung Tempat Olahraga','2.931.975','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','32.6500556792873 M2','Bondowoso (Kab.)','Bangunan Gedung Tempat Olahraga;','Maret 2024','Juni 2024','disparpora '),
(1371,'36149120','Pembinaan dan Pengembangan Olahraga Pendidikan pada Jenjang Pendidikan yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','5.652.500','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','disparpora '),
(1372,'36149141','Pembinaan dan Pengembangan Olahraga Pendidikan pada Jenjang Pendidikan yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.697.000','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','1','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','April 2024','Desember 2024','disparpora '),
(1373,'36007674','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','28.800.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','dpmd'),
(1374,'36007675','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','86.100.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','November 2024','dpmd'),
(1375,'36016392','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','32.000.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','dpmd'),
(1376,'36016393','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','36.490.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','November 2024','dpmd'),
(1377,'36019810','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','131.200.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','November 2024','dpmd'),
(1378,'36019811','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','60.800.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','dpmd'),
(1379,'36031158','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','23.500.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','November 2024','dpmd'),
(1380,'36031159','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.480.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','dpmd'),
(1381,'36031160','Pemberdayaan Lembaga Kemasyarakatan yang Bergerak di Bidang Pemberdayaan Desa dan Lembaga Adat Tingkat Daerah Kabupaten/Kota serta Pemberdayaan Masyarakat Hukum Adat yang Masyarakat Pelakunya Hukum Adat yang Sama dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','22.550.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','November 2024','dpmd'),
(1382,'36038805','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.160.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','dpmd'),
(1383,'36038807','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','91.840.000','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa','1','Dinas Pemberdayaan Masyarakat dan Desa','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','November 2024','dpmd'),
(1384,'35914996','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Honorarium Penyuluhan atau Pendampingan','144.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1385,'35915176','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Honorarium Penyelenggaraan Kegiatan Pendidikan dan Pelatihan','15.600.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1386,'35915362','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','15.520.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1387,'35915479','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','45.096.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1388,'35917651','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.700.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1389,'35918031','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1390,'35918160','Pelayanan Antar Kerja di Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','71.236.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1391,'35961372','Pengesahan Peraturan Perusahaan dan Pendaftaran Perjanjian Kerja Bersama Untuk Perusahaan Yang Hanya Beroperasi Dalam 1 (satu) Daerah Kabupaten/Kota','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','26.600.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1392,'35961403','Pengesahan Peraturan Perusahaan dan Pendaftaran Perjanjian Kerja Bersama Untuk Perusahaan Yang Hanya Beroperasi Dalam 1 (satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1393,'35961411','Pengesahan Peraturan Perusahaan dan Pendaftaran Perjanjian Kerja Bersama Untuk Perusahaan Yang Hanya Beroperasi Dalam 1 (satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.050.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1394,'35963638','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1395,'35963721','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','6.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1396,'35966392','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1397,'35969473','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1398,'35969613','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.948.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1399,'35973863','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','167.680.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1400,'35974207','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Jasa Tenaga Administrasi','192.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1401,'35974385','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Jasa Tenaga Operator Komputer','240.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1402,'35974532','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Jasa Tenaga Kebersihan','36.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1403,'35974655','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Jasa Tenaga Keamanan','48.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1404,'35975064','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','2.310.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1405,'35975188','Penyediaan Jasa Penunjang Urusan Pemerintahan daerah','Belanja Iuran Jaminan Kematian Bagi Non ASN','2.730.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1406,'35982974','Pelayanan Perizinan dan Non Perizinan Secara Terpadu Satu Pintu dibidang Penanaman Modal yang Menjadi Kewenangan Daerah Kabupaten/ Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.760.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Penginapan Pejabat Eselon III/Golongan IV, Provinsi Jawa timur; Pejnginapan Peabat Eselon IV/Golongan III, Provinsi jawa timur; UH Jawa Timur','Januari 2024','Desember 2024','dpmptsp'),
(1407,'35984517','Pelayanan Perizinan dan Non Perizinan Secara Terpadu Satu Pintu dibidang Penanaman Modal yang Menjadi Kewenangan Daerah Kabupaten/ Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.520.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','UH Jawa Timur','Januari 2024','Desember 2024','dpmptsp'),
(1408,'35984550','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','93.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1409,'35984893','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN, Belanja Iuran Jaminan Kematian Kerja bagi Non ASN','1.915.200','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1410,'35984894','Pelayanan Perizinan dan Non Perizinan Secara Terpadu Satu Pintu dibidang Penanaman Modal yang Menjadi Kewenangan Daerah Kabupaten/ Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.758.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Penginapan Pejabat Eselon III/Golongan IV, Provinsi jawa timur; Pejnginapan Peabat Eselon IV/Golongan III, Provinsi jawa timur; UH Jawa Timur','Januari 2024','Desember 2024','dpmptsp'),
(1411,'35985034','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Kursus Singkat/Pelatihan','81.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1412,'35985111','Pelaksanaan Pelatihan Berdasarkan Unit Kompetensi','Belanja Perjalanan Dinas Paket Meeting Luar Kota','92.380.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1413,'35987396','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1414,'35987645','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','70.716.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1415,'36013419','Administrasi Keuangan Pernagkat Daerah','Belanja Gaji Pokok PNS','2.137.149.100','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1416,'36013535','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan Keluarga PNS','211.060.200','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1417,'36013708','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan Jabatan PNS','89.089.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1418,'36013828','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan fungsional PNS','134.288.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1419,'36014002','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan Fungsional Umum PNS','56.056.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1420,'36014241','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan Beras PNS','136.062.700','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1421,'36014330','Administrasi Keuangan Pernagkat Daerah','Belanja Tunjangan PPh/Tunjangan Khusus PNS','9.240.900','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1422,'36014514','Administrasi Keuangan Pernagkat Daerah','Belanja Pembulatan Gaji PNS','35.600','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1423,'36014596','Administrasi Keuangan Pernagkat Daerah','Belanja Iuran Jaminan Kesehatan PNS','105.105.700','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1424,'36014714','Administrasi Keuangan Pernagkat Daerah','Belanja Iuran Jaminan Kecelakaan Kerja PNS','5.129.200','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1425,'36014809','Administrasi Keuangan Pernagkat Daerah','Belanja Iuran Jaminan Kematian PNS','15.387.500','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1426,'36018496','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.288.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Sesuai KAK','Januari 2024','Desember 2024','dpmptsp'),
(1427,'36060919','Pengendalian Pelaksanaan Penanaman Modal Yang Menjadi Kewenangan Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.800.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Spesifikasi : Pejabat Eselon III kebawah yang disetarakan','Januari 2024','Desember 2024','dpmptsp'),
(1428,'36061224','Pengendalian Pelaksanaan Penanaman Modal Yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','216.780.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','Paket Meeting Halfday; UH Jawa Timur;','Januari 2024','Desember 2024','dpmptsp'),
(1429,'36068696','Pengendalian Pelaksanaan Penanaman Modal Yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja honorarium Narasumber atau pembahas, Moderatot, Pembawa acara, Panitia','23.200.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Honor pembawa acara','Januari 2024','Desember 2024','dpmptsp'),
(1430,'36068879','Pengendalian Pelaksanaan Penanaman Modal Yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja honorarium penyuluhan atau pendampingan','18.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Honor pendamping','Januari 2024','Desember 2024','dpmptsp'),
(1431,'36069044','Pengendalian Pelaksanaan Penanaman Modal Yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas paket meeting dalam kota','172.832.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Halfday dan bantuan transport','Januari 2024','Desember 2024','dpmptsp'),
(1432,'36072033','Pembuatan Peta Potensi Investasi Kabupaten/Kota','Belanja Jasa tenaga kesenian dan kebudayaan','80.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Jasa konsultasi penelitian','Januari 2024','Desember 2024','dpmptsp'),
(1433,'36072429','Pembuatan Peta Potensi Investasi Kabupaten/Kota','Belanja Perjalanan Dinas paket meeting luar kota','23.265.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Penginapan Pejabat eselon III/Golongan IV provinsi jawa timur','Januari 2024','Desember 2024','dpmptsp'),
(1434,'36072694','Pembuatan Peta Potensi Investasi Kabupaten/Kota','Belanja Perjalanan Dinas paket meeting dalam kota','960.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Uang harian Jawa Timur','Januari 2024','Januari 2024','dpmptsp'),
(1435,'36088086','Penyelenggaraan Promosi Penanaman Modal yang Menjadi Kewenangan Daerah Kabupaten/Kota','Belanja Perjalanan Dinas paket meeting luar kota','375.536.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 paket','Bondowoso (Kab.)','Uang Harian Jawa Timur, Bantuan Transportasi travel Surabaya-Bondowoso, Penginapan pejabat eselon III golongan IV, eselon IV golongan III, eselon II provinsi jawa timur','Januari 2024','Desember 2024','dpmptsp'),
(1436,'36153094','Pelayanan Perizinan dan Non Perizinan Secara Terpadu Satu Pintu dibidang Penanaman Modal yang Menjadi Kewenangan Daerah Kabupaten/ Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','1','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja','2024','1 Paket','Bondowoso (Kab.)','UH Jawa Timur','Januari 2024','Desember 2024','dpmptsp'),
(1437,'35920328','Pengelolaan Pendidikan Sekolah Menengah Pertama','HIBAH LEMBAGA SWASTA','6.074.400.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Belanja Hibah Uang Dana BOS yang Diterima oleh Satdikdas Swasta','Februari 2024','November 2024','diknas'),
(1438,'35922359','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','4.280.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Mei 2024','Desember 2024','diknas'),
(1439,'35929394','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','19.200.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Perjalanan Dinas Monitoring Lembaga 6 orang x 20 lembaga','Maret 2024','Desember 2024','diknas'),
(1440,'35959327','Pengelolaan Pendidikan Sekolah Menengah Pertama','Hibah uang Penambahan Ruang Kelas Baru SMP RAUDLATUL MUSTARSIDIN','250.000.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','4','Dengan Kelompok Masyarakat','2024','1 Paket','Bondowoso (Kab.)','\"1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP\" 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Mei 2024','Agustus 2024','diknas'),
(1441,'35959338','Pengelolaan Pendidikan Sekolah Menengah Pertama','Hibah uang Penambahan Ruang Kelas Baru SMP Islam Miftahul Ulum Mandiro','100.000.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','4','Dengan Kelompok Masyarakat','2024','1 Paket','Bondowoso (Kab.)','\"1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP\" 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Mei 2024','Agustus 2024','diknas'),
(1442,'35961849','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Honorarium Narasumber, Peningkatan Kapasitas Pengelolaan Dana BOS Sekolah Menengah Pertama','2.250.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Honorarium Narasumber Bimtek peningkatan Kapasitas BOS','April 2024','Mei 2024','diknas'),
(1443,'35969102','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pemberian layanan pendampingan bagi satuan pendidikan untuk pencegahan perundungan, kekerasan, dan intoleransi','9.000.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Honor Pemateri 12 orang/hari','Februari 2024','Maret 2024','diknas'),
(1444,'35969771','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pengembangan konten digital untuk pendidikan','10.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Honor Pemateri 12 orang/kegiatan, Pejabat Eselon II/yang disetarakan 1 orang/jam','April 2024','Mei 2024','diknas'),
(1445,'35972043','Pengelolaan Pendidikan Sekolah Menengah Pertama','belanja honor, Pelatihan Penggunaan Aplikasi Bidang Pendidikan','6.750.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Honor narasumber/pemateri 9 OK','Juni 2024','Juni 2024','diknas'),
(1446,'35973903','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Jasa Juri Perlombaan/Pertandingan Pengembangan konten digital untuk pendidikan','2.700.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Honor juri 3x3 orang/hari','April 2024','Mei 2024','diknas'),
(1447,'35974921','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Pengembangan konten digital untuk pendidikan','2.400.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota 15 orang/perjalanan','April 2024','Mei 2024','diknas'),
(1448,'35976890','Pengelolaan Pendidikan Sekolah Menengah Pertama','belanja honor, Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan','8.250.000','August 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Belanja Honorarium 11 OH','Agustus 2024','September 2024','diknas'),
(1449,'35977225','Pengelolaan Pendidikan Sekolah Menengah Pertama','belanja perjalanan dinas, Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan','2.400.000','August 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','belanja perjalanan dinas dalam kota jawa timur 15 orang, Pembinaan Komunitas belajar/MGMP','Agustus 2024','September 2024','diknas'),
(1450,'35977345','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan','4.500.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Honor Pemateri 6 orang/kali','April 2024','Mei 2024','diknas'),
(1451,'35979053','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan','11.520.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Kegiatan','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota 72 orang/kali','April 2024','Mei 2024','diknas'),
(1452,'35983675','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Penyelenggaraan Proses Belajar bagi Peserta Didik','4.500.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','#Bimtek Proknis Honorarium Pemateri 2 orang/kegiatan @750.000 #Bimtek Sulingjar Honorarium Pemateri 2 orang/kegiatan @750.000 #Persiapan ANBK Honorarium Pemateri 2 orang/kegiatan @750.000','April 2024','Desember 2024','diknas'),
(1453,'35983957','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Penyelenggaraan Proses Belajar bagi Peserta Didik','4.800.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Monitoring 6 x 5 orang/ hari lembaga @160.000','April 2024','Desember 2024','diknas'),
(1454,'35984301','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar Penyelenggaraan Proses Belajar bagi Peserta Didik','300.000.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar Penyelenggaraan Yayasan SMP Islam Miftahul Hidayah 50.000.000 SMP NU 11 Cermee 100.000.000 SMP Ar Rahman Pejaten 150.000.000','Maret 2024','Desember 2024','diknas'),
(1455,'35985273','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','12.000.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium Penyusun Naskah 6 X 4 orang/hari @ 500.000','Maret 2024','Desember 2024','diknas'),
(1456,'35986623','Pengelolaan Pendidikan Sekolah Menengah Pertama','Administrasi Proyek Rehabilitasi Ruang Kelas (DAK)(Perjalanan Dinas Dalam Daerah)','8.000.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Monitoring pelaksanaan pekerjaan DAK 2024','Februari 2024','Desember 2024','diknas'),
(1457,'35999049','Penerbitan Izin PAUD dan Pendidikan Nonformal yang Diselenggarakan oleh Masyarakat','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.800.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Kegiatan Pembinaan PAUD dan Pendidikan Non Formal','Mei 2024','Desember 2024','diknas'),
(1458,'36013439','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','4.500.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium Pemateri 6 orang/hari @750.000','Maret 2024','Desember 2024','diknas'),
(1459,'36013617','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','640.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Jawa Timur Meeting dalam Kota 4 orang/hari @160.000','Maret 2024','Desember 2024','diknas'),
(1460,'36013833','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Luar Kota Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','4.920.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Jawa Timur Meeting Luar Kota 12 orang/hari @410.000','Maret 2024','Desember 2024','diknas'),
(1461,'36014757','Penerbitan Izin PAUD dan Pendidikan Nonformal yang Diselenggarakan oleh Masyarakat','Honorarium Narasumber atau pembahas, Moderator, pembawa acara dan panitia','4.600.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Nara sumber','Juni 2024','Desember 2024','diknas'),
(1462,'36015114','Penerbitan Izin PAUD dan Pendidikan Nonformal yang Diselenggarakan oleh Masyarakat','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.000.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Lainnya','Perjalanan Dinas Sub Kegiatan Penilaian Kelayakan Ususl Perizinan PAUD dan Pendidikan NonFormal yang diselenggarakan Masyarakat','Juni 2024','Desember 2024','diknas'),
(1463,'36015844','Pengelolaan Pendidikan Sekolah Menengah Pertama','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','6.750.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium pemateri 3 x 3 orang hari','Maret 2024','Desember 2024','diknas'),
(1464,'36020047','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Jasa Juri Perlombaan/Pertandingan Pembinaan Minat, Bakat dan Kreativitas Siswa','12.900.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Juri Perlombaan/Pertandingan Pembinaan Minat, Bakat dan Kreativitas Siswa #FLS2N Honor Juri 18 orang/hari @ 300.000 #O2SN Honor Juri 25 orang/hari @ 300.000','Maret 2024','Desember 2024','diknas'),
(1465,'36020404','Pengelolaan Pendidikan Sekolah Menengah Pertama','Belanja Perjalanan Dinas Paket Meeting Luar Kota Pembinaan Minat, Bakat dan Kreativitas Siswa','67.820.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota Pembinaan Minat, Bakat dan Kreativitas Siswa #FLS2N JAWA TIMUR Beban Perjalanan Dinas Paket Meeting Luar Kota 4 Orang / Hari 410.000,00 JAWA TIMUR Beban Perjalanan Dinas Paket Meeting Luar Kota 26 Orang / Hari 410.000,00 Sopir luar Luar Daerah dalam Provinsi jawa Timur G... 56 Orang / Hari 250.000 #O2SN JAWA TIMUR Beban Perjalanan Dinas Paket Meeting Luar Kota 72 Orang / Hari 410.000,00 Sopir luar Luar Daerah dalam Provinsi jawa Timur G... 48 Orang / Hari 250.000','Maret 2024','Desember 2024','diknas'),
(1466,'36024181','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','25.000.000','September 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Rehabilitasi Sedang/Berat Pembangunan Sarana, Prasarana dan Utilitas Sekolah Nonformal/Kesetaraan','September 2024','Desember 2024','diknas'),
(1467,'36024822','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Kursus Singkat/Pelatihan','8.000.000','July 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Pelatihan dan Sertifikasi Kompetensi','Juli 2024','Desember 2024','diknas'),
(1468,'36025196','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar','17.000.000','July 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Vokasi Kesetaraan','Juli 2024','Desember 2024','diknas'),
(1469,'36025519','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Jasa Tenaga Pendidikan','36.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium Guru Pamong','Januari 2024','Desember 2024','diknas'),
(1470,'36025773','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Jasa Tenaga Administrasi','120.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium tenaga administrasi pendidikan kesetaraan','Januari 2024','Desember 2024','diknas'),
(1471,'36026212','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','50.000.000','July 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah Nonformal/Kesetaraan','Juli 2024','Desember 2024','diknas'),
(1472,'36026793','Pengelolaan Pendidikan Nonformal/Kesetaraan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.200.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Juni 2024','Desember 2024','diknas'),
(1473,'36027307','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Perjalanan Dinas Paket Meeting Luar Kota','89.523.000','September 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','September 2024','Desember 2024','diknas'),
(1474,'36027787','Pengelolaan Pendidikan Nonformal/Kesetaraan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.800.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium Nara Sumber Teknis Tata Boga (SPNF SKB Bondowoso)','Februari 2024','Desember 2024','diknas'),
(1475,'36028067','Pengelolaan Pendidikan Nonformal/Kesetaraan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','33.000.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honor Teknisi Asesmen','Februari 2024','Desember 2024','diknas'),
(1476,'36028327','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Jasa Juri Perlombaan/Pertandingan','3.000.000','August 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Beban Jasa Juri Perlombaan/Pertandingan','Agustus 2024','Desember 2024','diknas'),
(1477,'36028467','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','100.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar kota','Januari 2024','Desember 2024','diknas'),
(1478,'36028714','Pengelolaan Pendidikan Nonformal/Kesetaraan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar','16.448.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Hibah Uang BOSDA Madin','Januari 2024','Desember 2024','diknas'),
(1479,'36028876','Pemerataan Kuantitas dan Kualitas Pendidik dan Tenaga Kependidikan bagi Satuan Pendidikan Dasar, PAUD, dan Pendidikan Nonformal/Kesetaraan','Honorarium Narasumber atau pembahas, Moderator, pembawa acara dan panitia','10.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Sosialisasi Disiplin Pegawai','Januari 2024','Desember 2024','diknas'),
(1480,'36029129','Pemerataan Kuantitas dan Kualitas Pendidik dan Tenaga Kependidikan bagi Satuan Pendidikan Dasar, PAUD, dan Pendidikan Nonformal/Kesetaraan','Belanja Perjalanan Dinas Biasa','6.200.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa','Januari 2024','Desember 2024','diknas'),
(1481,'36029502','Pemerataan Kuantitas dan Kualitas Pendidik dan Tenaga Kependidikan bagi Satuan Pendidikan Dasar, PAUD, dan Pendidikan Nonformal/Kesetaraan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','700.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','diknas'),
(1482,'36035102','Penetapan Kurikulum Muatan Lokal Pendidikan Anak Usia Dini dan Pendidikan Nonformal','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honor Pemateri Pelatihan','April 2024','Desember 2024','diknas'),
(1483,'36036609','Penetapan Kurikulum Muatan Lokal Pendidikan Anak Usia Dini dan Pendidikan Nonformal','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','4.500.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honorarium Tim Penyusun Silabus Mulok Pendidkan Kesetaraan','Maret 2024','Desember 2024','diknas'),
(1484,'36040700','Pengelolaan Pendidikan Sekolah Menengah Pertama','Administrasi Proyek Rehabilitasi Ruang Kelas (DAU) Perjalanan dinas dalam daerah','16.000.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Perjalanan dinas dalam daerah','Februari 2024','November 2024','diknas'),
(1485,'36041497','Penetapan Kurikulum Muatan Lokal Pendidikan Anak Usia Dini dan Pendidikan Nonformal','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','750.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 paket','Bondowoso (Kab.)','Honor Pemateri','Maret 2024','Desember 2024','diknas'),
(1486,'36054020','Pemerataan Kuantitas dan Kualitas Pendidik dan Tenaga Kependidikan bagi Satuan Pendidikan Dasar, PAUD, dan Pendidikan Nonformal/Kesetaraan','Belanja Jasa Tenaga Administrasi','4.408.800.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','diknas'),
(1487,'36060881','Administrasi Barang Milik Daerah pada Perangkat Daerah','Honorarium Tim Pelaksanan Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','750.000','February 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksanan Kegiatan dan Sekretariat Tim Pelaksanan Kegiatan','Februari 2024','Desember 2024','diknas'),
(1488,'36062946','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Pengadaan Mebel PAUD','100.000.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Pengadaan Mebel PAUD','Juni 2024','Juli 2024','diknas'),
(1489,'36065346','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau pembahas, Moderator, pembawa acara dan panitia','3.200.000','August 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Belanja Narasumber PMM PAUD, Honorarium Nst PMM PAUD','Agustus 2024','Agustus 2024','diknas'),
(1490,'36065540','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','12.000.000','August 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Monitoring dan Evaluasi PMM PAUD, Honorarium Tim Monitoring','Agustus 2024','Agustus 2024','diknas'),
(1491,'36071378','Pengelolaan Pendidikan Sekolah Menengah Pertama','belanja honor ,Pengembangan Karir Pendidik dan Tenaga Kependidikan pada Satuan Pendidikan Sekolah Menengah Pertama','7.500.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 kegiatan','Bondowoso (Kab.)','Honorarium narasumber pengembangan karir 10 OH','Mei 2024','Juni 2024','diknas'),
(1492,'36085685','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','372.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','1. Honor Tenaga Administrasi Umum ( 72 Orang / Bulan ) 2. Honor Tenaga Administrasi S1 ( 180 Orang / Bulan ) 3. Honor Tenaga Administrasi D3 ( 24 Orang / Bulan )','Januari 2024','Desember 2024','diknas'),
(1493,'36086163','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','42.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','1. Honorarium Tenaga Satpam ( 12 Orang / Bulan ) 2. Honorarium Petugas Keamanan ( 24 Orang / Bulan )','Januari 2024','Desember 2024','diknas'),
(1494,'36086764','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Sopir','12.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Sopir ( 12 Orang / Bulan )','Januari 2024','Desember 2024','diknas'),
(1495,'36087391','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','40.500.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Iuran BPJS Kesehatan Non ASN ( 27 x 12 )','Januari 2024','Desember 2024','diknas'),
(1496,'36087639','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','3.888.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Iuran Jaminan Kecelakaan Kerja Bagi Non ASN ( 324 Orang / Bulan )','Januari 2024','Desember 2024','diknas'),
(1497,'36093681','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang/Berat Pembangunan Sarana, Prasarana dan Utilitas PAUD','150.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Penerima Bantuan Lembaga Pendidikan Anak Usia Dini 2 Unit ( 3unit)','April 2024','Mei 2024','diknas'),
(1498,'36093892','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,KB Kusuma Bangsa,Pengadaan Alat Praktik dan Peraga Siswa PAUD','25.000.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Pengadaan Alat Praktik dan Peraga Siswa PAUD','Mei 2024','Mei 2024','diknas'),
(1499,'36094546','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,SATDIKPAUD ,Pengadaan Alat Praktik dan Peraga Siswa PAUD','1.085.000.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Pengadaan Alat Praktik dan Peraga Siswa PAUD','Mei 2024','Mei 2024','diknas'),
(1500,'36094879','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang/Berat Gedung/Ruang Kelas/Ruang Guru PAUD,TK Pertiwi 3 Tamanan','100.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Rehabilitasi Sedang/Berat Geduung/Rusng Kelas/Ruang Guru','April 2024','Juni 2024','diknas'),
(1501,'36094913','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang / Berat Gedung /Ruang Kelas / Ruang Guru PAUD,TK Pertiwi 3 Tamanan','90.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Rehabilitasi Sedang/Berat Geduung/Rusng Kelas/Ruang Guru','April 2024','Juni 2024','diknas'),
(1502,'36094934','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang / Berat Gedung /Ruang Kelas / Ruang Guru PAUD,PAUD Jetis Curahdami','90.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Rehabilitasi Sedang/Berat Geduung/Rusng Kelas/Ruang Guru','April 2024','Juni 2024','diknas'),
(1503,'36094949','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang/Berat Gedung/Ruang Kelas/Ruang Guru PAUD,PAUD Teratai Sumberwringin','90.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Rehabilitasi Sedang / Berat Gedung /Ruang Kelas / Ruang Guru PAUD','April 2024','Juni 2024','diknas'),
(1504,'36094965','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Rehabilitasi Sedang/Berat Gedung/Ruang Kelas/Ruang Guru PAUD,PAUD NURUL MUSTAFA','30.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Rehabilitasi Sedang/Berat Geduung/Rusng Kelas/Ruang Guru','April 2024','Juni 2024','diknas'),
(1505,'36095053','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,Pengadaan perlengkapan siswa PAUD','10.000.000','June 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Pengadaan perlengkapan siswa PAUD','Juni 2024','Juli 2024','diknas'),
(1506,'36095137','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,Penyediaan Biaya Personil Peserta Didik PAUD','25.000.000','September 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Penyediaan biaya personil peserta didik 25 siswa ( 100 siswa)','September 2024','November 2024','diknas'),
(1507,'36095364','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,Pengelolaan Dana BOP PAUD','19.809.000.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','BOSP Pendidikan Anak Usia Dini','Januari 2024','April 2024','diknas'),
(1508,'36095613','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Jasa Tenaga Pendidikan,Honorarium Guru PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','5.775.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Guru PAUD','April 2024','Desember 2024','diknas'),
(1509,'36095706','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Jasa Tenaga Pendidikan,Honorarium Guru PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','241.800.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honor guru PAUD (Transport Guru PAUD 2418 Orang / Bulan )','April 2024','Desember 2024','diknas'),
(1510,'36096369','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia,Peningkatan Kapasitas Pengelolaan Dana BOP PAUD','3.000.000','July 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honor Pemateri Pelatihan Workshop Pengelolaan Dana BOP PAUD 3 Orang / Hari','Juli 2024','Agustus 2024','diknas'),
(1511,'36098629','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','15.800.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tenaga NST PAUD 2 Orang Penaggung jawab 4 Orang Honor Pemateri Pelatihan 6 Orang Anggota 16 Orang Anggota 4 orang Ketua/Wakil Ketua 4 orang','April 2024','April 2024','diknas'),
(1512,'36098840','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','14.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Tim Monitoring dan evaluasi 70 Orang','April 2024','April 2024','diknas'),
(1513,'36098865','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia,Pelatihan Penggunaan Aplikasi Bidang Pendidikan,Pengelolaan Pendidikan Anak Usia Dini (PAUD)','3.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honor Pemateri Pelatihan 3 Orang / Hari','April 2024','Mei 2024','diknas'),
(1514,'36099040','Pengelolaan Pendidikan Sekolah Dasar','Honorarium Narasumber atau pembahas, Moderator, pembawa acara dan panitia','109.800.000','January 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia, Anggota','Januari 2024','Desember 2024','diknas'),
(1515,'36099205','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','3.400.000','October 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium instruktur Pelatihan 6 orang / jam Honorarium Tenaga NST PAUD 8 Orang / jam','Oktober 2024','Oktober 2024','diknas'),
(1516,'36099399','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota,Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan ,Pengelolaan Pendidikan Anak Usia Dini (PAUD)','3.840.000','November 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','SPPD ( Beban Perjalanan Dinas Paket Meeting Dalam Kota 8 Orang / Hari x 3 Kali )','November 2024','November 2024','diknas'),
(1517,'36099705','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Perjalanan Dinas Paket Meeting Luar Kota,Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan ,Pengelolaan Pendidikan Anak Usia Dini (PAUD)','10.920.000','November 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota JAWA TIMUR 4 Orang / Hari x 3 Kali Sopir luar Luar Daerah dalam Provinsi jawa Timur Gol. I / PTT 6 Orang / Hari x 4 Kali','November 2024','November 2024','diknas'),
(1518,'36100037','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar,Pembangunan Ruang Kelas Baru,Pengelolaan Pendidikan Anak Usia Dini (PAUD)','672.500.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Pembangunan Ruang Kelas Baru SATDIKPAUD 2 Sekolah SATDIKPAUD 1 Sekolah','April 2024','Mei 2024','diknas'),
(1519,'36100966','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pengembangan konten digital untuk pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','4.800.000','May 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tenaga NST PAUD 24 orang/jam','Mei 2024','Mei 2024','diknas'),
(1520,'36101529','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Pemeliharaan rutin sarana,prasarana dan utilitas PAUD Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah Pengelolaan Pendidikan Anak Usia Dini (PAUD)','20.000.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','Lembaga Pendidikan Anak Usia Dini 10 Lembaga (2kali pekerjaan)','April 2024','Mei 2024','diknas'),
(1521,'36104280','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar TK Pertiwi Cermee','140.000.000','March 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','TK Pertiwi Cermee 1 Paket','Maret 2024','Maret 2024','diknas'),
(1522,'36106273','Pengelolaan Pendidikan Anak Usia Dini (PAUD)','Administrasi Proyek (AP) Administrasi Proyek Pembangunan area bermain beserta APE luar ruang (DAK)Pembangunan Sarana, Prasarana dan Utilitas PAUD','2.600.000','April 2024','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','AP Gedung Negara Sederhana ( SPPD )','April 2024','April 2024','diknas'),
(1523,'36109517','Pengelolaan Pendidikan Sekolah Menengah Pertama','Perjalanan dinas dalam kota (SPPD)','2.720.000','March 2023','Kab. Bondowoso','Dinas Pendidikan','1','Dinas Pendidikan','2024','1 Paket','Bondowoso (Kab.)','SPPD','Maret 2023','Februari 2024','diknas'),
(1524,'36116863','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dishub'),
(1525,'36116864','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.262.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dishub'),
(1526,'36116867','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Lembur','11.008.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Lembur; Beban Lembur; Beban Lembur; Beban Lembur;','Januari 2024','Desember 2024','dishub'),
(1527,'36120542','Penyediaan Angkutan Umum untuk Jasa Angkutan Orang dan/atau Barang Antar Kota dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','July 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Juli 2024','Desember 2024','dishub'),
(1528,'36120543','Penyediaan Angkutan Umum untuk Jasa Angkutan Orang dan/atau Barang Antar Kota dalam 1 (Satu) Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','11.600.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dishub'),
(1529,'36120544','Penyediaan Angkutan Umum untuk Jasa Angkutan Orang dan/atau Barang Antar Kota dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','17.289.300','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Jasa Jalan/Tol;','Januari 2024','Desember 2024','dishub'),
(1530,'36120803','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dishub'),
(1531,'36120804','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','3.124.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dishub'),
(1532,'36120897','Administrasi Pendapatan Daerah Kewenangan Perangkat Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','600.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','dishub'),
(1533,'36120898','Administrasi Pendapatan Daerah Kewenangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dishub'),
(1534,'36120899','Administrasi Pendapatan Daerah Kewenangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dishub'),
(1535,'36121007','Administrasi Pendapatan Daerah Kewenangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','410.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dishub'),
(1536,'36121270','Penyediaan Angkutan Umum untuk Jasa Angkutan Orang dan/atau Barang Antar Kota dalam 1 (Satu) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','28.426.600','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Jasa Jalan/Tol;','Januari 2024','Desember 2024','dishub'),
(1537,'36121324','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','800.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','dishub'),
(1538,'36121478','Penetapan Rencana Induk Jaringan LLAJ Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','18.001.300','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Jasa Jalan/Tol;','Januari 2024','Desember 2024','dishub'),
(1539,'36121562','Pengelolaan Terminal Penumpang Tipe C','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','July 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Juli 2024','Desember 2024','dishub'),
(1540,'36123772','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','18.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','dishub'),
(1541,'36123773','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1542,'36125758','Penyediaan Perlengkapan Jalan di Jalan Kabupaten/Kota','Perjalanan Dinas Paket Meeting Luar Kota','10.290.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','17 org/hari 5org/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota','Februari 2024','Desember 2024','dishub'),
(1543,'36126105','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1544,'36126106','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','64.890.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dishub'),
(1545,'36126107','Administrasi Umum Perangkat Daerah','Belanja Jasa Jalan/Tol','8.160.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Jalan/Tol;','Februari 2024','Desember 2024','dishub'),
(1546,'36126357','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.150.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','dishub'),
(1547,'36126358','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Jasa yang Diberikan kepada Pihak Ketiga/Pihak Lain','720.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa yang Diberikan kepada Pihak Ketiga/Pihak Lain;','Februari 2024','Desember 2024','dishub'),
(1548,'36126359','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','624.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Lainnya','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat; Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Februari 2024','Desember 2024','dishub'),
(1549,'36126360','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.520.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1550,'36126528','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Biasa','12.350.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Februari 2024','Desember 2024','dishub'),
(1551,'36126529','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','124.800.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1552,'36126530','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.598.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dishub'),
(1553,'36126531','Pelaksanaan Manajemen dan Rekayasa Lalu Lintas untuk Jaringan Jalan Kabupaten/Kota','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','24.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Februari 2024','Desember 2024','dishub'),
(1554,'36126565','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','96.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','dishub'),
(1555,'36126566','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','108.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','dishub'),
(1556,'36126567','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Perhubungan','60.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Perhubungan; Beban Jasa Tenaga Perhubungan;','Januari 2024','Desember 2024','dishub'),
(1557,'36126568','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','963.400.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','dishub'),
(1558,'36126569','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','dishub'),
(1559,'36126570','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','24.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','dishub'),
(1560,'36126571','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','12.000.000','January 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan;','Januari 2024','Desember 2024','dishub'),
(1561,'36126621','Persetujuan Hasil Analisis Dampak Lalu Lintas (Andalalin) untuk Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.380.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dishub'),
(1562,'36126622','Persetujuan Hasil Analisis Dampak Lalu Lintas (Andalalin) untuk Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.520.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1563,'36156578','Pengujian Berkala Kendaraan Bermotor','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','36.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Februari 2024','Desember 2024','dishub'),
(1564,'36159130','Pengujian Berkala Kendaraan Bermotor','Belanja Perjalanan Dinas Paket Meeting Luar Kota','38.899.300','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Jasa Jalan/Tol;','Februari 2024','Desember 2024','dishub'),
(1565,'36159132','Pengujian Berkala Kendaraan Bermotor','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','dishub'),
(1566,'36159656','Pengujian Berkala Kendaraan Bermotor','Belanja Perjalanan Dinas Biasa','5.000.000','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Februari 2024','Desember 2024','dishub'),
(1567,'36160574','Penyediaan Perlengkapan Jalan di Jalan Kabupaten/Kota','E Tol','1.198.200','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 paket','Bondowoso (Kab.)','E Tol','Februari 2024','Desember 2024','dishub'),
(1568,'36161672','Penyediaan Perlengkapan Jalan di Jalan Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','19.717.300','February 2024','Kab. Bondowoso','Dinas Perhubungan','1','Dinas Perhubungan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Jalan/Tol; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','dishub'),
(1569,'36005525','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Bahan-Bahan Bakar dan Pelumas','2.926.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','220 liter','Bondowoso (Kab.)','Pertamax','Januari 2024','Desember 2024','pertanian'),
(1570,'36005864','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.080.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','38 Orang / Hr','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pertanian'),
(1571,'36005867','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','25.010.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','61 orang / hr','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pertanian'),
(1572,'36005898','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Jasa Tenaga Teknis Pertanian dan Pangan','39.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1300 org/kali; 200 org/kali','Bondowoso (Kab.)','Tenaga Kerja Kebun Dinas (Tanaman Pangan) : 1300 org/kali; Tenaga Kerja (Perkebunan) : 200 org/kali','Januari 2024','Desember 2024','pertanian'),
(1573,'36005921','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','16.250.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','4 kali; 9 Ha','Bondowoso (Kab.)','Sewa hand traktor : 4 kali; Sewa hand traktor : 9 Ha','Januari 2024','Desember 2024','pertanian'),
(1574,'36005954','PENGAWASAN PENGGUNAAN SARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','15.170.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','37 org/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pertanian'),
(1575,'36075935','PENGELOLAAN SUMBER DAYA GENETIK (SDG) HEWAN, TUMBUHAN, DAN MIKRO ORGANISME KEWENANGAN KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Luar Kota','5.740.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','14 org/hr','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pertanian'),
(1576,'36077920','PEMBANGUNAN PRASARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.680.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','23 kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pertanian'),
(1577,'36079123','PENGEMBANGAN PRASARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.840.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','24 org/hr','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pertanian'),
(1578,'36079297','PENGEMBANGAN PRASARANA PERTANIAN','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','80.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 paket','Bondowoso (Kab.)','Pendampingan Pertanian Organik','Januari 2024','Desember 2024','pertanian'),
(1579,'36080681','PENGEMBANGAN PRASARANA PERTANIAN','Belanja Jasa Tenaga Ahli','40.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','80 org/jam','Bondowoso (Kab.)','Tenaga ahli/narasumber fasilitator kabupaten','Januari 2024','Desember 2024','pertanian'),
(1580,'36080805','PENGEMBANGAN PRASARANA PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','30 org/hr','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','pertanian'),
(1581,'36082649','PERENCANAAN, PENGANGGARAN, DAN EVALUASI KINERJA PERANGKAT DAERAH','Belanja Perjalanan Dinas Paket Meeting Luar Kota (perencanaan)','30.600.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','60 orang/hari; 24 orang/hari','Bondowoso (Kab.)','Jawa Timur : 60 orang/hari; Sopir Luar Daerah : 24 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1582,'36083394','PEMELIHARAAN BARANG MILIK DAERAH PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.600.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','12 kali','Bondowoso (Kab.)','Jasa servis mobil : 12 kali','Januari 2024','Desember 2024','pertanian'),
(1583,'36084242','PEMELIHARAAN BARANG MILIK DAERAH PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Bahan-Bahan Bakar dan Pelumas','8.378.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','13ltr; 500ltr; 35ltr','Bondowoso (Kab.)','Oli mesin roda 4: 13 ltr; pertamax: 500 ltr; pertalite: 35 ltr','Januari 2024','Desember 2024','pertanian'),
(1584,'36086907','PENGENDALIAN DAN PENANGGULANGAN BENCANA PERTANIAN KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting dalam Kota','3.040.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','19 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting dalam Kota - Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1585,'36087124','PENGENDALIAN DAN PENANGGULANGAN BENCANA PERTANIAN KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.380.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','18 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota - Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1586,'36087367','PEMELIHARAAN BARANG MILIK DAERAH PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','10 kali','Bondowoso (Kab.)','jasa service mobil : 10 kali','Januari 2024','Desember 2024','pertanian'),
(1587,'36087775','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Honorarium Penyuluhan atau Pendampingan','1.632.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','68x12 orang bulan','Bondowoso (Kab.)','Honorarium Penyuluhan atau Pendampingan : 68x12 orang bulan','Januari 2024','Desember 2024','pertanian'),
(1588,'36087997','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Jasa Tenaga Administrasi','504.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','42orang x12bulan','Bondowoso (Kab.)','Jasa Tenaga Administrasi : 42orang x12bulan','Januari 2024','Desember 2024','pertanian'),
(1589,'36088108','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','5 kali ; 6 kali','Bondowoso (Kab.)','Servis ac: 5 kali ; service laptop/komputer : 6 kali','Januari 2024','Desember 2024','pertanian'),
(1590,'36088122','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting dalam Kota','4.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','25 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting dalam Kota - Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1591,'36088334','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','15.840.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','110 orang x 12 bulan','Bondowoso (Kab.)','Iuran Jaminan Kecelakaan Kerja : 110 orang x 12 bulan','Januari 2024','Desember 2024','pertanian'),
(1592,'36088480','PEMELIHARAAN BARANG MILIK DAERAH PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Pembayaran Pajak , Bea dan Perizinan','30.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Pembayaran pajak, Bea dan Perizinan : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1593,'36088813','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Tagihan Telepon','64.800.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','54 paket','Bondowoso (Kab.)','tagihan telepon : 54 paket','Januari 2024','Desember 2024','pertanian'),
(1594,'36088924','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Tagihan Air','18.498.600','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','2580 kwh','Bondowoso (Kab.)','Belanja Tagihan Air : 2580 kwh','Januari 2024','Desember 2024','pertanian'),
(1595,'36089028','PENYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Belanja Tagihan Listrik','66.653.600','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','49300 kwh','Bondowoso (Kab.)','Tagihan Listrik : 49300 kwh','Januari 2024','Desember 2024','pertanian'),
(1596,'36089268','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Gaji Pokok PNS','6.950.775.300','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','gaji pokok pns : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1597,'36089324','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Gaji Pokok PPPK','1.863.375.400','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Gaji pokok PPPK : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1598,'36089339','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Jasa Kantor','7.200.000','July 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','2 orang x 2 jam; 2 orang x 2 jam;','Bondowoso (Kab.)','Belanja Jasa Kantor Honorarium Narasumber / Pembahas, Moderator, Pembawa Acara, dan Paniitia; Belanja Jasa Kantor Honorarium Narasumber / Pembahas, Moderator, Pembawa Acara, dan Paniitia','Juli 2024','Desember 2024','pertanian'),
(1599,'36089404','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Keluarga PNS','704.913.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Keluarga PNS','Januari 2024','Desember 2024','pertanian'),
(1600,'36089498','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Keluarga PPPK','153.069.500','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Keluarga PPPK : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1601,'36089703','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Jabatan PNS','119.581.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Jabatan PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1602,'36089796','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Fungsional PNS','1.001.308.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Fungsional PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1603,'36089798','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','24.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','100 orang; 100 orang; 200 orang; 200 orang.','Bondowoso (Kab.)','Bantuan transport; Bantuan transport; Bantuan transport; Bantuan transport;','Januari 2024','Desember 2024','pertanian'),
(1604,'36089893','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Fungsional Umum PNS','67.760.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Fungsional Umum PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1605,'36089906','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.200.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','20 orang','Bondowoso (Kab.)','Perjalan dinas Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1606,'36089940','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Fungsional Umum PPPK','124.286.400','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Fungsional Umum PPPK : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1607,'36090057','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Beras PNS','489.602.700','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Beras PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1608,'36090238','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan Beras PPPK','132.716.900','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan Beras PPPK : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1609,'36090319','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Tunjangan PPh/Tunjangan Khusus PNS','43.592.300','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Tunjangan PPh/Tunjangan Khusus PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1610,'36090357','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Pembulatan Gaji PNS','103.900','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Pembulatan Gaji PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1611,'36090525','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Pembulatan Gaji PPPK','30.400','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Pembulatan Gaji PPPK : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1612,'36090609','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kesehatan PNS','313.721.200','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun; 1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan PNS : 1 tahun ; Belanja Iuran Jaminan Kesehatan PNS DAU : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1613,'36090640','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kesehatan PPPK','85.629.300','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan PPPK : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1614,'36090663','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Jasa Kantor','14.400.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','48 orang','Bondowoso (Kab.)','Belanja Jasa Kantor - Honorarium narasumber / ppembahas, moderator, pembawa acara, dan panitia.','Januari 2024','Desember 2024','pertanian'),
(1615,'36090680','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kecelakaan Kerja PNS','16.681.900','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja PNS : 1 Tahun','Januari 2024','Desember 2024','pertanian'),
(1616,'36090691','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kecelakaan Kerja PPPK','4.472.200','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja PPPK : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1617,'36090741','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kematian PNS','50.045.600','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kematian PNS : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1618,'36090756','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting dalam Kota','66.080.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','13 orang; 1600 orang;','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting dalam Kota - Jawa Timur; bantuan transport.','Januari 2024','Desember 2024','pertanian'),
(1619,'36090786','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Iuran Jaminan Kematian PPPK','13.416.400','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kematian PPPK : 1 tahun','Januari 2024','Desember 2024','pertanian'),
(1620,'36090811','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.560.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','16 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota - Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1621,'36091019','ADMINISTRASI UMUM PERANGKAT DAERAH','Belanja Perjalanan Dinas Paket Meeting Luar Kota','70.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','100 orang/hari; 44 orang/hari; 40 kali; 10 orang/hari; 10 orang/hari','Bondowoso (Kab.)','jawa timur: 100 orang/hari; luar daerah : 44 orang/hari; transportasi: 40 kali; jawa barat: 10 orang/hari; Jawa tengah: 10 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1622,'36091350','PELAKSANAAN PENYULUHAN PERTANIAN','Belanja Perjalanan Dinas Paket Meeting dalam Kota','6.880.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','43 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting dalam Kota - Jawa Timur','Januari 2024','Desember 2024','pertanian'),
(1623,'36092722','PENYEDIAAN INFRASTRUKTUR DAN SELURUH PENDUKUNG KEMANDIRIAN PANGAN SESUAI KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','25 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota : 25 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1624,'36092733','PENYEDIAAN INFRASTRUKTUR DAN SELURUH PENDUKUNG KEMANDIRIAN PANGAN SESUAI KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Luar Kota','13.530.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','33 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota : 33 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1625,'36093460','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','10.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','20 orang/jam','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia : 20 orang/jam','Januari 2024','Desember 2024','pertanian'),
(1626,'36093516','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','200 org; 10 orang/hari','Bondowoso (Kab.)','uang bantuan trasport : 200 org; perjalanan Dinas Paket Meeting Dalam Kota : 10 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1627,'36093534','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','26.650.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','65 org/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota : 65 org/hari','Januari 2024','Desember 2024','pertanian'),
(1628,'36093605','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','90.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','3','Dengan Organisasi Masyarakat','2024','6 paket','Bondowoso (Kab.)','Kelompok Wanita Tani [HIBAH] Alamat : Bondowoso : 6 paket','Januari 2024','Desember 2024','pertanian'),
(1629,'36094457','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','24 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota : 24 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1630,'36094492','PENYEDIAAN DAN PENYALURAN PANGAN POKOK ATAU PANGAN LAINNYA SESUAI DENGAN KEBUTUHAN DAERAH KABUPATEN/KOTA DALAM RANGKA STABILISASI PASOKAN DAN HARGA PANGAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.890.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','29 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota : 29 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1631,'36094641','PELAKSANAAN PENCAPAIAN TARGET KONSUMSI PANGAN PERKAPITA/TAHUN SESUAI DENGAN ANGKA KECUKUPAN GIZI','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','36.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','1 orang x 2 kali x 10 kelompok x 2 jam','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia : 1 orang x 2 kali x 10 kelompok x 2 jam','Januari 2024','Desember 2024','pertanian'),
(1632,'36094774','PELAKSANAAN PENCAPAIAN TARGET KONSUMSI PANGAN PERKAPITA/TAHUN SESUAI DENGAN ANGKA KECUKUPAN GIZI','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','64.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','600 org; 250 orang/hari','Bondowoso (Kab.)','P2L Bantuan transport : 600 org; Perjalanan Dinas Paket Meeting Dalam Kota : 250 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1633,'36094861','PELAKSANAAN PENCAPAIAN TARGET KONSUMSI PANGAN PERKAPITA/TAHUN SESUAI DENGAN ANGKA KECUKUPAN GIZI','Belanja Hibah Uang kepada Badan dan Lembaga yang Bersifat Nirlaba, Sukarela dan Sosial yang Dibentuk Berdasarkan Peraturan Perundang-Undangan','500.000.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','3','Dengan Organisasi Masyarakat','2024','10 kelompok','Bondowoso (Kab.)','Kelompok Wanita Tani [HIBAH] Alamat : Bondowoso : 10 kelompok','Januari 2024','Desember 2024','pertanian'),
(1634,'36095869','PENANGANAN KERAWANAN PANGAN KEWENANGAN KABUPATEN/KOTA','Honorarium Penyuluhan atau Pendampingan','20.700.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','23 orang x 6 bln','Bondowoso (Kab.)','Honorarium Penyuluhan atau Pendampingan : 23 orang x 6 bln','Januari 2024','Desember 2024','pertanian'),
(1635,'36095890','PENANGANAN KERAWANAN PANGAN KEWENANGAN KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.040.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','19 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota : 19 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1636,'36095910','PENANGANAN KERAWANAN PANGAN KEWENANGAN KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.790.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','19 orang/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota : 19 orang/hari','Januari 2024','Desember 2024','pertanian'),
(1637,'36095954','PELAKSANAAN PENGAWASAN KEAMANAN PANGAN SEGAR DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.890.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','29 org/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Luar Kota : 29 org/hari','Januari 2024','Desember 2024','pertanian'),
(1638,'36095970','PELAKSANAAN PENGAWASAN KEAMANAN PANGAN SEGAR DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan','1','Dinas Pertanian dan Ketahanan Pangan','2024','10 org/hari','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota: 10 org/hari','Januari 2024','Desember 2024','pertanian'),
(1639,'36017642','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Belanja Jasa Tenaga Laboratorium','5.000.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Laboratorium (Biaya Pemeriksaan Rujukan laboratorium ke Labkesda)','Januari 2024','Desember 2024','disnakikan'),
(1640,'36018195','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Belanja Alat/bahan untuk Kegiatan Kantor-Benda Pos','200.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Alat/bahan untuk Kegiatan Kantor-Benda Pos - Materai','Januari 2024','Desember 2024','disnakikan'),
(1641,'36018499','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.700.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','disnakikan'),
(1642,'36018814','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Belanja Jasa Tenaga Laboratorium','25.000.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Laboratorium (Biaya Fasilitasi Halal)','Januari 2024','Desember 2024','disnakikan'),
(1643,'36019161','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','disnakikan'),
(1644,'36019438','Penerapan dan Pengawasan Persyaratan Teknis Kesehatan Masyarakat Veteriner','Belanja Perjalanan Dinas Paket Meeting Luar Kota','6.370.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','disnakikan'),
(1645,'36169419','Pembangunan Prasarana Pertanian','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Paket','Bondowoso (Kab.)','Benda Pos;','Februari 2024','Februari 2024','disnakikan'),
(1646,'36169420','Pembangunan Prasarana Pertanian','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Oktober 2024','disnakikan'),
(1647,'36169422','Pembangunan Prasarana Pertanian','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','November 2024','disnakikan'),
(1648,'36603195','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','898.800.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','disnakikan'),
(1649,'36603972','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kesehatan bagi Non ASN','3.600.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','disnakikan'),
(1650,'36604150','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','10.800.000','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','disnakikan'),
(1651,'36910426','Pembangunan Prasarana Pertanian','Belanja Alat/Bahan untuk Kegiatan-Alat Tulis Kantor','1.352.500','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan','1','Dinas Peternakan dan Perikanan','2024','1 paket','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan-Alat Tulis Kantor','Februari 2024','November 2024','disnakikan'),
(1652,'36019341','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Perjalanan paket meeting luar kota','5.740.000','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','1','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','2024','1 paket','Bondowoso (Kab.)','Perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','dinsos'),
(1653,'36048501','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Honor penyuluhan, Belanja jasa tenaga administrasi, Belanja jasa tenaga operator komputer, Belanja jasa tenaga kebersihan dan Belanja jasa tenaga keamanan','519.900.000','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','1','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','2024','1 paket','Bondowoso (Kab.)','Honor perintis kemerdekaan, Honor K1, Honor Operator SIK-NG, Honor Tape Manis, Honor Front office, Honor operator komputer, Honor petugas kebersihan, Honor petugas keamanan, Honor penjaga TMP dan Iuran BPJS K1','Januari 2024','Desember 2024','dinsos'),
(1654,'36048768','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas','79.455.000','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','1','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana','2024','1 paket','Bondowoso (Kab.)','Belanja perjalanan dinas dalam kota, Belanja perjalanan dinas paket meeting dalam kota, dan Belanja perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','dinsos'),
(1655,'36098957','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','705.974.850','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-binakal'),
(1656,'36099042','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','14.075.600','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex','Januari 2024','Desember 2024','pkm-binakal'),
(1657,'36099100','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','100 Buah','Bondowoso (Kab.)','Benda Pos Spesifikasi : Materai','Januari 2024','Desember 2024','pkm-binakal'),
(1658,'36099211','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','7.270.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Paket','Bondowoso (Kab.)','Perabot Kantor Spesifikasi : Cairan Pembersih LantaiKantong Plastik Sampah Sabun Cuci Tangan Sikat kamar mandi tempat sampah injak sedang Kantong Plastik Sampah','Januari 2024','Desember 2024','pkm-binakal'),
(1659,'36099270','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.600.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Paket','Bondowoso (Kab.)','Alat Listrik Spesifikasi : Kabel Stopkontak RolLampu LED 15 Watt Lampu down light LED 20 Watt','Januari 2024','Desember 2024','pkm-binakal'),
(1660,'36099391','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','5.000.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium Spesifikasi : Biaya Pemeriksaan Rujukan Laboratorium ke Labkesda','Januari 2024','Desember 2024','pkm-binakal'),
(1661,'36099536','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Sumber Daya Air','2.120.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium Spesifikasi : Pengujian Sampel Air','Januari 2024','Desember 2024','pkm-binakal'),
(1662,'36099677','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Kalibrasi','5.962.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Kalibrasi Spesifikasi : Kalibrasi','Januari 2024','Desember 2024','pkm-binakal'),
(1663,'36099782','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','3.036.800','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Air Spesifikasi : instansi Pemerintah 11 s/d 20','Januari 2024','Desember 2024','pkm-binakal'),
(1664,'36099836','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','36.683.750','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Listrik Spesifikasi : Belanja Jasa Listrik','Januari 2024','Desember 2024','pkm-binakal'),
(1665,'36099974','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','9.600.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan Spesifikasi : Belanja Speedy','Januari 2024','Desember 2024','pkm-binakal'),
(1666,'36100086','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','19.200.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN Spesifikasi : BPJS Tenaga Kontrak','Januari 2024','Desember 2024','pkm-binakal'),
(1667,'36100220','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','5.040.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN Spesifikasi : Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-binakal'),
(1668,'36209615','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.680.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan transport (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-binakal'),
(1669,'36209774','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.280.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1670,'36209775','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.280.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1671,'36209802','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.680.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transpot BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1672,'36209834','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.800.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1673,'36209848','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.040.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1674,'36209880','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.760.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1675,'36209890','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','110.640.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1676,'36210006','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.040.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transpot BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1677,'36210033','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Insentif UKM Non ASN (BOK)','31.288.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Insentif Non ASN','Januari 2024','Desember 2024','pkm-binakal'),
(1678,'36210068','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.120.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transpot BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1679,'36210083','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.560.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1680,'36210117','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.280.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1681,'36210127','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','640.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1682,'36210255','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','26.240.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1683,'36210461','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.000.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1684,'36212543','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','10.760.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Bantuan Transport BOK','Januari 2024','Desember 2024','pkm-binakal'),
(1685,'36212575','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','27.300.000','January 2024','Kab. Bondowoso','FKTP Binakal','1','FKTP Binakal','2024','1 Tahun','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang & Ibu Hamil KEK','Januari 2024','Desember 2024','pkm-binakal'),
(1686,'35958385','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','787.529.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-botolinggo'),
(1687,'35958454','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar Dan Pelumas','4.004.000','March 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','260 Liter','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar Dan Pelumas','Maret 2024','Desember 2024','pkm-botolinggo'),
(1688,'35958499','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Sumber Daya Air','3.000.000','March 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Sumber Daya Air','Maret 2024','Desember 2024','pkm-botolinggo'),
(1689,'35958506','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana Dan Sarana Umum','3.840.000','March 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','2x4x12 orang/kali','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana Dan Sarana Umum','Maret 2024','Desember 2024','pkm-botolinggo'),
(1690,'35958516','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik Dan Listrik','33.500.000','March 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Teknisi Mekanik Dan Listrik','Maret 2024','Desember 2024','pkm-botolinggo'),
(1691,'35958525','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','34.000.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-botolinggo'),
(1692,'35958551','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','36.000.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','pkm-botolinggo'),
(1693,'35958569','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','7.200.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','pkm-botolinggo'),
(1694,'35958632','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Pengolahan Air Limbah','5.000.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Pengolahan Air Limbah','Januari 2024','Desember 2024','pkm-botolinggo'),
(1695,'35958639','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','25.920.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','Januari 2024','Desember 2024','pkm-botolinggo'),
(1696,'35958653','Penyediaan Layanan Kesehatan Untuk UKM Dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','6.048.000','January 2024','Kab. Bondowoso','FKTP Botolinggo','1','FKTP Botolinggo','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','Januari 2024','Desember 2024','pkm-botolinggo'),
(1697,'36202759','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','28.192.800','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','liter','Bondowoso (Kab.)','Pertamina Dex 1500 liter Oli Mesin diesel 32 Liter Bio solar 300 liter','Januari 2024','Desember 2024','pkm-cermee'),
(1698,'36202784','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Bahan-Isi Tabung Gas','3.183.600','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','Buah','Bondowoso (Kab.)','Isi tabung gas elpiji 12 kg : 12 buah','Januari 2024','Desember 2024','pkm-cermee'),
(1699,'36202878','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja suku Cadang -Suku Cadang Angkutan','11.982.800','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','buah','Bondowoso (Kab.)','Ban Luar Ambulance','April 2024','Desember 2024','pkm-cermee'),
(1700,'36202933','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','buah','Bondowoso (Kab.)','materai 100 buah','April 2024','Desember 2024','pkm-cermee'),
(1701,'36202961','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Alat/Bahan untuk kegiatan Kantor-Alat Listrik','9.020.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','buah','Bondowoso (Kab.)','Lampu LED 15 Watt','April 2024','Desember 2024','pkm-cermee'),
(1702,'36202986','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Saran Umum','5.760.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','orang','Bondowoso (Kab.)','Belanja jasa tenaga penanganan prasarana dan sarana umum : tenaga kerja 96 orang stock opname : tenaga kerja 48 orang','April 2024','Desember 2024','pkm-cermee'),
(1703,'36203033','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Jasa Teknisi Mekanik dan Listrik','21.500.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','paket','Bondowoso (Kab.)','service ac : 1 paket service laptop/komputer : 25 orang/kali beban jasa kantor lainnya (perbaikan listrik) : 1 kali','April 2024','Desember 2024','pkm-cermee'),
(1704,'36203064','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Jasa Kalibrasi','9.080.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','paket','Bondowoso (Kab.)','kalibrasi','April 2024','Desember 2024','pkm-cermee'),
(1705,'36203081','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','25.000.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','tahun','Bondowoso (Kab.)','pemusnahan sampah medis','April 2024','Desember 2024','pkm-cermee'),
(1706,'36203099','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Tagihan Telepon','1.200.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','tahun','Bondowoso (Kab.)','belanja telepon','Januari 2024','Desember 2024','pkm-cermee'),
(1707,'36203129','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Tagihan Listrik','74.492.460','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','tahun','Bondowoso (Kab.)','belanja listrik','Januari 2024','Desember 2024','pkm-cermee'),
(1708,'36203146','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','bulan','Bondowoso (Kab.)','Belanja Internet','Januari 2024','Desember 2024','pkm-cermee'),
(1709,'36203182','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Pengolahan Air Limbah','10.000.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','paket','Bondowoso (Kab.)','Perbaikan IPAL','April 2024','Desember 2024','pkm-cermee'),
(1710,'36203205','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','40.000.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','orang','Bondowoso (Kab.)','BPJS Tenaga Kontrak 400 orang','Januari 2024','Desember 2024','pkm-cermee'),
(1711,'36203287','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','10.000.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','orang','Bondowoso (Kab.)','beban iuran jaminan kecelakaan kerjaa bagi non AsN','Januari 2024','Desember 2024','pkm-cermee'),
(1712,'36203321','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota','Belanja Pemeliharaan Bangunan Gedung-bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','39.200.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','luas/m2','Bondowoso (Kab.)','pemeliharaan bangunan gedung kantor','April 2024','Desember 2024','pkm-cermee'),
(1713,'36237134','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan daerah Kabupaten/Kota,','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.565.100.515','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-cermee'),
(1714,'36253199','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.482.371.515','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','belanja jasa pelayanan kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-cermee'),
(1715,'36253542','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Bahan-Bahan Bakar dan Pelumas','28.192.800','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 paket','Bondowoso (Kab.)','bbm genset-biosolar= 300 liter pertamina dex+ 1500 liter oli mesin diesel-32 liter','Januari 2024','Desember 2024','pkm-cermee'),
(1716,'36253730','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Bahan-Isi Tabung Gas','3.183.600','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','12 buah','Bondowoso (Kab.)','isi tabung gas elpiji 12 kg','Januari 2024','Desember 2024','pkm-cermee'),
(1717,'36253917','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja suku Cadang -Suku Cadang Angkutan','11.982.800','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','2 buah','Bondowoso (Kab.)','belanja suku cadang-suku cadang ambulance - ban luar ambulance','April 2024','Desember 2024','pkm-cermee'),
(1718,'36254087','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','100 buah','Bondowoso (Kab.)','materai','April 2024','Desember 2024','pkm-cermee'),
(1719,'36254465','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Alat/Bahan untuk kegiatan Kantor-Alat Listrik','9.020.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','100 buah','Bondowoso (Kab.)','lampu led 15 watt','April 2024','Desember 2024','pkm-cermee'),
(1720,'36254670','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Penanganan Prasarana dan Saran Umum','5.760.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','98 orang, 48 orang','Bondowoso (Kab.)','-belanja jasa tenaga penanganan dan saran umum 98 orang -stok opname 48 orang','Januari 2024','Desember 2024','pkm-cermee'),
(1721,'36255198','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','21.500.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 kali,1 paket, 25 orang/kali','Bondowoso (Kab.)','Perbaikan listrik 1 kali service ac 1 paket service laptop 25 orang/kali','April 2024','Desember 2024','pkm-cermee'),
(1722,'36255522','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Kalibrasi','9.080.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','kalibrasi','April 2024','Desember 2024','pkm-cermee'),
(1723,'36255745','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pengolahan Sampah','25.000.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','pemusnahan sampah medis','Januari 2024','Desember 2024','pkm-cermee'),
(1724,'36255957','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Telepon','1.200.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','belanja telepon','Januari 2024','Desember 2024','pkm-cermee'),
(1725,'36256253','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','74.492.460','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 tahun','Bondowoso (Kab.)','belanja listrik','Januari 2024','Desember 2024','pkm-cermee'),
(1726,'36256575','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','12 bulan','Bondowoso (Kab.)','beban jasa kawat/faksimili/internet/intranet/TV Kabel/TV satelit','Januari 2024','Desember 2024','pkm-cermee'),
(1727,'36256794','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja pengolahan Air Limbah','10.000.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','1 paket','Bondowoso (Kab.)','perbaikan ipal','April 2024','Desember 2024','pkm-cermee'),
(1728,'36257038','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','40.000.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','400 orang','Bondowoso (Kab.)','BPJS TENAGA KONTRAK','Januari 2024','Desember 2024','pkm-cermee'),
(1729,'36257458','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','10.000.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','400 orang','Bondowoso (Kab.)','beban iuran jaminan kecelakaan kerja bagi non ASN -asuransi peserta pelatihan','Januari 2024','Desember 2024','pkm-cermee'),
(1730,'36257713','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Pemeliharaan Bangunan Gedung-bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','39.200.000','January 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','200 luas/m2','Bondowoso (Kab.)','pemeliharaan gedung bertingkat','Januari 2024','Desember 2024','pkm-cermee'),
(1731,'36262202','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kursus Singkat/Pelatihan','19.200.000','April 2024','Kab. Bondowoso','FKTP Cermee','1','FKTP Cermee','2024','4 orang','Bondowoso (Kab.)','Pelatihan PPGD','April 2024','Desember 2024','pkm-cermee'),
(1732,'36094672','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.123.401.280','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-curahdami'),
(1733,'36094702','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','10.968.800','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex, Minyak Pelumas','Januari 2024','Desember 2024','pkm-curahdami'),
(1734,'36123375','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','8.640.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1735,'36124458','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','4.200.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1736,'36125622','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','11.280.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1737,'36125728','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','6.400.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1738,'36125866','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','4.320.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1739,'36129778','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','67.800.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Insentif UKM ASN','Januari 2024','Desember 2024','pkm-curahdami'),
(1740,'36144703','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','9.720.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1741,'36144919','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','17.920.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1742,'36145021','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','9.240.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang/Hari','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','pkm-curahdami'),
(1743,'36145064','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','20.640.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang/Hari','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','pkm-curahdami'),
(1744,'36145238','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','175.680.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1745,'36147310','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','2.400.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1746,'36147486','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','4.800.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1747,'36147523','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','7.520.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1748,'36147663','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','2.880.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1749,'36148456','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','35.840.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1750,'36148497','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','1.000.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-curahdami'),
(1751,'36192748','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','1.000.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Materai','Januari 2024','Desember 2024','pkm-curahdami'),
(1752,'36192777','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','5.000.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Biaya Pemeriksaan Rujukan','Januari 2024','Desember 2024','pkm-curahdami'),
(1753,'36192815','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Penanganan Prasarana dan Sarana Umum','5.760.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Tenaga Kerja','Januari 2024','Desember 2024','pkm-curahdami'),
(1754,'36192833','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','15.601.920','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Tagihan Air','Januari 2024','Desember 2024','pkm-curahdami'),
(1755,'36192864','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','26.362.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','pkm-curahdami'),
(1756,'36193033','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','9.600.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Tagihan Internet','Januari 2024','Desember 2024','pkm-curahdami'),
(1757,'36196415','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','45.200.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Insentif UKM Non ASN','Januari 2024','Desember 2024','pkm-curahdami'),
(1758,'36196428','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','8.400.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Bantuan Transport (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-curahdami'),
(1759,'36196470','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','24.840.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','BPJS Kesehatan','Januari 2024','Desember 2024','pkm-curahdami'),
(1760,'36196489','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','3.600.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','BPJS Ketenagakerjaan','Januari 2024','Desember 2024','pkm-curahdami'),
(1761,'36196796','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','14.300.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Service AC, service CCTV, service laptop/computer, service genset, service ambulan, service printer','Januari 2024','Desember 2024','pkm-curahdami'),
(1762,'36196806','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','5.000.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Loundry','Januari 2024','Desember 2024','pkm-curahdami'),
(1763,'36197218','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','6.384.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Januari 2024','Desember 2024','pkm-curahdami'),
(1764,'36197273','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','36.960.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Januari 2024','Desember 2024','pkm-curahdami'),
(1765,'36197302','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','82.560.000','January 2024','Kab. Bondowoso','FKTP Curahdami','1','FKTP Curahdami','2024','Orang','Bondowoso (Kab.)','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Januari 2024','Desember 2024','pkm-curahdami'),
(1786,'36209608','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting dalam Kota (BOK)','14.080.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1787,'36209620','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.880.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1788,'36209711','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','14.400.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1789,'36209728','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.800.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1790,'36210009','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','21.160.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1791,'36210031','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','11.088.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang','Januari 2024','Desember 2024','pkm-grujugan'),
(1792,'36210043','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','20.640.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Honor Kader PMT Lokal Ibu Hamil KEK','Januari 2024','Desember 2024','pkm-grujugan'),
(1793,'36210058','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.480.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1794,'36210072','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','30.000.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1795,'36210081','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','183.840.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1796,'36210098','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.040.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1797,'36210122','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Jasa Pelayanan Kesehatan bagi Non ASN (BOK)','60.402.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Insentif UKM Non ASN','Januari 2024','Desember 2024','pkm-grujugan'),
(1798,'36210128','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','960.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1799,'36210155','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','10.800.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1800,'36210180','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.600.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1801,'36210197','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.160.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1802,'36210231','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','27.520.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1803,'36210249','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.320.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-grujugan'),
(1804,'36126582','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Bahan-Bahan Bakar dan Pelumas','13.943.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Bahan Bakar dan Pelumas','April 2024','Desember 2024','pkm-jambesari'),
(1805,'36192138','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Suku Cadang-Suku Cadang Alat Angkutan','5.300.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Paket','Bondowoso (Kab.)','Suku Cadang Alat Angkutan','April 2024','Desember 2024','pkm-jambesari'),
(1806,'36192492','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja alat/Bahan untuk Kegiatan Kantor-Benda Pos','5.000.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','500 Buah','Bondowoso (Kab.)','Benda Pos : Materai','April 2024','Desember 2024','pkm-jambesari'),
(1807,'36193002','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Laboratorium','7.800.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium : Biaya Pemeriksaan Rujukan Laboratorium ke Labkesda, Pengujian Sampel Limbah Cair, Pengujian Sampel Air','April 2024','Desember 2024','pkm-jambesari'),
(1808,'36193059','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','5.040.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','April 2024','Desember 2024','pkm-jambesari'),
(1809,'36193217','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','19.000.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik : Service Ambulance, Service AC, Service Komputer/Laptop','April 2024','Desember 2024','pkm-jambesari'),
(1810,'36193309','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pencucian Pakian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','2.500.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','250 Kg','Bondowoso (Kab.)','Beban Jawa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga : Jasa Laundry','April 2024','Desember 2024','pkm-jambesari'),
(1811,'36193442','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','45.999.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Listrik','April 2024','Desember 2024','pkm-jambesari'),
(1812,'36193465','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','25.800.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','12 Bulan','Bondowoso (Kab.)','Beban Kawa/Faksimili/Internet/TV Berlangganan','April 2024','Desember 2024','pkm-jambesari'),
(1813,'36193739','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','24.000.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN','April 2024','Desember 2024','pkm-jambesari'),
(1814,'36193767','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','6.048.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN','April 2024','Desember 2024','pkm-jambesari'),
(1815,'36193807','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan','10.000.000','April 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Beban Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan : Pengecetan Ambulance','April 2024','Desember 2024','pkm-jambesari'),
(1816,'36271153','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','4.320.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','108 ORANG','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1817,'36271241','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','11.400.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','285 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1818,'36271365','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','6.160.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','154 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1819,'36271433','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','2.040.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','51 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1820,'36272076','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','10.240.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','256 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1821,'36272455','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluh dan Pendamping','15.480.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','orang/hari','Bondowoso (Kab.)','Beban Honorarium Penyuluh dan Pendamping','Januari 2024','Desember 2024','pkm-jambesari'),
(1822,'36272636','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluh dan Pendamping','9.240.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','orang/hari','Bondowoso (Kab.)','Beban Honorarium Penyuluh dan Pendamping','Januari 2024','Desember 2024','pkm-jambesari'),
(1823,'36272772','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluh dan Pendamping','5.520.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','138 orang','Bondowoso (Kab.)','Beban Honorarium Penyuluh dan Pendamping','Januari 2024','Desember 2024','pkm-jambesari'),
(1824,'36273260','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','176.160.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','4404 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1825,'36273489','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','14.240.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','356 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1826,'36274146','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','800.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','20 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1827,'36274370','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','6.160.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','154 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1828,'36275343','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','1.800.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','45 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1829,'36276428','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','38.080.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','952 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1830,'36276946','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota','10.160.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','254 kotak','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1831,'36277384','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA,','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.208.045.500','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN - \"Sumber Dana: DAK Non Fisik-Dana BOK-BOK Puskesmas\" dan \"Sumber Dana: Pendapatan Dana Kapitasi JKN pada FKTP\"','Januari 2024','Desember 2024','pkm-jambesari'),
(1832,'36279680','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban jasa pelayanan kesehatan bagi NON ASN (BOK)','48.000.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','1 paket','Bondowoso (Kab.)','Intensif UKM Non ASN','Januari 2024','Desember 2024','pkm-jambesari'),
(1833,'36280294','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban perjalanan Dinas Paket Meeting dalam Kota (BOK)','5.120.000','January 2024','Kab. Bondowoso','FKTP Jambesari','1','FKTP Jambesari','2024','128 orang','Bondowoso (Kab.)','Beban perjalanan Dinas Paket Meeting dalam Kota','Januari 2024','Desember 2024','pkm-jambesari'),
(1834,'36212315','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','536.044.800','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-kademangan'),
(1835,'36212405','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar Pelumas','9.373.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Pertamina Dex,Pertamax','Januari 2024','Desember 2024','pkm-kademangan'),
(1836,'36212447','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Lainnya','30.000.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','BMHP','Januari 2024','Desember 2024','pkm-kademangan'),
(1837,'36212616','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','1.500.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Materai','Januari 2024','Desember 2024','pkm-kademangan'),
(1838,'36212802','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','3.650.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-kademangan'),
(1839,'36212871','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja jasa Teknisi Mekanikdan Listrik','9.200.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','service ac,service ambulance,service komputer,service printer','Januari 2024','Desember 2024','pkm-kademangan'),
(1840,'36212907','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','15.000.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-kademangan'),
(1841,'36212940','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','45.999.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Listrik','Januari 2024','Desember 2024','pkm-kademangan'),
(1842,'36212963','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TVberlangganan','10.800.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','gps,speedy','Januari 2024','Desember 2024','pkm-kademangan'),
(1843,'36213036','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja iuran jaminan Kesehatan bagi non ASN','22.680.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','beban iuran jaminan kesehatan bagi non asn','Januari 2024','Desember 2024','pkm-kademangan'),
(1844,'36213077','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi non ASN','6.000.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Tahun','Bondowoso (Kab.)','Beban Iuran jaminan kecelakaan kerja bagi non asn','Januari 2024','Desember 2024','pkm-kademangan'),
(1845,'36259937','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','9.600.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1846,'36260196','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.400.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1847,'36260679','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.320.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1848,'36260779','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.560.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1849,'36261294','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','30.996.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang Dan Ibu Hamil KEK','Januari 2024','Desember 2024','pkm-kademangan'),
(1850,'36261380','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.680.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1851,'36261501','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','10.080.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1852,'36261998','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','114.000.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1853,'36262024','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.440.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Trasnport','Januari 2024','Desember 2024','pkm-kademangan'),
(1854,'36262050','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.320.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1855,'36262084','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','320.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1856,'36262112','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','720.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1857,'36262213','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','19.560.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1858,'36262293','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.240.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1859,'36262410','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Jasa Pelayanan Kesehatan bagi Non ASN (BOK)','31.280.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Insentif UKM Non ASN','Januari 2024','Desember 2024','pkm-kademangan'),
(1860,'36262436','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','46.920.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Insentif ASN','Januari 2024','Desember 2024','pkm-kademangan'),
(1861,'36262996','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.000.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1862,'36552665','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota','32.640.000','January 2024','Kab. Bondowoso','FKTP Kademangan','1','FKTP Kademangan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Uang Transport','Januari 2024','Desember 2024','pkm-kademangan'),
(1863,'36234604','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN (Insentif UKM)','58.385.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-klabang'),
(1864,'36241734','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','446.781.660','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN dan Non ASN','Januari 2024','Desember 2024','pkm-klabang'),
(1865,'36242941','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-bahan Bakar dan Pelumas','7.213.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Pertamax - Pertamina Dex','Januari 2024','Desember 2024','pkm-klabang'),
(1866,'36243150','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Suku Cadang-Suku Cadang Alat Angkutan','1.856.300','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Accu Mobil','Januari 2024','Desember 2024','pkm-klabang'),
(1867,'36243230','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','15.976.200','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Fotocopy','Januari 2024','Desember 2024','pkm-klabang'),
(1868,'36243393','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Benda Pos','1.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Buah','Bondowoso (Kab.)','- Meterai','Januari 2024','Desember 2024','pkm-klabang'),
(1869,'36243673','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','6.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Biaya Pemeriksaan Rujukan Laboratorium Ke Labkesda - Pengujian Sampel Limbah Cair','Januari 2024','Desember 2024','pkm-klabang'),
(1870,'36243743','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','12.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Service AC - Service Ambulance - Service Komputer - Service Printer','Januari 2024','Desember 2024','pkm-klabang'),
(1871,'36243915','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Telepon','360.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','- Beban Tagihan Telepon','Januari 2024','Desember 2024','pkm-klabang'),
(1872,'36244030','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','1.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','- Beban Tagihan Air (PDAM)','Januari 2024','Desember 2024','pkm-klabang'),
(1873,'36244171','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','30.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','- Beban Listrik','Januari 2024','Desember 2024','pkm-klabang'),
(1874,'36244335','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/ Faksimili/ Internet/ TV Berlangganan','7.200.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','- Wifi','Januari 2024','Desember 2024','pkm-klabang'),
(1875,'36244475','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan Bagi NON ASN','26.400.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','264 Orang','Bondowoso (Kab.)','- BPJS Tenaga Kontrak','Januari 2024','Desember 2024','pkm-klabang'),
(1876,'36244623','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi NON ASN','3.168.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','264 Orang','Bondowoso (Kab.)','- Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-klabang'),
(1877,'36246549','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','8.047.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Paket','Bondowoso (Kab.)','- Bantuan Transport Operasional Pelayanan Puskesmas 201 Orang - Fotocopy Operasional Pelayanan Puskesmas 20 Lembar - Fotocopy Kertas Buram Operasional Pelayanan Puskesmas 5 Lembar','Januari 2024','Desember 2024','pkm-klabang'),
(1878,'36247300','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','2.800.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan kesehatan ibu hamil 70 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1879,'36247489','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','14.080.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport lokal sub kegiatan pengelolaan pelayanan kesehatan ibu hamil 352 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1880,'36247910','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','2.960.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan lingkungan 74 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1881,'36248136','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','39.040.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan kesehatan ibu dan anak 976 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1882,'36251199','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','26.640.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan gizi masrakat 616 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1883,'36251543','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','26.976.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','beban honorarium penyuluhan / pendampingan (honor masak kader pmt local ) 7120 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1884,'36251829','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','107.904.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','beban makan dan minuman pada fasilitas pelayanan urusan Kesehatan penyediaan barang makanan pmt loka 7120 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1885,'36252052','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','2.720.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport lsub kegiatan pengelolaan pelayanan kesehatan orang terduga tbc 68 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1886,'36252283','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','12.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan pada usia pendidikan dasar 300 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1887,'36252467','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','9.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan orang dengan tbc 225 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1888,'36252608','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','2.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan orang dengan HIV 50 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1889,'36252952','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','172.040.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan pelayanan kesehatan penyakit menular 4301 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1890,'36253149','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','540.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','fotocopy sub kegiatan pelayanan Kesehatan penyakit menular dan tidak menular 1800','Januari 2024','Desember 2024','pkm-klabang'),
(1891,'36253393','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','189.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','fotocopy sub kegiatan pengelolaan surveilans Kesehatan 630 lembar','Januari 2024','Desember 2024','pkm-klabang'),
(1892,'36253562','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','16.000.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan pengelolaan surveylans kesehatan 400 orang','Januari 2024','Desember 2024','pkm-klabang'),
(1893,'36253916','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Belanja Barang dan jasa bok puskesmas','4.720.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 tahun','Bondowoso (Kab.)','bantuan transport sub kegiatan bimbingan tekhnis dan supervisi pengembangan dan pelaksanaan upaya kesehatan bersumber daya atau UKBM 118 0rang','Januari 2024','Desember 2024','pkm-klabang'),
(1894,'36511466','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas (Insentif UKM Non ASN)','54.615.000','January 2024','Kab. Bondowoso','FKTP Klabang','1','FKTP Klabang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Barang dan Jasa BOK Puskesmas (Insentif UKM Non ASN)','Januari 2024','Desember 2024','pkm-klabang'),
(1895,'36060303','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','594.763.300','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-kotakulon'),
(1896,'36060619','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','11.922.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Pertamax 360 Liter, Pertamina Dex 360 Liter, Oli 50 Liter','Januari 2024','Desember 2024','pkm-kotakulon'),
(1897,'36061233','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','750.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','75 Buah','Bondowoso (Kab.)','Materai 10.000 75 Buah','Januari 2024','Desember 2024','pkm-kotakulon'),
(1898,'36062054','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','4.090.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Pengujian sampel air 6 Kali, Pemeriksaan Sampel Laboratorium ke Labkesda 1 Tahun','Januari 2024','Desember 2024','pkm-kotakulon'),
(1899,'36062651','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','7.000.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Service Komputer 1 Tahun, Service Komputer 1 Tahun','Januari 2024','Desember 2024','pkm-kotakulon'),
(1900,'36062753','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan sampah','16.800.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Pemusnahan Sampah Medis, Pengelolaan sampah Non Medis','Januari 2024','Desember 2024','pkm-kotakulon'),
(1901,'36063299','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan telepon','1.200.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan telepon','Januari 2024','Desember 2024','pkm-kotakulon'),
(1902,'36063530','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan air','14.395.600','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','2465 M3','Bondowoso (Kab.)','Belanja Tagihan air','Januari 2024','Desember 2024','pkm-kotakulon'),
(1903,'36063753','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','24.102.400','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','22400 Kwh','Bondowoso (Kab.)','Beban tagihan Listrik','Januari 2024','Desember 2024','pkm-kotakulon'),
(1904,'36064196','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','9.600.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Belanja Speedy dan GPS Ambulan','Januari 2024','Desember 2024','pkm-kotakulon'),
(1905,'36064542','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','33.600.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','336 Orang','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','Januari 2024','Desember 2024','pkm-kotakulon'),
(1906,'36064714','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','4.176.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','348 Orang','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','pkm-kotakulon'),
(1907,'36192543','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas (Transport)','7.440.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','186 Orang','Bondowoso (Kab.)','Belanja Barang dan Jasa BOK Puskesmas (Transport)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1908,'36192651','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas (Insentif UKM Npn ASN)','36.880.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 Tahun','Bondowoso (Kab.)','Belanja Barang dan Jasa BOK Puskesmas (Insentif UKM Npn ASN)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1909,'36229551','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','3.840.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1910,'36236094','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.480.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1911,'36236814','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','20.160.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1912,'36237106','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.000.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1913,'36237334','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','23.200.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1914,'36237823','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','26.568.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1915,'36238150','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.160.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1916,'36238666','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','17.760.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1917,'36239053','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','142.520.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1918,'36239568','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.240.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1919,'36240170','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.200.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1920,'36241127','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.400.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1921,'36241314','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','3.120.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1922,'36241484','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.680.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1923,'36241720','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','25.920.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1924,'36241892','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.200.000','January 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-kotakulon'),
(1925,'36243735','PENYELENGGARAAN SISTEM INFORMASI KESEHATAN SECARA TERINTEGRASI','Beban Kawat/Faksimili/Internet/TV Berlangganan (BOK)','44.537.000','June 2024','Kab. Bondowoso','FKTP Kotakulon','1','FKTP Kotakulon','2024','1 paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan (BOK)','Juni 2024','Juni 2024','pkm-kotakulon'),
(1926,'36209441','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','15.360.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1927,'36209477','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.880.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1928,'36209498','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','11.520.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1929,'36209504','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','13.600.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1930,'36209516','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','13.600.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1931,'36209552','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','35.040.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang dan Ibu hamil KEK','Januari 2024','Desember 2024','pkm-maesan'),
(1932,'36209561','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','3.120.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1933,'36209581','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','10.400.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1934,'36209609','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','207.360.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1935,'36209619','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','480.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1936,'36209652','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','25.680.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1937,'36209664','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.600.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1938,'36209677','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.920.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan transport','Januari 2024','Desember 2024','pkm-maesan'),
(1939,'36209685','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','39.680.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1940,'36209691','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.000.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1941,'36212858','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.540.746.740','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-maesan'),
(1942,'36212909','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Bahan-Bahan Bakar dan Pelumas','33.214.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Bahan-Bahan Bakar dan Pelumas','Januari 2024','Desember 2024','pkm-maesan'),
(1943,'36212947','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Suku Cadang-Suku Cadang Alat Angkutan','10.000.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Suku Cadang-Suku Cadang Alat Angkutan - suku cadang ambulance','Januari 2024','Desember 2024','pkm-maesan'),
(1944,'36212988','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.000.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos - Materai 10.000','Januari 2024','Desember 2024','pkm-maesan'),
(1945,'36213016','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Laboratorium','4.740.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-maesan'),
(1946,'36213041','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','5.760.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Januari 2024','Desember 2024','pkm-maesan'),
(1947,'36213073','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','3.540.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','Januari 2024','Desember 2024','pkm-maesan'),
(1948,'36213089','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pengolahan Sampah','55.000.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-maesan'),
(1949,'36213116','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Air','12.000.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan Air','Januari 2024','Desember 2024','pkm-maesan'),
(1950,'36213128','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','74.492.460','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','pkm-maesan'),
(1951,'36213131','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','25.800.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','pkm-maesan'),
(1952,'36213144','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','58.500.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-maesan'),
(1953,'36213154','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','6.890.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','pkm-maesan'),
(1954,'36233096','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.040.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Bantuan Transport','Januari 2024','Desember 2024','pkm-maesan'),
(1955,'36233432','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Insentif UKM Non ASN (BOK)','59.200.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Insentif UKM Non ASN','Januari 2024','Desember 2024','pkm-maesan'),
(1956,'36233920','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN (BOK)','88.800.000','January 2024','Kab. Bondowoso','FKTP Maesan','1','FKTP Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-maesan'),
(1957,'36055738','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','1.047.500.400','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-nangkaan'),
(1958,'36056423','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','7.394.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Oli Gardan, Oli Mesin, Pertamax dan Biosolar','Januari 2024','Desember 2024','pkm-nangkaan'),
(1959,'36059039','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.400.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','240 Buah','Bondowoso (Kab.)','Materai','Januari 2024','Maret 2024','pkm-nangkaan'),
(1960,'36066951','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-ALat Listrik','1.183.100','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Stop Kontak, Baterai Besar dan Baterai Kecil','Januari 2024','Maret 2024','pkm-nangkaan'),
(1961,'36067817','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','8.325.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Pengujian Sample air, pemeriksaan sampel laboratorium, pengujian sampel limbah cair','Januari 2024','Desember 2024','pkm-nangkaan'),
(1962,'36068631','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','4.400.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Jasa Pengangkutan Bon Obat dan Stok Opname','Januari 2024','Desember 2024','pkm-nangkaan'),
(1963,'36071423','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','22.600.000','July 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Service Pusling, service AC, COMP/LAPTOP, CCTV, GENSET, PRINTER','Juli 2024','September 2024','pkm-nangkaan'),
(1964,'36072065','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','25.000.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Pemusnahan Sampah Medis','Januari 2024','Desember 2024','pkm-nangkaan'),
(1965,'36072686','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Telepon','2.400.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Telepon','Januari 2024','Desember 2024','pkm-nangkaan'),
(1966,'36072931','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','12.000.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Air','Januari 2024','Desember 2024','pkm-nangkaan'),
(1967,'36073291','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','45.999.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','pkm-nangkaan'),
(1968,'36073816','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Langganan Jurnal/Surat Kabar/Majalah','2.400.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Koran','Januari 2024','Desember 2024','pkm-nangkaan'),
(1969,'36074028','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','21.000.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Internet, Iuran GPS','Januari 2024','Desember 2024','pkm-nangkaan'),
(1970,'36074246','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Pengolahan Air Limbah','10.000.000','October 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Tahun','Bondowoso (Kab.)','Perbaikan IPAL','Oktober 2024','Desember 2024','pkm-nangkaan'),
(1971,'36074512','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','23.000.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','230 Orang/Bulan','Bondowoso (Kab.)','BPJS Tenaga Kontrak','Januari 2024','Desember 2024','pkm-nangkaan'),
(1972,'36074840','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','2.760.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','230 Orang','Bondowoso (Kab.)','Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-nangkaan'),
(1973,'36208150','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.400.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1974,'36208243','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.800.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1975,'36208259','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','28.560.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1976,'36208269','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.000.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1977,'36208273','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','11.800.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1978,'36208287','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','24.312.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','pkm-nangkaan'),
(1979,'36208298','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.160.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1980,'36208321','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','21.840.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1981,'36208338','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','113.960.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1982,'36208353','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.640.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1983,'36208358','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Jasa Pelayanan Kesehatan bagi ASN (BOK)','56.242.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-nangkaan'),
(1984,'36208363','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Jasa Pelayanan Kesehatan bagi Non ASN (BOK)','35.958.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Pelayanan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-nangkaan'),
(1985,'36208371','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.240.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1986,'36208374','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','960.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1987,'36208376','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','21.600.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1988,'36208383','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','800.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1989,'36208391','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.800.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1990,'36208392','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','19.840.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1991,'36208397','Pengembangan dan Pelaksanaan Upaya Kesehatan Bersumber Daya Masyarakat (UKBM) Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.600.000','January 2024','Kab. Bondowoso','FKTP Nangkaan','1','FKTP Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-nangkaan'),
(1992,'36209684','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','639.929.584','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-prajekan'),
(1993,'36209706','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan Bahan Bakar dan Pelumas','6.649.400','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Pertamina Dex, Oli mesin Roda 4, Pertamax','Januari 2024','Desember 2024','pkm-prajekan'),
(1994,'36209727','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Suku Cadang - Suku Cadang Alat Angkutan','3.460.250','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Ban Kendis Roda 4 BS TRZ AR 20 185-65-15, Filter Solar Innova','Januari 2024','Desember 2024','pkm-prajekan'),
(1995,'36209996','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat / Bahan untuk Kegiatan Kantor - Benda Pos','600.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Materai','Januari 2024','Desember 2024','pkm-prajekan'),
(1996,'36210017','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','600.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Pengujian Sampel Air','Januari 2024','Desember 2024','pkm-prajekan'),
(1997,'36210044','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','8.000.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Servis Printer, Upah Servis AC, Service Laptop / Komputer','Januari 2024','Desember 2024','pkm-prajekan'),
(1998,'36210526','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Telepon','2.400.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Telepon','Januari 2024','Desember 2024','pkm-prajekan'),
(1999,'36210544','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','45.999.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','pkm-prajekan'),
(2000,'36210549','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat / Faksimili / Internet / TV berlangganan','7.200.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Belanja Wifi','Januari 2024','Desember 2024','pkm-prajekan'),
(2001,'36210564','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','25.920.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Premi Asuransi Kesehatan','Januari 2024','Desember 2024','pkm-prajekan'),
(2002,'36210587','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan Kecelakaan Kerja Bagi Non ASN','4.896.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Tahun','Bondowoso (Kab.)','Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-prajekan'),
(2003,'36210618','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang','530.500','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Arko Kapasitas 400 kg','Januari 2024','Desember 2024','pkm-prajekan'),
(2004,'36210634','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','1.800.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 Paket','Bondowoso (Kab.)','Head Lamp, Tangga','Januari 2024','Desember 2024','pkm-prajekan'),
(2005,'36275939','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT(UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','7.400.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport kader','Januari 2024','Desember 2024','pkm-prajekan'),
(2006,'36277865','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','28.880.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2007,'36278756','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','800.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota (Transport Petugas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2008,'36279704','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','1.920.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Transport Petugas','Januari 2024','Desember 2024','pkm-prajekan'),
(2009,'36280508','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','4.880.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas','Januari 2024','Desember 2024','pkm-prajekan'),
(2010,'36280740','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (bok)','560.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas','Januari 2024','Desember 2024','pkm-prajekan'),
(2011,'36281131','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN (BOK)','48.182.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Insentif UKM BOK (ASN)','Januari 2024','Desember 2024','pkm-prajekan'),
(2012,'36281390','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas (BOK)','57.818.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Insentif UKM Non ASN (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2013,'36295861','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.280.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Transport Petugas dan Kader (BOK)','Januari 2024','Desember 2024','pkm-prajekan'),
(2014,'36297790','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','144.480.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas','Januari 2024','Desember 2024','pkm-prajekan'),
(2015,'36298088','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','11.360.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2016,'36300907','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.880.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2017,'36302590','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','11.088.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2018,'36302683','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','20.640.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Honor Kader PMT Lokal Ibu Hamil KEK (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2019,'36302979','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.840.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas, Kader dan PKK (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2020,'36303160','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.880.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas','Januari 2024','Desember 2024','pkm-prajekan'),
(2021,'36303430','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','29.400.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2022,'36303600','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','19.600.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Petugas (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2023,'36305553','Penyediaan Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.720.000','January 2024','Kab. Bondowoso','FKTP Prajekan','1','FKTP Prajekan','2024','1 PAKET','Bondowoso (Kab.)','Bantuan transport Tranport (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-prajekan'),
(2024,'36192549','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','27.445.600','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','5 item','Bondowoso (Kab.)','Oli, Pertamina dex','Januari 2024','Desember 2024','pkm-pujer'),
(2025,'36192583','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','2.000.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','200 buah','Bondowoso (Kab.)','Materai','Januari 2024','Januari 2024','pkm-pujer'),
(2026,'36192602','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa tenaga Laboratorium','3.680.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','2 item','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-pujer'),
(2027,'36192660','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','23.000.000','April 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','5 item','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','April 2024','April 2024','pkm-pujer'),
(2028,'36192976','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','34.800.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 tahun','Bondowoso (Kab.)','Beban Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-pujer'),
(2029,'36193012','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan telepon','6.000.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 tahun','Bondowoso (Kab.)','Beban Tagihan Telepon','Januari 2024','Desember 2024','pkm-pujer'),
(2030,'36193036','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','7.005.090','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','977 kwh','Bondowoso (Kab.)','Beban Tagihan Air','Januari 2024','Desember 2024','pkm-pujer'),
(2031,'36193082','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','41.400.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','40000 Kwh','Bondowoso (Kab.)','Beban Tagihan Listrik','Januari 2024','Desember 2024','pkm-pujer'),
(2032,'36193100','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','7.740.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 tahun','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','pkm-pujer'),
(2033,'36193219','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','24.500.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','245orang / bulan','Bondowoso (Kab.)','Beban Iuran Jaminan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-pujer'),
(2034,'36193250','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','8.400.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','700 orang','Bondowoso (Kab.)','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','pkm-pujer'),
(2035,'36214262','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.040.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','176 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2036,'36214284','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.480.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','187 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2037,'36214488','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','30.720.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','768 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2038,'36214502','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.800.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','220 orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2039,'36214506','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.000.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','100 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2040,'36214539','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','18.920.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','473 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2041,'36214551','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Honorarium Penyuluhan Atau Pendampingan (BOK)','28.416.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','3920 Orang Honor Pendampingan Balita, 3600 Orang Honor Pendampingan Ibu Hamil','Bondowoso (Kab.)','Honorarium Penyuluhan Atau Pendampingan','Januari 2024','Desember 2024','pkm-pujer'),
(2042,'36214572','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','10.400.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','260 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2043,'36214578','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.240.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','106 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2044,'36214581','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','190.240.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','4756 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2045,'36214588','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.640.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','66 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2046,'36214594','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.400.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','110 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2047,'36214598','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.280.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','32 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2048,'36214604','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.000.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','100 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2049,'36214606','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.040.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','126 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2050,'36214613','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN (BOK)','57.150.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-pujer'),
(2051,'36214616','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas-Belanja Jasa Pelayanan Kesehatan bagi Non ASN (BOK)','69.850.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 Paket','Bondowoso (Kab.)','Belanja Barang dan Jasa BOK Puskesmas-Belanja Jasa Pelayanan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-pujer'),
(2052,'36214647','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','26.080.000','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','652 Orang','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-pujer'),
(2053,'36217603','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN (JKN)','1.358.080.460','January 2024','Kab. Bondowoso','FKTP Pujer','1','FKTP Pujer','2024','1 tahun','Bondowoso (Kab.)','Jasa Pelayanan Kesehatan bagi ASN (JKN)','Januari 2024','Desember 2024','pkm-pujer'),
(2054,'36211821','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','5.760.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2055,'36211855','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','6.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2056,'36211950','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','14.400.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2057,'36211984','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','7.200.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2058,'36212047','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','18.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2059,'36212076','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Honor Kader PMT Lokal ( BOK )','16.596.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Honor Kader PMT Lokal ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2060,'36212099','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Uang Harian Petugas ( BOK )','21.600.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Uang harian Petugas','Januari 2024','Desember 2024','pkm-sempol'),
(2061,'36212118','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','2.160.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2062,'36212144','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan Bagi ASN','606.753.200','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Jasa pelayanan kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-sempol'),
(2063,'36212167','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Bahan - Bahan Bakar dan Pelumas','36.465.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Bahan bakar dan pelumas','Januari 2024','Desember 2024','pkm-sempol'),
(2064,'36212196','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.113.600','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Paket','Bondowoso (Kab.)','fotocopy','Januari 2024','Desember 2024','pkm-sempol'),
(2065,'36212206','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','10.560.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2066,'36212207','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','1.950.000','May 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Paket','Bondowoso (Kab.)','materai 10.000','Mei 2024','Desember 2024','pkm-sempol'),
(2067,'36212240','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Laboratorium','2.090.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Pengujian sampel limbah cair dan air','Januari 2024','Desember 2024','pkm-sempol'),
(2068,'36212246','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','222.160.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2069,'36212255','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Teknisi Mekanik dan Listrik','9.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','service ambulance, laptop/komputer, printer','Januari 2024','Desember 2024','pkm-sempol'),
(2070,'36212262','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pengelolaan Sampah','25.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','pemusnahan sampah medis','Januari 2024','Desember 2024','pkm-sempol'),
(2071,'36212275','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Telepon','6.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','tagihan telepon','Januari 2024','Desember 2024','pkm-sempol'),
(2072,'36212286','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','36.000.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','tagihan listrik','Januari 2024','Desember 2024','pkm-sempol'),
(2073,'36212303','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','7.440.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota ( Uang Bantuan Transport)','Januari 2024','Desember 2024','pkm-sempol'),
(2074,'36212304','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Beban jasa kawat/faksimili/internet/tv kabel/tv satelit','Januari 2024','Desember 2024','pkm-sempol'),
(2075,'36212325','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Insentif UKM bagi ASN ( BOK )','60.055.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Insentif UKM bagi ASN','Januari 2024','Desember 2024','pkm-sempol'),
(2076,'36212327','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan Bagi Non ASN','21.666.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Iuran jaminan kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-sempol'),
(2077,'36212335','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Insentfi UKM bagi Non ASN ( BOK )','80.945.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Insentfi UKM bagi Non ASN ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2078,'36212343','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','5.280.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','Tahun','Bondowoso (Kab.)','Iuran Jaminan kecelakaan kerja bagi non asn','Januari 2024','Desember 2024','pkm-sempol'),
(2079,'36212363','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','800.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2080,'36212377','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','11.200.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2081,'36212403','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','960.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2082,'36212420','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','5.120.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2083,'36212454','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','30.880.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2084,'36212478','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport ( BOK )','2.760.000','January 2024','Kab. Bondowoso','FKTP Sempol','1','FKTP Sempol','2024','1 paket','Bondowoso (Kab.)','Bantuan Transport ( BOK )','Januari 2024','Desember 2024','pkm-sempol'),
(2085,'36211436','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM TINGKAT DAERAH KABUPATEN/KOTA','Belanja Makanan dan Minuman Rapat','3.820.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2086,'36211466','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','900.000','February 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','lembar','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Februari 2024','Juni 2024','pkm-sukosari'),
(2087,'36211497','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','128.320.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2088,'36211556','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.200.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2089,'36211583','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','4.935.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2090,'36211617','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.440.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2091,'36211637','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','400.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','lembar','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Januari 2024','Desember 2024','pkm-sukosari'),
(2092,'36211661','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','39.104.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2093,'36211679','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2094,'36212977','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.480.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2095,'36213032','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.360.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2096,'36213092','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.000.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2097,'36213115','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.640.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2098,'36213134','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','20.480.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2099,'36213153','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','30.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','lembar','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','Januari 2024','Desember 2024','pkm-sukosari'),
(2100,'36213171','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','4.536.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2101,'36213176','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','480.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2102,'36213226','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','16.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','lembar','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Januari 2024','Desember 2024','pkm-sukosari'),
(2103,'36213232','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','8.836.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2104,'36213251','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','13.920.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2105,'36213267','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','400.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','lembar','Bondowoso (Kab.)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Januari 2024','Desember 2024','pkm-sukosari'),
(2106,'36213288','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','39.104.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2107,'36213298','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','37.760.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2108,'36213310','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makanan dan Minuman Rapat','1.410.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Kotak','Bondowoso (Kab.)','Belanja Makanan dan Minuman Rapat','Januari 2024','Desember 2024','pkm-sukosari'),
(2109,'36213314','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','10.720.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Orang/hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-sukosari'),
(2110,'36213342','Penyedia Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','131.608.000','January 2024','Kab. Bondowoso','FKTP Sukosari','1','FKTP Sukosari','2024','Paket','Bondowoso (Kab.)','Belanja Barang dan Jasa BOK Puskesmas','Januari 2024','Desember 2024','pkm-sukosari'),
(2111,'36069682','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','elanja Jasa Pelayanan Kesehatan bagi ASN','1.134.862.700','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','elanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2112,'36069904','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','14.173.600','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','Bahan Bakar dan Pelumas Spesifikasi : PertamaxBahan Bakar dan Pelumas Spesifikasi : Pertamina Dex','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2113,'36070085','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','elanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','100 Buah','Bondowoso (Kab.)','Benda Pos Spesifikasi : Materai','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2114,'36070226','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','elanja Tagihan Telepon','2.400.000','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','Beban Tagihan Telepon Spesifikasi : Tagihan Telepon','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2115,'36070378','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','30.000.000','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','Beban tagihan Listrik Spesifikasi : Beban Listrik','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2116,'36070537','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','elanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan Spesifikasi : Beban Jasa kawat/faksimili/internet/Intranet/TV Ka...','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2117,'36071788','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','72.000.000','January 2024','Kab. Bondowoso','FKTP Sumber Wringin','1','FKTP Sumber Wringin','2024','1 Tahun','Bondowoso (Kab.)','elanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-sumberwringin'),
(2118,'36233714','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.000.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2119,'36234843','PENYEDIAAN LAYANAN KESEHATAN PERORANGAN DAN UPAYA MASYARAKAT','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','35.840.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2120,'36236357','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','5.920.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2121,'36236759','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.400.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2122,'36237168','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','6.720.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2123,'36237453','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','240.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2124,'36237911','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','166.680.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2125,'36239108','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','13.320.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2126,'36239472','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','2.640.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2127,'36240965','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','17.560.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2128,'36241070','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan Bagi ASN','1.526.513.059','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan Bagi ASN','Januari 2024','Desember 2024','pkm-tamanan'),
(2129,'36241291','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Laboratorium','7.475.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-tamanan'),
(2130,'36241398','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Honorarium Penyuluhan atau Pendampingan (BOK)','38.736.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','pkm-tamanan'),
(2131,'36241479','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa tenaga Penanganan Prasarana dan Sarana Umum','3.840.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa tenaga Penanganan Prasarana dan Sarana Umum','Januari 2024','Desember 2024','pkm-tamanan'),
(2132,'36241866','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','7.000.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','pkm-tamanan'),
(2133,'36242123','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','3.000.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan, serta Alat Rumah Tangga','Januari 2024','Desember 2024','pkm-tamanan'),
(2134,'36242250','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pengolahan Sampah','31.000.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-tamanan'),
(2135,'36242319','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Makan dan Minum ( Paket )','4.788.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Makan dan Minum ( Paket )','Januari 2024','Desember 2024','pkm-tamanan'),
(2136,'36242348','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Telepon','1.200.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Tagihan Telepon','Januari 2024','Desember 2024','pkm-tamanan'),
(2137,'36242460','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','39.600.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','pkm-tamanan'),
(2138,'36242602','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','pkm-tamanan'),
(2139,'36242788','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Pengolahan Air Limbah','10.000.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Pengolahan Air Limbah','Januari 2024','Desember 2024','pkm-tamanan'),
(2140,'36242975','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','29.580.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-tamanan'),
(2141,'36243421','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','8.256.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','pkm-tamanan'),
(2142,'36243675','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Pemeliharaan Komputer - Peralatan Komputer - Peralatan Personal Computer','7.100.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Belanja Pemeliharaan Komputer - Peralatan Komputer - Peralatan Personal Computer','Januari 2024','Desember 2024','pkm-tamanan'),
(2143,'36243998','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','10.080.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2144,'36244257','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','15.120.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2145,'36244887','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','4.320.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2146,'36245662','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota ( BOK )','5.160.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2147,'36247524','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.080.000','January 2024','Kab. Bondowoso','FKTP Tamanan','1','FKTP Tamanan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tamanan'),
(2148,'36165213','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','42.600.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Insentif UKM ASN dan Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2149,'36165648','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Laboratorium','4.975.000','May 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','17 sampel','Bondowoso (Kab.)','Pengujian Sampel Limbah Cair dan Pengujian Sampel Air','Mei 2024','November 2024','pkm-tamankrocok'),
(2150,'36166094','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.920.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','48 kali','Bondowoso (Kab.)','Jasa angkut bon obat ke IFK','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2151,'36166564','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','6.000.000','February 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Servis Genset, Servis Ambulance, servis printer','Februari 2024','November 2024','pkm-tamankrocok'),
(2152,'36166822','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pengolahan Sampah','19.800.000','February 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Pengelolaan Sampah Medis dan Non Medis','Februari 2024','Desember 2024','pkm-tamankrocok'),
(2153,'36167321','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Air','15.057.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan Air','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2154,'36167523','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Tagihan Listrik','20.000.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2155,'36167881','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Tagihan Telkom','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2156,'36168112','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Iuran Jaminan Kesehatan bagi Non ASN','29.580.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','1 Tahun','Bondowoso (Kab.)','Premi Asuransi Kesehatan BPJS','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2157,'36168433','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Bahan-Bahan Bakar dan Pelumas','6.930.000','January 2024','Kab. Bondowoso','FKTP Tamankrocok','1','FKTP Tamankrocok','2024','450 liter','Bondowoso (Kab.)','Pertamina Dex','Januari 2024','Desember 2024','pkm-tamankrocok'),
(2158,'36233619','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.144.092.160','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN Rp.1.072.404.000, Insentif UKM ASN (BOK Puskesmas) Rp. 71.688.000 dan Penggenapan Pagu Rp. 160','Januari 2024','Desember 2024','pkm-tapen'),
(2159,'36242393','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','720.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2160,'36242982','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','11.520.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2161,'36243278','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','800.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2162,'36243624','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','720.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2163,'36243731','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','179.160.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2164,'36244508','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','22.000.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2165,'36245938','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honor Kader PMT Bumil KEK (BOK)','20.640.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Honor Kader PMT Bumil KEK','Januari 2024','Desember 2024','pkm-tapen'),
(2166,'36246340','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Honor Kader PMT Lokal Balita Gizi Kurang (BOK)','11.642.400','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Honor Kader PMT Lokal Balita Gizi Kurang','Januari 2024','Desember 2024','pkm-tapen'),
(2167,'36246718','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','1.520.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2168,'36247470','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','13.200.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Januari 2024','pkm-tapen'),
(2169,'36247908','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','3.600.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2170,'36248347','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','23.040.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2171,'36249167','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','720.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2172,'36250075','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','13.840.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2173,'36250134','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','48.312.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1','Bondowoso (Kab.)','Beban Jasa Pelayanan Kesehatan bagi Non ASN. Spesifikasi : Insentif UKM Non ASN (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-tapen'),
(2174,'36250516','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Belanja Barang dan Jasa BOK Puskesmas','5.040.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota. Spesifikasi : Bantuan transport (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-tapen'),
(2175,'36250591','Penyediaan Layanan Kesehatan untuk UKM dan UKP Rujukan Tingkat Daerah Kabupaten/Kota','Beban Perjalanan Dinas (BOK)','20.880.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2176,'36251419','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas (BOK)','7.360.000','January 2024','Kab. Bondowoso','FKTP Tapen','1','FKTP Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas','Januari 2024','Desember 2024','pkm-tapen'),
(2177,'36026891','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','734.666.400','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Medis','Januari 2024','Desember 2024','pkm-tegalampel'),
(2178,'36027391','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan Kebudayaan serta Alat Rumah Tangga','5.000.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Belanja Jasa Loundry','Januari 2024','Desember 2024','pkm-tegalampel'),
(2179,'36027954','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Tagihan Telepon','2.400.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','12 Bulan','Bondowoso (Kab.)','Tagihan Pulsa Pasca Bayar','Januari 2024','Desember 2024','pkm-tegalampel'),
(2180,'36028063','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Tagihan Air','12.000.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Tagihan air','Januari 2024','Desember 2024','pkm-tegalampel'),
(2181,'36028189','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Tagihan Listrik','36.000.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','pkm-tegalampel'),
(2182,'36028326','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV Berlangganan','11.400.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','12 Bulan','Bondowoso (Kab.)','Speedy / Internet','Januari 2024','Desember 2024','pkm-tegalampel'),
(2183,'36028518','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','32.400.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','360 orang','Bondowoso (Kab.)','BPJS Kesehatan Non ASN','Januari 2024','Desember 2024','pkm-tegalampel'),
(2184,'36028713','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','4.608.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','384 orang','Bondowoso (Kab.)','Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-tegalampel'),
(2185,'36069523','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Laboraturium','3.000.000','March 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Pemeriksaan / pengujian sampel ke Labkesda','Maret 2024','Desember 2024','pkm-tegalampel'),
(2186,'36069678','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.840.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','96 orang','Bondowoso (Kab.)','Jasa Pengangkutan Bon Oksigen dan Distribusi Obat','Januari 2024','Desember 2024','pkm-tegalampel'),
(2187,'36109127','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','14.000.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 tahun','Bondowoso (Kab.)','Service AC, Service printer, komputer, dan service Ambulance','Januari 2024','Desember 2024','pkm-tegalampel'),
(2188,'36213340','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','5.000.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','125 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2189,'36214293','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','96 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2190,'36214298','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','160 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2191,'36214322','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','9.360.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','234 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2192,'36214350','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.720.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','68 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2193,'36214412','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','12.040.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','301 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2194,'36214468','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Honorarium Penyuluhan atau Pendampingan','34.276.800','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','4920 Bumil KEK ,3976 Balita Gizi Kurang','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan','Januari 2024','Desember 2024','pkm-tegalampel'),
(2195,'36214481','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','8.880.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','222 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2196,'36214486','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','12.120.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','303 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2197,'36214501','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','109.920.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','2748 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2198,'36214511','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','16 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2199,'36214523','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.720.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','68 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2200,'36214548','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','160 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2201,'36214568','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','5.360.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','134 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2202,'36214576','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','20.200.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','505 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2203,'36214590','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Beban Jasa Pelayanan Kesehatan bagi ASN','46.860.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-tegalampel'),
(2204,'36214595','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Beban Jasa Pelayanan Kesehatan bagi Non ASN','38.340.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','1 Tahun','Bondowoso (Kab.)','Beban Jasa Pelayanan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-tegalampel'),
(2205,'36214600','PENYEDIAAN FASILITAS PELAYANAN KESEHATAN UNTUK UKM DAN UKP KEWENANGAN DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota','7.440.000','January 2024','Kab. Bondowoso','FKTP Tegalampel','1','FKTP Tegalampel','2024','186 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-tegalampel'),
(2206,'36163470','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.247.902.900','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-tenggarang'),
(2207,'36163724','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Bahan-Bahan Bakar dan Pelumas','11.076.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Lainnya','Pertamina dex, Biosalar, Olie, dan Pertamx','Januari 2024','Desember 2024','pkm-tenggarang'),
(2208,'36163999','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.500.000','March 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Paket','Bondowoso (Kab.)','Materai','Maret 2024','Desember 2024','pkm-tenggarang'),
(2209,'36164428','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Jasa Tenaga Laboratorium','10.035.000','July 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','penguji sampel air dan biaya pemeriksaan rujukan laboraturium ke labkesda','Juli 2024','Desember 2024','pkm-tenggarang'),
(2210,'36164908','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.840.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Tenaga Kerja','Januari 2024','Desember 2024','pkm-tenggarang'),
(2211,'36165223','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','26.000.000','March 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','service printer, service ambulance, service ac, service laptop/komputer, dan service genset','Maret 2024','Desember 2024','pkm-tenggarang'),
(2212,'36165474','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Tagihan Telepon','1.200.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Belanja Telepon','Januari 2024','Desember 2024','pkm-tenggarang'),
(2213,'36165782','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Tagihan Air','12.000.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Tagihan Air','Januari 2024','Desember 2024','pkm-tenggarang'),
(2214,'36166126','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Tagihan Listrik','30.000.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','pkm-tenggarang'),
(2215,'36166401','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Kawat/Faksimili/Internet/TV Berlangganan','40.800.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Belanja Internet Wifi Puskesmas dan Wifi','Januari 2024','Desember 2024','pkm-tenggarang'),
(2216,'36166949','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Iuran Jaminan Kesehatan bagi Non ASN','35.640.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Premi BPJS','Januari 2024','Desember 2024','pkm-tenggarang'),
(2217,'36167212','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','4.752.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 tahun','Bondowoso (Kab.)','Ketenagakerjaan','Januari 2024','Desember 2024','pkm-tenggarang'),
(2218,'36207300','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','12.800.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2219,'36207726','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','13.920.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2220,'36207761','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','11.520.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2221,'36207817','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','3.200.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2222,'36207833','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','19.440.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2223,'36207897','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Honor Kader PMT Lokal Ibu Hamil KEK (BOK)','23.220.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honor Kader PMT Lokal Ibu Hamil KEK (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2224,'36207921','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Honor Kader PMT Lokal Balita Gizi Kurang (BOK)','12.936.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honor Kader PMT Lokal Balita Gizi Kurang (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2225,'36207935','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.320.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2226,'36208008','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','21.840.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2227,'36208044','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','198.000.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2228,'36208052','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.520.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2229,'36208064','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','960.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2230,'36208075','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','6.400.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2231,'36208077','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.400.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2232,'36208086','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.800.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2233,'36208094','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','4.000.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2234,'36208869','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Jasa Pelayanan Kesehatan bagi ASN (BOK)','76.200.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2235,'36208875','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Jasa Pelayanan Kesehatan bagi Non ASN','50.800.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Jasa Pelayanan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','pkm-tenggarang'),
(2236,'36209241','Penyedia Fasilitas Pelayanan Kesehatan untuk UKM dan UKP Kewenangan Daerah Kabupaten Bondowoso','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','29.760.000','January 2024','Kab. Bondowoso','FKTP Tenggarang','1','FKTP Tenggarang','2024','1 Tahun','Bondowoso (Kab.)','Belanja Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','Januari 2024','Desember 2024','pkm-tenggarang'),
(2237,'35994148','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','Belanja Jasa Pelayanan Kesehatan Bagi ASN','1.612.393.200','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','belanja jasa pelayanan medis puskesmas tlogosari','Januari 2024','Desember 2024','pkm-tlogosari'),
(2238,'35994631','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','Jasa pemusnahan sampah puskesmas tlogosari','31.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','pemusnahan sampah medis dan non medis','Januari 2024','Desember 2024','pkm-tlogosari'),
(2239,'35994854','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','tagihan air','12.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','belanja tagiha air bulanan puskesmas tlogosari','Januari 2024','Desember 2024','pkm-tlogosari'),
(2240,'35994951','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','tagihan listrik','40.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','tagihan listrik bulanan dan token puskesmas tlogosari','Januari 2024','Desember 2024','pkm-tlogosari'),
(2241,'35995238','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','belanja iuran jaminan asuransi kesehatan','29.580.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','bpjs kesehatan non asn pkm tlogosari','Januari 2024','Desember 2024','pkm-tlogosari'),
(2242,'35995549','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','belanja iuran jaminan kecelakaan kerja bagi non asn','3.300.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','premi asuransi ketenagakerjaan','Januari 2024','Desember 2024','pkm-tlogosari'),
(2243,'36000271','Penyediaan Fasilitas Pelayanan Kesehatan Untuk UKM dan UKP Kewenangan Daerah Kabupaten / Kota','Belanja Jasa Tenaga Laboratorium','10.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','1 tahun','Bondowoso (Kab.)','Beban Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-tlogosari'),
(2244,'36236667','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','12.800.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 320 Orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2245,'36237482','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','2.360.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 59 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2246,'36238509','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','30.720.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan Transport 768 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2247,'36239638','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','6.400.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 160 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2248,'36239792','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','19.080.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan Transport 477 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2249,'36240056','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Honor Kader PMT Lokal','38.736.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita 3920 orang Honor Kader PMT Lokal Ibu Hamil KEK 6000 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2250,'36240881','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','8.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan Transport 200 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2251,'36241057','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','14.720.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 368 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2252,'36242154','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','214.640.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 5366 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2253,'36242420','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Insentif UKM Non ASN (BOK Puskesmas)','59.200.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Insentif UKM Non ASN 1 thn','Januari 2024','Desember 2024','pkm-tlogosari'),
(2254,'36242808','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','5.040.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 126 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2255,'36243253','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Insentif UKM ASN','88.800.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Insentif UKM ASN (BOK Puskesmas) 1 th','Januari 2024','Desember 2024','pkm-tlogosari'),
(2256,'36243668','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','4.000.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 100 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2257,'36244305','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','7.200.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','bantuan transport 180 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2258,'36244445','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','10.320.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 258 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2259,'36244567','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','1.600.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan Transport 40 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2260,'36244666','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','47.360.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 1184 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2261,'36244732','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM) TINGKAT DAERAH KABUPATEN/KOTA','Bantuan Transport BOK','5.800.000','January 2024','Kab. Bondowoso','FKTP Tlogosari','1','FKTP Tlogosari','2024','Paket','Bondowoso (Kab.)','Bantuan transport 145 orang','Januari 2024','Desember 2024','pkm-tlogosari'),
(2262,'36212668','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Bahan-Bahan Bakar dan Pelumas','18.073.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Liter','Bondowoso (Kab.)','Bio Solar, oli gardan, oli mesin, oli verseneling, pertamax, pertamina dex','Januari 2024','Desember 2024','pkm-wonosari'),
(2263,'36212791','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.341.213.700','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN','Januari 2024','Desember 2024','pkm-wonosari'),
(2264,'36215657','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Tenaga Laboratorium','6.360.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun','Bondowoso (Kab.)','Pemeriksaan/pengujian Sampel ke Labkesda, Pengujian Sampel air','Januari 2024','Desember 2024','pkm-wonosari'),
(2265,'36215660','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.840.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Orang','Bondowoso (Kab.)','Tenaga Kerja','Januari 2024','Desember 2024','pkm-wonosari'),
(2266,'36215681','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','14.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun, Kali','Bondowoso (Kab.)','Service','Januari 2024','Desember 2024','pkm-wonosari'),
(2267,'36215684','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Pencucian Pakaian, Alat Kesenian dan kebudayaan serta Alat Rumah Tangga','5.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun','Bondowoso (Kab.)','Loundry','Januari 2024','Desember 2024','pkm-wonosari'),
(2268,'36215687','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Pengolahan Sampah','29.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun, Bulan','Bondowoso (Kab.)','Pemusnahan Sampah Medis, Pengolahan Sampah Non Medis','Januari 2024','Desember 2024','pkm-wonosari'),
(2269,'36215698','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Tagihan Telepone','2.400.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun','Bondowoso (Kab.)','Tagihan Telepone','Januari 2024','Desember 2024','pkm-wonosari'),
(2270,'36215721','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Tagihan Listrik','52.371.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Kwh','Bondowoso (Kab.)','>200 KVA','Januari 2024','Desember 2024','pkm-wonosari'),
(2271,'36215743','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Kawat/Faksimili/Internet/TV berlangganan','19.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Bulan','Bondowoso (Kab.)','Beban Jasa Kawat/Faksimili/Internet/TV berlangganan','Januari 2024','Desember 2024','pkm-wonosari'),
(2272,'36216017','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Iuran Jaminan Kesehatan bagi Non ASN','48.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Orang','Bondowoso (Kab.)','Bpjs Tenaga Kontrak','Januari 2024','Desember 2024','pkm-wonosari'),
(2273,'36216060','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','7.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Orang','Bondowoso (Kab.)','Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-wonosari'),
(2274,'36216095','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Kursus Singkat/Pelatihan','38.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Orang','Bondowoso (Kab.)','Pelatihan ACLS, Pelatihan APN, Pelatihan PPGD','Januari 2024','Desember 2024','pkm-wonosari'),
(2275,'36219727','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','78.040.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun, Orang','Bondowoso (Kab.)','Insentif, Bantuan Transport','Januari 2024','Desember 2024','pkm-wonosari'),
(2276,'36220132','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','54.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN BOK','Januari 2024','Desember 2024','pkm-wonosari'),
(2277,'36235564','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM)','Belanja Barang dan Jasa BOK Puskesmas','2.000.000','February 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','pkm-wonosari'),
(2278,'36244468','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','29.760.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2279,'36244981','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','1.360.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2280,'36245844','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','6.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2281,'36246196','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','4.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2282,'36246354','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','240.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2283,'36247067','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','200.000.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2284,'36248191','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','9.520.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2285,'36248771','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','4.080.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2286,'36249301','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','4.800.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2287,'36249687','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','12.960.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2288,'36255625','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','10.600.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','pkm-wonosari'),
(2289,'36256011','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','11.088.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan (Balita Gizi Kurang)','Januari 2024','Desember 2024','pkm-wonosari'),
(2290,'36256378','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','28.896.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Penyuluhan atau Pendampingan (Ibu Hamil KEK)','Januari 2024','Desember 2024','pkm-wonosari'),
(2291,'36256726','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','44.352.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Pada Fasilitas Pelayanan Urusan Kesehatan (Balita Gizi Kurang)','Januari 2024','Desember 2024','pkm-wonosari'),
(2292,'36256990','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAHKABUPATEN/KOTA','Belanja Barang dan Jasa BOK Puskesmas','115.584.000','January 2024','Kab. Bondowoso','FKTP Wonosari','1','FKTP Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (Ibu Hamil KEK)','Januari 2024','Desember 2024','pkm-wonosari'),
(2293,'36210912','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi ASN','1.379.140.275','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Tahun','Bondowoso (Kab.)','Belanja Jasa Pelayanan Kesehatan bagi ASN 1 Tahun,','Januari 2024','Desember 2024','pkm-wringin'),
(2294,'36239539','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','16.640.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2295,'36239704','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Beban Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','2.080.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2296,'36239889','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','29.280.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2297,'36240141','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.600.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2298,'36241852','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','23.200.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2299,'36242043','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Honorarium Penyuluhan atau Pendampingan (BOK)','36.818.400','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Honor Kader Masak PMT Lokal Balita Gizi Kurang dan Honor Kader PMT Lokal Ibu Hamil KEK (BOK Puskesmas)','Januari 2024','Desember 2024','pkm-wringin'),
(2300,'36242176','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Modal Alat Peraga Pelatihan dan Percontohan Lainnya (BOK)','6.916.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Belanja Bahan Makanan','Januari 2024','Desember 2024','pkm-wringin'),
(2301,'36242343','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.320.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2302,'36242687','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','12.320.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2303,'36242803','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','184.720.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2304,'36242919','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','8.320.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2305,'36243029','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Jasa Pelayanan Kesehatan bagi Non ASN Insentif UKM BOK','59.200.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Insentif UKM Non ASN BOK Puskesmas','Januari 2024','Desember 2024','pkm-wringin'),
(2306,'36262255','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','800.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2307,'36262327','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','7.360.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2308,'36262450','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','3.840.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2309,'36262490','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','1.040.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2310,'36262555','PENYEDIAAN LAYANAN KESEHATAN UNTUK UKM DAN UKP RUJUKAN TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','33.440.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2311,'36263330','PENGEMBANGAN DAN PELAKSANAAN UPAYA KESEHATAN BERSUMBER DAYA MASYARAKAT (UKBM TINGKAT DAERAH KABUPATEN/KOTA','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (BOK)','18.480.000','January 2024','Kab. Bondowoso','FKTP Wringin','1','FKTP Wringin','2024','1 Paket','Bondowoso (Kab.)','Perjalanan Dinas Paket Meeting Dalam Kota (Bantuan Transport)','Januari 2024','Desember 2024','pkm-wringin'),
(2312,'36188078','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','64.675.500','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','inspektorat'),
(2313,'36188079','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','6.000.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','inspektorat'),
(2314,'36188163','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Pemeliharaan Peralatan dan Mesin Lainnya','10.000.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','inspektorat'),
(2315,'36188344','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pelayanan Umum Kantor','558.312.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan; Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Keamanan; Beban Iuran Jaminan Kesehatan bagi Non ASN;','Januari 2024','Desember 2024','inspektorat'),
(2316,'36188414','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','74.693.100','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik; Beban Kawat/Faksimili/Internet/TV Berlangganan; Beban Tagihan Telepon; Beban Tagihan Air;','Januari 2024','Desember 2024','inspektorat'),
(2317,'36188424','Administrasi Kepegawaian Perangkat Daerah','Pendidikan dan Pelatihan Pegawai Berdasarkan Tugas dan Fungsi','149.950.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Diklat Kepemimpinan; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','inspektorat'),
(2318,'36188541','Administrasi Umum Perangkat Daerah','Penyelenggaraan Rapat Koordinasi dan Konsultasi SKPD','181.645.900','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Jalan/Tol; Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','inspektorat'),
(2319,'36188683','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Koordinasi dan Penyusunan Laporan Capaian Kinerja dan Ikhtisar Realisasi Kinerja SKPD','19.510.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Bahan Komputer; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Kertas dan Cover;','Januari 2024','Desember 2024','inspektorat'),
(2320,'36188821','Penyelenggaraan Pengawasan Internal','Pengawasan Keuangan Pemerintah Daerah','1.014.040.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Bakar dan Pelumas; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','inspektorat'),
(2321,'36188859','Penyelenggaraan Pengawasan Internal','Reviu Laporan Kinerja','186.140.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','inspektorat'),
(2322,'36188867','Penyelenggaraan Pengawasan Internal','Reviu Laporan Keuangan','19.525.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','inspektorat'),
(2323,'36188869','Penyelenggaraan Pengawasan Internal','Monitoring dan Evaluasi Tindak Lanjut Hasil Pemeriksaan BPK RI dan Tindak Lanjut Hasil Pemeriksaan APIP','344.450.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Bahan Bakar dan Pelumas; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','inspektorat'),
(2324,'36188980','Penyelenggaraan Pengawasan dengan Tujuan Tertentu','Pengawasan dengan Tujuan Tertentu','172.000.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','inspektorat'),
(2325,'36189027','Pendampingan dan Asistensi','Koordinasi, Monitoring dan Evaluasi serta Verifikasi Pencegahan dan Pemberantasan Korupsi','628.700.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Jasa Penyelenggaraan Acara; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Bahan Bakar dan Pelumas; Kertas dan Cover; Beban Makanan dan Minuman Rapat; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Jasa Penyelenggaraan Acara; Beban Jasa Penyelenggaraan Acara;','Januari 2024','Desember 2024','inspektorat'),
(2326,'36189028','Pendampingan dan Asistensi','Pendampingan, Asistensi dan Verifikasi Penegakan Integritas','173.055.000','January 2024','Kab. Bondowoso','Inspektorat','1','Inspektorat','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Bahan Bakar dan Pelumas; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','inspektorat'),
(2327,'36148314','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Luar Kota','9.840.000','January 2024','Kab. Bondowoso','Kecamatan Binakal','1','Kecamatan Binakal','2024','24 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','binakal'),
(2328,'36148377','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','84.800.000','January 2024','Kab. Bondowoso','Kecamatan Binakal','1','Kecamatan Binakal','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','binakal'),
(2329,'36148378','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Keamanan','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Binakal','1','Kecamatan Binakal','2024','48 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan;','Januari 2024','Desember 2024','binakal'),
(2330,'36148379','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Kebersihan','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Binakal','1','Kecamatan Binakal','2024','24 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','binakal'),
(2331,'36152804','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Binakal','1','Kecamatan Binakal','2024','24 Orang / Bulan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','binakal'),
(2332,'36121499','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Dalam Kota','2.800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','28 Orang / Perjalanan','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa','Januari 2024','Desember 2024','bondowoso'),
(2333,'36150730','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Dalam Kota','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','18 Orang / perjalanan','Bondowoso (Kab.)','Beban perjananan dinas biasa','Januari 2024','Desember 2024','bondowoso'),
(2334,'36158939','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','52.800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','330 orang/hari','Bondowoso (Kab.)','JAWA TIMUR','Januari 2024','Desember 2024','bondowoso'),
(2335,'36162887','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','2 orang / jam','Bondowoso (Kab.)','Narasumber/ tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2336,'36163400','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','26.400.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','165 orang/hari','Bondowoso (Kab.)','JAWA TIMUR','Januari 2024','Desember 2024','bondowoso'),
(2337,'36168160','Koordinasi Pemeliharaan Prasarana dan Sarana Pelayanan Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','4 orang/hari','Bondowoso (Kab.)','JAWA TIMUR','Januari 2024','Desember 2024','bondowoso'),
(2338,'36210962','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','24 orang/ kali','Bondowoso (Kab.)','Narasumber/ tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2339,'36210975','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Dalam Kota','3.600.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','36 orang/ kali','Bondowoso (Kab.)','Beban perjalanan dinas biasa','Januari 2024','Desember 2024','bondowoso'),
(2340,'36210981','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','36orang / kali','Bondowoso (Kab.)','Narasumber/ tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2341,'36210994','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Dalam Kota','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','72 orang / kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa','Januari 2024','Desember 2024','bondowoso'),
(2342,'36213502','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','36 orang / kali','Bondowoso (Kab.)','narasumber / tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2343,'36213539','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','96 orang/ kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa','Januari 2024','Desember 2024','bondowoso'),
(2344,'36216968','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.200.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','1 Tahun','Bondowoso (Kab.)','Narasumber / tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2345,'36217233','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Dalam Kota','21.760.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','136 orang / kegiatan','Bondowoso (Kab.)','JAWA TIMUR','Januari 2024','Desember 2024','bondowoso'),
(2346,'36219442','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','4 orang / kegiatan','Bondowoso (Kab.)','Narasumber / tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2347,'36219765','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Dalam Kota','9.200.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','92 orang / perjalanan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','bondowoso'),
(2348,'36223247','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','6 orang / jam','Bondowoso (Kab.)','narasumber / tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2349,'36223910','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','5 orang / jam','Bondowoso (Kab.)','narasumber / tenaga ahli pansel kabupaten','Januari 2024','Desember 2024','bondowoso'),
(2350,'36227523','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','36orang / kegiatan','Bondowoso (Kab.)','JAWA TIMUR','Januari 2024','Desember 2024','bondowoso'),
(2351,'36266194','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Dalam Kota','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','18 Orang / perjalanan','Bondowoso (Kab.)','beban perjalanan dinas biasa','Januari 2024','Desember 2024','bondowoso'),
(2352,'36273640','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Dalam Kota','2.800.000','January 2024','Kab. Bondowoso','Kecamatan Bondowoso','1','Kecamatan Bondowoso','2024','28 Orang / Perjalanan','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa','Januari 2024','Desember 2024','bondowoso'),
(2353,'36161029','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','4.500.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','45 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2354,'36161161','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Biasa','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','20 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2355,'36161349','Administrasi Kepegawaian Perangkat Daerah','Beban Perjalanan Dinas Biasa','700.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','7 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2356,'36161512','Administrasi Kepegawaian Perangkat Daerah','Beban Perjalanan Dinas Biasa','500.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','5 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2357,'36162179','Administrasi Umum Perangkat Daerah','Beban Perjalanan Dinas Biasa','13.600.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','136 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2358,'36162489','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','24.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','48 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','botolinggo'),
(2359,'36162490','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','24 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','botolinggo'),
(2360,'36172370','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Biasa','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','12 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2361,'36172585','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Perjalanan Dinas Biasa','1.500.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','15 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2362,'36172801','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','botolinggo'),
(2363,'36172869','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Biasa','23.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','230 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2364,'36172920','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Biasa','22.300.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','223 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2365,'36172940','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Beban Perjalanan Dinas Biasa','9.500.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','95 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2366,'36172994','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Biasa','38.400.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','384 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2367,'36173026','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Biasa','22.100.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','221 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2368,'36173060','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Biasa','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','20 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2369,'36173082','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Biasa','32.800.000','January 2024','Kab. Bondowoso','Kecamatan Botolinggo','1','Kecamatan Botolinggo','2024','328 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','botolinggo'),
(2370,'36127048','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2371,'36127215','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','cermee'),
(2372,'36127216','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','cermee'),
(2373,'36127217','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','105.600.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','cermee'),
(2374,'36127451','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2375,'36127494','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2376,'36127574','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2377,'36127646','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2378,'36127748','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2379,'36127789','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2380,'36127830','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','17.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','cermee'),
(2381,'36127831','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2382,'36128202','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2383,'36128285','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2384,'36128312','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2385,'36128368','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2386,'36128399','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2387,'36128443','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2388,'36128484','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2389,'36128532','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Cermee','1','Kecamatan Cermee','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','cermee'),
(2390,'35938807','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','50 Orang / Perjalanan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','curahdami'),
(2391,'35938836','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.200.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','20 Orang / Perjalanan','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','curahdami'),
(2392,'35938999','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','106.800.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','9 x 12 Orang / Bulan Bulan, 2 x 12 Orang Bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','curahdami'),
(2393,'35941115','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2394,'35941244','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.600.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2395,'35941432','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','600.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Januari 2024','Desember 2024','curahdami'),
(2396,'35941600','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','24.800.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2397,'35941813','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.900.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2398,'35941891','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2399,'35941996','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Curahdami','1','Kecamatan Curahdami','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','curahdami'),
(2400,'35873758','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','12 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2401,'35873943','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','7.450.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','3 Orang / Hari, 5 Orang / Hari, 8 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','grujugan'),
(2402,'35875887','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','103.200.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','48 Orang / Bulan, 24 Orang / Bulan, 12 Orang / Bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','grujugan'),
(2403,'35876067','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','30.000.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','36 Orang / Bulan, 12 Orang / Bulan','Bondowoso (Kab.)','Belanja Jasa Tenaga Operator Komputer','Januari 2024','Desember 2024','grujugan'),
(2404,'35876146','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kesehatan bagi Non ASN','5.184.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','48 Orang / Bulan','Bondowoso (Kab.)','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Januari 2024','Desember 2024','grujugan'),
(2405,'35876241','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','2.544.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','240 Orang / Bulan','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','grujugan'),
(2406,'35879891','Koordinasi Pemeliharaan Prasarana dan Sarana Pelayanan Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','18 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2407,'35881087','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.520.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','22 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2408,'35881443','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','20 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2409,'35881555','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','10 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2410,'35882283','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','24 Orang / Kali','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','grujugan'),
(2411,'35882301','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','30 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2412,'35882398','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','24 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2413,'35899014','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.360.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','21 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2414,'35899776','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','48 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2415,'35900491','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','24 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2416,'35901521','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','12 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2417,'35902327','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','12 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2418,'35902899','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','24 Orang / Kali','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2419,'35905267','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Grujugan','1','Kecamatan Grujugan','2024','48 Orang / Hari','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','grujugan'),
(2420,'35976998','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','ijen'),
(2421,'35978248','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','ijen'),
(2422,'36007820','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2423,'36008290','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','ijen'),
(2424,'36008291','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2425,'36008300','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2426,'36008311','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2427,'36008355','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','32.000.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2428,'36008384','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','19.200.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2429,'36008428','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2430,'36008435','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2431,'36008477','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.680.000','January 2024','Kab. Bondowoso','Kecamatan Ijen','1','Kecamatan Ijen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','ijen'),
(2432,'36123102','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.816.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Februari 2024','Desember 2024','jambesari'),
(2433,'36123274','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','6.000.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Februari 2024','Desember 2024','jambesari'),
(2434,'36123275','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','30.000.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer; Beban Jasa Tenaga Operator Komputer;','Februari 2024','Desember 2024','jambesari'),
(2435,'36123276','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','7.200.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Februari 2024','Desember 2024','jambesari'),
(2436,'36123626','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.640.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2437,'36123690','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.440.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2438,'36123736','Penyelenggaraan Urusan Pemerintahan yang Tidak Dilaksanakan oleh Unit Kerja Perangkat Daerah yang Ada di Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2439,'36124035','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.800.000','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Februari 2024','jambesari'),
(2440,'36124036','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.320.000','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','November 2024','jambesari'),
(2441,'36124085','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2442,'36124147','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Februari 2024','Desember 2024','jambesari'),
(2443,'36124658','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','jambesari'),
(2444,'36124659','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.640.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2445,'36124849','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','600.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','jambesari'),
(2446,'36124889','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','8.100.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Februari 2024','Desember 2024','jambesari'),
(2447,'36124890','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2448,'36124952','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2449,'36124978','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2450,'36125109','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.600.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2451,'36137724','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah','1','Kecamatan Jambesari Darussholah','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','jambesari'),
(2452,'36023174','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi Pendampingan Desa di Wilayahnya','1.920.000','February 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Februari 2024','Desember 2024','maesan'),
(2453,'36023403','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','Januari 2024','Desember 2024','maesan'),
(2454,'36023517','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Fasilitasi Administrasi Tata Pemerintahan Desa','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Fasilitasi Administrasi Tata Pemerintahan Desa','Januari 2024','Desember 2024','maesan'),
(2455,'36023979','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','maesan'),
(2456,'36024059','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','5.400.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','maesan'),
(2457,'36024147','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2458,'36024301','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia - Pejabat Eselon III kebawah yang disetarakan','Januari 2024','Desember 2024','maesan'),
(2459,'36024506','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2460,'36024647','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','9.600.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Narasumber Danramil dan Kapolsek','Januari 2024','Desember 2024','maesan'),
(2461,'36024755','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2462,'36024920','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat PPKM','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Pembinaan Penanganan Covid-19 di Tingkat Desa dan Kelurahan','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2463,'36025204','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','18.600.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium PPK Kecamatan','Januari 2024','Desember 2024','maesan'),
(2464,'36025365','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2465,'36025843','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2466,'36026988','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2467,'36027315','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi Penyediaan Jasa Pelayanan Umum Kantor','76.600.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Administrasi Umum & Kepegawaian, Petugas Administrasi, Tenaga K2','Januari 2024','Desember 2024','maesan'),
(2468,'36027906','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer Penyediaan Jasa Pelayanan Umum Kantor','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Honorarium Operator Keuangan Kecamatan, Operator Pelayanan Kecamatan','Januari 2024','Desember 2024','maesan'),
(2469,'36028094','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Penyelenggaraan Rapat Koordinasi dan Konsultasi SKPD','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2470,'36029000','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota Penyelenggaraan Rapat Koordinasi dan Konsultasi SKPD','10.320.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','maesan'),
(2471,'36029061','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','320.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2472,'36029109','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','320.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2473,'36029183','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Pelaksanaan Akuntansi SKPD','640.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Pelaksanaan Akuntansi SKPD','Januari 2024','Desember 2024','maesan'),
(2474,'36029249','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan Perubahan DPA SKPD','960.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan Perubahan DPA SKPD','Januari 2024','Desember 2024','maesan'),
(2475,'36029309','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan DPA SKPD','640.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Koordinasi dan Penyusunan DPA SKPD','Januari 2024','Desember 2024','maesan'),
(2476,'36043769','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Maesan','1','Kecamatan Maesan','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','maesan'),
(2477,'36020843','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pakem'),
(2478,'36023435','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','pakem'),
(2479,'36023436','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','27.400.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','pakem'),
(2480,'36023668','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.000.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','pakem'),
(2481,'36023884','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pakem'),
(2482,'36023885','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pakem'),
(2483,'36024066','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','pakem'),
(2484,'36048342','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Pakem','1','Kecamatan Pakem','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','pakem'),
(2485,'36067265','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','10.400.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2486,'36067266','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','16.200.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','prajekan'),
(2487,'36067855','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Kebersihan','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','24 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','prajekan'),
(2488,'36067856','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','24.000.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer; Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','prajekan'),
(2489,'36068055','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2490,'36068113','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','12 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2491,'36068191','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2492,'36068289','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Paket Meeting Dalam Kota','480.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','3 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2493,'36068336','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2494,'36068473','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','8 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2495,'36068597','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','prajekan'),
(2496,'36068598','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2497,'36068669','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','4 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2498,'36069045','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','8 Orang / Bulan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','prajekan'),
(2499,'36069046','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Paket Meeting Dalam Kota','16.000.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','100 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2500,'36069173','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','10 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2501,'36069380','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','24 Orang / Jam','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','prajekan'),
(2502,'36069381','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','30 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2503,'36069456','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','2.720.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','17 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2504,'36069510','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','800.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','5 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2505,'36069524','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','800.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','5 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2506,'36069581','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','5.120.000','January 2024','Kab. Bondowoso','Kecamatan Prajekan','1','Kecamatan Prajekan','2024','32 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','prajekan'),
(2507,'36101555','ADMINISTRASI KEUANGAN PERANGKAT DAERAH','Belanja Gaji Pokok PNS','2.027.064.300','January 2024','Kab. Bondowoso','Kecamatan Pujer','1','Kecamatan Pujer','2024','1 Paket','Bondowoso (Kab.)','Belanja Gaji Pokok PNS','Januari 2024','Desember 2024','pujer'),
(2508,'36107860','ADMINISTRASI UMUM PERANGKAT DARAH','Belanja Perjalanan Dinas Biasa','13.950.000','January 2024','Kab. Bondowoso','Kecamatan Pujer','1','Kecamatan Pujer','2024','1 Paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Biasa','Januari 2024','Desember 2024','pujer'),
(2509,'36108732','PENYEDIYAAN JASA PENUNJANGAN URUSAN PEMERINTAHAN DAERAH','Belanja Jasa Tenaga Administrasi','222.000.000','January 2024','Kab. Bondowoso','Kecamatan Pujer','1','Kecamatan Pujer','2024','1 Paket','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','pujer'),
(2510,'36032794','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Makanan dan Minuman Rapat','14.100.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sukosari'),
(2511,'36032795','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.579.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2512,'36032796','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.644.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2513,'36032797','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2514,'36032798','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2515,'36032799','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','sukosari'),
(2516,'36032866','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','395.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2517,'36032867','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2518,'36032868','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Makanan dan Minuman Rapat','1.410.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sukosari'),
(2519,'36032942','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.179.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2520,'36032943','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2521,'36032944','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.677.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2522,'36032945','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Makanan dan Minuman Rapat','9.400.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2523,'36032946','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2524,'36033158','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Makanan dan Minuman Rapat','7.050.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2525,'36033159','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2526,'36033160','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2527,'36033161','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.604.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2528,'36033162','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2529,'36033205','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Makanan dan Minuman Rapat','9.400.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2530,'36033206','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2531,'36033207','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.473.100','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2532,'36033208','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.808.900','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2533,'36033409','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','770.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer','Januari 2024','Desember 2024','sukosari'),
(2534,'36033410','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','666.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2535,'36033411','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.063.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2536,'36033437','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','770.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer','Januari 2024','Desember 2024','sukosari'),
(2537,'36033438','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.063.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2538,'36033439','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','666.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2539,'36033476','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','510.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2540,'36033477','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','489.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2541,'36033486','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','489.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2542,'36033487','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','510.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2543,'36033531','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.926.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2544,'36033532','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.247.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2545,'36033533','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2546,'36033534','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Makanan dan Minuman Rapat','14.100.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2547,'36033535','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.120.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2548,'36033602','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.582.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2549,'36033603','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.247.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2550,'36033604','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2551,'36033605','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Makanan dan Minuman Rapat','18.800.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2552,'36033606','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','sukosari'),
(2553,'36033607','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2554,'36033686','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2555,'36033687','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2556,'36033688','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','411.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2557,'36033689','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Makanan dan Minuman Rapat','7.050.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sukosari'),
(2558,'36033690','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2559,'36033749','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2560,'36033750','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2561,'36033751','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','521.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2562,'36033752','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2563,'36033753','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2564,'36033783','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapa','Januari 2024','Desember 2024','sukosari'),
(2565,'36033784','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2566,'36033785','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','544.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2567,'36033786','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2568,'36033787','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','623.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2569,'36033835','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','898.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2570,'36033836','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2571,'36033837','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2572,'36033838','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','12.690.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2573,'36033875','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','360.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2574,'36033876','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','369.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2575,'36033877','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Makanan dan Minuman Rapat','2.350.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2576,'36033878','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2577,'36033953','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2578,'36033954','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','304.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2579,'36033955','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','940.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2580,'36033956','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2581,'36034005','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','380.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2582,'36034007','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','304.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2583,'36034011','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','1.175.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2584,'36034013','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2585,'36034094','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2586,'36034095','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','304.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2587,'36034096','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','940.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2588,'36034097','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2589,'36034129','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','200.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2590,'36034130','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','249.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2591,'36034131','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','1.410.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat','Januari 2024','Desember 2024','sukosari'),
(2592,'36034132','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','640.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2593,'36050509','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','595.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2594,'36050510','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.053.100','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2595,'36050511','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Makanan dan Minuman Rapat','8.225.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sukosari'),
(2596,'36050512','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2597,'36050901','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','589.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2598,'36050902','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','304.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2599,'36050903','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2600,'36050930','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','565.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2601,'36050931','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2602,'36050964','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','510.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2603,'36050965','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','489.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2604,'36050986','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','192.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2605,'36050987','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','489.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2606,'36050988','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2607,'36051041','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','243.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2608,'36051042','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','544.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2609,'36051043','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2610,'36051067','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','400.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2611,'36051068','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2612,'36051087','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','459.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2613,'36051088','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2614,'36051089','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2615,'36055349','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','200.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2616,'36055350','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2617,'36055351','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','169.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2618,'36055377','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover','Januari 2024','Desember 2024','sukosari'),
(2619,'36055378','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','315.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2620,'36055386','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','433.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2621,'36055387','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2622,'36055388','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','186.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2623,'36055401','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','200.800','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2624,'36055402','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','169.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2625,'36055403','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2626,'36055412','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','140.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2627,'36055413','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','480.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2628,'36055414','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2629,'36055424','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','165.300','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2630,'36055425','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2631,'36055426','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','228.700','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2632,'36055449','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','589.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2633,'36055450','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','304.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2634,'36055451','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2635,'36055458','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','352.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2636,'36055459','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2637,'36055475','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','370.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2638,'36055476','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2639,'36055492','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','370.400','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2640,'36055493','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2641,'36055517','Administrasi Umum Perangkat Daerah','Belanja Bahan-Bahan Bangunan dan Konstruksi','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sukosari'),
(2642,'36055577','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','750.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Januari 2024','Desember 2024','sukosari'),
(2643,'36055615','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.095.200','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sukosari'),
(2644,'36055616','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.478.600','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','sukosari'),
(2645,'36055617','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','927.500','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','sukosari'),
(2646,'36055618','Administrasi Umum Perangkat Daerah','Belanja Makanan dan Minuman Rapat','11.750.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sukosari'),
(2647,'36055627','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor','Januari 2024','Desember 2024','sukosari'),
(2648,'36055649','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.160.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sukosari'),
(2649,'36055650','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','2.460.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','sukosari'),
(2650,'36055710','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','sukosari'),
(2651,'36055711','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','5.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','sukosari'),
(2652,'36055712','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Januari 2024','Desember 2024','sukosari'),
(2653,'36055755','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','sukosari'),
(2654,'36055786','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','sukosari'),
(2655,'36055787','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','36.000.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','sukosari'),
(2656,'36055861','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','16.800.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','sukosari'),
(2657,'36074117','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','885.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sukosari'),
(2658,'36074118','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bangunan dan Konstruksi','9.115.000','January 2024','Kab. Bondowoso','Kecamatan Sukosari','1','Kecamatan Sukosari','2024','1 Paket','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sukosari'),
(2659,'36004539','Administrasi Umum Perangkat Daerah','Beban Makanan dan Minuman Rapat','850.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','50 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2660,'36004540','Administrasi Umum Perangkat Daerah','Beban Makanan dan Minuman Rapat','1.350.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','45 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2661,'36004541','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','457.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1524 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2662,'36004542','Administrasi Umum Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2663,'36004543','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','953.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','38 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2664,'36004544','Administrasi Umum Perangkat Daerah','Kertas dan Cover','972.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2665,'36004545','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','87.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2666,'36004863','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2667,'36004885','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','1.300.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2668,'36004886','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','636.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2669,'36004887','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','159.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2670,'36004888','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','500.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2671,'36004889','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','42.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2672,'36004890','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','55.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2673,'36004891','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','132.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Lembar','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2674,'36004892','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','250.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2675,'36004893','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.125.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sumberwringin'),
(2676,'36004915','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','2.080.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','68 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2677,'36004916','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','4.036.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','62 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2678,'36004917','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','2.037.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2679,'36004918','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','94.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2680,'36004919','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','2.756.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','52 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2681,'36004920','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','53.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2682,'36004921','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','53.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2683,'36004922','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','250.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2684,'36004923','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','350.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2685,'36004924','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2686,'36004925','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.239.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','14 Orang / Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sumberwringin'),
(2687,'36004926','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','2.550.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','34 Orang / Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sumberwringin'),
(2688,'36004938','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bakar dan Pelumas','23.978.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1712.7571428571 Liter','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','sumberwringin'),
(2689,'36004939','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Suku Cadang Alat Angkutan','1.033.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Unit','Bondowoso (Kab.)','Suku Cadang Alat Angkutan;','Januari 2024','Desember 2024','sumberwringin'),
(2690,'36004940','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Suku Cadang Alat Angkutan','4.668.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Suku Cadang Alat Angkutan;','Januari 2024','Desember 2024','sumberwringin'),
(2691,'36004941','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','800.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2692,'36004942','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2693,'36004955','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','1.420.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Zak','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2694,'36004956','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','960.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 M3','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2695,'36004957','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','37.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','25 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2696,'36004958','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','2.223.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','34 M2','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2697,'36004959','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','22.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','11 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2698,'36004960','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Bahan Bangunan dan Konstruksi','372.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2699,'36004961','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','4.524.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','58 Orang / Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sumberwringin'),
(2700,'36004975','Administrasi Kepegawaian Perangkat Daerah','Alat Tulis Kantor','174.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2701,'36004976','Administrasi Kepegawaian Perangkat Daerah','Alat Tulis Kantor','42.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','140 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2702,'36004977','Administrasi Kepegawaian Perangkat Daerah','Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2703,'36004978','Administrasi Kepegawaian Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2704,'36004988','Administrasi Kepegawaian Perangkat Daerah','Alat Tulis Kantor','174.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2705,'36004989','Administrasi Kepegawaian Perangkat Daerah','Alat Tulis Kantor','222.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','740 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2706,'36004990','Administrasi Kepegawaian Perangkat Daerah','Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2707,'36004991','Administrasi Kepegawaian Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2708,'36004999','Pengadaan Barang Milik Daerah Penunjang Urusan Pemerintah Daerah','Alat Tulis Kantor','5.900.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1000 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2709,'36005000','Pengadaan Barang Milik Daerah Penunjang Urusan Pemerintah Daerah','Alat Tulis Kantor','100.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','500 Rim','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2710,'36005001','Pengadaan Barang Milik Daerah Penunjang Urusan Pemerintah Daerah','Alat Tulis Kantor','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1000 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2711,'36005023','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Tagihan Air','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Bulan','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','sumberwringin'),
(2712,'36005024','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Tagihan Listrik','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Kali','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2713,'36005025','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Kawat/Faksimili/internet/Tv Berlangganan','3.600.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Bulan','Bondowoso (Kab.)','Beban Kawat/Faksimili/internet/Tv Berlangganan;','Januari 2024','Desember 2024','sumberwringin'),
(2714,'36005032','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','9 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2715,'36005033','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Kali','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2716,'36005037','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','36.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','72 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','sumberwringin'),
(2717,'36005038','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','26.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','sumberwringin'),
(2718,'36005039','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2719,'36005047','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','294.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','980 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2720,'36005048','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2721,'36005049','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','58.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2722,'36005059','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','116.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2723,'36005060','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','354.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1180 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2724,'36005061','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2725,'36005099','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','116.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2726,'36005100','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','354.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1180 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2727,'36005101','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2728,'36005103','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','116.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2729,'36005104','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','354.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1180 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2730,'36005105','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2731,'36005113','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','87.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2732,'36005114','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Alat Tulis Kantor','411.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1370 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2733,'36005115','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Kertas dan Cover','972.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2734,'36005116','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2735,'36005125','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','58.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2736,'36005126','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','303.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1010 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2737,'36005127','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','491.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2738,'36005128','Administrasi Keuangan Perangkat Daerah','Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2739,'36005154','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','58.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2740,'36005155','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','303.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1010 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2741,'36005156','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','491.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2742,'36005157','Administrasi Keuangan Perangkat Daerah','Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2743,'36005162','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','87.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2744,'36005163','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','411.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1370 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2745,'36005164','Administrasi Keuangan Perangkat Daerah','Kertas dan Cover','972.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2746,'36005165','Administrasi Keuangan Perangkat Daerah','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2747,'36005166','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','sumberwringin'),
(2748,'36005178','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','29.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2749,'36005179','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','147.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','490 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2750,'36005180','Administrasi Keuangan Perangkat Daerah','Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2751,'36005194','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','58.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2752,'36005195','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','303.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1010 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2753,'36005196','Administrasi Keuangan Perangkat Daerah','Alat Tulis Kantor','491.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2754,'36005197','Administrasi Keuangan Perangkat Daerah','Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2755,'36005211','Administrasi Barang Milik Daerah pada Perangkat Daerah','Alat Tulis Kantor','174.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2756,'36005212','Administrasi Barang Milik Daerah pada Perangkat Daerah','Alat Tulis Kantor','836.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2788 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2757,'36005213','Administrasi Barang Milik Daerah pada Perangkat Daerah','Kertas dan Cover','777.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2758,'36005214','Administrasi Barang Milik Daerah pada Perangkat Daerah','Bahan Komputer','212.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2759,'36005217','Administrasi Barang Milik Daerah pada Perangkat Daerah','Alat Tulis Kantor','261.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','9 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2760,'36005218','Administrasi Barang Milik Daerah pada Perangkat Daerah','Alat Tulis Kantor','144.900','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','483 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2761,'36005219','Administrasi Barang Milik Daerah pada Perangkat Daerah','Alat Tulis Kantor','491.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Eksemplar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2762,'36005220','Administrasi Barang Milik Daerah pada Perangkat Daerah','Kertas dan Cover','1.944.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2763,'36005221','Administrasi Barang Milik Daerah pada Perangkat Daerah','Beban Perjalanan Dinas Paket Meeting Dalam Kota','1.120.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','7 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2764,'36005231','Administrasi Umum Perangkat Daerah','Alat Listrik','800.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','50 Meter','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2765,'36005232','Administrasi Umum Perangkat Daerah','Alat Listrik','496.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2766,'36005233','Administrasi Umum Perangkat Daerah','Alat Listrik','573.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2767,'36005234','Administrasi Umum Perangkat Daerah','Alat Listrik','10.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2768,'36005235','Administrasi Umum Perangkat Daerah','Alat Listrik','116.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2769,'36005236','Administrasi Umum Perangkat Daerah','Alat Listrik','1.141.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Unit','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2770,'36005237','Administrasi Umum Perangkat Daerah','Alat Listrik','1.122.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2771,'36005238','Administrasi Umum Perangkat Daerah','Alat Listrik','678.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2772,'36005239','Administrasi Umum Perangkat Daerah','Alat Listrik','63.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Alat Listrik;','Januari 2024','Desember 2024','sumberwringin'),
(2773,'36005253','Administrasi Umum Perangkat Daerah','Perabot Kantor','10.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Unit','Bondowoso (Kab.)','Perabot Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2774,'36005263','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','350.100','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1167 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2775,'36005264','Administrasi Umum Perangkat Daerah','Kertas dan Cover','513.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Pak','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2776,'36005265','Administrasi Umum Perangkat Daerah','Perabot Kantor','318.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Buah','Bondowoso (Kab.)','Perabot Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2777,'36005266','Administrasi Umum Perangkat Daerah','Perabot Kantor','318.300','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Buah','Bondowoso (Kab.)','Perabot Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2778,'36005285','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','200.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2779,'36005286','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','1.126.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2780,'36005287','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','16.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2781,'36005288','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','357.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1192 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2782,'36005289','Administrasi Umum Perangkat Daerah','Kertas dan Cover','881.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','16 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2783,'36005290','Administrasi Umum Perangkat Daerah','Kertas dan Cover','917.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Pak','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2784,'36005307','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','12.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','40 Liter','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2785,'36005308','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','1.562.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','24 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2786,'36005309','Administrasi Umum Perangkat Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','708.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Orang / Hari','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','sumberwringin'),
(2787,'36005310','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','1.050.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','15 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2788,'36005311','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','125.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2789,'36005312','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','297.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2790,'36005313','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','1.224.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','40 Kg','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2791,'36005314','Administrasi Umum Perangkat Daerah','Bahan Bangunan dan Konstruksi','21.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Buah','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','sumberwringin'),
(2792,'36005318','Administrasi Umum Perangkat Daerah','Beban Makanan dan Minuman Jamuan Tamu','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Orang','Bondowoso (Kab.)','Beban Makanan dan Minuman Jamuan Tamu;','Januari 2024','Desember 2024','sumberwringin'),
(2793,'36005330','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','200.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2794,'36005331','Administrasi Umum Perangkat Daerah','Beban Makanan dan Minuman Rapat','510.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2795,'36005332','Administrasi Umum Perangkat Daerah','Beban Makanan dan Minuman Rapat','900.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2796,'36005333','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','121.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','404 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2797,'36005334','Administrasi Umum Perangkat Daerah','Alat Tulis Kantor','268.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2798,'36005359','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Alat Tulis Kantor','249.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','830 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2799,'36005360','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2800,'36005361','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Makanan dan Minuman Rapat','4.250.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','250 Orang','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2801,'36005362','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Makanan dan Minuman Rapat','7.500.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','250 Orang','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2802,'36005363','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.600.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','23 Orang','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','sumberwringin'),
(2803,'36005364','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Beban Perjalanan Dinas Paket Meeting Dalam Kota','15.360.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','96 Orang','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2804,'36005380','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Alat Tulis Kantor','338.300','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','199 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2805,'36005381','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Alat Tulis Kantor','690.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','300 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2806,'36005382','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Alat Tulis Kantor','210.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','50 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2807,'36005383','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Alat Tulis Kantor','277.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','924 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2808,'36005384','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2809,'36005385','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Makanan dan Minuman Rapat','6.800.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','400 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2810,'36005386','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Makanan dan Minuman Rapat','13.320.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','400 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2811,'36005387','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','36 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2812,'36005395','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','601.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','9 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2813,'36005396','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','21.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2814,'36005397','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','5.700','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','19 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2815,'36005398','Koordinasi Kegiatan Pemberdayaan Desa','Kertas dan Cover','1.944.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2816,'36005399','Koordinasi Kegiatan Pemberdayaan Desa','Bahan Komputer','4.814.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2817,'36005400','Koordinasi Kegiatan Pemberdayaan Desa','Beban Makanan dan Minuman Rapat','8.500.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','500 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2818,'36005401','Koordinasi Kegiatan Pemberdayaan Desa','Beban Makanan dan Minuman Rapat','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','500 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2819,'36005402','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Biasa','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','60 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','sumberwringin'),
(2820,'36005414','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','100.700','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','19 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2821,'36005415','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','69.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','30 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2822,'36005416','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','32.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2823,'36005417','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','198.300','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','661 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2824,'36005418','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','5.600.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','35 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2825,'36005421','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','225.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','9 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2826,'36005422','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','159.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2827,'36005423','Koordinasi Kegiatan Pemberdayaan Desa','Alat Tulis Kantor','399.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1330 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2828,'36005424','Koordinasi Kegiatan Pemberdayaan Desa','Beban Makanan dan Minuman Rapat','1.887.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2829,'36005425','Koordinasi Kegiatan Pemberdayaan Desa','Beban Makanan dan Minuman Rapat','3.330.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2830,'36005435','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Makanan dan Minuman Rapat','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2831,'36005436','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Makanan dan Minuman Rapat','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2832,'36005437','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Perjalanan Dinas Biasa','300.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','sumberwringin'),
(2833,'36005454','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','502.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2834,'36005455','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','164.300','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','31 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2835,'36005456','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','80.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','35 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2836,'36005457','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','300.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1000 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2837,'36005458','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Kertas dan Cover','2.203.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','34 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2838,'36005459','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','4.250.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','250 Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2839,'36005460','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','7.500.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','250 Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2840,'36005473','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','150.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2841,'36005474','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','125.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','418 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2842,'36005475','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','5 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2843,'36005476','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','3.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Orang / Kegiatan','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2844,'36005477','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Orang / Kegiatan','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2845,'36005483','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','47.700','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','9 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2846,'36005484','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','222.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','7 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2847,'36005485','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','70.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','235 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2848,'36005486','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2849,'36005487','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','3.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2850,'36005488','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2851,'36005497','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','95.400','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','18 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2852,'36005498','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Alat Tulis Kantor','594.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1982 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2853,'36005499','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','3.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2854,'36005500','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Makanan dan Minuman Rapat','5.910.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','197 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2855,'36005510','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Alat Tulis Kantor','742.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2856,'36005511','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Alat Tulis Kantor','198.900','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3 Botol','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2857,'36005512','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Alat Tulis Kantor','784.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','14 Buku','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2858,'36005513','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Alat Tulis Kantor','303.300','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1011 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2859,'36005514','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Alat Tulis Kantor','638.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','4 Buku','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2860,'36005515','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Kertas dan Cover','281.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Pak','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2861,'36005516','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Mebel','21.655.200','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Unit','Bondowoso (Kab.)','Mebel;','Januari 2024','Desember 2024','sumberwringin'),
(2862,'36005517','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Mebel','3.180.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','6 Unit','Bondowoso (Kab.)','Mebel;','Januari 2024','Desember 2024','sumberwringin'),
(2863,'36005518','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Personal Computer','44.176.600','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','2 Unit','Bondowoso (Kab.)','Personal Computer;','Januari 2024','Desember 2024','sumberwringin'),
(2864,'36005519','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Makanan dan Minuman Rapat','3.400.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2865,'36005520','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Makanan dan Minuman Rapat','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','200 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2866,'36005521','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Makanan dan Minuman Rapat','18.060.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','602 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2867,'36005522','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Biasa','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','sumberwringin'),
(2868,'36005539','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','464.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','16 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2869,'36005540','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','484.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1616 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2870,'36005541','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Kertas dan Cover','712.800','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','11 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2871,'36005542','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Bahan Komputer','1.060.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','10 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2872,'36005543','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Makanan dan Minuman Rapat','6.035.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','355 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2873,'36005544','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Makanan dan Minuman Rapat','10.650.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','355 Dus','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2874,'36005545','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Biasa','10.000.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','100 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','sumberwringin'),
(2875,'36005546','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','4.320.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','27 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2876,'36005560','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','1.004.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','40 Pak','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2877,'36005561','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','348.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','12 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2878,'36005562','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','2.425.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','385 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2879,'36005563','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','964.500','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','3215 Lembar','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2880,'36005564','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Alat Tulis Kantor','3.240.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','300 Buah','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2881,'36005565','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Kertas dan Cover','1.296.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','20 Rim','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','sumberwringin'),
(2882,'36005566','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Bahan Komputer','848.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','8 Buah','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2883,'36005567','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Makanan dan Minuman Rapat','7.174.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','422 Per Kotak','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2884,'36005568','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Makanan dan Minuman Rapat','12.660.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','422 Per Kotak','Bojonegoro (Kab.)','Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','sumberwringin'),
(2885,'36005569','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','24 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','sumberwringin'),
(2886,'36091964','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','470.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2887,'36091965','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2888,'36091980','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','470.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','sumberwringin'),
(2889,'36091981','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','January 2024','Kab. Bondowoso','Kecamatan Sumber Wringin','1','Kecamatan Sumber Wringin','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','sumberwringin'),
(2890,'36154495','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2891,'36154496','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','3.280.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2892,'36155970','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','tamankrocok'),
(2893,'36155971','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','3.300.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','tamankrocok'),
(2894,'36155993','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pelayanan Umum Kantor','74.400.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Kebersihan; Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','tamankrocok'),
(2895,'36229643','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.120.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2896,'36230387','Penyelenggaraan Urusan Pemerintahan yang Tidak Dilaksanakan oleh Unit Kerja Perangkat Daerah yang Ada di Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2897,'36230859','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','tamankrocok'),
(2898,'36405896','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2899,'36405948','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','tamankrocok'),
(2900,'36406041','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.720.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2901,'36406496','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2902,'36406576','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2903,'36406644','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.240.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2904,'36406821','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2905,'36406984','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2906,'36407187','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Februari 2024','Desember 2024','tamankrocok'),
(2907,'36407263','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2908,'36407283','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','320.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2909,'36461008','Koordinasi Pemeliharaan Prasarana dan Sarana Pelayanan Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.880.000','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok','1','Kecamatan Taman Krocok','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tamankrocok'),
(2910,'36454384','Administrasi Umum Perangkat Daerah','Penyelenggaraan Rapat Koordinasi dan Konsultasi SKPD','7.920.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','tapen'),
(2911,'36454470','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','tapen'),
(2912,'36454501','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','tapen'),
(2913,'36454532','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','354.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','tapen'),
(2914,'36454643','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tapen'),
(2915,'36454694','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2916,'36454812','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tapen'),
(2917,'36454850','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','tapen'),
(2918,'36454938','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2919,'36455207','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2920,'36455220','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','900.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2921,'36455238','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2922,'36455289','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tapen'),
(2923,'36455290','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tapen'),
(2924,'36455313','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tapen'),
(2925,'36455478','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','5.760.000','January 2024','Kab. Bondowoso','Kecamatan Tapen','1','Kecamatan Tapen','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tapen'),
(2926,'36170623','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.207.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2927,'36170624','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.717.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2928,'36170625','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Makanan dan Minuman Rapat','18.800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2929,'36170626','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2930,'36170627','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2931,'36170628','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.385.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2932,'36170652','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2933,'36170653','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','589.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2934,'36170654','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2935,'36170655','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','551.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2936,'36170656','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2937,'36170685','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','813.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2938,'36170686','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','892.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2939,'36170687','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.395.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2940,'36170688','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Makanan dan Minuman Rapat','2.350.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2941,'36170689','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','960.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2942,'36170690','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2943,'36172016','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.282.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2944,'36172017','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.620.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2945,'36172018','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Makanan dan Minuman Rapat','28.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2946,'36172019','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2947,'36172020','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2948,'36172021','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.646.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2949,'36172044','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2950,'36172045','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','599.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2951,'36172046','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Makanan dan Minuman Rapat','2.350.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2952,'36172047','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.626.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2953,'36172196','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.675.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2954,'36172197','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Makanan dan Minuman Rapat','14.100.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2955,'36172198','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2956,'36172199','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','858.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2957,'36172200','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2958,'36172201','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2959,'36172218','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','704.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2960,'36172219','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2961,'36172220','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Makanan dan Minuman Rapat','9.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2962,'36172221','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2963,'36172222','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.767.100','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2964,'36172230','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.717.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2965,'36172231','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Makanan dan Minuman Rapat','11.750.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2966,'36172232','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2967,'36172233','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.621.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2968,'36172234','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2969,'36172235','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.920.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2970,'36172252','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2971,'36172253','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','465.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2972,'36172255','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2973,'36172257','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','5.875.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2974,'36172272','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','170.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2975,'36172273','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2976,'36172274','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2977,'36172275','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2978,'36172285','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2979,'36172286','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2980,'36172287','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2981,'36172288','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','170.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2982,'36172297','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','390.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2983,'36172298','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2984,'36172299','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Makanan dan Minuman Rapat','2.350.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2985,'36172300','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2986,'36172366','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','310.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2987,'36172367','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2988,'36172368','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Makanan dan Minuman Rapat','3.760.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2989,'36172369','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2990,'36172465','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','627.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2991,'36172466','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','453.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2992,'36172467','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','858.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2993,'36172468','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(2994,'36172469','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(2995,'36172470','Pemberdayaan Lembaga Kemasyarakatan Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(2996,'36172488','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.317.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(2997,'36172489','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.172.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(2998,'36172490','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.434.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(2999,'36172491','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','14.100.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3000,'36172492','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(3001,'36172493','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.560.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(3002,'36172509','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.443.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3003,'36172512','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3004,'36172514','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','858.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3005,'36172516','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','7.050.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3006,'36172519','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(3007,'36172528','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','454.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3008,'36172529','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3009,'36172530','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','551.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3010,'36172531','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Makanan dan Minuman Rapat','9.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3011,'36172544','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3012,'36172545','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3013,'36172546','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','572.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3014,'36172564','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.239.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3015,'36172565','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','520.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3016,'36172566','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','502.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3017,'36172572','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.669.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3018,'36172573','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','390.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3019,'36172574','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','439.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3020,'36172602','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.320.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3021,'36172603','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.563.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3022,'36172604','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Makanan dan Minuman Rapat','9.400.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3023,'36172605','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(3024,'36172606','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(3025,'36172607','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','907.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3026,'36172618','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','737.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3027,'36172619','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3028,'36172620','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.012.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3029,'36172621','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Makanan dan Minuman Rapat','7.050.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3030,'36172622','Koordinasi Penyelenggaraan Kegiatan Pemerintahan di Tingkat Kecamatan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tegalampel'),
(3031,'36172682','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','tegalampel'),
(3032,'36172697','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bangunan dan Konstruksi','1.500.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Januari 2024','Desember 2024','tegalampel'),
(3033,'36172698','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','525.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','tegalampel'),
(3034,'36172704','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Bahan-Bahan Bakar dan Pelumas','19.950.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Bakar dan Pelumas;','Januari 2024','Desember 2024','tegalampel'),
(3035,'36172705','Pemeliharaan Barang Milik Daerah Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','tegalampel'),
(3036,'36172741','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','90.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','tegalampel'),
(3037,'36172742','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','24.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer; Beban Jasa Tenaga Operator Komputer; Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3038,'36172743','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','6.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','tegalampel'),
(3039,'36172745','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','12.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Keamanan;','Januari 2024','Desember 2024','tegalampel'),
(3040,'36172751','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','4.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Januari 2024','Desember 2024','tegalampel'),
(3041,'36172784','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','3.600.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Air;','Januari 2024','Desember 2024','tegalampel'),
(3042,'36172785','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','9.800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Tagihan Listrik;','Januari 2024','Desember 2024','tegalampel'),
(3043,'36172786','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Januari 2024','Desember 2024','tegalampel'),
(3044,'36172797','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.000.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tegalampel'),
(3045,'36172798','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.920.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','tegalampel'),
(3046,'36172803','Administrasi Umum Perangkat Daerah','Belanja Makanan dan Minuman Rapat','4.700.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3047,'36172810','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.895.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3048,'36172819','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.382.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3049,'36172820','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.503.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3050,'36172821','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.266.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3051,'36172822','Administrasi Umum Perangkat Daerah','Belanja Makanan dan Minuman Rapat','18.800.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Januari 2024','Desember 2024','tegalampel'),
(3052,'36172830','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','500.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3053,'36172841','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.500.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3054,'36172843','Administrasi Umum Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.456.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Januari 2024','Desember 2024','tegalampel'),
(3055,'36173086','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','617.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3056,'36173087','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','729.100','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3057,'36173088','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3058,'36173112','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','496.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3059,'36173113','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','614.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3060,'36173114','Administrasi Kepegawaian Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3061,'36173122','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','305.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3062,'36173123','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3063,'36173131','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','401.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3064,'36173132','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3065,'36173133','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3066,'36173136','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','361.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3067,'36173137','Administrasi Barang Milik Daerah pada Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3068,'36173162','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','455.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3069,'36173163','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','583.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3070,'36173164','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','461.100','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3071,'36173171','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3072,'36173172','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3073,'36173173','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','151.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3074,'36173178','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','337.100','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3075,'36173179','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3076,'36173180','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3077,'36173189','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','207.500','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3078,'36173190','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3079,'36173191','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3080,'36173203','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','118.600','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3081,'36173204','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3082,'36173205','Administrasi Keuangan Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3083,'36173231','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','470.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3084,'36173232','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.017.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3085,'36173233','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.012.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3086,'36173262','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','183.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3087,'36173264','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3088,'36173266','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3089,'36173277','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','183.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3090,'36173278','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3091,'36173279','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3092,'36173347','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','183.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3093,'36173349','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3094,'36173350','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3095,'36173356','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','183.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3096,'36173357','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3097,'36173358','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3098,'36173376','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.211.300','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Kertas dan Cover; Kertas dan Cover;','Januari 2024','Desember 2024','tegalampel'),
(3099,'36173377','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.956.800','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Januari 2024','Desember 2024','tegalampel'),
(3100,'36173378','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.831.900','January 2024','Kab. Bondowoso','Kecamatan Tegalampel','1','Kecamatan Tegalampel','2024','1 Paket','Bondowoso (Kab.)','Bahan Komputer; Bahan Komputer;','Januari 2024','Desember 2024','tegalampel'),
(3101,'35982699','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3102,'35982976','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3103,'35982977','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tlogosari'),
(3104,'35983013','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','5.400.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tlogosari'),
(3105,'35983014','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','38.400.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3106,'35983054','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.400.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3107,'35983058','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.160.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3108,'35983077','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','9.280.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3109,'35983078','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.800.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tlogosari'),
(3110,'35983247','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pelayanan Umum Kantor','103.200.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Operator Komputer; Beban Jasa Tenaga Kebersihan; Beban Jasa Tenaga Keamanan;','Januari 2024','Desember 2024','tlogosari'),
(3111,'35983372','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan; Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','tlogosari'),
(3112,'35983373','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3113,'35983377','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3114,'35983392','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3115,'35983394','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','900.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tlogosari'),
(3116,'35983407','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.840.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3117,'35983441','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3118,'35983466','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3119,'35983470','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3120,'35986139','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','tlogosari'),
(3121,'35986140','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','7.680.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3122,'36059176','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','25.000.000','January 2024','Kab. Bondowoso','Kecamatan Tlogosari','1','Kecamatan Tlogosari','2024','1 Paket','Bondowoso (Kab.)','Alat Tulis Kantor; Alat Tulis Kantor; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Perjalanan Dinas Paket Meeting Dalam Kota; Alat Tulis Kantor; Alat Tulis Kantor; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','tlogosari'),
(3123,'36196038','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','17 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3124,'36196047','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.500.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','15 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3125,'36196070','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','2.500.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','25 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3126,'36197186','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','17 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3127,'36197389','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','17 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3128,'36199963','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wonosari'),
(3129,'36200158','Administrasi Keuangan Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota; Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wonosari'),
(3130,'36200237','Administrasi Keuangan Perangkat Daerah','Beban Perjalanan Dinas Biasa','2.000.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','20 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3131,'36200341','Administrasi Barang Milik Daerah pada Perangkat Daerah','Beban Perjalanan Dinas Biasa','1.000.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','10 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3132,'36201845','Administrasi Umum Perangkat Daerah','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','4 Orang / Kali','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wonosari'),
(3133,'36201871','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','14.991.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','wonosari'),
(3134,'36202302','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','51.400.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','wonosari'),
(3135,'36203115','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Biasa','1.900.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','19 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3136,'36203122','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Biasa','1.900.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','19 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3137,'36203216','Pelaksanaan Urusan Pemerintahan yang Dilimpahkan kepada Camat','Beban Perjalanan Dinas Biasa','1.900.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','19 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3138,'36203473','Koordinasi Kegiatan Pemberdayaan Desa','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.250.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','9 Orang / Acara','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wonosari'),
(3139,'36203474','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Biasa','7.600.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','76 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3140,'36203511','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Biasa','800.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','8 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3141,'36203538','Koordinasi Kegiatan Pemberdayaan Desa','Beban Perjalanan Dinas Biasa','800.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','8 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3142,'36203539','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Luar Kota','8.700.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota; Beban Perjalanan Dinas Paket Meeting Luar Kota;','Januari 2024','Desember 2024','wonosari'),
(3143,'36203558','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Beban Perjalanan Dinas Biasa','1.700.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','17 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3144,'36203591','Pemberdayaan dan Kesejahteraan Keluarga Tingkat Kecamatan dan Kelurahan','Beban Perjalanan Dinas Biasa','1.200.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','12 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3145,'36205972','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Biasa','2.800.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','28 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3146,'36205974','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Beban Perjalanan Dinas Biasa','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','24 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3147,'36206009','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Beban Perjalanan Dinas Biasa','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','24 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3148,'36206132','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','5.550.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wonosari'),
(3149,'36206133','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Biasa','4.600.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','46 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3150,'36206134','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Beban Perjalanan Dinas Biasa','3.000.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','30 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3151,'36206228','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Biasa','2.400.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','24 Orang / Kali','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3152,'36206234','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Belanja Perjalanan Dinas Dalam Kota','3.800.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa; Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3153,'36206249','Fasilitasi, Rekomendasi dan Koordinasi Pembinaan dan Pengawasan Pemerintahan Desa','Beban Perjalanan Dinas Biasa','2.600.000','January 2024','Kab. Bondowoso','Kecamatan Wonosari','1','Kecamatan Wonosari','2024','26 Orang / Hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Biasa;','Januari 2024','Desember 2024','wonosari'),
(3154,'36001573','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.320.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3155,'36001574','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','15.000.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan;','Januari 2024','Desember 2024','wringin'),
(3156,'36001583','Koordinasi Kegiatan Pemberdayaan Desa','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','6.240.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3157,'36001593','Koordinasi Kegiatan Pemberdayaan Desa','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wringin'),
(3158,'36001606','Koordinasi dan Sinkronisasi Pemberlakuan Pembatasan Kegiatan Masyarakat (PPKM)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.280.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3159,'36001640','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.160.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3160,'36001654','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','1.600.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wringin'),
(3161,'36001655','Penyelenggaraan Urusan Pemerintahan Umum Sesuai Penugasan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.480.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3162,'36001667','Koordinasi Penerapan dan Penegakan Peraturan Daerah dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.480.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3163,'36001671','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','7.200.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','wringin'),
(3164,'36001672','Koordinasi Upaya Penyelenggaraan Ketenteraman dan Ketertiban Umum','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','8.320.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','Januari 2024','Desember 2024','wringin'),
(3165,'36001685','Administrasi Umum Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','10.000.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','wringin'),
(3166,'36001807','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','14.400.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','wringin'),
(3167,'36001808','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','79.200.000','January 2024','Kab. Bondowoso','Kecamatan Wringin','1','Kecamatan Wringin','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','wringin'),
(3168,'36196451','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','98.868.100','January 2024','Kab. Bondowoso','Kelurahan Badean','1','Kelurahan Badean','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','badean'),
(3169,'36196483','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kesehatan','26.700.000','January 2024','Kab. Bondowoso','Kelurahan Badean','1','Kelurahan Badean','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan;','Januari 2024','Desember 2024','badean'),
(3170,'36196484','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','25.800.000','January 2024','Kab. Bondowoso','Kelurahan Badean','1','Kelurahan Badean','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','badean'),
(3171,'36196485','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','38.600.000','January 2024','Kab. Bondowoso','Kelurahan Badean','1','Kelurahan Badean','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','badean'),
(3172,'35973778','Kegiatan Pemberdayaan Kelurahan','Peningakatan Sarana dan Prasarana Saluran Lingkungan/Drainase Batu Kali RT 001 RW 001','77.000.000','June 2024','Kab. Bondowoso','Kelurahan Blindungan','4','Dengan Kelompok Masyarakat','2024','1 PAKET','Bondowoso (Kab.)','Peningakatan Sarana dan Prasarana Saluran Lingkungan/Drainase Batu Kali RT 001 RW 001','Juni 2024','Desember 2024','blindungan'),
(3173,'35974308','Kegiatan Pemberdayaan Kelurahan','Peningakatan Sarana dan Prasarana Saluran Lingkungan/Drainase Plat Duiker Kali RT 018 RW 005','22.000.000','June 2024','Kab. Bondowoso','Kelurahan Blindungan','4','Dengan Kelompok Masyarakat','2024','1 PAKET','Bondowoso (Kab.)','Peningakatan Sarana dan Prasarana Saluran Lingkungan/Drainase Plat Duiker Kali RT 018 RW 005','Juni 2024','Desember 2024','blindungan'),
(3174,'35977183','Kegiatan Pemberdayaan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','4.800.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','- Kegiatan Pengembangan Usaha Mikro, Kecil danMenengah Produk Unggulan Kelurahan - Kegiatan Penguatan, Peningkatan Tenaga Keamanan dan Ketertiban Menjelang Pemilu - Kegiatan Rutin Pembinaan Tim Penggerak PKK - Kegiatan Sosialisasi Perilaku Hidup Bersih danSehat/Pencegahan Stunting','Januari 2024','Desember 2024','blindungan'),
(3175,'36016972','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Air','960.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Tagihan Air','Januari 2024','Desember 2024','blindungan'),
(3176,'36017119','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Tagihan Listrik','3.900.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Tagihan Listrik','Januari 2024','Desember 2024','blindungan'),
(3177,'36017252','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Kawat/Faksimili/Internet/TV Berlangganan','3.850.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Januari 2024','Desember 2024','blindungan'),
(3178,'36054521','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Penyediaan Jasa Pelayanan Umum Kantor','16.500.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan - Honorarium Kader Posyandu Balita dan Lansia','Januari 2024','Desember 2024','blindungan'),
(3179,'36054557','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','24.300.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat - Honor Ketua RT?RW ( Rukun Tetangga/Rukun warga)','Januari 2024','Desember 2024','blindungan'),
(3180,'36054698','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','3.700.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi - Honorarium kader PPKBD - Honorarium Kader Sub PPKBD','Januari 2024','Desember 2024','blindungan'),
(3181,'36054949','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','48.000.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Jasa Tenaga Operator Komputer - Honorarium Operator Keuangan Kelurahan - Honorarium Pengolah Data','Januari 2024','Desember 2024','blindungan'),
(3182,'36055143','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','6.000.000','January 2024','Kab. Bondowoso','Kelurahan Blindungan','1','Kelurahan Blindungan','2024','1 PAKET','Bondowoso (Kab.)','Belanja Jasa Tenaga Keamanan - Honorarium Penjaga Malam','Januari 2024','Desember 2024','blindungan'),
(3183,'35401608','PENYYEDIAAN JASA PENUNJANG URUSAN PEMERINTAHAN DAERAH','Penyediaan jasa pelayanan umum kantor','74.540.000','January 2024','Kab. Bondowoso','Kelurahan Curahdami','1','Kelurahan Curahdami','2024','5 paket','Bondowoso (Kab.)','belanja jasa tenaga kesehatan - honor kader posyandu balita - honor kader posyandu lansia Belanja jasa tenaga penanganan prasarana dan sarana umum - honor KPM Belanja jasa tenaga ketentraman, ketertiban umum , dan perlindungan masyarakat. - honor RT dan RW Belanja jasa tenaga Administrasi - honor PPKBD - honor Sub PPKBD - honor petugas administrasi Belanja jasa tenaga teknisi mekanik dan listrik - service computer dan printer','Januari 2024','Desember 2024','curahdami'),
(3184,'35443945','KEGIATAN PEMBERDAYAAN KELURAHAN','Pembangunan sarana dan prasarana kelurahan','100.000.000','January 2024','Kab. Bondowoso','Kelurahan Curahdami','4','Dengan Kelompok Masyarakat','2024','1 paket','Bondowoso (Kab.)','Belanja alat/ bahan untuk kegiatan kantor - alat tulis kantor Belanja alat/ bahan untuk kegiatan kantor - kertas dan cover Belanja hibah uang kepada badan dan lembaga nirlaba, sukarela bersifat sosial kemasyarakatan','Januari 2024','Desember 2024','curahdami'),
(3185,'35444365','KEGIATAN PEMBERDAYAAN KELURAHAN','Belanja jasa','800.000','January 2024','Kab. Bondowoso','Kelurahan Curahdami','1','Kelurahan Curahdami','2024','1 paket','Bondowoso (Kab.)','honorarium narasumber','Januari 2024','Desember 2024','curahdami'),
(3186,'35444423','KEGIATAN PEMBERDAYAAN KELURAHAN','belanja jasa','400.000','January 2024','Kab. Bondowoso','Kelurahan Curahdami','1','Kelurahan Curahdami','2024','1 paket','Bondowoso (Kab.)','honor narasumber','Januari 2024','Desember 2024','curahdami'),
(3187,'36206408','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','97.000.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','1 Unit','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','dabasah'),
(3188,'36206409','Kegiatan Pemberdayaan Kelurahan','Beban Jasa Tenaga Administrasi','3.600.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','24 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','dabasah'),
(3189,'36206770','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','77.100.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','dabasah'),
(3190,'36206771','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','240.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','12 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','dabasah'),
(3191,'36206772','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Operator Komputer','9.000.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','12 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','dabasah'),
(3192,'36206773','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Kesehatan','33.000.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','1320 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan;','Januari 2024','Desember 2024','dabasah'),
(3193,'36206774','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','29.400.000','January 2024','Kab. Bondowoso','Kelurahan Dabasah','1','Kelurahan Dabasah','2024','588 Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','dabasah'),
(3194,'35890897','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','98.157.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','4','Dengan Kelompok Masyarakat','2024','1 Paket','Bondowoso (Kab.)','Pembangunan Normalisasi Saluran Lingkungan (RT 01 RW 01, RT 26 RW 02, RT 04 RW 01)','Januari 2024','Desember 2024','kademangan'),
(3195,'35891529','Kegiatan Pemberdayaan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','800.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 OK','Bondowoso (Kab.)','Belanja Honorarium Narasumber Pelatihan Usaha Kecil dan Menengah (Mikro), Belanja Honorarium Narasumber Penyelenggaraan Sosialisasi Keluarga Berencana (KB)','Januari 2024','Desember 2024','kademangan'),
(3196,'35913391','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kesehatan','16.500.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Honorarium Kader Posyandu Balita/ Lansia','Januari 2024','Desember 2024','kademangan'),
(3197,'35913483','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','440.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Honorarium Kader Pembangunan Manusia (KPM)','Januari 2024','Desember 2024','kademangan'),
(3198,'35913541','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','18.600.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Honor Ketua RT?RW ( Rukun Tetangga/Rukun warga )','Januari 2024','Desember 2024','kademangan'),
(3199,'35913584','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','24.300.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Belanja Jasa Tenaga Administrasi','Januari 2024','Desember 2024','kademangan'),
(3200,'35913635','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Honorarium Operator Keuangan Kelurahan','Januari 2024','Desember 2024','kademangan'),
(3201,'35913697','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kebersihan','6.000.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Petugas Kebersihan','Januari 2024','Desember 2024','kademangan'),
(3202,'35913753','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','4.800.000','January 2024','Kab. Bondowoso','Kelurahan Kademangan','1','Kelurahan Kademangan','2024','1 tahun','Bondowoso (Kab.)','Honorarium Penjaga Malam','Januari 2024','Desember 2024','kademangan'),
(3203,'36201527','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kesehatan','31.500.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan;','Januari 2024','Desember 2024','kotakulon'),
(3204,'36201528','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','6.000.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','12 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','kotakulon'),
(3205,'36201529','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','25.200.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','kotakulon'),
(3206,'36201530','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','400.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','8 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','kotakulon'),
(3207,'36201531','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','90.000.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','180 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','kotakulon'),
(3208,'36201532','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Administrasi','4.800.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','192 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','kotakulon'),
(3209,'36201543','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','95.000.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','kotakulon'),
(3210,'36201549','Kegiatan Pemberdayaan Kelurahan','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','400.000','January 2024','Kab. Bondowoso','Kelurahan Kotakulon','1','Kelurahan Kotakulon','2024','1 Paket','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia;','Januari 2024','Desember 2024','kotakulon'),
(3211,'36206889','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','91.000.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','nangkaan'),
(3212,'36206944','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','23.600.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','nangkaan'),
(3213,'36206945','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','12.000.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Operator Komputer;','Januari 2024','Desember 2024','nangkaan'),
(3214,'36206946','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','16.800.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat; Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','nangkaan'),
(3215,'36206947','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Kesehatan','18.000.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan; Beban Jasa Tenaga Kesehatan;','Januari 2024','Desember 2024','nangkaan'),
(3216,'36206948','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','240.000','January 2024','Kab. Bondowoso','Kelurahan Nangkaan','1','Kelurahan Nangkaan','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Januari 2024','Desember 2024','nangkaan'),
(3217,'36208180','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Kesehatan','18.000.000','January 2024','Kab. Bondowoso','Kelurahan Sekarputih','1','Kelurahan Sekarputih','2024','720 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kesehatan;','Januari 2024','Desember 2024','sekarputih'),
(3218,'36208181','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','25.200.000','January 2024','Kab. Bondowoso','Kelurahan Sekarputih','1','Kelurahan Sekarputih','2024','504 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat;','Januari 2024','Desember 2024','sekarputih'),
(3219,'36208182','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','67.800.000','January 2024','Kab. Bondowoso','Kelurahan Sekarputih','1','Kelurahan Sekarputih','2024','1 Paket','Bondowoso (Kab.)','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Januari 2024','Desember 2024','sekarputih'),
(3220,'36208184','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Beban Jasa Tenaga Kebersihan','4.800.000','January 2024','Kab. Bondowoso','Kelurahan Sekarputih','1','Kelurahan Sekarputih','2024','12 Orang / Bulan','Bondowoso (Kab.)','Beban Jasa Tenaga Kebersihan;','Januari 2024','Desember 2024','sekarputih'),
(3221,'36208398','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','100.000.000','January 2024','Kab. Bondowoso','Kelurahan Sekarputih','1','Kelurahan Sekarputih','2024','1 Paket','Bondowoso (Kab.)','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan;','Januari 2024','Desember 2024','sekarputih'),
(3222,'36146302','Kegiatan Pemberdayaan Kelurahan','Belanja Hibah Uang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','100.000.000','January 2024','Kab. Bondowoso','Kelurahan Tenggarang','4','Dengan Kelompok Masyarakat','2024','1','Bondowoso (Kab.)','Saluran Drainase RT. 29','Januari 2024','Desember 2024','tenggarang'),
(3223,'36124869','Peningkatan Pelayanan BLUD','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','142.362.500','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honorarium Narasumber (Fakultas Kedokteran, D4/S1, D3, SMA, Magang Mandiri, Penelitian, Skill Test dan Pembekalan), Honorarium Pengajar Dalam dan Honorarium Pengajar Luar','Januari 2024','Desember 2024','rsu'),
(3224,'36124869','Peningkatan Pelayanan BLUD','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','142.362.500','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honorarium Narasumber (Fakultas Kedokteran, D4/S1, D3, SMA, Magang Mandiri, Penelitian, Skill Test dan Pembekalan), Honorarium Pengajar Dalam dan Honorarium Pengajar Luar','Januari 2024','Desember 2024','rsu'),
(3225,'36124869','Peningkatan Pelayanan BLUD','Belanja Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara dan Panitia','142.362.500','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honorarium Narasumber (Fakultas Kedokteran, D4/S1, D3, SMA, Magang Mandiri, Penelitian, Skill Test dan Pembekalan), Honorarium Pengajar Dalam dan Honorarium Pengajar Luar','Januari 2024','Desember 2024','rsu'),
(3226,'36125103','Peningkatan Pelayanan BLUD','Belanja Honorarium Penyelenggara Kegiatan Pendidikan dan Pelatihan','70.135.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Honorarium dan Jasa Pengelola Pendidikan Fakultas Kedokteran, D4/S1, D3, SMA, Magang Mandiri, Skill Test dan Pembekalan.','Januari 2024','Desember 2024','rsu'),
(3227,'36166678','Peningkatan Pelayanan BLUD','Belanja Lembur','5.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Belanja Lembur Pegawai','Januari 2024','Desember 2024','rsu'),
(3228,'36167486','Peningkatan Pelayanan BLUD','Belanja Jasa Pengolahan Sampah','750.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Pengurasan pre treatment pengolahan limbah, pengendalian binatang pengganggu, kebersihan cyto, pengurasan tandon air, jasa angkut limbah medis, jasa angkut limbah non medis','Januari 2024','Desember 2024','rsu'),
(3229,'36174318','Peningkatan Pelayanan BLUD','Belanja Jasa Tenaga Laboratorium','214.400.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','kali, orang','Bondowoso (Kab.)','Pemeriksaan air limbah secara bakteriologis, Pemeriksaan air limbah secara kimia, Pemeriksaan air minum secara kimia, Pemeriksaan air minum secara bakteriologis, pemeriksaan gas emisi incenerator, pemeriksaan gas emisi genset, pemeriksaan kesehatan penjamah makanan, pemeriksaan kualitas makanan, pemeriksaan kualitas minuman, pemeriksaan swab alat mamin, pemeriksaan swab alat medis, pemeriksaan swab lantai, pemeriksaan kualitas udara ruang, pemeriksaan kualitas udar ambient, pemeriksaan endotoksin HD','Januari 2024','Desember 2024','rsu'),
(3230,'36175010','Peningkatan Pelayanan BLUD','Belanja Pemeliharaan Alat Produksi, Pengolahan, dan Pemurnian - Pengolahan dan Pemurnian - Alat Pengolahan Air','5.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Belanja pemeriksaan pengolahan air','Januari 2024','Desember 2024','rsu'),
(3231,'36176451','Peningkatan Pelayanan BLUD','Belanja Perjalanan Dinas Dalam Kota','2.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','rsu'),
(3232,'36177255','Peningkatan Pelayanan BLUD','Belanja Perjalanan Dinas Biasa','300.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Belanja Perjalanan Dinas Biasa','Januari 2024','Desember 2024','rsu'),
(3233,'36178437','Peningkatan Pelayanan BLUD','Belanja Jasa Tenaga Kesehatan','54.800.248.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 tahun','Bondowoso (Kab.)','Jasa pelayanan','Januari 2024','Desember 2024','rsu'),
(3234,'36178897','Peningkatan Pelayanan BLUD','Belanja Sosialisasi','175.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Sosialisasi terdiri dari : 1. Penyuluhan kelompok & siaran interaktif radio 2. Pembuatan dan pemasangan iklan televisi 3. Pembuatan dan pemasangan iklan radio 4. Promosi kesehatan eksternal 5. Perayaan hari besar 6. Pameran 7. Hari Kesehatan Nasional','Januari 2024','Desember 2024','rsu'),
(3235,'36217281','Peningkatan Pelayanan BLUD','Belanja Iuran Jaminan Kesehatan bagi Non ASN','310.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja iuran jaminan kesehatan bagi non ASN','Januari 2024','Desember 2024','rsu'),
(3236,'36217459','Peningkatan Pelayanan BLUD','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','48.000.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Januari 2024','Desember 2024','rsu'),
(3237,'36217625','Peningkatan Pelayanan BLUD','Belanja Iuran Jaminan Hari Tua (JHT)','500.000','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi','1','Rumah Sakit Umum DR. H. Koesnadi','2024','1 Tahun','Bondowoso (Kab.)','Belanja Iuran Jaminan Hari Tua (JHT)','Januari 2024','Desember 2024','rsu'),
(3238,'35967923','Perencanaan, Penganggaran, dan Evaluasi Kinerja Perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','12.300.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Perjalanan dinas paket meeting luar kota','Januari 2024','Desember 2024','satpolpp'),
(3239,'35969345','Administrasi Keuangan perangkat Daerah','Belanja Gaji dan Tunjangan ASN','5.592.286.200','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','1 tahun','Bondowoso (Kab.)','Gaji pokok PNS, Tunjangan keluarga PNS, Tunjangan Jabatan PNS, Tunjangan Fungsional PNS, Tunjangan Fungsional Umum PNS, Tunjangan Beras PNS, Tunjangan PPh/Tunjangan Khusus PNS, Pembulatan gaji, Iuran jaminan Kesehatan PNS, Iuran jaminan kecelakaan kerja PNS, Iuran jaminan kematian PNS.','Januari 2024','Desember 2024','satpolpp'),
(3240,'35976360','Administrasi Umum perangkat Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','84.509.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3241,'35980275','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Penanganan Bencana','36.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/bulan','Bondowoso (Kab.)','Honorarium petugas pemadam kebakaran','Januari 2024','Desember 2024','satpolpp'),
(3242,'35980662','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Administrasi','288.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/bulan','Bondowoso (Kab.)','Honorarium tenaga administrasi, Honor tidak tetap administrasi, K2.','Januari 2024','Desember 2024','satpolpp'),
(3243,'35980781','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Operator Komputer','62.400.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/bulan','Bondowoso (Kab.)','Honorarium pengolah data','Januari 2024','Desember 2024','satpolpp'),
(3244,'35981026','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Keamanan','264.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/bulan','Bondowoso (Kab.)','Petugas Keamanan','Januari 2024','Desember 2024','satpolpp'),
(3245,'35981182','Penyediaan Jasa Penunjang Urusan Pemerintahan Daerah','Belanja Jasa Tenaga Informasi dan Teknologi','31.200.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/bulan','Bondowoso (Kab.)','Honorarium tenaga IT','Januari 2024','Desember 2024','satpolpp'),
(3246,'36022353','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Ahli','3.600.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','pelatih','Januari 2024','Desember 2024','satpolpp'),
(3247,'36022550','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Keamanan','6.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','Honor Operasi Pekat','Januari 2024','Desember 2024','satpolpp'),
(3248,'36022730','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','10.080.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3249,'36024954','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','16.200.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','27 kegiatan','Bondowoso (Kab.)','Honor pemateri, anggota.','Januari 2024','Desember 2024','satpolpp'),
(3250,'36025246','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','37.280.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota, uang bantuan transport','Januari 2024','Desember 2024','satpolpp'),
(3251,'36025536','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','9.840.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3252,'36029384','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Ahli','3.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','pelatih','Januari 2024','Desember 2024','satpolpp'),
(3253,'36029452','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','149.650.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3254,'36031383','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Jasa Tenaga Keamanan','2.193.150.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','Honorarium Pam Pilkada','Januari 2024','Desember 2024','satpolpp'),
(3255,'36031453','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','169.600.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3256,'36031623','Penanganan Gangguan Ketentraman dan Ketertiban Umum dalam 1 ( Satu ) Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','49.200.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3257,'36056814','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','94.400.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Januari 2024','Desember 2024','satpolpp'),
(3258,'36057058','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','89.600.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3259,'36057142','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','126.520.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3260,'36064931','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','6.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','6 Orang','Bondowoso (Kab.)','Honor Pemateri pelatihan.','Januari 2024','Desember 2024','satpolpp'),
(3261,'36065223','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','198.500.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','orang/kegiatan','Bondowoso (Kab.)','Honorarium Tim Satgas cukai','Januari 2024','Desember 2024','satpolpp'),
(3262,'36065401','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','1.046.040.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3263,'36065505','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','377.680.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','1 Paket','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3264,'36075342','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','12.000.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','75 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3265,'36075440','Penegakan Peraturan Daerah Kabupaten/Kota dan Peraturan Kepala Daerah','Belanja Perjalanan Dinas Paket Meeting Luar Kota','20.090.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','49 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3266,'36075746','Pembinaan Penyidik Pegawai Negeri Sipil ( PPNS ) Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','68.800.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','160 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3267,'36100434','Pencegahan, Pengendalian, Pemadaman, Penyelamatan, dan Penanganan Bahan Berbahaya dan Beracun Kebakaran dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','3.200.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','20 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','satpolpp'),
(3268,'36100587','Pencegahan, Pengendalian, Pemadaman, Penyelamatan, dan Penanganan Bahan Berbahaya dan Beracun Kebakaran dalam Daerah Kabupaten/Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','11.480.000','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja','1','Satuan Polisi Pamong Praja','2024','28 orang/hari','Bondowoso (Kab.)','Beban Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','satpolpp'),
(3269,'36178070','','Belanja Bahan Bangunan dan Konstruksi','775.000','July 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','50 m','Bondowoso (Kab.)','Kabel NYM 2 x 2,5 mm2','Juli 2024','Juli 2024','pkm-grujugan'),
(3270,'36178445','','Belanja Bahan-Bahan Bakar dan Pelumas','21.119.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Liter','Bondowoso (Kab.)','Bio Solar, Oli Mesin, Pertamina Dex','Januari 2024','Desember 2024','pkm-grujugan'),
(3271,'36193751','','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','18.021.600','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','lembar','Bondowoso (Kab.)','Fotocopy','Januari 2024','Desember 2024','pkm-grujugan'),
(3272,'36194368','','Belanja Jasa Tenaga Laboratorium','16.000.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Kali','Bondowoso (Kab.)','Jasa Tenaga Laboratorium','Januari 2024','Desember 2024','pkm-grujugan'),
(3273,'36194440','','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','29.000.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Jasa Tenaga Teknisi Mekanik dan Listrik','Januari 2024','Desember 2024','pkm-grujugan'),
(3274,'36201589','','Belanja Jasa Pengolahan Sampah','45.600.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','kg','Bondowoso (Kab.)','Jasa Pengolahan Sampah','Januari 2024','Desember 2024','pkm-grujugan'),
(3275,'36201600','','Belanja Tagihan Telepon','4.200.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Tagihan Telepon','Januari 2024','Desember 2024','pkm-grujugan'),
(3276,'36201612','','Belanja Tagihan Listrik','40.000.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Tagihan Listrik','Januari 2024','Desember 2024','pkm-grujugan'),
(3277,'36201632','','Belanja Kawat/Faksimili/Internet/TV Berlangganan','14.000.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Tagihan Internet','Januari 2024','Desember 2024','pkm-grujugan'),
(3278,'36201678','','Belanja Iuran Jaminan Kesehatan bagi non ASN','32.400.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','orang/bulan','Bondowoso (Kab.)','BPJS Tenaga Kontrak','Januari 2024','Desember 2024','pkm-grujugan'),
(3279,'36201686','','Belanja Iuran Jaminan Kecelakaan Kerja bagi non ASN','3.300.000','January 2024','Kab. Bondowoso','FKTP Grujugan','1','FKTP Grujugan','2024','Tahun','Bondowoso (Kab.)','Premi Asuransi Ketenagakerjaan','Januari 2024','Desember 2024','pkm-grujugan'),
(3280,'35947520','PEMBENTUKAN PERATURAN DAERAH DAN PERATURAN DPRD','Belanja Perjalanan Dinas Paket Meeting Luar Kota','157.454.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','sekwan'),
(3281,'35948000','PEMBENTUKAN PERATURAN DAERAH DAN PERATURAN DPRD','Belanja Perjalanan Dinas Paket Meeting Luar Kota','1.049.696.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','sekwan'),
(3282,'35956180','PEMBENTUKAN PERATURAN DAERAH DAN PERATURAN DPRD','Belanja Perjalanan Dinas Dalam Kota','12.000.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Dalam Kota','Januari 2024','Desember 2024','sekwan'),
(3283,'35956198','PEMBENTUKAN PERATURAN DAERAH DAN PERATURAN DPRD','Belanja Perjalanan Dinas Dalam Kota','17.920.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','Januari 2024','Desember 2024','sekwan'),
(3284,'35956510','PEMBENTUKAN PERATURAN DAERAH DAN PERATURAN DPRD','Belanja Perjalanan Dinas Paket Meeting Luar Kota','267.758.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','sekwan'),
(3285,'35956654','PEMBAHASAN KEBJAKAN ANGGARAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','819.006.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','sekwan'),
(3286,'35957241','PEMBAHASAN KEBJAKAN ANGGARAN','Belanja Perjalanan Dinas Paket Meeting Luar Kota','383.753.000','January 2024','Kab. Bondowoso','Sekretariat DPRD','1','Sekretariat DPRD','2024','1 paket','Bondowoso (Kab.)','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Januari 2024','Desember 2024','sekwan');

/*Table structure for table `master_sirup_paket_penyedia` */

DROP TABLE IF EXISTS `master_sirup_paket_penyedia`;

CREATE TABLE `master_sirup_paket_penyedia` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `namapaket` text NOT NULL,
  `pagu` text NOT NULL,
  `metode_pemilihan` text NOT NULL,
  `sumber_dana` text NOT NULL,
  `waktu_pemilihan` text NOT NULL,
  `nama_klpd` text NOT NULL,
  `satker` text NOT NULL,
  `tahun_anggaran` int(11) NOT NULL,
  `volume_pekerjaan` text NOT NULL,
  `uraian_pekerjaan` text NOT NULL,
  `spesifikasi_pekerjaan` text NOT NULL,
  `produk_dalam_negeri` text NOT NULL,
  `usaha_kecil` text NOT NULL,
  `spp_aspekekonomi` text NOT NULL,
  `spp_aspeksosial` text NOT NULL,
  `spp_aspeklingkungan` text NOT NULL,
  `pradipa_dipa` text NOT NULL,
  `jenis_pengadaan` text NOT NULL,
  `jadwal_pemanfaatan_awal` text NOT NULL,
  `jadwal_pemanfaatan_akhir` text NOT NULL,
  `jadwal_pelaksanaan_awal` text NOT NULL,
  `jadwal_pelaksanaan_akhir` text NOT NULL,
  `jadwal_pemilihan_awal` text NOT NULL,
  `jadwal_pemilihan_akhir` text NOT NULL,
  `tanggal_perbarui_paket` text NOT NULL,
  `satker_id` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8182 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sirup_paket_penyedia` */

insert  into `master_sirup_paket_penyedia`(`id`,`rup`,`namapaket`,`pagu`,`metode_pemilihan`,`sumber_dana`,`waktu_pemilihan`,`nama_klpd`,`satker`,`tahun_anggaran`,`volume_pekerjaan`,`uraian_pekerjaan`,`spesifikasi_pekerjaan`,`produk_dalam_negeri`,`usaha_kecil`,`spp_aspekekonomi`,`spp_aspeksosial`,`spp_aspeklingkungan`,`pradipa_dipa`,`jenis_pengadaan`,`jadwal_pemanfaatan_awal`,`jadwal_pemanfaatan_akhir`,`jadwal_pelaksanaan_awal`,`jadwal_pelaksanaan_akhir`,`jadwal_pemilihan_awal`,`jadwal_pemilihan_akhir`,`tanggal_perbarui_paket`,`satker_id`) values 
(151,'47346801','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR - ALAT TULIS KANTOR','10.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'54 LEMBAR','ALAT TULIS KANTOR','FOTOCOPY','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(152,'47347815','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'25 RIM','BAHAN UNTUK KEGIATAN KANTOR - KERTAS DAN COVER','KERTAS HVS F4 70 GRAM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(153,'47349508','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR - BAHAN KOMPUTER','4.036.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'10 UNIT','ALAT/BAHAN UNTUK KEGIATAN KANTOR - BAHAN KOMPUTER','TINTA EPSON 003 DAN TINTA TONEER LASERJET 12 A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(154,'47349957','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','6.228.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','Blanko Petikan SK Bahan Kertas HVS 80 gram Foto Copy Odner Besar Stopmap Kertas Panda','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:25:20.981','bkpsdm'),
(155,'47351157','BELANJA MODAL PERALATAN PERSONAL KOMPUTER','7.603.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'2 UNIT','BELANJA MODAL PERALATAN PERSONAL KOMPUTER','PRINTER MULTIFUNGSI DAN HARDDISK EKSTERNAL VALKYRIE NAS SOLUTION 2-BAY','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(156,'47352238','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'15 RIM','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:33:59.705','bkpsdm'),
(157,'47352433','Belanja alat/bahan untuk kegiatan kantor-alat tulis kantor','11.675.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-alat tulis kantor','Bolpoint Blanko petikan sk bahan kertas hvs 80 gsm foto copy odner besar paper clip stop map kertas panda tinta stempel kecil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:54:33.498','bkpsdm'),
(158,'47352950','Belanja Alat/Bahan untuk kegiatan Kantor - Kertas dan Cover','1.944.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor - Kertas dan Cover','Kertas HVS 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:25:20.981','bkpsdm'),
(159,'47353441','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.544.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'2 UNIT','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Toneer Laser jet 12 A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(160,'47353796','Belanja alat/bahan untuk kegiatan kantor-bahan komputer','10.542.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-bahan komputer','Toner 17 A black original laser jet Toner 19A original laser jet imaging drum','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:54:33.498','bkpsdm'),
(161,'47355097','Belanja makanan dan minuman rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja makanan dan minuman rapat','Kue kotak Nasi kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:54:33.498','bkpsdm'),
(162,'47356872','Belanja Alat/Bahan untuk kegiatan Kantor - Bahan Komputer','9.434.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor - Bahan Komputer','Toner 17A Black Original Laser jet Toner Toner 19A Original Laser jet Imaging Drum','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:25:20.981','bkpsdm'),
(163,'47357486','Belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','4.780.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'paket','Belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','Binder Clip No. 105,107, Stopmap folio cetak map foto copy paper clip no 3 isi stapler besae odner besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(164,'47358666','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'20 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:36:26.462','bkpsdm'),
(165,'47358883','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','4.492.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'paket','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','Bh. Kertas 150 Grm Amplop Bh. Samson Uk 12x28 Bh. Kertas 150 Grm Amplop Bh. Samson Uk 27x40 kertas HVS F4 70 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(166,'47359649','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'14 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(167,'47359851','belanja alat / bahan untuk kegiatan kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'buah','belanja alat / bahan untuk kegiatan kantor-Benda Pos','Materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(168,'47360884','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','373.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'2 buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(169,'47361206','belanja alat / bahan untuk kegiatan kantor-bahan komputer','3.467.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'buah','belanja alat / bahan untuk kegiatan kantor-bahan komputer','Toner 19 A original Laser Jet Imaging Drum Toner 17A Black Original Laser Jet toner Catridge','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(170,'47361807','Belanja Jasa Konversi Aplikasi/Sistem Informasi','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'3 paket','Belanja Jasa Konversi Aplikasi/Sistem Informasi','Biaya Pemeliharaan Aplikasi Software','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(171,'47362407','Beban Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'perkotak','Beban Makanan dan Minuman Rapat','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(172,'47367004','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','7.777.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'paket','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','Binder Clip No. 105,107,111,155,260,200 paper Clip no. 3, cadwell no. 5 isi staples Besar no 23 stapler hd. 10 stop map folio jangger stapler hd 50 odner besar cetak map foto copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:57.505','bkpsdm'),
(173,'47368327','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','2.896.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'Rim','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','Bh. Kertas 150Grm Amplop Dinas Bh. Samson Uk. 27x40 cm Bh. Kertas 150Grm Amplop Bh. Samson Uk. 12x28 cm Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(174,'47368756','belanja alat / bahan untuk kegiatan kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'Lembar','belanja alat / bahan untuk kegiatan kantor-Benda Pos','Materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(175,'47369914','belanja alat / bahan untuk kegiatan kantor-bahan komputer','5.726.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'buah','belanja alat / bahan untuk kegiatan kantor-bahan komputer','Tinta toner laser jet 12 A HP Black 85 A (CE 285 A)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(176,'47372104','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','2.648.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'paket','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','Binder clip no 107,111 foto copy paper clip no 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:33:59.705','bkpsdm'),
(177,'47372896','Belanja alat tulis kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat tulis kantor','Fotocopy, map folio, jilid','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(178,'47373184','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','361.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'Rim','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','Kertas HVS F4 70 Gram Kertas stiker label cd glossy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(179,'47374101','Beban Makanan dan Minuman Rapat','2.890.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'perkotak','Beban Makanan dan Minuman Rapat','kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:31.916','bkpsdm'),
(180,'47375939','Belanja alat tulis kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat tulis kantor','Fotocopy, Paper klip, jilid, ordner','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(181,'47376846','Belanja alat tulis kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat tulis kantor','fotocopy, jilid, ordner','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(182,'47378392','Belanja alat/bahan uktu kegiatan kantor- alat tulis kantor','1.676.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat tulis kantor','Ordner, fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(183,'47381311','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','1.042.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'paket','belanja alat / bahan untuk kegiatan kantor-alat tulis kantor','Binder clip no 105 foto copy isi steples no.10 odner besar stapler hd 10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:18.458','bkpsdm'),
(184,'47381326','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','kertas hvs','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(185,'47381846','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.652.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy Ordner Besar paper clip Stepler HD 10','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(186,'47382304','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'Rim','belanja alat / bahan untuk kegiatan kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:57.505','bkpsdm'),
(187,'47382793','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','1.102.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','Fotocopy, paperclip, stopmap','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(188,'47390334','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','Kertas dan cover','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:22:25.109','bkpsdm'),
(189,'47390707','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','refill ink deskjet','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(190,'47391179','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','1.133.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','Fotocopy, paperclip, stopmap','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(191,'47391434','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','616.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','Kertas HVS','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:15.183','bkpsdm'),
(192,'47391945','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','Refill ink deskjet','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(193,'47392505','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','9.821.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- alat tulis kantor','Fotocopy, les, isi staples, ordner','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(194,'47392772','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','4.545.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor-kertas dan cover','Kertas hvs','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(195,'47393168','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','2.291.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor- bahan komputer','Tinta catridge, refill ink deskjet','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(196,'47427513','belanja alat / bahan untuk kegiatan kantor-Benda Pos','106.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'buah','belanja alat / bahan untuk kegiatan kantor-Benda Pos','materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:18.458','bkpsdm'),
(197,'47428408','belanja alat / bahan untuk kegiatan kantor-bahan komputer','933.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'buah','belanja alat / bahan untuk kegiatan kantor-bahan komputer','tinta epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:34:57.505','bkpsdm'),
(198,'47428894','Belanja Makanan dan Minuman Rapat','6.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'Kotak','Belanja Makanan dan Minuman Rapat','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:18.458','bkpsdm'),
(199,'47430419','Belanja Alat/Bahan untuk Kegiatan Kantor-kertas dan cover','886.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-kertas dan cover','Kertas Buffalo Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(200,'47431869','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','461.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Isi toner catridge Laserjet 85 A','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(201,'47458101','Belanja Alat/Bahan Untuk Kegiatan Kantor - Alat Tulis Kantor','8.821.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Alat Tulis Kantor','- Banner - Binder Clip - Fotocopy - Map Kertas Folio','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(202,'47458283','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','1.335.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Kertas dan Cover','- Kertas HVS 70 Gram - Kertas HVS 80 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(203,'47458439','Belanja Alat/Bahan Untuk Kegiatan Kantor - Bahan Komputer','3.052.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Bahan Komputer','- Tinta Epson 003 - Tinta Toneer Laser Jet 12A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(204,'47458606','Belanja Makanan dan Minuman Rapat','17.390.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Makanan dan Minuman Rapat','- Kue Kotak - Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(205,'47458906','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','4.046.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Alat Tulis Kantor','- Blanko Petikan SK Bahan Kertas HVS 80 GSM - Stopmap Kertas V Tec','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(206,'47460877','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.703.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Blanko petikan SK bahan kertas hvs 80 gsm stopmap kertas panda foto copy odner besar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:48:55.517','bkpsdm'),
(207,'47461317','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Kertas dan Cover','Kertas HVS 70 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(208,'47461435','Belanja alat/bahan untuk kegiatan kantor - kertas dan cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor - kertas dan cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:48:55.517','bkpsdm'),
(209,'47461779','Belanja alat/bahan untuk kegiatan kantor - kertas dan cover','2.358.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja alat/bahan untuk kegiatan kantor - kertas dan cover','Toner 17A Black Original Laser Jet Toner Catridge Toner 19A Original Laser Jet Imaging Drum','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:48:55.517','bkpsdm'),
(210,'47461817','Belanja Alat/Bahan Untuk Kegiatan Kantor - Bahan Komputer','2.544.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Bahan Komputer','Tinta Toneer Laser Jet 12a','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:35:57.617','bkpsdm'),
(211,'47462206','Belanja makanan dan minuman rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja makanan dan minuman rapat','Kue Kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:48:55.517','bkpsdm'),
(212,'47464491','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','1.073.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 70 gram/ Kertas A4 70 Gr/ Amplop Dinas Bh. Casing Uk. 12 x 28 cm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:49:28.359','bkpsdm'),
(213,'47465297','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','6.926.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Foto copy Piagam','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:24:27.722','bkpsdm'),
(214,'47465960','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'5 rim','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','kertas hvs f4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:24:27.722','bkpsdm'),
(215,'47466551','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','Materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:51:22.517','bkpsdm'),
(216,'47467564','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','611.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No.155 Fotocopy paper clip','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(217,'47468095','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(218,'47468366','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'30 buah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:24:27.722','bkpsdm'),
(219,'47468447','Belanja Alat/Bahan untuk Kegiatan Kantor -- Bahan Komputer','3.182.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor -- Bahan Komputer','Cartridge Laserjet 12 A/ Cartridge Laserjet 85 A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:49:28.359','bkpsdm'),
(220,'47469070','Belanja Makanan dan Minuman Rapat','15.040.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa/ Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:50:15.587','bkpsdm'),
(221,'47469749','Belanja Pakaian Olah Raga','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'30 buah','Belanja Pakaian Olah Raga','Belanja Pakaian Olah Raga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:49:28.359','bkpsdm'),
(222,'47471214','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','611.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No.155 Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(223,'47471933','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(224,'47473077','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','611.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder clip No.155 Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(225,'47473478','Belanja Alat/Bahan untuk Kegiatan Kantor-kertas dan cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-kertas dan cover','kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:24:24.933','bkpsdm'),
(226,'47474699','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','611.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No.155 Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(227,'47474872','Belanja makanan dan minuman rapat','21.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja makanan dan minuman rapat','Kue kotak nasi kotak biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:24:27.722','bkpsdm'),
(228,'47475159','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(229,'47476069','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','611.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No.155 Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(230,'47476573','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(231,'47484465','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Baterai Kecil baterai remote kabel Nym 2x1 Votre 45 M Kabel Nya Supreme,450/750V Sni, 04-02698 Uk. 1x95 Mm2 Lampu, C7,5 Warna Lampu Emergency , Le 2X 20 W Lampu LED 15 Watt Lampu LED 18 Watt Pemasangan Sutr Terminal Luq 50 Stop Kontak , Ac Bsi Standart White A 155-55','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(232,'47490303','Belanja Alat / Bahan untuk kegiatan Kantor - Alat Tulis Kantor','444.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat / Bahan untuk kegiatan Kantor - Alat Tulis Kantor','Bolpoint/ Ordner Besar/ Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:50:15.587','bkpsdm'),
(233,'47490315','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Cairan Pembersih Lantai Canebo Cikrak Sampah Kapur Barus Kran Air 0.5 Inch Pembersih kaca Refill Pengharum Ruangan Sabun Cuci tangan Lifeboy Sapu Lidi Sapu Silikon Selang 5 meter Sikat WC Spin Mob Timba sedang produksi dalam negeri SNI terbuat dari plastik Tissue','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(234,'47492784','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.286.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Blanko petikan sk bahan kertas hvs 80 gsm foto copy odner besar stop map kertas panda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:58:29.969','bkpsdm'),
(235,'47492821','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'5 rim','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:50:15.587','bkpsdm'),
(236,'47493460','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'5 rim','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','kertas hvs f4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:58:29.969','bkpsdm'),
(237,'47494081','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','599.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','tinta epson 001','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:58:29.969','bkpsdm'),
(238,'47494272','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'40 buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','Materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:50:15.587','bkpsdm'),
(239,'47495316','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 set','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta 001 (L4150, L4160) 4 warna','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:52:23.045','bkpsdm'),
(240,'47503942','Belanja Kawat/Faksimili/Internet/TV Berlangganan','8.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'4 Bulan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Beban Jasa Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:50:15.587','bkpsdm'),
(241,'47512192','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','5.313.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','blanko petikan sk bahan hvs 80 gsm foto copy stop map kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:47:38.016','bkpsdm'),
(242,'47512656','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','1.360.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'21 rim','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','kertas hvs 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:47:38.016','bkpsdm'),
(243,'47513209','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'78 buah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:47:38.016','bkpsdm'),
(244,'47513459','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.846.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No.107 Binder Clip No.260 Buku Folio 200 Lbr Fotocopy Isi Ballpoint Pentel Mg 6 Isi Staples Besar No.3 Isi Staples besar sheet ( duduk) Isi staples kecil No.10 Ordner Besar Ordner Kecil Plakband Hitam 2 Inch Plakband Kertas Pe 1 Inch Stopmap Panda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(245,'47514035','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','7.736.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','tinta bjc-33e color catridge tinta epson 001 hitam tinta epson 001 warna','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:47:38.016','bkpsdm'),
(246,'47515374','Belanja makanan dan minuman rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 Paket','Belanja makanan dan minuman rapat','Kue kotak Nasi kotak biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:47:38.016','bkpsdm'),
(247,'47516435','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','3.073.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Amplop coklat samson A Amplop Dinas 150 Gsm bahan cassing Uk 12x28 Amplop Putih No.90 Ukuran 110 cm x 230 cm isi 100 buah Kertas HVS A4 70 Gr kertas HVS F4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:56.079','bkpsdm'),
(248,'47517451','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.533.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson Hitam T 6641 Tinta Epson Warna T 6643 Tinta Printer Warna 664','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(249,'47518147','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Cetak Map Cetak Sertifikat Fotocopy Jilid dan Cetak Warna dan Laminasi, Diatas 100 Halaman','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:16.975','bkpsdm'),
(250,'47544256','Belanja Modal Alat Kantor Lainnya','10.396.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Modal Alat Kantor Lainnya','LCD Projector / Infocus','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:15.183','bkpsdm'),
(251,'47544600','Belanja Modal Alat Pendingin','15.900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Modal Alat Pendingin','AC dinding','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:15.183','bkpsdm'),
(252,'47545192','Belanja Modal Personal Komputer','29.370.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Modal Personal Komputer','laptop','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 09:23:15.183','bkpsdm'),
(253,'47664783','Belanja Alat / Bahan untuk kegiatan Kantor - Alat Tulis Kantor','331.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Alat / Bahan untuk kegiatan Kantor - Alat Tulis Kantor','Ordner Besar/ Bolpoint/ Fotocopy/ Stop map kertas biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 10:11:50.671','bkpsdm'),
(254,'47666471','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'5 rim','Belanja Alat / Bahan untuk kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 10:11:50.671','bkpsdm'),
(255,'47667471','Belanja Makanan dan Minuman Rapat','6.345.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Kepegawaian dan Pengembangan Sumber Daya Manusia',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa / Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 10:11:50.671','bkpsdm'),
(256,'47567046','Alat Tulis Kantor','213.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Roll x 8 Kegiatan','Alat Tulis Kantor;','PlakBand Hitam 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(257,'47567047','Alat Tulis Kantor','1.195.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'498 Lembar x 8 Kegiatan','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(258,'47567048','Alat Tulis Kantor','639.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(259,'47567049','Alat Tulis Kantor','1.278.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Meter x 4 Kegiatan','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(260,'47567050','Bahan Komputer','106.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(261,'47567051','Alat Tulis Kantor','319.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(262,'47567052','Alat Tulis Kantor','1.080.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(263,'47567053','Alat Tulis Kantor','3.408.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Meter x 8 Kegiatan','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(264,'47567054','Alat Tulis Kantor','3.578.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'14 Meter x 12 Kegiatan','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(265,'47567055','Alat Tulis Kantor','12.960.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah x 12 Kegiatan','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:01.246','bakesbangpol'),
(266,'47567056','Alat Tulis Kantor','26.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Roll','Alat Tulis Kantor;','PlakBand Hitam 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(267,'47567057','Alat Tulis Kantor','26.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Roll','Alat Tulis Kantor;','PlakBand Hitam 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(268,'47567058','Alat Tulis Kantor','180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 8 Kegiatan','Alat Tulis Kantor;','Cutter paper L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(269,'47567059','Alat Tulis Kantor','22.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Cutter paper L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(270,'47567060','Alat Tulis Kantor','22.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Cutter paper L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(271,'47567061','Kertas dan Cover','120.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(272,'47567062','Kertas dan Cover','1.442.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak x 12 Kegiatan','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(273,'47567063','Kertas dan Cover','961.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(274,'47567064','Kertas dan Cover','20.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(275,'47567065','Kertas dan Cover','247.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak x 12 Kegiatan','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(276,'47567066','Kertas dan Cover','164.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(277,'47567067','Kertas dan Cover','518.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(278,'47567068','Kertas dan Cover','453.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(279,'47567069','Benda Pos','110.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'11 Buah','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(280,'47567070','Benda Pos','800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah x 8 Kegiatan','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(281,'47567071','Bahan Komputer','212.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(282,'47567072','Bahan Komputer','1.696.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah x 8 Kegiatan','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(283,'47567073','Bahan Komputer','530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(284,'47567074','Beban Makanan dan Minuman Rapat','41.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'115 Kotak x 12 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:04.882','bakesbangpol'),
(285,'47567075','Beban Makanan dan Minuman Rapat','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:11.075','bakesbangpol'),
(286,'47567076','Beban Makanan dan Minuman Rapat','2.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'45 Kotak x 2 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(287,'47567077','Beban Makanan dan Minuman Rapat','2.530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'110 Paket','Beban Makanan dan Minuman Rapat;','Kue Prasmanan VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(288,'47567078','Beban Makanan dan Minuman Rapat','4.840.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'110 Paket','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(289,'47567079','Beban Makanan dan Minuman Rapat','18.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'600 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:16.651','bakesbangpol'),
(290,'47567080','Beban Makanan dan Minuman Rapat','3.220.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak Untuk VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(291,'47567081','Beban Pakaian Sipil Resmi (PSR)','29.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Paket x 45 Orang','Beban Pakaian Sipil Resmi (PSR);','Seragam Upacara Satuan Musik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:51.113','bakesbangpol'),
(292,'47567082','Beban Pakaian Pelatihan Kerja','24.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Paket x 45 Orang','Beban Pakaian Pelatihan Kerja;','Seragam Latihan satuan Musik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:51.113','bakesbangpol'),
(293,'47567083','Brban sewa Mebel','3.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'120 Buah x 2 Kali','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(294,'47567084','Brban sewa Mebel','19.320.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'115 Buah x 12 Kegiatan','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:07.987','bakesbangpol'),
(295,'47567085','Brban sewa Mebel','1.512.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'108 Buah','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(296,'47567086','Beban Sewa Alat Pendingin','14.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah x 12 Kegiatan','Beban Sewa Alat Pendingin;','Sewa Blower Air;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:07.987','bakesbangpol'),
(297,'47567087','Beban Sewa Peralatan Studio Audio','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Kali','Beban Sewa Peralatan Studio Audio;','sewa sound system;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(298,'47567088','Beban Sewa Peralatan Studio Audio','3.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Kegiatan','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(299,'47567089','Beban Sewa Peralatan Studio Audio','3.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Hari','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(300,'47567090','Beban Sewa Peralatan Studio Audio','18.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Paket x 12 Kegiatan','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:07.987','bakesbangpol'),
(301,'47567091','Beban Sewa Hotel','21.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Orang / Kamar','Beban Sewa Hotel;','Sewa Penginapan Karantina Paskibraka Kabupaten;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(302,'47567092','Bahan Bakar dan Pelumas','4.620.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'300 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(303,'47567093','Alat Tulis Kantor','225.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(304,'47567094','Alat Tulis Kantor','2.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:01.246','bakesbangpol'),
(305,'47567096','Alat Tulis Kantor','23.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Lembar','Alat Tulis Kantor;','Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(306,'47567097','Alat Tulis Kantor','82.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Lembar x 12 Kegiatan','Alat Tulis Kantor;','Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(307,'47567098','Alat Tulis Kantor','120.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah x 8 Kegiatan','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(308,'47567099','Alat Tulis Kantor','7.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(309,'47567100','Alat Tulis Kantor','92.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah x 8 Kegiatan','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(310,'47567101','Alat Tulis Kantor','7.560.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah x 12 Kegiatan','Alat Tulis Kantor;','Map Kancing Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:01.246','bakesbangpol'),
(311,'47567102','Alat Tulis Kantor','281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(312,'47567103','Alat Tulis Kantor','449.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 8 Kegiatan','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(313,'47567104','Alat Tulis Kantor','56.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(314,'47567105','Alat Tulis Kantor','140.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'16 Buah','Alat Tulis Kantor;','Lem Cair 112;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(315,'47567106','Alat Tulis Kantor','8.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Lem Cair 112;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(316,'47567107','Alat Tulis Kantor','26.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Lem Cair 50 Ml;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(317,'47567108','Alat Tulis Kantor','1.059.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3530 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(318,'47567109','Alat Tulis Kantor','490.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1635 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(319,'47567110','Alat Tulis Kantor','60.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(320,'47567111','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(321,'47567112','Beban Makanan dan Minuman Rapat','6.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(322,'47567113','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(323,'47567114','Alat Tulis Kantor','630.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Alat Tulis Kantor;','Map Kancing Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(324,'47567115','Alat Tulis Kantor','5.112.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'240 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(325,'47567116','Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(326,'47567117','Perlengkapan Pendukung Olahraga','38.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'120 Stel','Perlengkapan Pendukung Olahraga;','Kaos dan Training;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(327,'47567118','Beban Makanan dan Minuman Rapat','10.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'600 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:16.651','bakesbangpol'),
(328,'47567119','Beban Makanan dan Minuman Rapat','23.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'115 Kotak x 12 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:04.882','bakesbangpol'),
(329,'47567120','Beban Sewa Alat Kantor lainnya','2.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 5 Kegiatan','Beban Sewa Alat Kantor lainnya;','Sewa Tenda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:07.987','bakesbangpol'),
(330,'47567121','Bahan Bakar dan Pelumas','2.310.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'150 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:51:02.419','bakesbangpol'),
(331,'47571839','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:04:34.847','bakesbangpol'),
(332,'47571840','Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:04:34.847','bakesbangpol'),
(333,'47571841','Alat Tulis Kantor','239.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:04:34.847','bakesbangpol'),
(334,'47571842','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:04:34.847','bakesbangpol'),
(335,'47571963','Alat Tulis Kantor','239.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:33:23.975','bakesbangpol'),
(336,'47571964','Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:33:23.975','bakesbangpol'),
(337,'47571965','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:33:23.975','bakesbangpol'),
(338,'47571966','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:33:23.975','bakesbangpol'),
(339,'47571997','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:29:22.379','bakesbangpol'),
(340,'47571998','Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:29:22.379','bakesbangpol'),
(341,'47571999','Alat Tulis Kantor','239.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:29:22.379','bakesbangpol'),
(342,'47572000','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:29:22.379','bakesbangpol'),
(343,'47572161','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(344,'47572162','Alat Tulis Kantor','730.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'116 Buah','Alat Tulis Kantor;','Map Kancing Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(345,'47572163','Alat Tulis Kantor','281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(346,'47572164','Alat Tulis Kantor','319.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(347,'47572165','Alat Tulis Kantor','1.252.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'116 Buah','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(348,'47572166','Alat Tulis Kantor','26.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Roll','Alat Tulis Kantor;','PlakBand Hitam 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(349,'47572167','Alat Tulis Kantor','22.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Cutter paper L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(350,'47572168','Kertas dan Cover','120.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(351,'47572169','Kertas dan Cover','61.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(352,'47572170','Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(353,'47572171','Bahan Komputer','530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(354,'47572172','Beban Makanan dan Minuman Rapat','4.964.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'146 Kotak x 2 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-16 08:58:55.978','bakesbangpol'),
(355,'47572173','Beban Makanan dan Minuman Rapat','8.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'146 Kotak x 2 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-16 08:58:55.978','bakesbangpol'),
(356,'47572174','Brban sewa Mebel','4.088.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'146 Buah x 2 Kegiatan','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(357,'47572175','Beban Sewa Alat Kantor Lainnya','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Kali x 2 Kegiatan','Beban Sewa Alat Kantor Lainnya;','sewa tenda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(358,'47572176','Beban Sewa Peralatan Studio Audio','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Hari','Beban Sewa Peralatan Studio Audio;','sewa sound system;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(359,'47572177','Alat Tulis Kantor','250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(360,'47572178','Alat Tulis Kantor','1.191.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3970 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(361,'47572179','Alat Tulis Kantor','35.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Lem Cair 112;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(362,'47572180','Alat Tulis Kantor','6.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:24:29.828','bakesbangpol'),
(363,'47572599','Bahan Bakar dan Pelumas','4.697.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'305 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(364,'47572600','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(365,'47572601','Alat Tulis Kantor','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'80 Lembar','Alat Tulis Kantor;','Cetak Foto 10R;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(366,'47572602','Alat Tulis Kantor','530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Alat Tulis Kantor;','map snelhecter plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(367,'47572603','Alat Tulis Kantor','230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Lembar','Alat Tulis Kantor;','Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(368,'47572604','Alat Tulis Kantor','281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(369,'47572605','Alat Tulis Kantor','17.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Lem Cair 50 Ml;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(370,'47572606','Alat Tulis Kantor','79.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(371,'47572607','Alat Tulis Kantor','141.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(372,'47572608','Alat Tulis Kantor','110.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(373,'47572609','Alat Tulis Kantor','918.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3060 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(374,'47572610','Alat Tulis Kantor','426.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(375,'47572611','Alat Tulis Kantor','147.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Eksemplar','Alat Tulis Kantor;','Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(376,'47572612','Kertas dan Cover','601.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(377,'47572613','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(378,'47572614','Benda Pos','300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Buah','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(379,'47572615','Bahan Komputer','530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(380,'47572616','Perlengkapan Dinas','3.505.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Ikat Pinggang Fiber;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(381,'47572617','Perlengkapan Dinas','3.505.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'56 Buah','Perlengkapan Dinas;','Ikat Pinggang Fiber;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(382,'47572618','Perlengkapan Dinas','23.850.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Stel x 18 Orang','Perlengkapan Dinas;','Seragam Tentara Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(383,'47572619','Perlengkapan Dinas','1.652.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Papan Nama Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(384,'47572620','Perlengkapan Dinas','28.647.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Stel x 90 Orang','Perlengkapan Dinas;','Sepatu Boot;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(385,'47572621','Perlengkapan Dinas','23.554.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 74 Orang','Perlengkapan Dinas;','Sepatu Boot;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(386,'47572622','Beban Makanan dan Minuman Rapat','1.190.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'70 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(387,'47572623','Beban Makanan dan Minuman Rapat','5.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Kotak x 3 Hari','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(388,'47572624','Beban Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'150 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(389,'47572625','Beban Makanan dan Minuman Rapat','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Kotak x 3 Hari','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(390,'47572626','Beban Makanan dan Minuman Rapat','87.780.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'285 Paket x 7 Hari','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(391,'47572627','Beban Makanan dan Minuman Rapat','3.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'150 Dos','Beban Makanan dan Minuman Rapat;','Air Mineral;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(392,'47572628','Beban Pakaian Olahraga','900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 6 Orang','Beban Pakaian Olahraga;','Belanja Pakaian Olah raga;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(393,'47572629','Perlengkapan Dinas','5.936.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Topi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(394,'47572630','Perlengkapan Dinas','44.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Stel x 56 Orang','Perlengkapan Dinas;','Seragam Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(395,'47572631','Alat Tulis Kantor','848.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'80 Lembar','Alat Tulis Kantor;','Cetak Sertifikat/ piagam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(396,'47572632','Perlengkapan Dinas','2.194.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 46 Orang','Perlengkapan Dinas;','Kaos Kaki Paskibraka Putra;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(397,'47572633','Perabot Kantor','2.072.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 74 Orang','Perabot Kantor;','Handuk;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(398,'47572634','Perlengkapan Dinas','1.386.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 28 Orang','Perlengkapan Dinas;','Kaos Kaki Paskibraka Putri;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(399,'47572635','Perlengkapan Pendukung Olahraga','3.816.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Stel x 6 Orang','Perlengkapan Pendukung Olahraga;','Kaos dan Training;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(400,'47572636','Perlengkapan Dinas','1.192.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Pin Paskibraka merah putih;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(401,'47572637','Perlengkapan Dinas','3.011.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 74 Orang','Perlengkapan Dinas;','Sarung Tangan Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(402,'47572638','Perlengkapan Dinas','1.432.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 18 Ekor','Perlengkapan Dinas;','Ikat pinggang TNI;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(403,'47572639','Perlengkapan Dinas','2.363.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Syal Paskibraka Model ATQ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(404,'47572640','Perlengkapan Dinas','9.540.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 90 Orang','Perlengkapan Dinas;','Topi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(405,'47572641','Perlengkapan Pendukung Olahraga','47.064.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Stel x 74 Orang','Perlengkapan Pendukung Olahraga;','Kaos dan Training;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(406,'47572642','Perlengkapan Dinas','1.932.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 28 Orang','Perlengkapan Dinas;','Ciput Paskibra putri;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(407,'47572643','Alat Tulis Kantor','64.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Spidol Marker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 16:06:17.565','bakesbangpol'),
(408,'47572644','Perlengkapan Dinas','4.457.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Badge Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(409,'47572645','Perlengkapan Dinas','1.489.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Dek tanda melati;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(410,'47572646','Perlengkapan Dinas','2.973.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Pin garuda Paskibraka;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(411,'47572647','Perlengkapan Dinas','1.764.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 56 Orang','Perlengkapan Dinas;','Lencana Paskibraka Garuda Merah Putih;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(412,'47572648','Perlengkapan Dinas','1.908.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah x 18 Orang','Perlengkapan Dinas;','Topi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(413,'47572649','Perlengkapan Dinas','1.812.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'18 Buah','Perlengkapan Dinas;','Kopel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(414,'47572650','Perlengkapan Pendukung Olahraga','1.908.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Stel x 6 Orang','Perlengkapan Pendukung Olahraga;','Kaos dan Training;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(415,'47572651','Perlengkapan Pendukung Olahraga','3.180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Stel x 10 Orang','Perlengkapan Pendukung Olahraga;','Kaos dan Training;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(416,'47572652','Beban Makanan dan Minuman Rapat','38.220.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'98 Kotak x 13 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(417,'47572653','Beban Makanan dan Minuman Rapat','2.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Kotak x 5 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(418,'47572654','Beban Makanan dan Minuman Rapat','2.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'70 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(419,'47575592','Bahan Bakar dan Pelumas','4.620.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'300 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(420,'47575593','Alat Tulis Kantor','425.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'17 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(421,'47575594','Alat Tulis Kantor','106.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Correction Ct 509;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(422,'47575595','Alat Tulis Kantor','46.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(423,'47575596','Alat Tulis Kantor','562.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(424,'47575597','Alat Tulis Kantor','88.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Lem Cair 50 Ml;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(425,'47575599','Alat Tulis Kantor','141.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(426,'47575600','Alat Tulis Kantor','1.017.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3390 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(427,'47575601','Alat Tulis Kantor','3.195.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'150 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(428,'47575602','Alat Tulis Kantor','2.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah x 4 Kegiatan','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(429,'47575603','Kertas dan Cover','721.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(430,'47575604','Kertas dan Cover','144.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(431,'47575605','Kertas dan Cover','1.036.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'16 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(432,'47575607','Bahan Komputer','1.908.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'18 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(433,'47575608','Beban Makanan dan Minuman Rapat','4.420.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Orang x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(434,'47575609','Beban Makanan dan Minuman Rapat','7.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Orang x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(435,'47575610','Beban Makanan dan Minuman Rapat','3.220.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Prasmanan VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(436,'47575611','Beban Makanan dan Minuman Rapat','6.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:09:21.723','bakesbangpol'),
(437,'47575776','Bahan Bakar dan Pelumas','2.772.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'180 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(438,'47575778','Alat Tulis Kantor','325.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'13 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(439,'47575779','Alat Tulis Kantor','32.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(440,'47575780','Alat Tulis Kantor','46.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(441,'47575781','Alat Tulis Kantor','168.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(442,'47575782','Alat Tulis Kantor','35.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Lem Cair 112;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(443,'47575783','Alat Tulis Kantor','16.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Alat Tulis Kantor;','Stapler Hd 10 Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(444,'47575784','Alat Tulis Kantor','28.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(445,'47575785','Alat Tulis Kantor','880.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2936 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(446,'47575786','Alat Tulis Kantor','1.597.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(447,'47575787','Alat Tulis Kantor','1.620.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah x 3 Kegiatan','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(448,'47575788','Kertas dan Cover','360.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(449,'47575789','Kertas dan Cover','61.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(450,'47575790','Kertas dan Cover','712.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'11 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(451,'47575791','Beban Makanan dan Minuman Rapat','3.315.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(452,'47575792','Beban Makanan dan Minuman Rapat','3.220.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Prasmanan VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(453,'47575793','Beban Makanan dan Minuman Rapat','5.850.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(454,'47575795','Beban Makanan dan Minuman Rapat','6.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Paket x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(455,'47575796','Bahan Komputer','848.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:54:56.882','bakesbangpol'),
(456,'47575861','Alat Tulis Kantor','717.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:59:28.027','bakesbangpol'),
(457,'47575862','Kertas dan Cover','972.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:59:28.027','bakesbangpol'),
(458,'47575863','Bahan Komputer','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:59:28.027','bakesbangpol'),
(459,'47575864','Alat Tulis Kantor','38.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'129 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 19:59:28.027','bakesbangpol'),
(460,'47575895','Alat Tulis Kantor','239.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:07:24.896','bakesbangpol'),
(461,'47575896','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:07:24.896','bakesbangpol'),
(462,'47575897','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:07:24.896','bakesbangpol'),
(463,'47575898','Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:07:24.896','bakesbangpol'),
(464,'47575912','Alat Tulis Kantor','239.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10 D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:03:41.692','bakesbangpol'),
(465,'47575913','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:03:41.692','bakesbangpol'),
(466,'47575914','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:03:41.692','bakesbangpol'),
(467,'47575915','Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:03:41.692','bakesbangpol'),
(468,'47578974','Bahan Bakar dan Pelumas','4.620.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'300 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(469,'47578975','Alat Tulis Kantor','312.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Odner Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(470,'47578976','Alat Tulis Kantor','423.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1411 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(471,'47578977','Alat Tulis Kantor','852.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'40 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(472,'47578978','Kertas dan Cover','103.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(473,'47578979','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(474,'47578980','Beban Makanan dan Minuman Rapat','5.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(475,'47578981','Beban Makanan dan Minuman Rapat','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(476,'47578982','Beban Makanan dan Minuman Rapat','3.960.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(477,'47578983','Beban Makanan dan Minuman Rapat','2.070.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak Untuk VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(478,'47578984','Brban sewa Mebel','4.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Buah x 4 Kali','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(479,'47578985','Beban Sewa Peralatan Studio Audio','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Kali','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(480,'47578986','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(481,'47578987','Bahan Komputer','508.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Botol','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:32:37.824','bakesbangpol'),
(482,'47579060','Bahan Bakar dan Pelumas','4.564.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'255 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(483,'47579061','Alat Tulis Kantor','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(484,'47579062','Alat Tulis Kantor','1.005.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3352 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(485,'47579063','Alat Tulis Kantor','852.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'40 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(486,'47579064','Kertas dan Cover','123.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(487,'47579065','Kertas dan Cover','777.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(488,'47579066','Bahan Komputer','381.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Botol','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(489,'47579067','Bahan Komputer','763.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(490,'47579068','Beban Makanan dan Minuman Rapat','4.420.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(491,'47579070','Beban Makanan dan Minuman Rapat','7.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(492,'47579071','Brban sewa Mebel','3.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Buah x 4 Kali','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:05:27.635','bakesbangpol'),
(493,'47579140','Bahan Bakar dan Pelumas','26.850.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1500 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(494,'47579141','Alat Tulis Kantor','121.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'14 Pak','Alat Tulis Kantor;','Paper Clip;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(495,'47579142','Alat Tulis Kantor','750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Odner Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(496,'47579143','Alat Tulis Kantor','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(497,'47579144','Alat Tulis Kantor','451.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'48 Buah','Alat Tulis Kantor;','Map Plastik Folio 1M02;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(498,'47579145','Alat Tulis Kantor','10.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Staples Besar no 50;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(499,'47579146','Alat Tulis Kantor','141.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(500,'47579147','Alat Tulis Kantor','406.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1356 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(501,'47579148','Alat Tulis Kantor','795.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'150 Buah','Alat Tulis Kantor;','cetak map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(502,'47579149','Alat Tulis Kantor','1.278.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(503,'47579150','Kertas dan Cover','120.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(504,'47579151','Kertas dan Cover','41.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(505,'47579152','Kertas dan Cover','150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(506,'47579153','Kertas dan Cover','777.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(507,'47579154','Kertas dan Cover','186.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Rim','Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(508,'47579155','Bahan Komputer','1.017.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(509,'47579156','Beban Makanan dan Minuman Rapat','2.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Kotak x 6 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(510,'47579157','Beban Makanan dan Minuman Rapat','2.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(511,'47579158','Beban Makanan dan Minuman Rapat','2.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 2 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(512,'47579159','Beban Makanan dan Minuman Rapat','5.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(513,'47579160','Beban Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Kotak x 6 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(514,'47579161','Beban Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 2 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(515,'47579162','Beban Makanan dan Minuman Rapat','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Kotak x 4 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(516,'47579163','Beban Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Kotak x 3 Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(517,'47579164','Brban sewa Mebel','4.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'75 Buah x 4 Kegiatan','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(518,'47579165','Beban Sewa Peralatan Studio Audio','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Kali','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(519,'47579166','Beban Sewa Bangunan Gedung Tempat Pertemuan','12.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Kali','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Sewa Gedung Pertemuan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:55:09.441','bakesbangpol'),
(520,'47579200','Alat Tulis Kantor','228.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Ordner Karton Folio 7 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:09:13.475','bakesbangpol'),
(521,'47579202','Alat Tulis Kantor','258.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'860 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:09:13.475','bakesbangpol'),
(522,'47579203','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:09:13.475','bakesbangpol'),
(523,'47579204','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:09:13.475','bakesbangpol'),
(524,'47579213','Alat Tulis Kantor','80.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'35 Buah','Alat Tulis Kantor;','Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:13:03.798','bakesbangpol'),
(525,'47579214','Alat Tulis Kantor','341.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1137 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:13:03.798','bakesbangpol'),
(526,'47579215','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:13:03.798','bakesbangpol'),
(527,'47579216','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:13:03.798','bakesbangpol'),
(528,'47580334','Alat Tulis Kantor','77.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Spidol G 12;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(529,'47580335','Alat Tulis Kantor','149.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'65 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(530,'47580336','Alat Tulis Kantor','281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(531,'47580337','Alat Tulis Kantor','94.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Solasi Dispenser Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(532,'47580338','Alat Tulis Kantor','42.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Staples Besar No. 23;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(533,'47580339','Alat Tulis Kantor','148.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'495 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(534,'47580340','Alat Tulis Kantor','426.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Meter','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(535,'47580341','Alat Tulis Kantor','42.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Hand Stapler HD 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(536,'47580342','Kertas dan Cover','82.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(537,'47580343','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(538,'47580344','Bahan Komputer','890.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(539,'47580345','Beban Makanan dan Minuman Rapat','7.480.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'440 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(540,'47580346','Beban Makanan dan Minuman Rapat','13.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'440 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(541,'47580348','Beban Pakaian Olahraga','26.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'210 Buah','Beban Pakaian Olahraga;','Pakaian Olahraga Peserta Pelatihan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:30:41.849','bakesbangpol'),
(542,'47580417','Alat Tulis Kantor','69.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Alat Tulis Kantor;','Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(543,'47580418','Alat Tulis Kantor','224.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(544,'47580419','Alat Tulis Kantor','84.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(545,'47580420','Alat Tulis Kantor','88.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'294 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(546,'47580421','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(547,'47580422','Bahan Komputer','1.144.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:42:41.71','bakesbangpol'),
(548,'47580466','Alat Tulis Kantor','116.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(549,'47580467','Alat Tulis Kantor','34.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(550,'47580468','Alat Tulis Kantor','168.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(551,'47580469','Alat Tulis Kantor','81.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(552,'47580470','Alat Tulis Kantor','84.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(553,'47580471','Alat Tulis Kantor','96.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'321 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(554,'47580472','Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(555,'47580473','Kertas dan Cover','93.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Rim','Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(556,'47580474','Bahan Komputer','636.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:01:50.142','bakesbangpol'),
(557,'47580486','Alat Tulis Kantor','57.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:35:46.546','bakesbangpol'),
(558,'47580487','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:35:46.546','bakesbangpol'),
(559,'47580488','Alat Tulis Kantor','162.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:35:46.546','bakesbangpol'),
(560,'47580489','Alat Tulis Kantor','12.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'43 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:35:46.546','bakesbangpol'),
(561,'47580490','Kertas dan Cover','194.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:35:46.546','bakesbangpol'),
(562,'47581636','Alat Tulis Kantor','1.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'68 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(563,'47581639','Alat Tulis Kantor','71.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'31 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(564,'47581640','Alat Tulis Kantor','562.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(565,'47581646','Alat Tulis Kantor','466.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'44 Lembar','Alat Tulis Kantor;','Cetak Sertifikat/ piagam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(566,'47581648','Alat Tulis Kantor','279.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'931 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(567,'47581650','Alat Tulis Kantor','384.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1280 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(568,'47581653','Alat Tulis Kantor','95.850','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4.5 Luas / M2','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(569,'47581655','Alat Tulis Kantor','56.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Alat Tulis Kantor;','Binder Clip No. 107;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(570,'47581660','Kertas dan Cover','206.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(571,'47581663','Kertas dan Cover','1.036.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'16 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(572,'47581666','Bahan Komputer','763.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Botol','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(573,'47581670','Bahan Komputer','508.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(574,'47581676','Beban Makanan dan Minuman Rapat','14.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'480 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(575,'47581679','Beban Sewa Mebel','1.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'28 Buah','Beban Sewa Mebel;','Sewa meja;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(576,'47581680','Beban Sewa Peralatan Studio Audio','12.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Kali','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(577,'47581682','Beban Sewa Bangunan Gedung Tempat Pertemuan','12.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Kali','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Sewa Gedung Pertemuan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(578,'47581694','Alat Tulis Kantor','186.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Spidol G 12;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(579,'47581696','Alat Tulis Kantor','850.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'34 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(580,'47581697','Alat Tulis Kantor','174.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Alat Tulis Kantor;','Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(581,'47581700','Alat Tulis Kantor','281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(582,'47581701','Alat Tulis Kantor','562.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(583,'47581702','Alat Tulis Kantor','94.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Solasi Dispenser Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(584,'47581703','Alat Tulis Kantor','81.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(585,'47581704','Alat Tulis Kantor','282.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(586,'47581706','Alat Tulis Kantor','3.720.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200 Buah','Alat Tulis Kantor;','Cetak Kartu Tanda Pengenal;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(587,'47581708','Alat Tulis Kantor','222.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'740 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(588,'47581710','Alat Tulis Kantor','1.533.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'72 M2','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(589,'47581711','Alat Tulis Kantor','511.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'24 Luas / M2','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(590,'47581713','Alat Tulis Kantor','33.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Pak','Alat Tulis Kantor;','Binder Clip No. 107;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(591,'47581715','Alat Tulis Kantor','8.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'800 Buah','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(592,'47581716','Alat Tulis Kantor','4.320.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'400 Buah','Alat Tulis Kantor;','Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(593,'47581717','Kertas dan Cover','480.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(594,'47581718','Kertas dan Cover','120.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(595,'47581720','Kertas dan Cover','82.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(596,'47581721','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(597,'47581723','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(598,'47581724','Kertas dan Cover','93.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Rim','Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(599,'47581726','Bahan Komputer','1.144.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(600,'47581727','Bahan Komputer','1.144.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(601,'47581728','Bahan Komputer','636.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(602,'47581730','Beban Makanan dan Minuman Rapat','7.735.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'455 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(603,'47581731','Beban Makanan dan Minuman Rapat','16.320.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'960 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(604,'47581732','Beban Makanan dan Minuman Rapat','8.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'480 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(605,'47581733','Beban Makanan dan Minuman Rapat','28.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'960 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(606,'47581734','Beban Makanan dan Minuman Rapat','13.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'455 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(607,'47581736','Brban sewa Mebel','13.440.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'960 Buah','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(608,'47581737','Brban sewa Mebel','1.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'130 Buah','Brban sewa Mebel;','Sewa Kursi Bungket;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(609,'47581740','Beban Sewa Alat Pendingin','9.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah x 8 Kali','Beban Sewa Alat Pendingin;','Sewa Blower Air;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(610,'47581742','Alat Tulis Kantor','159.750','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7.5 Luas / M2','Alat Tulis Kantor;','banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:30:03.642','bakesbangpol'),
(611,'47581818','Alat Tulis Kantor','139.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 5 (Jumbo);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(612,'47581819','Alat Tulis Kantor','348.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Buah','Alat Tulis Kantor;','Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(613,'47581820','Alat Tulis Kantor','471.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'205 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(614,'47581821','Alat Tulis Kantor','141.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(615,'47581822','Alat Tulis Kantor','206.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'689 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(616,'47581823','Alat Tulis Kantor','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200 Buah','Alat Tulis Kantor;','cetak map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(617,'47581824','Kertas dan Cover','275.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(618,'47581825','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(619,'47581826','Bahan Komputer','1.526.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(620,'47581827','Beban Makanan dan Minuman Rapat','1.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(621,'47581828','Beban Makanan dan Minuman Rapat','3.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:10:03.095','bakesbangpol'),
(622,'47581903','Bahan Bakar dan Pelumas','3.080.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200 Liter','Bahan Bakar dan Pelumas;','Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(623,'47581904','Alat Tulis Kantor','116.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(624,'47581905','Alat Tulis Kantor','138.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(625,'47581906','Alat Tulis Kantor','1.405.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(626,'47581907','Alat Tulis Kantor','84.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(627,'47581908','Alat Tulis Kantor','236.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'788 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(628,'47581909','Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(629,'47581910','Bahan Komputer','381.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(630,'47581911','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(631,'47581912','Beban Makanan dan Minuman Rapat','850.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(632,'47581913','Beban Makanan dan Minuman Rapat','1.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:40:03.925','bakesbangpol'),
(633,'47581927','Alat Tulis Kantor','62.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Spidol G 12;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(634,'47581928','Alat Tulis Kantor','57.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(635,'47581929','Alat Tulis Kantor','63.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Solasi Dispenser Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(636,'47581930','Alat Tulis Kantor','81.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(637,'47581931','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(638,'47581932','Alat Tulis Kantor','295.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'985 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(639,'47581933','Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(640,'47581934','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:18:27.708','bakesbangpol'),
(641,'47581954','Alat Tulis Kantor','62.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Spidol G 12;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(642,'47581955','Alat Tulis Kantor','57.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'25 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(643,'47581956','Alat Tulis Kantor','63.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Solasi Dispenser Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(644,'47581957','Alat Tulis Kantor','81.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(645,'47581958','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(646,'47581959','Alat Tulis Kantor','295.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'985 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(647,'47581960','Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(648,'47581961','Bahan Komputer','254.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:59:53.856','bakesbangpol'),
(649,'47584019','Alat Tulis Kantor','4.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'14 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:11:50.131','bakesbangpol'),
(650,'47584134','Mebel','15.582.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'42 Unit','Mebel;','Kursi Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:13:50.107','bakesbangpol'),
(651,'47584152','Alat Tulis Kantor','30.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(652,'47584153','Alat Tulis Kantor','52.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'23 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(653,'47584154','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(654,'47584155','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(655,'47584156','Alat Tulis Kantor','155.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'519 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(656,'47584157','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(657,'47584158','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(658,'47584159','Bahan Komputer','318.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(659,'47584160','Bahan Komputer','371.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(660,'47584163','Alat Tulis Kantor','25.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(661,'47584164','Alat Tulis Kantor','23.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(662,'47584165','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(663,'47584166','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(664,'47584167','Alat Tulis Kantor','78.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'260 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(665,'47584168','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(666,'47584169','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(667,'47584170','Bahan Komputer','212.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(668,'47584171','Alat Tulis Kantor','25.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(669,'47584172','Alat Tulis Kantor','23.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(670,'47584173','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(671,'47584174','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(672,'47584175','Alat Tulis Kantor','78.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'260 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(673,'47584176','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(674,'47584177','Bahan Komputer','212.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(675,'47584178','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(676,'47584183','Alat Tulis Kantor','30.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(677,'47584184','Alat Tulis Kantor','52.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'23 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(678,'47584185','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(679,'47584186','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(680,'47584187','Alat Tulis Kantor','155.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'519 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(681,'47584188','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(682,'47584189','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(683,'47584190','Bahan Komputer','318.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(684,'47584191','Bahan Komputer','371.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(685,'47584193','Alat Tulis Kantor','30.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(686,'47584194','Alat Tulis Kantor','52.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'23 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(687,'47584195','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(688,'47584196','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(689,'47584197','Alat Tulis Kantor','155.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'519 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(690,'47584198','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(691,'47584199','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(692,'47584200','Bahan Komputer','318.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(693,'47584201','Bahan Komputer','371.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(694,'47584204','Alat Tulis Kantor','30.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(695,'47584205','Alat Tulis Kantor','52.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'23 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(696,'47584206','Alat Tulis Kantor','112.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(697,'47584207','Alat Tulis Kantor','56.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(698,'47584208','Alat Tulis Kantor','155.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'519 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(699,'47584209','Kertas dan Cover','234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(700,'47584210','Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(701,'47584211','Bahan Komputer','318.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(702,'47584212','Bahan Komputer','371.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:11:35.087','bakesbangpol'),
(703,'47584217','Alat Tulis Kantor','100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(704,'47584218','Alat Tulis Kantor','75.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(705,'47584219','Alat Tulis Kantor','138.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(706,'47584220','Alat Tulis Kantor','337.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(707,'47584221','Alat Tulis Kantor','169.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(708,'47584222','Alat Tulis Kantor','1.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3500 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(709,'47584223','Kertas dan Cover','585.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(710,'47584224','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(711,'47584225','Bahan Komputer','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(712,'47584226','Bahan Komputer','1.485.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(713,'47584228','Alat Tulis Kantor','100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(714,'47584229','Alat Tulis Kantor','75.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'30 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(715,'47584230','Alat Tulis Kantor','138.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(716,'47584231','Alat Tulis Kantor','337.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(717,'47584232','Alat Tulis Kantor','169.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(718,'47584233','Alat Tulis Kantor','1.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3500 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(719,'47584234','Kertas dan Cover','585.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(720,'47584235','Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(721,'47584236','Bahan Komputer','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(722,'47584237','Bahan Komputer','1.485.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(723,'47584238','Alat Tulis Kantor','100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(724,'47584239','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(725,'47584240','Alat Tulis Kantor','230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(726,'47584241','Alat Tulis Kantor','449.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(727,'47584242','Alat Tulis Kantor','282.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(728,'47584243','Alat Tulis Kantor','1.501.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5006 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(729,'47584244','Kertas dan Cover','702.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(730,'47584245','Kertas dan Cover','777.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(731,'47584246','Bahan Komputer','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(732,'47584247','Bahan Komputer','1.857.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(733,'47584268','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(734,'47584269','Alat Tulis Kantor','25.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(735,'47584270','Alat Tulis Kantor','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(736,'47584271','Alat Tulis Kantor','168.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(737,'47584272','Alat Tulis Kantor','112.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(738,'47584273','Alat Tulis Kantor','756.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2520 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(739,'47584274','Kertas dan Cover','351.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(740,'47584275','Kertas dan Cover','388.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(741,'47584276','Bahan Komputer','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(742,'47584277','Bahan Komputer','742.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(743,'47584303','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(744,'47584304','Alat Tulis Kantor','25.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(745,'47584305','Alat Tulis Kantor','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(746,'47584306','Alat Tulis Kantor','168.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(747,'47584307','Alat Tulis Kantor','112.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(748,'47584308','Alat Tulis Kantor','756.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2520 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(749,'47584309','Kertas dan Cover','351.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(750,'47584310','Kertas dan Cover','388.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(751,'47584311','Bahan Komputer','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(752,'47584312','Bahan Komputer','742.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:17:36.265','bakesbangpol'),
(753,'47584320','Alat Tulis Kantor','100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(754,'47584321','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(755,'47584322','Alat Tulis Kantor','230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'100 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(756,'47584323','Alat Tulis Kantor','449.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(757,'47584324','Alat Tulis Kantor','282.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(758,'47584325','Alat Tulis Kantor','1.501.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5006 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(759,'47584326','Kertas dan Cover','702.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(760,'47584327','Kertas dan Cover','777.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'12 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(761,'47584328','Bahan Komputer','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(762,'47584329','Bahan Komputer','1.857.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(763,'47584330','Alat Tulis Kantor','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(764,'47584331','Alat Tulis Kantor','25.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(765,'47584332','Alat Tulis Kantor','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'50 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(766,'47584333','Alat Tulis Kantor','168.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(767,'47584334','Alat Tulis Kantor','112.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(768,'47584335','Alat Tulis Kantor','756.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2520 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(769,'47584336','Kertas dan Cover','351.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(770,'47584337','Kertas dan Cover','388.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(771,'47584338','Bahan Komputer','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(772,'47584339','Bahan Komputer','742.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Buah','Bahan Komputer;','Catridge printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:14:02.216','bakesbangpol'),
(773,'47584359','Alat Tulis Kantor','50.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'2 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(774,'47584360','Alat Tulis Kantor','191.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Stabilo Boss Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(775,'47584361','Alat Tulis Kantor','322.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Buah','Alat Tulis Kantor;','Spidol Marker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(776,'47584362','Alat Tulis Kantor','1.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'500 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(777,'47584363','Alat Tulis Kantor','1.610.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'700 Buah','Alat Tulis Kantor;','Map Kertas Folio Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(778,'47584364','Alat Tulis Kantor','3.372.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'60 Buah','Alat Tulis Kantor;','Ordner Karton Folio 5 Cm Bantex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(779,'47584365','Alat Tulis Kantor','99.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Alat Tulis Kantor;','Penggaris Baja 30 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(780,'47584366','Alat Tulis Kantor','74.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Tulis Kantor;','Cutter Kecil Merk A300;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(781,'47584367','Alat Tulis Kantor','283.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'15 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(782,'47584368','Alat Tulis Kantor','1.128.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'40 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(783,'47584369','Alat Tulis Kantor','362.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Pak','Alat Tulis Kantor;','Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(784,'47584370','Kertas dan Cover','1.170.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'20 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(785,'47584371','Kertas dan Cover','5.184.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'80 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(786,'47584372','Benda Pos','700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'70 Buah','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(787,'47584373','Bahan Komputer','4.013.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Bahan Komputer;','Tinta Cartridge Color Untuk Hp Office Jet 6110, No. 57;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(788,'47584374','Bahan Komputer','4.240.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'40 Buah','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(789,'47584375','Beban Makanan dan Minuman Rapat','1.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'80 Orang / Kegiatan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(790,'47584376','Beban Makanan dan Minuman Rapat','2.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'80 Orang / Kegiatan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(791,'47584378','Alat Tulis Kantor','179.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'598 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(792,'47584379','Alat Tulis Kantor','78.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'314 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(793,'47584380','Alat Tulis Kantor','805.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'152 Lembar','Alat Tulis Kantor;','cetak map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(794,'47584381','Kertas dan Cover','1.155.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'350 Buah','Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Uk. 18 X 28 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(795,'47584383','Perabot Kantor','357.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Perabot Kantor;','Sapu Lion Star;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(796,'47584384','Perabot Kantor','47.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Perabot Kantor;','Sikat WC;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(797,'47584385','Perabot Kantor','47.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'3 Buah','Perabot Kantor;','Sikat kamar mandi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(798,'47584386','Perabot Kantor','63.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Perabot Kantor;','Sapu Lidi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(799,'47584387','Perabot Kantor','160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Perabot Kantor;','Kain pel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(800,'47584388','Perabot Kantor','371.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7 Buah','Perabot Kantor;','Canebo;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(801,'47584389','Perabot Kantor','159.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Perabot Kantor;','Pembersih Kaca;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(802,'47584390','Perabot Kantor','159.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Perabot Kantor;','Pembersih lantai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(803,'47584391','Perabot Kantor','16.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Buah','Perabot Kantor;','Tisu Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(804,'47584392','Perabot Kantor','212.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'8 Buah','Perabot Kantor;','Kemucing Bulu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(805,'47584393','Perabot Kantor','185.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'5 Buah','Perabot Kantor;','cikrak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(806,'47584394','Perabot Kantor','615.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'4 Buah','Perabot Kantor;','bak sampah plastik besar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(807,'47584396','Alat Listrik','367.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'72 Meter','Alat Listrik;','Kabel Nyaf Supreme,450/750V Sni,04-02698 Uk. 1X15 Mm2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(808,'47584397','Alat Listrik','452.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'7 Buah','Alat Listrik;','Lampu Mercury Philips, 100 Watt;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(809,'47584398','Alat Listrik','164.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Listrik;','Baterai Baterai Remote;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(810,'47584399','Alat Listrik','449.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Listrik;','Lampu Neon Tl ,20 W;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(811,'47584400','Alat Listrik','260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'10 Buah','Alat Listrik;','Stop Kontak Ob Kontak 4 Lubang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(812,'47584401','Alat Listrik','148.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'6 Buah','Alat Listrik;','Saklar Ob Saklar Seri Broco;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(813,'47584402','Alat Listrik','583.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'9 Buah','Alat Listrik;','Stop Kontak ,6 Lubang Panjang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:12:44.045','bakesbangpol'),
(814,'47786924','Beban Jasa Tenaga Kesenian dan Kebudayaan;','35.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 Paket','Beban Jasa Tenaga Kesenian dan Kebudayaan;','Paket Dekorasi Raker Bupati ( Dekorasi Alun-Alun HUT RI)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:45:57.754','bakesbangpol'),
(815,'48175411','Beban Jasa Tenaga Kesenian dan Kebudayaan','120.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'1 paket','Beban Jasa Tenaga Kesenian dan Kebudayaan','Dekorasi ( Jasa Dekorasi Mobil Hias )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-19 10:52:55.154','bakesbangpol'),
(816,'48176764','Beban Makanan dan Minuman Rapat','3.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Kesatuan Bangsa dan Politik',2024,'200x','Beban Makanan dan Minuman Rapat','kue kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 08:46:11.075','bakesbangpol'),
(817,'47330695','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.337.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner Kecil; Fotocopy; Cetak Buku Laporan Kegiatan; Hand Stapler HD 10; Map Snelhecter plastik ukuran folio; Spidol Marker; Bolpoint; Stopmap Kertas Panda; Map Kancing Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:39:52.557','bpbd'),
(818,'47330696','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:39:52.557','bpbd'),
(819,'47330697','Belanja Bahan-Bahan Bakar dan Pelumas','2.914.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:39:52.557','bpbd'),
(820,'47335031','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','518.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(821,'47335033','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.150.700','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak Buku Laporan Kegiatan; Spidol Marker; Bolpoint; Stopmap Kertas Panda; Map Kancing Interx; Ordner Kecil; Fotocopy; Hand Stapler HD 10; Map Snelhecter plastik ukuran folio;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(822,'47335035','Belanja Bahan-Bahan Bakar dan Pelumas','3.050.900','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(823,'47335713','Beban Jasa Iklan/Reklame, Film, dan Pemotretan','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'2 Kali','Beban Jasa Iklan/Reklame, Film, dan Pemotretan;','publikasi media cetak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(824,'47335714','Belanja Bahan-Bahan Bakar dan Pelumas','10.245.300','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(825,'47335715','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.986.900','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Isi Staples Besar No. 23; Fotocopy; banner; Cetak Buku Laporan Kegiatan; Hand Stapler HD 10; Map Snelhecter plastik ukuran folio;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(826,'47335716','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.463.800','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Amplop putih tanggung;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(827,'47335717','Bahan Komputer','2.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'15 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(828,'47335718','Beban Makanan dan Minuman Rapat','2.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'150 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(829,'47348890','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.935.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Ordner Kecil; Isi Staples Besar No. 23; Hand Stapler HD 10; Map Snelhecter plastik ukuran folio; Stopmap Kertas Panda; Map Kancing Interx; Fotocopy; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(830,'47348891','Bahan Komputer','2.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'15 Botol','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(831,'47348892','Belanja Bahan-Bahan Bakar dan Pelumas','62.074.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(832,'47348894','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.166.300','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Amplop putih tanggung; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(833,'47348895','Belanja Makanan dan Minuman Aktivitas Lapangan','16.920.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(834,'47348896','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','68.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya;','Tandon Kapasitas 5000 L, Dudukan 80 cm; AP Pembuatan Tandon; Perencanaan Pembuatan Tandon; Pengawasan Pembuatan Tandon;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(835,'47348898','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Jasa Iklan/Reklame, Film, dan Pemotretan;','publikasi media cetak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(836,'47348900','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','189.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan kepada Masyarakat;','Beras 5 kg; Gula Pasir; Ikan Sarden; Kecap; Susu Kental Manis; Minyak Goreng; Tas kain tebal; Kayu Reng; Kayu Usuk; Asbes Gelombang Besar Panjang 1,8 M; Mie Instan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(837,'47348903','Belanja Tagihan Air','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Tagihan Air;','Belanja Air Bersih Bantuan Kekeringan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(838,'47348905','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Sewa Truck Canter + Supir + BBM;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:12:26.872','bpbd'),
(839,'47372696','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.210.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner Kecil; Isi Stapler Kecil No.10; Paper Clip Cadwell No. 3 (Tanggung); Paper Clip No. 3; Correction 803; Snelhecter Map; Snelhecter Map Bahan Transparan; Stopmap Kertas Panda; Stop Map Map Diamond; Ordner Besar; Cutter Besar Merk Kenko L500; Cutter Kecil Merk A300; Stapler Hd 50; Stapler Hd 10; Isi Steples Besar No 3; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Binder Clip No. 111; Binder Clip No. 155; Binder Clip No. 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:52.637','bpbd'),
(840,'47372697','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.448.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr; Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:52.637','bpbd'),
(841,'47372698','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.422.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Epson Black; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:52.637','bpbd'),
(842,'47375394','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.694.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:24:24.83','bpbd'),
(843,'47375396','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.590.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:24:24.83','bpbd'),
(844,'47375398','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.716.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stapler Hd 50 Besar; Isi Steples Besar No 3; Odner Besar (forte); Stopmap Kertas Panda; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Binder Clip No. 155; Binder Clip No. 200; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:24:24.83','bpbd'),
(845,'47430786','Belanja Alat/ Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.159.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Leaflet/ Brosur, Banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(846,'47431550','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'3 rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(847,'47432068','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'3 buah','Bahan Komputer','Tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(848,'47432714','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.060.800','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spidol marker, spidol 6 warna, plester kertas/paper tape, bolpoint, banner, block note A5 glossy, fotocopy dan map kancing interx','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(849,'47433328','Belanja Makanan dan Minuman Rapat (FPRB)','4.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'100 kotak','Belanja Makanan dan Minuman Rapat (FPRB)','Kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(850,'47433337','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.754.400','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas manila putih dan kertas hvs f4 70gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(851,'47433850','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'4 buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(852,'47434137','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','15.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'25 buah','Perlengkapan Dinas','Rompi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(853,'47434141','Belanja Makanan dan Minuman Rapat (FGD)','2.350.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'100 kotak','Beban Makanan dan Minuman Rapat','Kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(854,'47434641','Belanja Makanan dan Minuman Rapat','78.960.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1680 kotak','Beban Makanan dan Minuman Rapat','Kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(855,'47434888','Belanja Pakaian Olahraga','45.750.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'305 buah','Beban Pakaian Olahraga','Belanja Pakaian Olah raga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-11 16:22:22.771','bpbd'),
(856,'47435090','Belanja Pakaian Olahraga','6.750.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'45 buah','Beban Pakaian Olahraga','Belanja Pakaian Olah raga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(857,'47437199','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 kali','Beban Jasa Iklan/Reklame, Film, dan Pemotretan','Publikasi media cetak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 16:50:02.125','bpbd'),
(858,'47437492','Belanja Pemeliharaan Aset Tidak Berwujud-Software','32.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 tahun','Beban Pemeliharaan Aset Tidak Berwujud-Sofware','Belanja pemeliharaan aplikasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 16:50:02.125','bpbd'),
(859,'47437525','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','154.500','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'515 lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-11 16:33:34.758','bpbd'),
(860,'47437684','Belanja Kursus Singkat/Pelatihan','44.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'22 orang','Beban Kursus Singkat/Pelatihan','Peningkatan Kapasitas Tim Reaksi cepat + sertifikat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 16:33:34.758','bpbd'),
(861,'47438002','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.533.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat Tulis Kantor','Fotocopy, banner, paper clip no. 3, paper clip 5, binder clip no. 107, binder clip no, 111, binder clip no. 155, binder clip no. 200, binder clip no. 260, isi staples kecil no. 10, ordner besar, cetak lembar balik dan spidol marker','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 10:28:44.172','bpbd'),
(862,'47438152','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','778.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Kertas dan Cover','kertas hvs f4 70 gram dan kertas manila putih','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 17:01:03.94','bpbd'),
(863,'47438517','Belanja Modal Alat Kantor Lainnya','19.080.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Belanja Modal Alat Kantor Lainnya','Rambu Papan Informasi Kebencanaan + 2 tiang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 16:50:02.125','bpbd'),
(864,'47439089','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'8 buah','Bahan Komputer','Tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 17:01:03.94','bpbd'),
(865,'47439319','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'180 kotak','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 17:01:03.94','bpbd'),
(866,'47439506','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.679.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat Tulis Kantor','banner dan fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 17:36:03.054','bpbd'),
(867,'47439765','Belanja Makanan dan Minuman Aktivitas Lapangan','8.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'500 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Kue Kotak Biasa Makan dan minum aktifitas lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 17:36:03.054','bpbd'),
(868,'47439967','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','6.809.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat Listrik','Lampu Metalhalide Lampu Sorot Metal Halide 70W/150W dan Senter Lapangan Ukuran Besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 17:19:40.184','bpbd'),
(869,'47440009','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','1.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 kali','Beban Jasa Iklan/Reklame, Film, dan Pemotretan','publikasi media cetak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 17:36:03.054','bpbd'),
(870,'47440031','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','8.750.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'35 buah','Perlengkapan Dinas','Jas hujan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 17:19:40.184','bpbd'),
(871,'47440138','Belanja Pakaian Dinas Lapangan (PDL)','19.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'35 stel','Beban Pakaian Dinas Lapangan (PDL)','Belanja Pakaian Kerja Lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 17:19:40.184','bpbd'),
(872,'47440249','Belanja Modal Peralatan Bengkel Khusus Peladam','2.950.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 unit','Peralatan Bengkel Khusus Peladam','Gerinda duduk','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 17:19:40.184','bpbd'),
(873,'47440288','Belanja Sewa Mebel','2.650.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Beban Sewa Mebel','Sewa kursi bungket, sewa meja dan cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 17:36:03.054','bpbd'),
(874,'47440760','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pelatihan Keterampilan Kebencanaan)','10.860.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat tulis kantor','bolpoint, map kancing interx dan block note A5 glosy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(875,'47440855','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (SPAB)','6.423.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','alat tulis kantor','spidol marker, spidol 6 warna, bolpoint, map kancing interx dan block note A5 glosy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 18:17:38.541','bpbd'),
(876,'47440868','Belanja Sewa Alat Pendingin','1.100.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 hari','Beban Sewa Alat Pendingin','Sewa AC Stand','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 17:36:03.054','bpbd'),
(877,'47440976','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.427.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat Tulis Kantor','stapler hd 10, binder clip no. 107, binder clip no. 111, binder clip no 155, isi staples kecil no 10, ordner besar, fotocopy, banner dan plester kertas/paper tape','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 18:17:38.541','bpbd'),
(878,'47441043','Belanja Modal Mebel','3.180.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'2 buah','Mebel','Meja Kayu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 17:36:03.054','bpbd'),
(879,'47441054','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.144.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','kertas dan cover','kertas manila putih dan kertas hvs f4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(880,'47441111','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'3 buah','bahan komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(881,'47441207','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','7.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'50 buah','Persediaan Untuk Dijual/Diserahkan Lainnya','Papan Pengumuman Akrilik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(882,'47441291','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','106.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'20 buah','Persediaan Untuk Dijual/Diserahkan Lainnya','mesin senso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(883,'47441466','Belanja Makanan dan Minuman Rapat ( Pelatihan Keterampilan Kebencanaan)','37.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'800 orang per kegiatan','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(884,'47441628','Belanja Makanan dan Minuman Rapat (SPAB)','42.300.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'900 orang per hari per kegiatan','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-02-01 13:43:49.227','bpbd'),
(885,'47441739','Belanja Pakaian Dinas Lapangan (PDL)','21.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'35 buah','Beban Pakaian Dinas Lapangan (PDL)','sepatu lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 18:17:19.952','bpbd'),
(886,'47441953','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.679.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Alat Tulis Kantor','Fotocopy, Paper Clip No. 3, Paper Clip 5, Binder Clip No. 107, Binder Clip No. 111, Binder Clip No. 155, Binder Clip No. 200, Binder Clip No. 260, Isi Steples Kecil No 10, banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-02-01 13:29:55.812','bpbd'),
(887,'47441985','Belanja Pakaian Olahraga ( Pelatihan Keterampilan Kebencanaan)','99.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'665 buah','Beban Pakaian Olahraga','Belanja Pakaian Olah raga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 18:18:58.875','bpbd'),
(888,'47442326','Belanja Pakaian Olahraga (SPAB)','54.750.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'365 buah','Beban Pakaian Olahraga','Belanja Pakaian Olah raga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 18:18:58.875','bpbd'),
(889,'47442343','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'6 rim','Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-02-01 13:30:20.169','bpbd'),
(890,'47442553','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'6 buah','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-02-01 13:30:20.169','bpbd'),
(891,'47442716','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','8.353.500','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'5 paket','Persediaan Untuk Dijual/Diserahkan Lainnya','AP Pembuatan Sumur Bor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-02-01 13:30:20.169','bpbd'),
(892,'47442852','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','12.530.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'5 paket','Persediaan Untuk Dijual/Diserahkan Lainnya','Pengawasan Pembuatan Sumur Bor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-02-01 13:30:20.169','bpbd'),
(893,'47443096','Belanja Modal Alat Kantor Lainnya','10.600.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'10 unit','Alat Kantor Lainnya','Rambu Papan Informasi Kebencanaan + tiang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Mei 2024','Juni 2024','2024-01-11 18:17:38.541','bpbd'),
(894,'47443154','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','16.707.000','Penunjukan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'5 paket','Persediaan Untuk Dijual/Diserahkan Lainnya','Perencanaan Pembuatan Sumur Bor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-11 19:36:09.57','bpbd'),
(895,'47443206','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','427.680.000','Penunjukan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'5 paket','Persediaan Untuk Dijual/Diserahkan Lainnya','Pembuatan Sumur Bor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-02-01 13:30:20.169','bpbd'),
(896,'47444133','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'40 lembar','alat tulis kantor','fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 18:42:00.883','bpbd'),
(897,'47444155','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','5.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'5 kali','Beban Jasa Iklan/Reklame, Film, dan Pemotretan','Publikasi media cetak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-02-01 13:29:55.812','bpbd'),
(898,'47444198','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 buah','Bahan Komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 18:42:00.883','bpbd'),
(899,'47444288','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','74.840.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Persediaan Untuk Dijual/Diserahkan Lainnya','hand sprayer dan tandon air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 18:42:00.883','bpbd'),
(900,'47444365','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'100 kotak','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 18:42:00.883','bpbd'),
(901,'47444379','Belanja Jasa Konsultansi Spesialis-Jasa Pembuatan Prospektus Geologi dan Geofisika','180.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'3 paket','Beban Jasa Konsultansi Spesialis-Jasa Pembuatan Prospektus Geologi dan Geofisika','Jasa Konsultansi Perencanaan Pemetaan Geolistik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-02-01 13:29:55.812','bpbd'),
(902,'47444585','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','684.600','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','alat tulis kantor','fotocopy dan ordner besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 18:52:34.298','bpbd'),
(903,'47444646','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'3 rim','kertas dan cover','kertas hvs f4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 18:52:34.298','bpbd'),
(904,'47444683','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'4 buah','bahan komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 18:52:34.298','bpbd'),
(905,'47444807','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'150 kotak','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 18:52:34.298','bpbd'),
(906,'47444844','Belanja Modal Alat Bengkel Bermesin Lainnya','10.609.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 unit','Alat Bengkel Bermesin Lainnya','Mesin senso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-01 13:29:55.812','bpbd'),
(907,'47445065','Belanja Modal Alat Pengukur Keadaan Alam','3.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 unit','Alat Pengukur Keadaan Alam','Ranger Finder','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-01 13:36:27.377','bpbd'),
(908,'47445079','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','377.100','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','alat tulis kantor','fotocopy, paper clip no 3, binder clip no 107, binder clip no 111, binder clip no 155, binder clip no 200, binder clip no 260, isi staples kecil no 10 dan ordner besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 19:08:01.958','bpbd'),
(909,'47445136','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'6 rim','kertas dan cover','kertas hvs f4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 19:08:01.958','bpbd'),
(910,'47445144','Belanja Modal Alat Kantor Lainnya','21.200.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'20 unit','Alat Kantor Lainnya','Rambu Papan Kebencanaan + tiang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 19:36:09.57','bpbd'),
(911,'47445163','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'8 buah','bahan komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-11 19:08:01.958','bpbd'),
(912,'47445204','Belanja Makanan dan Minuman Aktivitas Lapangan','16.920.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'360 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Kue Kotak Biasa Makan dan minunm aktifitas lapangan, Nasi Kotak Biasa Makan dan minunm aktifitas lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 19:08:01.958','bpbd'),
(913,'47445239','Belanja Modal Peralatan Studio Audio','7.760.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Belanja Peralatan Studio Audio','Tas Kamera dan Wireless Microphone Camera','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-01 13:36:27.377','bpbd'),
(914,'47445336','Belanja Sewa Excavator','10.800.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'2 kali','Beban sewa Excavator','sewa Excavator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 19:08:01.958','bpbd'),
(915,'47445346','Belanja Modal Peralatan Studio Video dan Film','13.870.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 paket','Peralatan Studio Video dan Film','Lensa Canon, Ef-S 55-250Mm F/4-5.6 Is dan Stabilizer Kamera / Gimbal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-01 13:36:27.377','bpbd'),
(916,'47445434','Belanja Modal Peralatan Personal Computer','2.854.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 unit','Peralatan Personal Computer','Harddisk External 2 Tb Sorejet Usb 3.0 Ext.3.5 Inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-01 13:36:27.377','bpbd'),
(917,'47445476','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','261.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'9 buah','alat tulis kantor','ordner besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 19:16:44.972','bpbd'),
(918,'47445611','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','583.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'9 rim','kertas dan cover','kertas hvs f4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 19:16:44.972','bpbd'),
(919,'47445646','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'10 buah','bahan komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 19:16:44.972','bpbd'),
(920,'47445732','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'150 kotak','Beban Makanan dan Minuman Rapat','kue kotak dan nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 19:16:44.972','bpbd'),
(921,'47613058','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.268.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:25:14.491','bpbd'),
(922,'47613059','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.732.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Berbagai Kertas Kertas Bufallo A4 / F4 Sidu; Snelhecter Map; Ordner Besar; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:25:14.491','bpbd'),
(923,'47613561','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','3.970.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel Kabel Nym 2X1 5 Votre 45M; Lampu Dop 14 WATT; Lampu ML 100 W; Lampu Mercury Philips, 100 Watt; Neon Ring ,40 Watt;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:26:17.86','bpbd'),
(924,'47613787','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sapu Lidi; Cikrak Sampah; Pengharum Kamar mandi; Plastik Sampah Medis 60 X 100; Tempat Sampah; Sikat WC; sapu ijuk; Kain pel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:26:46.921','bpbd'),
(925,'47614529','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.826.700','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:22.779','bpbd'),
(926,'47614530','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.796.800','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer Warna 664; Tinta Printer Epson Black;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:22.779','bpbd'),
(927,'47614531','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.131.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner 1465 Folio; Penggaris Mika 30 Cm; Isi Steples Kecil No 10; Stop Map Folio Jangger; Stapler Hd 50 Besar; Stapler Hd 10 D; Isi Steples Besar No 3; Binder Clip No. 155; Binder Clip No. 200; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:22.779','bpbd'),
(928,'47614532','Belanja Makanan dan Minuman Rapat','2.775.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:22.779','bpbd'),
(929,'47615442','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','459.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:58.691','bpbd'),
(930,'47615443','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.553.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak Map Kantor; Fotocopy; Lembar Disposisi Bahan Kertas Hvs 70 Gsm Uk. 1/2 Folio Cetak 1 Muka Isi 100 Lbr; Buku Agenda Surat Masuk Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Buku Agenda Surat Keluar Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:27:58.691','bpbd'),
(931,'47617067','Belanja Modal Mebel','19.930.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Mebel; Mebel; Mebel;','meja kerja; kursi kerja; Kursi Sekretaris Ergotec, 704 U;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:29:23.257','bpbd'),
(932,'47617747','Belanja Modal Peralatan Komputer Lainnya','2.120.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Peralatan Komputer Lainnya;','UPS;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:30:02.049','bpbd'),
(933,'47617748','Belanja Modal Peralatan Personal Computer','10.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Peralatan Personal Computer;','Printer Multi fungsi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:30:02.049','bpbd'),
(934,'47617749','Belanja Modal Personal Computer','31.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Personal Computer;','Laptop;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:30:02.049','bpbd'),
(935,'47620855','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','17.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Jasa Service Kendaraan Dinas; servis kendaraan roda 2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:33:26.039','bpbd'),
(936,'47620856','Belanja Pembayaran Pajak, Bea, dan Perizinan','150.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Pembayaran Pajak, Bea, dan Perizinan;','Beban Pembayaran Pajak Bea, Balik Nama Kendaraan Roda 2 dan 4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:33:26.039','bpbd'),
(937,'47620857','Belanja Suku Cadang-Suku Cadang Alat Angkutan','80.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Suku Cadang Kendaraan Dinas Roda Dua; Suku Cadang Alat Angkutan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:33:26.039','bpbd'),
(938,'47620858','Belanja Bahan-Bahan Bakar dan Pelumas','82.104.900','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertamax ; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:33:26.039','bpbd'),
(939,'47622027','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','4.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Service Printer; Service laptop / komputer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:33:54.281','bpbd'),
(940,'47622466','Belanja Modal Bangunan Gedung Kantor','40.626.300','Penunjukan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Bangunan Gedung Kantor; Bangunan Gedung Kantor; Bangunan Gedung Kantor; Bangunan Gedung Kantor;','Rehab Ringan Gedung Negara Sederhana; Pengawasan Rehab Ringan Gedung Negara Sederhana; AP Rehab Ringan Gedung Negara Sederhana; Perencanaan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:34:44.976','bpbd'),
(941,'47622467','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','373.700','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Penanggulangan Bencana Daerah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Berbagai Kertas Kertas Bufallo A4 / F4 Sidu; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:34:44.976','bpbd'),
(942,'47027908','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','565.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Fotocopy, Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(943,'47028341','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.375.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Kertas HVS A4 70 Gr, Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(944,'47028770','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(945,'47029732','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.107.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman, Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman, Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(946,'47030125','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.832.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Kertas A4 70 Gr, Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(947,'47030458','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(948,'47036473','Belanja Pakaian Dinas Lapangan (PDL)','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Pakaian Khusus Pelayanan Pajak Daerah','Pakaian Kerja Lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:16.624','bapenda'),
(949,'47037776','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Perabot Kantor','Alat Pengepel Lantai, Cairan Pembersih Kaca, Canebo, Cikrak Sampah, Dispenser Parfum Ruangan, Gayung Mandi Segi, Hand Sanitizer, Isi ulang pewangi ruangan, Kain Lap / Serbet Makan Serbaguna kain katun, 53 x 52 cm, Keset Kecil, Pembersih lantai, Sapu Ijuk Oval, Sarung Tangan, Sikat Kamar mandi, Tempat sampah injak, Tissue, Tissue Nice, isi 900 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(950,'47039317','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.084.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Binder Clip No. 107, Binder Clip No. 111, Binder Clip No. 200, Bolpoint, Buku Kwitansi Besar, Correction Ke 01, Cutter Besar Merk Kenko L500, Cutter (Refil Isi Cutter) Besar Merk L500, Double Tape 1 Inch X 72 Yard, Isi Ball Point Pentel Mgb, Isi Steples Besar No 3, Isi Steples Kecil No 10, Isolasi Bening 2 1/2 Cm, Lem Tanggung, Map Kertas Folio Panda, Ordner Besar, Paper Clip, Paper Clip Cadwell No. 5 (Jumbo), Paper Clip No. 1 (Kecil), Penggaris Baja 30 Cm, Penghapus 52640, Pensil 2B, PlakBand Kraf 1 Inch, PlakBand Kraf 2 Inch, PlakBand Pls 2 Inch, Sign Pen Rs 3, Snelhecter Map, Snelhecter Map Bahan Transparan, Spidol Kecil, Spidol Marker, Stabilo Boss Warna, Stam Pad (Bantalan) 0 T/T, Stapler Hd 10 D, Stapler Hd 10 Kecil, Stapler Remover Rz A, Stempel dinas, Stempel Tanggal Besar, Tinta Stempel Artline/Gabus, Tinta Stempel Artline/Gabus','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(951,'47039983','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','14.200.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah, Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah, Kertas Bufallo A4 / F4 Sidu, Kertas HVS A4 70 Gr, Kertas HVS F4 70 gram, Kertas Hvs Warna F4 70 Gr, Sticky Note 20 b 50 mm ,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:16.624','bapenda'),
(952,'47043598','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6.651.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','Isi Toner Cartridge Laserjet 80 A, Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(953,'47045281','Belanja Makanan dan Minuman Rapat','15.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:16.624','bapenda'),
(954,'47050163','Belanja Modal Kendaraan Bermotor Beroda Dua','56.959.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'2 Unit','Kendaraan Bermotor Beroda Dua','Sepeda Motor New Jupiter 6 Mx Atcw','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:16.624','bapenda'),
(955,'47051723','Belanja Modal Alat Kantor Lainnya','8.904.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'4 unit','Alat Kantor Lainnya','CCTV','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:00.725','bapenda'),
(956,'47052118','Belanja Modal Personal Computer','13.923.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Unit','Personal Computer','Laptop / Note Book Satellite L84061045 Core I5 3230M 2.6Ghz,2Gb Ddr3, 640Gb, Dvdrw, Wifi, Bluetooth, AmdRadeon Hd 7670 2Gb, Camera, 14Ã¢â‚¬Â Wxga, Dos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-09 14:04:16.624','bapenda'),
(957,'47269643','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','50.367.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Fotocopy, Stopmap Kuping 6001, X banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:25.257','bapenda'),
(958,'47284155','Belanja Makanan dan Minuman Rapat','13.959.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Makan Minum Gebyar Pajak Daerah','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Mei 2024','Juni 2024','2024-01-11 15:31:25.257','bapenda'),
(959,'47284911','Belanja Makanan dan Minuman Rapat','14.820.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Sosialisasi PBB P2 bersama Komisi II DPRD Kab. Bondowoso','Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','April 2024','2024-01-11 15:31:25.257','bapenda'),
(960,'47285350','Belanja Makanan dan Minuman Rapat','61.681.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Sosialisasi PBB P2 TA 2024','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','April 2024','2024-01-11 15:31:39.339','bapenda'),
(961,'47285967','Belanja Makanan dan Minuman Rapat','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Mamin Rapat Sosialisasi Regulasi HKPD','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:25.257','bapenda'),
(962,'47293655','Belanja Pemeliharaan Aset Tidak Berwujud-Software','100.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Pengembangan Aplikasi SIGRAKU (Reposisi Peta Blok PBB P2)','Belanja Pemeliharaan Aplikasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:25.257','bapenda'),
(963,'47294624','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Cetak SPTPD','Cetak Blangko Pendaftaran Wajib Pajak dan Obyek Pajak Uk. F4 isi 200 lembar, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:39.339','bapenda'),
(964,'47295408','Belanja Jasa Konsultansi Berorientasi Layanan - Jasa Survei','620.000.000','Seleksi','APBD','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Pemutakhiran Peta Blok PBB P2','Pemutakhiran Obyek PBB P2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-11 15:31:39.339','bapenda'),
(965,'47297812','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','946.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Pendampingan Penilaian PBB P2','Bolpoint, Fotocopy, Map kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 15:31:39.339','bapenda'),
(966,'47298401','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'5 Rim','Pendampingan Penilaian PBB P2','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 15:31:25.257','bapenda'),
(967,'47298848','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'5 Buah','Pendampingan Penilaian PBB P2','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 15:31:25.257','bapenda'),
(968,'47327229','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','16.779.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Binder Clip No. 107, Binder Clip No. 200, Bolpoint, Buku Kwitansi Gm/40 Warna, Cutter Besar Merk Kenko L500, Cutter (Refil Isi Cutter) Besar Merk L500, Fotocopy, Isi Steples Besar No 3, Isi Steples Kecil No 10, Isolasi Bening 2 1/2 Cm, Lem Tanggung, Lem Tanggung, Map Kertas Folio Panda, Ordner Besar, Paper Clip Cadwell No. 5 (Jumbo), Paper Clip No. 1 (Kecil), Penggaris Baja 30 Cm, Penghapus 52640, Pensil 2B, PlakBand Kraf 1 Inch, PlakBand Kraf 2 Inch, Snelhecter Map, Snelhecter Map Bahan Plastik, Snelhecter Map Bahan Transparan, Spidol Kecil, Spidol Kecil, Stabilo Boss Warna, Stam Pad (Bantalan) 0 T/T, Stapler Hd 10 D, Stapler Hd 10 Kecil, Stapler Remover Rz A, Tinta Stempel Artline/Gabus ,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(969,'47327568','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','10.546.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah, Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah, Kertas A4 70 Gr, Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(970,'47327760','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'100 Buah','Benda Pos','Materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:25.257','bapenda'),
(971,'47329149','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','48.175.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','Catriedge Canon Hitam, Catriedge Canon Warna, Continous Form Cf 9,5 4 Ply-500 Sheet, Refil Tinta Tuner, Tinta Bc-33E Color Cartridge Warna, Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(972,'47333730','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.109.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Alat Tulis Kantor','Binder Clip No. 107, Binder Clip No. 200, Bolpoint, Buku Block Note Polos 50 Lbr, Buku Kwitansi Gm/40 Warna, Cutter Besar Merk Kenko L500, Cutter (Refil Isi Cutter) Besar Merk L500, Isi Steples Kecil No 10, Isi Steples Kecil No 10, Isolasi Bening 2 1/2 Cm, Lem Tanggung, Map Kertas Folio Panda, Ordner Besar, Paper Clip Cadwell No. 5 (Jumbo), Paper Clip No. 1 (Kecil), Pembatas Ordner Warna Devider 6045 Bantex, Penggaris Baja 30 Cm, Penghapus 52640, Pensil 2B, PlakBand Kraf 1 Inch, PlakBand Kraf 2 Inch, Snelhecter Map, Snelhecter Map Bahan Plastik, Snelhecter Map Bahan Transparan, Spidol Kecil, Spidol Marker, Stabilo Boss Warna, Stam Pad (Bantalan) 0 T/T, Stapler Hd 10 D, Stapler Hd 10 Kecil, Stapler Remover Rz A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(973,'47334782','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','137.843.700','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Cetak PBB - Alat Tulis Kantor','DHKP, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), SPPT DOUBLE, STTS DOUBLE','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','September 2024','Oktober 2024','2024-01-11 15:31:25.257','bapenda'),
(974,'47338803','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12.722.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Cetak Pelayanan - Alat Tulis Kantor','Cetak Map Pelayanan, Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), LSPOP, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban), SPOP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(975,'47339531','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.498.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Bh. Kertas 150 Grm Amplop Dinas Bh. Hvs 80 Grm Uk. 12 X 28 Cm, Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Model Kantong Uk. 27 X 40 Cm, Kertas A4 70 Gr, Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(976,'47340479','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','58.818.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','INK TANK PFI 102 Black, INK TANK PFI 102 Colour, Pita Printer Printonik, Toner TONER XEROX CT201261 For DPC 1190 FS,Catridge Cyan (3k), Toner TONER XEROX CT201262 For DPC 1190 FS,Catridge Magenta (3k), Toner TONER XEROX CT201263 For DPC 1190 FS,Catridge Yellow (3k), Toner TONER XEROX CT201303 DP6C2120,Black Toner (3K)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:25.257','bapenda'),
(977,'47345390','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.551.900','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Penghapusan Piutang - Alat Tulis Kantor','Bolpoint, Fotocopy, Isi Stapler Kecil No.10, Paper Clip No. 1 (Kecil), Snelhecter Map Bahan Transparan, Stopmap Kertas V Tec, Biola','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-11 15:31:04.53','bapenda'),
(978,'47346001','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.673.500','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Kertas dan Cover','Kertas A4 70 Gr, Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-11 15:31:04.53','bapenda'),
(979,'47346763','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','987.300','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Printer Hitam 664, Tinta Printer Warna 664','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-11 15:31:04.53','bapenda'),
(980,'47352301','Belanja Makanan dan Minuman Rapat','22.560.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pendapatan Daerah',2024,'480 Kotak','Makan Minum Rapat Satgas','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 15:31:04.53','bapenda'),
(981,'47224879','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.406.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:09:50.669','bpkad'),
(982,'47225678','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.217.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:09:50.669','bpkad'),
(983,'47226709','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.321.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:09:50.669','bpkad'),
(984,'47230958','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:10:37.891','bpkad'),
(985,'47235130','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:20:19.146','bpkad'),
(986,'47236261','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(987,'47238054','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.014.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(988,'47240090','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.996.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(989,'47241168','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','419.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(990,'47242491','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(991,'47244522','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:10:16.219','bpkad'),
(992,'47263397','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','49.772.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(993,'47263680','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(994,'47264028','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(995,'47264445','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6.349.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(996,'47266943','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','16.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(997,'47270484','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.506.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(998,'47271226','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.272.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(999,'47271586','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.886.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(1000,'47272012','Belanja Makanan dan Minuman Rapat','23.970.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(1001,'47272519','Belanja Jasa Tenaga Informasi dan Teknologi','100.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Tenaga Informasi dan Teknologi','Belanja Jasa Tenaga Informasi dan Teknologi','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(1002,'47274335','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','100.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','Belanja Jasa Konsultansi Berorientasi Bidang-Keuangan','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:11:43.52','bpkad'),
(1003,'47275290','Belanja Makanan dan Minuman Rapat','10.340.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:10:58.473','bpkad'),
(1004,'47276060','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.563.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:10.999','bpkad'),
(1005,'47276462','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.365.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:10.999','bpkad'),
(1006,'47277317','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:10.999','bpkad'),
(1007,'47280002','Belanja Makanan dan Minuman Rapat','17.625.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:10.999','bpkad'),
(1008,'47280790','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.574.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:41.47','bpkad'),
(1009,'47281119','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.130.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:41.47','bpkad'),
(1010,'47281459','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','20.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:41.47','bpkad'),
(1011,'47281872','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10.017.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:41.47','bpkad'),
(1012,'47282628','Belanja Makanan dan Minuman Rapat','12.690.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:12:41.47','bpkad'),
(1013,'47285960','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','12.709.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:13:17.71','bpkad'),
(1014,'47286424','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.832.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:13:17.71','bpkad'),
(1015,'47286836','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:13:17.71','bpkad'),
(1016,'47287241','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','16.138.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:13:17.71','bpkad'),
(1017,'47287605','Belanja Makanan dan Minuman Rapat','17.625.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2025','Januari 2024','Januari 2024','2024-01-10 15:13:17.71','bpkad'),
(1018,'47291439','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.117.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1019,'47292490','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.117.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 15:13:42.025','bpkad'),
(1020,'47298614','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.327.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:00:37.771','bpkad'),
(1021,'47298971','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.255.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:00:37.771','bpkad'),
(1022,'47299735','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','15.908.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:00:37.771','bpkad'),
(1023,'47300156','Belanja Makanan dan Minuman Rapat','26.508.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:00:37.771','bpkad'),
(1024,'47301073','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','19.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:10.604','bpkad'),
(1025,'47301922','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.409.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:10.604','bpkad'),
(1026,'47302289','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.954.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:10.604','bpkad'),
(1027,'47303301','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.699.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:37.34','bpkad'),
(1028,'47303735','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cove','5.677.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cove','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cove','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:37.34','bpkad'),
(1029,'47304300','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','19.088.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:37.34','bpkad'),
(1030,'47305535','Belanja Bimbingan Teknis','75.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Bimbingan Teknis','Belanja Bimbingan Teknis','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:37.34','bpkad'),
(1031,'47307256','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','104.536.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:59.173','bpkad'),
(1032,'47307333','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.989.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:59.173','bpkad'),
(1033,'47307412','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','15.908.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:01:59.173','bpkad'),
(1034,'47307703','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.083.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:32.958','bpkad'),
(1035,'47307813','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.680.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:32.958','bpkad'),
(1036,'47307885','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','11.134.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:32.958','bpkad'),
(1037,'47308088','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','13.063.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:59.595','bpkad'),
(1038,'47308170','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.713.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:59.595','bpkad'),
(1039,'47308225','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','9.132.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:02:59.595','bpkad'),
(1040,'47308332','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12.922.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:23.181','bpkad'),
(1041,'47308444','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.037.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:23.181','bpkad'),
(1042,'47308646','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.716.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:23.181','bpkad'),
(1043,'47308976','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','264.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:52.485','bpkad'),
(1044,'47309047','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.158.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:52.485','bpkad'),
(1045,'47309133','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:52.485','bpkad'),
(1046,'47309204','Belanja Makanan dan Minuman Rapat','20.398.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:52.485','bpkad'),
(1047,'47309456','Belanja Bimbingan Teknis','94.582.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Bimbingan Teknis','Belanja Bimbingan Teknis','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 18:03:52.485','bpkad'),
(1048,'47456573','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','90.916.600','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1049,'47456597','Belanja Makanan dan Minuman Rapat','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'180 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1050,'47456652','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','115.258.700','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1051,'47456824','Belanja Makanan dan Minuman Rapat','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'180 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1052,'47456884','Belanja Bahan Bakar dan Pelumas','3.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'247 Liter','Belanja Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1053,'47456893','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','88.072.700','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1054,'47456901','Belanja Makanan dan Minuman Rapat','12.690.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'270 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1055,'47456924','Belanja Bahan Bakar dan Pelumas','3.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'247 Liter','Pertamax','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1056,'47456935','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','93.218.300','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1057,'47456942','Belanja Makanan dan Minuman Rapat','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'180 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1058,'47457042','Belanja Bahan Bakar dan Pelumas','3.472.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Pertamax','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1059,'47457051','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','37.351.700','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1060,'47457123','Belanja Makanan dan Minuman Rapat','6.204.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'132 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1061,'47457132','Belanja Pakaian Olahraga','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'80 Buah','Belanja Pakaian Olahraga','Belanja Pakaian Olahraga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1062,'47457136','Belanja Jasa Penyelenggaraan Acara','200.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Penyelenggaraan Acara','Belanja Jasa Penyelenggaraan Acara','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1063,'47457195','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','113.852.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer, Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1064,'47457220','Belanja Bahan Bakar dan Pelumas','3.010.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'215 Liter','Pertamax','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1065,'47457255','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','6.100.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1066,'47457293','Belanja Bahan Bakar dan Pelumas','2.730.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'195 Liter','Belanja Bahan Bakar dan Pelumas','Belanja Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1067,'47457302','Belanja Alat Tulis Kantor, Benda Pos','16.088.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Benda Pos','Belanja Alat Tulis Kantor, Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1068,'47457330','Belanja Bahan Bakar dan Pelumas','770.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'55 Liter','Pertamax','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1069,'47457339','Belanja Alat Tulis Kantor','210.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor','Belanja Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1070,'47457366','Belanja Alat Tulis Kantor','840.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor','Belanja Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1071,'47457394','Belanja Alat Tulis Kantor, Kertas dan Cover','7.335.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover','Belanja Alat Tulis Kantor, Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1072,'47457492','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'300 OK','Belanja Nasi Kotak dan Kue Kotak','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 06:47:05.351','bpkad'),
(1073,'47463886','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','295.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1074,'47464881','Belanja Alat Tulis Kantor','6.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor','Belanja Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1075,'47465223','Belanja Pakaian Olahraga','12.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'80 Buah','Belanja Pakaian Olahraga','Belanja Pakaian Olahraga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1076,'47465406','Belanja Jasa Penyelenggaraan Acara','200.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Penyelenggaraan Acara','Belanja Jasa Penyelenggaraan Acara','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1077,'47465763','Belanja Alat Listrik','15.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Listrik','Belanja Alat Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1078,'47465955','Belanja Perabot Kantor','10.088.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Perabot Kantor','Belanja Perabot Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1079,'47466140','Belanja Obat','477.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Obat','Belanja Obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1080,'47466566','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','30.582.100','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1081,'47467191','Belanja Alat Tulis Kantor, Kertas dan Cover','13.121.700','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover','Belanja Alat Tulis Kantor, Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1082,'47467703','Belanja Makanan dan Minuman Jamuan Tamu','21.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Jamuan Tamu','Belanja Makanan dan Minuman Jamuan Tamu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1083,'47468698','Belanja Modal Mebel','100.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Modal Mebel','Belanja Modal Mebel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1084,'47477445','Belanja Modal Alat Kantor Lainnya dan Alat Pendingin','45.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Modal Alat Kantor Lainnya dan Alat Pendingin','1 Unit LCD Proyektor, 1 Unit Projector Screen 200 inch, 4 Unit AC Split 1 PK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1085,'47478217','Belanja PC, Peralatan PC dan Peralatan Komp Lainnya','115.950.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja PC, Peralatan PC dan Peralatan Komp Lainnya','2 Unit All-In-One Desktop PC-cb1012d 24 Inch, 1 Unit Laptop Intel Core I7 1355U 8GB 512GB SSD IRISXE W11OHS 14\'\' WUXGA,; 1 Unit Plustek Scanner SmartOffice PT Lembar/Menit F4/Folio), 1 Unit Printer all in one, 1 Unit Printer all in one, 1 Unit printer; 2 Unit UPS 1000 VA/900W Online','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1086,'47478794','Belanja Tagihan Telepon','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Tahun','Belanja Tagihan Telepon','Belanja Tagihan Telepon','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1087,'47479067','Belanja Tagihan Air','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Tahun','Belanja Tagihan Air','Belanja Tagihan Air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1088,'47479380','Belanja Tagihan Listrik','144.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Tahun','Belanja Tagihan Listrik','Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1089,'47482111','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','20.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1090,'47482872','Belanja Penambah Daya Tahan Tubuh','7.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Penambah Daya Tahan Tubuh','Belanja Penambah Daya Tahan Tubuh','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1091,'47484357','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','15.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1092,'47485550','Belanja Bahan Bakar dan Pelumas','195.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Bahan Bakar dan Pelumas','Belanja Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1093,'47485856','Belanja Suku Cadang Alat Angkutan','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Belanja Suku Cadang Alat Angkutan','Belanja Suku Cadang Alat Angkutan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1094,'47486622','Pemeliharaan Bangunan Gedung Negara Sederhana','150.953.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Pemeliharaan Bangunan Gedung Negara Sederhana','Pemeliharaan Bangunan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1095,'47486848','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana','12.691.550','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1096,'47487112','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana','8.489.050','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1097,'47487454','AP Pemeliharaan Bangunan Gedung Negara Sederhana','2.865.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Pengelolaan Keuangan dan Aset Daerah',2024,'1 Paket','AP Pemeliharaan Bangunan Gedung Negara Sederhana','AP Pemeliharaan Bangunan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:28:16.509','bpkad'),
(1098,'46463636','[5.01.02.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.814.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja banner 340 gsm, Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman, Ordner Besar, Snelhecter Map, Snelhecter Map Bahan, Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Maret 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1099,'46463926','[5.01.02.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','665.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar, Snelhecter Map, Snelhecter Map Bahan Transparan, Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juni 2024','Januari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1100,'46464152','[5.01.02.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Maret 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1101,'46464740','[5.01.02.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Maret 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1102,'46464796','[5.01.02.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.849.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gram, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juni 2024','Januari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1103,'46465234','[5.01.02.2.01.0003] Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1104,'46465382','[5.01.02.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1105,'46466390','[5.01.02.2.01.0001] Belanja Makanan dan Minuman Rapat','11.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1106,'46466752','[5.01.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.059.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanaja banner 340 gsm, Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman, Ordner Besar, Stop Map Kertas Biasa, Snelhecter Map Bahan Transparan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1107,'46467104','[5.01.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.117.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1108,'46467997','[5.01.02.2.01.0002] Belanja Bahan-Bahan Bakar dan Pelumas','3.192.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juli 2024','Januari 2024','Juli 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1109,'46468441','[5.01.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.306.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1110,'46468585','[5.01.02.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.471.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman, Ordner Besar, Snelhecter Map, Snelhecter Map Bahan Transparan, Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1111,'46468704','[5.01.02.2.01.0004] Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1112,'46468963','[5.01.02.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','681.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gram, : kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1113,'46469351','[5.01.02.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1114,'46469797','[5.01.02.2.01.0002] Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1115,'46471321','[5.01.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','16.203.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( cetak )','Belanaja banner 340 gsm, Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman, Jilid Dan Cetak Cover Warna Dan Laminasi, 50 S/D 100 Halaman, Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman, cetak warna, dua muka, f4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1116,'46471833','[5.01.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.849.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1117,'46472147','[5.01.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1118,'46472371','[5.01.02.2.01.0005] Belanja Makanan dan Minuman Rapat','38.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Kue Kotak Untuk VIP, Makan dan minum Rapat, Nasi Kotak Biasa, Prasmanan VIP, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1119,'46472478','[5.01.02.2.01.0007] Belanja Bahan-Bahan Bakar dan Pelumas','19.950.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1120,'46472586','[5.01.02.2.01.0005] Belanja Pakaian Dinas Lapangan (PDL)','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Pakaian Dinas Lapangan (PDL)','Belanja Pakaian Kerja Lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1121,'46472754','[5.01.02.2.01.0005] Belanja Pakaian Batik Tradisional','10.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Pakaian Batik Tradisional','Belanja Batik VIP Khas Bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1122,'46473033','[5.01.02.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','229.401.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( cetak )','Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 halaman, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1123,'46473341','[5.01.02.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.398.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gram, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1124,'46473602','[5.01.02.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.239.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1125,'46473913','[5.01.02.2.01.0007] Belanja Makanan dan Minuman Rapat','39.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1126,'46474404','[5.01.02.2.01.0006] Belanja Bahan-Bahan Bakar dan Pelumas','2.128.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1127,'46474503','[5.01.02.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.062.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1128,'46474775','[5.01.02.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','616.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1129,'46475528','[5.01.02.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','186.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1130,'46475659','[5.01.02.2.01.0006] Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1131,'46486234','[5.01.02.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','16.350.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( cetak )','Fotocopy, Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','September 2024','Januari 2024','September 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1132,'46487199','[5.01.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','318.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( cetak )','Ordner Besar, Snelhecter Map, Snelhecter Map Bahan Transparan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Mei 2024','Januari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1133,'46488035','[5.01.02.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.227.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar, Snelhecter Map, Snelhecter Map Bahan transparan, Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1134,'46535875','[5.01.02.2.02.0001] Belanja Bahan-Bahan Bakar dan Pelumas','2.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1135,'46536252','[5.01.02.2.02.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.147.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Ordner Besar, Paper Clip 1, Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1136,'46536594','[5.01.02.2.02.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.557.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1137,'46536880','[5.01.02.2.02.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1138,'46537113','[5.01.02.2.02.0001] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1139,'46548289','[5.01.02.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.628.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Ordner Besar, Snelhecter Map, Stop Map Kertas Biasa, : Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1140,'46548525','[5.01.02.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.711.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1141,'46548696','[5.01.02.2.02.0003] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1142,'46579957','[5.01.02.2.04.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.179.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Ordner Besar, Paper Clip Cadwell No. 3, Snelhecter Map Bahan Plastik, Snelhecter Map Jenis Kertas, Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1143,'46580060','[5.01.02.2.04.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.756.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1144,'46580150','[5.01.02.2.04.0001] Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1145,'46580706','[5.01.02.2.04.0003] Belanja Bahan-Bahan Bakar dan Pelumas','6.328.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1146,'46581204','[5.01.02.2.04.0002] Belanja Bahan-Bahan Bakar dan Pelumas','2.282.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1147,'46581544','[5.01.02.2.04.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.557.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Ordner Besar, Paper Clip Cadwell No. 3, Snelhecter Map Bahan Plastik, Snelhecter Map Jenis Kertas, Stopmap Kertas , Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1148,'46581656','[5.01.02.2.04.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.256.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram, Kertas HVS A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1149,'46581821','[5.01.02.2.04.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1150,'46581866','[5.01.02.2.04.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.060.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Ordner Besar, Paper Clip Cadwell No. 3 (Tanggung), Snelhecter Map Jenis Kertas , Stopmap Kertas, Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1151,'46581951','[5.01.02.2.04.0003] Belanja Makanan dan Minuman Rapat','37.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1152,'46581974','[5.01.02.2.04.0002] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.276.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1153,'46582427','[5.01.02.2.04.0002] Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1154,'46586734','[5.05.02.2.01.0012] Belanja Bahan Bakar dan Pelumas','4.256.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Bahan Bakar dan Pelumas','Bahan Bakar Minyak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1155,'46587479','[ 5.05.02.2.01.0012 ] Alat Tulis Kantor','15.054.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Alat Tulis Kantor','Bolpoint, Snelhecter Map Kertas, Buku Block Note Garis 50 Lbr, Lem Cair 50 ml, Cetak Map, Fotocopy, Cetak Materi Bimtek ( Buku Warta Litbang dan Opini Bondowoso )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1156,'46588118','[ 5.05.02.2.01.0012 ] Kertas dan Cover','923.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Kertas dan Cover','Kertas HVS F4 70 gr, Kertas HVS A4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1157,'46588397','[ 5.05.02.2.01.0012 ] Bahan Komputer','1.209.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Bahan Komputer','Catriedge Canon Warna, Catriedge Canon Hitam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1158,'46588693','[ 5.05.02.2.01.0012 ] Suvenir/Cinderamata','7.950.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Suvenir/Cinderamata','Cinderamata','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1159,'46589221','[ 5.05.02.2.01.0012 ] Makanan dan Minuman Rapat','20.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak Biasa, Teh, Kopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1160,'46590879','[ 5.05.02.2.01.0012 ] Sewa Alat Angkutan Darat Bermotor Lainnya','4.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Sewa Kendaraan Bermotor','Sewa Kendaraan Bermotor Roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1161,'46590903','[5.01.03.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang,FC)','2.400.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Lem Stik Uk 25 gr Stapler Hd 10 Kecil Binder Clip No. 105 Spidol Marker Paper Clip 1 Cutter (Refil Isi Cutter) Besar Merk L500 Ordner Besar Isi Stapler Kecil No 10 Map Snell Plastik PlakBand Hitam 2 Inch Cutter L 500 Bolpoint, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1162,'46591284','[5.01.03.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','475.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Hvs Folio/Kwarto 80 Gr Dicetak: 2 Muka Lebih 1000, Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1163,'46591466','[5.01.03.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.839.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan Cover','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100…, Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1164,'46591680','[5.05.02.2.02.0004] Bahan Bakar dan Pelumas','3.059.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Bahan Bakar dan Pelumas','Bahan Bakar Minyak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1165,'46591859','[5.01.03.2.02.0005] Belanja Makanan dan Minuman Rapat','3.525.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Spesifikasi : Nasi Kotak Biasa, Makan dan minum Rapat, Spesifikasi : Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1166,'46592119','[5.05.02.2.02.0004] Alat Tulis Kantor','8.616.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Alat Tulis KAntor','Snelhecter Map Jenis Kertas, Map Plastik Interx, Buku Block Note, Bolpoint, Spidol Maker, Fotocopy, Cetak Buku Materi ( Kajian )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1167,'46592335','[5.05.02.2.02.0004] Kertas dan Cover','489.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Pengadaan Kertas dan Cover','Kertas A4 70 gr, Kertas HVS F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1168,'46592603','[5.05.02.2.02.0004] Makanan dan Minuman Rapat','12.375.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak Biasa, Teh, Kopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1169,'46597904','[5.01.03.2.02.0005] Belanja Bahan-Bahan Bakar dan Pelumas','3.896.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan-Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1170,'46600836','[5.01.03.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1171,'46602274','[5.01.03.2.02.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang,FC)','2.030.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Map Plastik L Interx, Snelhecter Map Jenis Kertas, Snelhecter Map Bahan Plastik, Stopmap Kertas Panda, Ordner Besar,Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1172,'46602998','[5.01.03.2.02.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','475.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Hvs Folio/Kwarto 80 Gr Dicetak: 2 Muka Lebih 1000, Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1173,'46603941','[5.01.03.2.02.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','684.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan cover','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100…, Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1174,'46604235','[5.01.03.2.02.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','212.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1175,'46604758','[5.01.03.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang,FC)','1.538.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Map Plastik L Interx, Snelhecter Map Jenis Kertas, Snelhecter Map Bahan Plastik, Stopmap Kertas Panda, Ordner Besar, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1176,'46605202','[5.01.03.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor (Cetak)','475.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Hvs Folio/Kwarto 80 Gr Dicetak: 2 Muka Lebih 1000, Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1177,'46605333',']5.01.03.2.02.0007] Belanja Bahan-Bahan Bakar dan Pelumas','1.795.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1178,'46605485','[5.01.03.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','620.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan cover','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100…, Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1179,'46605659','[5.01.03.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1180,'46606993','[5.01.03.2.02.0008] Belanja Bahan-Bahan Bakar dan Pelumas','4.596.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1181,'46607326','[5.01.03.2.02.0008] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','745.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 H','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1182,'46607543','[5.01.03.2.02.0008] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','2.691.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Stopmap Kertas Panda, Binder Clip No. 107, Binder Clip No. 155, Binder Clip No. 155, Ordner Besar, Isi Steples Kecil No 10, Stapler Hd 10, Snelhecter Map Jenis Kertas, Map Plastik L Interx, Snelhecter Map Bahan Plastik, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1183,'46607814','[5.01.03.2.02.0008] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.318.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan cover','Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1184,'46608239','[5.01.03.2.02.0008] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','874.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Cetak','Toner HP Laser Jet 35 A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1185,'46608383','[5.01.03.2.02.0008] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','424.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1186,'46609136','[5.01.03.2.02.0008] Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1187,'46610696','[5.01.03.2.02.0006] Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1188,'46611024','[5.01.03.2.02.0007] Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1189,'46623796','[5.01.03.2.02.0004] Belanja Bahan-Bahan Bakar dan Pelumas','3.850.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1190,'46623832','[ 5.05.02.2.03.01 ] Bahan Bakar dan Pelumas','3.059.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Bahan Bakar Minyak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1191,'46623892','[ 5.05.02.2.03.01 ] Alat Tulis Kantor','8.616.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','map snel kertas , map plastik kancing , block note garis , spidol maker , bolpoint , cetak materi ( Buku Kajian ), fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1192,'46623931','[ 5.05.02.2.03.0001 ] Kertas dan Cover','489.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan Cover','kertas A4 70 gtr, kertas F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1193,'46624289','[ 5.05.02.2.03.01 ] Makanan dan Minuman Rapat','12.375.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak, Kue Kotak, Kopi, Teh','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1194,'46624330','[5.01.03.2.02.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang, FC)','4.324.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','\"Lem Stik Uk 25 gr Stapler Hd 10 Kecil Binder Clip No. 105 Spidol Marker Paper Clip 1 \"\"Cutter (Refil Isi Cutter) Besar Merk L500\"\" Ordner Besar Isi Stapler Kecil No 10 Map Snell Plastik PlakBand Hitam 2 Inch Cutter L 500 Bolpoint , Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1195,'46624356','[5.01.03.2.02.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Buku)','80.870.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman, Ap 150 gr gr,A4,4 warna ,dicetak 2 muka','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1196,'46624386','[5.01.03.2.02.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Laporan)','4.752.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Spesifikasi : Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman, Spesifikasi : Hvs Folio/Kwarto 80 Gr Dicetak : 1 Muka S/D 200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1197,'46625828','[ 5.05.02.2.04.0001 ] Bahan Bakar dan Pelumas','3.990.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Bahan BAkar Minyak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1198,'46625852','[ 5.05.02.2.04.0001 ] Alat Tulis Kantor','7.059.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','spidol marker , paper clip , lem super glue , map plastik kancing , tinta stempel , stapler hd 10 , snel map kertas , cutter refill isi cuter kecil , fotocopy , bolpoin , block note garis , cetak map , odner besar , cetak sertifikat /piagam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1199,'46625874','[ 5.05.02.2.04.0001 ] Bahan Komputer','4.941.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','toner hp laser jet , catrige warna','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1200,'46625907','[ 5.05.02.2.04.0001 ] Makanan dan Minuman Rapat','20.550.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak, Kue Kotak, Kopi, Teh','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1201,'46637404','[5.01.03.2.02.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.683.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Kertas dan Cover','Spesifikasi : Kertas HVS F4 70 Gr, Kertas HVS A4 70 Gr, Kertas Foto A4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1202,'46637451','[5.01.03.2.02.0004] Belanja Makanan dan Minuman Rapat','16.920.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Spesifikasi : Nasi Kotak Biasa, Makan dan minum Rapat, Spesifikasi : Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1203,'46646745','[5.01.03.2.02.0001] Belanja Bahan-Bahan Bakar dan Pelumas','1.678.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1204,'46646851','[5.01.03.2.02.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang, FC)','6.744.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','\"PlakBand Hitam 2 Inch, Lem Tanggung, Spidol Marker Binder Clip No. 260 Cutter (Refil Isi Cutter) Besar Merk L500 Cutter L 500 Isi Stapler Kecil No.10 Snelhecter Map Bahan Plastik Snelhecter Map Jenis Kertas Map Plastik L Interx Ordner Besar Penggaris Baja 30 Cm Paper Clip 1 Stapler Hd 10 Kecil Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1205,'46646889','[5.01.03.2.02.0001] Belanja Alat/Bahan Untuk kegiatan Kantor-Kertas dan Cover','7.562.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan Cover','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah, Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1206,'46646906','[5.01.03.2.02.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','2.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1207,'46646940','[5.01.03.2.02.0001] Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Mamin Rapat','Nasi Kotak Biasa, Makan dan minum Rapat, Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1208,'46647060','[5.01.03.2.02.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.710.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1209,'46647092','[5.01.03.2.02.0002] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','2.239.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1210,'46647145','[5.01.03.2.02.0002] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Mamin Rapat','Nasi Kotak Biasa, Makan dan minum Rapat, Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1211,'46647216','[5.01.03.2.02.0003] Belanja Bahan-Bahan Bakar dan Pelumas','2.695.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1212,'46647242','[5.01.03.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','780.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1213,'46647727','[5.01.03.2.02.0003] Belanja Makanan dan Minuman Rapat','3.525.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Mamin Rapat','Nasi Kotak Biasa, Makan dan minum Rapat, Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:30:58.788','bappeda'),
(1214,'46655241','[5.01.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.454.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'2 Paket','1. Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor 2. Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Penggandaan )','1. Alat Tulis Kantor Spesifikasi : Bolpoint ; Alat Tulis Kantor Spesifikasi : Spidol G 12 ; Alat Tulis Kantor Spesifikasi : Paper Clip Jumbo 5 ; Alat Tulis Kantor Spesifikasi : Snelhecter Map Jenis Kertas ; Alat Tulis Kantor Spesifikasi : Stop Map Kertas Biasa ; Alat Tulis Kantor Spesifikasi : Ordner Binder 7 Cm Bindex 919 Folio ; Alat Tulis Kantor Spesifikasi : Penggaris Mika 50 Cm ; Alat Tulis Kantor Spesifikasi : PlakBand Hitam 2 Inch ; Alat Tulis Kantor Spesifikasi : Stapler Hd 10 ; Alat Tulis Kantor Spesifikasi : Isi Steples Kecil No 10 ; Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 ; Alat Tulis Kantor Spesifikasi : Binder Clip No. 260 2. Alat Tulis Kantor Spesifikasi : Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:34:22.397','bappeda'),
(1215,'46655383','[5.01.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','818.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Isi Toner Spesifikasi : Isi Toner Cartridge Laserjet 80 A ; Tinta Printer Spesifikasi : Tinta Printer Brother','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 12:34:22.397','bappeda'),
(1216,'46655503','[5.01.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.236.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram ; Kertas dan Cover Spesifikasi : Kertas HVS A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 12:34:22.397','bappeda'),
(1217,'46656076','[5.01.01.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','455.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Penggandaan dan Penjilidan )','Alat Tulis Kantor Spesifikasi : Fotocopy ; Alat Tulis Kantor Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman ; Alat Tulis Kantor Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:34:22.397','bappeda'),
(1218,'46656167','[5.01.01.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:34:22.397','bappeda'),
(1219,'46656594','[5.01.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.824.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'2 Paket','1. Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor 2. Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor ( Penggandaan dan Penjilidan )','1. Alat Tulis Kantor Spesifikasi : Bolpoint ; Alat Tulis Kantor Spesifikasi : Paper Clip ; Alat Tulis Kantor Spesifikasi : Paper Clip Jumbo 5 ; Alat Tulis Kantor Spesifikasi : Snelhecter Map Bahan Plastik ; Alat Tulis Kantor Spesifikasi : Stop Map Kertas Biasa ; Alat Tulis Kantor Spesifikasi : Ordner Karton Folio 7 Cm Bantex ; Alat Tulis Kantor Spesifikasi : Cutter Besar Merk Kenko L500 ; Alat Tulis Kantor Spesifikasi : Stapler Hd 50 ; Alat Tulis Kantor Spesifikasi : Stapler Hd 10 ; Alat Tulis Kantor Spesifikasi : Isi Steples Kecil No 10 ; Alat Tulis Kantor Spesifikasi : Isi Steples Besar No 3 ; Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 ; Alat Tulis Kantor Spesifikasi : Binder Clip No. 260 ; Alat Tulis Kantor Spesifikasi : Stiker Biasa 2. Alat Tulis Kantor Spesifikasi : Fotocopy ; Alat Tulis Kantor Spesifikasi : Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1220,'46656713','[5.01.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.429.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi : Kertas Bufallo A4 / F4 Sidu ; Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1221,'46656758','[5.01.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi : Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1222,'46664060','[ 5.05.02.2.04.0003 ] Bahan Bakar dan Pelumas','2.261.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Bahan Bakar dan Pelumas','Bahan Bakar Minyak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1223,'46664097','[ 5.05.02.2.04.0003 ] Alat Tulis Kantor','1.324.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Alat Tulis Kantor','sign pen b , spidol maker, bolpoin , fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1224,'46664136','[ 5.05.02.2.04.0003 ] Kertas dan Cover','369.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Kertas dan Cover','kertas A4 , kertas F4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1225,'46664325','[ 5.05.02.2.04.0003 ] Barang diserahkan ke masyarakat ( Tropy )','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Barang diserahkan ke Masyarakat ( Tropy )','Tropy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1226,'46664348','[ 5.05.02.2.04.0003 ] Makanan dan Minuman Rapat','7.375.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak Biasa, Kopi, Teh','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1227,'46665742','[ 5.05.02.2.04.0003 ] Jasa Kesenian dan Kebudayaan','50.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Jasa Kesenian dan Kebudayaan','Dekorasi Stand UKM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1228,'46665773','[ 5.05.02.2.04.0003 ] Jasa Konversi Aplikasi','15.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Jasa Konversi Aplikasi','Biaya produksi konten dan video','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1229,'46665807','[ 5.05.02.2.04.0003 ] Sewa Alat Angkutan Darat Bermotor','4.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Sewa Alat Kendaraan Bermotor','Sewa Alat Kendaraan Bermotor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:22:59.165','bappeda'),
(1230,'46666775','(5.01.03.2.03.0005) Belanja Bahan-Bahan Bakar dan Pelumas','5.012.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1231,'46667051','(5.01.03.2.03.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','807.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Snelhecter Map; Snelhecter Map Bahan Plastik; Snelhecter Map Jenis Kertas; Correction 802; Isi Steples Kecil No 10; Stapler Hd 10; Binder Clip No. 200; Lem Cair 112; Cutter Besar Merk Kenko L500; Bolpoint','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1232,'46676081','(5.01.03.2.03.0001) Belanja Bahan-Bahan Bakar dan Pelumas','4.140.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1233,'46676088','(5.01.03.2.03.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','1.395.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Lem Cair 50 Ml; Binder Clip No. 260; Binder Clip No. 155; Isi Steples Kecil No 10; Ordner 1465 Folio; Snelhecter Map Jenis Kertas; Map Kertas Folio V Tec, Biola; Correction Ct 509; Paper Clip; Stapler Hd 10;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1234,'46676090','(5.01.03.2.03.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','577.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1235,'46676093','(5.01.03.2.03.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','1.067.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Lembar; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1236,'46676096','(5.01.03.2.03.0001) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.349.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1237,'46676099','(5.01.03.2.03.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.282.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Warna; Catridge Printer Warna Canon 810 Hitam; Isi Toner Cartridge Laserjet 85 A; Tinta Cetak CANON 200ML','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1238,'46676101','(5.01.03.2.03.0001) Belanja Makanan dan Minuman Rapat','7.990.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1239,'46676114','(5.01.03.2.03.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','751.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Alat Tulis Kantor','Spidol Marker; Binder Clip No. 260; Binder Clip No. 155; Isi Steples Kecil No 10; Ordner 1465 Folio; Stabilo Faber Castle; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Correction Ct 509; Paper Clip; Stapler Hd 10','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1240,'46676117','(5.01.03.2.03.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','631.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1241,'46676120','(5.01.03.2.03.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','1.924.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Cetak map; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1242,'46676122','(5.01.03.2.03.0002) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.677.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Foto A4','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1243,'46676123','(5.01.03.2.03.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','973.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1244,'46676124','(5.01.03.2.03.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','115.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1245,'46676130','(5.01.03.2.03.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.075.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Warna; Catridge Printer Warna Canon 810 Hitam; Tinta Cetak CANON 200ML; Isi Toner Cartridge Laserjet 85 A','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1246,'46676131','(5.01.03.2.03.0005) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.038.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Foto A4','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1247,'46676133','(5.01.03.2.03.0002) Belanja Makanan dan Minuman Rapat','3.055.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1248,'46676134','(5.01.03.2.03.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.105.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Tinta Epson 003; Isi Toner Cartridge Laserjet 80 A','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1249,'46676135','(5.01.03.2.03.0005) Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1250,'46676145','(5.01.03.2.03.0003) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','658.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Lem Cair 50 Ml; Spidol Marker; Binder Clip No. 155; Isi Steples Kecil No 10; Ordner 1465 Folio; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Map Kertas Folio V Tec, Biola; Paper Clip; Correction Ct 509','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1251,'46676148','(5.01.03.2.03.0003) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','608.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1252,'46676150','(5.01.03.2.03.0003) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','576.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1253,'46676158','(5.01.03.2.03.0003) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.988.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1254,'46676160','(5.01.03.2.03.0003) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.512.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Warna; Catridge Printer Warna Canon 810 Hitam; Tinta Cetak CANON 200ML; Isi Toner Cartridge Laserjet 85 A;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1255,'46676166','(5.01.03.2.03.0003) Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1256,'46676183','(5.01.03.2.03.0006) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','1.051.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Alat Tulis Kantor','Snelhecter Map; Snelhecter Map Bahan Plastik; Snelhecter Map Jenis Kertas; Correction 802; Stapler Hd 10; Binder Clip No. 200; Lem Cair 112; Spidol Marker; Bolpoint','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1257,'46676184','(5.01.03.2.03.0003) Belanja Bahan-Bahan Bakar dan Pelumas','2.774.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1258,'46676187','(5.01.03.2.03.0006) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','837.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1259,'46676191','(5.01.03.2.03.0006) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','230.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1260,'46676192','(5.01.03.2.03.0004) Belanja Bahan-Bahan Bakar dan Pelumas','11.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1261,'46676194','(5.01.03.2.03.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','1.310.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Lem Cair 50 Ml; PlakBand Hitam 2 Inch; Bolpoint; Spidol Marker; Stabilo Faber Castle; Binder Clip No. 260; Binder Clip No. 155; Stapler Hd 10; Isi Steples Kecil No 10; Ordner 1465 Folio; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Snelhecter Map Bahan Plastik; Paper Clip; Correction Ct 509;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1262,'46676199','(5.01.03.2.03.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','1.861.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1263,'46676200','(5.01.03.2.03.0006) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim; Pak','Kertas dan Cover','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1264,'46676203','(5.01.03.2.03.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','3.201.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 lembar; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1265,'46676207','(5.01.03.2.03.0004) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.415.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1266,'46676208','(5.01.03.2.03.0006) Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1267,'46676217','(5.01.03.2.03.0007) Belanja Bahan-Bahan Bakar dan Pelumas','3.233.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1268,'46676219','(5.01.03.2.03.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.279.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Printer Warna Canon 810 Hitam; Catridge Warna; Tinta Cetak CANON 200ML; Isi Toner Cartridge Laserjet 85 A','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1269,'46676230','(5.01.03.2.03.0004) Belanja Makanan dan Minuman Rapat','22.090.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:22:31.339','bappeda'),
(1270,'46676231','(5.01.03.2.03.0007) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','440.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Snelhecter Map; Snelhecter Map Bahan Plastik; Snelhecter Map Jenis Kertas; Correction 802; Ordner Binder 7 Cm Bindex 919 Folio; Isi Steples Kecil No 10; Stapler Hd 10; Binder Clip No. 200; Lem Cair 112','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1271,'46676261','(5.01.03.2.03.0007) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','706.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1272,'46676290','(5.01.03.2.03.0007) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','230.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','\"Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1\"','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1273,'46676294','(5.01.03.2.03.0007) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.408.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1274,'46676299','(5.01.03.2.03.0007) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.253.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Printer Warna Canon 810 Hitam; Catriedge Canon Warna; Tinta Cetak CANON 200ML','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1275,'46676315','(5.01.03.2.03.0007) Belanja Makanan dan Minuman Rapat','1.880.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1276,'46676396','(5.01.03.2.03.0008) Belanja Bahan-Bahan Bakar dan Pelumas','8.055.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Liter','Bahan Bakar dan Pelumas','Pertamina Dex','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1277,'46676398','(5.01.03.2.03.0008) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Barang)','951.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah; Pak','Alat Tulis Kantor','Snelhecter Map; Snelhecter Map Bahan Plastik; Correction 802; Snelhecter Map Jenis Kertas; Ordner Binder 7 Cm Bindex 919 Folio; Stapler Hd 10; Isi Steples Kecil No 10; Binder Clip No. 200; Lem Cair 112','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1278,'46676407','(5.01.03.2.03.0008) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Fotocopy)','2.374.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1279,'46676410','(5.01.03.2.03.0008) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak)','832.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Eksemplar','Alat Tulis Kantor','Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 1; Hvs Folio/Kwarto 80 Gr Dicetak : 1 Muka S/D 200; Hvs Folio/Kwarto 70 Gr Warna Dicetak : 1 Muka S/D','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1280,'46676412','(5.01.03.2.03.0008) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.041.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Rim','Kertas dan Cover','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1281,'46676449','(5.01.03.2.03.0008) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.000.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Buah','Bahan Komputer','Catridge Printer Warna Canon 810 Hitam; Catriedge Canon Warna; Tinta Printer epson 003 warna hitam; Tinta Epson 003; Tinta Cetak CANON 200ML','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1282,'46676459','(5.01.03.2.03.0008) Belanja Makanan dan Minuman Rapat','15.510.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'Per kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 11:29:42.622','bappeda'),
(1283,'46682633','[5.01.01.2.01.0001] Belanja Bahan-Bahan Bakar dan Pelumas','1.330.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1284,'46682862','(5.01.03.2.01.0008) Belanja Bahan-Bahan Bakar Dan Pelumas','10.190.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Bakar dan Pelumas','Belanja Pertamax sebanyak 320 Liter dan Belanja Pertamina Dex sebanyak 319 Liter','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1285,'46683348','[5.01.01.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.333.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1286,'46683556','(5.01.03.2.01.0008) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','37.280.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja ATK','Odner Besar (forte) sebanyak 10 buah Snelhecter Map Jenis Kertas sebanyak 5 pak Snelhecter Map Bahan Plastik sebanyak 5 pak Stapler Hd 10 Kecil sebanyak 1 buah Isi Stapler Kecil No.10 sebanyak 2 pak Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman sebanyak 120 eksemplar/buku Hvs Folio/Kwarto 70 Gr Warna Dicetak : 1 Muka S/D 200 sebanyak 15,045 lembar Isi Ball Point Pentel 09 sebanyak 8 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1287,'46683745','[5.01.01.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','3.541.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1288,'46683870','(5.01.03.2.01.0008) Belanja Alat/Bahan Untuk Kegiatan Kantor- Kertas Dan Cover','2.398.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Kertas Cover','Kertas A4 70 Gr sebanyak 20 Rim kertas HVS F4 70 gram sebanyak 20 Rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1289,'46684197','[5.01.01.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.498.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1290,'46684426','(5.01.03.2.01.0008) Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','3.946.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Komputer','Tinta Printer Data Print sebanyak 6 Buah Catriedge Canon Warna sebanyak 6 Buah Catriedge Canon Hitam sebanyak 6 Buah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1291,'46684527','[5.01.01.2.01.0001] Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1292,'46684532','[5.01.01.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.452.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1293,'46684724','(5.01.03.2.01.0008) Belanja Makanan Dan Minuman Rapat','47.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Mamin','Kue Kotak sebanyak 1000 Kotak Nasi Kotak Biasa 1000 Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1294,'46684858','[5.01.01.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1295,'46685114','[5.01.01.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','415.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1296,'46685781','(5.01.03.2.01.0007) Belanja Bahan-Bahan Bakar Dan Pelumas','2.988.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Bakar Pelumas','Pertamax sebanyak 60 liter Pertamina Dex sebanyak 120 liter','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1297,'46686174','[5.01.01.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.019.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1298,'46686302','[5.01.01.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:02.262','bappeda'),
(1299,'46686303','(5.01.03.2.01.0007) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.132.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja ATK','Odner Besar (forte) sebanyak 4 buah Snelhecter Map Bahan Plastik sebanyak 2 pak Stapler Hd 10 Kecil sebanyak 1 buah Isi Stapler Kecil No.10 sebanyak 2 pak Isi Ball Point Pentel 09 sebanyak 14 buah fotocopy sebanyak 534 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1300,'46686389','[5.01.01.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.195.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1301,'46686497','[5.01.01.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.692.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1302,'46686542','(5.01.03.2.01.0007) Belanja Alat/Bahan Untuk Kegiatan Kantor- Kertas Dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Kertas Cover','Kertas A4 70 Gr sebanyak 5 rim kertas HVS F4 70 gram sebanyak 5 rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1303,'46686730','[5.01.01.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','719.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1304,'46686773','[5.01.01.2.01.0007] Belanja Bahan-Bahan Bakar dan Pelumas','665.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1305,'46686809','(5.01.03.2.01.0007) Belanja Makanan Dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Mamin','Kue Kotak sebanyak 80 kotak Nasi Kotak Biasa sebanyak 80 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1306,'46687406','[5.01.01.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.495.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1307,'46687762','(5.01.03.2.01.0006) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','842.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja ATK','Odner Besar (forte) sebanyak 8 buah Snelhecter Map Bahan Plastik sebanyak 2 pak Stapler Hd 10 Kecil sebanyak 2 buah Isi Stapler Kecil No.10 sebanyak 2 pak Isi Ball Point Pentel 09 sebanyak 5 buah fotocopy sebanyak 139 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1308,'46688016','[5.01.01.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1309,'46688213','(5.01.03.2.01.0006) Belanja Alat/Bahan Untuk Kegiatan Kantor- Kertas Dan Cover','1.199.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Kertas Cover','Kertas A4 70 Gr sebanyak 10 rim kertas HVS F4 70 gram sebanyak 10 rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:09:37.202','bappeda'),
(1310,'46688576','(5.01.03.2.01.0006) Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','2.683.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Komputer','Tinta Printer Data Print sebanyak 5 buah Catriedge Canon Warna sebanyak 4 buah Catriedge Canon Hitam sebanyak 4 buah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1311,'46688634','[5.01.01.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.234.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1312,'46688819','[5.01.01.2.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','511.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1313,'46688974','(5.01.03.2.01.0006) Belanja Makanan Dan Minuman Rapat','15.275.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Mamin','Kue Kotak sebanyak 325 kotak Nasi Kotak Biasa sebanyak 325 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1314,'46689466','[5.01.01.2.01.0007] Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Snack','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1315,'46689467','[5.01.01.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.298.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1316,'46689858','[5.01.01.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','719.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1317,'46690040','[5.01.01.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','511.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1318,'46690430','[5.01.01.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.358.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1319,'46690448','(5.01.03.2.01.0005) Belanja Bahan-Bahan Bakar Dan Pelumas','4.902.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Bakar Pelumas','Pertamax sebanyak 120 liter Pertamina Dex sebanyak 180 liter','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1320,'46690666','[5.01.01.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','599.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1321,'46690784','(5.01.03.2.01.0005) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','962.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja ATK','Odner Besar (forte) sebanyak 4 buah Snelhecter Map Jenis Kertas sebanyak 1 pak Snelhecter Map Bahan Plastik sebanyak 2 pak Stapler Hd 10 Kecil sebanyak 1 buah Isi Stapler Kecil No.10 sebanyak 2 pak Isi Ball Point Pentel 09 sebanyak 10 buah fotocopy sebanyak 293 lembar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1322,'46690857','[5.01.01.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.078.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:50.348','bappeda'),
(1323,'46691057','(5.01.03.2.01.0005) Belanja Alat/Bahan Untuk Kegiatan Kantor- Kertas Dan Cover','1.199.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Kertas Cover','Kertas A4 70 Gr sebanyak 10 rim kertas HVS F4 70 gram sebanyak 10 rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:09:37.202','bappeda'),
(1324,'46691665','(5.01.03.2.01.0005) Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','1.421.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Komputer','Tinta Printer Data Print sebanyak 4 buah Catriedge Canon Warna sebanyak 2 buah Catriedge Canon Hitam sebanyak 2 buah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1325,'46691995','(5.01.03.2.01.0005) Belanja Makanan Dan Minuman Rapat','8.225.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Mamin','Kue Kotak sebanyak 175 kotak Nasi Kotak Biasa sebanyak 175 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:14:16.155','bappeda'),
(1326,'46692426','(5.01.03.2.01.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','2.043.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS A4 70 Gr Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1327,'46692836','(5.01.03.2.01.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','816.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Catridge Canon Warna Catridge Canon Hitam Tinta printer Data Print','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1328,'46694187','(5.01.03.2.01.0002) Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa, Makan dan minum Rapat Kue Kotak Biasa, Makan dan minum Rapat','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1329,'46694480','(5.01.03.2.01.0003) Belanja Bahan-Bahan Bakar Dan Pelumas','4.809.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan Bakar Pelumas','Pertamax sebanyak 75 liter Pertamina Dex sebanyak 210 liter','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:46:16.686','bappeda'),
(1330,'46695217','(5.01.03.2.01.0003) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.002.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Alat Tulis kantor','Isi Steples sebanyak 20 pak Binder Clip No 260 Sebanyak 20 Pak Stapler Hd 10 Sebanyak 4 Buah Foto Copy Sebanyak 5750 Lembar Snelhecter map jenis kertas 5 pak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:46:16.686','bappeda'),
(1331,'46695799','(5.01.03.2.01.0004) Belanja Bahan-Bahan Bakar dan Pelumas','4.342.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Pertamina Dex','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1332,'46696821','(5.01.03.2.01.0003) Belanja Alat/Bahan Untuk Kegiatan Kantor- Kertas Dan Cover','3.699.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Kertas Cover','Kertas HVS F4 70 Gram Sebanyak 30 Rim Kertas HVS A4 70 Gram Sebanyak 30 Rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:46:16.686','bappeda'),
(1333,'46696886','[5.01.01.2.05.0011] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.655.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1334,'46697182','[5.01.01.2.05.0011] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','500.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1335,'46697218','(5.01.03.2.01.0003) Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','2.419.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','Catriedge Canon Hitam Sebanyak 4 Buah Catriedge Canon Warna Sebanyak 4 Buah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:46:16.686','bappeda'),
(1336,'46697770','(5.01.03.2.01.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.832.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Isi Steples Kecil No 10 Ordner Besar Snelhecter Map Jenis Kertas Snelhecter Map Bahan Plastik Stop Map Kertas Biasa Paper Clip Stapler Hd 10 kecil Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1337,'46697834','[5.01.01.2.05.0011] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','839.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1338,'46698054','(5.01.03.2.01.0003) Belanja Makanan Dan Minuman Rapat','9.870.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Makanan Dan Minuman Rapat','Kue Kotak Sebanyak 210 Kotak Nasi Kotak Sebanyak 210 Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:46:16.686','bappeda'),
(1339,'46698127','[5.01.01.2.05.0011] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','511.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1340,'46698639','(5.01.03.2.01.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','4.023.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS A4 70 Gr Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1341,'46698758','[5.01.01.2.05.0011] Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Snack','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1342,'46698863','(5.01.03.2.01.0001) Belanja Bahan-Bahan Bakar Dan Pelumas','2.708.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Bahan-Bahan Bakar Dan Pelumas','Pertamx 40 Liter Pertamina Dex 120 Liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:43:05.17','bappeda'),
(1343,'46699033','(5.01.03.2.01.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.574.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Catridge Canon Warna Catridge Canon Hitam Isi Toner Cartridge Laserjet 85 A Tinta printer Data Print','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1344,'46699279','{5.01.02.2.03.0001} Belanja Bahan-Bahan Bakar dan Pelumas','3.040.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Turbo, Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1345,'46699587','(5.01.03.2.01.0001) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.251.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Tahun','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Isi Staples kecil Sebanyak 10 Pak Foto Copy Sebanyak 3916 Lembar Snelhecter Map Kertas 8 Pak Snelhecter Map Platik 9 Pak Lem Caitr Sebanyak 8 Buah Binder Clip No 260 Sebanyak 10 Pak Paper Clip Sebanyak 13 Pak Binder Clip 155 Sebanyak 10 Pak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:43:05.17','bappeda'),
(1346,'46699972','[5.01.02.2.03.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','20.829.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','cetak map, Cetak Buku Informasi Kegiatan Daerah, Stapler Hd 10 Kecil, Perfurator, Correction Tape Roll, Gunting Besar, Paper Clip Cadwell No. 3 (Tanggung), Paper Clip, Paper Clip Cadwell No. 5 (Jumbo), Isi Steples Kecil No 10, Double Tape Joyko 1, Stapler Hd 50 Besar, Odner Besar (forte), Lem Stick, Sign Pen Swdr, Odner Sedang, Odner Besar, Document Kepper Star Resleting 40 Lbr, Map Seagull Jepit, Double Tape Joyko 1, Stabilo Faber Castle, Map snell plastik, Bolpoint, Snelhecter Map Jenis Kertas, Map Kancing Punggung Interx','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1347,'46700048','[5.01.01.2.05.0011] Belanja Jasa Penyelenggaraan Acara','199.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Jasa Penyelenggaraan Acara','Belanja Jasa Penyelenggaraan Acara','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1348,'46704623','[5.01.02.2.03.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','10.092.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Sticky Note 20 x 50 mm, Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1349,'46705480','[5.01.02.2.03.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','3.021.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','Refil Tinta Tuner, Toner HP Laser Jet 35 A','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1350,'46705544','[5.01.02.2.03.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.563.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Mouse Red Star, Mx-2118 Wireless, Flash Disk 16Gb 16Gb','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1351,'46705650','[5.01.02.2.03.0001] Belanja Makanan dan Minuman Rapat','21.150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1352,'46706767','[5.01.02.2.03.0003] Belanja Bahan-Bahan Bakar dan Pelumas','1.824.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Turbo, Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1353,'46707008','[5.01.02.2.03.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','13.648.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Paper Clip No. 1 (Kecil), Pensil B 2B, Snelhecter Map Jenis Kertas, map snell plastik, Map Kancing Punggung Interx, cetak map, Cetak Buku Laporan Kegiatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1354,'46707119','[5.01.02.2.03.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.415.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram, Kertas HVS A4 80 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1355,'46707251','[5.01.02.2.03.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','Catriedge HP Laserjet P1102, Refil Tinta Tuner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1356,'46707421','[5.01.02.2.03.0003] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 10:48:15.491','bappeda'),
(1357,'46708674','(5.01.03.2.01.0004) Belanja Makanan dan Minuman Rapat','18.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa Kue Kotak Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1358,'46733655','(5.01.03.2.01.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','1.356.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS A4 70 Gr 11 Rim Kertas HVS F4 70 gram 11 Rim','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1359,'46733958','(5.01.03.2.01.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.814.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Catridge Canon Warna 3 buah Catridge Canon Hitam 3 buah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1360,'46734195','(5.01.03.2.01.0001) Belanja Makanan dan Minuman Rapat','9.870.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'210 kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa 210 kotak Kue Kotak Biasa 210 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 12:56:02.337','bappeda'),
(1361,'46802294','(5.01.01.2.06.0008) Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','3.180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','Kain Batik','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1362,'46803064','(5.01.01.2.09.0007) Belanja Bahan-Bahan Bangunan dan Konstruksi','466.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','Gunting Ranting, Gunting Besar, cangkul','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1363,'46803751','(5.01.01.2.09.0007) Belanja Bahan-Bahan Kimia','1.225.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Kimia','Pupuk Urea, Pupuk Kandang','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1364,'46804223','(5.01.01.2.09.0007) Belanja Bahan-Bahan/Bibit Tanaman','689.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan/Bibit Tanaman','Melati Jepang, Asoka Loka','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1365,'46804442','(5.01.01.2.09.0007) Belanja Modal Alat Pemeliharaan Tanaman/Ikan/Ternak','90.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Pemeliharaan Tanaman/Ikan/Ternak','Sabit','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1366,'46804744','(5.01.01.2.09.0007) Belanja Modal Mebel','2.529.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Mebel','Pot Bunga Diameter 25 cm, Pot Bunga Diameter 50 cm','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1367,'46807830','(5.01.01.2.06.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.151.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Paper Clip Cadwell No. 3 (Tanggung), Pensil 2B, Snelhecter Map Bahan Plastik, Paper Clip No. 1 (Kecil), Binder Clip No. 200, Binder Clip No. 260, Stop Map Kertas Biasa, Spidol Permanen, Isi Steples Kecil No 10, Bolpoint, Ordner Besar, Isi Steples Besar No 3, Tinta Vulpen Mg 8, Snelhecter Map Jenis Kertas','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1368,'46808980','(5.01.01.2.06.0004) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','33.761.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah, Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah, Amplop Coklat Super Cabinet, kertas HVS F4 70 gram, Kertas A4 70 Gr','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1369,'46809598','(5.01.01.2.06.0004) Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6.679.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Cartridge Epson PLQ-20, Toner HP Laserjet 26A, Tinta Epson','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1370,'46810078','(5.01.01.2.06.0004) Belanja Makanan dan Minuman Rapat','33.840.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1371,'46811162','(5.01.01.2.06.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.278.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Buku Agenda I,Ii, & Iii Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika, Buku Agenda Surat Masuk Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika, cetak map, banner','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1372,'46811690','(5.01.01.2.06.0005) Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.820.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Dinas Bh. Casing Uk. 12 x 28 cm, Amplop Dinas 24 X 35D','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1373,'46817947','(5.01.01.2.08.0004) Belanja Iuran Jaminan Kesehatan bagi Non ASN','39.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Iuran kesehatan tenaga kontrak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1374,'46818259','(5.01.01.2.08.0004) Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','3.293.160','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Premi Asuransi Ketenagakerjaan (BPJS Ketenagakerjaan) Tenaga Kontrak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1375,'46818907','(5.01.01.2.08.0002) Belanja Tagihan Telepon','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Tagihan Telepon','Belanja Telepon','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1376,'46819349','(5.01.01.2.08.0002) Belanja Tagihan Listrik','97.589.115','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Tagihan Listrik','Beban Tagihan Listrik Spesifikasi : > 200 KVA','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1377,'46819821','(5.01.01.2.08.0002) Belanja Kawat/Faksimili/Internet/TV Berlangganan','30.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Beban Jasa kawat/faksimili/internet/Intranet/TV Kabel/TV SatelitBeban Jasa kawat/faksimili/internet/Intranet/TV Kabel/TV Satelit','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1378,'46820741','(5.01.01.2.09.0001) Belanja Bahan-Bahan Bakar dan Pelumas','63.816.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax, Minyak Pelumas/ Olie, Oli Power Steering, Oli Versnelling, Oli Gardan, Oli Mesin','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1379,'46821157','(5.01.01.2.09.0001) Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','50.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Biaya Jasa Service dan Suku Cadang','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1380,'46821551','(5.01.01.2.09.0001) Belanja Pembayaran Pajak, Bea, dan Perizinan','3.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Pembayaran Pajak, Bea, dan Perizinan','Beban Pajak Kendaraan Bermotor Roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1381,'46828959','(5.01.01.2.09.0002) Belanja Bahan-Bahan Bakar dan Pelumas','60.752.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamina Dex, Pertamax, Oli Invert, Oli Power Steering, Oli Versnelling, Oli Gardan, Oli Mesin, Oli Mesin Diesel, Oli Mesin Roda 2','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1382,'46894714','[5.01.02.2.01.0001] Belanja Bahan-Bahan Bakar dan Pelumas','2.527.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 11:15:26.131','bappeda'),
(1383,'46998812','(5.01.01.2.06.0001) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','19.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Klem C4 Inch, Stop Kontak Arde 2 Lubang, Saklar Ob Saklar Engkel Broco, Saklar Ib Saklar Seri, Kabel Roll, Baterai Baterai Besar, Baterai Baterai Aa 1,5 V, Baterai Baterai Aaa, Baterai Baterai Alkaline Aa (Charge), Lampu Sorot LED 10 Watt, Lampu ,H Energy 11 W, Lampu ,H Energy 15 W, Lampu Tl ,D 18 Watt, Lampu down light LED 20 Watt','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1384,'47000244','(5.01.01.2.06.0003) Belanja Bahan-Bahan Bangunan dan Konstruksi','795.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','Wastafel','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1385,'47002716','(5.01.01.2.06.0003) Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','13.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Canebo, Sikat WC, sapu ijuk, Sapu Lidi, Reffil kain pel, Tempat Sampah, Alat Pel Lantai, cikrak, Alat Pengepel Lantai, Tissue, tempat sampah injak sedang, Selang, spin mob (alat pel), bahan pembersih lantai, Sabun cuci piring, Pembersih Kaca, hand saniteser, Isi Ulang Pewangi Ruangan, Sabun Cuci Tangan, Dispenser','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1386,'47003160','(5.01.01.2.06.0003) Belanja Modal Alat Pendingin','5.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Pendingin','Lemari Es 2 Pintu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1387,'47008448','(5.01.01.2.07.0005) Belanja Modal Alat Penyimpanan Perlengkapan Kantor','105.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Belanja Modal Alat Penyimpanan Perlengkapan Kantor Spesifikasi : Rak Besi Sliding','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1388,'47009342','(5.01.01.2.07.0005) Belanja Modal Perlengkapan Kantor','2.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Perlengkapan Kantor','Belanja Modal Perlengkapan Kantor Spesifikasi : Kursi Rapat','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1389,'47010044','(5.01.01.2.07.0005) Belanja Modal Kursi Pejabat','33.390.000','Kontes','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Kursi Pejabat','Belanja Modal Kursi Pejabat Spesifikasi : Kursi Kerja','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1390,'47010143','(5.01.01.2.06.0005) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.945.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1391,'47010562','(5.01.01.2.07.0005) Belanja Modal Perlengkapan Kantor','9.475.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Perlengkapan Kantor','Belanja Modal Perlengkapan Kantor Spesifikasi : Meja Tindakan Restitusi Bayi One Med','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1392,'47011717','(5.01.01.2.07.0006) Belanja Modal Alat Kantor Lainnya','7.526.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Kantor Lainnya','Belanja Modal Alat Kantor Lainnya Spesifikasi : LCD Projector','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1393,'47014298','(5.01.01.2.07.0006) Belanja Modal Alat Pendingin','21.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Pendingin','Belanja Modal Alat Pendingin Spesifikasi : Ac Dinding','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1394,'47015051','(5.01.01.2.07.0006) Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','27.894.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','Belanja Modal Alat Rumah Tangga Lainnya (Home Use) Spesifikasi : TV Smart 43 Inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1395,'47016136','(5.01.01.2.07.0006) Belanja Modal Personal Computer','111.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Personal Computer','Belanja Modal Personal Computer Spesifikasi : Desktop PC All In One','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1396,'47020891','(5.01.01.2.09.0006) Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','850.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','upah update server','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1397,'47021636','(5.01.01.2.09.0006) Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','12.250.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Upah Servis Sound Sistem, Belanja Service Printer, Upah Servis AC','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1398,'47022777','(5.01.01.2.09.0006) Belanja Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer','10.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer','Service dan Ganti Suku Cadang Komputer','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1399,'47024282','(5.01.01.2.07.0006) Belanja Modal Personal Computer','31.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Personal Computer','Belanja Modal Personal Computer Spesifikasi : Laptop','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1400,'47024674','(5.01.01.2.09.0002) Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','176.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Biaya Service dan Suku Cadang Kendaraan Roda 4','Biaya Service dan Suku Cadang Kendaraan Roda 2','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1401,'47025036','(5.01.01.2.09.0002) Belanja Pembayaran Pajak, Bea, dan Perizinan','24.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1','Belanja Pembayaran Pajak, Bea, dan Perizinan','Beban Pajak Kendaraan Bermotor Roda 4, Pajak Kendaraan Bermotor Dinas Roda 2 ( Perpanjangan STNK )','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:45:24.259','bappeda'),
(1402,'47058770','(5.01.01.2.07.0006) Belanja Modal Peralatan Personal Computer','10.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Peralatan Personal Computer','Belanja Modal Peralatan Personal Computer Spesifikasi : Printer (laser jet)','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1403,'47059113','(5.01.01.2.07.0006) Belanja Modal Peralatan Personal Computer','22.260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Peralatan Personal Computer','Belanja Modal Peralatan Personal Computer Spesifikasi : Printer (warna)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1404,'47060641','(5.01.01.2.09.0009) Belanja Modal Bangunan Gedung','149.804.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Modal Bangunan Gedung - Bangunan Gedung Tempat Kerja - Bangunan Gedung Kantor','Belanja Modal Bangunan Gedung - Bangunan Gedung Tempat Kerja - Bangunan Gedung Kantor Spesifikasi : 1. Ap Pemeliharaan Bangunan Gedung Negara Sederhana 2. Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana 3. Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana 4. Pemeliharaan Gedung Bertingkat','Ya','Ya','Ya','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 13:45:24.259','bappeda'),
(1405,'47167279','(5.01.03.2.01.0002) Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.339.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Isi Steples Kecil No 10 Ordner Besar Snelhecter Map Jenis Kertas Snelhecter Map Bahan Plastik Paper Clip Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 15:00:04.07','bappeda'),
(1406,'47348857','[5.01.02.2.04.0001] Belanja Bahan-Bahan Bakar dan Pelumas','4.522.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:49:01.815','bappeda'),
(1407,'47366631','(5.01.01.2.05.0003) Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.406.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor - Alat Tulis Kantor','Belanja Alat/Bahan Untuk Kegiatan Kantor - Alat Tulis Kantor Spesifikasi : 1. Paper Clip No. 1 (Kecil) 2. Cutter L 500 3. Pensil 2B 4. Cutter (Refil Isi Cutter) Besar Merk L500 5. Stop Map Kertas Biasa 6. Paper Clip Cadwell No. 3 (Tanggung) 7. Bolpoint 8. Binder Clip No. 155 9. Map Plastik Folio 1M02 10. Snelhecter Map Bahan Plastik 11. Binder Clip No. 260 12. Ordner Besar 13. Binder Clip No. 107','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 13:39:11.339','bappeda'),
(1408,'47369871','(5.01.01.2.05.0003) Belanja Alat/Bahan Kegiatan Kantor- Kertas dan Cover','4.397.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas Cover','Belanja Alat/Bahan untuk Kegiatan Kertas Cover Spesifikasi : 1. Kertas A4 70 Gr 2. kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 13:35:17.989','bappeda'),
(1409,'47497754','(5.01.01.2.05.0003) Belanja Alat/Bahan untuk Kegiatan Kantor Bahan Komputer','1.696.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Badan Perencanaan, Pembangunan, Penelitian dan Pengembangan Daerah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer Spesifikasi : Toner HP Laserjet 26A','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 13:35:17.989','bappeda'),
(1410,'46873615','Belanja Bahan-Bahan Bakar dan Pelumas','23.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1700 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas berupa Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1411,'46875358','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','4.225.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Belanja Alat Tulis Kantor terdiri atas : Binder Clip No. 260, Fotocopy dan Stopmap Kertas Panda','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1412,'46876063','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.350.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Belanja Kertas dan Cover dengan spesifikasi : Amplop Putih No. 104 Ukuran 95 cm x 152 cm isi 100 buah dan Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1413,'46878034','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','1.043.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'11 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Belanja Bahan Komputer dengan spesifikasi : Tinta Refile Ink Deskjet 51606A dan Refile Ink Deskjet 51606B','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1414,'46878374','Belanja Makanan dan Minuman Rapat','42.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1800 Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat terdiri atas Kue Kotak dan Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1415,'46879192','Belanja Bahan-Bahan Bakar dan Pelumas','18.676.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1334 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan Bakar berupa Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1416,'46879654','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','4.123.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Belanja Alat Tulis Kantor terdiri atas : Fotocopy, Hand Stapler HD 10, Isi Staples Besar No. 23, Ordner Besar dan Stopmap Kertas Panda','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1417,'46881118','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.098.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Belanja Kertas dan Cover dengan spesifikasi : Amplop Putih No. 104 Ukuran 95 cm x 152 cm isi 100 Buah dan Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1418,'46881809','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','1.222.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'13 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Belanja Bahan Komputer terdiri atas : Tinta Refile Ink Deskjet 51606B, Refile Ink Deskjet 51606C, Refile Ink Deskjet 51606Y dan Refile Ink Deskjet 51640M','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1419,'46882103','Belanja Makanan dan Minuman Rapat','28.670.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1220 Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat terdiri atas Kue Kotak dan Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1420,'46883209','Belanja Bahan-Bahan Bakar dan Pelumas','38.220.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'2730 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan Bakar Minyak berupa Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1421,'46883912','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','55.633.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Belanja Alat Tulis Kantor terdiri atas Stopmap Kertas Panda, Banner, Bolpoint, Buku Block Note Garis 50 Lembar, Buku Perda/Perbup uk. A4, Fotocopy, Map Plastik Folio 1M02, dan Ordner Besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1422,'46884291','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','605.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Belanja Kertas dan Cover dengan spesifikasi Amplop Putih No. 104 Ukuran 95 cm x 152 cm isi 100 buah, Kertas HVS F4 70 gram dan Kertas Stiker Label Polos (isi 10 Lembar)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1423,'46884609','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','376.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Belanja Bahan Komputer terdiri atas : Refile Ink Deskjet 51606A, Refile Ink Deskjet 51606A51606B, Refile Ink Deskjet 51606C dan Refile Ink Deskjet 51640Y','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1424,'46888270','Belanja Makanan dan Minuman Rapat','59.972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'2552 kOTAK','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman rapat terdiri atas Kue Kotak dan Nasi Kotak Beras','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1425,'47022051','Belanja Perjalanan Dinas Paket Meeting Luar Kota','53.380.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Perjalanan Dinas Paket Meeting Luar Kota meliputi wilayah D.I. YOGYAKARTA, D.K.I. JAKARTA dan Propinsi JAWA TIMUR','Belanja Perjalanan Dinas Paket Meeting Luar Kotadengan spesifikasi : Penginapan pejabat eselon IV Gol. III untuk DKI Jakarta, D.I. Yogyakarta dan Prop. Jawa Timur; Penginapan Gol. I/II untuk Prop. D.I. Yogyakarta dan Prop. Jawa Timur; Penginapan pejabat eselon III Gol IV untuk DKI Jakarta, D.I. Yogyakarta dan Jawa Timur; serta Tiket Pesawat PP Jakarta - Surabaya Kelas Ekonomi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:50.119','pemda-hukum'),
(1426,'47034052','Belanja Perjalanan Dinas Paket Meeting Luar Kota','124.922.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'1 Paket','Belanja Perjalanan Dinas Paket Meeting Luar Kota meliputi wilayah Bali, D.I. Yogyakarta, D.K.I. Jakarta dan Prop. Jawa Timur','Belanja Perjalanan Dinas Paket Meeting Luar Kota dengan spesifikasi : Penginapan Golongan I/II untuk Bali, D.I. Yogyakarta dan Prop. Jawa Timur; Penginapan Pejabat Eselon III/Gol. IV untuk DKI Jakarta, Bali, D.I. Yogyakarta dan Prop. Jawa Timur; Penginapan Pejabat Eselon IV/Gol. III untuk DKI Jakarta, Bali, D.I. Yogyakarta dan Prop Jawa Timur serta tiket pesawat PP Jakarta - Surabaya kelas ekonomi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:51:19.493','pemda-hukum'),
(1427,'47098307','Belanja Perjalanan Dinas Paket Meeting Luar Kota','157.610.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Hukum',2024,'30 Orang/Hari','Belanja Perjalanan Dinas Paket Meeting Luar Kota meliputi wilayah D.K.I. Jakarta dan Prop. Jawa Timur','Belanja Perjalanan Dinas Paket Meeting Luar Kota dengan spesifikasi Penginapan pejabat eselon III/Gol. IV untuk D.K.I. Jakarta; Penginapan pejabat eselon IV/Gol. III untuk D.K.I. Jakarta dan tiket pesawat PP Jakarta - Surabaya kelas ekonomi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 09:50:24.505','pemda-hukum'),
(1428,'47073578','Belanja Bahan-Bahan Bakar dan Pelumas','47.963.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup pekerjaan sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:02:27.275','pemda-kesra'),
(1429,'47073903','Belanja Suku Cadang-Suku Cadang Alat Angkutan','6.948.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup pekerjaan sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:02:27.275','pemda-kesra'),
(1430,'47074847','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','45.642.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup pekerjaan sesuai dengan KAK','spesifikasi teknis sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:07:09.399','pemda-kesra'),
(1431,'47074924','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','9.483.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:02:27.275','pemda-kesra'),
(1432,'47074995','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'200 buah','ruang lingkup sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:07:09.399','pemda-kesra'),
(1433,'47075057','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6.094.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkuo sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:08:21.45','pemda-kesra'),
(1434,'47075408','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','210.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:08:21.45','pemda-kesra'),
(1435,'47075577','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','199.500.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'7 ekor','ruang lingkup pekerjaan sesuai dengan KAK','spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1436,'47273714','Belanja Pakaian Batik Tradisional','25.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'50 stel','Ruang lingkup pekerjaan sesuai dengan KAK','Spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Februari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1437,'47277389','Belanja Sewa Electric Generating Set','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuai dengan KAK','Spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1438,'47278414','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','510.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuai dengan KAK','Spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1439,'47278969','Belanja Sewa Alat Kantor Lainnya','193.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkuo sesuai dengan KAK','Spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1440,'47279599','Belanja Sewa Mebel','47.425.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuia dengan KAK','Spesifikasi sesuia dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1441,'47280222','Belanja Sewa Peralatan Studio Audio','110.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','Ruang lingkup sesuai dengan KAK','Spesifikasi sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 15:05:00.529','pemda-kesra'),
(1442,'49259852','Belanja Makanan dan Minuman Rapat','12.260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','ruang lingkup sesuai dengan KAK','spesifikasi seuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 10:24:34.197','pemda-kesra'),
(1443,'49413214','Belanja Makanan dan Minuman Rapat (Isra\' Mi\'raj)','6.650.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'1 paket','Kue Kotak Rsra\' Miraj dan Nasi Prasmanan','Kue Kotak Rsra\' Miraj dan Nasi Prasmanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-05 07:02:41.878','pemda-kesra'),
(1444,'49964663','Belanja makanan dan Minuman rapat','818.130.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Kesejahteraan Rakyat',2024,'3 paket','Belanja makanan dan Minuman Hari-hari besar','Belanja makanan dan Minuman Hari-hari besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-19 17:41:51.362','pemda-kesra'),
(1445,'46947636','Belanja Bahan-Bahan Bakar dan Pelumas','19.845.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1446,'46947831','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','32.788.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1447,'46947983','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.332.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1448,'46948069','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.033.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1449,'46948183','Belanja Makanan dan Minuman Rapat','78.740.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1450,'46948921','Belanja Bahan-Bahan Bakar dan Pelumas','5.978.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'427 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1451,'46948992','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.276.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1452,'46949066','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'6 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1453,'46949107','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1454,'46949151','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1455,'46949451','Penginapan','10.684.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1456,'46949479','tiket pesawat','5.348.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'2 Orang','tiket pesawat','tiket pesawat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1457,'46949753','Belanja Bahan-Bahan Bakar dan Pelumas','9.954.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'711 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1458,'46949827','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.668.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1459,'46949861','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.412.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1460,'46949893','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.722.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1461,'46949925','Belanja Makanan dan Minuman Rapat','21.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1462,'46950146','Penginapan','5.952.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'6 Orang / Hari','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1463,'46950213','Belanja Bahan-Bahan Bakar dan Pelumas','8.134.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1464,'46950228','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.461.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1465,'46950299','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1466,'46950351','Belanja Makanan dan Minuman Rapat','11.515.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1467,'46950575','Penginapan','1.740.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1468,'46950735','Belanja Bahan-Bahan Bakar dan Pelumas','4.648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'332 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1469,'46950768','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1470,'46950958','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','424.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1471,'46951021','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.457.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1472,'46951064','Belanja Makanan dan Minuman Rapat','11.280.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Organisasi',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-06 15:11:20.058','pemda-organisasi'),
(1473,'46448596','Belanja Bahan-Bahan Bakar dan Pelumas','2.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'150 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1474,'46452671','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1475,'46455023','Sewa Kamar','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'4 Orang / Kamar','Sewa Kamar','Sewa Kamar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1476,'46456401','Belanja Jasa Tenaga Informasi dan Teknologi','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'4 Kali','Belanja Jasa Tenaga Informasi dan Teknologi','Belanja Jasa Tenaga Informasi dan Teknologi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1477,'46456846','Beban Kawat/Faksimili/Internet/TV Berlangganan','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Tahun','Beban Kawat/Faksimili/Internet/TV Berlangganan','Beban Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1478,'46458575','Penginapan','3.968.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'4 Orang / Hari','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1479,'46459113','Tiket Kereta','9.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'16 Orang / Kali','Tiket Kereta','Tiket Kereta','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2023-12-27 10:32:21.028','pemda-barjas'),
(1480,'46821987','Belanja Sewa Peralatan dan Mesin','105.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 paket','Belanja Sewa Peralatan dan Mesin','Belanja Sewa Peralatan dan Mesin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 11:24:12.523','pemda-barjas'),
(1481,'46851262','Belanja Bahan-Bahan Bakar dan Pelumas','5.964.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 tahun','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:08:52.508','pemda-barjas'),
(1482,'46851591','Belanja Alat/Bahan untuk Kegiatan Kantor','23.284.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:08:52.508','pemda-barjas'),
(1483,'46851796','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:08:52.508','pemda-barjas'),
(1484,'46852298','Belanja Perjalanan Dinas Paket Meeting Luar Kota','23.747.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Paket','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Etol dan Penginapan)','Belanja Perjalanan Dinas Paket Meeting Luar Kota (Etol dan Penginapan)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:08:52.508','pemda-barjas'),
(1485,'46869055','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','10.873.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 07:40:23.246','pemda-barjas'),
(1486,'47638724','Belanja Makanan dan Minuman Rapat','23.124.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:30:47.303','pemda-barjas'),
(1487,'47638726','Bahan Bakar dan Pelumas','6.818.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'487 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:30:47.303','pemda-barjas'),
(1488,'47638728','Beban Bimbingan Teknis','110.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'20 Orang / Kali','Beban Bimbingan Teknis;','Bimbingan Teknis Peningkatan SDM;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:30:47.303','pemda-barjas'),
(1489,'47645742','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','14.724.000','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,','January 2024','Kab. Bondowoso','Bagian Pengadaan Barang dan Jasa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:38:09.155','pemda-barjas'),
(1490,'46875378','Belanja Bahan-Bahan Bakar dan Pelumas','20.706.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1479 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1491,'46885800','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','676.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Pak','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1492,'46885992','Belanja Bahan-Bahan Bakar dan Pelumas','7.028.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'502 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1493,'46886043','Belanja Bahan-Bahan Bakar dan Pelumas','7.028.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'502 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1494,'46886084','Belanja Bahan-Bahan Bakar dan Pelumas','46.256.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'3304 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1495,'46887961','Belanja Bahan-Bahan Bakar dan Pelumas','16.758.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1197 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1496,'46889233','Belanja Bahan-Bahan Bakar dan Pelumas','24.220.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1730 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1497,'46890950','Belanja Bahan-Bahan Bakar dan Pelumas','14.868.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1062 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1498,'46892451','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.054.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1499,'46893368','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.010.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1500,'46965068','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','977.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'6 Buah','Rahmatullah2023@','Rahmatullah2023@','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1501,'46965268','Belanja Makanan dan Minuman Rapat','12.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1502,'46990483','Tiket Kereta','1.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'3 Orang','Tiket Kereta','Tiket Kereta','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1503,'46992827','Belanja Bahan Bakar dan Pelumas','46.256.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'3304 Liter','Belanja Bahan Bakar dan Pelumas','Belanja Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1504,'46993696','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.901.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1505,'46994340','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.490.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1506,'46995362','Belanja Makanan dan Minuman Rapat','32.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1507,'46997735','penginapan','7.936.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2x2x2 Orang kali hari','penginapan','penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:48:23.699','pemda-ap'),
(1508,'47000018','Belanja Bahan-Bahan Bakar dan Pelumas','7.028.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'502 liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1509,'47002338','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.683.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1510,'47002866','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1511,'47003430','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','8.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1512,'47007944','Belanja Makanan dan Minuman Rapat','16.121.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1513,'47021171','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.908.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1514,'47022066','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','858.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1515,'47023632','Belanja Makanan dan Minuman Rapat','33.558.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1516,'47029734','Belanja Bahan-Bahan Bakar dan Pelumas','16.758.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1197 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1517,'47030104','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1518,'47030460','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.570.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1519,'47030824','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1520,'47036106','Tiket Kereta','1.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2 Orang','Tiket Kereta','Tiket Kereta','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1521,'47037005','Penginapan','17.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1522,'47092308','Penginapan','12.552.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 13:31:05.446','pemda-ap'),
(1523,'47161062','Tiket Pesawat','10.696.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2 x 2 Orang Kali','Tiket Pesawat','Tiket Pesawat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:27:53.217','pemda-ap'),
(1524,'47184203','Penginapan','15.858.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 16:56:28.34','pemda-ap'),
(1525,'47210296','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.505.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1526,'47211153','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.736.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1527,'47212061','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.625.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1528,'47212933','Belanja Makanan dan Minuman Rapat','22.560.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1529,'47213623','Belanja Pakaian Batik Tradisional','7.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'20 Lembar','Belanja Pakaian Batik Tradisional','Belanja Pakaian Batik Tradisional','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1530,'47214330','Belanja Jasa Jalan/Tol','2.779.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1531,'47215460','Penginapan','23.566.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1532,'47216195','Tiket Pesawat','21.864.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'4 Orang','Tiket Pesawat','Tiket Pesawat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:14:45.067','pemda-ap'),
(1533,'47223711','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.109.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1534,'47224444','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','313.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1535,'47225599','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1536,'47226630','Belanja Makanan dan Minuman Rapat','10.420.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1537,'47228207','Belanja Jasa Jalan/Tol','1.752.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1538,'47229160','Belanja Perjalanan Dinas Paket Meeting Luar Kota','3.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Belanja Perjalanan Dinas Paket Meeting Luar Kota','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1539,'47229998','Tiket Pesawat','5.348.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'2 Orang','Tiket Pesawat','Tiket Pesawat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1540,'47239018','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','547.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:17:49.473','pemda-ap'),
(1541,'47240353','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','425.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:17:49.473','pemda-ap'),
(1542,'47241235','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'3 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:17:49.473','pemda-ap'),
(1543,'47242002','Belanja Makanan dan Minuman Rapat','28.435.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:17:49.473','pemda-ap'),
(1544,'47243376','Belanja Jasa Jalan/To','1.207.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'1 Paket','Belanja Jasa Jalan/To','Belanja Jasa Jalan/To','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:17:49.473','pemda-ap'),
(1545,'47259677','Belanja Bahan-Bahan Bakar dan Pelumas','11.102.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perekonomian dan Administrasi Pembangunan',2024,'793 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:16:22.509','pemda-ap'),
(1546,'49258223','Belanja Makanan dan Minuman Rapat','5.875.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:32:12.124','pemda-perencanaan'),
(1547,'49258224','Belanja Bahan-Bahan Bakar dan Pelumas','2.660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:32:12.124','pemda-perencanaan'),
(1548,'49258587','Belanja Bahan-Bahan Bakar dan Pelumas','5.880.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-02-01 11:09:58.624','pemda-perencanaan'),
(1549,'49258588','Belanja Makanan dan Minuman Rapat','8.225.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:09:58.624','pemda-perencanaan'),
(1550,'49258675','Belanja Makanan dan Minuman Rapat','4.935.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:31:55.011','pemda-perencanaan'),
(1551,'49258676','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.592.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:31:55.011','pemda-perencanaan'),
(1552,'49258677','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.459.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Tinta Stempel 50 Cc; Paper Clip 3/4; Odner Besar (forte); Snelhecter Map Bahan Plastik; Stopmap Kertas Panda; Cutter (Refil Isi Cutter) Kecil Merk A300; Cutter A 300; Stapler Hd 10; Isi Steples Kecil No 10; Isi Steples Besar No 3; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Buku Folio Folio 300 v; Isi Ball Point Pentel 09; PlakBand Sil 1 1/2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:31:55.011','pemda-perencanaan'),
(1553,'49258678','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.438.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta 003 ( L1110,L3150,L5190 ) 4 warna; Tinta 001 ( L4150, L4160 ) 4 warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:31:55.011','pemda-perencanaan'),
(1554,'49258849','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:33:43.207','pemda-perencanaan'),
(1555,'49258909','Belanja Makanan dan Minuman Rapat','470.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1556,'49258936','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.543.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip 3/4; Correction 803; Odner Besar (forte); Snelhecter Map Bahan Plastik; Stopmap Kertas Panda; Cutter (Refil Isi Cutter) Kecil Merk A300; Cutter A 300; Lem Cair 50 Ml; Stapler Hd 10; Isi Staples Besar No. 23; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Binder Clip No. 155; Binder Clip No. 260; Buku Buku Folio 200 Lbr; PlakBand Sil 1 1/2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:34:15.048','pemda-perencanaan'),
(1557,'49259032','Belanja Makanan dan Minuman Rapat','4.935.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1558,'49259594','Belanja Alat/Bahan Untuk Kegiatan Kantor (Penyusunan Perencanaan Kebutuhan Barang Milik Daerah SKPD)','2.392.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip 3/4; kertas HVS F4 70 gram; Tinta Epson 003; Paper Clip 3/4; Odner Besar (forte); Snelhecter Map Bahan Plastik; kertas HVS F4 70 gram; Tinta Epson 003; Stopmap Kertas Panda; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Buku Folio Folio 300 v;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1559,'49259641','Bahan Bakar dan Pelumas','2.660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'190 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:37:05.609','pemda-perencanaan'),
(1560,'49259648','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 11:37:05.609','pemda-perencanaan'),
(1561,'49260743','Belanja Makanan dan Minuman Rapat','4.935.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1562,'49260881','Belanja Bahan-Bahan Bakar dan Pelumas','3.668.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1563,'49260883','Belanja Makanan dan Minuman Rapat','3.290.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 08:06:02.627','pemda-perencanaan'),
(1564,'49268430','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','38.283.600','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta 003 ( L1110,L3150,L5190 ) 4 warna; Continous Form 14 7/8 4 Ply-500 Sheet; Tinta Epson 003; Tinta 001 ( L4150, L4160 ) 4 warna;','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-01 11:10:13.201','pemda-perencanaan'),
(1565,'49276236','Bahan Bakar dan Pelumas','2.660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'190 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 12:07:20.253','pemda-perencanaan'),
(1566,'49276237','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 12:06:42.482','pemda-perencanaan'),
(1567,'49301427','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.924.100','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Lem Kecil; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Map kertas; Binder Clip No. 155; Binder Clip No. 260;','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1568,'49301752','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','9.020.700','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta 003 ( L1110,L3150,L5190 ) 4 warna; Tinta Printer Laser Jet P 1102;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1569,'49302088','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.946.800','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer Laser Jet P 1102; Tinta 003 ( L1110,L3150,L5190 ) 4 warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1570,'49302265','Kertas dan Cover','3.251.600','E-Purchasing','APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'13 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1571,'49302566','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.664.900','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip 3/4; Correction 803; Odner Besar (forte); Fotocopy; Snelhecter Map Bahan Plastik; Cutter (Refil Isi Cutter) Kecil Merk A300; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Binder Clip No. 155; Binder Clip No. 260; Buku Buku Folio 200 Lbr; PlakBand Sil 1 1/2; Cutter A 300; Lem Cair 50 Ml; Stapler Hd 10; Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1572,'49302757','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','19.931.700','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Map kertas; Lem Kecil; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Binder Clip No. 155; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-01 15:46:14.38','pemda-perencanaan'),
(1573,'49323549','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.954.700','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 07:48:28.174','pemda-perencanaan'),
(1574,'49323788','Belanja Alat/Bahan untuk Kegiatan ( Penyusunan Pelaporan dan Analisis Prognosis Realisasi Anggaran)','9.422.700','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 07:48:28.174','pemda-perencanaan'),
(1575,'49324050','Belanja Alat/Bahan untuk Kegiatan Kanto (Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD)','9.796.200','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta 001 ( L4150, L4160 ) 4 warna; Tinta 003 ( L1110,L3150,L5190 ) 4 warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 07:48:28.174','pemda-perencanaan'),
(1576,'49324430','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','30.473.300','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-02 07:48:28.174','pemda-perencanaan'),
(1577,'49935381','Belanja Jasa Penyelenggaraan Acara','100.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Perencanaan dan Keuangan',2024,'1','Belanja Jasa Penyelenggaraan Acara','Belanja Jasa Penyelenggaraan Acara','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 11:03:51.672','pemda-perencanaan'),
(1578,'47105062','Belanja Bahan-Bahan Bakar dan Pelumas','109.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'7800 liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1579,'47106172','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','14.469.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1580,'47106791','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','7.027.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1581,'47107664','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'10 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1582,'47108566','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.249.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1583,'47109371','Belanja Pakaian Sipil Harian (PSH)','43.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'35 Stel','Belanja Pakaian Sipil Harian (PSH)','Belanja Pakaian Sipil Harian (PSH)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1584,'47110224','Belanja Pakaian Dinas Lapangan (PDL)','49.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Pakaian Dinas Lapangan (PDL)','Belanja Pakaian Dinas Lapangan (PDL)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1585,'47119968','Penginapan','67.844.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:06.147','pemda-protokol'),
(1586,'47121071','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.080.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:54.131','pemda-protokol'),
(1587,'47122387','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'25 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:54.131','pemda-protokol'),
(1588,'47123036','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'30 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:54.131','pemda-protokol'),
(1589,'47123703','Belanja Makanan dan Minuman Rapat','63.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:22:54.131','pemda-protokol'),
(1590,'47124492','Belanja Bahan-Bahan Bakar dan Pelumas','38.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'2750 Liter','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1591,'47125137','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.560.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1592,'47125716','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'5 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1593,'47128081','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.866.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'10 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1594,'47133546','Penginapan','32.090.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'1 Paket','Penginapan','Penginapan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1595,'47204591','Belanja Jasa Tenaga Informasi dan Teknologi','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Protokol dan Komunikasi Pimpinan',2024,'4 Kali','Belanja Jasa Tenaga Informasi dan Teknologi','Belanja Jasa Tenaga Informasi dan Teknologi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:23:29.298','pemda-protokol'),
(1596,'47216125','Belanja Bahan-Bahan Bakar dan Pelumas','2.030.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:40:58.722','pemda-pemerintahan'),
(1597,'47216127','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.995.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:40:58.722','pemda-pemerintahan'),
(1598,'47216128','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','43.460.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya;','Dekstop PC All In One; PC All In One; PC All In One;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1599,'47216129','Belanja Jasa Penyelenggaraan Acara','140.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Malam Anugerah Sinergitas Kinerja Kecamatan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1600,'47216131','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.043.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; cetak map; Binder Clip No. 155; Binder Clip No. 105; Binder Clip No. 200; Cetak Buku Laporan Kegiatan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:40:58.722','pemda-pemerintahan'),
(1601,'47216132','Belanja Makanan dan Minuman Rapat','12.925.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:40:58.722','pemda-pemerintahan'),
(1602,'47216133','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.713.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:40:58.722','pemda-pemerintahan'),
(1603,'47339052','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.088.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1604,'47339053','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.297.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas; Snelhecter Map Bahan Plastik; Ordner Lux Folio; Cutter L 500; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Fotocopy; cetak map; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 155; Binder Clip No. 105; Binder Clip No. 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1605,'47339054','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','10.791.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1606,'47339055','Belanja Makanan dan Minuman Rapat','1.645.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1607,'47351256','Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Konsultansi Manajemen','100.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Jasa Konsultansi Spesialis-Jasa Pembuatan Peta;','Jasa Konsultansi Pemetaan Batas Kewilayahan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:18:05.049','pemda-pemerintahan'),
(1608,'47351258','Belanja Bahan-Bahan Bakar dan Pelumas','5.978.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:18:05.049','pemda-pemerintahan'),
(1609,'47351260','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.865.400','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1610,'47351262','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.392.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1611,'47351265','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.309.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak Buku Informasi Kegiatan Daearh; Cetak Peta (Kertas Albartos ukuran AO (841mmx 189 mm); Fotocopy; cetak map; banner; Spidol Permanen; Paper Clip Jumbo 5; Lem Cair 50 Ml; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Binder Clip No. 111; Binder Clip No. 155; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1612,'47351269','Belanja Makanan dan Minuman Rapat','7.520.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1613,'47352619','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','18.095.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1614,'47352620','Belanja Pakaian Batik Tradisional','10.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Pakaian Batik Tradisional;','Belanja Batik VIP Khas Bondowoso;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1615,'47352621','Belanja Pakaian Dinas Lapangan (PDL)','25.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Pakaian Dinas Lapangan (PDL);','Pakaian Kerja Lapangan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1616,'47352622','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','25.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Sewa Bus;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1617,'47352623','Belanja Sewa Bangunan Gedung Tempat Pertemuan','8.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Sewa Gedung Pertemuan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1618,'47352624','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','64.051.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Binder Clip No. 200; Spidol Marker; Spidol Kecil; Bolpoint; Stopmap Kertas; Snelhecter Map Bahan Plastik; Ordner Lux Folio; Fotocopy; Fotocopy; cetak map; Binder Clip No. 105; Binder Clip No. 200; Binder Clip No. 260; Cutter L 500; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Cetak Buku Informasi Kegiatan Daearh; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 155; Binder Clip No. 105;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1619,'47352625','Belanja Bahan-Bahan Bakar dan Pelumas','22.106.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1620,'47352627','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','8.480.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1621,'47352628','Belanja Makanan dan Minuman Rapat','97.760.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak; Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:16:30.651','pemda-pemerintahan'),
(1622,'47353183','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.392.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1623,'47353184','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.335.900','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Fotocopy; cetak map; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Binder Clip No. 107; Binder Clip No. 111;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1624,'47353185','Belanja Bahan-Bahan Bakar dan Pelumas','2.254.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1625,'47353186','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.194.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1626,'47353187','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1627,'47353188','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:04.294','pemda-pemerintahan'),
(1628,'47353996','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.196.500','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1629,'47353997','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.133.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Binder Clip No. 111; Binder Clip No. 105; Paper clip triangle kecil; Bolpoint; Stopmap Kertas; Binder Clip No. 107; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Fotocopy;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1630,'47353999','Belanja Bahan-Bahan Bakar dan Pelumas','3.318.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1631,'47354001','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.222.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1632,'47354004','Belanja Makanan dan Minuman Rapat','8.225.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Bagian Tata Pemerintahan dan Kerjasama',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:17:33.27','pemda-pemerintahan'),
(1633,'47209881','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','134.139.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel Skun/Crom Sc Jgk-35(2.400 Pcs/Crtn); Kabel Nyy Supreme,0.6/1Kvsni, Uk. 2X25 Mm2; Lampu Hemat Listrik ,Essential Type 82/86, 14 W; Lampu Hemat Listrik ,Essential Type 82/86, 18 W; Lampu Hemat Listrik ,Essential Type 82/86, 8 W; Lampu Hemat Listrik ,Type Pl-S 82/84/86, 11 W; Lampu Hemat Listrik ,Type Pl-S 82/84/86, 5 W; Lampu Neon Tl ,40 W; Lampu Metalhalide Lampu Sorot Mhntd Ip65 150 Watt; Mcb Mg,32A; Saklar Handle Broco,Cam Starter (Saklar Handle) 15 A; Saklar Ib Seri Galleo Broco; Saklar Ib Engkel Galleo Broco; Fitting Fitting Plafon 804 N Ms(240Pcs/Crtn); Vitting Gantungan E 40; Baterai Baterai Aaa; Baterai Baterai 9 Volt ( Baterai Kotak ); Stop Kontak ,Stop Kontak Engkel; Klem Kabel ,12 Mm; Ignitor Sn 58 Philips; Fuse Nt-2 Fuse Nt-2-250A(42Pcs/Crtn); Terminal ,25 Mm; Tap Konektor 35 - 70 mm; Lampu LED Strip;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Februari 2024','Mei 2024','Februari 2024','Februari 2024','2024-01-11 12:59:51.847','pemda-umum'),
(1634,'47210082','Belanja Modal Alat Pembersih','8.003.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Pembersih; Alat Pembersih;','vacum cleaner; Mesin Pemotong Rumput;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1635,'47210084','Belanja Modal Alat Kantor Lainnya','30.183.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Kantor Lainnya;','Lcd Proyektor D535;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1636,'47210086','Belanja Modal Alat Pendingin','42.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Pendingin;','AC Portable;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','Mei 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1637,'47210088','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','16.736.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Rumah Tangga Lainnya (Home Use);','TV Smart 43 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1638,'47210089','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','196.895.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Perabot Kantor;','Karpet Lantai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1639,'47210128','Belanja Modal Alat Dapur','7.089.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Dapur; Alat Dapur;','Termos 3 Liter; Teko Maspion, 18 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 12:59:51.847','pemda-umum'),
(1640,'47210129','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','22.911.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sikat WC; Mangkok Ideal, Ksmb 320 Bf 16 18 20 Cm (6 Set); Mangkok Ideal, Ksmb 20 20 Cm; Gelas Fiola 500 Cc; Garpu , Fork 6 Pcs; Waskom Maspion, 24 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1641,'47317202','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','154.516.850','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Kalender; Fotocopy; buku register; Lembar Disposisi Bahan Kertas Hvs 70 Gsm Uk. 1/2 Folio Cetak 1 Muka Isi 100 Lbr; Buku Agenda I,Ii, & Iii Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Blanko / Kartu Bc Super / Buffalo Uk Folio/Kwarto Dicetak : 2 Muka 201 S/D 500; Buku Agenda Surat Masuk Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Buku Agenda Surat Keluar Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Buku Agenda Bupati Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-10 22:05:02.682','pemda-umum'),
(1642,'47317203','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','22.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 14 X 27,5 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 22:05:02.682','pemda-umum'),
(1643,'47317204','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','79.500.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Suvenir/Cendera Mata; Suvenir/Cendera Mata;','Cinderamata; Cinderamata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 22:05:02.682','pemda-umum'),
(1644,'47348360','Belanja Makanan dan Minuman Jamuan Tamu','77.500.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Air Mineral; Air Mineral Botol;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1645,'47348362','Belanja Natura dan Pakan-Natura','90.100.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Natura;','Kopi Bondowoso;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1646,'47348871','Belanja Makanan dan Minuman Rapat','129.585.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Prasmanan VIP, Makan dan minum Rapat; Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1647,'47350055','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','85.452.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Uk. 27 X 40 Cm; Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 X 40 Cm; Amplop Putih 110 mm X 230 mm; kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1648,'47350056','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','23.204.500','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Continous Form 9,5 2 Ply - 1000 Sheet,;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1649,'47350057','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','38.021.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol G 12; Tinta Stempel Artline/Gabus; Stapler Hd 10; Isi Steples Kecil No 10; Isi Steples Besar No 3; Binder Clip No. 155; Binder Clip No. 260; Buku Buku Folio 200 Lbr; Buku Kwitansi Besar; Isi Ball Point Pentel Mg 6; PlakBand Pls 2 Inch; Isi Ball Point Big; Paper Clip Cadwell No. 5 (Jumbo); Paper Clip Jumbo 5; Paper Clip No. 1 (Kecil); Penghapus White Board; Buku Besar Folio; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Hang Map Gema/Folio; Ordner Besar; Cutter L 500; Lem Super Glu; Stapler Hd 10 Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1650,'47350058','Belanja Makanan dan Minuman Rapat','322.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Prasmanan VIP, Makan dan minum Rapat; Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:01:20.86','pemda-umum'),
(1651,'47389226','Penyediaan Pakaian Dinas dan Atribut Kelengkapan Kepala Daerah dan Wakil Kepala Daerah','191.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Belanja Pakaian Sipil Harian (PSH); Belanja Pakaian Sipil Lengkap (PSL); Belanja Pakaian Dinas Harian (PDH); Belanja Pakaian Dinas Upacara (PDU); Belanja Pakaian KORPRI; Belanja Pakaian Adat Daerah; Belanja Pakaian Batik Tradisional; Belanja Pakaian Olahraga; Belanja Pakaian Dinas KDH dan WKDH; Beban Pakaian Sipil Harian (PSH); Beban Pakaian Sipil Lengkap (PSL); Beban Pakaian Dinas Harian (PDH); Beban Pakaian Dinas Upacara (PDU); Beban Pakaian KORPRI; Beban Pakaian Adat Daerah; Beban Pakaian Batik Tradisional; Beban Pakaian Olahraga; Beban Pakaian Dinas KDH dan WKDH;','Belanja Pakaian Sipil Harian (PSH); Pakaian Sipil Lengkap ( PSL ); Beban Pakaian Dinas Harian (PDH); Belanja Pakaian Dinas Upacara; Belanja pakaian KORPRI; Belanaja Pakaian Adat; Belanja pakaian batik tradisional; Belanja pakaian olahraga; Belanja Bahan Pakaian Dinas KDH dab WKDH; Belanja Pakaian Sipil Harian (PSH); Pakaian Sipil Lengkap ( PSL ); Beban Pakaian Dinas Harian (PDH); Belanja Pakaian Dinas Upacara; Belanja pakaian KORPRI; Belanaja Pakaian Adat; Belanja pakaian batik tradisional; Belanja pakaian olahraga; Belanja Bahan Pakaian Dinas KDH dab WKDH;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1652,'47389938','Kendaraan Dinas Bermotor Perorangan','733.530.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Unit','Kendaraan Dinas Bermotor Perorangan;','Station Wagon; Fortuner 2.8 VRZ GR-S 4x4 A/T Diesel','Tidak','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1653,'47389939','Kendaraan Dinas Bermotor Perorangan','537.075.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Unit','Kendaraan Dinas Bermotor Perorangan;','Station Wagon; HILUX DOUBLE CABIN.2.4 V(4x4) DSL_A/T','Tidak','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1654,'47389940','Kendaraan Dinas Bermotor Perorangan','660.975.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Unit','Kendaraan Dinas Bermotor Perorangan;','Station Wagon; lnnova Zenix 2.0 V HV Modelista CVT TSS (Premium Color)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1655,'47389941','Belanja Modal Kendaraan Bermotor Beroda Dua','118.932.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Kendaraan Bermotor Beroda Dua;','Nmax Non ABS;','Tidak','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1656,'47389942','Kendaraan Dinas Bermotor Perorangan','537.075.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Unit','Kendaraan Dinas Bermotor Perorangan;','Station Wagon;','Tidak','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1657,'47390024','Belanja Modal Mebel','2.120.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Mebel;','kursi kerja;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1658,'47390025','Belanja Modal Alat Penyimpan Perlengkapan Kantor','2.777.900','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor;','Lemari Arsip Series, 3 Rak (Pintu Kaca), N - Mc 5, 80 X 43 X 122.9 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1659,'47390026','Belanja Modal Meja Rapat Pejabat','7.457.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Meja Rapat Pejabat;','Meja Tamu Ruang Tunggu Pejabat Eselon Iii Uk 120 Cm X 60 Cm X T 45 Cm, Biasa, Partikel + Melamine, Coklat Muda (4 Laci + Pintu);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1660,'47390027','Belanja Modal Kursi Rapat Pejabat','11.130.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Kursi Rapat Pejabat;','Kursi Kerja;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1661,'47390028','Belanja Modal Kursi Tamu di Ruangan Pejabat','19.165.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Kursi Tamu di Ruangan Pejabat;','Kursi Tamu Pejabat Eselon Ii Sama Dengan Kursi Tamu Diruang Tamu Sekda Propinsi Dengan Kerangka Besi Bercat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1662,'47390196','Belanja Modal Alat Pendingin','29.700.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Pendingin;','Ac Split 1Ã‚Â½ Pk Samsung As-12Uumn Max Standard, Filter System, Volt Control System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 12:59:34.882','pemda-umum'),
(1663,'47390197','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','192.579.400','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Alat Rumah Tangga Lainnya (Home Use); Alat Rumah Tangga Lainnya (Home Use);','Handy Cam - (Sony HXR-NX200 4K); Microphone Wireless Dual Channel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1664,'47390198','Belanja Modal Peralatan Studio Video dan Film','87.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Peralatan Studio Video dan Film;','Camera Digital - (Sony Alpha 7 III);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1665,'47390199','Belanja Modal Personal Computer','439.428.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','March 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Personal Computer; Personal Computer; Personal Computer; Personal Computer; Personal Computer; Personal Computer; Personal Computer;','PC All in one - (Core i5, 8GB, 512GB SSD); Laptop / Note Book Vostro 3750 I7 Core I7 2630Qm 2.8Ghz, 4Gb Ddr3, 500Gb, Dvdrw, Nvidia Geforce Gt525 1Gb, Bluetooth, Card Reader, Wifi, Camera, 17.3Inch Wxga, Win 7 Pro; Dekstop PC all in one; Lap Top - (Asus ROG Zephyrus G14 GA402); P.C Unit - (Core i9 full 9900K, High End, Full set); Tablet - (Samsung Galaxy Tab S8 Wi-Fi 8/128); Laptop - (Core i7, 8GB, 512GB, Win 11 Home);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-12 14:19:20.031','pemda-umum'),
(1666,'47390849','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','113.504.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listri; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listri; Beban jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Service Mesin pemotong rumput; Service laptop / komputer; Jasa Servis pompa Air; Service kendaraan; Jasa Service mesin cuci; Jasa Servis Fotocopy; Upah Servis AC; servis printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1667,'47390850','Belanja Pemeliharaan Tanah-Lapangan-Tanah untuk Taman','28.250.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Pemeliharaan Tanah-Lapangan - Tanah Untuk Taman;','Pemeliharaan Taman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Oktober 2024','Februari 2024','Oktober 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1668,'47391070','Bahan Bakar dan Pelumas','6.572.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'124 Liter','Bahan Bakar dan Pelumas;','Oli Mesin Roda 2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:38:34.42','pemda-umum'),
(1669,'47391071','Belanja Suku Cadang-Suku Cadang Alat Angkutan','514.100.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Alat Angkutan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:38:34.42','pemda-umum'),
(1670,'47391573','Belanja Sewa Alat Kantor Lainnya','103.950.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Sewa Alat Kantor lainnya;','Sewa Tenda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1671,'47391574','Belanja Sewa Peralatan Studio Audio','70.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Sewa Peralatan Studio Audio;','sewa sound sytem;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1672,'47391575','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','78.498.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Pembersih Kaca; Pembersih lantai; Sabun cuci piring; Sapu Clean Mate, Lantai; Canebo; Refile kain pel; pengharum ruangan sprey; Dispencer pengharum ruangan; cikrak; bak sampah plastik besar; Tissue Nice, isi 900 gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Mei 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1673,'47391576','Belanja Bahan-Bahan Bangunan dan Konstruksi','4.092.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Bahan Bangunan dan Konstruksi;','Timba plastik tanggung;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1674,'47391577','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','159.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Suvenir/Cendera Mata;','Bunga papan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1675,'47391578','Belanja Pakaian Adat Daerah','42.500.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Pakaian Adat Daerah; Beban Pakaian Adat Daerah;','Belanja Pakaian Adat Daerah; Belanja Pakaian Adat Bondowoso (Bapak);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1676,'47391579','Belanja Sewa Electric Generating Set','14.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Sewa electric Generating Set;','Sewa Genset;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1677,'47391581','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','72.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Bagian Umum',2024,'1 Paket','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Sewa Kendaraan / Truk;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','Oktober 2024','Juli 2024','Juli 2024','2024-01-12 14:50:59.45','pemda-umum'),
(1678,'47523309','Belanja Bahan-Bahan Bakar dan Pelumas','81.150.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'1500 Liter','Bahan Bakar dan Pelumas','Minyak Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 14:38:34.42','pemda-umum'),
(1679,'50009369','Kendaraan Dinas Bermotor Perorangan','1.733.760.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Bagian Umum',2024,'3 Unit','Kendaraan Dinas Bermotor Perorangan','Station Wagon','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-20 14:07:15.462','pemda-umum'),
(1680,'47723025','Belanja Bahan-Bahan Bangunan dan Konstruksi','826.369.760','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','Spesifikasi di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 14:22:23.928','dbmsdabk'),
(1681,'47723813','Belanja Bahan-Bahan Baku','4.770.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Bahan-Bahan Baku (Mata Gergaji Chain Saw)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Mei 2024','Desember 2024','Januari 2024','April 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1682,'47723823','Peningkatan Saluran Drainase Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1683,'47723956','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','54.662.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1684,'47724005','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.958.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1685,'47724050','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1686,'47724204','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1687,'47724296','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','25.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1688,'47724355','Belanja Makanan dan Minuman Rapat','76.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1689,'47724418','Belanja Sewa Mebel','8.520.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Sewa Mebel','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1690,'47724473','Belanja Modal Alat Bengkel Bermesin Lainnya','26.500.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Bengkel Bermesin Lainnya (Chain Saw)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1691,'47724504','Belanja Modal Alat Produksi Perikanan','2.650.500','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Produksi Perikanan','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1692,'47724548','Belanja Modal Alat Pembersih','16.165.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Pembersih (Mesin Pemotong Rumput)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1693,'47724596','Belanja Modal Sepatu Lapangan','31.830.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Sepatu Lapangan','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(1694,'47724806','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1695,'47725076','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1696,'47725994','Pengawasan Teknis Jalan Wonosari - Patemon','71.460.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1697,'47726060','Peningkatan Saluran Drainase Jaringan Jalan Petung - Curahdami, Kec. Curahdami','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1698,'47726591','Belanja Bahan-Bahan Bangunan dan Konstruksi','2.000.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1699,'47726788','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','38.870.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:24:10.035','dbmsdabk'),
(1700,'47726849','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','32.451.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:24:10.035','dbmsdabk'),
(1701,'47727036','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1702,'47727071','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','15.900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1703,'47727124','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','7.430.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor (Mata Pisau Pemotong Rumput)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1704,'47727164','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','82.375.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas (Rompi dan Jas Hujan)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:24:10.035','dbmsdabk'),
(1705,'47727189','Belanja Makanan dan Minuman Rapat','188.840.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1706,'47727226','Belanja Sewa Mebel','3.840.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Sewa Mebel','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1707,'47727268','Belanja Modal Alat Bengkel Bermesin Lainnya','73.617.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Bengkel Bermesin Lainnya (Chain Saw)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1708,'47727317','Belanja Modal Alat Pembersih','80.825.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Pembersih (Mesin Pemoton Rumput)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1709,'47727348','Belanja Modal Sepatu Lapangan','79.575.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Sepatu Lapangan','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1710,'47727369','Belanja Modal Alat Pelindung Lainnya','112.100.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Pelindung Lainnya (Helm)','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-16 14:23:29.998','dbmsdabk'),
(1711,'47728237','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.716.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:22:51.586','dbmsdabk'),
(1712,'47728293','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','23.980.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:22:51.586','dbmsdabk'),
(1713,'47728321','Belanja Makanan dan Minuman Rapat','117.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 14:22:51.586','dbmsdabk'),
(1714,'47729651','Perencanaan Teknis Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer','49.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'14.4533987 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(1715,'47729853','Peningkatan Saluran Drainase Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1716,'47729897','Peningkatan Saluran Drainase Jaringan Jalan Curahdami - Sumber Tengah, Kec. Curahdami','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1717,'47729929','Peningkatan Saluran Drainase Jaringan Jalan Tamanan - Karang Melok, Kec. Tamanan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1718,'47729972','Peningkatan Saluran Drainase Jaringan Jalan Brigpol Sudarlan, Kec. Bondowoso','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1719,'47730041','Peningkatan Saluran Drainase Jaringan Jalan Supriyadi, Kec. Bondowoso','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1720,'47730069','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Petung - Curahdami, Kec. Curahdami','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1721,'47730072','Peningkatan Saluran Drainase Jaringan Jalan KIS Mangunsarkoro, Kec. Bondowoso','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1722,'47730094','Peningkatan Saluran Drainase Jaringan Jalan Veteran, Kec. Bondowoso','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1723,'47730122','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1724,'47730143','Peningkatan Saluran Drainase Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','146.835.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1725,'47730189','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Curahdami - Sumber Tengah, Kec. Curahdami','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1726,'47730451','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Tamanan - Karang Melok, Kec. Tamanan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1727,'47730465','Rekonstruksi Jalan Poros Timur Gunung - Dusun Dadapan, Kec. Sumberwringin','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1728,'47730734','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Brigpol Sudarlan, Kec. Bondowoso','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1729,'47730784','Rekonstruksi Jalan Poros Desa Sukokerto - Desa Sukowono, Kec. Pujer','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1730,'47730885','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Supriyadi, Kec. Bondowoso','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1731,'47730888','Rekonstruksi Jalan Poros Dusun Muncek Desa Wonosuko - SDN 02 Wonosuko, Kec. Tamanan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1732,'47730927','Rekonstruksi Jalan Poros Dusun Glintongan - Desa Tamanan, Kec. Tamanan','159.202.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1733,'47730979','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan KIS Mangunsarkoro, Kec. Bondowoso','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1734,'47730997','Rekonstruksi Jalan Poros Dusun Sumber Jati - Desa Pakuniran, Kec. Maesan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1735,'47731060','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Veteran, Kec. Bondowoso','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1736,'47731107','Rekonstruksi Jalan Poros Desa Dawuhan - Desa Wanisodo, Kec. Grujugan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1737,'47731138','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','6.525.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1738,'47731174','Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang, Kec. Tlogosari','142.885.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1739,'47731241','Rekonstruksi Jalan Poros Dusun Krajan II - Dusun Koanyar, Kec. Wonosari','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1740,'47731274','Pengawasan Teknis Pembangunan Jalan Lingkar Selatan (Pancoran dan Kejawan), Kec. Bondowoso','39.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1741,'47731280','Rekonstruksi Jalan Poros Desa Pandak - Dusun Menoran, Kec. Klabang','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1742,'47731334','Rekonstruksi Jalan Poros Desa Kladi - Dusun Kates, Kec. Cermee','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1743,'47731404','Rekonstruksi Jalan Poros Sempol - Banteng, Kec. Prajekan','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1744,'47731407','Pengawasan Teknis Rekonstruksi Jalan Poros Timur Gunung - Dusun Dadapan, Kec. Sumberwringin','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1745,'47731437','Rekonstruksi Jalan Poros Dusun Krajan - Dusun Taman, Kec. Tamanan','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1746,'47731504','Rekonstruksi Jalan Poros Dusun Krajan Utara - Grujugan Kidul, Kec. Grujugan','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1747,'47731536','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Sukokerto - Desa Sukowono, Kec. Pujer','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1748,'47731550','Rekonstruksi Jalan Poros Timur Curah - Giwang, Kec. Grujugan','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1749,'47731602','Jasa Konsultansi SID Irigasi Paket 1','62.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'18.2492408 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1750,'47731604','Rekonstruksi Jalan Poros Desa Wonosari - Dusun Klopo Sawit, Kec. Wonosari','85.147.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1751,'47731622','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Muncek Desa Wonosuko - SDN 02 Wonosuko, Kec. Tamanan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1752,'47731647','Rekonstruksi Jalan Poros Dusun Plasaan - Desa Wonosari, Kec. Wonosari','85.147.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1753,'47731648','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Glintongan - Desa Tamanan, Kec. Tamanan','7.075.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1754,'47731664','Jasa Konsultansi SID Irigasi Paket 2','45.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'13.1394534 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1755,'47731686','Rekonstruksi Jalan Poros Desa Sumberkoarah Kajar - Selat, Kec. Tenggarang','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1756,'47731722','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Sumber Jati - Desa Pakuniran, Kec. Maesan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1757,'47731731','Rekonstruksi Jalan Poros Desa Kesemek - Desa Mengok (Penahan Bahu Jalan), Kec. Tenggarang','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros (Penahan Bahu Jalan)','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1758,'47731751','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Dawuhan - Desa Wanisodo, Kec. Grujugan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1759,'47731775','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang, Kec. Tlogosari','6.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1760,'47731819','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan II - Dusun Koanyar, Kec. Wonosari','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1761,'47731830','Rekonstruksi Jalan Poros Dusun Krajan Kesemek - Kesemek Selatan, Kec. Tenggarang','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1762,'47731877','Rekonstruksi Jalan Poros Desa Nangnagkah tengah - krajan sukosari kidul, Kec. Sukosari','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1763,'47731881','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Pandak - Dusun Menoran, Kec. Klabang','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1764,'47731913','Rekonstruksi Jalan Poros Desa Batu Ampar, Kec. Cermee','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(1765,'47731914','Jasa Konsultansi SID Irigasi Paket 3','55.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'16.0593319 M3','SESUAI KAK','SESUAI KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1766,'47731945','Rekonstruksi Jalan Poros Desa Bercak Asri - Dusun Kladibatas, Kec. Cermee','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1767,'47731987','Jasa Konsultansi SID Irigasi Paket 4','70.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'20.4391497 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1768,'47732001','Rekonstruksi Jalan Poros Dusun Kosambih - Dusun Jugrug, Kec. Cermee','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1769,'47732031','Rekonstruksi Jalan Poros Dusun Krajan - Dusun Ampel, Kec. Cermee','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1770,'47732048','Alat Tulis Kantor','4.900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1.4307405 M3','sesuai Kak','sesuai Kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1771,'47732084','Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang 2, Kec. Tlogosari','108.676.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1772,'47732145','Rekonstruksi Jalan Poros Desa Sukowono, Kec. Pujer','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1773,'47732212','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Petung - Curahdami, Kec. Curahdami','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1774,'47732261','Makan dan minum rapat','5.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1.5329362 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:30:18.463','dbmsdabk'),
(1775,'47732307','Rekonstruksi Jalan Poros Sempol - Klekean, Kec. Botolinggo','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1776,'47732360','Rekonstruksi Jalan Poros Taman Krocok - Bosamba, Kec. Taman Krocok','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1777,'47732396','Rekonstruksi Jalan Poros Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1778,'47732437','Rekonstruksi Jalan Poros Sumberejo - Lerpenang, Kec. Sempol','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1779,'47732479','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Kladi - Dusun Kates, Kec. Cermee','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1780,'47732486','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1781,'47732548','Pengawasan Teknis Rekonstruksi Jalan Poros Sempol - Banteng, Kec. Prajekan','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1782,'47732564','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Curahdami - Sumber Tengah, Kec. Curahdami','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1783,'47732572','Rekonstruksi Jalan Poros Dusun Klompang - Dusun Jumas, Kec. Botolinggo','114.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1784,'47732596','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Taman, Kec. Tamanan','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1785,'47732610','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Tamanan - Karang Melok, Kec. Tamanan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1786,'47732623','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan Utara - Grujugan Kidul, Kec. Grujugan','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1787,'47732634','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Brigpol Sudarlan, Kec. Bondowoso','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1788,'47732641','Administrasi Teknis (AP) Rehab. Bang/Sal Jati Koong Kecamatan Pujer','3.600.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1.0511563 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(1789,'47732649','Pengawasan Teknis Rekonstruksi Jalan Poros Timur Curah - Giwang, Kec. Grujugan','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1790,'47732660','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Supriyadi, Kec. Bondowoso','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1791,'47732677','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Wonosari - Dusun Klopo Sawit, Kec. Wonosari','4.837.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1792,'47732683','Perencanaan Teknis Rehab. Bang/Sal Jati Koong Kecamatan Pujer','9.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2.8906797 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(1793,'47732695','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan KIS Mangunsarkoro, Kec. Bondowoso','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1794,'47732716','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Veteran, Kec. Bondowoso','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1795,'47732718','Rekonstruksi Jalan Poros Dusun Bidereh Lembah Tinggi - Dusun Bidereh Lembah Timur, Kec. Bondowoso','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1796,'47732721','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Plasaan - Desa Wonosari, Kec. Wonosari','4.837.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1797,'47732735','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','9.788.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Peningkatan Saluran Drainase Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:36:39.716','dbmsdabk'),
(1798,'47732747','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Sumberkoarah Kajar - Selat, Kec. Tenggarang','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1799,'47732758','Rekonstruksi Jalan Poros Desa Mandiro - Dusun Krajan, Kec. Tegalampel','88.334.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1800,'47732770','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Kesemek - Desa Mengok (Penahan Bahu Jalan), Kec. Tenggarang','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1801,'47732793','Rekonstruksi Jalan Poros Dusun Krajan - Dusun Sumber Kalong, Kec. Wonosari','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1802,'47732872','Rekonstruksi Jalan Poros Dusun Karang Tengah - Desa Grujugan Lor, Kec. Tenggarang','114.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1803,'47732939','Rekonstruksi Jalan Poros Dusun Taman Accem - Desa Lanas (Pengeprasan), Kec. Botolinggo','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1804,'47733009','Rekonstruksi Jalan Poros Dusun Plampang - Dusun Sappar Desa Bandilan, Kec. Prajekan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1805,'47733086','Rekonstruksi Jalan Poros Dusun Posong - Dusun Lengkong, Kec. Tapen','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1806,'47733151','Rekonstruksi Jalan Poros Dusun Kebon Agung - Dusun Lebrak (Penahan Bahu Jalan), Kec. Tapen','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros (Penahan Bahu Jalan)','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1807,'47733192','Rekonstruksi Jalan Poros Desa Sukodono - Desa Sukowono, Kec. Pujer','114.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1808,'47733408','Rekonstruksi Jalan Poros Sumber Balen - SDN Pakisan 3, Kec. Tlogosari','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1809,'47733473','Rekonstruksi Jalan Poros Dusun Pasar Pucang Anom - Sumber Anyar, Kec. Jambesari DS','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1810,'47733525','Rekonstruksi Jalan Poros Paguan Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1811,'47733566','Rekonstruksi Jalan Poros Dusun Leduk - Dusun Je\'eh, Kec. Tegalampel','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1812,'47733601','AP ATK Jasa KonsultansiPengelolaan SDA Kewenangan Kabupaten','18.480.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.1925 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1813,'47733603','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan Kesemek - Kesemek Selatan, Kec. Tenggarang','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1814,'47733611','Rekonstruksi Jalan Poros Desa Sumbertengah - Desa Purnama, Kec. Tegalampel','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1815,'47733668','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Nangnagkah tengah - krajan sukosari kidul, Kec. Sukosari','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1816,'47733670','Rekonstruksi Jalan Poros Dusun Batu Putih Petung - Dusun Penang Atap, Kec. Pakem','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jalan Poros','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1817,'47733682','AP Mamin Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten','17.248.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.179666666666667 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1818,'47733765','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Batu Ampar, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1819,'47733808','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Bercak Asri - Dusun Kladibatas, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1820,'47733844','Rekonstruksi Jaringan Jalan Gayam - Plesteran, Kec. Botolinggo','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1821,'47733882','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Kosambih - Dusun Jugrug, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1822,'47733934','Rekonstruksi Jaringan Jalan Wringin - Palinggihan, Kec. Wringin','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1823,'47733975','Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten Paket 1','80.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.833333333333333 Paket','Sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1824,'47733976','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Ampel, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1825,'47733989','Rekonstruksi Jaringan Jalan Kerang Jatirejo - Tegaljati, Kec. Sumberwringin','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1826,'47734032','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang 2, Kec. Tlogosari','4.830.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1827,'47734046','Rekonstruksi Jaringan Jalan Sumbercanting - Semampir, Kec. Wringin','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1828,'47734123','Rekonstruksi Jaringan Jalan Besuk - Karanganyar, Kec. Klabang','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1829,'47734125','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Sukowono, Kec. Pujer','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1830,'47734162','Pengawasan Teknis Rekonstruksi Jalan Poros Sempol - Klekean, Kec. Botolinggo','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1831,'47734169','Rekonstruksi Jaringan Jalan Walidono - Pacalan, Kec. Prajekan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1832,'47734214','Pengawasan Teknis Rekonstruksi Jalan Poros Taman Krocok - Bosamba, Kec. Taman Krocok','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1833,'47734231','Rekonstruksi Jaringan Jalan Tarum - Gayam, Kec. Prajekan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1834,'47734277','Rekonstruksi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1835,'47734306','Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten Paket 2','58.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.604166666666667 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1836,'47734307','Rekonstruksi Jaringan Jalan Locare - Tanggulangin, Kec. Tegalampel','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1837,'47734343','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1838,'47734344','Rekonstruksi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1839,'47734366','Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten Paket 3','42.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.442708333333333 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1840,'47734379','Rekonstruksi Jaringan Jalan Sukosari - Sembungan, Kec. Tamanan','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1841,'47734395','Pengawasan Teknis Rekonstruksi Jalan Poros Sumberejo - Lerpenang, Kec. Sempol','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1842,'47734399','Belanja Makanan dan Minuman Rapat Kue Kotak','3.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'200','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1843,'47734405','Rekonstruksi Jaringan Jalan Sumber Anyar - Sumber Pakem, Kec. Maesan','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1844,'47734412','Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten Paket 4','51.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.536458333333333 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1845,'47734431','Rekonstruksi Jaringan Jalan Gambangan - Suco Lor (Penahan Bahu Jalan), Kec. Maesan','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan (Penahan Bahu Jalan)','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1846,'47734439','Jasa Konsultansi Pengelolaan SDA Kewenangan Kabupaten Paket 5','40.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.416666666666667 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1847,'47734455','Belanja Makanan dan Minuman Rapat Nasi Kotak','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'200','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1848,'47734459','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Klompang - Dusun Jumas, Kec. Botolinggo','5.096.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1849,'47734491','Rekonstruksi Jaringan Jalan Mengok - Alas Sumur Tengah, Kec. Pujer','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1850,'47734507','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Bidereh Lembah Tinggi - Dusun Bidereh Lembah Timur, Kec. Bondowoso','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1851,'47734571','Rekonstruksi Jaringan Jalan Koncer - Darul Aman (Penahan Bahu Jalan), Kec. Tenggarang','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1852,'47734572','Jasa Konsultansi Pemetaan Luas Layanan Daerah Irigasi Paket 1','37.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.394791666666667 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1853,'47734607','Rekonstruksi Jaringan Jalan Sumber Salam - Pengarang, Kec. Tenggarang','176.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1854,'47734619','Jasa Konsultansi Pemetaan Luas Layanan Daerah Irigasi Paket 2','37.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.394791666666667 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1855,'47734634','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Mandiro - Dusun Krajan, Kec. Tegalampel','3.925.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1856,'47734635','Rekonstruksi Jaringan Jalan Tumpeng - Tenggir, Kec. Wonosari','74.879.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1857,'47734663','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pensil 2B','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'18','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1858,'47734689','Jasa Konsultansi Pemetaan Jaringan Irigasi Tersier Kewenangan Kab. Paket 1','69.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.7265625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1859,'47734743','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Bolpoint','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1860,'47734748','jasa Konsultansi Pemetaan Jaringan Irigasi Tersier Kewenangan Kab. Paket 2','69.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.7265625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1861,'47734758','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Sumber Kalong, Kec. Wonosari','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1862,'47734797','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Karang Tengah - Desa Grujugan Lor, Kec. Tenggarang','5.096.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1863,'47734798','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Tinta Stempel Artline/Gabus','125.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1864,'47734808','Pengadaan dan Pemasangan Patok Bench Mark dan Center Point Paket 2','27.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.290625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1865,'47734847','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stopmap Kertas Panda','115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'50','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1866,'47734848','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Taman Accem - Desa Lanas (Pengeprasan), Kec. Botolinggo','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1867,'47734851','Jasa Konsultansi Pemetaan Jaringan Irigasi Desa','74.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.775 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1868,'47734896','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stapler No. 3','26.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1869,'47734897','Pengadaan dan Pemasangan Patok Bench Mark dan Center Point Paket 1','27.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.290625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1870,'47734930','Pengadaan dan Pemasangan Patok Bench Mark dan Center Point Paket 3','27.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.290625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1871,'47734932','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stapler Hd 10','37.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1872,'47734972','Pengadaan dan Pemasangan Patok Bench Mark dan Center Point Paket 4','27.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.290625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1873,'47735019','Pengadaan dan Pemasangan Patok Bench Mark dan Center Point Paket 5','27.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.290625 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:29:36.709','dbmsdabk'),
(1874,'47735226','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Plampang - Dusun Sappar Desa Bandilan, Kec. Prajekan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1875,'47735250','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Posong - Dusun Lengkong, Kec. Tapen','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(1876,'47735281','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Kebon Agung - Dusun Lebrak (Penahan Bahu Jalan), Kec. Tapen','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1877,'47735306','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Sukodono - Desa Sukowono, Kec. Pujer','5.096.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1878,'47735342','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Isi Steples Kecil No 10','84.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1879,'47735416','Pengawasan Teknis Rekonstruksi Jalan Poros Sumber Balen - SDN Pakisan 3, Kec. Tlogosari','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1880,'47735454','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Isi Steples Besar No 3','110.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1881,'47735459','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Pasar Pucang Anom - Sumber Anyar, Kec. Jambesari DS','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1882,'47735480','Pengawasan Teknis Rekonstruksi Jalan Poros Paguan Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1883,'47735498','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Leduk - Dusun Je\'eh, Kec. Tegalampel','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1884,'47735524','Pengawasan Teknis Rekonstruksi Jalan Poros Desa Sumbertengah - Desa Purnama, Kec. Tegalampel','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1885,'47735539','Pengawasan Teknis Rekonstruksi Jalan Poros Dusun Batu Putih Petung - Dusun Penang Atap, Kec. Pakem','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jalan Poros','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1886,'47735570','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Alat Tulis Kantor Fotocopy','880.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2934','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1887,'47735575','Rehab. Bendung Pring Kecamatan Maesan','364.560.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'106.4470918 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:15:18.363','dbmsdabk'),
(1888,'47735594','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stamp Pad','21.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1889,'47735822','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor PlakBand Hitam 2 Inch','53.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1890,'47735836','Rehab. Bendung Batu Ampar 1 Kecamatan Pakem','364.560.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'106.4470918 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(1891,'47735891','Rekonstruksi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1892,'47735906','Pengawasan Teknis Pelebaran Jaringan Jalan Traktakan - Pasarejo, Kec. Wonosari','8.624.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1893,'47735907','Rekonstruksi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Binakal','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1894,'47735910','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Kertas HVS A4 70 Gr','1.287.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'22','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1895,'47735939','Pengawasan Teknis Pelebaran Jaringan Jalan Ramban Kulon - Bandilan, Kec. Cermee','6.664.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1896,'47735945','Rekonstruksi Jaringan Jalan Patemon- Petung, Kec. Pakem','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1897,'47735946','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover kertas HVS F4 70 gram','1.425.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'22','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1898,'47735951','Pengawasan Teknis Pelebaran Jaringan Jalan Grujugan - Tegal Mijin, Kec. Grujugan','7.056.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1899,'47735976','rekonstruksi Jaringan Jalan Sumber Dumpyong - Jeruk Sok-sok, Kec. Pakem','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1900,'47736087','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6644','397.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:37.782','dbmsdabk'),
(1901,'47736092','Rekonstruksi Jaringan Jalan Wonoboyo - Glundang, Kec. Klabang','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1902,'47736112','Pengawasan Teknis Pelebaran Jaringan Jalan Patemon - Sukosari, Kec. Sukosari','8.624.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1903,'47736114','Rekonstruksi Jaringan Jalan Sempol - Pedati, Kec. Ijen','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1904,'47736117','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6643','397.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1905,'47736137','Pengawasan Teknis Pelebaran Jaringan Jalan Bendelan - Ardisaeng, Kec. Binakal','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1906,'47736138','Rekonstruksi Jaringan Jalan Sempol - Jampit, Kec. Ijen','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1907,'47736149','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6642','397.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1908,'47736172','Rekonstruksi Jaringan Jalan Penanggungan - Tanah Wulan, Kec. Maesan','88.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1909,'47736173','Pengawasan Teknis Pelebaran Jaringan Jalan Botolinggo - Lumutan, Kec. Botolinggo','7.056.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1910,'47736197','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Hitam T 6641','397.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1911,'47736216','Rekonstruksi Jaringan Jalan Lombok Kulon - Pecalongan, Kec. Wonosari','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1912,'47736224','Perencanaan Teknis Rehab. Bendung Pring','17.640.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5.1506657 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:18.363','dbmsdabk'),
(1913,'47736233','Pengawasan Teknis Pelebaran Jaringan Jalan Grujugan - Jambesari, Kec. Jambesari DS','7.056.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Pelebaran Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1914,'47736247','Perencanaan Teknis Rehab. Bendung Batu Ampar 1','17.640.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5.1506657 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(1915,'47736250','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Catriedge Epson L210','663.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:28:03.064','dbmsdabk'),
(1916,'47736324','Pengawasan Teknis Rehabilitasi Jembatan Poros Dusun Sempolan - Desa Tlogosari, Kec. Tlogosari','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jembatan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1917,'47736520','Pengawasan Teknis Rehabilitasi Jembatan Poros Desa Dadapan, Kec. Grujugan','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jembatan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1918,'47736539','Pengawasan Teknis Rehabilitasi Jembatan Poros Desa Rejoagung, Kec. Sumberwringin','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jembatan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1919,'47736555','Pengawasan Teknis Rehabilitasi jembatan Desa Kerang, Kec. Sukosari','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jembatan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1920,'47736596','Rekonstruksi Jaringan Jalan Banyuwuluh - Ampelan, Kec. Wringin','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1921,'47736624','Rekonstruksi Jaringan Jalan MT. Haryono, Kec. Bondowoso','198.450.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1922,'47736639','Pengawasan Teknis Rehab. Bendung Pring','9.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2.861481 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:18.363','dbmsdabk'),
(1923,'47736648','Pengawasan Teknis Rekonstruksi Jaringan Jalan Gayam - Plesteran, Kec. Botolinggo','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1924,'47736670','Rekonstruksi Jaringan Jalan Baratan - Ardisaeng, Kec. Binakal','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1925,'47736690','Pengawasan Teknis Rekonstruksi Jaringan Jalan Wringin - Palinggihan, Kec. Wringin','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1926,'47736698','Rekonstruksi Jaringan Jalan Botolinggo - Lanas, Kec. Botolinggo','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1927,'47736709','Pengawasan Teknis Rehab. Bendung Batu Ampar 1','9.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2.861481 M3','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(1928,'47736720','Pengawasan Teknis Rekonstruksi Jaringan Jalan Kerang Jatirejo - Tegaljati, Kec. Sumberwringin','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1929,'47736726','Rekonstruksi Jaringan Jalan Lumutan - Pancur, Kec. Botolinggo','180.810.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1930,'47736727','Rekonstruksi Jaringan Jalan Lumutan - Pancur, Kec. Botolinggo','180.810.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1931,'47736789','Rekonstruksi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','180.810.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1932,'47736812','Rekonstruksi Jaringan Jalan Kladi - Kladi Batas, Kec. Cermee','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1933,'47736848','Rekonstruksi Jaringan Jalan Taman - Grujugan, Kec. Grujugan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1934,'47736860','Rekonstruksi Jaringan Jalan Pengarang - Jambeanom, Kec. Jambesari DS','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1935,'47736921','Rekonstruksi Jaringan Jalan Sumber Kemuning - Jambesari, Kec. Jambesari DS','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1936,'47736937','Rekonstruksi Jaringan Jalan Karanganyar - Alas Lanjang, Kec. Klabang','198.450.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1937,'47736979','Rekonstruksi Jaringan Jalan Suger Lor - Gedangan, Kec. Maesan','123.480.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1938,'47737014','Rekonstruksi Jaringan Jalan Sumber Pakem - Sumber Kalong (Penahan Bahu Jalan), Kec. Maesan','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan (Penahan Bahu Jalan)','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1939,'47737017','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumbercanting - Semampir, Kec. Wringin','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1940,'47737032','Rekonstruksi Jaringan Jalan Bukor - Gadingsari, Kec. Pakem','123.480.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1941,'47737058','Rekonstruksi Jaringan Jalan Sempol - Bandilan Batas, Kec. Prajekan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1942,'47737071','Pengawasan Teknis Rekonstruksi Jaringan Jalan Besuk - Karanganyar, Kec. Klabang','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1943,'47737085','Rekonstruksi Jaringan Jalan Tangsil - Kejayan, Kec. Pujer','123.480.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1944,'47737119','Rekonstruksi Jaringan Jalan Sukorejo - Plampang, Kec. Sumberwringin','114.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1945,'47737125','Rekonstruksi Jaringan Jalan Sukosari Lor - Sukosari Kidul, Kec. Sukosari','105.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1946,'47737134','Pengawasan Teknis Rekonstruksi Jaringan Jalan Walidono - Pacalan, Kec. Prajekan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1947,'47737137','Rekonstruksi Jaringan Jalan Pasarejo - Bendoarum, Kec. Wonosari','194.040.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1948,'47737145','Pengawasan Teknis Rekonstruksi Jaringan Jalan Tarum - Gayam, Kec. Prajekan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1949,'47737147','Rekonstruksi Jaringan Jalan Taman - Gentong, Kec. Taman Krocok','184.948.300','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1950,'47737170','Pengawasan Teknis Rekonstruksi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1951,'47737171','Rekonstruksi Jaringan Jalan Poler - Pagar Gunung, Kec. Tegalampel','146.974.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1952,'47737181','Pengawasan Teknis Rekonstruksi Jaringan Jalan Locare - Tanggulangin, Kec. Tegalampel','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1953,'47737182','Rekonstruksi Jaringan Jalan Taman - Pancoran, Kec. Grujugan','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1954,'47737217','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1955,'47737290','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sukosari - Sembungan, Kec. Tamanan','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1956,'47737300','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumber Anyar - Sumber Pakem, Kec. Maesan','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1957,'47737320','Pengawasan Teknis Rekonstruksi Jaringan Jalan Gambangan - Suco Lor (Penahan Bahu Jalan), Kec. Maesan','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1958,'47737337','Pengawasan Teknis Rekonstruksi Jaringan Jalan Mengok - Alas Sumur Tengah, Kec. Pujer','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1959,'47737362','Pengawasan Teknis Rekonstruksi Jaringan Jalan Koncer - Darul Aman (Penahan Bahu Jalan), Kec. Tenggarang','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1960,'47737386','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumber Salam - Pengarang, Kec. Tenggarang','7.840.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1961,'47737401','Pengawasan Teknis Rekonstruksi Jaringan Jalan Tumpeng - Tenggir, Kec. Wonosari','4.254.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1962,'47737470','Pengawasan Teknis Rekonstruksi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1963,'47737500','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Binakal','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1964,'47737530','Pengawasan Teknis Rekonstruksi Jaringan Jalan Patemon- Petung, Kec. Pakem','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1965,'47737554','Pengawasan Teknis rekonstruksi Jaringan Jalan Sumber Dumpyong - Jeruk Sok-sok, Kec. Pakem','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1966,'47737572','Pengawasan Teknis Rekonstruksi Jaringan Jalan Wonoboyo - Glundang, Kec. Klabang','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1967,'47737585','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sempol - Pedati, Kec. Ijen','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1968,'47737589','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sempol - Jampit, Kec. Ijen','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1969,'47737600','Pengawasan Teknis Rekonstruksi Jaringan Jalan Penanggungan - Tanah Wulan, Kec. Maesan','3.920.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1970,'47737612','Pengawasan Teknis Rekonstruksi Jaringan Jalan Lombok Kulon - Pecalongan, Kec. Wonosari','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1971,'47737705','Pengawasan Teknis Rekonstruksi Jaringan Jalan Banyuwuluh - Ampelan, Kec. Wringin','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1972,'47737720','Pengawasan Teknis Rekonstruksi Jaringan Jalan MT. Haryono, Kec. Bondowoso','8.820.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1973,'47737729','Pengawasan Teknis Rekonstruksi Jaringan Jalan Brig.Pol. Sudarlan, Kec. Bondowoso','16.170.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1974,'47737781','Pengawasan Teknis Rekonstruksi Jaringan Jalan Baratan - Ardisaeng, Kec. Binakal','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1975,'47737796','Pengawasan Teknis Rekonstruksi Jaringan Jalan Botolinggo - Lanas, Kec. Botolinggo','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1976,'47737804','Pengawasan Teknis Rekonstruksi Jaringan Jalan Lumutan - Pancur, Kec. Botolinggo','8.036.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1977,'47737812','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','8.036.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1978,'47737819','Perencanaan Teknis Rekonstruksi Jalan Poros Timur Gunung - Dusun Dadapan, Kec. Sumberwringin','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1979,'47737823','Pengawasan Teknis Rekonstruksi Jaringan Jalan Kladi - Kladi Batas, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1980,'47737828','Pengawasan Teknis Rekonstruksi Jaringan Jalan Taman - Grujugan, Kec. Grujugan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1981,'47737829','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Sukokerto - Desa Sukowono, Kec. Pujer','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1982,'47737836','Pengawasan Teknis Rekonstruksi Jaringan Jalan Pengarang - Jambeanom, Kec. Jambesari DS','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1983,'47737837','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Muncek Desa Wonosuko - SDN 02 Wonosuko, Kec. Tamanan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1984,'47737847','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumber Kemuning - Jambesari, Kec. Jambesari DS','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1985,'47737851','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Glintongan - Desa Tamanan, Kec. Tamanan','10.613.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1986,'47737856','Pengawasan Teknis Rekonstruksi Jaringan Jalan Karanganyar - Alas Lanjang, Kec. Klabang','8.820.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1987,'47737861','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Sumber Jati - Desa Pakuniran, Kec. Maesan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1988,'47737862','Pengawasan Teknis Rekonstruksi Jaringan Jalan Suger Lor - Gedangan, Kec. Maesan','5.488.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1989,'47737863','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Dawuhan - Desa Wanisodo, Kec. Grujugan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(1990,'47737878','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang, Kec. Tlogosari','9.525.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1991,'47737879','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sumber Pakem - Sumber Kalong (Penahan Bahu Jalan), Kec. Maesan','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1992,'47737891','Pengawasan Teknis Rekonstruksi Jaringan Jalan Bukor - Gadingsari, Kec. Pakem','5.488.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1993,'47737893','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan II - Dusun Koanyar, Kec. Wonosari','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1994,'47737901','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Pandak - Dusun Menoran, Kec. Klabang','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1995,'47737903','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sempol - Bandilan Batas, Kec. Prajekan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1996,'47737905','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Kladi - Dusun Kates, Kec. Cermee','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1997,'47737912','Pengawasan Teknis Rekonstruksi Jaringan Jalan Tangsil - Kejayan, Kec. Pujer','5.488.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1998,'47737915','Perencanaan Teknis Rekonstruksi Jalan Poros Sempol - Banteng, Kec. Prajekan','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(1999,'47737926','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Taman, Kec. Tamanan','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2000,'47737928','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sukorejo - Plampang, Kec. Sumberwringin','5.096.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2001,'47737937','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan Utara - Grujugan Kidul, Kec. Grujugan','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2002,'47737938','Pengawasan Teknis Rekonstruksi Jaringan Jalan Sukosari Lor - Sukosari Kidul, Kec. Sukosari','4.704.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2003,'47737939','Perencanaan Teknis Rekonstruksi Jalan Poros Timur Curah - Giwang, Kec. Grujugan','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2004,'47737944','Pengawasan Teknis Rekonstruksi Jaringan Jalan Pasarejo - Bendoarum, Kec. Wonosari','8.624.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2005,'47737945','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Wonosari - Dusun Klopo Sawit, Kec. Wonosari','6.772.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2006,'47737965','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Plasaan - Desa Wonosari, Kec. Wonosari','6.772.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2007,'47737966','Pengawasan Teknis Rekonstruksi Jaringan Jalan Taman - Gentong, Kec. Taman Krocok','8.624.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2008,'47737974','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Sumberkoarah Kajar - Selat, Kec. Tenggarang','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:28:23.518','dbmsdabk'),
(2009,'47737975','Pengawasan Teknis Rekonstruksi Jaringan Jalan Poler - Pagar Gunung, Kec. Tegalampel','6.532.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2010,'47737984','Pengawasan Teknis Rekonstruksi Jaringan Jalan Taman - Pancoran, Kec. Grujugan','5.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rekonstruksi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2011,'47737986','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Kesemek - Desa Mengok (Penahan Bahu Jalan), Kec. Tenggarang','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2012,'47741668','Administrasi Teknis (AP) Rehab. Bang/Sal Sbr. Gedangan Kecamatan Maesan','3.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1.0219575 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(2013,'47742527','Pelebaran Jaringan Jalan Traktakan - Pasarejo, Kec. Wonosari','194.040.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2014,'47742802','Pelebaran Jaringan Jalan Ramban Kulon - Bandilan, Kec. Cermee','149.940.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2015,'47742803','Pengawasan Teknis Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukokerto, Kec. Pujer','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2016,'47742886','Pengawasan Teknis Rehabilitasi Jaringan Jalan Patemon - Jebung Lor, Kec. Tlogosari','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2017,'47742914','Pelebaran Jaringan Jalan Grujugan - Tegal Mijin, Kec. Grujugan','158.760.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2018,'47743013','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pakisan - Maskuning, Kec. Pujer','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2019,'47743120','Pelebaran Jaringan Jalan Patemon - Sukosari, Kec. Sukosari','194.040.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2020,'47743127','Pengawasan Teknis Rehabilitasi Jaringan Jalan Tlogosari - Maskuning, Kec. Pujer','6.860.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2021,'47743406','Pengawasan Teknis Rehabilitasi Jaringan Jalan Tamanan - Wonosuko, Kec. Tamanan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2022,'47743424','Pelebaran Jaringan Jalan Bendelan - Ardisaeng, Kec. Binakal','132.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2023,'47743621','Pengawasan Teknis Rehabilitasi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2024,'47743846','Pelebaran Jaringan Jalan Botolinggo - Lumutan, Kec. Botolinggo','158.760.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2025,'47743972','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pekauman - Sumber Pandan, Kec. Grujugan','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2026,'47744045','Pelebaran Jaringan Jalan Grujugan - Jambesari, Kec. Jambesari DS','158.760.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pelebaran Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2027,'47744165','Pengawasan Teknis Rehabilitasi Jaringan Jalan Taman - Pekauman, Kec. Grujugan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2028,'47744294','Rehabilitasi Jembatan Poros Dusun Sempolan - Desa Tlogosari, Kec. Tlogosari','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jembatan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2029,'47744382','Pengawasan Teknis Rehabilitasi Jaringan Jalan Taman - Dawuhan, Kec. Grujugan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2030,'47744475','Rehabilitasi Jembatan Poros Desa Dadapan, Kec. Grujugan','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jembatan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2031,'47744709','Rehabilitasi Jembatan Poros Desa Rejoagung, Kec. Sumberwringin','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jembatan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2032,'47744754','Pengawasan Teknis Rehabilitasi Jaringan Jalan Jatian - Sumberanyar, Kec. Maesan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2033,'47744890','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pejagan - Pujer, Kec. Jambesari Ds','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2034,'47744951','Rehabilitasi jembatan Desa Kerang, Kec. Sukosari','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi jembatan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2035,'47744994','Pengawasan Teknis Rehabilitasi Jaringan Jalan Dadapan - Mangir, Kec. Grujugan','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2036,'47745151','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pasarejo - Keceng, Kec. Wonosari','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2037,'47745245','Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukokerto, Kec. Pujer','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2038,'47745366','Pengawasan Teknis Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukowono, Kec. Pujer','5.703.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2039,'47745461','Rehabilitasi Jaringan Jalan Patemon - Jebung Lor, Kec. Tlogosari','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2040,'47745653','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pecalongan - Barat Gunung, Kec. Sukosari','3.430.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2041,'47745791','Rehabilitasi Jaringan Jalan Pakisan - Maskuning, Kec. Pujer','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2042,'47746030','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2043,'47746134','Rehabilitasi Jaringan Jalan Tlogosari - Maskuning, Kec. Pujer','178.360.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2044,'47746849','Rehabilitasi Jaringan Jalan Tamanan - Wonosuko, Kec. Tamanan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2045,'47746876','Pengawasan Teknis Rehabilitasi Jaringan Jalan Cangkring - Walidono, Kec. Prajekan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2046,'47747326','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sumber Gading - Sumber Wringin, Kec. Sumber Wringin','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2047,'47747490','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sukosari - Karang Melok, Kec. Tamanan','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2048,'47748285','Rehabilitasi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2049,'47748287','Pengawasan Teknis Rehabilitasi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2050,'47748675','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sumber Salam - Kajar, Kec. Tenggarang','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2051,'47748683','Rehabilitasi Jaringan Jalan Pekauman - Sumber Pandan, Kec. Grujugan','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2052,'47748697','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fotocopy','2.901.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'9671.66666666667','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2053,'47748992','Rehabilitasi Jaringan Jalan Taman - Pekauman, Kec. Grujugan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2054,'47749017','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2055,'47749205','Pengawasan Teknis Rehabilitasi Jaringan Jalan Wonosroyo - Lombok Kulon, Kec. Wonosari','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2056,'47749441','Rehabilitasi Jaringan Jalan Taman - Dawuhan, Kec. Grujugan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2057,'47749536','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan Kesemek - Kesemek Selatan, Kec. Tenggarang','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2058,'47749581','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Bolpoint','150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2059,'47749605','Alat Tulis Kantor (Rehab. Bendung Pring)','1.277.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(2060,'47749713','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Curahdami','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2061,'47749746','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Nangnagkah tengah - krajan sukosari kidul, Kec. Sukosari','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2062,'47749793','Rehabilitasi Jaringan Jalan Jatian - Sumberanyar, Kec. Maesan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2063,'47749987','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Isi Steples Kecil No 10','282.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2064,'47750060','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Batu Ampar, Kec. Cermee','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2065,'47750138','Rehabilitasi Jaringan Jalan Pejagan - Pujer, Kec. Jambesari Ds','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2066,'47750154','Pengawasan Teknis Rehabilitasi Jaringan Jalan Loji - Campoan, Kec. Tapen','5.145.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2067,'47750373','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Bercak Asri - Dusun Kladibatas, Kec. Cermee','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2068,'47750400','Makan dan minum rapat (Rehab. Bendung Pring)','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','Makan dan minum','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:18.363','dbmsdabk'),
(2069,'47750414','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pensil 2B','288.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'40','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2070,'47750438','Rehabilitasi Jaringan Jalan Dadapan - Mangir, Kec. Grujugan','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2071,'47750707','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Kosambih - Dusun Jugrug, Kec. Cermee','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2072,'47750821','Cetak (Rehab. Bendung Pring)','162.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','cetak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:18.363','dbmsdabk'),
(2073,'47750876','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor PlakBand Hitam 2 Inch','106.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'4','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2074,'47751076','Rehabilitasi Jaringan Jalan Pasarejo - Keceng, Kec. Wonosari','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2075,'47751118','Pengawasan Teknis Rehabilitasi Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','6.174.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2076,'47751234','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stapler Hd 10','75.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'4','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2077,'47751238','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Ampel, Kec. Cermee','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2078,'47751471','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Stopmap Kertas Panda','257.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'112','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2079,'47751506','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Panggeng - Desa Brambang 2, Kec. Tlogosari','7.245.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2080,'47751762','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Tinta Stempel','296.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'4','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2081,'47752270','Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukowono, Kec. Pujer','148.298.400','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2082,'47752328','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Kertas HVS A4 70 Gr','2.047.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'35','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2083,'47752464','Alat Tulis Kantor (Rehab. Bendung Batu Ampar 1)','1.277.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','Alat Tulis Kantor','SESUAI KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(2084,'47752694','Rehabilitasi Jaringan Jalan Pecalongan - Barat Gunung, Kec. Sukosari','89.180.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2085,'47752759','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover kertas HVS F4 70 gram','2.268.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'35','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2086,'47752894','Pengawasan Teknis Rehabilitasi Jaringan Jalan Cermee - Bercak - Kladi, Kec. Cermee','4.630.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2087,'47753112','Pengawasan Teknis Rehabilitasi Jaringan Jalan Pejagan - Tegalmijin, Kec. Grujugan','4.116.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2088,'47753258','Rehabilitasi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2089,'47753347','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Hitam T 6641','795.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2090,'47753521','Pengawasan Teknis Rehabilitasi Jaringan Jalan Klabang - Wonoboyo, Kec. Klabang','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2091,'47753614','Rehabilitasi Jaringan Jalan Cangkring - Walidono, Kec. Prajekan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2092,'47753752','Pengawasan Teknis Rehabilitasi Jaringan Jalan Patemon - Petung, Kec. Pakem','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2093,'47754027','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6644','795.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2094,'47754043','Rehabilitasi Jaringan Jalan Sumber Gading - Sumber Wringin, Kec. Sumber Wringin','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2095,'47754109','Pengawasan Teknis Rehabilitasi Jaringan Jalan Prajekan - Cermee, Kec. Prajekan','7.546.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2096,'47754363','Rehabilitasi Jaringan Jalan Sukosari - Karang Melok, Kec. Tamanan','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2097,'47754412','Makan dan minum rapat (Rehab. Bendung Batu Ampar 1)','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','Makan dan minum rapat','Sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(2098,'47754517','Rehabilitasi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2099,'47754729','cetak (Rehab. Bendung Batu Ampar 1)','162.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','cetak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:15:53.405','dbmsdabk'),
(2100,'47755219','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6643','795.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2101,'47755585','Rehab. Bang/Sal Batu Kecamatan Tenggarang','178.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'51.9738379 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:22:56.661','dbmsdabk'),
(2102,'47756106','Rehabilitasi Jaringan Jalan Sumber Salam - Kajar, Kec. Tenggarang','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2103,'47756261','Pengawasan Teknis Rehabilitasi Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2104,'47756386','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Tinta Epson Warna T 6642','795.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2105,'47756630','Rehabilitasi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2106,'47756847','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Catriedge Epson L210','1.326.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2107,'47756982','Perencanaan Teknis Rehab. Bang/Sal Batu Kecamatan Tenggarang','11.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3.2118664 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:22:56.661','dbmsdabk'),
(2108,'47757047','Rehabilitasi Jaringan Jalan Wonosroyo - Lombok Kulon, Kec. Wonosari','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2109,'47757085','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sukosari Lor - Koanyar, Kec. Sukosari','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2110,'47757469','Belanja Makanan dan Minuman Rapat Kue Kotak','13.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'800','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2111,'47757675','Rehabilitasi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Curahdami','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2112,'47757862','Pengawasan Teknis Rehabilitasi Jaringan Jalan Trebungan - Sumberkokap, Kec. Taman Krocok','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2113,'47758059','Pengawasan Teknis Rehabilitasi Jaringan Jalan Kali Tapen - Gunung Anyar, Kec. Tapen','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2114,'47758150','Pengawasan Teknis Rehab. Bang/Sal Batu Kecamatan Tenggarang','7.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2.043915 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:22:56.661','dbmsdabk'),
(2115,'47758260','Pengawasan Teknis Rehabilitasi Jaringan Jalan Sekarputih - Pejaten, Kec. Tegalampel','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2116,'47758393','Belanja Makanan dan Minuman Rapat Nasi Kotak Biasa','24.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'800','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2117,'47758424','Rehabilitasi Jaringan Jalan Loji - Campoan, Kec. Tapen','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2118,'47758981','Pengawasan Teknis Rehabilitasi Jaringan Jalan Bataan - Bunduh Krajan, Kec. Tenggarang','4.362.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2119,'47759060','Rehabilitasi Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','160.524.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2120,'47759273','Pengawasan Teknis Rehabilitasi Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2121,'47759355','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia - Honorarium Pengajar yang berasal dari luar satuan kerja perangkat daerah penyelenggara','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'20','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2122,'47759787','Rehabilitasi Jaringan Jalan Jend. Pol. Sucipto Y., Kec. Bondowoso','133.770.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2123,'47760361','Rehabilitasi Jaringan Jalan Cermee - Bercak - Kladi, Kec. Cermee','120.394.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2124,'47760536','Pengawasan Teknis Rehabilitasi Jaringan Jalan Wonosari - Kloposawit, Kec. Tlogosari','4.116.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2125,'47760752','Rehabilitasi Jaringan Jalan Pejagan - Tegalmijin, Kec. Grujugan','107.016.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2126,'47760776','Pengawasan Teknis Rehabilitasi Jaringan Jalan Lombok Wetan - Kerang, Kec. Wonosari','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2127,'47761074','Pengawasan Teknis Rehabilitasi Jaringan Jalan Wringin - Pakem, Kec. Wringin','4.802.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Jaringan Jalan','Sesuai dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2128,'47762285','Makan dan Minum Rapat (Rehab. Bang/Sal Batu Kec. Tenggarang)','500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.145993926652651 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:22:01.899','dbmsdabk'),
(2129,'47762570','Rehabilitasi Jaringan Jalan Klabang - Wonoboyo, Kec. Klabang','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2130,'47762616','Alat Tulis Kantor (Rehab. Bang/Sal Batu Kec. Tenggarang)','677.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.19770497547302 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:22:01.899','dbmsdabk'),
(2131,'47762885','Rehabilitasi Jaringan Jalan Patemon - Petung, Kec. Pakem','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2132,'47762899','Cetak (Rehab. Bang/Sal Batu Kec. Tenggarang)','162.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.0475648213034338 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(2133,'47763431','Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer','1.001.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'292.2798412 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(2134,'47763443','Rehabilitasi Jaringan Jalan Prajekan - Cermee, Kec. Prajekan','196.196.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2135,'47763971','Perencanaan Teknis Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer','49.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'14.4533987 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(2136,'47764588','Pengawasan Teknis Rehab. Bang/Sal Pakisan (BP 5) Kecamatan Pujer','27.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'8.029666 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(2137,'47764690','Rehabilitasi Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2138,'47764712','Belanja Jasa Konsultansi Perencanaan Rekayasa-Jasa Desain Rekayasa untuk Pekerjaan Teknik Sipil Air - Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 8','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2139,'47765092','Makan dan Minum Rapat (Rehab. Bang/Sal Pakisan (BP 5) Kec. Pujer)','3.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.893482831114226 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(2140,'47765144','Rehabilitasi Jaringan Jalan Sukosari Lor - Koanyar, Kec. Sukosari','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2023','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2141,'47765972','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Sukowono, Kec. Pujer','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2142,'47766006','Rehabilitasi Jaringan Jalan Trebungan - Sumberkokap, Kec. Taman Krocok','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2143,'47766404','Alat Tulis Kantor (Rehab. Bang/Sal Pakisan (BP 5) Kec. Pujer)','4.777.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1.39485517402476 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(2144,'47766492','Perencanaan Teknis Rekonstruksi Jalan Poros Sempol - Klekean, Kec. Botolinggo','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2145,'47766772','Perencanaan Teknis Rekonstruksi Jalan Poros Taman Krocok - Bosamba, Kec. Taman Krocok','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2146,'47766959','Cetak (Rehab. Bang/Sal Pakisan (BP 5) Kec. Pujer)','162.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'0.0475648213034338 M3','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:23:36.358','dbmsdabk'),
(2147,'47767102','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2148,'47767407','Perencanaan Teknis Rekonstruksi Jalan Poros Sumberejo - Lerpenang, Kec. Ijen','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2149,'47768216','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Klompang - Dusun Jumas, Kec. Botolinggo','7.644.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2150,'47768625','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Bidereh Lembah Tinggi - Dusun Bidereh Lembah Timur, Kec. Bondowoso','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2151,'47769044','Jasa KonsultansiPembuatan Dokumen PSETK Hippa Paket 1','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2152,'47769062','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Mandiro - Dusun Krajan, Kec. Tegalampel','5.888.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2153,'47769302','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Krajan - Dusun Sumber Kalong, Kec. Wonosari','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2154,'47769521','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 2','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2155,'47769546','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Karang Tengah - Desa Grujugan Lor, Kec. Tenggarang','7.644.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2156,'47769764','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Taman Accem - Desa Lanas (Pengeprasan), Kec. Botolinggo','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2157,'47770079','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Plampang - Dusun Sappar Desa Bandilan, Kec. Prajekan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2158,'47770275','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 3','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2159,'47770313','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Posong - Dusun Lengkong, Kec. Tapen','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2160,'47770532','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Kebon Agung - Dusun Lebrak (Penahan Bahu Jalan), Kec. Tapen','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2161,'47770789','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 4','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2162,'47770825','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Sukodono - Desa Sukowono, Kec. Pujer','7.644.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2163,'47771049','Perencanaan Teknis Rekonstruksi Jalan Poros Sumber Balen - SDN Pakisan 3, Kec. Tlogosari','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:26:19.506','dbmsdabk'),
(2164,'47771264','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 5','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2165,'47771527','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Pasar Pucang Anom - Sumber Anyar, Kec. Jambesari DS','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2166,'47771847','Perencanaan Teknis Rekonstruksi Jalan Poros Paguan Dusun Krajan - Dusun Bujur, Kec. Taman Krocok','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2167,'47771899','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 6','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2168,'47771947','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Sub Kegiatan Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','587.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 107,si Stapler Kecil No.10,Ordner Besar,PlakBand Kraf 2 Inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2169,'47772086','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Leduk - Dusun Je\'eh, Kec. Tegalampel','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2170,'47772344','Perlengkapan Dinas - Rompi','24.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'40','sesuai KAK','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Februari 2024','2024-01-16 18:15:03.193','dbmsdabk'),
(2171,'47772363','Perencanaan Teknis Rekonstruksi Jalan Poros Desa Sumbertengah - Desa Purnama, Kec. Tegalampel','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2172,'47772405','Jasa Konsultansi Pembuatan Dokumen PSETK HPPA Paket 7','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 paket','sesuai kak','sesuai kak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-16 19:28:18.728','dbmsdabk'),
(2173,'47772648','Perencanaan Teknis Rekonstruksi Jalan Poros Dusun Batu Putih Petung - Dusun Penang Atap, Kec. Pakem','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jalan Poros','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2174,'47773123','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Sub Kegiatan Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','1.847.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2175,'47773896','Perencanaan Teknis Rekonstruksi Jaringan Jalan Gayam - Plesteran, Kec. Botolinggo','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2176,'47774371','Perencanaan Teknis Rekonstruksi Jaringan Jalan Wringin - Palinggihan, Kec. Wringin','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2177,'47774642','Perencanaan Teknis Rekonstruksi Jaringan Jalan Kerang Jatirejo - Tegaljati, Kec. Sumberwringin','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2178,'47774851','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumbercanting - Semampir, Kec. Wringin','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2179,'47775196','Perencanaan Teknis Rekonstruksi Jaringan Jalan Besuk - Karanganyar, Kec. Klabang','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2180,'47775428','Perencanaan Teknis Rekonstruksi Jaringan Jalan Walidono - Pacalan, Kec. Prajekan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2181,'47775482','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Sub Kegiatan Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','1.119.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2182,'47775669','Perencanaan Teknis Rekonstruksi Jaringan Jalan Tarum - Gayam, Kec. Prajekan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2183,'47776253','Perencanaan Teknis Rekonstruksi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2184,'47776545','Perencanaan Teknis Rekonstruksi Jaringan Jalan Locare - Tanggulangin, Kec. Tegalampel','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2185,'47776982','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2186,'47777305','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sukosari - Sembungan, Kec. Tamanan','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2187,'47777584','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumber Anyar - Sumber Pakem, Kec. Maesan','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2188,'47777897','Perencanaan Teknis Rekonstruksi Jaringan Jalan Gambangan - Suco Lor (Penahan Bahu Jalan), Kec. Maesan','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2189,'47778433','Perencanaan Teknis Rekonstruksi Jaringan Jalan Mengok - Alas Sumur Tengah, Kec. Pujer','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2190,'47778634','Perencanaan Teknis Rekonstruksi Jaringan Jalan Koncer - Darul Aman (Penahan Bahu Jalan), Kec. Tenggarang','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2191,'47778921','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumber Salam - Pengarang, Kec. Tenggarang','11.760.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2192,'47779241','Perencanaan Teknis Rekonstruksi Jaringan Jalan Tumpeng - Tenggir, Kec. Wonosari','5.956.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2193,'47780436','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Sub Kegiatan Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','1.002.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint,Isi Steples Kecil No 10,Tipe-x,Buku Tulis Agenda','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2194,'47783276','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Sub Kegiatan Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','648.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2195,'47784384','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Sub Kegiatan Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','397.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Hitam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2196,'47788944','Penyediaan Peralatan dan Perlengkapan Kantor','9.856.300','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Pendingin; Alat Pendingin; Alat Pendingin;','Ac Split 1Ã‚Â½ Pk Daikin Ft-35Fte Standard Series, Quite Operation, Auto Fan Speed; Exhaust Kdk 25Asb; Ac Split 1Ã‚Â½ Pk Daikin Ft-35Fte Standard Series, Quite Operation, Auto Fan Speed;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2197,'47791233','Beban Makanan dan Minuman Rapat','3.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'200 Orang / Paket / Pekerjaan','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2198,'47791235','Alat Tulis Kantor','125.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Buah','Alat Tulis Kantor;','Reffill Tinta White Board Hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2199,'47791237','Alat Tulis Kantor','37.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Pak','Alat Tulis Kantor;','Paper Clip No. 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2200,'47791239','Alat Tulis Kantor','567.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Pak','Alat Tulis Kantor;','Snelhecter Map Jenis Kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2201,'47791241','Alat Tulis Kantor','282.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Pak','Alat Tulis Kantor;','Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2202,'47791243','Alat Tulis Kantor','71.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Pak','Alat Tulis Kantor;','Paper Clip Jumbo 5;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2203,'47791244','Beban Makanan dan Minuman Rapat','6.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'200 Orang / Paket / Pekerjaan','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2204,'47791245','Alat Tulis Kantor','459.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'17 Buah','Alat Tulis Kantor;','Isi Ball Point Pentel Mgb;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2205,'47791246','Bahan Komputer','1.352.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Buah','Bahan Komputer;','Tinta Pg-40 Black, Tinta Canon;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2206,'47791247','Bahan Komputer','890.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'7 Buah','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2207,'47791248','Bahan Komputer','397.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Buah','Bahan Komputer;','Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2208,'47791249','Alat Tulis Kantor','80.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Buah','Alat Tulis Kantor;','Spidol Marker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2209,'47791250','Alat Tulis Kantor','133.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Pak','Alat Tulis Kantor;','Tipe-x;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2210,'47791251','Alat Tulis Kantor','670.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Pack','Alat Tulis Kantor;','Stopmap Kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2211,'47791252','Alat Tulis Kantor','253.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Tinta Stempel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2212,'47791254','Alat Tulis Kantor','870.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Buah','Alat Tulis Kantor;','Odner Besar (forte);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2213,'47791255','Alat Tulis Kantor','129.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Buah','Alat Tulis Kantor;','Map Plastik Folio 240/190;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2214,'47791257','Alat Tulis Kantor','129.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Buah','Alat Tulis Kantor;','Cutter (Refil Isi Cutter) Besar Merk L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2215,'47791260','Alat Tulis Kantor','407.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2216,'47791262','Kertas dan Cover','200.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Pak','Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2217,'47791264','Alat Tulis Kantor','118.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Buah','Alat Tulis Kantor;','Cutter Besar Merk Kenko L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2218,'47791266','Alat Tulis Kantor','82.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'20 Pak','Alat Tulis Kantor;','Binder Clip No. 105;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2219,'47791267','Alat Tulis Kantor','213.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2220,'47791268','Kertas dan Cover','1.944.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2221,'47797958','Belanja Bahan-Bahan Bakar dan Pelumas','872.300','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(2222,'47797959','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.179.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; banner; Buku Block Note Polos 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(2223,'47797960','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.108.700','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(2224,'47797961','Belanja Makanan dan Minuman Rapat','12.800.000','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(2225,'47797962','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','15.760.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Sepatu Safety bahan karet; Rompi Safety Bahan plastik ; Helm Safety Bahan Polyester ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 12:32:03.447','dbmsdabk'),
(2226,'47799884','Bahan Bakar dan Pelumas','759.700','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'54.2642857142856 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:07:51.332','dbmsdabk'),
(2227,'47799900','Alat Tulis Kantor','1.116.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 M2','Alat Tulis Kantor;','banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 18:35:07.805','dbmsdabk'),
(2228,'47799904','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.819.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson; Catridge Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 18:35:07.805','dbmsdabk'),
(2229,'47799908','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','35.460.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Sepatu Safety bahan karet; Rompi Safety Bahan plastik ; Helm Safety Bahan Polyester ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 13:07:51.332','dbmsdabk'),
(2230,'47799910','Belanja Makanan dan Minuman Rapat','28.800.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 13:07:51.332','dbmsdabk'),
(2231,'47799912','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.525.500','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:07:51.332','dbmsdabk'),
(2232,'47801747','Banner','2.232.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'60 M2','Alat Tulis Kantor;','banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 18:35:07.805','dbmsdabk'),
(2233,'47801749','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.758.500','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:25:12.589','dbmsdabk'),
(2234,'47801750','Belanja Makanan dan Minuman Rapat','49.500.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu; Kue Kotak Untuk VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:25:12.589','dbmsdabk'),
(2235,'47801751','Belanja Bahan-Bahan Bakar dan Pelumas','4.471.900','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:25:12.589','dbmsdabk'),
(2236,'47801752','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.796.300','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson; Catridge Warna; Catridge Hitam; Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:25:12.589','dbmsdabk'),
(2237,'47805205','Belanja Bahan-Bahan Bakar dan Pelumas','2.296.625','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:51:27.974','dbmsdabk'),
(2238,'47805213','Alat Tulis Kantor','930.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'25 M2','Alat Tulis Kantor;','banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 18:35:07.805','dbmsdabk'),
(2239,'47805216','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.525.500','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:51:27.974','dbmsdabk'),
(2240,'47805218','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.715.800','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 13:51:27.974','dbmsdabk'),
(2241,'47805219','Belanja Makanan dan Minuman Rapat','7.560.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak VIP, Makan dan minum Tamu; Kue Kotak Untuk VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 13:51:27.974','dbmsdabk'),
(2242,'47809068','Perencanaan Teknis Rekonstruksi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2243,'47809272','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Binakal','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2244,'47809523','Perencanaan Teknis Rekonstruksi Jaringan Jalan Patemon- Petung, Kec. Pakem','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2245,'47809792','Perencanaan Teknis rekonstruksi Jaringan Jalan Sumber Dumpyong - Jeruk Sok-sok, Kec. Pakem','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2246,'47809969','Perencanaan Teknis Rekonstruksi Jaringan Jalan Wonoboyo - Glundang, Kec. Klabang','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2247,'47810125','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sempol - Pedati, Kec. Ijen','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2248,'47810398','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sempol - Jampit, Kec. Ijen','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2249,'47810456','Alat Tulis Kantor-Pengawasan Tertib Usaha, Tertib Penyelenggaraan dan Tertib Pemanfaatan Jasa Konstruksi','4.621.300','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'225 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 3 (Tanggung); Odner Besar (forte); Stopmap Kertas; Snelhecter Map; Isi Steples Kecil No 10; Bolpoint; Buku Block Note Polos 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 14:46:56.047','dbmsdabk'),
(2250,'47810541','Perencanaan Teknis Rekonstruksi Jaringan Jalan Penanggungan - Tanah Wulan, Kec. Maesan','5.880.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2251,'47810790','Perencanaan Teknis Rekonstruksi Jaringan Jalan Lombok Kulon - Pecalongan, Kec. Wonosari','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2252,'47811005','Perencanaan Teknis Rekonstruksi Jaringan Jalan Brig.Pol. Sudarlan, Kec. Bondowoso','26.950.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2253,'47811162','Perencanaan Teknis Rekonstruksi Jaringan Jalan Banyuwuluh - Ampelan, Kec. Wringin','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2254,'47811364','Perencanaan Teknis Rekonstruksi Jaringan Jalan MT. Haryono, Kec. Bondowoso','13.230.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2255,'47811376','Rehabilitasi Jaringan Jalan Kali Tapen - Gunung Anyar, Kec. Tapen','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2256,'47811597','Perencanaan Teknis Rekonstruksi Jaringan Jalan Baratan - Ardisaeng, Kec. Binakal','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2257,'47811641','Rehabilitasi Jaringan Jalan Sekarputih - Pejaten, Kec. Tegalampel','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2258,'47811959','Rehabilitasi Jaringan Jalan Bataan - Bunduh Krajan, Kec. Tenggarang','113.426.714','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2259,'47812200','Perencanaan Teknis Rekonstruksi Jaringan Jalan Botolinggo - Lanas, Kec. Botolinggo','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2260,'47812251','Rehabilitasi Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2261,'47812406','Perencanaan Teknis Rekonstruksi Jaringan Jalan Lumutan - Pancur, Kec. Botolinggo','12.054.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2262,'47812529','Rehabilitasi Jaringan Jalan Wonosari - Kloposawit, Kec. Tlogosari','107.016.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2263,'47812647','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','12.054.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2264,'47812863','Rehabilitasi Jaringan Jalan Lombok Wetan - Kerang, Kec. Wonosari','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2265,'47812938','Perencanaan Teknis Rekonstruksi Jaringan Jalan Kladi - Kladi Batas, Kec. Cermee','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2266,'47813217','Perencanaan Teknis Rekonstruksi Jaringan Jalan Taman - Grujugan, Kec. Grujugan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2267,'47813308','Alat Tulis Kantor-Penyelenggaraan Sistem Informasi Jasa Konstruksi Cakupan Daerah Kabupaten/Kota','2.006.800','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'58 Buah','Alat Tulis Kantor;','Buku Block Note Polos 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 14:46:56.047','dbmsdabk'),
(2268,'47813329','Rehabilitasi Jaringan Jalan Wringin - Pakem, Kec. Wringin','124.852.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rehabilitasi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2269,'47813419','Perencanaan Teknis Rekonstruksi Jaringan Jalan Pengarang - Jambeanom, Kec. Jambesari DS','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2270,'47813647','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumber Kemuning - Jambesari, Kec. Jambesari DS','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2271,'47813868','Perencanaan Teknis Rekonstruksi Jaringan Jalan Karanganyar - Alas Lanjang, Kec. Klabang','13.230.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2272,'47813969','Pembangunan Jalan Lingkar Selatan (Pancoran dan Kejawan), Kec. Bondowoso','1.458.240.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Pembangunan Jalan Lingkar Selatan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2273,'47814303','Perencanaan Teknis Rekonstruksi Jaringan Jalan Suger Lor - Gedangan, Kec. Maesan','8.232.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2274,'47814350','Rekonstruksi Jaringan Jalan Brig.Pol. Sudarlan, Kec. Bondowoso','495.880.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Rekonstruksi Jaringan Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2275,'47814743','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sumber Pakem - Sumber Kalong (Penahan Bahu Jalan), Kec. Maesan','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2276,'47814793','Penanganan Long Segment Jalan Wonosari - Patemon, Kec. Wonosari','7.146.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Ruas','Penanganan Long Segment Jalan','SESUAI DENGAN SPESIFIKASI TEKNIS KEBINAMARGAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','Mei 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2277,'47815244','Perencanaan Teknis Rekonstruksi Jaringan Jalan Bukor - Gadingsari, Kec. Pakem','8.232.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2278,'47815469','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sempol - Bandilan Batas, Kec. Prajekan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2279,'47815817','Perencanaan Teknis Rekonstruksi Jaringan Jalan Tangsil - Kejayan, Kec. Pujer','8.232.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2280,'47816151','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sukorejo - Plampang, Kec. Sumberwringin','7.644.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2281,'47816224','Alat Tulis Kantor-Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','2.729.600','E-Purchasing','APBD,APBD,APBD,APBD,APBD,APBD,APBD,APBD,','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Alat Tulis Kantor-Penyelenggaraan Pelatihan Tenaga Terampil Konstruksi','Buku Block Note Polos 50 Lbr; Bolpoint; Paper Clip Cadwell No. 3 (Tanggung); Paper Clip Cadwell No. 5 (Jumbo); Stopmap Kertas; Snelhecter Map; Ordner Besar; Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-16 14:46:56.047','dbmsdabk'),
(2282,'47816581','Perencanaan Teknis Rekonstruksi Jaringan Jalan Sukosari Lor - Sukosari Kidul, Kec. Sukosari','7.056.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2283,'47817033','Perencanaan Teknis Rekonstruksi Jaringan Jalan Pasarejo - Bendoarum, Kec. Wonosari','12.936.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2284,'47817228','Perencanaan Teknis Rekonstruksi Jaringan Jalan Taman - Gentong, Kec. Taman Krocok','12.329.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2285,'47817477','Perencanaan Teknis Rekonstruksi Jaringan Jalan Poler - Pagar Gunung, Kec. Tegalampel','9.798.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2286,'47817775','Perencanaan Teknis Rekonstruksi Jaringan Jalan Taman - Pancoran, Kec. Grujugan','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rekonstruksi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:17:28.775','dbmsdabk'),
(2287,'47825455','Perencanaan Teknis Pelebaran Jaringan Jalan Traktakan - Pasarejo, Kec. Wonosari','12.936.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2288,'47825779','Perencanaan Teknis Pelebaran Jaringan Jalan Ramban Kulon - Bandilan, Kec. Cermee','9.996.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2289,'47825968','Perencanaan Teknis Pelebaran Jaringan Jalan Grujugan - Tegal Mijin, Kec. Grujugan','10.584.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2290,'47826143','Perencanaan Teknis Pelebaran Jaringan Jalan Patemon - Sukosari, Kec. Sukosari','12.936.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2291,'47826355','Perencanaan Teknis Pelebaran Jaringan Jalan Bendelan - Ardisaeng, Kec. Binakal','8.820.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2292,'47826505','Perencanaan Teknis Pelebaran Jaringan Jalan Botolinggo - Lumutan, Kec. Botolinggo','10.584.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2293,'47826710','Perencanaan Teknis Pelebaran Jaringan Jalan Grujugan - Jambesari, Kec. Jambesari DS','10.584.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pelebaran Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2294,'47827004','Perencanaan Teknis Rehabilitasi Jembatan Poros Dusun Sempolan - Desa Tlogosari, Kec. Tlogosari','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jembatan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2295,'47827335','Perencanaan Teknis Rehabilitasi Jembatan Poros Desa Dadapan, Kec. Grujugan','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jembatan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2296,'47827917','Perencanaan Teknis Rehabilitasi Jembatan Poros Desa Rejoagung, Kec. Sumberwringin','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jembatan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2297,'47828121','Perencanaan Teknis Rehabilitasi jembatan Desa Kerang, Kec. Sukosari','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi jembatan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2298,'47828647','Perencanaan Teknis Pembangunan Jalan Lingkar Selatan (Pancoran dan Kejawan), Kec. Bondowoso','70.560.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Pembangunan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2299,'47830253','Bangunan Gedung Kantor','160.132.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'118.880475129918 M2','Bangunan Gedung Kantor;','Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2300,'47830254','Bangunan Gedung Kantor','15.640.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'138.230667255855 M2','Bangunan Gedung Kantor;','Perencanaan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2301,'47830255','Bangunan Gedung Kantor','10.427.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'138.2001325 M2','Bangunan Gedung Kantor;','Pengawasan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2302,'47830256','Bangunan Gedung Kantor','3.800.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'141.0018553 M2','Bangunan Gedung Kantor;','AP Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2303,'47833943','Alat Tulis Kantor','213.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 3 (Tanggung);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2304,'47833944','Alat Tulis Kantor','279.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 5 (Jumbo);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2305,'47833945','Alat Tulis Kantor','150.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Buah','Alat Tulis Kantor;','Paper Clip No. 1 (Kecil);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2306,'47833946','Alat Tulis Kantor','345.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'150 Buah','Alat Tulis Kantor;','Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2307,'47833947','Alat Tulis Kantor','70.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Buah','Alat Tulis Kantor;','Cutter Besar Merk Kenko L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2308,'47833949','Alat Tulis Kantor','870.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'30 Buah','Alat Tulis Kantor;','Ordner Besar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2309,'47833950','Alat Tulis Kantor','137.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Pak','Alat Tulis Kantor;','Isi Stapler Kecil No.10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2310,'47833951','Alat Tulis Kantor','32.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'8 Pack','Alat Tulis Kantor;','Binder Clip No. 105;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2311,'47833952','Alat Tulis Kantor','39.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'7 Pak','Alat Tulis Kantor;','Binder Clip No. 107;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2312,'47833953','Alat Tulis Kantor','56.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Roll','Alat Tulis Kantor;','PlakBand Kraf 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2313,'47833954','Kertas dan Cover','240.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2314,'47833955','Kertas dan Cover','155.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Pak','Kertas dan Cover;','Kertas Buffalo 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2315,'47833956','Kertas dan Cover','1.638.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'28 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2316,'47833957','Kertas dan Cover','972.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2317,'47833958','Kertas dan Cover','1.170.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Rim','Kertas dan Cover;','Kertas HVS F4 80 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2318,'47833959','Kertas dan Cover','1.380.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'20 Rim','Kertas dan Cover;','Kertas HVS A4 80 gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2319,'47833960','Alat Tulis Kantor','441.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'105 Buah','Alat Tulis Kantor;','Map Plastik L Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2320,'47833961','Bahan Komputer','1.679.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'9 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2321,'47833962','Alat Tulis Kantor','56.700','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2322,'47833963','Alat Tulis Kantor','144.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'8 Pak','Alat Tulis Kantor;','Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2323,'47835373','Perencanaan Teknis Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukokerto, Kec. Pujer','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2324,'47835784','Perencanaan Teknis Rehabilitasi Jaringan Jalan Patemon - Jebung Lor, Kec. Tlogosari','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2325,'47835826','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pakisan - Maskuning, Kec. Pujer','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2326,'47835880','Perencanaan Teknis Rehabilitasi Jaringan Jalan Tlogosari - Maskuning, Kec. Pujer','10.780.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2327,'47835945','Perencanaan Teknis Rehabilitasi Jaringan Jalan Tamanan - Wonosuko, Kec. Tamanan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2328,'47836049','Perencanaan Teknis Rehabilitasi Jaringan Jalan Banyuputih - Sumber Canting, Kec. Wringin','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2329,'47836084','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pekauman - Sumber Pandan, Kec. Grujugan','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2330,'47836143','Perencanaan Teknis Rehabilitasi Jaringan Jalan Taman - Pekauman, Kec. Grujugan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2331,'47836176','Perencanaan Teknis Rehabilitasi Jaringan Jalan Taman - Dawuhan, Kec. Grujugan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2332,'47836251','Perencanaan Teknis Rehabilitasi Jaringan Jalan Jatian - Sumberanyar, Kec. Maesan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2333,'47836311','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pejagan - Pujer, Kec. Jambesari Ds','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2334,'47836362','Perencanaan Teknis Rehabilitasi Jaringan Jalan Dadapan - Mangir, Kec. Grujugan','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2335,'47836392','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pasarejo - Keceng, Kec. Wonosari','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2336,'47836433','Perencanaan Teknis Rehabilitasi Jaringan Jalan Maskuning Kulon - Sukowono, Kec. Pujer','8.962.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2337,'47836509','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pecalongan - Barat Gunung, Kec. Sukosari','5.390.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2338,'47836701','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sempol - Penang, Kec. Botolinggo','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2339,'47836781','Perencanaan Teknis Rehabilitasi Jaringan Jalan Cangkring - Walidono, Kec. Prajekan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2340,'47836830','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sumber Gading - Sumber Wringin, Kec. Sumber Wringin','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2341,'47836889','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sukosari - Karang Melok, Kec. Tamanan','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2342,'47836922','Perencanaan Teknis Rehabilitasi Jaringan Jalan Tegalampel - Gubrih, Kec. Tegalampel','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2343,'47837383','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sumber Salam - Kajar, Kec. Tenggarang','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2344,'47837703','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sulek - Gunosari, Kec. Tlogosari','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2345,'47837777','Perencanaan Teknis Rehabilitasi Jaringan Jalan Wonosroyo - Lombok Kulon, Kec. Wonosari','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2346,'47837833','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sumber Suko - Sumber Waru, Kec. Curahdami','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2347,'47837888','Perencanaan Teknis Rehabilitasi Jaringan Jalan Loji - Campoan, Kec. Tapen','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2348,'47837940','Perencanaan Teknis Rehabilitasi Jaringan Jalan HOS Cokroaminoto, Kec. Bondowoso','9.702.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2349,'47838008','Perencanaan Teknis Rehabilitasi Jaringan Jalan Jend. Pol. Sucipto Y., Kec. Bondowoso','8.085.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2350,'47838047','Perencanaan Teknis Rehabilitasi Jaringan Jalan Cermee - Bercak - Kladi, Kec. Cermee','7.276.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2351,'47838065','Perencanaan Teknis Rehabilitasi Jaringan Jalan Pejagan - Tegalmijin, Kec. Grujugan','6.468.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2352,'47838093','Alat Tulis Kantor','93.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 5 (Jumbo);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2353,'47838094','Alat Tulis Kantor','71.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Paper Clip Cadwell No. 3 (Tanggung);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2354,'47838095','Alat Tulis Kantor','50.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Buah','Alat Tulis Kantor;','Paper Clip No. 1 (Kecil);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2355,'47838096','Alat Tulis Kantor','241.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'105 Buah','Alat Tulis Kantor;','Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2356,'47838097','Alat Tulis Kantor','441.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'105 Buah','Alat Tulis Kantor;','Map Plastik L Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2357,'47838098','Alat Tulis Kantor','725.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'25 Buah','Alat Tulis Kantor;','Ordner Besar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2358,'47838099','Alat Tulis Kantor','47.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Buah','Alat Tulis Kantor;','Cutter Besar Merk Kenko L500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2359,'47838100','Alat Tulis Kantor','137.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Pak','Alat Tulis Kantor;','Isi Stapler Kecil No.10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2360,'47838101','Alat Tulis Kantor','28.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Pak','Alat Tulis Kantor;','Binder Clip No. 107;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2361,'47838102','Alat Tulis Kantor','90.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Pak','Alat Tulis Kantor;','Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2362,'47838103','Alat Tulis Kantor','20.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Pak','Alat Tulis Kantor;','Binder Clip No. 105;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2363,'47838104','Alat Tulis Kantor','56.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Roll','Alat Tulis Kantor;','PlakBand Kraf 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2364,'47838105','Kertas dan Cover','240.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Pak','Kertas dan Cover;','Kertas Foto A4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2365,'47838106','Kertas dan Cover','93.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Pak','Kertas dan Cover;','Kertas Buffalo 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2366,'47838107','Kertas dan Cover','877.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'15 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2367,'47838108','Kertas dan Cover','780.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Rim','Kertas dan Cover;','Kertas HVS F4 80 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2368,'47838109','Kertas dan Cover','690.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'10 Rim','Kertas dan Cover;','Kertas HVS A4 80 gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2369,'47838110','Bahan Komputer','1.119.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2370,'47838111','Alat Tulis Kantor','56.700','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'3 Buah','Alat Tulis Kantor;','Stapler Hd 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2371,'47838112','Kertas dan Cover','453.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'7 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2372,'47838115','Perencanaan Teknis Rehabilitasi Jaringan Jalan Klabang - Wonoboyo, Kec. Klabang','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2373,'47838149','Perencanaan Teknis Rehabilitasi Jaringan Jalan Patemon - Petung, Kec. Pakem','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2374,'47838169','Perencanaan Teknis Rehabilitasi Jaringan Jalan Prajekan - Cermee, Kec. Prajekan','11.858.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2375,'47838193','Perencanaan Teknis Rehabilitasi Jaringan Jalan Mangli Wetan - Padasan, Kec. Pujer','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2376,'47838217','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sukosari Lor - Koanyar, Kec. Sukosari','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2377,'47838284','Perencanaan Teknis Rehabilitasi Jaringan Jalan Trebungan - Sumberkokap, Kec. Taman Krocok','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2378,'47838298','Perencanaan Teknis Rehabilitasi Jaringan Jalan Kali Tapen - Gunung Anyar, Kec. Tapen','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2379,'47838355','Perencanaan Teknis Rehabilitasi Jaringan Jalan Sekarputih - Pejaten, Kec. Tegalampel','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2380,'47838398','Perencanaan Teknis Rehabilitasi Jaringan Jalan Bataan - Bunduh Krajan, Kec. Tenggarang','6.855.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2381,'47838449','Perencanaan Teknis Rehabilitasi Jaringan Jalan Patemon - Kembang, Kec. Tlogosari','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2382,'47838472','Perencanaan Teknis Rehabilitasi Jaringan Jalan Wonosari - Kloposawit, Kec. Tlogosari','6.468.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2383,'47838505','Perencanaan Teknis Rehabilitasi Jaringan Jalan Lombok Wetan - Kerang, Kec. Wonosari','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:31:39.362','dbmsdabk'),
(2384,'47838528','Perencanaan Teknis Rehabilitasi Jaringan Jalan Wringin - Pakem, Kec. Wringin','7.546.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Jaringan Jalan','Sesuai Dengan Spesifikasi Kebinamargaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Juni 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-16 18:30:25.626','dbmsdabk'),
(2385,'47839178','Alat Tulis Kantor','12.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'5 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2386,'47839179','Alat Tulis Kantor','13.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'6 Buah','Alat Tulis Kantor;','Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2387,'47839180','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.166.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2388,'47839181','Bahan Komputer','373.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'2 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-16 18:12:23.557','dbmsdabk'),
(2389,'47844392','Belanja Suku Cadang-Suku Cadang Alat Besar','267.640.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Suku Cadang-Suku Cadang Alat Besar','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:02:51.356','dbmsdabk'),
(2390,'47844493','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.788.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:02:51.356','dbmsdabk'),
(2391,'47844534','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.849.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:02:51.356','dbmsdabk'),
(2392,'47844597','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:02:51.356','dbmsdabk'),
(2393,'47845024','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.431.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2394,'47845120','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2395,'47845176','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2396,'47845267','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','4.231.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2397,'47845314','Belanja Modal Alat Kalibrasi','10.701.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Kalibrasi','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2398,'47845380','Belanja Modal Alat Laboratorium Bahan Bangunan Konstruksi','30.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Bina Marga, Sumber Daya Air, dan Bina Konstruksi',2024,'1 Paket','Belanja Modal Alat Laboratorium Bahan Bangunan Konstruksi','Spesifikasi sesuai di KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-16 20:03:37.516','dbmsdabk'),
(2399,'47070737','Pekerjaan Pemeliharaan Rehab Gedung Kantor','17.264.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pekerjaan Pemeliharaan Gedung Kantor','Pekerjaan Pemeliharaan Gedung Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 19:59:22.409','dispendukcapil'),
(2400,'47070856','Pengadaan Administrasi Proyek Pekerjaan Rehab Gedung Kantor','342.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Administrasi Proyek Pekerjaan Rehab Gedung Kantor','Alat tulisk kantor untuk administrasi pekerjaan rehab gedung kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 19:55:22.286','dispendukcapil'),
(2401,'47070898','Pekerjaan Perencanaan Pemeliharaan rehab gedung kantor','1.434.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pekerjaan Perencanaan Pemeliharaan rehab gedung kantor','Pekerjaan perencanaan pemeliharaan rehab gedung kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 19:55:22.286','dispendukcapil'),
(2402,'47070944','Pekerjaan pengawasan pemeliharaan rehab gedung kantor','959.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pekerjaan pengawasan pemeliharaan rehab gedung kantor','Pekerjaan pengawasan pemeliharaan rehab gedung kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 19:55:22.286','dispendukcapil'),
(2403,'47071159','Pengadaan Alat Rekam KTP Elektronik','158.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 unit','Pengadaan Alat Rekam KTP Elektronik','Pengadaan Alat Rekam KTP Elektronik mobile','Tidak','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-08 19:55:22.286','dispendukcapil'),
(2404,'47071408','Pengadaan personl komputer dan printer multifungsi','34.450.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 unit; 3unit','Pengadaan personl komputer dan printer multifungsi','Pengadaan personl komputer dan printer multifungsi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 10:35:44.519','dispendukcapil'),
(2405,'47071555','Pengadaan Laptop','20.071.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 unit','Pengadaan Laptop','Pengadaan Laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 10:35:44.519','dispendukcapil'),
(2406,'47072172','Pekerjaan Penurunan Tower','15.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 unit','Pekerjaan Penurunan Tower','Pekerjaan Penurunan Tower','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','April 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-10 10:41:01.073','dispendukcapil'),
(2407,'47072256','Pekerjaan pemeliharaan perangkat SIAK, hardware, software dan jaringan di 23 Kecamatan dan Dispenduk','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pekerjaan pemeliharaan perangkat SIAK, hardware, software dan jaringan di 23 Kecamatan dan Dispenduk','Pekerjaan pemeliharaan perangkat SIAK, hardware, software dan jaringan di 23 Kecamatan dan Dispenduk','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:35:44.519','dispendukcapil'),
(2408,'47466320','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','6.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer seperti map, kertas, tinta dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2409,'47472062','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','14.450.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2410,'47473999','Pengadaan Makan dan Minum Rapat','4.700.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'100 kotak; 100 kotak','Pengadaan Makan dan Minum Rapat','Pengadaan Makan dan Minum Rapat: nasi kota dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2411,'47476909','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','24.064.900','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2412,'47478206','Pengadaan Ribbon dan Film Printer KTP El Data Card','252.248.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'50 buah; 28 buah','Pengadaan Ribbon dan Film Printer KTP El Data Card','Pengadaan Ribbon dan Film Printer KTP El Data Card','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2413,'47485289','Pengadaan Ribbon dan Film Printer Fargo','271.590.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'50 buah; 28 buah','Pengadaan Ribbon dan Film Printer Fargo','Pengadaan Ribbon dan Film Printer Fargo','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2414,'47486668','Pengadaan Makan dan Minum Rapat','15.275.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'325 kotak;325 kotak','Pengadaan Makan dan Minum Rapat','Pengadaan Makan dan Minum Rapat: Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2415,'47487506','Pengadaan Printer Multi fungsi','5.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 unit','Pengadaan Printer Multi fungsi','Pengadaan Printer Multi fungsi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2416,'47492480','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','5.078.200','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Pengadaan alat/bahan kegiatan kantor-ATK, kertas dan bahan komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-22 11:06:37.103','dispendukcapil'),
(2417,'47498433','Pengadaan Formulir F2.01','22.950.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'13500 set','Pengadaan Formulir F2.01','Pengadaan Formulir F2.01','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-17 09:45:40.237','dispendukcapil'),
(2418,'47747475','Pekerjaan Pengadaan Alat/Bahan untuk kegiatan kantor','25.029.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pekerjaan Pengadaan Alat/Bahan untuk kegiatan kantor','Pekerjaan Pengadaan Alat/Bahan untuk kegiatan kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2419,'47748222','Pengadaan Formulir F1.06','25.300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'23000 lembar','Pengadaan Formulir F1.06','Pengadaan Formulir F1.06','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2420,'47749058','Pengadaan Makan dan Minum Rapat','30.879.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'657; 657 Kotak','Pengadaan Makan dan Minum Rapat','Pengadaan Makan dan Minum Rapat nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2421,'47750293','Pengadaan Makan dan Minum Rapat','30.879.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'657; 657 Kotak','Pengadaan Makan dan Minum Rapat','Pengadaan Makan dan Minum Rapat nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','November 2024','November 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2422,'47752701','Pekerjaan Pengadaan Blanko Kartu Identitas Anak (KIA)','57.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'9000 Buah','Pekerjaan Pengadaan Blanko Kartu Identitas Anak (KIA)','Pekerjaan Pengadaan Blanko Kartu Identitas Anak (KIA)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-17 09:45:05.083','dispendukcapil'),
(2423,'47753708','Pengadaan Alat/Bahan untuk Kegiatan Kantor','5.319.000','Pengadaan Langsung','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2424,'47758473','Pengadaan Alat/Bahan untuk Kegiatan Kantor','4.140.000','Pengadaan Langsung','APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2425,'47760263','Pengadaan banner','930.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'25 M2','Pengadaan banner','Pengadaan banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2023','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2426,'47761079','Pengadaan Makan dan Minum Rapat','36.660.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'780 Kotak; 780 Kotak','Pengadaan Makan dan Minum Rapat','Pengadaan Makan dan Minum Rapat nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2427,'47761631','Pengadaan Makan dan Minum Jamuan Tamu-Prasmanan VIP','1.800.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'30 Orang','Pengadaan Makan dan Minum Jamuan Tamu-Prasmanan VIP','Pengadaan Makan dan Minum Jamuan Tamu-Prasmanan VIP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2428,'47762204','Pekerjaan sewa alat Pendukung sosialisasi dan Sewa Kursi','10.460.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket; 780 Unit','Pekerjaan sewa alat Pendukung sosialisasi dan Sewa Kursi','Pekerjaan sewa alat Pendukung sosialisasi dan Sewa Kursi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2429,'47763726','Pengadaan Alat/Bahan untuk Kegiatan Kantor','10.000.000','Pengadaan Langsung','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2430,'47769047','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 1','15.755.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 1','Pengadaan Alat/Bahan untuk kegiatan kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2431,'47769814','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 2','39.220.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 2','Pengadaan Alat/Bahan untuk kegiatan kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2432,'47770382','Pengadaan Materi BIMTEK 2','88.380.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1800 Eksemplar / Buku','Pengadaan Materi BIMTEK 2','Pengadaan Materi BIMTEK 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2433,'47771013','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 3','39.220.000','Pengadaan Langsung','APBD, APBD, APBD','September 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pengadaan Alat/Bahan untuk kegiatan kantor untuk kegiatan BIMTEK 3','Pengadaan Alat/Bahan untuk kegiatan kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2434,'47776471','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 1','20.680.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'440 Kotak; 440 Kotak','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 1','Pengadaan Makan dan Minum Rapat nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2435,'47778598','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 2','94.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'2000 Kotak; 2000 Kotak','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 2','Pengadaan Makan dan Minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2436,'47779048','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 3','94.000.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'2000 Kotak; 2000 Kotak','Pengadaan Makan dan Minum Rapat kegiatan BIMTEK 3','Pengadaan Makan dan Minum Rapat nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','September 2024','Oktober 2024','2024-01-17 09:44:32.166','dispendukcapil'),
(2437,'47779545','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 2','14.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 2','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2438,'47780231','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 3','14.000.000','Pengadaan Langsung','APBD, APBD, APBD','September 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 Paket','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 3','Pekerjaan sewa Tenda, Kursi dan Soundsystem untuk kegiatan BIMTEK 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','September 2024','Oktober 2024','2024-01-17 09:44:03.412','dispendukcapil'),
(2439,'47783834','Pekerjaan Paket Meeting Halfday','9.750.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'65 orang/keg','Pekerjaan Paket Meeting Halfday','Pekerjaan Paket Meeting Halfday','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Mei 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-17 07:53:54.688','dispendukcapil'),
(2440,'47791310','Pengadaan Alat/Bahan untuk Kegiatan Kantor','21.493.000','Pengadaan Langsung','APBD, APBD, APBD','May 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'1 paket','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Pengadaan Alat/Bahan untuk Kegiatan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-17 07:53:54.688','dispendukcapil'),
(2441,'47793856','Pengadaan cetak Agregat Penduduk','10.495.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'50 Buku','Pengadaan cetak Agregat Penduduk','Pengadaan cetak Agregat Penduduk','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','September 2024','September 2024','Agustus 2024','September 2024','2024-01-17 07:53:54.688','dispendukcapil'),
(2442,'47794173','Pengadaan cetak Profil Penduduk','5.247.500','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'25 Buku','Pengadaan cetak Profil Penduduk','Pengadaan cetak Profil Penduduk','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','September 2024','Oktober 2024','Agustus 2024','September 2024','2024-01-17 07:53:54.688','dispendukcapil'),
(2443,'47861101','Pengadaan makan dan minum Paket meeting Hafl Day untuk kegiatan Raker 2024','45.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Kependudukan dan Pencatatan Sipil',2024,'300 orang','Pengadaan makan dan minum Paket meeting Hafl Day untuk kegiatan Raker 2024','Pengadaan makan dan minum Paket meeting Hafl Day untuk kegiatan Raker 2024','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juni 2024','Juli 2024','2024-01-17 07:53:54.688','dispendukcapil'),
(2444,'47106591','Belanja modal peralatan studio audio','2.121.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','pelatan studio audio','headet plus microphone','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-13 17:02:48.306','dinkes'),
(2445,'47108045','belanja modal peralatan jaringan','4.553.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','peralatan jaringan','Mikrotik Cloud Routers (Mikritik Cloud Routers CRS125-24G-1S-2HND)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-13 17:02:48.306','dinkes'),
(2446,'47112383','Belanja Jasa Konversi Aplikasi/Sistem Informasi','88.440.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Beban jasa konversi aplikasi/sistem informasi','Bridging Aplikasi SIKDA dengan SATU SEHAT Kemkes RI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 17:02:48.306','dinkes'),
(2447,'47289269','Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Skrining OPD Nasi 200 kotak Kue 200 Kotak','Skrining OPD Nasi 200 kotak Kue 200 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2448,'47324444','Belanja Makanan dan Minuman Rapat','2.914.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Belanja Makmin Pertemuan Nasi 62 kotak Kue 62 kotak','Belanja Makmin Pertemuan Nasi 62 kotak Kue 62 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2449,'47325451','Belanja Bahan-Bahan Lainnya','1.568.986.560','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','1 paket BMHP Gula Darah','1 paket BMHP Gula Darah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2450,'47325935','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','1.944.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Kertas HVS F4 70 gr 30 rim','Kertas HVS F4 70 gr 30 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2451,'47326037','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','435.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Odner Besar 15 buah','Odner Besar 15 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2452,'47326251','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Tinta Epson Hitam 2 botol Tinta Epson Warna 6 botol','Tinta Epson Hitam 2 botol Tinta Epson Warna 6 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2453,'47326399','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','806.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Banner 30 m Fotocopy 40 lbr','Banner 30 m Fotocopy 40 lbr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:34.123','dinkes'),
(2454,'47326512','Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi 200 kotak Kue 200 kotak','Nasi 200 kotak Kue 200 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2455,'47326664','Belanja Makanan dan Minuman Rapat','2.914.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Makmin Pertemuan Nasi 62 kotak Kue 62 kotak','Makmin Pertemuan Nasi 62 kotak Kue 62 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:34.123','dinkes'),
(2456,'47326837','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Fotocopy 86 lbr Fotocopy 1 lbr','Fotocopy 86 lbr x 300 Fotocopy 1 lbr x 200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2457,'47327519','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','214.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Fotocopy 716 lbr','Fotocopy 716 lbr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2458,'47327629','Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Makmin Pertemuan Nasi 120 kotak Kue 120 kotak','Makmin Pertemuan Nasi 120 kotak Kue 120 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 17:15:02.157','dinkes'),
(2459,'47576133','Belanja Modal Alat Penyimpan Perlengkapan Kantor (PSC)','4.240.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat Penyimpan Perlengkapan Kantor','lemari obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-13 17:02:48.306','dinkes'),
(2460,'47577379','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (DAK)(NON FISIK)(BOK KAB)','116.770.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Promkes : -Buku Bacaan -Buku Pedoman Pengelolaan Posyandu -Buku Pegangan Kader -Leaflet -Pin Tanda Kecakapan Kader PTM: -Leaflet -Banner','Promkes : -Buku Bacaan -Buku Pedoman Pengelolaan Posyandu -Buku Pegangan Kader -Leaflet -Pin Tanda Kecakapan Kader PTM: -Leaflet -Banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-13 19:05:07.126','dinkes'),
(2461,'47577455','Belanja Makanan dan Minuman Rapat (DAK NON FISIK)(BOK KABUPATEN)','90.909.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-13 19:05:07.126','dinkes'),
(2462,'47577489','Belanja Makanan dan Minuman Aktivitas Lapangan (DAK NON FISIK)(BOK KABUPATEN)','24.220.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-13 19:05:07.126','dinkes'),
(2463,'47577556','BELANJA MAKANAN DAN MINUMAN RAPAT (PAJAK ROKOK)','3.760.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','KUE : 80 KOTAK NASI : 80 KOTAK','KUE : 80 KOTAK NASI : 80 KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-13 19:05:07.126','dinkes'),
(2464,'47577645','Belanja Modal Alat Kantor Lainnya (labkesda)','42.677.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat Kantor Lainnya','LCD proyektor Eb-s400, Visibilitas lampu penerang LED','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-13 18:59:41.669','dinkes'),
(2465,'47577889','Belanja Modal Alat Pemadam Kebakaran','14.840.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat pemadam kebakaran','APAR Labkesda, APAR Dinkes','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-13 18:59:41.669','dinkes'),
(2466,'47577996','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','59.325.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 1085 kotak, kue kotak 1575 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:18:35.327','dinkes'),
(2467,'47579044','BELANJA BAHAN - BAHAN LAINNYA (DAK NON FISIK)','831.625.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','REAGEN SANITARIAN KIT : 25 PAKET','REAGEN SANITARIAN KIT : 25 PAKET','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2468,'47579076','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','4.559.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 97 kotak, kue kotak 97 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2469,'47579240','Belanja Bahan-Bahan Lainnya (DAK NON FISIK-BOK KABUPATEN)','122.751.950','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan Lainnya BMHP SHK','BHMP Pemeriksaan SHK 9401 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:22:36.732','dinkes'),
(2470,'47579398','BELANJA BARANG UNTUK DIJUAL / DISERAHKAN KEPADA MASYARAKAT (DANA ALOKASI UMUM (DAU) BIDANG KESEHATAN)','60.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','STIMULAN JAMBAN : 24 PAKET','STIMULAN JAMBAN : 24 PAKET','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2471,'47579472','BELANJA MAKANAN DAN MINUMAN RAPAT (PAJAK ROKOK)','54.520.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','NASI : 1160 KOTAK KUE : 1160 KOTAK','NASI : 1160 KOTAK KUE : 1160 KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2472,'47579806','BELANJA MAKANAN DAN MINUMAN RAPAT (DANA ALOKASI UMUM (DAU) BIDANG KESEHATAN)','9.964.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT NASI : 212 KOTAK KUE : 212 KOTAK','BELANJA MAKANAN DAN MINUMAN RAPAT NASI : 212 KOTAK KUE : 212 KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2473,'47579883','BELANJA JASA PENGOLAHAN SAMPAH (DANA ALOKASI UMUM (DAU) BIDANG KESEHATAN)','49.950.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','JASA PENGOLAHAN LIMBAH B3 : 5 KALI','JASA PENGOLAHAN LIMBAH B3 : 5 KALI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2474,'47579997','Belanja Makanan dan Minuman Rapat ( DAU Bidang Kesehatan)','22.560.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 480 kotak, kue kotak 480 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:22:36.732','dinkes'),
(2475,'47580579','BELANJA MAKANAN DAN MINUMAN RAPAT (PAJAK ROKOK)','35.250.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT NASI : 750 KOTAK KUE : 750 KOTAK','BELANJA MAKANAN DAN MINUMAN RAPAT NASI : 750 KOTAK KUE : 750 KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 22:37:13.127','dinkes'),
(2476,'47580727','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam (Rujukan)','2.595.900','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat Kedokteran Bagian Penyakit Dalam','Nebulizer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-13 22:37:13.127','dinkes'),
(2477,'47581178','Belanja Makanan dan Minuman Rapat (DAK NON FISIK-BOK KABUPATEN)','14.100.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 300 kotak, kue kotak 300 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 22:37:13.127','dinkes'),
(2478,'47581243','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','21.150.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 450 kotak, kue kotak 450 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 22:37:13.127','dinkes'),
(2479,'47581347','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (DAU Bidang Kesehatan)','422.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman pada fasilitas pelayanan urusan kesehatan','Susu bubuk Balita 400gr 100 k.kal/100ml 3840 kotak (PMT Gizi Buruk)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 22:37:13.127','dinkes'),
(2480,'47581519','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (DBHCHT)','1.915.870.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman pada fasilitas pelayanan urusan kesehatan','Susu bubuk Balita 400gr 100 k.kal/100ml 17417 kotak (PMT Stunting)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 22:37:13.127','dinkes'),
(2481,'47582843','Belanja Modal Alat Kedokteran Poliklinik (PTO)','29.919.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat Kedokteran Poliklinik','Bangku ratus perawatan, lamp TDP CQ-89Corona, Corona Stimulator akupuntur listrik , Matalizing pet foil 1 sisi + woven/Hi-Tens, Foil, Laser Akupuntur','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-13 22:51:46.172','dinkes'),
(2482,'47582892','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (DAK NON FISIK-BOK KABUPATEN)','51.794.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman harian pasien','Nasi kotak dan kue kotak 1102 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:51:46.172','dinkes'),
(2483,'47583009','Belanja Makanan dan Minuman Rapat (DAK NON FISIK-BOK KABUPATEN)','48.880.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi Kotak 1040 kotak, kue kotak 1040 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-14 00:29:02.379','dinkes'),
(2484,'47583397','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','7.050.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 150 kotak, kue kotak 150 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-14 00:29:02.379','dinkes'),
(2485,'47583774','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','2.538.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makanan dan minuman rapat','Nasi kotak 54 kotak, kue kotak 54 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-14 00:29:02.379','dinkes'),
(2486,'47587773','Belanja Bahan - Bahan Kimia (Larvasida dan Insektisida) (BHP P2PM) ( DBH Cukai Hasil Tembakau (CHT)','131.589.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Kimia (Larvasida dan Insektisida) (BHP P2PM) ( DBH Cukai Hasil Tembakau (CHT)','Belanja Bahan - Bahan Kimia (Larvasida dan Insektisida) (BHP P2PM) ( DBH Cukai Hasil Tembakau (CHT) Insektisida 378 liter ( Rp 100.170.000) Larvasida 329 Kg (Rp 31.419.500)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2487,'47587795','Belanja Bahan - Bahan Kimia ( Bahan Kimia Calon Pengantin) ( DBH Cukai Hasil Tembakau (CHT)','52.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Kimia ( Bahan Kimia Calon Pengantin) ( DBH Cukai Hasil Tembakau (CHT)','Belanja Bahan - Bahan Kimia ( Bahan Kimia Calon Pengantin) ( DBH Cukai Hasil Tembakau (CHT)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2488,'47588139','Belanja Bahan - Bahan Lainnya (BHP P2PM) (DBH Cukai Hasil Tembakau (CHT)','217.619.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (BHP P2PM) (DBH Cukai Hasil Tembakau (CHT)','Belanja Bahan - Bahan Lainnya (BHP P2PM) (DBH Cukai Hasil Tembakau (CHT) BHP P2PM terdiri dari : HBS Ag 5652 buah (Rp 84.214.800) R2 HIV 2827 buah (Rp 60.215.100) Anti HBS 25 dos (Rp 19.212.500) R3 HIV 2826 buah (Rp 53.976.600)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2489,'47588184','Belanja Bahan - Bahan Lainnya (BMHP Anemia Remaja Putri) (DAK NON FISIK BOK KABUPATEN)','72.595.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (BMHP Anemia Remaja Putri) (DAK NON FISIK BOK KABUPATEN)','Belanja Bahan - Bahan Lainnya (BMHP Anemia Remaja Putri) (DAK NON FISIK BOK KABUPATEN)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2490,'47588424','Belanja Bahan - Bahan Lainnya (BMHP Calon Pengantin) (DBH Cukai Hasil Tembakau (CHT))','260.370.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (BMHP Calon Pengantin) (DBH Cukai Hasil Tembakau (CHT))','Belanja Bahan - Bahan Lainnya (BMHP Calon Pengantin) (DBH Cukai Hasil Tembakau (CHT))','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2491,'47588461','Belanja Bahan - Bahan Lainnya (BMHP FARMASI) (DAK NON FISIK BOK KAB)','1.591.464.370','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (BMHP FARMASI) (DAK NON FISIK BOK KAB)','Belanja Bahan - Bahan Lainnya (BMHP FARMASI) (DAK NON FISIK BOK KAB)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2492,'47588488','Belanja Bahan - Bahan Lainnya (BMHP Yankes) (DAU Kesehatan)','20.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (BMHP Yankes) (DAU Kesehatan)','Belanja Bahan - Bahan Lainnya (BMHP Yankes) (DAU Kesehatan)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2493,'47589205','Belanja Bahan - Bahan Lainnya (Stick Lansia) (DBH Cukai Hasil Tembakau (CHT)','199.950.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Bahan - Bahan Lainnya (Stick Lansia) (DBH Cukai Hasil Tembakau (CHT)','Belanja Bahan - Bahan Lainnya (Stick Lansia) (DBH Cukai Hasil Tembakau (CHT) Glucose Test Strip 451 Box (Rp 81.360.400) Stik Pengukur Kolesterol 402 Box (Rp 118.590.000)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 11:37:32.868','dinkes'),
(2494,'47589288','Belanja Obat - Obatan - Obat (DAK NON FISIK BOK KAB)','3.547.801.870','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Obat - Obatan - Obat (DAK NON FISIK BOK KAB)','Belanja Obat - Obatan - Obat (DAK NON FISIK BOK KAB)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 12:41:34.622','dinkes'),
(2495,'47590320','Belanja Modal Personal Computer','140.737.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Personal Computer','PSC tablet, LAB Leptop, IFK Dekstop PC all in one & leptop Keuangan PC unit, PIEP Komputer pc, Primer Leptop, PTO leptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-14 12:41:34.622','dinkes'),
(2496,'47595701','Belanja Makanan dan Minuman Rapat (DAK NON FISIK)(BOK KABUPATEN)','10.622.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-14 18:06:28.606','dinkes'),
(2497,'47595762','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','19.740.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-14 18:06:28.606','dinkes'),
(2498,'47596080','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (PAJAK ROKOK)','59.449.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','-Backlite -Baliho -Banner -Poster','-Backlite -Baliho -Banner -Poster','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-14 18:06:28.606','dinkes'),
(2499,'47596138','Belanja Makanan dan Minuman Rapat (PAJAK ROKOK)','66.848.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-14 18:06:28.606','dinkes'),
(2500,'47596242','Belanja Makanan dan Minuman Rapat (DAU yang Ditentukan Penggunaannya Bidang Kesehatan)','30.550.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-14 18:06:28.606','dinkes'),
(2501,'47596284','Belanja Makanan dan Minuman Rapat (DAK NON FISIK)(BOK KABUPATEN)','2.914.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Nasi Kotak dan Kue Kotak','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-14 18:06:28.606','dinkes'),
(2502,'47596438','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor (PAJAK ROKOK)','3.317.500','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Kaos','Kaos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-14 18:06:28.606','dinkes'),
(2503,'47596492','Belanja Modal Alat Pendukung Pencarian (PAJAK ROKOK)','9.540.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Tenda DUMM','Tenda DUMM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-14 18:06:28.606','dinkes'),
(2504,'47596601','Belanja Modal Tanda Penghargaan Bidang Lainnya (PAJAK ROKOK)','7.812.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Trophy','Trophy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-14 18:06:28.606','dinkes'),
(2505,'47596833','Belanja Sewa Alat Kantor Lainnya (DAK)(NON FISIK)(BOK KAB)','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 paket','Sewa perlengkapan event','Sewa perlengkapan event','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-14 18:06:28.606','dinkes'),
(2506,'47605771','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP BMHP)(SiLPA)','1.726.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP BMHP)(SiLPA)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP BMHP)(SiLPA) Ordner Besar (30 buah) Binder Clip No. 111 (8 Pak) Binder Clip no 200 (8 pak) Stop Map Kertas Biasa (60 buah) Lem Cair 112 (8 buah) Isi Steples Kecil No 10 (10 Pak) Stapler Hd 10 (3 buah) Paper Clip Jumbo 5 (8 paket) Paper Clip No. 3 (8 pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2507,'47613343','Belanja Modal Alat Kedokteran Umum ( Bed Pasien )( Dau Pos)','17.776.250','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Bed Pasien )( Dau Pos)','( Bed Pasien )( Dau Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2508,'47615226','Belanja Makanan dan Minuman Rapat','13.395.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Makanan dan Minuman Rapat','285 kue Kotak dan Nasi Kotak ( Pajak Rokok)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2509,'47616164','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','6.721.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Makanan dan Minuman Rapat','Nasi Kotak 143 Kue Kotak 143','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2510,'47617741','Belanja Jasa Kalibrasi (DAK FISIK )','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Kalibrasi','Kalibrasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2511,'47619452','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','13.630.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Makanan dan Minuman Rapat','Nasi Kotak 290 Kue Kotak 290','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2512,'47619997','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','2.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 50 Kue Kotak 50','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2513,'47622693','Belanja Jasa Konversi Aplikasi/Sistem Informasi','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Beban Jasa Konversi Alikasi/Sistem Informasi','Bridging aplikasi E kohort (kemkes. Sibuba dan Esip Baduta)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 09:38:55.087','dinkes'),
(2514,'47622739','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Listrik','4.982.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat/Bahan Untuk Kegiatan Kantor-Alat Listrik','-Lampu LED 15 watt, -Lampu pijar -Baterai 9 volt -baterai kecil -baterai remot kabel roll -kabel HYO -Lampu LED Strip kabel NYGB','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-15 09:38:55.087','dinkes'),
(2515,'47623290','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','5.875.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 125 Kue Kotak 125','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2516,'47626003','Belanja Makanan dan Minuman Rapat (BOK KAB) (Kegiatan Yankes)','35.955.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 765 Kue Kotak 765','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2517,'47626782','Belanja Makanan dan Minuman Rapat (BOK KAB) (Kegiatan Promkes)','13.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 280 Kue Kotak 280','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2518,'47627068','Belanja Obat-obatan Farmasi (CUKAI)','200.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Obat-obatan Farmasi (CUKAI)','Belanja Obat-obatan Farmasi (CUKAI)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2519,'47627739','Belanja Makanan dan Minuman Rapat (SILPA) (Kegiatan PIEP)','110.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 2352 Kue Kotak 2352','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:38:55.087','dinkes'),
(2520,'47628717','Belanja Makanan dan Minuman Rapat (Pajak Rokok)','29.610.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 630 Kue Kotak 630','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2521,'47629488','Belanja Makanan dan Minuman Rapat (BOK KAB) (Kegiatan KGM)','38.916.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','Nasi Kotak 828 Kue Kotak 828','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2522,'47636166','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','660.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','- Ordner besar - Map Snell Plastik - Isolasi Bening - Stop map kertas biasa - Binder','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-15 14:43:22.785','dinkes'),
(2523,'47637645','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','339.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas NCR ukuran F4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-15 14:43:22.785','dinkes'),
(2524,'47638421','Belanja Obat-obatan Farmasi (PAJAK ROKOK BLOCK GRANT)','1.000.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Obat-obatan Farmasi (PAJAK ROKOK BLOCK GRANT)','Belanja Obat-obatan Farmasi (PAJAK ROKOK BLOCK GRANT)','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2525,'47639925','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP)(CUKAI) FARMASI','1.663.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP)(CUKAI) FARMASI','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (AP)(CUKAI) Ordner Besar (25 buah) Binder Clip No. 111 (10 Pak) Binder Clip no 200 (10 pak) Stop Map Kertas Biasa (80 buah) Lem Cair 112 (8 buah) Isi Steples Kecil No 10 (10 Pak) Stapler Hd 10 (3 buah) Paper Clip Jumbo 5 (8 paket) Paper Clip No. 3 (8 pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2526,'47641006','Belanja Modal Alat Kedokteran Umum - ALat DRT Hb Cholesterol (DAK)','700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','ALat DRT Hb Cholesterol (DAK)','ALat DRT Hb Cholesterol (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2527,'47641496','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover (AP BMHP SILPA) FARMASI','2.268.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Kertas HVS 70 gr','Kertas HVS 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2528,'47641793','Belanja Modal Alat Kedokteran Umum - Autoclave (CUKAI)','486.735.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Autoclave (CUKAI)','- Autoclave (CUKAI)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2529,'47643224','Belanja Modal Alat Kedokteran Umum- Bak Instrumen Tutup ( DAU - Pos)','2.062.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bak Instrumen Tutup ( DAU - Pos) (2)','Bak Instrumen Tutup ( DAU - Pos) (2)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2530,'47643540','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover (AP CUKAI) FARMASI','2.268.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Kertas HVS','Kertas HVS F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2531,'47646414','Belanja Modal ALat Kedokteran Umum - Klem Arteri ( DAU Pos )','1.935.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Klem Arteri ( DAU Pos )','Klem Arteri ( DAU Pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2532,'47646724','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.491.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Bahan Komputer (AP BMHP SILPA) FARMASI','Tinta Epson Hitam T 6641 (7); Tinta Epson Warna T 6642 (3); Tinta Epson Warna T 6643 (3); Tinta Epson Warna T 6644 (3); Cartridge Epson PLQ-20 (1)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2533,'47647227','Belanja Modal Alat Kedokteran Umum - Nierbeken ( DAK)','512.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Nierbeken ( DAK)','- Nierbeken ( DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2534,'47647911','Belanja Modal Alat Kedokteran Umum - Nierbeken ( DAU -Pos )','1.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Nierbeken ( DAU -Pos )','Nierbeken ( DAU -Pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2535,'47648608','Belanja Modal Alat Kedokteran Umum ( Pen Light )( Dau Pos)','2.350.980','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Pen Light )( Dau Pos)','( Pen Light )( Dau Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2536,'47649843','Belanja Modal Alat Kedokteran Umum ( Pinset anatomis )( DAK)','508.110','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Pinset anatomis )( DAK)','( Pinset anatomis )( DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2537,'47650483','Belanja Modal Alat Kedokteran Umum ( Pinset anatomis )( DAU - pos )','1.158.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Pinset anatomis )( DAU - pos )','( Pinset anatomis )( DAU - pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2538,'47657901','Belanja Modal Alat Kedokteran Umum (Sterilisator )( DAK )','21.481.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Sterilisator )( DAK )','(Sterilisator )( DAK )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2539,'47658869','Belanja Modal Alat Kedokteran Umum (Stetoskop)( DAU-pos )','3.770.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Stetoskop)( DAU-pos )','(Stetoskop)( DAU-pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2540,'47659756','Belanja Modal Alat Kedokteran Umum (Tempat Tidur Periksa dan perlengkapannya )( DAK )','19.225.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Tempat Tidur Periksa dan perlengkapannya )( DAK )','(Tempat Tidur Periksa dan perlengkapannya )( DAK )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2541,'47660518','Belanja Modal Alat Kedokteran Umum (Tensimeter )( CUKAI )','10.656.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Tensimeter )( CUKAI )','(Tensimeter )( CUKAI )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2542,'47661173','Belanja Modal Alat Kedokteran Umum (Tensimeter )( DAK )','5.538.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Tensimeter )( DAK )','(Tensimeter )( DAK )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2543,'47664206','Belanja Modal Alat Kedokteran Umum (Tensimeter )( DAK )','5.328.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Tensimeter )( DAK )','(Tensimeter )( DAK )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2544,'47674379','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (AP)(CUKAI)','4.881.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','BAHAN KOMPUTER (AP)(CUKAI)','Tinta Epson Hitam T 6641 (10); Tinta Epson Warna T 6642 (6); Tinta Epson Warna T 6643 (6); Tinta Epson Warna T 6644 (6); Cartridge Epson PLQ-20 (1); Flash disk (4)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2545,'47676454','Belanja Modal Alat Kedokteran Umum (Tensimeter )( Dau -Pos )','11.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Tensimeter )( Dau -Pos )','(Tensimeter )( Dau -Pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2546,'47677420','Belanja Modal Alat Kedokteran Umum (Termometer )( Dau -Pos )','1.882.560','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Termometer )( Dau -Pos )','(Termometer )( Dau -Pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2547,'47677670','Belanja Modal Alat Kedokteran Umum (Timbangan Dewasa )( Dau -Pos )','5.501.715','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Timbangan Dewasa )( Dau -Pos )','(Timbangan Dewasa )( Dau -Pos )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2548,'47678211','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (RUTIN FARMASI) (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','807.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','ATK RUTIN FARMASI','Alat Tulis Kantor (RUTIN FARMASI) terdiri dr lem tanggung (6); stapler (2); ordner (10); isi steples (4); cutter (1); correction (2); binder clip 200 (3); binder clip 111 (3); bolpoint (3); stopmap (50); gunting (1)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2549,'47678499','Belanja Modal Alat Kedokteran Umum ( Utility Trolley )( Dau Pos)','15.074.133','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Utility Trolley )( Dau Pos)','( Utility Trolley )( Dau Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2550,'47678645','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','972.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Kertas Keperluan Farmasi (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','Kertas HVS F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2551,'47679126','Belanja Modal Alat Kedokteran Umum ( Vaksin Carrier)( DAK)','11.721.045','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( Vaksin Carrier)( DAK)','( Vaksin Carrier)( DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2552,'47679552','Belanja Modal Alat Kedokteran Umum ( YANKES PRIMER )','24.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','( YANKES PRIMER )','FLASH CUTTER n alat sterilisator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2553,'47679581','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Bahan Komputer (keperluan Rutin Farmasi)','Bahan Komputer terdiri dari Tinta Epson Hitam T 6641 (5); Tinta Epson Warna T 6642 (1); Tinta Epson Warna T 6643 (1); Tinta Epson Warna T 6644 (1)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2554,'47680400','Belanja Modal Alat kedokteran Bedah - Heacting Set ( Dau -Pos)','13.404.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Heacting Set ( Dau -Pos)','Heacting Set ( Dau -Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2555,'47680905','Belanja Modal Alat kedokteran Bedah - Set Ganti Perban ( Dau -Pos)','4.453.150','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Set Ganti Perban ( Dau -Pos)','Set Ganti Perban ( Dau -Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2556,'47680940','Belanja Makanan dan Minuman Rapat (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','7.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Makmin Evaluasi Penggunaan Obat; Belanja Makmin Perencanaan dan Evaluasi Pengadaan Obat','Belanja Makmin Evaluasi Penggunaan Obat (80); Belanja Makmin Perencanaan dan Evaluasi Pengadaan Obat (80)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2557,'47682039','Belanja Modal Alat kedokteran Bedah - Yankes Primer ( Dau)','2.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Yankes Primer ( Dau)','Yankes Primer ( Dau) Klem','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2558,'47682563','Belanja Modal Alat kesehatan kebidanan dan Penyakit Kandungan (Fetal Doppler )( Dau - Pos)','15.089.450','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Fetal Doppler )( Dau - Pos)','(Fetal Doppler )( Dau - Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2559,'47682636','Belanja Makanan dan Minuman Rapat (DAK Non Fisik - BOK Pengawasan Obat dan Makanan)','4.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat (DAK Non Fisik POM)','Belanja Makanan dan Minuman Rapat (DAK Non Fisik POM) terdiri dari Pertemuan Bimtek Hasil Pengawasan (20); Pertemuan Pelaksanaan pengawasan apotek dan toko obat terhadap pemenuhan standar (20); Pertemuan Pendampingan Tindakan Perbaikan dan Pencegahan (TPP)/ CAPA (60)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2560,'47683001','Belanja Modal Alat kesehatan kebidanan dan Penyakit Kandungan (Pinset Chirurgial )( Dau - Pos)','1.123.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Pinset Chirurgial )( Dau - Pos)','(Pinset Chirurgial )( Dau - Pos)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2561,'47683711','Belanja Modal Alat kesehatan kebidanan dan Penyakit Kandungan (Set IUD )( DAK)','12.338.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(Set IUD )( DAK)','(Set IUD )( DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2562,'47685610','Belanja Modal Alat kesehatan kebidanan dan Penyakit Kandungan (SPEKULUM VAGINA )( DAK)','2.881.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','(SPEKULUM VAGINA )( DAK)','(SPEKULUM VAGINA )( DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2563,'47688397','Belanja Modal Alat Laboratorium Umum - Vaccine Refrigerator ( DAK Fisik )','2.214.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Vaccine Refrigerator ( DAK Fisik )','Vaccine Refrigerator ( DAK Fisik )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2564,'47689218','Belanja Modal Alat Laboratorium Kimia - Fotometer ( DAU)','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Fotometer ( DAU)','Fotometer ( DAU)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:43:22.785','dinkes'),
(2565,'47711717','Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','- Nasi Kotak Biasa - Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2566,'47711850','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pendapatan Bagi Hasil Pajak Rokok - Pelayanan Kesehatan','596.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','ATK Bimtek Kader Keamanan Pangan (Pajak Rokok)','Bolpoint (4 pak); Blobknote (40)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2567,'47712714','Belanja Bahan-Bahan Lainnya','1.433.610.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Kartrid TCM : 7500 Buah','7500 Buah x 191.148','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2568,'47712733','Belanja Makanan dan Minuman Rapat','1.645.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Nasi Kotak Biasa - Kue Kotak','Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2569,'47713649','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Pendapatan Bagi Hasil Pajak Rokok - Pelayanan Kesehatan) Cetak Buku','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','ATK-Cetak Buku Materi','Cetak Buku Materi Bimtek Kader Keamanan Pangan (40)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2570,'47713919','Belanja Makanan dan Minuman Rapat','1.880.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','- Nasi Kotak Biasa - Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2571,'47714152','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Paket Bantuan Pemenuhan CPPOB-IRT) (DAK NF BOK POM)','34.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pendampingan pemenuhan CAPA','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (Paket Bantuan Pemenuhan CPPOB-IRT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2572,'47714368','Belanja Makanan dan Minuman Rapat','940.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','- Nasi Kotak Biasa - Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2573,'47714776','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','2.854.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Banner,Fotocopy, Kertas 150 gr, Ordner','Banner 12 meter fotocopy 4 lembar Ordner 6 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2574,'47714813','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','- Nasi Kotak Biasa - Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2575,'47715132','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (DAK NF BOK POM)','24.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Pengawasan sarana Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat Pengawasan sarana IRTP (DAK NF BOK POM) (80)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2576,'47715290','Belanja Makanan dan Minuman Rapat','1.410.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Makanan dan Minuman Rapat','- Nasi Kotak Biasa - Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 17:21:35.7','dinkes'),
(2577,'47715529','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','583.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Kertas HVS','9 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2578,'47716096','Belanja Makanan dan Minuman Rapat (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan)','2.585.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Makmin Bimbingan Teknis Kader Keamanan Pangan (Pajak Rokok)','Makmin Bimbingan Teknis Kader Keamanan Pangan (Pajak Rokok) (55)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2579,'47716154','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','678.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Tinta','4 Botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2580,'47716547','belanja Makan dan Minuman Rapat','17.700.000','Pengadaan Langsung','APBDP','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Makmin','Nasi : 300 Kotak Kue : 300 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2581,'47717195','Belanja Bahan-Bahan Lainnya','18.505.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','RDT Malaria','14 paket 16 dos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2582,'47717682','Belanja Makanan dan Minuman Rapat (Pendapatan Bagi Hasil Pajak Rokok-Pelayanan Kesehatan) Pengawasan Produk Pangan Industri Rumah Tangga (DAK NF BOK POM)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 Paket','Pengawasan Produk Pangan Industri Rumah Tangga (DAK NF BOK POM)','Belanja Makmin Desk CAPA pelaku usaha PIRT (35); Rapat pembahasan tindak lanjut hasil pengawasan (70); Rapat Koordinasi ( Inventarisasi dan Monitoring tindak lanjut Sarana IRTP) (45)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2583,'47718083','Belanja Makanan dan Minuman Rapat (DAK NF BOK POM)','4.230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Makanan dan Minuman Rapat (Nasi Kotak Biasa, Kue Kotak) (DAK NF BOK POM)','Kegiatan Bimbingan Teknis Penyuluhan Keamanan Pangan bagi Pelaku Usaha Industri Rumah Tangga Pangan (IRTP) (Nasi Kotak Biasa 15 kotak, Kue Kotak 15 kotak), Pemeriksaan Sarana dalam Rangka Pengawalan Pemenuhan Komitmen Penerbitan Sertifikat Produksi Pangan Industri Rumah Tangga (SPP-IRT) (Nasi Kotak Biasa 30 kotak, Kue Kotak 30 kotak), Pendampingan Pemenuhan CAPA (Nasi Kotak Biasa 15 kotak, Kue Kotak 15 kotak), dan Pengkajian Ulang SPPIRT (Nasi Kotak Biasa 30 kotak, Kue Kotak 30 kotak) (DAK NF BOK POM)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2584,'47718162','Belanja Bahan-Bahan Lainnya','155.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','R NOL Skrining HIV dan Sifilis duo/Combo','10200 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2585,'47718222','Belanja Modal Kendaraan Bermotor Beroda Dua','34.680.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Sepeda Motor Roda Dua IFK ( DAK fisik)','Sepeda Motor Roda Dua IFK ( DAK fisik)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 07:46:59.427','dinkes'),
(2586,'47718664','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang -Box Sepeda Motor IFK ( DAK FISIK)','9.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Box Sepeda Motor IFK ( DAK FISIK)','Box Sepeda Motor IFK ( DAK FISIK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2587,'47719514','Belanja Modal Alat Penyimpan Perlengkapan kantor - Rak besi IFK ( DAK Fisik)','108.613.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Rak besi IFK ( DAK Fisik)','- Rak besi IFK ( DAK Fisik)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2588,'47719960','Belanja Modal Alat Rumah Tangga - pallet IFK ( DAK Fisik )','48.150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','pallet IFK ( DAK Fisik )','pallet IFK ( DAK Fisik )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2589,'47724427','Belanja Alat/Bahan untuk kegiatan kantor-Alat tulis kantor','1.933.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Paper clip, isolasi, banner, fotocopy, ordner','Paper clip :20 pak isolasi : 10 buah banner :16 meter ordner : 15 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 17:21:35.7','dinkes'),
(2590,'47724522','Belanja Alat/Bahan untuk kegiatan kantor-bahan komputer','4.899.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Flasdisk, tinta, catridge','flasdisk :5 tinta : 20 botol catridge : 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2591,'47724623','belanja makanan dan minuman rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanaja mkanan dan minuman rapat','Nasi :500 kotak kue : 500 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2592,'47724718','Belanjatagihan telepon','4.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','belanja wifi','wifi 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2593,'47724808','Belanja tagihan listrik','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','tagihan listrik','listrik 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2594,'47725233','Belanja sewa gedung dan bangunan','15.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','gedung pokja','gedung 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2595,'47726893','belanja makanan dan minuman rapat','62.524.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','belanja makanan dan minuman rapat','nasi kotak kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2596,'47726998','Belanja Alat/Bahan untuk kegiatan kantor-bahan komputer','2.973.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Alat/Bahan untuk kegiatan kantor-bahan komputer','cadridge dan tinta','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2597,'47727060','Belanja Alat/Bahan untuk kegiatan kantor-alat listrik','294.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Alat/Bahan untuk kegiatan kantor-alat listrik','batrai besar : 30 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2598,'47727123','Belanja Alat/Bahan untuk kegiatan kantor-kertas dan cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Alat/Bahan untuk kegiatan kantor-kertas dan cover','kertas HVS ; 25 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2599,'47727165','Belanja Alat/Bahan untuk kegiatan kantor-Alat tulis kantor','4.924.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Belanja Alat/Bahan untuk kegiatan kantor-Alat tulis kantor','banner dan fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2600,'47727314','belanja bahan-bahan lainnya','866.149.050','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','belanja bahan-bahan lainnya','brustips, colestrol,HDL,jarum vacutainer,kapas alkohol, plesterlipid, tabung vacutainer, termal peper, trigeserida, yellow tips','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 23:51:05.677','dinkes'),
(2601,'47727374','belanja bahan bahan bakar dan pelumas','336.735.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','belanja bahan bahan bakar dan pelumas','pertamax dan pertamina dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 23:51:05.677','dinkes'),
(2602,'47759819','Belanja Modal Bangunan Gedung Kantor - Labkesda','149.196.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Labkesda','Labkesda','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2603,'47762594','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Rumah Dinas Puskesmas Cermee','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Cermee','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2604,'47763420','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Rumah Dinas Puskesmas Cermee','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Rumah Dinas Puskesmas Cermee','Perencanaan Rehabilitasi Rumah Dinas Puskesmas Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2605,'47764061','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Rumah Dinas Puskesmas Cermee','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Rumah Dinas Puskesmas Cermee','Rehabilitasi Rumah Dinas Puskesmas Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2606,'47766906','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Rumah Dinas Puskesmas Jambesari','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Rumah Dinas Puskesmas Jambesari','Rehabilitasi Rumah Dinas Puskesmas Jambesari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2607,'47767589','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Rumah Dinas Puskesmas Jambesari','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Jambesari','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Jambesari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2608,'47769186','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Rumah Dinas Puskesmas Kademangan','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Kademangan','Pengawasan Rehabilitasi Rumah Dinas Puskesmas Kademangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2609,'47771479','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Rumah Dinas Puskesmas Kademangan','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Rumah Dinas Puskesmas Kademangan','Perencanaan Rehabilitasi Rumah Dinas Puskesmas Kademangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2610,'47772173','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Rumah Dinas Puskesmas Kademangan','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Rumah Dinas Puskesmas Kademangan','Rehabilitasi Rumah Dinas Puskesmas Kademangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2611,'47773350','Belanja Modal Bangunan Gudang - Rehabilitasi Gedung Gudang IFK (DAK Fisik )','404.100.000','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Rehabilitasi Gedung Gudang IFK (DAK Fisik )','- Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2612,'47825586','Belanja Modal Bangunan Gudang - Perencanaan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','12.070.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Perencanaan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2613,'47826363','Belanja Modal Bangunan Gudang - Pengawasan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','8.046.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Pengawasan Rehabilitasi Gedung Gudang IFK (DAK Fisik )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2614,'47828907','Belanja Jasa Kalibrasi (DBH CHT)','150.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Kalibrasi (DBH CHT)','Kalibrasi (DBH CHT)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2615,'47829374','Belanja Jasa Kalibrasi (Dau Kesehatan )','120.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Kalibrasi (Dau Kesehatan )','Kalibrasi (Dau Kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2616,'47829801','Belanja Pemeliharaan Peralatan dan Mesin - Pemeliharaan Alat Kesehatan ( DBH CHT)','200.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pemeliharaan Alat Kesehatan ( DBH CHT)','Pemeliharaan Alat Kesehatan ( DBH CHT)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2617,'47830697','Belanja Modal Kendaraan Dinas Bermotor Perorangan - Mobil Pelayanan Kesehatan (DBH CHT )','400.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Mobil Pelayanan Kesehatan (DBH CHT )','Mobil Pelayanan Kesehatan (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2618,'47831199','Belanja Modal Kendaraan Dinas Bermotor Perorangan - Mobil Promosi Kesehatan (DBH CHT )','600.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Mobil Promosi Kesehatan (DBH CHT )','Mobil Promosi Kesehatan (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2619,'47833581','Belanja Modal Kendaraan Bermotor Khusus - Mobil Puskesmas Keliling (DBH CHT )','2.346.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Puskesmas Maesan,Botolinggo , Sumber wringin','Puskesmas Maesan,Botolinggo , Sumber wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2620,'47833843','Belanja Modal Unit Alat Laboratorium - IPAL ( DAU kesehatan )','500.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','IPAL ( DAU kesehatan )','IPAL ( DAU kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2621,'47834126','Belanja Modal Bangunan Gedung Kantor - Pengawasan Puskesmas Nangkaan ( DBH CHT )','34.448.650','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Puskesmas Nangkaan ( DBH CHT )','Pengawasan Puskesmas Nangkaan ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2622,'47834339','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','34.448.650','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','Perencanaan Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2623,'47834938','Belanja Pemeliharaan Gedung dan Bangunan -Pemeliharaan Saluran Limbah ( Dau Kesehatan )','14.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pemeliharaan Saluran Limbah ( Dau Kesehatan )','Pemeliharaan Saluran Limbah ( Dau Kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2624,'47835076','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','902.490.000','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','- Rehabilitasi Puskesmas Nangkaan ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:53:32.231','dinkes'),
(2625,'47890212','Belanja Perjalanan Dinas Paket Meeting Dalam Kota (Paket Meeting Full Day) (DAK NF BOK POM)','84.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (Paket Meeting Full Day) (DAK NF BOK POM)','Beban Perjalanan Dinas Paket Meeting Dalam Kota Spesifikasi : Paket full day','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 07:46:59.427','dinkes'),
(2626,'48032249','Belanja Modal bangunan Gedung Kantor - Rehabilitasi puskesmas Sempol','300.830.000','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi puskesmas Sempol','Rehabilitasi puskesmas Sempol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2627,'48033044','Belanja Modal Bangunan Gedung Kantor - Pengawasan Puskesmas Sempol','16.847.150','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Pengawasan Puskesmas Sempol','- Pengawasan Puskesmas Sempol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2628,'48034654','Belanja Modal Bangunan Gedung Kantor - Perencanaan Puskesmas Sempol','25.272.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Perencanaan Puskesmas Sempol','- Perencanaan Puskesmas Sempol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2629,'48036125','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','7.921.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','- Perencanaan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','- Perencanaan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2630,'48037003','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','5.280.450','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Pengawasan Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2631,'48037553','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','273.890.000','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Rehabilitasi Puskesmas Pembantu Tangsil Kulon ( DAK fisik)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2632,'48138987','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Buku Materi) (DAK NF BOK POM)','12.879.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bimbingan Teknis Penyuluhan Keamanan Pangan bagi Pelaku Usaha Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Alat Tulis Kantor Spesifikasi : Cetak Buku Materi (243 buku)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2633,'48139302','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Stiker) (DAK NF BOK POM)','3.072.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Alat Tulis Kantor Spesifikasi : cetak stiker (480 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2634,'48139527','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Leaflet/Brosur) (DAK NF BOK POM)','2.040.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Alat Tulis Kantor Spesifikasi : Leaflet/Brosur (240 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2635,'48139795','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Sertifikat Piagam) (DAK NF BOK POM)','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Bimbingan Teknis Penyuluhan keamanan pangan bagi pelaku usaha Industri Rumah Tangga Pangan (IRTP) (DAK NF BOK POM)','Alat Tulis Kantor Spesifikasi : Cetak Sertifikat/ piagam (120 lembar)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2636,'48140523','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Cetak Buku Materi) (Pajak Rokok)','7.155.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Penyediaan Informasi Keamanan Pangan Bagi Masyarakat / Anak Sekolah (Pajak Rokok)','Alat Tulis Kantor Spesifikasi : Cetak Buku Materi (135 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2637,'48141296','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (X Banner) (Pajak Rokok)','3.180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Penyediaan Informasi Keamanan Pangan Bagi Masyarakat / Anak Sekolah (Pajak Rokok)','Alat Tulis Kantor Spesifikasi : X banner (12 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2638,'48141661','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Banner) (Pajak Rokok)','2.976.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Penyediaan Informasi Keamanan Pangan Bagi Masyarakat / Anak Sekolah (Pajak Rokok)','Alat Tulis Kantor Spesifikasi : banner (80 m2/hari)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2639,'48146288','Belanja Modal Bangunan Gedung kantor - Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','902.400.000','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2640,'48147335','Belanja Modal Bangunan Gedung kantor - Pengwasan Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','34.448.650','Tender','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengwasan Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','Pengwasan Rehabilitasi Puskesmas Kotakulon (Dau Bidang Kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2641,'48308575','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Kotakulon ( Dau Bidang Kesehatan )','51.676.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Kotakulon ( Dau Bidang Kesehatan )','Perencanaan Rehabilitasi Puskesmas Kotakulon ( Dau Bidang Kesehatan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2642,'48318157','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Pembantu bendoarum ( DBH CHT )','Perencanaan Rehabilitasi Puskesmas Pembantu bendoarum ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 07:46:59.427','dinkes'),
(2643,'48319584','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','Pengawasan Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2644,'48320510','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','Rehabilitasi Puskesmas Pembantu bendoarum( Puskesmas Wonosari ) ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2645,'48324096','Belanja Modal Bangunan Gedung - Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2646,'48325380','Belanja Modal Bangunan Gedung - Pengawasan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Pengawasan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2647,'48326738','Belanja Modal Bangunan Gedung - Perencanaan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Perencanaan Rehabilitasi Puskesmas Pembantu Gunosari ( Puskesmas Tlogosari ) ( DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2648,'48446305','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2649,'48446490','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2650,'48446753','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Rehabilitasi Puskesmas Pembantu Sumber Pandan ( Puskesmas Grujugan )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2651,'48447211','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2652,'48447789','Belanja Modal Bangunan Gedung Kantor -Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','11.144.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Pengawasan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2653,'48449471','Belanja Modal Bangunan Gedung Kantor -Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Perencanaan Rehabilitasi Puskesmas Pembantu Sumber Wonoboyo ( Puskesmas Klabang )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2654,'48918891','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','11.144.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Pengawasan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2655,'48918966','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Perencanaan Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2656,'48919069','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Rehabilitasi Puskesmas Pembantu Wonokerto ( Puskesmas Klabang)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2657,'48919208','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Sempol (DBH CHT )','11.144.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Sempol (DBH CHT )','Pengawasan Rehabilitasi Puskesmas Sempol (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2658,'48919352','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Sempol (DBH CHT )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Sempol (DBH CHT )','Perencanaan Rehabilitasi Puskesmas Sempol (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2659,'48919455','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Sempol (DBH CHT )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Sempol (DBH CHT )','Rehabilitasi Puskesmas Sempol (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2660,'48919550','Belanja Modal Bangunan Gedung Kantor - Rehabilitasi Puskesmas Tamanan (DBH CHT )','198.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Rehabilitasi Puskesmas Tamanan (DBH CHT )','Rehabilitasi Puskesmas Tamanan (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2661,'48919640','Belanja Modal Bangunan Gedung Kantor - Pengawasan Rehabilitasi Puskesmas Tamanan (DBH CHT )','11.114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Pengawasan Rehabilitasi Puskesmas Tamanan (DBH CHT )','Pengawasan Rehabilitasi Puskesmas Tamanan (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2662,'48919834','Belanja Modal Bangunan Gedung Kantor - Perencanaan Rehabilitasi Puskesmas Tamanan (DBH CHT )','16.673.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Perencanaan Rehabilitasi Puskesmas Tamanan (DBH CHT )','Perencanaan Rehabilitasi Puskesmas Tamanan (DBH CHT )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-29 08:59:35.814','dinkes'),
(2663,'49166856','Belanja Jasa Penyelenggara Acara (Dinkes,PKM)','777.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Jasa Penyelenggara Acara','Sinkronisasi Program Bidang Kesehatan Essensial,Sinergitas Perencanaan Penganggaran,SinergitasProgram Bidang Kesehatan Pengembangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-31 10:03:24.45','dinkes'),
(2664,'49170340','Belanja Jasa Penyelenggara Acara (KEUANGAN)','49.500.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1','Jasa Penyelenggara Acara','Sinergitas Pengelolaan Barang Milik Daerah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-31 10:28:06.624','dinkes'),
(2665,'49934033','BELANJA BARANG UNTUK DIJUAL / DISERAHKAN KEPADA MASYARAKAT (PAJAK ROKOK)','312.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','STIMULAN JAMBAN : 125 PAKET','STIMULAN JAMBAN : 125 PAKET','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-19 10:54:26.847','dinkes'),
(2666,'49934467','BELANJA BARANG UNTUK DIJUAL / DISERAHKAN KEPADA MASYARAKAT (DANA BAGI HASIL CUKAI HASIL TEMBAKAU)','300.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Kesehatan',2024,'1 PAKET','STIMULAN JAMBAN : 120 PAKET','STIMULAN JAMBAN : 120 PAKET','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-19 10:54:26.847','dinkes'),
(2667,'46858227','Belanja Bahan-Bahan Bakar dan Pelumas','4.235.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'275 lt','Belanja Bahan-Bahan Bakar dan Pelumas, Spesifikasi Pertamina Dex 275 Liter','Belanja Bahan-Bahan Bakar dan Pelumas, Spesifikasi Pertamina Dex 275 Liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2668,'46858364','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.315.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (544 lembar), Cetak Map (15 lembar), Jilid dan cetak cover warna dan laminasi, s/d 50 halaman (10 Eks), Isi staples kecil no 10 (2 pak), Ordner lorek kw (2 buah), Snelhecter map bahan plastik (2 pak), Paper clip (15 pak), Stapler Hd 10 (2 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2669,'46858539','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD','January 2023','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover Spesifikasi : Kertas A4 70 gr (10 rim), Kertas HVS F4 70 gr (10 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2023','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2670,'46888084','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.526.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Tinta printer epson warna 003 (6 buah), Tinta printer epson 003 warna hitam (6 buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Tinta printer epson warna 003 (6 buah), Tinta printer epson 003 warna hitam (6 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2671,'46902365','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.051.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Cetak map (100 lbr), Ordner lorek kw (10 bh), Bolpoint (10 pk), Isi staples kecil No 10 (5 pak), Lem cair 50 ml (15 bh), Map kertas (100 lbr), Binder clip No 155 (5 pk), Binder clip No 200 (5 pk), Binder clip 260 (5 pk), Isolasi bening 5 cm (10 bh), Jilid dan cetak cover warna dan laminasi s/d 50 halaman (15 eks), Stop map kertas biasa (100 bh), Map plastik folio 240/190 (50 bh)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Cetak map (100 lbr), Ordner lorek kw (10 bh), Bolpoint (10 pk), Isi staples kecil No 10 (5 pak), Lem cair 50 ml (15 bh), Map kertas (100 lbr), Binder clip No 155 (5 pk), Binder clip No 200 (5 pk), Binder clip 260 (5 pk), Isolasi bening 5 cm (10 bh), Jilid dan cetak cover warna dan laminasi s/d 50 halaman (15 eks), Stop map kertas biasa (100 bh), Map plastik folio 240/190 (50 bh)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2672,'46903493','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','3.422.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover Spesifikasi : Kertas A4 70 gr (25 rim), Amplop dinas 12x27 B (10 pak), Amplop craff 15 (10 dos), Kertas HVS F4 70 gr (24 rim)','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover Spesifikasi : Kertas A4 70 gr (25 rim), Amplop dinas 12x27 B (10 pak), Amplop craff 15 (10 dos), Kertas HVS F4 70 gr (24 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2673,'46904546','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai (50 bh)','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai (50 bh)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2674,'46905440','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.026.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refille ink deskjet bcl-21 black (4 bh), Refille ink deskjet bcl-21 colour (4 bh), Isi toner cartridge laserjet 12 A (4 bh)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refille ink deskjet bcl-21 black (4 bh), Refille ink deskjet bcl-21 colour (4 bh), Isi toner cartridge laserjet 12 A (4 bh)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2675,'46909217','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.924.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (10 Pak), Binder Clip No. 111 (15 Pak), Binder Clip No. 200 (13 Pak), Stopmap Kertas V Tec, Biola (51 Buah), Ordner Lorek Kw (15 Buah), Jilid Dan Cetak Cover Warna Dan Laminasi, 51 (10 Eksemplar), Fotocopy (529 Lembar)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (10 Pak), Binder Clip No. 111 (15 Pak), Binder Clip No. 200 (13 Pak), Stopmap Kertas V Tec, Biola (51 Buah), Ordner Lorek Kw (15 Buah), Jilid Dan Cetak Cover Warna Dan Laminasi, 51 (10 Eksemplar), Fotocopy (529 Lembar)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2676,'46910838','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','455.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Ordner Lorek Kw (5 Buah), Bolpoint (5 pak), Binder Clip no 155 (5 Dos), Binder Clip No. 260 (1 Pak), Fotocopy (34 lbr)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Ordner Lorek Kw (5 Buah), Bolpoint (5 pak), Binder Clip no 155 (5 Dos), Binder Clip No. 260 (1 Pak), Fotocopy (34 lbr)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2677,'46911749','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','959.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Kertas A4 70 Gr (8 Rim), HVS F4 70 gram (8 Rim)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Kertas A4 70 Gr (8 Rim), HVS F4 70 gram (8 Rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2678,'46912848','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','585.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Isi Toner Cartridge Laserjet 12 A (3 Buah), Refile Ink Deskjet Bji-201C (3 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Isi Toner Cartridge Laserjet 12 A (3 Buah), Refile Ink Deskjet Bji-201C (3 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2679,'46915696','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.707.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : A4 70 Gr (11 Rim), kertas HVS F4 70 gram (17 rim)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : A4 70 Gr (11 Rim), kertas HVS F4 70 gram (17 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2680,'46917607','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.367.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refile Ink Deskjet 51606B (6 Buah), Isi Toner Cartridge Laserjet 12 A (6 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refile Ink Deskjet 51606B (6 Buah), Isi Toner Cartridge Laserjet 12 A (6 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2681,'46935991','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','84.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (3 Pak), Fotocopy (185 Lembar)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (3 Pak), Fotocopy (185 Lembar)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2682,'46936230','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.415.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Isi Toner Cartridge Laserjet 12 A (3 Buah), Tinta Printer epson 003 warna hitam (2 Buah), Tinta Printer epson warna 003 (pink, kuning, biru) (6 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Isi Toner Cartridge Laserjet 12 A (3 Buah), Tinta Printer epson 003 warna hitam (2 Buah), Tinta Printer epson warna 003 (pink, kuning, biru) (6 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2683,'46940767','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','179.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (194 Lembar), Binder Clip No. 260 (4 Pak), Binder Clip No. 155 (5 Pak)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (194 Lembar), Binder Clip No. 260 (4 Pak), Binder Clip No. 155 (5 Pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2684,'46940850','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram (2 Rim)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram (2 Rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2685,'46941035','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','190.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refile Ink Deskjet 51606B (2 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : Refile Ink Deskjet 51606B (2 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2686,'46941526','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.835.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (468 Lembar), Binder Clip No. 105 (10 Pak), Binder Clip No. 111 (31 Pak), Lem Cair 112 (5 Buah), Map snelhecter plastik (15 Buah), Gunting (4 Buah), Cutter L 500 (3 Buah), Bolpoint (5 Pak), Stempel dinas (3 Buah), Binder Clip no 155 (10 Pak), Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1... (4 Eks), Ordner Lorek (Kw 10 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (468 Lembar), Binder Clip No. 105 (10 Pak), Binder Clip No. 111 (31 Pak), Lem Cair 112 (5 Buah), Map snelhecter plastik (15 Buah), Gunting (4 Buah), Cutter L 500 (3 Buah), Bolpoint (5 Pak), Stempel dinas (3 Buah), Binder Clip no 155 (10 Pak), Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1... (4 Eks), Ordner Lorek (Kw 10 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2687,'46942021','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 50 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 50 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2688,'46942272','Belanja Langganan Jurnal/Surat Kabar/Majalah','2.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Belanja Langganan Jurnal/Surat Kabar/Majalah Spesifikasi : Tagihan Koran (1 Tahun)','Belanja Langganan Jurnal/Surat Kabar/Majalah Spesifikasi : Tagihan Koran (1 Tahun)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2689,'46942613','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.190.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (20 Pak), Binder Clip No. 200 (20 Pak), Binder Clip No. 260 (20 Pak), Buku Kwitansi Gm/80 Pl (5 Buah), Buku Buku Folio 100 Lbr (5 Buah), Fotocopy (353 Lembar), Porforator Sedang 40 Xl (4 Buah), Isi Steples Kecil No 10 (70 Pak), Lem Cair 50 Ml (10 Buah), Ordner Lorek Kw (15 Buah), Ordner Lorek Kw (30 Buah), Stamp Pad (2 Buah), Stapler Hd (10 5 Buah), Bolpoint (3 Pak), Spidol Marker (10 Buah), map snelhecter plastik (99 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (20 Pak), Binder Clip No. 200 (20 Pak), Binder Clip No. 260 (20 Pak), Buku Kwitansi Gm/80 Pl (5 Buah), Buku Buku Folio 100 Lbr (5 Buah), Fotocopy (353 Lembar), Porforator Sedang 40 Xl (4 Buah), Isi Steples Kecil No 10 (70 Pak), Lem Cair 50 Ml (10 Buah), Ordner Lorek Kw (15 Buah), Ordner Lorek Kw (30 Buah), Stamp Pad (2 Buah), Stapler Hd (10 5 Buah), Bolpoint (3 Pak), Spidol Marker (10 Buah), map snelhecter plastik (99 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2690,'46942966','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.323.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Amplop Dinas 24 X 35 (199 Lembar), Amplop Craff 15 (20 Dos), Kertas Faximile 210 X 30 If (2 Roll), Kertas A4 70 Gr (15 Rim), kertas HVS F4 70 gram (40 Rim)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Amplop Dinas 24 X 35 (199 Lembar), Amplop Craff 15 (20 Dos), Kertas Faximile 210 X 30 If (2 Roll), Kertas A4 70 Gr (15 Rim), kertas HVS F4 70 gram (40 Rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2691,'46943110','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai (50 Buah)','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : (Materai 50 Buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2692,'46944745','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.482.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Kertas A4 70 Gr (21 Lembar), Kertas Hvs Warna F4 70 Gr (25 Rim)','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : Kertas A4 70 Gr (21 Lembar), Kertas Hvs Warna F4 70 Gr (25 Rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2693,'46945663','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','708.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Penghapus White Board (2 Buah), Spidol Marker (5 Buah), Snelhecter Map Bahan Transparan (19 Buah), Fotocopy (836 Lembar), Bolpoint (10 Pak)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Penghapus White Board (2 Buah), Spidol Marker (5 Buah), Snelhecter Map Bahan Transparan (19 Buah), Fotocopy (836 Lembar), Bolpoint (10 Pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2694,'46945941','Belanja Bahan-Bahan Bakar dan Pelumas','15.492.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1006 ltr','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex (1006 Liter)','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex (1006 Liter)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2695,'46946023','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (1 Pak)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Binder Clip No. 155 (1 Pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2696,'46959678','Belanja Tagihan Listrik','74.492.460','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Beban Tagihan Listrik Spesifikasi : Belanja Listrik (1 Tahun) Rp. 74.492.460','Beban Tagihan Listrik Spesifikasi : Belanja Listrik (1 Tahun) Rp. 74.492.460','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2697,'46964915','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 50 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 50 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2698,'46965030','Belanja Bahan-Bahan Bangunan dan Konstruksi','280.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi Spesifikasi : + Cat kayu/besi (2 Kg) 65.000 + Kuas Cat (6 Buah) 25.000','Belanja Bahan-Bahan Bangunan dan Konstruksi Spesifikasi : + Cat kayu/besi (2 Kg) 65.000 + Kuas Cat (6 Buah) 25.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2699,'46965106','Belanja Bahan-Bahan Baku','70.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Baku Spesifikasi : Paku Pancing 50 Buah','Belanja Bahan-Bahan Baku Spesifikasi : Paku Pancing 50 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2700,'46965431','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','10.850.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik : + Spesifikasi : Service laptop / komputer (29 Kali) Rp. 250.000 = Rp. 7.250.000 + Spesifikasi : Belanja Service Printer (18 Kali) Rp. 200.000 = Rp. 3.600.000','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik : + Spesifikasi : Service laptop / komputer (29 Kali) Rp. 250.000 = Rp. 7.250.000 + Spesifikasi : Belanja Service Printer (18 Kali) Rp. 200.000 = Rp. 3.600.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2701,'46965499','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga-Alat Rumah Tangga-Alat Pendingin','9.150.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga-Alat Rumah Tangga-Alat Pendingin : + Spesifikasi : Pemeliharaan AC Split (15 Unit / Tahun) Rp. 610.000 = Rp. 9.150.000','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga-Alat Rumah Tangga-Alat Pendingin : + Spesifikasi : Pemeliharaan AC Split (15 Unit / Tahun) Rp. 610.000 = Rp. 9.150.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2702,'46965692','Belanja Modal Bangunan Gedung Kantor','20.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Modal Bangunan Gedung Kantor : + Spesifikasi : Rehab Ringan Gedung Negara Sederhana 12.81365999 M2 1.347.000 Rp. 17.260.000 + Spesifikasi : AP Rehab Ringan Gedung Negara Sederhana 12.81061224 M2 26.950 Rp. 345.246 + Spesifikasi : Perencanaan Rehab Ringan Gedung Negara Sederhana 12.813435 M2 113.150 Rp. 1.449.840 + Spesifikasi : Pengawasan Rehab Ringan Gedung Negara Sederhana 12.52371106 M2 75.450 Rp. 944.914','Belanja Modal Bangunan Gedung Kantor : + Spesifikasi : Rehab Ringan Gedung Negara Sederhana 12.81365999 M2 1.347.000 Rp. 17.260.000 + Spesifikasi : AP Rehab Ringan Gedung Negara Sederhana 12.81061224 M2 26.950 Rp. 345.246 + Spesifikasi : Perencanaan Rehab Ringan Gedung Negara Sederhana 12.813435 M2 113.150 Rp. 1.449.840 + Spesifikasi : Pengawasan Rehab Ringan Gedung Negara Sederhana 12.52371106 M2 75.450 Rp. 944.914','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2703,'46965849','Belanja Bahan-Bahan Bakar dan Pelumas','13.539.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : + Spesifikasi : Pertamina Dex (798 Liter) Rp. 15.400 = Rp. 12.289.200 + Spesifikasi : Pertamax (94 Liter) Rp.13.300 = Rp. 1.250.200','Belanja Bahan-Bahan Bakar dan Pelumas : + Spesifikasi : Pertamina Dex (798 Liter) Rp. 15.400 = Rp. 12.289.200 + Spesifikasi : Pertamax (94 Liter) Rp.13.300 = Rp. 1.250.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2704,'46966129','Belanja Suku Cadang-Suku Cadang Alat Angkutan','34.432.700','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Belanja Suku Cadang-Suku Cadang Alat Angkutan : + Spesifikasi : Penggantian Suku Cadang (1 Tahun) Rp. 34.432.700','Belanja Suku Cadang-Suku Cadang Alat Angkutan : + Spesifikasi : Penggantian Suku Cadang (1 Tahun) Rp. 34.432.700','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2705,'46966169','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','27.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (93 Lembar) Rp. 300 = Rp. 27.900','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Spesifikasi : Fotocopy (93 Lembar) Rp. 300 = Rp. 27.900','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2706,'46966233','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','12.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Belanja Jasa Tenaga Teknisi Mekanik dan Listri Spesifikasi : Beban Jasa Service Kendaraan Dinas (1 Tahun) Rp. 12.000.000 = Rp. 12.000.000','Belanja Jasa Tenaga Teknisi Mekanik dan Listri Spesifikasi : Beban Jasa Service Kendaraan Dinas (1 Tahun) Rp. 12.000.000 = Rp. 12.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2707,'46968864','Belanja Bahan-Bahan Bakar dan Pelumas','4.407.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : + Spesifikasi : Pertamax (50 Liter) Rp. 13.300 = Rp. 665.000 + Spesifikasi : Pertamina Dex (243 Liter) Rp. 15.400 = Rp. 3.742.200','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2708,'46969177','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.968.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : + Spesifikasi : Binder Clip No. 200 5 Pak 12.500 0 % Rp. 62.500 + Spesifikasi : Fotocopy 1446 Lembar 300 0 % Rp. 433.800 + Spesifikasi : Stapler Hd 10 2 Buah 40.700 0 % Rp. 81.400 + Spesifikasi : banner 12 M2 37.200 0 % Rp. 446.400 + Spesifikasi : Binder Clip No. 155 8 Pak 9.800 0 % Rp. 78.400 + Spesifikasi : Binder Clip No. 260 10 Pak 18.100 0 % Rp. 181.000 + Spesifikasi : Isi Stapler Kecil No.10 4 Pak 68.900 0 % Rp. 275.600 + Spesifikasi : Ordner Lorek Kw 30 Buah 42.400 0 % Rp. 1.272.000 + Spesifikasi : Stopmap Kertas Panda 199 Buah 2.300 0 % Rp. 457.700 + Spesifikasi : Hvs D.Folio/D.Kwarto 80 Gr Dicetak : 2 Muka S/D 20... 1200 Lembar 3.900 0 % Rp. 4.680.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : + Spesifikasi : Binder Clip No. 200 5 Pak 12.500 0 % Rp. 62.500 + Spesifikasi : Fotocopy 1446 Lembar 300 0 % Rp. 433.800 + Spesifikasi : Stapler Hd 10 2 Buah 40.700 0 % Rp. 81.400 + Spesifikasi : banner 12 M2 37.200 0 % Rp. 446.400 + Spesifikasi : Binder Clip No. 155 8 Pak 9.800 0 % Rp. 78.400 + Spesifikasi : Binder Clip No. 260 10 Pak 18.100 0 % Rp. 181.000 + Spesifikasi : Isi Stapler Kecil No.10 4 Pak 68.900 0 % Rp. 275.600 + Spesifikasi : Ordner Lorek Kw 30 Buah 42.400 0 % Rp. 1.272.000 + Spesifikasi : Stopmap Kertas Panda 199 Buah 2.300 0 % Rp. 457.700 + Spesifikasi : Hvs D.Folio/D.Kwarto 80 Gr Dicetak : 2 Muka S/D 20... 1200 Lembar 3.900 0 % Rp. 4.680.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2709,'46969229','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','882.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : + Spesifikasi : Kertas HVS A4 70 Gr 4 Rim 58.500 0 % Rp. 234.000 + Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : + Spesifikasi : Kertas HVS A4 70 Gr 4 Rim 58.500 0 % Rp. 234.000 + Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2710,'46969335','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.272.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : + Spesifikasi : Tinta Printer epson 003 warna hitam 4 Buah 127.200 0 % Rp. 508.800 + Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 6 Buah 127.200 0 % Rp. 763.200','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : + Spesifikasi : Tinta Printer epson 003 warna hitam 4 Buah 127.200 0 % Rp. 508.800 + Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 6 Buah 127.200 0 % Rp. 763.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2711,'46973522','Belanja Makanan dan Minuman Rapat','14.100.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : + Spesifikasi : Kue Kotak (300 Kotak) 17.000 0 % Rp. 5.100.000 + Spesifikasi : Nasi Kotak Biasa (300 Kotak) 30.000 0 % Rp. 9.000.000','Belanja Makanan dan Minuman Rapat : + Spesifikasi : Kue Kotak (300 Kotak) 17.000 0 % Rp. 5.100.000 + Spesifikasi : Nasi Kotak Biasa (300 Kotak) 30.000 0 % Rp. 9.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2712,'46973885','Belanja Bahan-Bahan Bakar dan Pelumas','5.873.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : + Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 + Spesifikasi : Pertamina Dex 295 Liter 15.400 0 % Rp. 4.543.000','Belanja Bahan-Bahan Bakar dan Pelumas : + Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 + Spesifikasi : Pertamina Dex 295 Liter 15.400 0 % Rp. 4.543.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2713,'46974155','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','21.825.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : + Spesifikasi : Binder Clip No. 200 6 Pak 12.500 0 % Rp. 75.000 + Spesifikasi : Fotocopy 1422 Lembar 300 0 % Rp. 426.600 + Spesifikasi : Stapler Hd 10 2 Buah 40.700 0 % Rp. 81.400 + Spesifikasi : banner 12 M2 37.200 0 % Rp. 446.400 + Spesifikasi : Binder Clip No. 155 8 Pak 9.800 0 % Rp. 78.400 + Spesifikasi : Binder Clip No. 260 10 Pak 18.100 0 % Rp. 181.000 + Spesifikasi : Isi Stapler Kecil No.10 4 Pak 68.900 0 % Rp. 275.600 + Spesifikasi : Ordner Lorek Kw 10 Buah 42.400 0 % Rp. 424.000 + Spesifikasi : Stopmap Kertas Panda 295 Buah 2.300 0 % Rp. 678.500 + Spesifikasi : Hvs D.Folio/D.Kwarto 80 Gr Dicetak : 2 Muka S/D 20... 3604 Lembar 3.900 0 % Rp. 14.055.600 + Spesifikasi : Hvs Double Folio 70 Gr Di Cetak 2 Muka (Dijilid 20... 21 Buku 209.900 0 % Rp. 4.407.900 + Spesifikasi : cetak map 100 Buah 5.300 0 % Rp. 530.000 + Spesifikasi : Map Kancing Punggung Interx 25 Buah 6.600 0 % Rp. 165.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : + Spesifikasi : Binder Clip No. 200 6 Pak 12.500 0 % Rp. 75.000 + Spesifikasi : Fotocopy 1422 Lembar 300 0 % Rp. 426.600 + Spesifikasi : Stapler Hd 10 2 Buah 40.700 0 % Rp. 81.400 + Spesifikasi : banner 12 M2 37.200 0 % Rp. 446.400 + Spesifikasi : Binder Clip No. 155 8 Pak 9.800 0 % Rp. 78.400 + Spesifikasi : Binder Clip No. 260 10 Pak 18.100 0 % Rp. 181.000 + Spesifikasi : Isi Stapler Kecil No.10 4 Pak 68.900 0 % Rp. 275.600 + Spesifikasi : Ordner Lorek Kw 10 Buah 42.400 0 % Rp. 424.000 + Spesifikasi : Stopmap Kertas Panda 295 Buah 2.300 0 % Rp. 678.500 + Spesifikasi : Hvs D.Folio/D.Kwarto 80 Gr Dicetak : 2 Muka S/D 20... 3604 Lembar 3.900 0 % Rp. 14.055.600 + Spesifikasi : Hvs Double Folio 70 Gr Di Cetak 2 Muka (Dijilid 20... 21 Buku 209.900 0 % Rp. 4.407.900 + Spesifikasi : cetak map 100 Buah 5.300 0 % Rp. 530.000 + Spesifikasi : Map Kancing Punggung Interx 25 Buah 6.600 0 % Rp. 165.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2714,'46974254','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.152.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : + Spesifikasi : Kertas HVS A4 70 Gr 5 Rim 58.500 0 % Rp. 292.500 + Spesifikasi : kertas HVS F4 70 gram 25 Rim 64.800 0 % Rp. 1.620.000 + Spesifikasi : Kertas Foto A4 2 Pak 120.200 0 % Rp. 240.400','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : + Spesifikasi : Kertas HVS A4 70 Gr 5 Rim 58.500 0 % Rp. 292.500 + Spesifikasi : kertas HVS F4 70 gram 25 Rim 64.800 0 % Rp. 1.620.000 + Spesifikasi : Kertas Foto A4 2 Pak 120.200 0 % Rp. 240.400','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2715,'46974327','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : + Spesifikasi : Tinta Printer epson 003 warna hitam 5 Buah 127.200 0 % Rp. 636.000 + Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 6 Buah 127.200 0 % Rp. 763.200 + Spesifikasi : Catridge Warna 1 Buah 371.400 0 % Rp. 371.400 + Spesifikasi : Catridge Hitam 1 Buah 350.100 0 % Rp. 350.100','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : + Spesifikasi : Tinta Printer epson 003 warna hitam 5 Buah 127.200 0 % Rp. 636.000 + Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 6 Buah 127.200 0 % Rp. 763.200 + Spesifikasi : Catridge Warna 1 Buah 371.400 0 % Rp. 371.400 + Spesifikasi : Catridge Hitam 1 Buah 350.100 0 % Rp. 350.100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2716,'46974504','Belanja Makanan dan Minuman Rapat','14.100.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 300 Kotak 17.000 0 % Rp. 5.100.000 - Spesifikasi : Nasi Kotak Biasa 300 Kotak 30.000 0 % Rp. 9.000.000','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 300 Kotak 17.000 0 % Rp. 5.100.000 - Spesifikasi : Nasi Kotak Biasa 300 Kotak 30.000 0 % Rp. 9.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2717,'46980948','Belanja Bahan-Bahan Bakar dan Pelumas','7.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'500 lt','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 500 Liter 15.400 0 % Rp. 7.700.000','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 500 Liter 15.400 0 % Rp. 7.700.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2718,'46981247','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','18.710.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Snelhecter Map Bahan Plastik 500 Buah 11.600 0 % Rp. 5.800.000 - Spesifikasi : Bolpoint 42 Pak 25.000 0 % Rp. 1.050.000 - Spesifikasi : Fotocopy 5323 Lembar 300 0 % Rp. 1.596.900 - Spesifikasi : Stapler Hd 10 3 Buah 40.700 0 % Rp. 122.100 - Spesifikasi : banner 6 M2 37.200 0 % Rp. 223.200 - Spesifikasi : Binder Clip No. 155 15 Pak 9.800 0 % Rp. 147.000 - Spesifikasi : Binder Clip No. 260 14 Pak 18.100 0 % Rp. 253.400 - Spesifikasi : Buku Block Note Garis 50 Lbr 500 Buah 10.800 0 % Rp. 5.400.000 - Spesifikasi : Ordner Lorek Kw 20 Buah 42.400 0 % Rp. 848.000 - Spesifikasi : Stopmap Kertas Panda 500 Buah 2.300 0 % Rp. 1.150.000 - Spesifikasi : cetak map 400 Buah 5.300 0 % Rp. 2.120.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Snelhecter Map Bahan Plastik 500 Buah 11.600 0 % Rp. 5.800.000 - Spesifikasi : Bolpoint 42 Pak 25.000 0 % Rp. 1.050.000 - Spesifikasi : Fotocopy 5323 Lembar 300 0 % Rp. 1.596.900 - Spesifikasi : Stapler Hd 10 3 Buah 40.700 0 % Rp. 122.100 - Spesifikasi : banner 6 M2 37.200 0 % Rp. 223.200 - Spesifikasi : Binder Clip No. 155 15 Pak 9.800 0 % Rp. 147.000 - Spesifikasi : Binder Clip No. 260 14 Pak 18.100 0 % Rp. 253.400 - Spesifikasi : Buku Block Note Garis 50 Lbr 500 Buah 10.800 0 % Rp. 5.400.000 - Spesifikasi : Ordner Lorek Kw 20 Buah 42.400 0 % Rp. 848.000 - Spesifikasi : Stopmap Kertas Panda 500 Buah 2.300 0 % Rp. 1.150.000 - Spesifikasi : cetak map 400 Buah 5.300 0 % Rp. 2.120.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2719,'46981609','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.241.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : kertas HVS F4 70 gram 20 Rim 64.800 0 % Rp. 1.296.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Spesifikasi : kertas HVS F4 70 gram 20 Rim 64.800 0 % Rp. 1.296.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2720,'46982016','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.241.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Spesifikasi : Tinta Printer epson 003 warna hitam 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 10 Buah 127.200 0 % Rp. 1.272.000 - Spesifikasi : Catridge Warna 2 Buah 371.400 0 % Rp. 742.800 - Spesifikasi : Catridge Hitam 2 Buah 350.100 0 % Rp. 700.200','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Spesifikasi : Tinta Printer epson 003 warna hitam 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 10 Buah 127.200 0 % Rp. 1.272.000 - Spesifikasi : Catridge Warna 2 Buah 371.400 0 % Rp. 742.800 - Spesifikasi : Catridge Hitam 2 Buah 350.100 0 % Rp. 700.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2721,'46982473','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 500 Kotak 17.000 0 % Rp. 8.500.000 - Spesifikasi : Nasi Kotak Biasa 500 Kotak 30.000 0 % Rp. 15.000.000','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 500 Kotak 17.000 0 % Rp. 8.500.000 - Spesifikasi : Nasi Kotak Biasa 500 Kotak 30.000 0 % Rp. 15.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2722,'46984832','Belanja Bahan-Bahan Bakar dan Pelumas','369.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'24 lt','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 24 Liter 15.400 0 % Rp. 369.600','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 24 Liter 15.400 0 % Rp. 369.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2723,'46985566','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','946.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Fotocopy 2589 Lembar 300 0 % Rp. 776.700 - Spesifikasi : Ordner Lorek Kw 4 Buah 42.400 0 % Rp. 169.600','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Fotocopy 2589 Lembar 300 0 % Rp. 776.700 - Spesifikasi : Ordner Lorek Kw 4 Buah 42.400 0 % Rp. 169.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2724,'46987527','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2725,'46988725','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','986.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 5 Buah 127.200 0 % Rp. 636.000 - Spesifikasi : Catridge Hitam 1 Buah 350.100 0 % Rp. 350.100','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 5 Buah 127.200 0 % Rp. 636.000 - Spesifikasi : Catridge Hitam 1 Buah 350.100 0 % Rp. 350.100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2726,'46991650','Belanja Bahan-Bahan Bakar dan Pelumas','385.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'29 lt','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamax 29 Liter 13.300 0 % Rp. 385.700','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamax 29 Liter 13.300 0 % Rp. 385.700','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2727,'47007927','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','908.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Ordner Lorek Kw 2 Buah 42.400 0 % Rp. 84.800 - Spesifikasi : Fotocopy 2747 Lembar 300 0 % Rp. 824.100','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Ordner Lorek Kw 2 Buah 42.400 0 % Rp. 84.800 - Spesifikasi : Fotocopy 2747 Lembar 300 0 % Rp. 824.100','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2728,'47008825','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram 10 Rim 64.800 0 % Rp. 648.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2729,'47009889','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.007.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 2 Buah 127.200 0 % Rp. 254.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 3 Buah 127.200 0 % Rp. 381.600 - Spesifikasi : Catridge Warna 1 Buah 371.400 0 % Rp. 371.400','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 2 Buah 127.200 0 % Rp. 254.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 3 Buah 127.200 0 % Rp. 381.600 - Spesifikasi : Catridge Warna 1 Buah 371.400 0 % Rp. 371.400','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2730,'47026922','Belanja Bahan-Bahan Bakar dan Pelumas','4.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 300 Liter 15.400 0 % Rp. 4.620.000','Belanja Bahan-Bahan Bakar dan Pelumas Spesifikasi : Pertamina Dex 300 Liter 15.400 0 % Rp. 4.620.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2731,'47032753','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.750.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 14 Buah 127.200 0 % Rp. 1.780.800 Bahan Komputer - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Catridge Warna 2 Buah 371.400 0 % Rp. 742.800 - Spesifikasi : Catridge Hitam 2 Buah 350.100 0 % Rp. 700.200','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 14 Buah 127.200 0 % Rp. 1.780.800 Bahan Komputer - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Catridge Warna 2 Buah 371.400 0 % Rp. 742.800 - Spesifikasi : Catridge Hitam 2 Buah 350.100 0 % Rp. 700.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2732,'47033711','Belanja Makanan dan Minuman Rapat','14.100.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 300 Kotak 17.000 0 % Rp. 5.100.000 - Spesifikasi : Nasi Kotak Biasa 300 Kotak 30.000 0 % Rp. 9.000.000','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 300 Kotak 17.000 0 % Rp. 5.100.000 - Spesifikasi : Nasi Kotak Biasa 300 Kotak 30.000 0 % Rp. 9.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2733,'47047488','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.622.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Spesifikasi : Fotocopy 1182 Lembar 300 0 % Rp. 354.600 - Spesifikasi : banner 6 M2 37.200 0 % Rp. 223.200 - Spesifikasi : Ordner Lorek Kw 4 Buah 42.400 0 % Rp. 169.600 - Spesifikasi : Stopmap Kertas Panda 150 Buah 2.300 0 % Rp. 345.000 - Spesifikasi : cetak map 100 Buah 5.300 0 % Rp. 530.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Spesifikasi : Fotocopy 1182 Lembar 300 0 % Rp. 354.600 - Spesifikasi : banner 6 M2 37.200 0 % Rp. 223.200 - Spesifikasi : Ordner Lorek Kw 4 Buah 42.400 0 % Rp. 169.600 - Spesifikasi : Stopmap Kertas Panda 150 Buah 2.300 0 % Rp. 345.000 - Spesifikasi : cetak map 100 Buah 5.300 0 % Rp. 530.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2734,'47048685','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','564.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Spesifikasi : kertas HVS F4 70 gram 5 Rim 64.800 0 % Rp. 324.000 - Spesifikasi : Kertas Foto A4 2 Pak 120.200 0 % Rp. 240.400','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Spesifikasi : kertas HVS F4 70 gram 5 Rim 64.800 0 % Rp. 324.000 - Spesifikasi : Kertas Foto A4 2 Pak 120.200 0 % Rp. 240.400','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2735,'47052003','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 3 Buah 127.200 0 % Rp. 381.600 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 3 Buah 127.200 0 % Rp. 381.600','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 3 Buah 127.200 0 % Rp. 381.600 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 3 Buah 127.200 0 % Rp. 381.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2736,'47053631','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 150 Kotak 17.000 0 % Rp. 2.550.000 - Spesifikasi : Nasi Kotak Biasa 150 Kotak 30.000 0 % Rp. 4.500.000','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 150 Kotak 17.000 0 % Rp. 2.550.000 - Spesifikasi : Nasi Kotak Biasa 150 Kotak 30.000 0 % Rp. 4.500.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2737,'47064612','Belanja Bahan-Bahan Bakar dan Pelumas','2.870.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 100 Liter 15.400 0 % Rp. 1.540.000','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 100 Liter 15.400 0 % Rp. 1.540.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2738,'47066990','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.341.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : banner 40 M2 37.200 0 % Rp. 1.488.000 - Spesifikasi : cetak map 50 Lembar 5.300 0 % Rp. 265.000 - Spesifikasi : Fotocopy 4253 Lembar 300 0 % Rp. 1.275.900 - Spesifikasi : Ordner Lorek Kw 10 Buah 42.400 0 % Rp. 424.000 - Spesifikasi : Paper Clip Daito 54 Pak 5.200 0 % Rp. 280.800 - Spesifikasi : Binder Clip No. 111 20 Pak 7.000 0 % Rp. 140.000 - Spesifikasi : Binder Clip No. 155 25 Pak 9.800 0 % Rp. 245.000 - Spesifikasi : Binder Clip No. 200 15 Pak 12.500 0 % Rp. 187.500 - Spesifikasi : Binder Clip No. 260 19 Pak 18.100 0 % Rp. 343.900 - Spesifikasi : Cetak Buku Block Note Anti - Spesifikasi : Isi Steples Besar No 3 20 Pak 55.200 0 % Rp. 1.104.000 - Spesifikasi : Isi Steples Kecil No 10 20 Pak 28.200 0 % Rp. 564.000 - Spesifikasi : Snelhecter Map Bahan Plastik 20 Pak 114.400 0 % Rp. 2.288.000 - Spesifikasi : Spidol Marker 29 Buah 16.100 0 % Rp. 466.900 - Spesifikasi : Stapler Hd 10 10 Buah 40.700 0 % Rp. 407.000 - Spesifikasi : Stapler Hd 50 5 Buah 143.500 0 % Rp. 717.500 - Spesifikasi : Stop Map Kertas Biasa 26 Buah 1.600 0 % Rp. 41.600','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : banner 40 M2 37.200 0 % Rp. 1.488.000 - Spesifikasi : cetak map 50 Lembar 5.300 0 % Rp. 265.000 - Spesifikasi : Fotocopy 4253 Lembar 300 0 % Rp. 1.275.900 - Spesifikasi : Ordner Lorek Kw 10 Buah 42.400 0 % Rp. 424.000 - Spesifikasi : Paper Clip Daito 54 Pak 5.200 0 % Rp. 280.800 - Spesifikasi : Binder Clip No. 111 20 Pak 7.000 0 % Rp. 140.000 - Spesifikasi : Binder Clip No. 155 25 Pak 9.800 0 % Rp. 245.000 - Spesifikasi : Binder Clip No. 200 15 Pak 12.500 0 % Rp. 187.500 - Spesifikasi : Binder Clip No. 260 19 Pak 18.100 0 % Rp. 343.900 - Spesifikasi : Cetak Buku Block Note Anti - Spesifikasi : Isi Steples Besar No 3 20 Pak 55.200 0 % Rp. 1.104.000 - Spesifikasi : Isi Steples Kecil No 10 20 Pak 28.200 0 % Rp. 564.000 - Spesifikasi : Snelhecter Map Bahan Plastik 20 Pak 114.400 0 % Rp. 2.288.000 - Spesifikasi : Spidol Marker 29 Buah 16.100 0 % Rp. 466.900 - Spesifikasi : Stapler Hd 10 10 Buah 40.700 0 % Rp. 407.000 - Spesifikasi : Stapler Hd 50 5 Buah 143.500 0 % Rp. 717.500 - Spesifikasi : Stop Map Kertas Biasa 26 Buah 1.600 0 % Rp. 41.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2739,'47067824','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.076.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 ... 240 Lembar 3.700 0 % Rp. 888.000 - Spesifikasi : Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... 10 Pak 29.300 0 % Rp. 293.000 - Spesifikasi : Kertas A4 70 Gr 5 Rim 55.100 0 % Rp. 275.500 - Spesifikasi : kertas HVS F4 70 gram 25 Rim 64.800 0 % Rp. 1.620.000','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 ... 240 Lembar 3.700 0 % Rp. 888.000 - Spesifikasi : Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... 10 Pak 29.300 0 % Rp. 293.000 - Spesifikasi : Kertas A4 70 Gr 5 Rim 55.100 0 % Rp. 275.500 - Spesifikasi : kertas HVS F4 70 gram 25 Rim 64.800 0 % Rp. 1.620.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2740,'47085005','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.162.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 5 Buah 127.200 0 % Rp. 636.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 12 Buah 127.200 0 % Rp. 1.526.400 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 5 Buah 127.200 0 % Rp. 636.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2741,'47087857','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','783.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 14 Buah 1.400 0 % Rp. 19.600 - Spesifikasi : cetak map 29 Lembar 5.300 0 % Rp. 153.700 - Spesifikasi : Fotocopy 1202 Lembar 300 0 % Rp. 360.600 - Spesifikasi : Isi Steples Kecil No 10 1 Pak 28.200 0 % Rp. 28.200 - Spesifikasi : Ordner Lorek Kw 2 Buah 42.400 0 % Rp. 84.800 - Spesifikasi : Paper Clip Daito 5 Pak 5.200 0 % Rp. 26.000 - Spesifikasi : Snelhecter Map 27 Buah 2.500 0 % Rp. 67.500 - Spesifikasi : Stop Map Kertas Biasa 27 Buah 1.600 0 % Rp. 43.200','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 14 Buah 1.400 0 % Rp. 19.600 - Spesifikasi : cetak map 29 Lembar 5.300 0 % Rp. 153.700 - Spesifikasi : Fotocopy 1202 Lembar 300 0 % Rp. 360.600 - Spesifikasi : Isi Steples Kecil No 10 1 Pak 28.200 0 % Rp. 28.200 - Spesifikasi : Ordner Lorek Kw 2 Buah 42.400 0 % Rp. 84.800 - Spesifikasi : Paper Clip Daito 5 Pak 5.200 0 % Rp. 26.000 - Spesifikasi : Snelhecter Map 27 Buah 2.500 0 % Rp. 67.500 - Spesifikasi : Stop Map Kertas Biasa 27 Buah 1.600 0 % Rp. 43.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2742,'47089144','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','508.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Kertas A4 70 Gr 1 Rim 55.100 0 % Rp. 55.100 - Spesifikasi : kertas HVS F4 70 gram 7 Rim 64.800 0 % Rp. 453.600','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Kertas A4 70 Gr 1 Rim 55.100 0 % Rp. 55.100 - Spesifikasi : kertas HVS F4 70 gram 7 Rim 64.800 0 % Rp. 453.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2743,'47097651','Belanja Makanan dan Minuman Rapat','1.880.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 40 Per Kotak 17.000 0 % Rp. 680.000 - Spesifikasi : Nasi Kotak Biasa 40 Per Kotak 30.000 0 % Rp. 1.200.000','Belanja Makanan dan Minuman Rapat : - Spesifikasi : Kue Kotak 40 Per Kotak 17.000 0 % Rp. 680.000 - Spesifikasi : Nasi Kotak Biasa 40 Per Kotak 30.000 0 % Rp. 1.200.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2744,'47101353','Belanja Bahan-Bahan Bakar dan Pelumas','7.490.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 400 Liter 15.400 0 % Rp. 6.160.000','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 400 Liter 15.400 0 % Rp. 6.160.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2745,'47104437','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.240.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 4 Buah 127.200 0 % Rp. 508.800 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 2 Buah 127.200 0 % Rp. 254.400 - Spesifikasi : Tinta Bc-03 Cartridge Hitam 1 Buah 477.200 0 % Rp. 477.200','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 4 Buah 127.200 0 % Rp. 508.800 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 2 Buah 127.200 0 % Rp. 254.400 - Spesifikasi : Tinta Bc-03 Cartridge Hitam 1 Buah 477.200 0 % Rp. 477.200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2746,'47137583','Belanja Bahan-Bahan Bakar dan Pelumas','2.870.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 100 Liter 15.400 0 % Rp. 1.540.000','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 100 Liter 13.300 0 % Rp. 1.330.000 - Spesifikasi : Pertamina Dex 100 Liter 15.400 0 % Rp. 1.540.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2747,'47139327','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.128.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 15 Pak 25.000 0 % Rp. 375.000 - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 100 Buah 1.400 0 % Rp. 140.000 - Spesifikasi : cetak map 30 Lembar 5.300 0 % Rp. 159.000 - Spesifikasi : Fotocopy 612 Lembar 300 0 % Rp. 183.600 - Spesifikasi : Ordner Lorek Kw 50 Buah 42.400 0 % Rp. 2.120.000 - Spesifikasi : Paper Clip Daito 5 Pak 5.200 0 % Rp. 26.000 - Spesifikasi : Snelhecter Map 50 Buah 2.500 0 % Rp. 125.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 15 Pak 25.000 0 % Rp. 375.000 - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 100 Buah 1.400 0 % Rp. 140.000 - Spesifikasi : cetak map 30 Lembar 5.300 0 % Rp. 159.000 - Spesifikasi : Fotocopy 612 Lembar 300 0 % Rp. 183.600 - Spesifikasi : Ordner Lorek Kw 50 Buah 42.400 0 % Rp. 2.120.000 - Spesifikasi : Paper Clip Daito 5 Pak 5.200 0 % Rp. 26.000 - Spesifikasi : Snelhecter Map 50 Buah 2.500 0 % Rp. 125.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2748,'47141082','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 200 Buah 10.000 0 % Rp. 2.000.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 200 Buah 10.000 0 % Rp. 2.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2749,'47141711','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','661.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Refile Ink Deskjet 51606B 4 Buah 95.400 0 % Rp. 381.600 - Spesifikasi : Refile Ink Deskjet 51606C 3 Buah 93.300 0 % Rp. 279.900','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Refile Ink Deskjet 51606B 4 Buah 95.400 0 % Rp. 381.600 - Spesifikasi : Refile Ink Deskjet 51606C 3 Buah 93.300 0 % Rp. 279.900','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2750,'47149463','Belanja Jasa Tenaga Informasi dan Teknologi','75.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Jasa Tenaga Informasi dan Teknologi Spesifikasi : Pembuatan dan Pemasangan Baleho Informasi Daerah 50 Buah 1.500.000 0 % Rp. 75.000.000','Belanja Jasa Tenaga Informasi dan Teknologi Spesifikasi : Pembuatan dan Pemasangan Baleho Informasi Daerah 50 Buah 1.500.000 0 % Rp. 75.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2751,'47154566','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','701.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan : + Media Online Nasional dan Regional Spesifikasi : Expose Media Online Nasionan dan Regional Berita ... 608 Kali 500.000 0 % Rp. 304.000.000 + Pemasangan Advertorial dan Iklan di Media Regional Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 22 Kali 600.000 0 % Rp. 13.200.000 Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 64 Kali 1.200.000 0 % Rp. 76.800.000 + Expose Media Online Nasional dan Regional Spesifikasi : Expose Media Online Nasionan dan Regional Iklan ... 43 Kali 2.000.000 0 % Rp. 86.000.000 + Media Cetak Regiona Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 2 Kali 5.000.000 0 % Rp. 10.000.000 Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 4 Kali 10.000.000 0 % Rp. 40.000.000 + Media Radio dan Televisi Regional Spesifikasi : Expose Media Radio dan Televisi Lokal Berita Adv... 10 Kali 500.000 0 % Rp. 5.000.000 + Media Radio dan Televisi Lokal Delay Spesifikasi : Expose Media Radio dan Televisi Lokal Delay 3 Kali 3.500.000 0 % Rp. 10.500.000 + Media Radio dan Televisi Live Streaming Spesifikasi : Expose Media Radio dan Televisi Lokal Live streami... 3 Kali 5.000.000 0 % Rp. 15.000.000 + Media Radio dan Televisi Regional Delay Spesifikasi : Expose Media Radio dan Televisi Regional Delay 26 Kali 4.500.000 0 % Rp. 117.000.000 + Media Radio dan Televisi Regional Talk Show Spesifikasi : Expose Media Radio dan Televisi Regional Talk Sho... 1 Kali 9.000.000 0 % Rp. 9.000.000 + Media Radio dan Televisi Regional Live Event Spesifikasi : Expose Media Radio dan Teelevisi Regional Live Eve... 1 Kali 15.000.000 0 % Rp. 15.000.000','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan : + Media Online Nasional dan Regional Spesifikasi : Expose Media Online Nasionan dan Regional Berita ... 608 Kali 500.000 0 % Rp. 304.000.000 + Pemasangan Advertorial dan Iklan di Media Regional Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 22 Kali 600.000 0 % Rp. 13.200.000 Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 64 Kali 1.200.000 0 % Rp. 76.800.000 + Expose Media Online Nasional dan Regional Spesifikasi : Expose Media Online Nasionan dan Regional Iklan ... 43 Kali 2.000.000 0 % Rp. 86.000.000 + Media Cetak Regiona Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 2 Kali 5.000.000 0 % Rp. 10.000.000 Spesifikasi : Pemasangan Advertorial dan iklan di Media Cetak ... 4 Kali 10.000.000 0 % Rp. 40.000.000 + Media Radio dan Televisi Regional Spesifikasi : Expose Media Radio dan Televisi Lokal Berita Adv... 10 Kali 500.000 0 % Rp. 5.000.000 + Media Radio dan Televisi Lokal Delay Spesifikasi : Expose Media Radio dan Televisi Lokal Delay 3 Kali 3.500.000 0 % Rp. 10.500.000 + Media Radio dan Televisi Live Streaming Spesifikasi : Expose Media Radio dan Televisi Lokal Live streami... 3 Kali 5.000.000 0 % Rp. 15.000.000 + Media Radio dan Televisi Regional Delay Spesifikasi : Expose Media Radio dan Televisi Regional Delay 26 Kali 4.500.000 0 % Rp. 117.000.000 + Media Radio dan Televisi Regional Talk Show Spesifikasi : Expose Media Radio dan Televisi Regional Talk Sho... 1 Kali 9.000.000 0 % Rp. 9.000.000 + Media Radio dan Televisi Regional Live Event Spesifikasi : Expose Media Radio dan Teelevisi Regional Live Eve... 1 Kali 15.000.000 0 % Rp. 15.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2752,'47162166','Belanja Langganan Jurnal/Surat Kabar/Majalah','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Belanja Langganan Jurnal/Surat Kabar/Majalah Spesifikasi : Langganan Surat Kabar 12 Bulan 1.000.000 0 % Rp. 12.000.000','Belanja Langganan Jurnal/Surat Kabar/Majalah Spesifikasi : Langganan Surat Kabar 12 Bulan 1.000.000 0 % Rp. 12.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2753,'47163177','Belanja Sewa Bangunan Gedung Tempat Kerja Lainnya','60.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Sewa Bangunan Gedung Tempat Kerja Lainnya Spesifikasi : Sewa Stand Pameran 2 Paket 30.000.000 0 % Rp. 60.000.000','Belanja Sewa Bangunan Gedung Tempat Kerja Lainnya Spesifikasi : Sewa Stand Pameran 2 Paket 30.000.000 0 % Rp. 60.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2754,'47168009','Belanja Bahan-Bahan Bakar dan Pelumas','938.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 30 Liter 13.300 0 % Rp. 399.000 - Spesifikasi : Pertamina Dex 35 Liter 15.400 0 % Rp. 539.000','Belanja Bahan-Bahan Bakar dan Pelumas : - Spesifikasi : Pertamax 30 Liter 13.300 0 % Rp. 399.000 - Spesifikasi : Pertamina Dex 35 Liter 15.400 0 % Rp. 539.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2755,'47171130','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.584.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 50 Pak 25.000 0 % Rp. 1.250.000 - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 50 Buah 1.400 0 % Rp. 70.000 - Spesifikasi : Buku Block Note Garis 50 Lbr 100 Buah 10.800 0 % Rp. 1.080.000 - Spesifikasi : Map Kancing Interx 220 Buah 6.300 0 % Rp. 1.386.000 - Spesifikasi : Fotocopy 3651 Lembar 300 0 % Rp. 1.095.300 - Spesifikasi : Paper Clip Daito 28 Pak 5.200 0 % Rp. 145.600 - Spesifikasi : Cetak Sertifikat/ piagam 100 Lembar 10.600 0 % Rp. 1.060.000 - Spesifikasi : Belanaja banner 340 gsm 10 M2 37.100 0 % Rp. 371.000 - Spesifikasi : Spidol Marker 5 Buah 16.100 0 % Rp. 80.500 - Spesifikasi : Penggaris Mika 15 Cm 10 Buah 4.600 0 % Rp. 46.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 50 Pak 25.000 0 % Rp. 1.250.000 - Spesifikasi : Binder 107 Ukuran 19 Mm, 3/4 Inch 50 Buah 1.400 0 % Rp. 70.000 - Spesifikasi : Buku Block Note Garis 50 Lbr 100 Buah 10.800 0 % Rp. 1.080.000 - Spesifikasi : Map Kancing Interx 220 Buah 6.300 0 % Rp. 1.386.000 - Spesifikasi : Fotocopy 3651 Lembar 300 0 % Rp. 1.095.300 - Spesifikasi : Paper Clip Daito 28 Pak 5.200 0 % Rp. 145.600 - Spesifikasi : Cetak Sertifikat/ piagam 100 Lembar 10.600 0 % Rp. 1.060.000 - Spesifikasi : Belanaja banner 340 gsm 10 M2 37.100 0 % Rp. 371.000 - Spesifikasi : Spidol Marker 5 Buah 16.100 0 % Rp. 80.500 - Spesifikasi : Penggaris Mika 15 Cm 10 Buah 4.600 0 % Rp. 46.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2756,'47175941','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','10.348.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya Spesifikasi : Tas Bimtek 130 Buah 79.600 0 % Rp. 10.348.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya Spesifikasi : Tas Bimtek 130 Buah 79.600 0 % Rp. 10.348.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2757,'47179304','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','1.590.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya Spesifikasi : ( biaya transportasi /sewa transportasi) 6 Kali 265.000 0 % Rp. 1.590.000','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya Spesifikasi : ( biaya transportasi /sewa transportasi) 6 Kali 265.000 0 % Rp. 1.590.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2758,'47186706','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.653.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Spesifikasi : Tinta Printer epson 003 warnahitam 8 Buah 127.200 0 % Rp. 1.017.600 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 5 Buah 127.200 0 % Rp. 636.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Spesifikasi : Tinta Printer epson 003 warnahitam 8 Buah 127.200 0 % Rp. 1.017.600 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 5 Buah 127.200 0 % Rp. 636.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2759,'47201867','Belanja Modal Personal Computer','16.745.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Modal Personal Computer Spesifikasi : Laptop ( Asus, KOR-I-3 ) 2 Unit 8.372.900 0 % Rp. 16.745.800','Belanja Modal Personal Computer Spesifikasi : Laptop ( Asus, KOR-I-3 ) 2 Unit 8.372.900 0 % Rp. 16.745.800','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2760,'47231003','Belanja Modal Peralatan Komputer Lainnya','5.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Modal Peralatan Komputer Lainnya Spesifikasi : Webcam Full HD 2 Unit 2.650.000 0 % Rp. 5.300.000','Belanja Modal Peralatan Komputer Lainnya Spesifikasi : Webcam Full HD 2 Unit 2.650.000 0 % Rp. 5.300.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2761,'47233994','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.127.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : banner 15 M2 37.200 0 % Rp. 558.000 - Spesifikasi : Binder Clip No. 111 25 Pak 7.000 0 % Rp. 175.000 - Spesifikasi : cetak map 104 Lembar 5.300 0 % Rp. 551.200 - Spesifikasi : Fotocopy 4994 Lembaga 300 0 % Rp. 1.498.200 - Spesifikasi : Ordner Lorek Kw 12 Buah 42.400 0 % Rp. 508.800 - Spesifikasi : Paper Clip Daito 10 Pak 5.200 0 % Rp. 52.000 - Spesifikasi : Snelhecter Map 60 Buah 2.500 0 % Rp. 150.000 - Spesifikasi : Stam Pad (Bantalan) 0 T/T 15 Buah 60.700 0 % Rp. 910.500 - Spesifikasi : Stop Map Kertas Biasa 60 Buah 1.600 0 % Rp. 96.000 - Spesifikasi : Bolpoint 10 Pak 25.000 0 % Rp. 250.000 - Spesifikasi : Tinta Stempel Artline/Gabus 6 Buah 62.900 0 % Rp. 377.400','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : banner 15 M2 37.200 0 % Rp. 558.000 - Spesifikasi : Binder Clip No. 111 25 Pak 7.000 0 % Rp. 175.000 - Spesifikasi : cetak map 104 Lembar 5.300 0 % Rp. 551.200 - Spesifikasi : Fotocopy 4994 Lembaga 300 0 % Rp. 1.498.200 - Spesifikasi : Ordner Lorek Kw 12 Buah 42.400 0 % Rp. 508.800 - Spesifikasi : Paper Clip Daito 10 Pak 5.200 0 % Rp. 52.000 - Spesifikasi : Snelhecter Map 60 Buah 2.500 0 % Rp. 150.000 - Spesifikasi : Stam Pad (Bantalan) 0 T/T 15 Buah 60.700 0 % Rp. 910.500 - Spesifikasi : Stop Map Kertas Biasa 60 Buah 1.600 0 % Rp. 96.000 - Spesifikasi : Bolpoint 10 Pak 25.000 0 % Rp. 250.000 - Spesifikasi : Tinta Stempel Artline/Gabus 6 Buah 62.900 0 % Rp. 377.400','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2762,'47236499','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.314.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Refile Ink Deskjet 51606C 14 Buah 93.300 0 % Rp. 1.306.200 - Spesifikasi : Refile Ink Deskjet 51606B 7 Buah 95.400 0 % Rp. 667.800 - Spesifikasi : Tinta Bc-03 Cartridge Hitam 7 Buah 477.200 0 % Rp. 3.340.400','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Refile Ink Deskjet 51606C 14 Buah 93.300 0 % Rp. 1.306.200 - Spesifikasi : Refile Ink Deskjet 51606B 7 Buah 95.400 0 % Rp. 667.800 - Spesifikasi : Tinta Bc-03 Cartridge Hitam 7 Buah 477.200 0 % Rp. 3.340.400','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2763,'47242303','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.134.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 12 Pak 25.000 0 % Rp. 300.000 - Spesifikasi : Spidol Marker 10 Buah 16.100 0 % Rp. 161.000 - Spesifikasi : Stapler Hd 10 5 Buah 18.900 0 % Rp. 94.500 - Spesifikasi : Isi Steples Kecil No 10 5 Pak 28.200 0 % Rp. 141.000 - Spesifikasi : Isi Steples Besar No 3 3 Pak 55.200 0 % Rp. 165.600 - Spesifikasi : Fotocopy 4199 Lembar 300 0 % Rp. 1.259.700 - Spesifikasi : Ordner Lorek Kw 7 Buah 42.400 0 % Rp. 296.800 - Spesifikasi : cetak map 100 Lembar 5.300 0 % Rp. 530.000 - Spesifikasi : Belanaja banner 340 gsm 5 M2 37.100 0 % Rp. 185.500','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor : - Spesifikasi : Bolpoint 12 Pak 25.000 0 % Rp. 300.000 - Spesifikasi : Spidol Marker 10 Buah 16.100 0 % Rp. 161.000 - Spesifikasi : Stapler Hd 10 5 Buah 18.900 0 % Rp. 94.500 - Spesifikasi : Isi Steples Kecil No 10 5 Pak 28.200 0 % Rp. 141.000 - Spesifikasi : Isi Steples Besar No 3 3 Pak 55.200 0 % Rp. 165.600 - Spesifikasi : Fotocopy 4199 Lembar 300 0 % Rp. 1.259.700 - Spesifikasi : Ordner Lorek Kw 7 Buah 42.400 0 % Rp. 296.800 - Spesifikasi : cetak map 100 Lembar 5.300 0 % Rp. 530.000 - Spesifikasi : Belanaja banner 340 gsm 5 M2 37.100 0 % Rp. 185.500','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2764,'47244019','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.553.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... 5 Pak 29.300 0 % Rp. 146.500 - Spesifikasi : Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 ... 7 Pak 18.100 0 % Rp. 126.700 - Spesifikasi : Kertas Buffalo 50 Lbr 3 Pak 31.000 0 % Rp. 93.000 - Spesifikasi : Kertas A4 70 Gr 15 Rim 55.100 0 % Rp. 826.500 - Spesifikasi : kertas HVS F4 70 gram 21 Rim 64.800 0 % Rp. 1.360.800','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover : - Spesifikasi : Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... 5 Pak 29.300 0 % Rp. 146.500 - Spesifikasi : Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 ... 7 Pak 18.100 0 % Rp. 126.700 - Spesifikasi : Kertas Buffalo 50 Lbr 3 Pak 31.000 0 % Rp. 93.000 - Spesifikasi : Kertas A4 70 Gr 15 Rim 55.100 0 % Rp. 826.500 - Spesifikasi : kertas HVS F4 70 gram 21 Rim 64.800 0 % Rp. 1.360.800','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2765,'47244767','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','2.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 215 Buah 10.000 0 % Rp. 2.150.000','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Spesifikasi : Materai 215 Buah 10.000 0 % Rp. 2.150.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2766,'47245912','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.162.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 9 Buah 127.200 0 % Rp. 1.144.800 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 8 Buah 127.200 0 % Rp. 1.017.600','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer : - Spesifikasi : Tinta Printer epson 003 warna hitam 9 Buah 127.200 0 % Rp. 1.144.800 - Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ... 8 Buah 127.200 0 % Rp. 1.017.600','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:27:27.23','diskominfo'),
(2767,'47991510','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','36.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Komunikasi dan Informatika',2024,'1 Tahun','Beban Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola WebsiteSpesifikasi : Pembuat Artikel 360 Orang / Kali 100.000 0 % Rp. 36.000.000','Beban Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola WebsiteSpesifikasi : Pembuat Artikel 360 Orang / Kali 100.000 0 % Rp. 36.000.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 07:20:47.498','diskominfo'),
(2768,'46981040','[2 17 08 2.01 0006] Pengadaan Peralatan Jasa Menjahit (SILPA)','114.500.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Peralatan Jasa Menjahit untuk Usaha Mikro','Mesin obras 2 unit, mesin jahit 19 unit, mesin neci 1 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2769,'46981176','[2 17 08 2.01 0006] Pengadaan Alat Angkut Usaha Dagang (SILPA)','294.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Alat Angkut Usaha Dagang untuk Usaha Mikro','Motor roda tiga 7 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2770,'46981605','[2 17 08 2.01 0006] Pengadaan Pendukung Usaha (SILPA)','80.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pendukung Usaha untuk Usaha Mikro','Etalase 16 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2771,'46981807','[2 17 08 2.01 0006] Pengadaan Peralatan Usaha Jasa (SILPA)','200.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Peralatan Usaha Jasa untuk Usaha Mikro','Peralatan Catering 2 paket','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2772,'46982083','[2 17 08 2.01 0006] Pengadaan Peralatan Kue (SILPA)','96.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Peralatan Kue untuk Usaha Mikro','Oven Gas Besar 6 unit, Mixer (Pengaduk Adonan) 6 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2773,'46982442','[2 17 08 2.01 0006] Pengadaan Peralatan Mebeler (SILPA)','180.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Peralatan Mebeler untuk Usaha Mikro','Selang 5 meter 18 unit, Gun Spray 18 unit, Mesin Amplas \" 110 x 100 mm \" 18 unit, Gerinda tangan 18 unit, Bor Tangan 18 unit, Mesin profil kecil 18 unit, Handplaner 18 unit, Kompressor 1/2 PK 18 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2774,'46983115','[2 17 08 2.01 0006] Pengadaan Gerobak Gorengan dan Bakso (SILPA)','171.650.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Gerobak Gorengan dan Bakso untuk Usaha Mikro','Garpu 6 lusin, Sendok 6 lusin, Jepitan Kue Besar 34 unit, Mangkok Bakso 6 lusin, Kompor 1 Tungku 6 unit, Pisau Steinless 34 unit, Dandang Bakso 6 unit, Blender 6 unit, Wajan 17 unit, Baskom Stainless 34 buah, Nampan Plastik Besar 68 unit, Tabung gas, Regulator, selang 23 unit, Kompor Gas 2 Tungku 17 unit, Gerobak Dorong 23 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2775,'46983355','[2 17 08 2.01 0006] Pengadaan Peralatan Mesin Penepung (SILPA)','120.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Peralatan Mesin Penepung untuk Usaha Mikro','Selep Tepung 6 unit, Selep Tepung 3 in 1 9 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2776,'47004573','[2.17.01.2.09.0009] Administrasi Belanja Modal Bangunan Gedung Kantor','3.448.243','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Bangunan GedungKantor','AP Gedung Negara Sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2777,'47005392','[2.17.01.2.09.0009] Belanja Modal Bangunan Gedung Kantor','172.412.138','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Bangunan Gedung Kantor','Gedung Negara Sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2778,'47005642','[3.31.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.394.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint 15 Pak Odner Besar (forte) 7 Buah Block Note A5 45 Buah Paper Clip 7 Pak Map snell plastik 6 Pak Map kertas F4 70 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 09:12:10.997','diskoperindag'),
(2779,'47006123','[2.17.01.2.09.0009] Pengawasan Teknis Belanja Modal Bangunan Gedung Kantor','9.655.463','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengawasan Teknis Renovasi Bangunan Gedung Kantor','Pengawasan Gedung Negara Sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2780,'47007073','[2.17.01.2.09.0009] Perencanaan Teknis Belanja Modal Bangunan Gedung Kantor','14.484.156','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Perencanaan Teknis Renovasi Bangunan Gedung Kantor','Perencanaan Gedung','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2781,'47007373','[2 17 05 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.410.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Banner 10 Meter, Blocknote 120 buah, Ballpoint 10 Pak, Cetak Serifikat 120 lbr, Fotocopy 7032 lbr, Map Kancing Interx 120 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2782,'47009315','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.347.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor Spesifikasi: banner 10 Meter Alat Tulis Kantor Spesifikasi: Bolpoint 2 Pak Alat Tulis Kantor Spesifikasi: Correction 803 2 Buah Alat Tulis Kantor Spesifikasi: Fotocopy 1557 Per 100 Lembar Alat Tulis Kantor Spesifikasi: Ordner Besar 10 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2783,'47009733','[2 17 05 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','624.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih Tanggung 4 Buah, Kertas HVS f4 70 Gr 8 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-08 12:34:17.387','diskoperindag'),
(2784,'47013563','[3.31.02.2.01.0004] Belanja Jasa Tenaga Laboratorium - Biaya Fasilitasi Merk','17.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Jasa Tenaga Laboratorium - Biaya Fasilitasi Merk','Biaya Fasilitasi Merk 35 orang','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:32:18.823','diskoperindag'),
(2785,'47014099','[2 17 05 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','80.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai 10.000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-08 12:32:47.827','diskoperindag'),
(2786,'47014336','[2.17.01.2.08.0004] Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','16.416.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1368 orang','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Premi Asuransi Ketenagakerjaan','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2787,'47015345','[2 17 05 2.01 0001] Belanja Makanan dan Minuman Rapat','8.460.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Makanan Dan Minuman Rapat Nasi Kotak 180 Orang/Hari, kue kotak 180 Orang/hari','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2788,'47020749','[2.17.01.2.05.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'5 rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2789,'47021599','[2.17.01.2.05.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','259.700','E-Purchasing','APBD','February 2020','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 buah','Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2020','Februari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2790,'47022337','[2.17.01.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'10 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 10 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2791,'47023600','[2.17.01.2.02.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tintaprinter Hitam Epson 2 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2792,'47024757','[2.17.01.2.05.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'5 rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2793,'47025392','[2.17.01.2.05.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','259.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2794,'47025869','[2.17.01.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 2 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2795,'47026425','[2.17.01.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','130.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta printer Hitam Epson 1 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2796,'47026876','[2.17.01.2.07.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','963.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'3211 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2797,'47028708','[2.17.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.944.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'30 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 30 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:51.457','diskoperindag'),
(2798,'47030374','[2.17.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta printer Biru Epson 3 Buah, Tinta printer Hitam Epson 6 Buah, Tinta printer Kuning Epson 3 Buah, Tinta printer Merah Epson 3 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 12:33:17.346','diskoperindag'),
(2799,'47033993','[2.17.01.2.04.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.296.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'20 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertasHVS F4 70 gram 20 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2800,'47034503','[2.17.01.2.04.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta printer Biru Epson 3 Buah, Tinta printer Hitam Epson 6 Buah, Tinta printer Kuning Epson 3 Buah, Tinta printer Merah Epson 3 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2801,'47034870','[2.17.01.2.09.0006] Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','7.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Servis Printer 13 kali, Upah Servis AC 12 kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2802,'47035550','[2.17.01.2.09.0006] Belanja Jasa Konversi Aplikasi/Sistem Informasi','2.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'10 kali','Beban Jasa Konversi Aplikasi/Sistem Informasi','Upah servis Computer','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:50.3','diskoperindag'),
(2803,'47037236','[2.17.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'10 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertasHVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2804,'47037572','[2.17.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta printer Hitam Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2805,'47039290','[2.17.01.2.06.0008] Belanja Makanan dan Minuman Rapat','51.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 1100 orang/kegiatan , Nasi Kotak Biasa 1100 orang/kegiatan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2806,'47039969','[2.17.01.2.07.0006] Pengadaan Peralatan dan Mesin Lainnya','963.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'3211 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2807,'47053349','[2 17 05 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.765.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Catridge Printer 5 buah, Tinta hitam 2 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-08 16:35:50.3','diskoperindag'),
(2808,'47060734','[2.17.01.2.07.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','181.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr 2 rim , kertas HVS F4 70 gram 1 rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2809,'47061474','[2.17.01.2.07.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.428.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Mouse Logitech, V270 Bluetooth Notebook Mouse 4 buah , Tinta Printer Epson Cyan 2 buah , Tinta Printer Epson Magenta 2 buah , Tinta Printer Epson Yellow 2 buah , Tinta printer Hitam Epson 2 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2810,'47061917','[2.17.01.2.07.0006] Pengadaan CCTV dan LCD Projector','76.943.900','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Modal Alat Kantor Lainnya','CCTV 3 unit , Lcd Proyektor Ptlb1 1 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2811,'47062336','[2.17.01.2.07.0006] Pengadaan Alat Pendingin Ruangan','7.868.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 unit','Belanja Modal Alat Pendingin','Ac Split 1 Pk Cs-S10Mkp Econavi Envio Inverter, Autocomfort, Advanced EIon Air Purifying','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:28.537','diskoperindag'),
(2812,'47063062','[2.17.01.2.07.0006] Pengadaan Sound System','8.085.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 unit','Belanja Modal Alat Rumah Tangga Lainnya Home Use)','Sound system Hardwell, Powerful 15 Pro','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2813,'47063981','[2.17.01.2.07.0006] Pengadaan Peralatan Studio Audio','13.519.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'3 unit','Belanja Modal Peralatan Studio Audio','Microphone Svx14/Pg185 Wireless','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2814,'47064203','[2.17.01.2.07.0006] Pengadaan Laptop','86.079.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'15 unit','Belanja Modal Personal Computer','Laptop / Note Book G4D 62125 Intel Pentium P6200 2.0Ghz, 1Gb Ddr3, 250Gb, 14Inch Wxga, Intel Gma, Dvdrw, Wifi, Camera, Card Reader, Non Os','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2815,'47064469','[2.17.01.2.07.0006] Pengadaan Printer','19.080.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'6 unit','Belanja Modal Peralatan Personal Computer','Printer Epson All in One','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2816,'47064624','[2.17.01.2.07.0006] Pengadaan Kabel HDMI','1.060.900','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 buah','Belanja Modal Peralatan Jaringan','Kabel HDMI 20m','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-08 16:35:09.87','diskoperindag'),
(2817,'47087263','[2.17.01.2.06.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.349.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Alat Tulis Kantor','Ball Point Gel Ink Pen 12 pak , Binder Clip No. 111 27 pak , Bolpoint 11 pak , Buku Besar Folio 7 buah , Cutter paper L500 3 buah , Gunting 2 buah , Isi Steples Kecil No 10 25 pak , Lem Cair 112 3 buah , Ordner Besar 50 buah , Paper Clip 25 pak , Paper Clip Jumbo 5 25 pak , Penggaris Baja 30 Cm 4 buah , Pensil 2B 17 buah , Snelhecter Map 66 buah , Snelhecter Map Jenis Kertas 25 pak , Spidol Hitam Boardmarker 7 buah , Stapler Hd 10 Kecil 3 buah , Stopmap Kertas Panda 150 buah , Tipe-x 2 pak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2818,'47088599','[2.17.01.2.06.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','18.798.100','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Kertas dan Cover','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah 5 pak , Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah 6 pak , Kertas HVS A4 70 Gr 150 rim , kertas HVS F4 70 gram 191 rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 14:15:25.935','diskoperindag'),
(2819,'47089163','[2.17.01.2.06.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.837.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Bahan Komputer','Flashdisk 16 GB 3 buah , Tinta Epson 003 14 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2820,'47089476','[3.31.02.2.01.0003] Belanja Bahan-Bahan Bakar dan Pelumas','7.496.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Pertamina Dex','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-09 14:16:57.564','diskoperindag'),
(2821,'47094101','[3.31.02.2.01.0004] Belanja Makanan dan Minuman Rapat','2.585.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 55 Orang NasiKotak Biasa 55 Orang','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2822,'47096959','[2 17 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.530.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','catridge printer 4 buah, tinta warna 4 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2823,'47098929','[3.31.03.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.074.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih No 90 5 Pak Kertas HVS F4 70 gr 8 Rim Kertas HVS A4 70 gr 7 RIm','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:15:25.935','diskoperindag'),
(2824,'47098956','[2.17.01.2.06.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.856.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2440 lembar','Kertas dan Cover','Bh. Kertas 150 Grm Amplop Dinas Bh. Hvs 80 Grm Uk. 12 X 28 Cm','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2825,'47098972','[2 17 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas A4 5 buah, kertas HVS F4 70 gram 10 rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2826,'47099512','[3.31.03.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','1.277.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta Epson 001 Hitam 5 Buah Tinta Epson 003 Warna 4 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:15:25.935','diskoperindag'),
(2827,'47101276','[2 17 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.346.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','fotocopy 6855 lembar, odner besar 10 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2828,'47101383','[3.31.03.2.01.0003] Belanja Makanan dan Minuman Rapat','2.115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 45 Orang Nasi Kotak Biasa 45 Orang','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:15:25.935','diskoperindag'),
(2829,'47104168','[3.31.02.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.223.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 gr Kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:16:57.564','diskoperindag'),
(2830,'47104913','[3.31.02.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.423.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Bc-03 Cartridge Hitam Tinta Bc-05 Cartridge Warna Tinta BCI-3E BK Black BJC-6000, BJC-3000 Tinta BCI-3E Cyan, Magenta, Yellow','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:16:57.564','diskoperindag'),
(2831,'47105491','[3.31.02.2.01.0003] Belanja Makanan dan Minuman Rapat','23.970.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:16:57.564','diskoperindag'),
(2832,'47108769','[3.31.04.2.01.0001] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 150 Orang Nasi Kotak Biasa 150 Orang','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2833,'47109261','[3.31.02.2.01.0001] Belanja Bahan-Bahan Bakar dan Pelumas','2.793.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Pertamina Dex','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:16:57.564','diskoperindag'),
(2834,'47112720','[3.31.02.2.01.0001] Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:17:24.692','diskoperindag'),
(2835,'47118758','[3.31.02.2.01.0005] Belanja Bahan-Bahan Bakar dan Pelumas','8.292.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax Pertamina Dex','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 14:16:26.769','diskoperindag'),
(2836,'47123763','[3 30 04 2.02 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.296.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor Spesifikasi: Cetak foto 4R 100 Lembar Alat Tulis Kantor Spesifikasi: Fotocopy 2683 Lembar Alat Tulis Kantor Spesifikasi: Staples Besar no 50 2 Buah Alat Tulis Kantor Spesifikasi: Isi Steples Kecil No 10 5 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2837,'47128005','[3 30 04 2.02 0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','882.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi: Kertas HVS A4 70 Gr 4 Rim Kertas dan Cover Spesifikasi: kertas HVS F4 70 gram 10 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:19:01.848','diskoperindag'),
(2838,'47128344','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.557.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi: Kertas HVS A4 70 Gr 10 Rim Kertas dan Cover Spesifikasi: kertas HVS F4 70 gram 15 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2839,'47130999','[3 30 04 2.02 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.361.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 3 Buah Bahan Komputer Spesifikasi: Tinta I6500 Cyan 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Magenta 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Yellow 1 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2840,'47133249','[3 30 04 2.02 0003] Pengadaan Bahan Pokok','240.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat Spesifikasi: Beras Medium 6250 Kg Persediaan untuk Dijual/Diserahkan Kepada Masyarakat Spesifikasi: Gula Pasir 5000 Kg Persediaan untuk Dijual/Diserahkan Kepada Masyarakat Spesifikasi: Minyak Goreng 2500 Liter','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:16:26.769','diskoperindag'),
(2841,'47133647','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.045.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 5 Botol Bahan Komputer Spesifikasi: Tinta I6500 Cyan 3 Botol Bahan Komputer Spesifikasi: Tinta I6500 Magenta 3 Botol Bahan Komputer Spesifikasi: Tinta I6500 Yellow 3 Botol','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2842,'47133969','[3 30 04 2.02 0003] Belanja Makanan dan Minuman Rapat','8.460.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 180 Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 180 Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2843,'47135478','[3 30 03 2.02 0001] Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 200 Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 200 Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:18:31.702','diskoperindag'),
(2844,'47157622','[3 30 05 2.01 0003] Belanja Bahan-Bahan Lainnya','33.300.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Bahan Lainnya Spesifikasi: Kantong Sampah10 Pack Bahan Lainnya Spesifikasi: Kopi Bondowoso 1000 Dos','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 14:15:25.935','diskoperindag'),
(2845,'47163601','[3.30.04.2.02.0001] Belanja Paket/Pengiriman','3.840.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Paket/Pengiriman','Beban Paket/Pengiriman Spesifikasi: Biaya Paket Pengiriman 96 Kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2846,'47166696','[3 30 05 2.01 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','200.000','Pengadaan Langsung','APBD','February 2020','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Benda Pos Spesifikasi: Materai 20 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2020','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2847,'47169233','[3 30 05 2.01 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','4.244.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Perabot Kantor Spesifikasi: bak sampah plastik besar 20 Buah Perabot Kantor Spesifikasi: cikrak 20 Buah Perabot Kantor Spesifikasi: sapu lidi 20 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2848,'47170767','[3 30 05 2.01 0003] Belanja Makanan dan Minuman Rapat','15.750.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak Biasa, Makan dan minum Rapat 350 Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 350 Per Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2849,'47173139','[3 30 05 2.01 0003] Belanja Pakaian Batik Tradisional','31.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Pakaian Batik Tradisional','Beban Pakaian Batik Tradisional Spesifikasi: Batik 105 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2850,'47173902','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.319.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop putih No 104 Ukuran 95 cm x 152 cm isi 100 buah Kertas HVS A4 70 Gr Kertas HVS F4 70 Gr','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:46:16.645','diskoperindag'),
(2851,'47174153','[3 30 05 2.01 0003] Pengadaan Jasa Dekorasi Stand dan Gapura Pameran Muharram','11.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Jasa Tenaga Kesenian dan Kebudayaan','Beban Jasa Tenaga Kesenian dan Kebudayaan Spesifikasi: Dekorasi Stand per UKM 40 Paket Beban Jasa Tenaga Kesenian dan Kebudayaan Spesifikasi: Gapura Pameran Muharram 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2852,'47174316','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2853,'47175431','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','8.193.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Cartridge Hitam Cartridge Warna Tinta Epson 001 Hitam Tinta Printer epson warna 003 (pink, kuning, biru @6buah) Tinta Bc-03 Cartridge Hitam Tinta BC-05 Cartridge Warna Tinta BCI-3E BK Black BJC-6000, BJC-3000 Tinta BCI-3E Cyan, Magenta, yellow','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2854,'47176921','[3 30 05 2.01 0003] Belanja Sewa Flooring dan Partisi Pameran','121.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Sewa Mebel','Beban Sewa Mebel Spesifikasi: Floring Pameran 1000 M2 Beban Sewa Mebel Spesifikasi: Partisi Pameran 40 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2855,'47177935','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (SILPA)','1.417.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (SILPA)','Paper Clip 10 Pak Spidol Marker 8 Buah Odner Besar (forte) 12 Buah Stapler No. 1213 F-Ah 2 Buah Penggaris Baja 30 Cm 2 Buah Isi Stapler Kecil No.10 3 Pak Stabilo Faber Castle 4 Buah Fotocopy 1458 Lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2856,'47178495','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover (SILPA)','2.596.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover (SILPA)','Kertas HVS F4 70 gr 25 Rim Amplop Putih No 110 3 Pak Kertas HVS A4 70 gr 15 Rim Cover Mika F4 bening 1 Pak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2857,'47187222','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (SILPA)','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos (SILPA)','Materai 100 Lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2858,'47187309','[3.31.02.2.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (SILPA)','725.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer (SILPA)','Tinta Printer Hp Deskjet Psc 1315 C9321Fn Black 2 Botol','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2859,'47187441','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Aneka Industri (SILPA)','151.172.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Aneka Industri (SILPA)','Travo Las 9 Unit Pemotong Plat 10 Unit Gerinda Tangan \'\'Dril Power 13 mm\'\' 9 Unit Elektroda Diameter 2 mm 9 Unit Bor Duduk 9 Unit Mesin Bor Tangan Listrik \'\' 33 9 Unit Palu besar 9 Unit Sketmat Digital 9 Unit Ragum 10 Unit Mesin Molen Tanah 1 Unit Dongkrak Penyanggah 1 Unit Solder 1 Unit Tool Kit Elektronika 1 Unit Palu karet 1 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2860,'47189068','[2.17.01.2.06.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','40.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Alat Listrik','Dop 15 Watt Philips 56 buah , Fitting Mercury 7 buah , Kabel Nym Eterna, 2.5 Sqmm 8 roll , Lampu down light LED 20 Watt 51 buah , Lampu Esential Tornado 20 W 52 buah , Lampu Kf5L 75 W 100 Pc 17 box , Lampu Led Lampu Sorot Led 50 Watt = 250 Watt Himawari 5 buah , Lampu Led Led Downlight 6 Inch 14 Watt 6 unit , Lampu Mercury 250 W 15 pcs , Lampu Neon Tl 40 W 47 buah , Lampu tornado 35 watt 5 buah , Lighting Fitting Plafon 600 Pc 6o dos , Stop Kontak Stop Kontak + Saklar + Kabel Uticon 18 pcs','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2861,'47200366','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Batik (SILPA)','49.990.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Batik (SILPA)','Kompor Gas 2 Tungku 5 Unit Meja Cap Batik 5 Unit Alat Cap Batik 5 Unit Wajan Cap 5 Unit Tabung Gas, Regulator, Selang 5 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2862,'47200481','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Elektronika (SILPA)','190.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Elektronika (SILPA)','Power Speaker Magnitizer 1 Unit Solder Station 4 Unit Solder 4 Unit Power Supply 4 Unit Blower IC 4 Unit Avo Meter (digital) 4 Unit Tool Kit Elektronika 4 Unit Mixer 2 Chanel 4 Unit Multimeter Jepit 4 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2863,'47200637','[3.31.02.2.01.0005] Pengadaan Mesin/ Peralatan IKM Jahit (SILPA)','95.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/ Peralatan IKM Jahit (SILPA)','Mesin Jahit 19 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2864,'47200849','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Kue (SILPA)','179.859.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Kue (SILPA)','Oven Gas Besar 15 Unit Handmixer 5 Unit Kompor Gas 2 Tungku 15 Unit Blender 5 Unit Tabung gas, Regulator, Selang 15 Unit Panci 5 Unit Timbangan Kue Digital 15 Unit Sealer 30 cm 5 Unit Mixer Maspion 15 Unit Penggiling mie 5 Unit Wajan 25 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:45:27.217','diskoperindag'),
(2865,'47201028','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Meubel (SILPA)','39.807.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Meubel (SILPA)','Table saw 4 Unit Profil Kecil 4 Unit Gerinda Tangan \'\'Dril Power 13 mm\'\' 4 Unit Mesin Circular Saw 5800Nb, 7-1/8 \'\' 4 Unit Mesin Profile Kayu 4 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2866,'47201087','[3 30 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.102.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor Spesifikasi: Fotocopy 3222 Lembar Alat Tulis Kantor Spesifikasi: Hand Stapler HD 10 1 Buah Alat Tulis Kantor Spesifikasi: Isi Steples Kecil No 10 2 Buah Alat Tulis Kantor Spesifikasi: Odner Besar (forte) 2 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2867,'47201375','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Selep (SILPA)','60.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Selep (SILPA)','Selep Tepung 3 in 1 6 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2868,'47201484','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Pemecah Batu (SILPA)','100.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Pemecah Batu (SILPA)','Pemotong Batu (Marmer, Batu Belah) 1 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2869,'47201509','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Batik (DBHCHT)','197.574.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Batik (DBHCHT) bagi industri kecil','Tabung gas, regulator, selang sebanyak 13 unit; Wajan Cap sebanyak 13 unit; Alat Cap Batik sebanyak 26 unit; Kompor gas 2 tungku sebanyak 13 unit; Meja Cap Batik sebanyak 13 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2870,'47201620','[3.31.02.2.01.0005] Pengadaan Mesin/ Peralatan Penggerak IKM (SILPA)','700.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/ Peralatan Penggerak IKM (SILPA)','Genset 30.000 Kwh 7 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2871,'47201638','[3 30 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','376.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi: Kertas HVS A4 70 Gr 2 Rim Kertas dan Cover Spesifikasi: kertas HVS F4 70 gram 4 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2872,'47201739','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Fashion (DBHCHT)','53.298.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Fashion (DBHCHT) bagi industri kecil','Tabung gas, regulator, selang sebanyak 1 unit; Wajan cap sebanyak 2 unit; Alat cap batik sebanyak 5 unit; Kompor gas 2 tungku sebanyak 1 unit; Laptop core i7 sebanyak 1 unit; Meja cap batik sebanyak 2 unit; Printer sebanyak 1 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2873,'47201962','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Perbengkelan Mobil (SILPA)','199.234.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Perbengkelan Mobil (SILPA)','Kompresor 1/2 Pk, Bensin 2 Unit Floor Jack 5 Ton 2 Unit Charger Batere Aki 2 Unit Engine Hoist 2 Unit Strut Kompressor 2 Unit Mesin Air Conditioner 2 Unit Mesin Press Hidrolik 40 Ton 2 Unit Thacometer Digital 2 Unit Transmisi Jack 2 Unit Gerinda Tangan \'\'Dril Power 13 mm\'\' 2 Unit Kunci Stel Klep 2 Unit Kunci L Set 2 Unit Kunci T Set 2 Unit Kunci shock 2 Unit Pengisi Ban dan Indikator 2 Unit Obeng ketok 2 Unit Dongkrak Penyanggah 2 Unit Kunci ring pass (6-24 mm) 2 Set Selang Kompresor (23x10m) 2 Roll Palu karet 2 Unit Pemotong Rantai 2 Buah Kunci CVT Motor Kopling 2 Unit Ragum 2 Unit Tang Buaya 2 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2874,'47201983','[3 30 06 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.108.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 2 Buah Bahan Komputer Spesifikasi: Tinta I6500 Cyan 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Magenta 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Yellow 1 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:44:33.503','diskoperindag'),
(2875,'47202389','[3 30 06 2.01 0001] Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 60 Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 60 Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2876,'47202394','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Perbengkelan (SILPA)','150.352.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Perbengkelan (SILPA)','Pemotong Rantai 16 Unit Gerinda Tangan \'\'Dril Power 13 mm\'\' 16 Unit Kompresor 1/4 Hp, Bensin 16 Unit Kunci Stel Klep 16 Unit Kunci L Set 16 Unit Kunci T Set 16 Unit Kunci shock 16 Unit Obeng ketok 16 Unit Dongkrak Penyanggah 16 Unit Kunci ring pass (6-24 mm) 16 Unit Selang Kompresor (23x10m) 16 Roll Palu karet 16 Unit Kunci CVT Motor Kopling 16 Unit Ragum 16 Unit Tang Buaya 16 Unit Pengisi Ban dan Indikator 16 Unit Palu besar 8 Unit Tang Jepit 8 Unit Bor Tangan 8 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2877,'47202536','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Printing Banner (SILPA)','600.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Printing Banner (SILPA)','Mesin Printing Banner 3 Unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2878,'47202733','[3 30 04 2.01 0001]Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','780.100','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor Spesifikasi: Cetak foto 4R 10 Lembar Rp3.400 Alat Tulis Kantor Spesifikasi: Fotocopy 2229 Lembar Rp300 Alat Tulis Kantor Spesifikasi: Hand Stapler HD 10 1 Buah Rp21.000 Alat Tulis Kantor Spesifikasi: Isi Steples Kecil No 10 2 Pak Rp28.200','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2879,'47203548','[3 30 04 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','188.100','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi: Kertas HVS A4 70 Gr 1 Rim Rp58.500 Kertas dan Cover Spesifikasi: kertas HVS F4 70 gram 2 Rim Rp64.800','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2880,'47203948','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Jahit (DBHCHT)','195.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Jahit (DBHCHT) bagi industri kecil','Mesin jahit sebanyak 17 unit; Mesin neci sebanyak 17 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2881,'47204136','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Kaos (DBHCHT)','195.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Kaos (DBHCHT) bagi industri kecil','Mesin obras sebanyak 30 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2882,'47204361','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Kue (DBHCHT)','197.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Kue (DBHCHT) bagi industri kecil','Mixer sebanyak 12 unit; Oven gas besar sebanyak 12 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2883,'47204773','[3 30 04 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.101.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 2 Buah Rp259.700 Bahan Komputer Spesifikasi: Tinta I6500 Cyan 1 Buah Rp194.100 Bahan Komputer Spesifikasi: Tinta I6500 Magenta 1 Buah Rp193.900 Bahan Komputer Spesifikasi: Tinta I6500 Yellow 1 Buah Rp194.400','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2884,'47204910','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Pakaian Jadi (DBHCHT)','71.298.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Pakaian Jadi (DBHCHT) bagi industri kecil','Tabung gas, regulator, selang sebanyak 1 unit; Wajan cap sebanyak 2 unit; Mesin jahit sebanyak 1 unit; Mesin obras sebanyak 1 unit; Alat cap batik sebanyak 5 unit; Kompor gas 2 tungku sebanyak 1 unit; Laptop core i7 sebanyak 1 unit; Meja cap batik sebanyak 2 unit; Mesin neci sebanyak 1 unit; Printer sebanyak 1 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2885,'47204921','[3 30 04 2.03 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.682.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor Spesifikasi: Cetak foto 4R 50 Lembar Alat Tulis Kantor Spesifikasi: Cutter L 500 3 Buah Alat Tulis Kantor Spesifikasi: Cutter 4 Buah Alat Tulis Kantor Spesifikasi: Fotocopy 3133 Lembar Alat Tulis Kantor Spesifikasi: Hand Stapler HD 10 2 Buah Alat Tulis Kantor Spesifikasi: Isi Steples Kecil No 10 4 Pak Alat Tulis Kantor Spesifikasi: Ordner Besar 10 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2886,'47205263','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Olahan Pangan (DBHCHT)','1.000.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Olahan Pangan (DBHCHT) bagi industri kecil','Selep tepung 3 in 1 sebanyak 100 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-10 10:43:56.945','diskoperindag'),
(2887,'47205652','[3 30 04 2.03 0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','505.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas dan Cover Spesifikasi: Kertas HVS A4 70 Gr 2 Rim Kertas dan Cover Spesifikasi: kertas HVS F4 70 gram 6 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2888,'47205668','[3 30 04 2.01 0001] Belanja Makanan dan Minuman Rapat','3.760.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 80 Kotak Rp17.000 Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 80 Kotak Rp30.000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2889,'47205704','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan Supply Energy (DBHCHT)','530.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan Supply Energy (DBHCHT) bagi industri kecil','Genset \"220 - volt output 2000-2200 watt sebanyak 100 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2890,'47206035','[3.31.02.2.01.0005] Pengadaan Mesin/Peralatan IKM Usaha Selep (DBHCHT)','1.050.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengadaan Mesin/Peralatan IKM Usaha Selep (DBHCHT) bagi industri kecil','Selep tepung 3 in 1 sebanyak 105 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Januari 2024','Maret 2024','2024-01-10 10:46:16.645','diskoperindag'),
(2891,'47206267','[2.17.01.2.08.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','981.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Alat Tulis Kantor','Buku Agenda 3 buku , Fotocopy 275 lembar , Odner Besar (forte) 5 buah , Paper Clip No. 1 Kecil) 13 buah , Snelhecter Map Jenis Kertas 3 buah , Stopmap Kertas Panda 42 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2892,'47207034','[3.31.02.2.01.0005] Belanja Makanan dan Minuman Rapat','53.110.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2893,'47207736','[2.17.01.2.08.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.018.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'38 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Dinas 12 X 27B 38 Lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2894,'47207972','[3 30 04 2.03 0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.101.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 2 Buah Bahan Komputer Spesifikasi: Tinta I6500 Cyan 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Magenta 1 Buah Bahan Komputer Spesifikasi: Tinta I6500 Yellow 1 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2895,'47209538','[3 30 04 2.03 0003] Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 120 Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 120 Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 10:43:00.231','diskoperindag'),
(2896,'47209621','[2.17.01.2.08.0002] Belanja Tagihan Air','7.884.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1971 M3','Belanja Tagihan Air','instansi Pemerintah 0 s/d 10 1971 M3','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2897,'47210477','[2.17.01.2.08.0002] Belanja Tagihan Listrik','313.116.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'291000 Kwh','Belanja Tagihan Listrik','2200-5500 VA 291000 Kwh','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2898,'47211281','[2.17.01.2.08.0002] Belanja Kawat/Faksimili/Internet/TV Berlangganan','96.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'160 Bulan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Belanja Wifi 160 Bulan','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2899,'47213457','[2.17.01.2.09.0002] Belanja Bahan-Bahan Bakar dan Pelumas','51.104.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Oli Mesin 45 Liter, Pertamax 1464 Liter, Pertamina Dex 1461 Liter','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2900,'47214172','[2.17.01.2.09.0002] Belanja Suku Cadang-Suku Cadang Alat Angkutan','80.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 Kali','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Suku cadang kendaraan dinas roda empat 2 kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2901,'47216395','[2.17.01.2.09.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','45.600','E-Purchasing','APBD','January 2019','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'152 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy 152 Lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2019','Januari 2024','2024-01-10 10:42:24.833','diskoperindag'),
(2902,'47217569','[2.17.01.2.09.0002] Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','100.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 kali','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Service Kendaraan Roda 4 dan Roda 2 2 kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2903,'47218281','[3 30 05 2.01 0002] Belanja Bahan-Bahan Bakar dan Pelumas','12.598.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Bahan Bakar dan Pelumas Spesifikasi: Dexlite 881 Liter Rp14.300','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2904,'47218496','[2.17.01.2.09.0002] Belanja Pembayaran Pajak, Bea, dan Perizinan','18.850.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Pembayaran Pajak, Bea, dan Perizinan','BebanPajak KendaraanBermotor Roda 2 5 unit, BebanPajak KendaraanBermotor Roda 2(Ganti Plat) 2 unit, BebanPajak KendaraanBermotor Roda 4 4 unit, BebanPajak KendaraanBermotor Roda 4(Ganti Plat) 2 unit, BebanPajak KendaranBermotor Roda 3 8 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2905,'47222191','[2.17.01.2.06.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','20.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Alat Pel 24 Buah, CikrakSampah 26 Buah, Gayung 29 Buah, Isi ulangpewangi ruangan 36 Buah, Kain Lap 29 Buah, Kain pel 29 Buah, KemucingBulu 34 Buah, keset 34 Buah, Pembersih Kaca 36 Buah, Pembersih lantai 31 Buah, Refilekain pel 31 Buah, SabunCuci Tangan 42Buah, sapu lidi 24 Buah, Sapu Lidi 24 Buah, SerokanAir 25 Buah, Sikatkamar mandi 34 Buah, sikatlantai 29 Buah, Sikat WC 26 Buah, tempatsampah injak sedang 26, Tissue 117 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 10:43:25.097','diskoperindag'),
(2906,'47222271','[3 30 05 2.01 0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Benda Pos Spesifikasi: Materai 30 Buah Rp10.000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2907,'47224148','[2.17.01.2.06.0006] Belanja Langganan Jurnal/Surat Kabar/Majalah','4.800.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'2 kali','Belanja Langganan Jurnal/Surat Kabar/Majalah','Tagihan Koran 2 Kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2908,'47227336','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Benda Pos Spesifikasi: Materai 10 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2909,'47227815','[3.30.05.2.01.0002] Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','42.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Beban Sewa Alat Angkutan Darat Bermotor Lainnya Spesifikasi: Sewa Sarana Mobilitas Darat 10 Kali','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2910,'47231089','[3 30 05 2.01 0005] Belanja Bahan-Bahan Bakar dan Pelumas','3.990.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Bahan Bakar dan Pelumas Spesifikasi: Pertamax 300 Liter','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2911,'47237148','[3 30 05 2.01 0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Benda Pos Spesifikasi: Materai 20 Buah Rp10.000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2912,'47238604','[3 30 05 2.01 0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.210.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Tinta I6500 Black 5 Botol Rp259.700 Bahan Komputer Spesifikasi: Tinta I6500 Cyan 5 Botol Rp194.100 Bahan Komputer Spesifikasi: Tinta I6500 Magenta 5 Botol Rp193.900 Bahan Komputer Spesifikasi: Tinta I6500 Yellow 5 Botol Rp194.400','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2913,'47240122','[3 30 05 2.01 0005] Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak 150 Kotak Rp17.000 Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa 150 Kotak Rp30.000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 10:11:12.738','diskoperindag'),
(2914,'47249349','[2.17.08.2.01.0006] Belanja Bahan-Bahan Bakar dan Pelumas','3.947.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'259 liter','Bahan-Bahan Bakar dan Pelumas kegiatan','Pertamina dex 156 liter, 103 liter pertamax turbo','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Agustus 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2915,'47249937','[2.17.08.2.01.0006] Belanja Bahan-Bahan Lainnya (Pelatihan Kemasan)','10.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya untuk pelatihan kemasan','Bahan Baku kemasan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2023','Juni 2024','Mei 2024','Juni 2024','April 2024','April 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2916,'47250749','[2.17.08.2.01.0006] Belanja Bahan-Bahan Lainnya (Pelatihan Kerupuk)','8.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya (Pelatihan Kerupuk)','Bahan Baku Pelatihan Kerupuk','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2917,'47253345','[2.17.08.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','390.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'39 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos Kegiatan','Materai 39 lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','November 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2918,'47256411','[2.17.08.2.01.0006] Belanja Makanan dan Minuman Rapat (Pelatihan Kemasan)','5.170.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Makanan dan Minuman Rapat (Pelatihan Kemasan)','Kue 110 kotak, nasi 110 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2919,'47259305','[2.17.08.2.01.0006] Belanja Makanan dan Minuman Rapat (Pelatihan Kerupuk)','5.170.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Makanan dan Minuman Rapat (Pelatihan Kerupuk)','Kue 110 kotak, nasi 110 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2920,'47259716','[2.17.08.2.01.0006] Belanja Makanan dan Minuman Rapat (Bantuan SILPA)','6.345.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Makanan dan Minuman Rapat (Bantuan SILPA)','Kue 135 kotak, nasi 135 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','November 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:11:12.738','diskoperindag'),
(2921,'47260122','[2.17.08.2.01.0006] Belanja Makanan dan Minuman Rapat (Rapat Koordinasi)','2.256.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Makanan dan Minuman Rapat (Rapat Koordinasi)','Kue 48 kotak, nasi 48 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2922,'47265123','[2.17.07.2.01.0003] Belanja Makanan dan Minuman Rapat','7.520.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat Kegiatan','Kue 160 kotak, nasi 160 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2923,'47267446','[2.17.07.2.01.0004] Belanja Makanan dan Minuman Rapat','20.370.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Makanan dan Minuman Rapat Kegiatan','Kue 510 kotak, nasi 390 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:10:18.992','diskoperindag'),
(2924,'47273760','[2.17.07.2.01.0002] Belanja Makanan dan Minuman Rapat','3.055.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat Kegiatan Pemberdayaan Melalui Kemitraan Usaha Mikro','Kue 65 kotak, nasi 65 kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:11:12.738','diskoperindag'),
(2925,'47278622','2.17.07.2.01.0015] Belanja Bahan-Bahan Lainnya','14.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Bahan Praktek Kerajinan Bambu 1 paket, Bahan Praktek Keripik Pisang 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2926,'47281433','[2.17.07.2.01.0015] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','20.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Benda Pos untuk Kegiatan','materai 2 lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2927,'47282561','[2.17.07.2.01.0015] Belanja Makanan dan Minuman Rapat','35.100.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Kegiatan Pelatihan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 10:11:12.738','diskoperindag'),
(2928,'47297441','[2.17.07.2.01.0014] Belanja Modal Aset Tidak Berwujud-Software','60.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Modal Aset Tidak Berwujud-Software','Digital Katalog 1 paket','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2929,'47327966','[2.17.012.01.0007] Belanja Bahan-Bahan Bakar dan Pelumas','1.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2930,'47332261','[2.17.012.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.416.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','BinderClip No. 260 Fotocopy Isi Steples Kecil No 10 Paperclip triangle kecil Stopmap KertasPanda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2931,'47333780','[2.17.012.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','856.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2932,'47334989','[2.17.012.01.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.038.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2933,'47336167','[2.17.012.01.0007] Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2934,'47337234','[2.17.01.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.045.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Brief Odner Fotocopy Isi Steples Kecil No 10 Paper clip triangle kecil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2935,'47338396','[2.17.012.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2936,'47339062','[2.17.012.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','519.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2937,'47340575','[2.17.012.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','604.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Brief Odner Fotocopy Isi Steples Kecil No 10 Paper clip triangle kecil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2938,'47341138','[2.17.012.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','376.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2939,'47343409','[2.17.012.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','916.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 107 Fotocopy Jilid Dan Cetak CoverWarna Dan Laminasi, Diatas100 Halaman (Lakban)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2940,'47344475','[2.17.012.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','564.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2941,'47345380','[2.17.012.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','519.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2942,'47346382','[2.17.012.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.887.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 107 Fotocopy Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas100 Halaman(Lakban) map snelhecter plastik Paperclip triangle kecil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2943,'47347336','[2.17.012.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.168.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr Kertas HVS F4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2944,'47348924','[2.17.012.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.943.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black Tinta I6500 Cyan Tinta I6500 Magenta Tinta I6500 Yellow','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2945,'47349926','[2.17.012.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.410.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Brief Odner Fotocopy Isi Steples Kecil No 10 Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas100 Halaman(Lakban)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2946,'47350317','[2.17.012.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','570.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr Kertas HVS F4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2947,'47350748','[2.17.012.01.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','519.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2948,'47351865','[2.17.012.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.229.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 260 Brief Odner Correction Pen Fotocopy Isi Steples Kecil No 10 Jilid Dan Cetak Cover Warna Dan Laminasi, 50 S/D 100 Halaman(Lakban) Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas100 Halaman(Lakban) map snelhecter plastik Paper clip triangle kecil Stopmap KertasPanda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2949,'47352466','[2.17.012.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.054.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr kertas HVS F4 70 gram Sticky Note 20 x 50 mm','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2950,'47352863','[2.17.012.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2951,'47353521','[2.17.012.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.943.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black Tinta I6500 Cyan Tinta I6500 Magenta Tinta I6500 Yellow','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2952,'47354898','[2.17.012.01.0001] Belanja Makanan dan Minuman Rapat','940.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2953,'47355469','[2.17.012.01.0001] Belanja Bahan-Bahan Bakar dan Pelumas','2.492.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:06:42.903','diskoperindag'),
(2954,'47356333','[2.17.03.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.017.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru 6buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2955,'47462761','[2.17.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','890.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer epson 003 warna hitam Tinta Printer epson warna 003 (pink, kuning, biru 6buah)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2956,'47463140','[2.17.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','20.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2957,'47492342','[2.17.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.798.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2958,'47493140','[2.17.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.731.100','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotokopi','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2959,'47493880','[3 30 05 2.01 0003] Belanja Sewa Tenda Hangar Festival Muharram','200.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Sewa Alat Kantor Lainnya','Beban Sewa Alat Kantor Lainnya Spesifikasi : Sewa Hanggar 16000 M2','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2960,'47494934','[3 30 05 2.01 0003] Belanja Sewa Lighting, Genset dan Kipas Angin Blower','84.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Sewa Alat Kantor Lainnya','Beban Sewa Alat Kantor Lainnya Spesifikasi: Lighting Area 2 Set Beban Sewa Alat Kantor Lainnya Spesifikasi: Sewa Genset 10 Per hari Beban Sewa Alat Kantor Lainnya Spesifikasi: Sewa Kipas Angin Blower 10 unit','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2961,'47502251','[2.17.03.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','1.199.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas A4 70 Gr 10 Rim kertas HVS F4 70 gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2962,'47502312','[2.17.03.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.463.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy 4878 Lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 22:45:13.468','diskoperindag'),
(2963,'49643039','[3.31.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor','5.369.800','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Bolpoint 10 Pak; Odner Besar (forte) 10 Buah; Cutter L 500 4 Buah; Map kertas F4 50 Buah; Map snell plastik 16 Pak; Paper Clip 15 Pak; Pensil 2B 56 Buah; Kertas HVS F4 70 gr 7 Rim; Kertas HVS A4 70 gr 7 Rim; Amplop Putih No 90 12 Pak; Tinta Epson 001; Hitam 8 Buah Tinta Epson 003 Warna 8 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2964,'49643134','[3.31.02.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor','1.705.800','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Ordner Besar (forte) Paper Clip Cadwell No. 03 Map Bahan Plastik Amplop Putih No 104 Ukuran 95 Cm x 152 Cm isi 100 buah Kertas HVS A4 70 Gr Kertas HVS F4 70 gram Tinta Epson 001 Hitam Tinta Printer Epson Warna 003 (pink, kuning, biru @6buah)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2965,'49643202','[3 30 04 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor','3.412.800','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Hand Stapler HD 10 2 Buah Isi staples kecil no 10 6 Pak Odner besar (forte) 4 Buah Kertas HVS A4 70 Gr 4 rim kertas HVS F4 70 gram 10 rim Bahan Komputer Spesifikasi: Tinta I6500 Black 4 Buah Bahan Komputer Spesifikasi: Tinta I6500 Cyan 2 Buah Bahan Komputer Spesifikasi: Tinta I6500 Magenta 2 Buah Bahan Komputer Spesifikasi: Tinta I6500 Yellow 2 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2966,'49674420','[3.31.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','996.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Komputer','Tinta Epson Hitam 4 Buah Tinta Epson Warna 3 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 08:37:20.443','diskoperindag'),
(2967,'49678903','[2 17 08 2.01 0006] Pengadaan Peralatan UMKM untuk Ijen Geopark (SILPA)','30.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Peralatan UMKM untuk Geoshop','Garpu 2 lusin, Sendok 2 lusin, Gelas 2 lusin, Panci Gagang Panjang 2 buah, Termos Air 2 buah, Piring 2 lusin, Wajan 2 unit, Mangkok Bakso 2 lusin, Meja 2 buah, Meja 4 buah, Panci 2 buah, Tabung gas, Regulator, selang 2 unit, Blender 2 unit, Kompor Gas 2 Tungku 2 unit, Kursi 20 buah, Etalase 2 unit, Meja Kursi Taman 4 set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-02-12 09:19:58.275','diskoperindag'),
(2968,'49679877','[2.17.01.2.02 0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','994.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Jilid dan Cetak Cover WarnaDan Laminasi, Diatas 100 Halaman 12 Eksemplar, Ordner Besar 3 Buah, Paper Clip Jumbo 5 5 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:30:11.619','diskoperindag'),
(2969,'49680035','[2.17.01.2.02.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','86.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar 2 Buah, Paper Clip Jumbo 5 4 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:31:31.89','diskoperindag'),
(2970,'49680130','[2.17.01.2.02.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','763.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint 3 Pak, Ordner Besar 20 Buah, Paper Clip Jumbo 5 10 Buah, Paper Clip No. 3 10 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:32:29.763','diskoperindag'),
(2971,'49680368','[2.17.01.2.02.0003] Belanja Makanan dan Minuman Rapat','1','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','KueKotak Biasa, Makandan minum Rapat , Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:34:55.157','diskoperindag'),
(2972,'49680490','[2.17.01.2.03.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','361.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar10 Buah, Paper Clip Jumbo 5 10 Pak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:36:20.179','diskoperindag'),
(2973,'49680595','[2.17.01.2.04.0007] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','194.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar 5 Buah, Paper Clip Jumbo 5 7 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-12 09:37:36.618','diskoperindag'),
(2974,'49681688','[2.17.01.2.05.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','252.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Isi Steples Kecil No.10 1 pak, Odner Besar (forte) 2 buah, Paper Clip No.3 4 pak, Snelhecter Map Jenis Kertas 4 pak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-12 09:45:16.386','diskoperindag'),
(2975,'49682053','[2.17.01.2.05.0003] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','179.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Isi Steples Kecil No 10 4 pak, Ordner Besar 1 buah, Snelhecter Map Jenis Kertas 1 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-12 09:48:07.474','diskoperindag'),
(2976,'49682867','[2.17.01.2.06.0005] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','89.878.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 paket','Alat Tulis Kantor','Blanko Bukti Setor 50 buku , Cetak Kwitansi Dinas 1 Bendel 200 Lembar) PKB 145 buku , cetak map 600 lembar , Karcis Pasar Daging Ayam 835 per buku , Karcis Pasar Daging Kambing 835 per buku , Karcis Pasar Daging Sapi 835 per buku , Karcis Pasar Hewan Kambing 835 per buku , Karcis Pasar Hewan Sapi 835 buku , Karcis Pasar Jasa Penempatan Sepeda 835 per buku , Karcis Pasar Pagi 835 per buku , Karcis Pasar Sore 835 per buku , Karcis Penurunan Barang 835 per buku , Kartu langganan Kios / Toko 10 rim , Lembar Disposisi 18 buku , SKRD (Surat Ketetapan Retribusi Daerah) 3244 lembar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-12 09:55:16.373','diskoperindag'),
(2977,'49718363','[3.31.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.907.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint 10 pak Cutter L 4 buah Map Kertas F4 50 buah Map snell plastik 16 pak Odner Besar 10 buah Paper Clip 15 pak Pensil 2B 56 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 09:12:10.997','diskoperindag'),
(2978,'49718509','[2.17.07.2.01.0014] Belanja Alat/Bahan untuk Kegiatan Kantor','1.789.100','E-Purchasing','APBD,APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Bahan Komputer untuk Kegiatan','Tinta Bc-21 Colour (2 botol), Kertas HVS A4 70 Gr (5 rim), kertas HVS F4 70 gram (6 rim), Odner besar (6 buah), Stapler No. T3-10Mb (2 buah), Stopmap Kertas (18 buah), Isi Steples Kecil No 10 (3 pak), Paper Clip No. 1 (7 pak)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2979,'49718620','[3.31.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.214.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih No 90 12 pak KertasHVS A4 70 Gr 7 rim kertasHVS F4 70 gram 7 rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 09:12:10.997','diskoperindag'),
(2980,'49718628','[2.17.07.2.01.0015] Belanja Alat/Bahan untuk Kegiatan Kantor','4.418.500','E-Purchasing','APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi100 Buah (4 dos), Kertas HVS A4 70 Gr (5 rim), kertas HVS F4 70 gram (7 rim), Block Note A5 (150 buah), Isi Ball Point Big Shimer Pin (150 buah), Map Plastik Folio (150 buah)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2981,'49718811','[3.31.04.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.247.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 001 Hitanm 8 buah TintaPrinter epson warna 003 (pink, kuning,biru) 8 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 09:12:10.997','diskoperindag'),
(2982,'49718868','[2.17.07.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor','1.586.200','E-Purchasing','APBD,APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Kegiatan Pemberdayaan Melalui Kemitraan Usaha Mikro','Tinta Hitam 200 Ml (1 buah), Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah (1 pak), Kertas HVS A4 70 Gr (2 rim), kertas HVS F4 70 gram (2 rim), Block Note A5 (50 buah), Isi Ball Point Big Shimer Pin (50 buah), Map Plastik Folio (50 buah), Isi Steples Kecil No 10 (2 pak), Paper Clip No. 1 (2 pak)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2983,'49719011','[2.17.07.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor','4.277.000','E-Purchasing','APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Kegiatan','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah (1 buah), KertasHVS A4 70 Gr (3 rim), kertasHVS F4 70 gram (6 rim), Block Note A5 (150 buah), Isi Ball Point Big Shimer Pin (150 buah), Map Plastik Folio (150 buah), Isi Steples Kecil No 10 (3 pak), Paper Clip No. 1 (2 pak)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2984,'49719145','[2.17.07.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor','3.083.100','E-Purchasing','APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr (1 rim), kertas HVS F4 70 gram (2 rim), Block Note A5 (120 buah), Isi Ball Point Big Shimer Pin (120 buah), Map Plastik Folio (120 buah), Paper Clip No. 1 (3 buah)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2985,'49719304','[2.17.08.2.01.0006] Belanja Alat/Bahan untuk Kegiatan Kantor','15.486.600','E-Purchasing','APBD,APBD,APBD,','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Stapler Hd 10 Kecil (6 buah), Paper Clip Cadwell No. 5 (14 pak), Isi Steples Kecil No 10 (5 pak), Paper Clip Cadwell No. 3 (30 pak), Bolpoint (14 pak), Odner Besar (16 buah), Map Kancing Punggung (80 buah), Buku Block Note Polos 450 Lbr (80 buah), Stopmap Kertas (1107 buah), Pensil 3B (12 buah), Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah (5 pak), Kertas HVS A4 70 Gr (25 rim), kertas HVS F4 70 gram (65 rim), Tinta I6500 Magenta (4 buah), Tinta I6500 Yellow (4 buah), Tinta I6500 Cyan (5 buah), Tinta I6500 Black (8 buah)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-02-12 22:34:58.729','diskoperindag'),
(2986,'49731991','[3.31.03.2.01.0003] Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.824.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Bolpoint 15 Pak Odner Besar (forte) 6 Buah Block Note A5 40 Buah Map kertas F4 80 Buah Map snell plastik 10 Pak Paper Clip 11 Pak Pensil 2B 40 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 07:27:43.01','diskoperindag'),
(2987,'49732043','[3.31.02.2.01.0004] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','915.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih No 90 6 Pak Kertas HVS F4 70 gr 6 Rim Kertas HVS A4 70 gram 6 Rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-13 07:30:02.015','diskoperindag'),
(2988,'49732332','[3 30 05 2.01 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','327.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Hand Stapler HD 10 2 Buah Isi staples kecil no 10 6 Pak Odner besar (forte) 4 Buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','April 2024','2024-02-13 09:23:15.805','diskoperindag'),
(2989,'49732545','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','882.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr 4 rim kertas HVS F4 70 gram 10 rim','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','April 2024','2024-02-13 09:23:15.805','diskoperindag'),
(2990,'49732623','[3 30 03 2.02 0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.203.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta I6500 Black 4 buah Tinta I6500 Cyan 2 buah Tinta I6500 Magenta 2 buah Tinta I6500 Yellow 2 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','Maret 2024','April 2024','2024-02-13 09:23:15.805','diskoperindag'),
(2991,'49810067','[3.30.03.2.01.0002] Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Servis Laptop 4x Servis Printer 1 tahun','Ya','Ya','Ya','Ya','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:41:10.011','diskoperindag'),
(2992,'49810302','[3.30.03.2.01.0002] Belanja Bahan-Bahan Bakar dan Pelumas','997.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','pertamax 75 liter','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:43:42.177','diskoperindag'),
(2993,'49810500','[3.30.03.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Pengadaan KTPP dan SHP','44.400.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Pengadaan Kartu Tanda Pengenal Pedagang (KTPP) dan Surat Hak Pakai (SHP)','Cetak KTPP 3000 lembar Cetak SHP 3000 lembar','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:44:51.934','diskoperindag'),
(2994,'49810604','[3.30.03.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','250.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai 25 lembar','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:46:12.979','diskoperindag'),
(2995,'49811119','[3.30.03.2.01.0001] Perencanaan Teknis Belanja Modal Bangunan Gedung Pertokoan/Koperasi/Pasar','14.484.156','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Perencanaan Teknis Bangunan Gedung Pertokoan/Koperasi/Pasar','Perecanaan gedung negara sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-02-15 10:51:30.261','diskoperindag'),
(2996,'49811167','[3.30.03.2.01.0001] Administrasi Belanja Modal Bangunan Gedung Pertokoan/Koperasi/Pasar','3.448.243','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Bangunan Gedung Pertokoan/Koperasi/Pasar','AP Gedung negara sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-02-15 10:51:53.2','diskoperindag'),
(2997,'49811242','[3.30.03.2.01.0001] Belanja Modal Bangunan Gedung Pertokoan/Koperasi/Pasar','172.412.138','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Bangunan Gedung Pertokoan/Koperasi/Pasar','Gedung negara sederhana','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-02-15 10:52:33.124','diskoperindag'),
(2998,'49811276','[3.30.03.2.01.0001] Pengawasan Teknis Bangunan Gedung Pertokoan/Koperasi/Pasar','9.655.463','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Pengawasan Teknis Bangunan Gedung Pertokoan/Koperasi/Pasar','Pengawasan Gedung Negara Sederhana','Ya','Ya','Ya','Ya','Tidak','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-02-15 10:53:01.964','diskoperindag'),
(2999,'49811319','[3.30.03.2.01.0001] Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','kue kotak 100 orang/paket/pekerjaan nasi kotak biasa 100 orng/paket/pekerjaan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:53:38.719','diskoperindag'),
(3000,'49811358','[3.30.03.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','50.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','materai 5 buah','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 10:54:05.662','diskoperindag'),
(3001,'49812918','[3 30 05 2.01 0003] Belanja Alat/Bahan untuk Kegiatan Kantor','4.972.600','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Correction 802 Cutter L 500 Cutter Refil (Isi Cutter) Besar Merk L500 Isi Staples kecil No. 10 Ordner Besar Paper Clip Jumbo 5 Stapler Hd 10 Kecil Amplop Putih Kertas HVS A4 70 Gr Kertas HVS F4 70 gram Bahan Komputer Spesifikasi: Tinta I6500 Black 3 Botol Bahan Komputer Spesifikasi: Tinta I6500 Cyan 3 Botol Bahan Komputer Spesifikasi: Tinta I6500 Magenta 5 Botol Bahan Komputer Spesifikasi: Tinta I6500 Yellow 5 Botol','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 11:32:36.864','diskoperindag'),
(3002,'49813387','[3 30 05 2.01 0005] Belanja Alat/Bahan untuk Kegiatan Kantor','6.623.500','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','bolpoin block note Correction 803 Cutter kecil refil cutter kecil Map kancing Snellhecter Map Kertas Stopmap Kertas Kertas HVS A4 70 Gr Kertas HVS F4 70 gram Bahan Komputer Spesifikasi: Tinta I6500 Black 5 Botol Rp259.700 Bahan Komputer Spesifikasi: Tinta I6500 Cyan 5 Botol Rp194.100 Bahan Komputer Spesifikasi: Tinta I6500 Magenta 5 Botol Rp193.900 Bahan Komputer Spesifikasi: Tinta I6500 Yellow 5 Botol Rp194.400','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 11:32:36.864','diskoperindag'),
(3003,'49814609','[3 30 05 2.01 0002] Belanja Alat/Bahan untuk Kegiatan Kantor','5.844.600','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Alat Tulis Kantor Spesifikasi: 3 Buah Rp13.300 Alat Tulis Kantor Spesifikasi: Cutter Besar Merk Kenko L500 2 Buah Rp23.600 Alat Tulis Kantor Spesifikasi: Cutter $Refil Isi Cutter) Besar Merk L500 2 Buah Rp8.600 Alat Tulis Kantor Spesifikasi: Isi Staples Besar No. 23 2 Pak Rp21.200 Alat Tulis Kantor Spesifikasi: Ordner Besar 4 Buah Rp29.000 Alat Tulis Kantor Spesifikasi: Paper Clip Jumbo 5 4 Pak Rp7.100 Alat Tulis Kantor Spesifikasi: Paper Clip No. 3 5 Pak Rp3.700 Alat Tulis Kantor Spesifikasi: Stapler Hd 10 Kecil 2 Buah Rp16.500 Kertas HVS A4 70 Gr Kertas HVS F4 70 gram Tinta I6500 Black Tinta I6500 Cyan Tinta I6500 Magenta Tinta I6500 Yellow','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-15 11:32:36.864','diskoperindag'),
(3004,'49827091','[3.30.03.2.01.0002] Belanja Alat/Bahan untuk Kegiatan Kantor','3.714.100','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Correction Pen Paperclip Cadwell No. 3 Snelhecter Map jenis kertas Bolpoin Stopmap kertas Kertas foto A4 Kertas HVS A4 70Gr Kertas HVS F4 70 Gr Sticky Note 20x50 mm Tinta I6500 Magenta 2 buah Tinta I6500 Cyan 2 buah Tinta I6500 Yellow 2 buah Tinta I6500 Black 3 buah','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 21:09:28.125','diskoperindag'),
(3005,'49827337','[3.30.03.2.01.0001] Belanja Alat/Bahan untuk Kegiatan Kantor','2.146.200','E-Purchasing','APBD,APBD,APBD,','February 2024','Kab. Bondowoso','Dinas Koperasi, Perindustrian dan Perdagangan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor','Bolpoin Stopmap kertas Kertas HVS A4 70Gr Kertas HVS F4 70 Gr Sticky Note 20x50 mm Tinta I6500 Black Tinta I6500 Cyan Tinta I6500 Magenta Tinta I6500 Yellow','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-02-15 21:09:28.125','diskoperindag'),
(3006,'47570292','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','36.490.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bannaer biasa, foto copy, isi staples besar, isi steplas kecil, karcis kebersihan, Model DPD II-57, Model DPD II-58, Model DPD II-72 snelhecter, stopmap','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Oktober 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:05:19.576','dlh'),
(3007,'47570323','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:13:26.058','dlh'),
(3008,'47570324','Belanja Jasa Konsultansi Lainnya-Jasa Konsultansi Lingkungan','40.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Konsultansi Lainnya-Jasa Konsultansi Lingkungan;','Jasa Konsultasi Dokumen Informasi Kinerja Pengelolaan Lingkungan Hidup Daerah ( DIKPLHD );','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:13:26.058','dlh'),
(3009,'47570325','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.219.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Bolpoint; Snelhecter Map; Ordner Besar; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Binder Clip No. 107; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:13:26.058','dlh'),
(3010,'47570326','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.935.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:13:26.058','dlh'),
(3011,'47570548','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.881.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVSA4, kertas HVS F4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:05:19.576','dlh'),
(3012,'47570601','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.613.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','refile ink deskjet, tinta ep22 toner cartridge','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:05:19.576','dlh'),
(3013,'47570666','Belanja Makanan dan Minuman Rapat','2.115.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue kotak, nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:05:19.576','dlh'),
(3014,'47571064','Belanja Bahan-Bahan Bakar dan Pelumas','4.190.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','BBM pertalite','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 20:57:34.811','dlh'),
(3015,'47571105','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','48.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Pengadaan Peralatan dan Kontruksi Biogas; Perencanaan Teknis Biogas; Pengawasan Teknis Biogas; AP Biogas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3016,'47571106','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','887.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Isi Stapler Kecil No.10; Fotocopy; Binder Clip No. 107; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3017,'47571107','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.466.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3018,'47571108','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','892.400','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3019,'47571109','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3020,'47571110','Belanja Jasa Konsultansi Lainnya-Jasa Konsultansi Lingkungan','75.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Konsultansi Lainnya-Jasa Konsultansi Lingkungan ;','Jasa Konsultansi Kajian Inventarisasi Gas Rumah Kaca Kabupaten;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:14:14.86','dlh'),
(3021,'47571177','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','61.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, pensil star merah/biru','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 20:57:34.811','dlh'),
(3022,'47571363','Belanja Bahan-Bahan Bangunan dan Konstruksi','2.187.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','cakar, cangkul, karung/sak,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:04:40.36','dlh'),
(3023,'47571575','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.160.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','banner biasa, fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:04:40.36','dlh'),
(3024,'47571623','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','330.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:04:40.36','dlh'),
(3025,'47571668','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','36.057.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','cikrak sampah, kantong plastik sampah, sapu ijuk 2 macan, sapu lidi, tempat sampah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:04:40.36','dlh'),
(3026,'47571688','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.235.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Isi Stapler Kecil No.10; Fotocopy; cetak map; Binder Clip No. 107; Binder Clip No. 155; Binder Clip No. 260; Snelhecter Map; Stapler Hd 10; Ordner Besar; Penggaris Baja 30 Cm; Pensil 2B; Stabilo Faber Castle; Spidol Marker; Bolpoint; Buku Tulis Agenda;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:49.679','dlh'),
(3027,'47571689','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.103.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas HVS A4 70 Gr; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; Amplop Coklat Tali 310 (25 X 35) Isi 50; Amplop Dinas Bh. Casing Uk. 12 x 28 cm; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:49.679','dlh'),
(3028,'47571690','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','599.900','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Hitan; Tinta Epson 001 Warna;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:49.679','dlh'),
(3029,'47571818','Belanja Pakaian Dinas Lapangan (PDL)','48.250.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'193 orang','Belanja Pakaian Dinas Lapangan (PDL)','belanja pakaian kerja lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:04:40.36','dlh'),
(3030,'47571959','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','307.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:07.4','dlh'),
(3031,'47571960','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.735.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:07.4','dlh'),
(3032,'47571961','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.047.100','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy; Ordner Besar;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:17:07.4','dlh'),
(3033,'47572374','Belanja Bahan-Bahan Bangunan dan Konstruksi','144.681.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 tahun','Belanja Bahan-Bahan Bangunan dan Konstruksi','Besi Beton,Tiang lampu type ganda, Lighting Pole Galvanis,Cat Besi Setara Emco,Plateser 4 mm,Semen / PC (50kg),Pasir Pasang Terendah,Besi Kanal C,Plateser 3mm,Plateser 2mm,Cat Kayu Hitam,Cat Dinding Avitec,kerikil,Besi Kanal C15mm,Besi Canal U 12 cm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:02:34.138','dlh'),
(3034,'47572441','Belanja Bahan-Bahan Baku','5.382.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 tahun','Belanja Bahan-Bahan Baku','Kuas 3 \", Thiner, Mur Baut uk. 10 \", Kayu 2 cm X 20 cm X 2 M','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:02:34.138','dlh'),
(3035,'47572490','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.939.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Stopmap Kertas Panda, Snelhecter Map, Fotocopy, Stapler No. T3-10Mb','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:02:34.138','dlh'),
(3036,'47572522','Belanja Modal Alat Laboratorium Umum','94.985.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum; Alat Laboratorium Umum;','Batang pengaduk kaca 30cm; Beaker glass low form; Kaca arloji Ø100 mm ; Cawan porcelain Ø 45 mm; Sikat tabung reaksi untuk Ø 16 mm, nylon; Corong/ funnel plain interior, funnel outer ; Cuvette UV cuvette macro, isi 2 pcs dlm 1 pack Material: Quartz Sand / Pasir Kuarsa; Botol winkler 200-300 ml; Filter LC 292 ELGA; Thermohygrometer ; Gagang jarum ose/ needle holder ; Pipette controller 0.1- 100 ml, levo; Laboratory bottle ; Laboratory bottle ; Laboratory bottle ; Emergency Shower /Eye Wash; Pipet digital/ Micropippete; Volumetric flask duran , claas A 200 ml; Refrigerator; Dispensette spec :5-50 ml, Vitlab With Safety Prime (Genius);','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3037,'47572523','Belanja Modal Alat Pemadam Kebakaran','3.710.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Pemadam Kebakaran;','Alat Pemadam Kebakaran (APAR);','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3038,'47572524','Belanja Modal Sumber Tenaga','15.900.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Sumber Tenaga;','Genset;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3039,'47572525','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.069.200','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3040,'47572526','Belanja Bahan-Bahan Kimia','52.080.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia; Bahan Kimia;','Bahan Kimia Spesifikasi: Buffer pH 7; Bahan Kimia Spesifikasi: Calcium Chloride; Bahan Kimia Spesifikasi: Iron III Chloride Hexahydrate; Bahan Kimia Spesifikasi: Buffer pH 4; Bahan Kimia Spesifikasi: Manganese II Sulfate; Bahan Kimia Spesifikasi: Sodium Azide; Bahan Kimia Spesifikasi: Sodium Thiosulfate Pentahydrate; Bahan Kimia Spesifikasi: Sulfuric Acid; Bahan Kimia Spesifikasi: DO Solution; Buffer pH 10; Potasium Iodide; Magnesium Sulfat Heptahydrate; Potasium Dicromate; Cadmium Granular; Sodium Hydroxide; Kertas saring; Alkohol ; Conductivity standart solution; pH indicator strips; Turbidity calibration standart ; BGLB;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3041,'47572527','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.979.100','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3042,'47572528','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.200.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer; Catridge Printer; Catridge Printer; Tinta Printer;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3043,'47572529','Belanja Modal Alat Penyimpan Perlengkapan Kantor','77.212.700','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor; Alat Penyimpan Perlengkapan Kantor; Alat Penyimpan Perlengkapan Kantor;','Rak tabung reaksi stainless, 40 lubang; lemari bahan kimia; Rak Besi krisbow 5 Tingkat;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3044,'47572530','Belanja Kursus Singkat/Pelatihan','50.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Kursus Singkat/Pelatihan;','Kursus Singkat/Pelatihan ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:33:03.823','dlh'),
(3045,'47572531','Belanja Bimbingan Teknis','50.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Bimbingan Teknis;','Bimbingan Teknis Pendampingan dan Akreditasi;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:33:03.823','dlh'),
(3046,'47572532','Belanja Bahan-Bahan Lainnya','1.680.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Lainnya; Bahan Lainnya; Bahan Lainnya; Bahan Lainnya; Bahan Lainnya; Bahan Lainnya;','Nano Filter; GAC; Wash Bottle 100 ml ; Spatula Kaca; Spatula Kaca; Jerigen untuk limbah 5 liter;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:33:03.823','dlh'),
(3047,'47572533','Belanja Jasa Tenaga Laboratorium','39.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Tenaga Laboratorium;','Pengujian Sampel air;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3048,'47572534','Belanja Jasa Kalibrasi','31.200.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi; Beban Jasa Kalibrasi;','Beban Jasa Autoclave; Beban Jasa Waterbath; Beban Jasa Termometer; Beban Jasa Erlenmeyer; Beban Jasa pH meter; Beban Jasa DO meter; Beban Jasa Turbidity meter; Beban Jasa Incubator BOD; Beban Jasa Analitic balance; Beban Jasa Oven; Beban Jasa Labu ukur; Beban Jasa Pipet Volume; Beban Jasa Pipet ukur; Beban Jasa Gelas ukur; Beban Jasa Spektrofotometer;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:27:53.702','dlh'),
(3049,'47572556','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.930.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil Staedtler 2B; Stopmap Kertas; Snelhecter Map Jenis Kertas; Isi Steples Kecil No 10; Isi Steples Besar No 3; Cetak Buku Materi; Cetak Sertifikat/ piagam; Fotocopy; banner biasa; Cetak Selayang Pandang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3050,'47572557','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.264.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3051,'47572558','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3052,'47572559','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.309.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Cetak CANON 200ML; Flash Disk 16Gb Dtig3 16Gb; Catriedge Canon Hitam; Catriedge Canon Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3053,'47572560','Belanja Alat/Bahan untuk Kegiatan Kantor- Perlengkapan Pendukung Olahraga','12.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Perlengkapan Pendukung Olahraga;','Kaos Olahraga;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3054,'47572561','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Kue Kotak; Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3055,'47572562','Belanja Modal Bangunan Gedung Kantor','62.501.400','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bangunan Gedung Kantor; Bangunan Gedung Kantor; Bangunan Gedung Kantor; Bangunan Gedung Kantor;','Pengawasan Gedung Negara Sederhana; Gedung Negara Sederhana; AP Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:09:47.255','dlh'),
(3056,'47572567','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.315.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:02:34.138','dlh'),
(3057,'47572660','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','990.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','materai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-13 21:02:34.138','dlh'),
(3058,'47572854','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.586.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; Paper Clip No. 3; Stopmap Kertas; Snelhecter Map; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Binder Clip No. 111; Binder Clip No. 260; Binder Clip no 155;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:48:30.485','dlh'),
(3059,'47572855','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.700.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:48:30.485','dlh'),
(3060,'47572856','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.892.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Headprinter ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:48:30.485','dlh'),
(3061,'47573312','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.322.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Hitam 200 Ml','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:02:34.138','dlh'),
(3062,'47573324','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.229.900','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Isi Steples Kecil No 10; Fotocopy; Binder Clip No. 107; Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:15:04.704','dlh'),
(3063,'47573325','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.056.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:15:04.704','dlh'),
(3064,'47573326','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.650.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:15:04.704','dlh'),
(3065,'47573327','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','100.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya;','Pembuatan Lubang Biopori; Perencanaan Pembuatan Lubang Biopori; Pengawasan Pembuatan Lubang Biopori; AP Pembuatan Lubang Biopori ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:15:04.704','dlh'),
(3066,'47573328','Belanja Modal Kendaraan Bermotor Khusus','1.000.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kendaraan Bermotor Khusus;','Mobil Skywalker ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 16:15:04.704','dlh'),
(3067,'47573398','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','5.936.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Kuas, Cakar Pengait Sampah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:02:34.138','dlh'),
(3068,'47574030','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.997.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Marker; Paper Clip; Odner Besar (forte); Snelhecter Map Jenis Kertas; Map Plastik L Interx; Stapler Hd 10; Isi Stapler Kecil No.10; Fotocopy; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 200; Binder Clip No. 260; Cetak Buku Laporan Akhir;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3069,'47574031','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.218.900','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3070,'47574032','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.783.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Refill Tinta DCP - T510W; Toner 17A Black Original LaserJet Toner Cartridge; Tinta Epson Warna T 6643;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3071,'47574062','Belanja Bahan-Bahan Bangunan dan Konstruksi','26.147.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Gunting Besar; Gunting Ranting; Sabit; Kuas Cat; Cat Besi; Minyak Cat; cat dinding; Cat Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:40.048','dlh'),
(3072,'47574063','Belanja Bahan-Bahan/Bibit Tanaman','42.930.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman; Bahan/Bibit Tanaman;','Sambang Darah; Asoka Bangkok; Pandan Iris; Melati Jepang; Rombusa Mini; Tabe Buya; Asoka Lokal; Lili Paris; Pucuk Merah Tinggi 1 Meter; Rombusa lokal; Walisongo Bangkok;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3073,'47574064','Belanja Suku Cadang-Suku Cadang Alat Angkutan','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Alat Angkutan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3074,'47574065','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.857.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 50 Besar; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Isi Staples Besar No. 23; Fotocopy; Binder Clip No. 107; Binder Clip No. 155; Binder Clip No. 105;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3075,'47574066','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.881.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3076,'47574067','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.182.800','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Hitam 200 Ml; Tinta Warna Ml; Catriedge Canon Warna; Catriedge Canon Hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3077,'47574068','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','5.724.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Perabot Kantor;','Sapu Lidi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3078,'47574069','Belanja Alat/Bahan untuk Kegiatan Kantor- Perlengkapan Pendukung Olahraga','12.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Perlengkapan Pendukung Olahraga;','Kaos Olahraga;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3079,'47574070','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','32.993.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel NYMHY 2 X 0,75 mm; Timer Analog; MCB 32 A IP; MCB 50 A IP; Kabel NYY 2 X 2,5 mm; Lampu LED Sorot 50 W; Lampu LED Sorot 30 W; Klem Kabel ,12 Mm; Klem Kabel ,10 Mm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3080,'47574071','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','10.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Perlengkapan Dinas;','Sepatu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3081,'47574072','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','33.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang Cat; Tukang Kayu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:00.807','dlh'),
(3082,'47574073','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','servis kendaraan roda 4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:40.048','dlh'),
(3083,'47574074','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-13 21:13:40.048','dlh'),
(3084,'47574483','Belanja Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer','5.000.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer; Beban Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer;','Service dan Ganti Suku Cadang Komputer; Service dan Ganti Suku Cadang Printer;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3085,'47574567','Belanja Bahan-Bahan Bakar dan Pelumas','838.841.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Kendaraan Roda 3; Oli STP; Oli Mesran; Oli Mesin; Oli Hydrolic; Oli Gardan; Pertalite; BioSolar; BioSolar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:03:27.894','dlh'),
(3086,'47574568','Belanja Suku Cadang-Suku Cadang Alat Angkutan','439.524.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Roda Gerobak Sampah; Filter Oli; Ban Ukuran 500 - 12; Suku Cadang Kendaraan Dinas Roda Empat; Suku Cadang Kendaraan Dinas Roda Dua; Ban Ukuran 750 - 16; Filter Solar; Filter Udara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:03:27.894','dlh'),
(3087,'47574569','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','22.597.800','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Listrik; Alat Listrik;','Accu N 70; Accu 12 V;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:03:27.894','dlh'),
(3088,'47574570','Belanja Modal Kendaraan Bermotor Beroda Tiga','178.080.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kendaraan Bermotor Beroda Tiga;','Kendaraan Roda 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:03:27.894','dlh'),
(3089,'47574571','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','110.000.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','servis kendaraan roda 4; Peralatan Kantor (Pengelasan);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 21:03:27.894','dlh'),
(3090,'47574732','Belanja Bahan-Bahan Bangunan dan Konstruksi','2.528.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Bangunan dan Konstruksi;','Karung/ Sak (rumah kompos);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','April 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:06:36.653','dlh'),
(3091,'47574733','Belanja Bahan-Bahan Bakar dan Pelumas','378.991.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Hydrolic; Stempet; BioSolar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-13 21:06:36.653','dlh'),
(3092,'47574734','Belanja Bahan-Bahan Baku','4.738.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Baku;','Kokopit;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:06:02.855','dlh'),
(3093,'47574735','Belanja Suku Cadang-Suku Cadang Alat Besar','285.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Suku Cadang Alat Besar ;','Belanja Suku Cadang ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 21:06:02.855','dlh'),
(3094,'47574736','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','308.150','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Januari 2024','2024-01-13 21:06:02.855','dlh'),
(3095,'47574737','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','130.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:06:02.855','dlh'),
(3096,'47574738','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','561.250.000','Tender','APBD','March 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya;','Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','April 2024','Agustus 2024','Maret 2024','April 2024','2024-01-13 21:06:02.855','dlh'),
(3097,'47574739','Belanja Modal Tractor','1.800.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Tractor;','Buldozer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:06:02.855','dlh'),
(3098,'47574740','Belanja Modal Kendaraan Bermotor Angkutan Barang','347.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kendaraan Bermotor Angkutan Barang;','Pick Up Arm Roll;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:06:02.855','dlh'),
(3099,'47574741','Belanja Modal Hauler','757.206.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Hauler;','Arm Roll Light Truck 6 Roda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-13 21:06:02.855','dlh'),
(3100,'47574742','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang','48.949.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kendaraan Tak Bermotor Angkutan Barang;','Gerobak Sampah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','April 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-13 21:06:36.653','dlh'),
(3101,'47574743','Belanja Bahan-Bahan Kimia','3.727.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Kimia;','Cairan Mol (mikro Organisme Lokal);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 21:06:36.653','dlh'),
(3102,'47575134','Belanja Bahan-Bahan Bakar dan Pelumas','163.422.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Minyak Pelumas; Pertalite; Pertalite; Pertamax; Pertamina Dex;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3103,'47575135','Belanja Suku Cadang-Suku Cadang Alat Angkutan','60.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Alat Angkutan;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3104,'47575136','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','13.000.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Belanja Jasa Tenaga Servise;','servis kendaraan roda 4; Biaya Servise Kendaraan Roda 2;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3105,'47575137','Belanja Pembayaran Pajak, Bea, dan Perizinan','38.578.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Pembayaran Pajak, Bea, dan Perizinan; Beban Pembayaran Pajak, Bea, dan Perizinan;','Belanja Jasa Kir; Pajak Kendaraan Bermotor Dinas;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3106,'47575710','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','17.728.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','Perencanaan Gedung Negara sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-13 21:06:02.855','dlh'),
(3107,'47575840','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','11.818.150','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 paket','Belanja Barang untuk Dijual/Diserahkan kepada Pihak Ketiga/Pihak Lain','Pengawasan Gedung Negara sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Agustus 2024','Maret 2024','April 2024','2024-01-13 21:06:02.855','dlh'),
(3108,'47576211','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','4.910.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel Nya Supreme,450/750V Sni,04-02698 Uk. 1X25 Mm2; Lampu Sorot LED 10 Watt; Lampu LED 15 Watt; Lampu LED Sorot 30 W; Saklar Ib Saklar Engkel New Gee; Time Switch Digital; MCB 16 A IP; Kabel NYA 1 x 1,5 mm / 100 m;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3109,'47576273','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','744.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Spidol Permanen; Tinta Stempel Artline/Gabus; Stopmap Kertas; Snelhecter Map Jenis Kertas; Lem Cair 112; Binder Clip No. 111; Binder Clip No. 260; Isi Ball Point Pentel Mg 6; Paper Clip;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:04:54.683','dlh'),
(3110,'47576274','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.883.300','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas Buram Folio; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3111,'47576275','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','240.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3112,'47576276','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.727.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Bc-62 Photo Cartridge; Tinta Epson Warna T 6644; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Refill Tinta DCP - T510W; Tinta Epson Warna T 6643;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3113,'47576386','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','999.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu ijuk panjang; Sapu Ijuk Kipas Kecil; Sikat Kamar mandi; Reffil kain pel; Kain pel; Kapur Barus;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3114,'47576433','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3115,'47576467','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.250.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','lembar cetak disposisi; Fotocopy; cetak map; Buku Agenda Surat Masuk Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Buku Agenda Surat Keluar Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3116,'47576468','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','750.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 12 X 28 Cm;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:40.967','dlh'),
(3117,'47576610','Belanja Modal Alat Penyimpan Perlengkapan Kantor','10.286.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor;','Lemari Besi Fantasi, Lb180 P.80 X L.40 X T.180 Pintu;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:40.967','dlh'),
(3118,'47576645','Belanja Modal Peralatan Personal Computer','19.345.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Peralatan Personal Computer;','Printer Epson L3210;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:40.967','dlh'),
(3119,'47577652','Belanja Tagihan Telepon','31.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Tagihan Telepon;','Pembayaran rekening Telepon/Speedy;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:40.967','dlh'),
(3120,'47577653','Belanja Tagihan Air','7.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Tagihan Air;','instansi Pemerintah 0 s/d 10;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:40.967','dlh'),
(3121,'47577654','Belanja Tagihan Listrik','78.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'1 Paket','Beban Tagihan Listrik;','2200-5500 VA;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3122,'47577920','Bangunan Gedung Kantor','18.858.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'14 M2','Bangunan Gedung Kantor;','Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3123,'47577921','Bangunan Gedung Kantor','1.584.100','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'14 M2','Bangunan Gedung Kantor;','Perencanaan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3124,'47577922','Bangunan Gedung Kantor','1.056.300','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Lingkungan Hidup',2024,'14 M2','Bangunan Gedung Kantor;','Pengawasan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-13 19:05:21.426','dlh'),
(3125,'47244161','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.245.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas; Ordner 1468 A3; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3126,'47244162','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3127,'47244163','Belanja Pakaian Sipil Resmi (PSR)','2.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Sipil Resmi (PSR);','Belanja slempang Pemuda Pelopor;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 22:58:47.295','disparpora '),
(3128,'47244164','Belanja Pakaian Batik Tradisional','5.250.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Batik Tradisional;','Belanja Pakaian batik pemuda pelopor;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:58:47.295','disparpora '),
(3129,'47244165','Belanja Makanan dan Minuman Rapat','10.340.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3130,'47244166','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','650.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3131,'47244168','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','100.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3132,'47244169','Belanja Makanan dan Minuman Aktivitas Lapangan','31.396.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:58:47.295','disparpora '),
(3133,'47244170','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','4.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Sewa Kendaraan luar propinsi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-11 22:58:47.295','disparpora '),
(3134,'47244515','Beban Jasa Penyelenggaraan Acara','103.725.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan kegiatan barbershop ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:59:05.179','disparpora '),
(3135,'47244516','Beban Jasa Penyelenggaraan Acara','150.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan kegiatan tata boga ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:59:05.179','disparpora '),
(3136,'47244743','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:59:26.448','disparpora '),
(3137,'47244745','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.719.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-11 22:59:26.448','disparpora '),
(3138,'47244746','Belanja Makanan dan Minuman Rapat','5.950.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Nasi Kotak VIP, Makan dan minum Tamu; Kue Prasmanan VIP, Makan dan minum Tamu; Kue Prasmanan Biasa, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 22:59:26.448','disparpora '),
(3139,'47244748','Belanja Makanan dan Minuman Aktivitas Lapangan','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:59:26.448','disparpora '),
(3140,'47245156','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','489.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Peralatan Personal Computer; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Printer; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Laptop core i7; Printer; Printer; Printer; Printer; Printer; Printer; Printer; Printer; Printer; Peralatan Café; Peralatan Café; Peralatan Sablon; Peralatan Sablon; Peralatan Sablon; Peralatan Sablon; Peralatan Sablon; Peralatan Potong Rambut; Printer; Peralatan Potong Rambut;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:59:44.809','disparpora '),
(3141,'47247178','Beban Jasa Penyelenggaraan Acara','75.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan kegiatan pancak silat ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Agustus 2024','September 2024','Agustus 2024','Agustus 2024','2024-01-11 22:45:27.749','disparpora '),
(3142,'47247179','Beban Jasa Penyelenggaraan Acara','50.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan acara lomba senam ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 22:45:27.749','disparpora '),
(3143,'47247180','Beban Jasa Penyelenggaraan Acara','100.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan acara turnament volly ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:45:27.749','disparpora '),
(3144,'47247182','Beban Jasa Penyelenggaraan Acara','50.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Penyelenggaraan kegiatan Tenis meja;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Agustus 2024','September 2024','Agustus 2024','Agustus 2024','2024-01-11 22:45:27.749','disparpora '),
(3145,'47247184','Beban Jasa Penyelenggaraan Acara','150.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan acara turnament sepak bola ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 22:45:27.749','disparpora '),
(3146,'47247187','Beban Jasa Penyelenggaraan Acara','80.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Penyelenggaraan Acara Turnament E- Sport ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Agustus 2024','September 2024','Agustus 2024','Agustus 2024','2024-01-11 22:45:27.749','disparpora '),
(3147,'47247189','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.396.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:45:27.749','disparpora '),
(3148,'47247192','Beban Jasa Penyelenggaraan Acara','75.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan acara turnament taekwondo ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Agustus 2024','September 2024','Agustus 2024','Agustus 2024','2024-01-11 22:45:27.749','disparpora '),
(3149,'47247195','Beban Jasa Penyelenggaraan Acara','100.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Penyelenggaraan Acara Turnament Futsal;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:45:27.749','disparpora '),
(3150,'47247198','Belanja Pakaian Olahraga','58.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Olahraga;','Belanja pakaian olahraga;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:45:27.749','disparpora '),
(3151,'47247200','Beban Jasa Penyelenggaraan Acara','75.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','penyelenggaraan kegiatan bulu tangkis ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 22:45:27.749','disparpora '),
(3152,'47247411','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:45:48.635','disparpora '),
(3153,'47247414','Belanja Jasa Penyelenggaraan Acara','180.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Geopark run;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:45:48.635','disparpora '),
(3154,'47247416','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','717.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:45:48.635','disparpora '),
(3155,'47247418','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:45:48.635','disparpora '),
(3156,'47247421','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:45:48.635','disparpora '),
(3157,'47248062','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:24:52.548','disparpora '),
(3158,'47248063','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:24:52.548','disparpora '),
(3159,'47248064','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','489.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Printer Brother;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:24:52.548','disparpora '),
(3160,'47248067','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','630.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Hadrah; Alat Musik Gambus; Alat Musik Gambus; Alat Musik Gambus; Alat Musik Gambus; Alat Musik Gambus; Alat Musik Kenong Telok; Alat Musik Kenong Telok; Alat Musik Kenong Telok; Alat Musik Patrol;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:52.548','disparpora '),
(3161,'47248069','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.071.600','E-Purchasing','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','banner; Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:24:52.548','disparpora '),
(3162,'47248071','Belanja Makanan dan Minuman Rapat','7.990.000','E-Purchasing','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-12 08:24:52.548','disparpora '),
(3163,'47248072','Pagar','172.572.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'87.6 M','Pagar;','Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:52.548','disparpora '),
(3164,'47248073','Pagar','9.666.660','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'87.6 M','Pagar;','Pengawasan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:52.548','disparpora '),
(3165,'47248074','Pagar','14.497.800','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'87.6 M2','Pagar;','Perencanaan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:52.548','disparpora '),
(3166,'47248327','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:38.695','disparpora '),
(3167,'47248328','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.675.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil 2B; Stabilo Boss Warna; Stop Map Kertas Biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Bolpoint; Paper Clip; Correction Ke 01; Correction Tape Roll; map snelhecter plastik; Ordner Besar; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 200;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:38.695','disparpora '),
(3168,'47248329','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Epson;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 08:23:38.695','disparpora '),
(3169,'47248330','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:23:38.695','disparpora '),
(3170,'47248331','Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Khusus','80.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Konsultansi Berorientasi Layanan-Jasa Khusus;','Jasa Penyusunan Dokumen PPKD;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:23:38.695','disparpora '),
(3171,'47248332','Belanja Jasa Tenaga Kesenian dan Kebudayaan','75.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Tenaga Kesenian dan Kebudayaan;','Jasa Pertunjukan Kesenian Lokal;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:38.695','disparpora '),
(3172,'47248752','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.215.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Stop Map Kertas Biasa; Stop Map Kertas Biasa; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Fotocopy; Fotocopy; Binder Clip No. 107; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 111; map snelhecter plastik; map snelhecter plastik; Stop Map Kertas Biasa; Stop Map Kertas Biasa; Fotocopy; Fotocopy; Fotocopy; Fotocopy; Fotocopy; Fotocopy; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 200; Binder Clip No. 200; Binder Clip No. 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 08:24:15.557','disparpora '),
(3173,'47248753','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.696.000','E-Purchasing','APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson; Tinta Epson; Tinta Epson; Tinta Epson;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 08:24:15.557','disparpora '),
(3174,'47248754','Beban Jasa Penyelenggaraan Acara','300.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Ijen Caldera Viesta;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3175,'47248755','Beban Jasa Penyelenggaraan Acara','90.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Kirab Harjabo;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3176,'47248756','Beban Jasa Penyelenggaraan Acara','190.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Festival Muharram;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 08:24:15.557','disparpora '),
(3177,'47248757','Beban Jasa Penyelenggaraan Acara','85.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Pekan Kebudayaan Daerah;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3178,'47248758','Beban Jasa Penyelenggaraan Acara','40.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Tasyakuran Harjabo;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3179,'47248759','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','22.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan; Beban Jasa Iklan/Reklame, Film, dan Pemotretan;','publikasi media cetak; publikasi media cetak; publikasi media cetak; publikasi media cetak; publikasi media cetak; publikasi media cetak; publikasi media cetak; \"Biaya produksi Biaya produksi konten dan video\"; \"Biaya produksi Biaya produksi konten dan video\"; \"Biaya produksi Biaya produksi konten dan video\"; \"Biaya produksi Biaya produksi konten dan video\"; \"Biaya produksi Biaya produksi konten dan video\"; \"Biaya produksi Biaya produksi konten dan video\";','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:15.557','disparpora '),
(3180,'47248760','Beban Jasa Penyelenggaraan Acara','80.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Pencanangan Desa Budaya;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:15.557','disparpora '),
(3181,'47248761','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','5.308.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor;','Kaos bahan katun;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:15.557','disparpora '),
(3182,'47248762','Beban Jasa Penyelenggaraan Acara','340.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Sound Of Ijen Caldera;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3183,'47248763','Beban Jasa Penyelenggaraan Acara','140.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Panggung Budaya Geopark;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3184,'47248764','Beban Jasa Penyelenggaraan Acara','180.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Pawai Budaya Harjabo;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3185,'47248765','Beban Jasa Penyelenggaraan Acara','250.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Festival Ki Ronggo;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3186,'47248766','Beban Jasa Penyelenggaraan Acara','200.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Rekor muri;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 08:24:15.557','disparpora '),
(3187,'47248767','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.353.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram; kertas HVS F4 70 gram; kertas HVS F4 70 gram; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 08:24:15.557','disparpora '),
(3188,'47248768','Belanja Makanan dan Minuman Rapat','39.245.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-12 08:24:15.557','disparpora '),
(3189,'47249139','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.896.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Stabilo Boss Warna; Spidol Kecil; map snelhecter plastik; Stop Map Kertas Biasa; Ordner Besar; Isi Steples Kecil No 10; Fotocopy; banner; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 200; Binder Clip No. 260; Spidol Permanen; Stapler No. 3; Stapler Hd 10; Isi Steples Besar No 3; Piagam;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:16.615','disparpora '),
(3190,'47249144','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.007.700','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:16.615','disparpora '),
(3191,'47249146','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','734.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Printer Brother;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:16.615','disparpora '),
(3192,'47249149','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','15.924.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor;','Kaos bahan katun;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:16.615','disparpora '),
(3193,'47249150','Belanja Makanan dan Minuman Rapat','37.600.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 08:23:16.615','disparpora '),
(3194,'47249151','Belanja Modal Personal Computer','27.452.900','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Personal Computer;','Laptop core i7,ddr iv 16 Gb,ssd 512 GB,vga,os windows 10..;','Tidak','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 08:23:16.615','disparpora '),
(3195,'47252008','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.866.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Stabilo Boss Warna; Cetak foto 4R; Correction Ke 01; Correction Tape Roll; Map kertas; Stop Map Kertas Biasa; Ordner Besar; Stapler No. 3; Stapler Hd 10; Isi Steples Kecil No 10; Isi Steples Besar No 3; Fotocopy; banner; banner; Binder Clip No. 107; Binder Clip No. 107; Binder Clip No. 111; Binder Clip No. 200; Binder Clip No. 260; Spidol Kecil; Spidol Permanen; map snelhecter plastik; Leaflet/Brosur; Fotocopy; banner biasa; Seminar kit;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:47:15.716','disparpora '),
(3196,'47252009','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.513.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:47:15.716','disparpora '),
(3197,'47252011','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.243.200','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Brother; Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:47:15.716','disparpora '),
(3198,'47252013','Belanja Pakaian Olahraga','6.250.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Olahraga;','Pakaian Olahraga Peserta Pelatihan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 22:47:15.716','disparpora '),
(3199,'47252015','Belanja Makanan dan Minuman Rapat','17.860.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:47:15.716','disparpora '),
(3200,'47252240','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','163.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:47:39.043','disparpora '),
(3201,'47252241','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.722.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor;','Sapu lidi;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:47:39.043','disparpora '),
(3202,'47252242','Belanja Pakaian Dinas Lapangan (PDL)','16.250.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Dinas Lapangan (PDL);','Belanja Pakaian Kerja Lapangan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 22:47:39.043','disparpora '),
(3203,'47252243','Belanja Modal Alat Pembersih','3.233.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Pembersih;','Mesin Pemotong Rumput;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 22:47:39.043','disparpora '),
(3204,'47252244','Belanja Bahan-Bahan Bangunan dan Konstruksi','13.435.500','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','cangkul; Sabit;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 22:47:39.043','disparpora '),
(3205,'47252245','Belanja Modal Personal Computer','15.195.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Personal Computer;','Laptop;','Tidak','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-11 22:47:39.043','disparpora '),
(3206,'47252547','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.150.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; map snelhecter plastik; Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 23:00:32.164','disparpora '),
(3207,'47252549','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 23:00:32.164','disparpora '),
(3208,'47252551','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','979.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Printer Brother;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 23:00:32.164','disparpora '),
(3209,'47252552','Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 23:00:32.164','disparpora '),
(3210,'47252553','Belanja Pakaian Dinas Lapangan (PDL)','2.750.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Dinas Lapangan (PDL);','Belanja Pakaian Kerja Lapangan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 23:00:32.164','disparpora '),
(3211,'47252734','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.350.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Spidol Kecil; map snelhecter plastik; Stop Map Kertas Biasa; Fotocopy; Hvs Folio/Kwarto 70 Gr Dicetak : 1 Muka Lebih 1000; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 23:00:52.881','disparpora '),
(3212,'47252737','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','752.400','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 23:00:52.881','disparpora '),
(3213,'47252740','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','979.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Printer Brother;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 23:00:52.881','disparpora '),
(3214,'47252741','Belanja Makanan dan Minuman Aktivitas Lapangan','19.740.000','E-Purchasing','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 23:00:52.881','disparpora '),
(3215,'47252986','Belanja Jasa Konsultansi Perencanaan Rekayasa-Jasa Desain Rekayasa Lainnya','70.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Konsultansi Perencanaan Rekayasa-Jasa Desain Rekayasa Lainnya;','site plan/kajian pengembangan pusat informasi megalitik bondowoso ;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 23:01:17.955','disparpora '),
(3216,'47252987','Taman','6.286.250','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'25 M2','Taman;','Pengawasan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3217,'47252988','Pagar','9.433.500','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'57 M','Pagar;','Perencanaan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3218,'47252989','Taman','9.430.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'25 M2','Taman;','Perencanaan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3219,'47252990','Taman','112.250.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'25 M2','Taman;','Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3220,'47252991','Pagar','112.290.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'57 M','Pagar;','Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3221,'47252993','Pagar','6.289.950','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'57 M','Pagar;','Pengawasan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-11 23:01:17.955','disparpora '),
(3222,'47253155','Belanja Bahan-Bahan Kimia','7.640.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Kimia;','Herbisida Round-Up;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:46:49.076','disparpora '),
(3223,'47253157','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','8.012.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sapu Ijuk Miring; Sapu Ijuk Sawang; Sikat WC; Sapu lidi; Kain Lap; Cairan Pembersih Kaca; Pembersih lantai; Refill Pengharum Ruangan; Kemucing Bulu; Tempat Sampah; Gayung; cikrak; Mata Pisau Pemotong Rumput; Dispenser Parfum Ruangan; Canebo; Alat Pel Lantai; Alat Pembersih Kaca;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:46:49.076','disparpora '),
(3224,'47253158','Belanja Bahan-Bahan Bangunan dan Konstruksi','1.802.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','cangkul; Sabit; Parang;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:46:49.076','disparpora '),
(3225,'47253159','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.305.900','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik;','Kabel NYM 2 X 1,5 mm; Set Kap Mercury; lampu LED 18 watt;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:46:49.076','disparpora '),
(3226,'47253160','Belanja Tagihan Listrik','4.047.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Tagihan Listrik;','1300 VA;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 22:46:49.076','disparpora '),
(3227,'47254278','Belanja Bahan-Bahan Bangunan dan Konstruksi','49.575.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Pipa PVC dia 2\"; Pipa PVC dia 3\";','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:48:56.226','disparpora '),
(3228,'47254279','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','19.071.900','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Cetak Karcis;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-11 22:48:56.226','disparpora '),
(3229,'47254280','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8.631.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-11 22:48:56.226','disparpora '),
(3230,'47254281','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-11 22:48:56.226','disparpora '),
(3231,'47254282','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','40.035.900','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sapu Ijuk Kipas Besar; Sikat WC; Sapu lidi; Sikat Kawat; Alat Pel Lantai; Kain Lap; bahan pembersih kaca; bahan pembersih lantai; kanebo; Kemoceng; keset; Cikrak; tempat sampah injak sedang; Isi Ulang Pewangi Ruangan Tabung; Payung Diameter 120 cm,|; Tempat Sampah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:48:56.226','disparpora '),
(3232,'47254283','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','7.248.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'960 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3233,'47254284','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','14.496.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1920 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3234,'47254285','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','4.848.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'960 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3235,'47254286','Bangunan Fasilitas Umum','5.406.175','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'21.5 M2','Bangunan Fasilitas Umum;','Pengawasan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3236,'47254287','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','172.416.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1920 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3237,'47254288','Pagar','164.495.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M','Pagar;','Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3238,'47254289','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','9.696.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1920 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3239,'47254290','Belanja Jasa Konsultansi Perencanaan Rekayasa-Jasa Desain Rekayasa Lainnya','100.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Konsultansi Perencanaan Rekayasa-Jasa Desain Rekayasa Lainnya;','Masterplan Pengembangan Kaldera Ijen Purba;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-11 22:48:56.226','disparpora '),
(3240,'47254291','Bangunan Fasilitas Umum','99.678.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'22.2 M2','Bangunan Fasilitas Umum;','Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3241,'47254292','Pagar','164.495.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M2','Pagar;','Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3242,'47254293','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.300.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Listrik;','lampu LED 18 watt;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:48:56.226','disparpora '),
(3243,'47254294','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum','86.208.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'960 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Fasilitas Umum;','Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3244,'47254295','Pagar','9.214.225','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M','Pagar;','Pengawasan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3245,'47254296','Pagar','13.819.250','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M2','Pagar;','Perencanaan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3246,'47254297','Bangunan Fasilitas Umum','163.885.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'36.5 M2','Bangunan Fasilitas Umum;','Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3247,'47254298','Bangunan Fasilitas Umum','8.109.800','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'21.5 M2','Bangunan Fasilitas Umum;','Perencanaan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3248,'47254299','Bangunan Fasilitas Umum','13.767.800','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'36.5 M2','Bangunan Fasilitas Umum;','Perencanaan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3249,'47254300','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan','504.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya; Persediaan Untuk Dijual/Diserahkan Lainnya;','Pengawasan Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; AP Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Perencanaan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana; Pengawasan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-11 22:48:56.226','disparpora '),
(3250,'47254301','Bangunan Fasilitas Umum','9.177.925','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'36.5 M2','Bangunan Fasilitas Umum;','Pengawasan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3251,'47254302','Pagar','13.819.250','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M','Pagar;','Perencanaan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3252,'47254303','Pagar','9.214.225','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'83.5 M','Pagar;','Pengawasan Pagar Bagian Samping Gedung Negara;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 22:48:56.226','disparpora '),
(3253,'47254467','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.900.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Marker; Bolpoint; Stopmap Kertas; Double Tape Joyko 1; banner; Fotocopy; Binder Clip No. 105; Binder Clip No. 200; Binder Clip No. 260; PlakBand 12 Meter; Brief Odner ukuran f4; Berbagai Kertas Kertas Bufallo A4 / F4 Sidu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:48:11.307','disparpora '),
(3254,'47254469','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.725.200','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','April 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 22:48:11.307','disparpora '),
(3255,'47254470','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','April 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-11 22:48:11.307','disparpora '),
(3256,'47254471','Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-11 22:48:11.307','disparpora '),
(3257,'47254694','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.260.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Paper Clip; Stop Map Kertas Biasa; Ordner 1465 Folio; Isi Steples Kecil No 10; Binder Clip No. 260; Cetak Map Pariwisata; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-11 23:02:47.751','disparpora '),
(3258,'47254695','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.302.000','Pengadaan Langsung','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 23:02:47.751','disparpora '),
(3259,'47254696','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 23:02:47.751','disparpora '),
(3260,'47254698','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','40.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Suvenir/Cendera Mata;','Suvenir Pariwisata dan Ekraf;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 23:02:47.751','disparpora '),
(3261,'47254701','Belanja Jasa Tenaga Informasi dan Teknologi','80.000.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Tenaga Informasi dan Teknologi; Beban Jasa Tenaga Informasi dan Teknologi;','Biaya Pemeliharaan dan update Website promosi paekraf; Pembuatan Video Profil Produk Parekraf;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-11 23:02:47.751','disparpora '),
(3262,'47254765','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 23:02:16.122','disparpora '),
(3263,'47254855','Belanja Jasa Konversi Aplikasi/Sistem Informasi','15.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Konversi Aplikasi/Sistem Informasi;','Biaya produksi konten dan video;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','September 2024','Maret 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 23:01:46.363','disparpora '),
(3264,'47254856','Beban Jasa Penyelenggaraan Acara','75.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'5 Paket','Beban Jasa Penyelenggaraan Acara;','Pelaksanaan Fasilitasi Kegiatan Pemasaran Ekonomi Kreatif;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Oktober 2024','Februari 2024','Oktober 2024','Januari 2024','Januari 2024','2024-01-11 23:01:46.363','disparpora '),
(3265,'47254857','Beban Jasa Penyelenggaraan Acara','100.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Penyelenggaraan Acara Famtrip Geowisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 23:01:46.363','disparpora '),
(3266,'47254860','Beban Jasa Penyelenggaraan Acara','50.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara;','Pelaksanaan Promosi Pariwisata dan ekonomi kreatif di luar daerah(Regional );','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-11 23:01:46.363','disparpora '),
(3267,'47254994','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','18.000.000','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Pemasangan banner promosi pariwisata; Pemasangan bando promosi pariwisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 23:02:02.545','disparpora '),
(3268,'47254995','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','58.450.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Belanaja banner 340 gsm; Cetak Leatflet Promosi Pariwisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 23:02:02.545','disparpora '),
(3269,'47254997','Belanja Jasa Ketersediaan Layanan (Availibility Payment) Infrastruktur Telekomunikasi dan Informatika','70.000.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Ketersediaan Layanan (Availibility Payment) Infrastruktur Telekomunikasi dan Informatika; Beban Jasa Ketersediaan Layanan (Availibility Payment) Infrastruktur Telekomunikasi dan Informatika;','Jasa Kerjasama Publikasi Informasi Pariwisata (media online); Jasa Kerjasama Publikasi Informasi Pariwisata (media cetak);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Mei 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 23:02:02.545','disparpora '),
(3270,'47255221','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','656.500','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Binder Clip No. 107; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:57:11.1','disparpora '),
(3271,'47255223','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','616.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:57:11.1','disparpora '),
(3272,'47255224','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.306.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:57:11.1','disparpora '),
(3273,'47255225','Belanja Makanan dan Minuman Aktivitas Lapangan','5.640.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:57:11.1','disparpora '),
(3274,'47255226','Belanja Kursus Singkat/Pelatihan','75.570.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Kursus Singkat/Pelatihan;','Pembinaan Desa Wisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:57:11.1','disparpora '),
(3275,'47255491','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','21.306.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Map kertas; Fotocopy; Fotocopy; Fotocopy; banner biasa; Seminar kit; Seminar kit; Binder Clip No. 107; Binder Clip No. 107; Paper Clip Daito; Paper Clip No. 1 (Kecil); Map kertas; Map kertas; Fotocopy; banner biasa; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3276,'47255493','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.203.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3277,'47255494','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','400.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3278,'47255495','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.307.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3279,'47255497','Belanja Pakaian Olahraga','20.625.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Olahraga; Beban Pakaian Olahraga;','Pakaian Olahraga Peserta Pelatihan; Pakaian Olahraga Peserta Pelatihan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3280,'47255498','Belanja Jasa Konsultansi Bidang Kepariwisataan-Jasa Konsultansi Pemasaran Pariwisata','80.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Konsultansi Bidang Kepariwisataan-Jasa Konsultansi Pemasaran Pariwisata;','Pelaksanaan Uji coba paket wisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:56:49.864','disparpora '),
(3281,'47255499','Belanja Makanan dan Minuman Aktivitas Lapangan','31.020.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-11 22:56:49.864','disparpora '),
(3282,'47255865','Belanja Bahan-Bahan Lainnya','2.497.800','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Lainnya; Bahan Lainnya;','Masker; Masker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3283,'47255866','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.976.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Cetak Sertifikat/ piagam; Cetak Sertifikat/ piagam; Fotocopy; banner biasa; banner biasa; Binder Clip No. 107; Binder Clip No. 107; Map kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3284,'47255868','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','590.800','Pengadaan Langsung','APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3285,'47255869','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.612.400','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 003; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3286,'47255870','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.194.200','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor; Perabot Kantor;','Tisu Basah; Tisu Basah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3287,'47255871','Belanja Obat-Obatan-Obat','9.108.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Obat; Obat; Obat; Obat;','Vitamin; Vitamin; Hand Sanitizer; Hand Sanitizer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3288,'47255873','Belanja Jasa Penyelenggaraan Acara','12.520.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara; Beban Jasa Penyelenggaraan Acara;','Paket Wisata; Paket Wisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3289,'47255875','Belanja Sewa Transport and Storage Equipment for Liquid','18.000.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Sewa Transport and Storage Equipment for liquid; Beban Sewa Transport and Storage Equipment for liquid;','Sewa Transport; Sewa Transport;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3290,'47255877','Belanja Makanan dan Minuman Aktivitas Lapangan','2.820.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan; Beban Makanan dan Minuman Aktivitas Lapangan;','Nasi Kotak Biasa Makan dan minunm aktifitas lapangan; Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Kue Kotak Biasa Makan dan minunm aktifitas lapangan; Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3291,'47255879','Belanja Pakaian Olahraga','12.500.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Olahraga; Beban Pakaian Olahraga;','Pakaian Olahraga Peserta Pelatihan; Pakaian Olahraga Peserta Pelatihan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:58:01.89','disparpora '),
(3292,'47256102','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.333.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak foto 4R; Map kertas; Map kertas; Fotocopy; Fotocopy; banner biasa; Seminar kit; Seminar kit; Binder Clip No. 107; Cetak foto 4R; banner biasa; Binder Clip No. 107;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:57:33.687','disparpora '),
(3293,'47256103','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.159.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Kertas HVS A4 70 Gr; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:57:33.687','disparpora '),
(3294,'47256104','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.526.400','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:57:33.687','disparpora '),
(3295,'47256105','Belanja Pakaian Olahraga','11.250.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Olahraga; Beban Pakaian Olahraga;','Pakaian Olahraga Peserta Pelatihan; Pakaian Olahraga Peserta Pelatihan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:57:33.687','disparpora '),
(3296,'47256106','Belanja Kursus Singkat/Pelatihan','59.000.000','Pengadaan Langsung','APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Kursus Singkat/Pelatihan; Beban Kursus Singkat/Pelatihan;','Pelatihan dan Sertifikasi; Penguatan kapasitas sumber daya manusia pelaku pariwisata;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-11 22:57:33.687','disparpora '),
(3297,'47256279','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:56:03.157','disparpora '),
(3298,'47256281','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:56:03.157','disparpora '),
(3299,'47256283','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.805.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Binder Clip No. 105; Paper Clip No. 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:56:03.157','disparpora '),
(3300,'47256339','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:54:52.755','disparpora '),
(3301,'47256341','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:54:52.755','disparpora '),
(3302,'47256343','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.611.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Binder Clip No. 105; Paper Clip No. 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:54:52.755','disparpora '),
(3303,'47256420','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','September 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-11 22:54:35.598','disparpora '),
(3304,'47256421','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','September 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-11 22:54:35.598','disparpora '),
(3305,'47256422','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.611.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Binder Clip No. 105; Paper Clip No. 3; Stopmap Kertas Panda; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','September 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-11 22:54:35.598','disparpora '),
(3306,'47256495','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juli 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:55:10.231','disparpora '),
(3307,'47256503','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juli 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:55:10.231','disparpora '),
(3308,'47256509','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.611.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Binder Clip No. 105; Paper Clip No. 3; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juli 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 22:55:10.231','disparpora '),
(3309,'47256579','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-11 22:55:46.45','disparpora '),
(3310,'47256580','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-11 22:55:46.45','disparpora '),
(3311,'47256581','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.611.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Binder Clip No. 105; Paper Clip No. 3; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-11 22:55:46.45','disparpora '),
(3312,'47256623','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:55:27.444','disparpora '),
(3313,'47256624','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.607.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:55:27.444','disparpora '),
(3314,'47256625','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.862.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner Besar; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Buku Folio Isi 200 Lbr Rb; Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:55:27.444','disparpora '),
(3315,'47256704','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:54:19.263','disparpora '),
(3316,'47256705','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.416.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:54:19.263','disparpora '),
(3317,'47256706','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.805.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Binder Clip No. 105; Paper Clip No. 3; Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:54:19.263','disparpora '),
(3318,'47256834','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:17.813','disparpora '),
(3319,'47256835','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.548.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson 003 warna hitam; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:17.813','disparpora '),
(3320,'47256836','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.673.600','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Stopmap Kertas Panda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:17.813','disparpora '),
(3321,'47256929','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','9.998.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Lampu tornado 15 watt; Lampu Dulux ,Dulux Ee 20W (2U) 860/827; Lampu Metalhalide Lampu Sorot Mhntd Ip65 150 Watt; Lampu Hemat Listrik ,Essential Type 82/86, 18 W; Lampu Led Rgb 3528 Tahan Air (300 Lampu); Saklar Saklar Seri Outbow Broco Cream; Baterai Baterai Remote; Baterai Baterai Kecil; Stop Kontak Ac Vyba; Klem ,F 120 X 300; Kabel Nym Eterna,2.5 Sqmm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:50:23.861','disparpora '),
(3322,'47256995','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','11.360.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sapu Ijuk 2 Macam; Sikat WC; Sapu Lidi; Reffil kain pel; Canebo; Pembersih Kaca; Pembersih lantai; Sabun cuci piring; Kapur barus Toilet; Dispencer pengharum ruangan; tempat sampah injak; bak sampah plastik besar; Cikrak Sampah; Isi ulang pewangi ruangan; Tissue;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:50:44.566','disparpora '),
(3323,'47257591','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','15.615.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Biru; Ordner Besar; Stapler Hd 10; Isi Steples Kecil No 10; Isi Steples Besar No 3; stempel dinas; Binder Clip No. 105; Binder Clip No. 260; Buku Kwitansi Besar; Buku Surat Jalan Ncr; Buku Folio Isi 200 Lbr Rb; Buku Tulis Agenda; Tinta Stempel; Paper Clip No. 3; Correction Ke 201; Snelhecter Map; Snelhecter Map Bahan Plastik; Stopmap Kertas Panda; Stam Pad (Bantalan);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:46.048','disparpora '),
(3324,'47257592','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','23.797.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:46.048','disparpora '),
(3325,'47257593','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','29.940.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Cd Folio 500 Lbr; Amplop Dinas 150 Gsm Bahan Cassing Uk 12 X 28; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:46.048','disparpora '),
(3326,'47257596','Belanja Makanan dan Minuman Rapat','45.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:46.048','disparpora '),
(3327,'47257598','Belanja Makanan dan Minuman Jamuan Tamu','34.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu;','Kue Kotak Biasa, Makan dan minum Jamuan tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:49:46.048','disparpora '),
(3328,'47257655','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','41.464.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; cetak format sppd; cetak map pelayanan; banner biasa; Lembar Disposisi 1/2 Folio Bahan Kertas Hvs 70 Gsm Uk. 1/2 Folio Cetak 1 Muka Isi 500 Lbr Sampul Atas Cassing, Bawah Karton;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:50:09.048','disparpora '),
(3329,'47257658','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.570.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 X 40 Cm; Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 12 X 28 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:50:09.048','disparpora '),
(3330,'47257946','Pengadaan Mata Pisau Pemotong Rumput','2.972.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor;','Mata Pisau Pemotong Rumput;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3331,'47257947','Pengadaan Penyemprot Tangan','21.218.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Pemeliharaan Tanaman/Ikan/Ternak;','Penyemprot Tangan (Hand Sprayer) Elektrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3332,'47257948','Pengadaan Kipas Angin Standfan','3.853.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Pendingin;','Kipas Angin Standfan 16 In - Skm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3333,'47257949','Pengadaan Camera Digital','70.662.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Peralatan Studio Video dan Film;','Camera Digital Eos 5D Mark Iii Kit Dslr - Dengan Lens, 22.3Mp Iso100-25600 1/8000 To 30 Sec;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3334,'47257951','Pengadaan Meja Kerja Partisi','37.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Mebel;','Meja Kerja Partisi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3335,'47257953','Belanja Modal Alat Kantor Lainnya','25.597.500','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Kantor Lainnya; Alat Kantor Lainnya; Alat Kantor Lainnya;','Standing Banner; Drone FPV; Remote Controller Drone FPV;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3336,'47257954','Pengadaan Laptop','46.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Personal Computer;','Laptop Intel Core i9-13980HX;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3337,'47257956','Pengadaan Mesin Pemotong Rumput','38.796.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Pembersih; Alat Pembersih;','Mesin Pemotong Rumput; Mesin Pemotong Rumput;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3338,'47257958','Pengadaan Kamera Full Frame Mirrorless','34.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Rumah Tangga Lainnya (Home Use);','Kamera Full Frame Mirrorless;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3339,'47257962','Pengadaan Baterai Drone FPV','3.690.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Sumber Tenaga;','Baterai Drone FPV;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3340,'47257964','Pengadaan Printer','21.200.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'2 Unit','Peralatan Personal Computer;','Printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3341,'47257965','Pengadaan Printer','7.738.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'2 Unit','Peralatan Personal Computer;','Printer Epson L3210;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:53:41.495','disparpora '),
(3342,'47258460','Belanja Suku Cadang-Suku Cadang Alat Angkutan','120.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Suku Cadang Kendaraan Dinas Roda Empat; Suku Cadang Kendaraan Dinas Roda Dua;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:51:51.719','disparpora '),
(3343,'47258462','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','50.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Service Kendaraan Roda 4 dan Roda 2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:51:51.719','disparpora '),
(3344,'47258532','Belanja Suku Cadang-Suku Cadang Alat Angkutan','2.122.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Suku Cadang Alat Angkutan;','Penggantian Suku Cadang Mesin Potong Rumput (DAU);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:51:11.217','disparpora '),
(3345,'47258533','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','29.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Upah Servis AC; Beban Jasa Service ( Servis Genset ); Upah Servis Sound Sistem; Belanja Service Printer; Belanja Service Monitor; Service laptop / komputer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:51:11.217','disparpora '),
(3346,'47258599','Pemeliharaan Bangunan Gedung Kantor','98.756.250','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'858.75 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gudang;','Pemeliharaan Bangunan Gedung Negara Tidak Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:51:34.817','disparpora '),
(3347,'47258600','Pengawasan Pemeliharaan Bangunan Gedung Kantor','5.530.350','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'857.418604651163 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gudang;','Pengawasan Pemeliharaan Bangunan Gedung Negara Tidak Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:51:34.817','disparpora '),
(3348,'47258601','Perencanaan Pemeliharaan Bangunan Gedung Kantor','8.295.525','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'855.208762886598 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gudang;','Perencanaan Pemeliharaan Bangunan Gedung Negara Tidak Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 22:51:34.817','disparpora '),
(3349,'47434379','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','18.228.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sikat WC; sapuk ijuk panjang; Sapu Ijuk Miring; Sapu lidi; Alat Pel Lantai; Kain Lap; bahan pembersih lantai; Cairan Pembersih Kaca; Refill Pengharum Ruangan; Gayung; cikrak; Mata Pisau Pemotong Rumput; Serokan Air; Dispenser Parfum Ruangan; Sarung Tangan Karet; bak sampah plastik besar; Alat Pembersih Kaca;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:44:25.025','disparpora '),
(3350,'47434380','Belanja Bahan-Bahan Bangunan dan Konstruksi','12.969.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Cat Dinding Movilec; cangkul; Sabit; Parang; Tang Pemotong Kawat -; Timba plastik tanggung;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:44:25.025','disparpora '),
(3351,'47434381','Belanja Modal Alat Pembersih','10.581.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Pembersih;','Mesin Potong Rumput Rrt, Dorong;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:44:25.025','disparpora '),
(3352,'47434383','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.521.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel NYM 2 X 1,5 mm; Lampu LED 15 Watt; Kabel Stopkontak Rol; Saklar Ib Saklar Engkel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:44:25.025','disparpora '),
(3353,'47434384','Belanja Bahan-Bahan Kimia','9.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bahan Kimia;','Herbisida Round-Up;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:44:25.025','disparpora '),
(3354,'47434386','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.515.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 22:44:25.025','disparpora '),
(3355,'47434388','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','28.650.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Bola Voli; Bola Voli; Bola Voli; Bola Sepak; Bola Sepak; Matras; Net Voli; Net Voli; Net Voli;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:44:25.025','disparpora '),
(3356,'47434390','Belanja Pakaian Dinas Lapangan (PDL)','2.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Beban Pakaian Dinas Lapangan (PDL);','Belanja Pakaian Kerja Lapangan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:44:25.025','disparpora '),
(3357,'47434392','Belanja Modal Alat Penyimpan Perlengkapan Kantor','5.904.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor;','Filling Cabinet Royal, 4 Laci Sni, 1305T X 470L X 420D/620D;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 22:44:25.025','disparpora '),
(3358,'47434394','Belanja Modal Personal Computer','24.380.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Personal Computer;','PC Lenovo All In One AIO540-271CB;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:44:25.025','disparpora '),
(3359,'47434396','Belanja Modal Bangunan Gedung Kantor','172.865.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'1 Paket','Bangunan Gedung Kantor;','Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:44:25.025','disparpora '),
(3360,'47434399','Bangunan Gedung Tempat Olahraga','14.522.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'38.5 M2','Bangunan Gedung Tempat Olahraga;','Perencanaan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 22:44:25.025','disparpora '),
(3361,'47434401','Bangunan Gedung Tempat Olahraga','9.680.825','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pariwisata, Kebudayaan, Pemuda dan Olahraga',2024,'38.5 M2','Bangunan Gedung Tempat Olahraga;','Pengawasan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 22:44:25.025','disparpora '),
(3362,'47049280','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','568.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Map kertas; Fotocopy; Binder 107 Ukuran 19 Mm, 3/4 Inch; Porforator Kecil 30Xl;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-08 15:25:22.055','dpmd'),
(3363,'47049281','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-08 15:25:22.055','dpmd'),
(3364,'47049283','Belanja Makanan dan Minuman Rapat','1.880.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-08 15:25:22.055','dpmd'),
(3365,'47049284','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.672.200','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Data Print; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-08 15:25:22.055','dpmd'),
(3366,'47064917','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.246.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:01.257','dpmd'),
(3367,'47064918','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:01.257','dpmd'),
(3368,'47064919','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:01.257','dpmd'),
(3369,'47064940','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:27.977','dpmd'),
(3370,'47064941','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:27.977','dpmd'),
(3371,'47064942','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.246.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:27.977','dpmd'),
(3372,'47064968','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.246.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:10:16.272','dpmd'),
(3373,'47064969','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:10:16.272','dpmd'),
(3374,'47064970','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:10:16.272','dpmd'),
(3375,'47064999','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.246.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:11:09.783','dpmd'),
(3376,'47065000','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:11:09.783','dpmd'),
(3377,'47065001','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:11:09.783','dpmd'),
(3378,'47065052','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:45:58.593','dpmd'),
(3379,'47065053','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:45:58.593','dpmd'),
(3380,'47065054','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','695.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; map snelhecter plastik;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:45:58.593','dpmd'),
(3381,'47065075','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.663.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Map kertas; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Binder 107 Ukuran 19 Mm, 3/4 Inch; lakban besar hitam;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:46:39.114','dpmd'),
(3382,'47065078','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.523.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:46:39.114','dpmd'),
(3383,'47065080','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.813.300','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Data Print; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:46:39.114','dpmd'),
(3384,'47084764','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:20:08.199','dpmd'),
(3385,'47084765','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','3.999.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel Nya Supreme,450/750V Sni,04-02698 Uk. 1X95 Mm2; Lampu Bolam Capsule ,Ken-01 11 W 40 W; Lampu Pijar 100 W; Lampu Tl ,20 W; Stop Kontak; Klem ,C8 Inch; Travo Tl ,20 Watt; Taspen Biasa,Kecil;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:20:08.199','dpmd'),
(3386,'47085929','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.401.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','banner; Fotocopy; map snelhecter plastik; Ordner Kecil; Ordner Besar;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3387,'47085930','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.062.500','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; kertas HVS F4 70 gram; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3388,'47085931','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.136.500','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Catridge Warna; Catridge Hitam; Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3389,'47085932','Belanja Sewa Bangunan Gedung Tempat Pertemuan','32.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Sewa Gedung Pertemuan;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3390,'47085933','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3391,'47085934','Belanja Sewa Kendaraan Bermotor Penumpang','14.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Sewa Kendaraan Bermotor Penumpang;','Sewa Kendaraan;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:09:56.798','dpmd'),
(3392,'47108705','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','90.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:12:44.817','dpmd'),
(3393,'47108706','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:12:44.817','dpmd'),
(3394,'47108707','Belanja Makanan dan Minuman Rapat','70.500.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 16:12:44.817','dpmd'),
(3395,'47108709','Belanja Bahan-Bahan Bangunan dan Konstruksi','163.471.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Semen Holcim -; Pasir Urug; Batu Bata; Paving Block;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:12:44.817','dpmd'),
(3396,'47115221','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','52.340.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Stopmap Kertas; Ordner Kecil; Ordner Besar; Kalender; Cetak Buku Materi; Fotocopy; Cetak Buku Laporan Akhir;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3397,'47115222','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.494.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; kertas HVS F4 70 gram; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3398,'47115223','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.665.500','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Data Print; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3399,'47115224','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','175.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat;','Paket sembako ;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3400,'47115225','Belanja Makanan dan Minuman Rapat','169.200.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3401,'47115226','Belanja Sosialisasi','199.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Sosialisasi;','Paket Fullday;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:17:32.469','dpmd'),
(3402,'47119429','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 11:19:37.74','dpmd'),
(3403,'47119430','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','74.970.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Pemeliharaan Gedung Tidak Bertingkat;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 11:19:37.74','dpmd'),
(3404,'47122496','Belanja Bahan-Bahan Bakar dan Pelumas','51.388.500','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 4; Pertamax;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:26:29.496','dpmd'),
(3405,'47122497','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:26:29.496','dpmd'),
(3406,'47122498','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan','33.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan;','Pemeliharaan Kendaraan Operasional Roda 4;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:26:29.496','dpmd'),
(3407,'47128374','Belanja Tagihan Telepon','10.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Tagihan Telepon;','Belanja Telepon;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:01.74','dpmd'),
(3408,'47128376','Belanja Tagihan Air','6.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Tagihan Air;','Air PDAM;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:01.74','dpmd'),
(3409,'47128377','Belanja Tagihan Listrik','36.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Tagihan Listrik;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 14:09:01.74','dpmd'),
(3410,'47132106','Belanja Jasa Tenaga Administrasi','127.200.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Jasa Tenaga Administrasi; Beban Jasa Tenaga Administrasi;','Beban Jasa Tenaga Administrasi; K2;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:25:36.276','dpmd'),
(3411,'47132107','Belanja Jasa Tenaga Kebersihan','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Jasa Tenaga Kebersihan;','Petugas Kebersihan;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:25:36.276','dpmd'),
(3412,'47132108','Belanja Jasa Tenaga Keamanan','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Jasa Tenaga Keamanan;','Belanja Jasa Tenaga Keamanan;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:25:36.276','dpmd'),
(3413,'47142087','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.562.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Marker; map snelhecter plastik; Stopmap Kertas; Map Plastik Folio 240/190; Ordner Kecil; Ordner Besar; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Cetak Buku Materi; banner; Fotocopy; Binder 111 Ukuran 25 Mm, 1 Inch; Buku Block Note Garis 50 Lbr; Porforator Kecil 30Xl; Lem Cair 50 Ml; PlakBand Wr 1,5 Inch;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3414,'47142088','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.099.200','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3415,'47142089','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.658.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Data Print; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3416,'47142090','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','7.008.950.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat; Pompa; Kendaraan Bermotor Beroda Tiga; Peralatan Bengkel Khusus Peladam; Alat Pemeliharaan Tanaman/Ikan/Ternak; Alat Pembersih; Alat Pembersih; Alat Pemeliharaan Tanaman/Ikan/Ternak; Alat Panen; Alat Panen; Alat Rumah Tangga Lainnya (Home Use); Alat Rumah Tangga Lainnya (Home Use); Alat Rumah Tangga Lainnya (Home Use); Sumber Tenaga; Sumber Tenaga; Sumber Tenaga; Alat Panen; Alat Processing;','Hand Traktor Roda 2; Bantuan Usaha Pertanian (Pompa Air); Kendaraan Roda 3; Palu besar; Handsprayer Mesin; Peralatan Mesin Pemotong Rumput; Peralatan Mesin Pemotong Rumput; Handsprayer Baterai; Peralatan Mesin Perontok Padi; Peralatan Mesin Perontok Padi; Bantuan Usaha Peralatan Mesin Jahit; Bantuan Usaha Peralatan Mesin Jahit; Bantuan Usaha Peralatan Mesin Obras; Genset Besar (Daya 5.5 kW s.d. 6 kW); Genset Sedang (Daya 2 kW s.d. 2.5 kW); Genset Kecil (Daya 1 kW s.d. 1.2 kW); Peralatan Mesin Perontok Padi; Selep Tepung 3 in 1;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3417,'47142091','Belanja Makanan dan Minuman Rapat','27.200.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3418,'47142092','Belanja Sewa Kendaraan Bermotor Penumpang','5.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Sewa Kendaraan Bermotor Penumpang;','Sewa Kendaraan;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 16:20:01.409','dpmd'),
(3419,'47160605','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','44.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:24:45.705','dpmd'),
(3420,'47160606','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','4.956.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:24:45.705','dpmd'),
(3421,'47163088','Belanja Langganan Jurnal/Surat Kabar/Majalah','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Langganan Jurnal/Surat Kabar/Majalah;','Langganan Surat Kabar;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:23:01.94','dpmd'),
(3422,'47163816','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.500.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban);','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:22:32.673','dpmd'),
(3423,'47164351','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','954.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; map snelhecter plastik; Stopmap Kertas; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Isi Staples Besar No. 23; Isi Ball Point Pentel 09;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:21:48.265','dpmd'),
(3424,'47164352','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.023.300','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100 Buah; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:21:48.265','dpmd'),
(3425,'47164353','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.672.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Catridge Warna; Catridge Hitam; Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:21:48.265','dpmd'),
(3426,'47164354','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:21:48.265','dpmd'),
(3427,'47166060','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu ijuk; tempat sampah injak; cikrak; bak sampah plastik besar; Kantong Plastik Sampah; Spin Mop (Alat pel ); Alat Pengepel Lantai; Canebo; bahan pembersih kaca; bahan pembersih lantai; Plastik Sampah non Medis; Sapu Lidi;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:20:43.416','dpmd'),
(3428,'47167710','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:19:24.188','dpmd'),
(3429,'47167711','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:19:24.188','dpmd'),
(3430,'47167712','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:19:24.188','dpmd'),
(3431,'47173870','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:18:26.273','dpmd'),
(3432,'47173871','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:18:26.273','dpmd'),
(3433,'47173872','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:18:26.273','dpmd'),
(3434,'47175767','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:41.857','dpmd'),
(3435,'47175768','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:41.857','dpmd'),
(3436,'47175769','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:17:41.857','dpmd'),
(3437,'47176828','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:28:59.703','dpmd'),
(3438,'47176829','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:28:59.703','dpmd'),
(3439,'47176831','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:28:59.703','dpmd'),
(3440,'47200428','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:27:57.033','dpmd'),
(3441,'47200429','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:27:57.033','dpmd'),
(3442,'47200430','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:27:57.033','dpmd'),
(3443,'47200649','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','929.200','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:29:50.911','dpmd'),
(3444,'47200650','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','465.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:29:50.911','dpmd'),
(3445,'47200651','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pemberdayaan Masyarakat dan Desa',2024,'1 Paket','Bahan Komputer;','Tinta Printer Data Print;','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-10 14:29:50.911','dpmd'),
(3446,'46871562','Belanja Bahan-Bahan Bakar dan Pelumas','3.823.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamina Dex, Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3447,'46871747','Belanja Bahan-Bahan Lainnya (Belanja Bahan Dan Peralatan / Perlengkapan Praktek Pelatihan Kue)','8.945.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Bahan dan Peralatan / Perlengkapan Praktek Pelatihan Kue','Bahan Pelatihan Kue','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3448,'46872089','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','12.553.100','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3449,'46873530','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','94.572.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Barang Yang Akan Diserahkan kepada masyarakat Pelatihan Kue, Barang Yang Akan Diserahkan kepada masyarakat Pelatihan Tata Rias Kecantikan','Barang Yang Akan Diserahkan kepada masyarakat Pelatihan Kue (Wajan+Spatula+Serok, Kompor 1 Tungku, Panci, Belnder, Mixer) Barang Yang Akan Diserahkan kepada masyarakat Pelatihan Tata Rias Kecantikan (Sisir Sasak, Hair Dryer, Kuas, Beauty Case)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3450,'46874069','Belanja Makanan dan Minuman Rapat','27.965.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Kue Kotak Biasa makanan dan minuman Pelatihan, Nasi Kotak Biasa makanan dan minuman Pelatihan, Kue Kotak Biasa makanan dan minuman Rapat Umum, Nasi Kotak Biasa makanan dan minuman Rapat Umum, Kue Kotak Biasa makanan dan minuman Rapat Tenaga Pendamping (TKM), Nasi Kotak Biasa makanan dan minuman Rapat Tenaga Pendamping (TKM)','Kue Kotak Biasa makanan dan minuman Pelatihan (Kue Kotak), Nasi Kotak Biasa makanan dan minuman Pelatihan (Nasi Kotak Biasa), Kue Kotak Biasa makanan dan minuman Rapat Umum (Kue Kotak), Nasi Kotak Biasa makanan dan minuman Rapat Umum (Nasi Kotak Biasa), Kue Kotak Biasa makanan dan minuman Rapat Tenaga Pendamping (TKM) (Kue Kotak), Nasi Kotak Biasa makanan dan minuman Rapat Tenaga Pendamping (TKM) (Nasi Kotak Biasa).','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3451,'46876258','Belanja Bahan-Bahan Bakar dan Pelumas','4.340.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:49:44.081','dpmptsp'),
(3452,'46876354','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.474.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer.','Paper Clip, Isi Staples Kecil No.10, Stopmap Kertas Panda, Odner Besar, Stapler Hd 10 Kecil, Fotocopy. Kertas HVS F4 70 Gr, Kertas HVS A4 70 Gr. Tinta T039, Untuk Printer C45','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:49:44.081','dpmptsp'),
(3453,'46878825','Belanja Makanan dan Minuman Rapat','1.410.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:49:44.081','dpmptsp'),
(3454,'46879197','Belanja Sewa Kendaraan Bermotor Khusus','25.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sewa Kendaraan Bermotor Penumpang','Sewa Ambulance','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:49:44.081','dpmptsp'),
(3455,'46879495','Belanja Sewa Bangunan Gedung Tempat Tinggal Lainnya','49.440.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Sewa Bangunan Tempat Tinggal Lainnya','Sewa Gedung Tempat Tinggal / Bangunan Perumahan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:49:44.081','dpmptsp'),
(3456,'46980845','Belanja Bahan-Bahan Bakar dan Pelumas','980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:18.664','dpmptsp'),
(3457,'46980876','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.076.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:18.664','dpmptsp'),
(3458,'46981017','Belanja Makanan dan Minuman Rapat','5.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak, Prasmanan Biasa, Makan dan Minum Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:18.664','dpmptsp'),
(3459,'46981772','Belanja Bahan-Bahan Bakar dan Pelumas','5.245.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamina Dex, Pertalite, Minyak Pelumas, Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3460,'46984594','Belanja Suku Cadang-Suku Cadang Alat Angkutan','148.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Suku Cadang Alat Angkutan','Filter Solar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3461,'46984719','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','29.746.700','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3462,'46985248','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.383.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3463,'46985708','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.602.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3464,'46985874','Belanja Makanan dan Minuman Rapat','13.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3465,'46992793','Belanja Jasa Tenaga Informasi dan Teknlogi','2.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3466,'46993259','Belanja Tagihan Air','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3467,'46993535','Belanja Tagihan Listrik','60.847.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3468,'46993926','Belanja Kawat/Faksimili/Internet/TV Berlangganan','19.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3469,'46994269','Belanja Pembayaran Pajak, Bea, dan Perizinan','1.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3470,'46996841','Belanja Sewa Alat Kantor Lainnya','8.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3471,'46998292','Belanja Sewa Alat Rumah Tangga Lainnya (Home Use)','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3472,'46998768','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','170.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3473,'46999913','Belanja Modal Perkakas Bengkel Service, Belanja Modal Perkakas Standard (Standard Tools), Belanja Modal Perkakas Bengkel Kerja','23.711.400','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3474,'47000191','Belanja Modal Alat Bengkel Bermesin Lainnya','147.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3475,'47002758','Belanja Modal Alat Kantor Lainnya (Pemotong Kertas A3 & Mesin Hot Press 5 in 1)','23.685.400','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 08:15:35.538','dpmptsp'),
(3476,'47003158','Belanja Modal Alat Pendingin','5.219.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3477,'47003427','Belanja Tagihan Air','1.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Tagihan Air','instansi Pemerintah 0 s/d 10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:27.256','dpmptsp'),
(3478,'47003449','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','49.899.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3479,'47003907','Belanja Tagihan Listrik','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Tagihan Listrik','Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:27.256','dpmptsp'),
(3480,'47003929','Belanja Modal Peralatan Studio Audio, Belanja Modal Peralatan Studio Video dan Film','15.091.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Wireless Microphone Camera, Microphone Wireless Dual Channel, Tripod Camera Altek Alumunium Ukuran Sedang, Camera Digital Finepix X-M1 Kit Mirrorless 16.3 Mp','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3481,'47004650','Belanja Kawat/Faksimilasi/Internet/TV Berlangganan','25.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan','Beban Jasa kawat/faksimili/internet/Intranet/TV Ka...','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:27.256','dpmptsp'),
(3482,'47004949','Belanja Modal Personal Computer, Belanja Modal Peralatan Personal Computer','67.270.700','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','PC All in One, Laptop, Scanner (F4)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:08:48.084','dpmptsp'),
(3483,'47005438','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','14.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','Service AC service komputer/laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:43.494','dpmptsp'),
(3484,'47008054','Belanja Bahan-Bahan Bakar dan Pelumas','8.783.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax, Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3485,'47010020','Belanja Bahan-Bahan Lainnya (Bahan Pelatihan Teknisi Audio Video, Bahan Pelatihan Plate Welder Smaw 3G UP/PF, Bahan Pelatihan Menjahit, Bahan Pelatihan Service Sepeda Motor Injeksi)','140.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Pelatihan Audio Video, Bahan Pelatihan Plate Welder Smaw 3G UP/PF (Teknik Las), Bahan Pelatihan Pembuatan Pakaian (Menjahit), Bahan Pelatihan Service Sepeda Motor Injeksi','Bahan Pelatihan Audio Video, Bahan Pelatihan Plate Welder Smaw 3G UP/PF (Teknik Las), Bahan Pelatihan Pembuatan Pakaian (Menjahit), Bahan Pelatihan Service Sepeda Motor Injeksi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3486,'47010433','Belanja Bahan-Bahan Lainnya (Bahan Pelatihan Desain Grafis, Bahan Pelatihan Pengelolaan Administrasi Perkantoran)','40.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Pelatihan Desain Grafis, Bahan Pelatihan Pengelolaan Administrasi Perkantoran','Bahan Pelatihan Desain Grafis, Bahan Pelatihan Pengelolaan Administrasi Perkantoran','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 08:15:35.538','dpmptsp'),
(3487,'47010881','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','33.928.100','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3488,'47011950','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan Untuk Kegiatan Kantor Lainnya','8.915.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat/Bahan Untuk Kegiatan Kantor Lainnya','Tas Bimtek','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3489,'47012399','Belanja Makanan dan Minuman Rapat','264.798.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3490,'47012522','Belanja Bahan-Bahan Bakar dan Pelumas','3.990.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:33.711','dpmptsp'),
(3491,'47012631','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','6.352.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor','Lemari Arsip , Mc - 7, 3 Rak (Pintu Sliding), 80 X...','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:07.627','dpmptsp'),
(3492,'47013128','Belanja Modal Peralatan Studio Audio','1.060.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Peralatan Studio Audio','Headset plus Microphone','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:07.627','dpmptsp'),
(3493,'47013510','Bealnja Modal Personal Computer','125.600.300','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Personal Computer','PC Desktop Laptop / Note Book A450Cc-Wx146D Core I7 3537U 2.0...','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:45:07.627','dpmptsp'),
(3494,'47014102','Belanja Bahan-Bahan Bakar dan Pelumas','47.930.800','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Oli Mesin Roda 4 Oli Gardan Pertamax Pertamina Dex','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:34.978','dpmptsp'),
(3495,'47014413','Belanja Suku Cadang-Suku Cadang Alat Angkutan','17.276.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Suku Cadang Alat Angkutan','Xenia 1.3 Kampas Rem Belakang Apv Kopling Set Disc Panther 2.5 Kampas Rem Belakang Apv Kampas Rem Belakang Panther 2.5 Filter Oli Panther 2.5 Kampas Rem Depan Panther 2.5 Kopling Set Disc Apv Pompa Bensin Apv Filter Oli Apv Belt Tensior Apv Belt Timing Panther 2.5 Filter Solar Apv Kopling Set Cover Panther 2.5 Filter Udara Panther 2.5 Kopling Set Cover Apv Filter Udara Xenia 1.3 Kopling Disc','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:34.978','dpmptsp'),
(3496,'47024902','Belanja Jasa Teknisi Mekanik dan Listrik','5.200.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Jasa Teknisi Mekanik dan Listrik','- Beban Jasa Service kendaraan roda 2 - Service Kendaraan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:34.978','dpmptsp'),
(3497,'47029710','Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:33.711','dpmptsp'),
(3498,'47030688','Belanja Bahan-Bahan Bakar dan Pelumas','3.304.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:56.326','dpmptsp'),
(3499,'47032518','Belanja Bahan- Bahan Bangunan dan Konstruksi','7.875.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bangunan dan Konstruksi','Kertas Gosok Cat Besi Cat Marka (Thermoplastic) Plamir Tembok Cat Kayu Setara Emco Cat Dinding Movilec','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:13.104','dpmptsp'),
(3500,'47032554','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:56.326','dpmptsp'),
(3501,'47032821','Belanja Pakaian Pelatihan Kerja, Belanja Pakaian Olahraga','47.600.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sesuai KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 13:09:09.9','dpmptsp'),
(3502,'47033084','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','95.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor','Lem Merk Rajawali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:13.104','dpmptsp'),
(3503,'47033278','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','426.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Perabot Kantor','Kuas Eterna 5 Inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:13.104','dpmptsp'),
(3504,'47033621','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','19.425.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Tukang Cat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:44:13.104','dpmptsp'),
(3505,'47034570','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','5.980.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor Kertas dan Cover Bahan Komputer','Spidol Kecil Paper Clip Penggaris Baja 40 Cm Correction Pen Odner Besar Bolpoint Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100... Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... Kertas Faximile 210 X 30 Kertas HVS A4 70 Gr kertas HVS F4 70 gram Tinta Printer Epson Yellow Tinta Printer Epson Cyan Tinta Printer Epson Magenta Tinta Printer Epson Black','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:06.633','dpmptsp'),
(3506,'47036684','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.534.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Perabot Kantor','Sikat WC Kain pel Sapu Lidi sapu ijuk Cairan Pembersih Keramik Kamper Kamar Mandi (Carbol) keset Tissue Isi ulang pewangi ruangan Pembersih lantai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:47.422','dpmptsp'),
(3507,'47037078','Belanja Bahan-Bahan Bangunan dan Konstruksi','542.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bangunan dan Konstruksi','Kabel NYM 2 x 2,5 mm2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:35.38','dpmptsp'),
(3508,'47037494','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.580.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Listrik','Baterai Baterai Kecil Lampu tornado 15 watt Taspen Biasa,Besar Saklar Ib Engkel Galleo Broco','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:35.38','dpmptsp'),
(3509,'47037943','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.342.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor','Lembar Disposisi 1/2 Folio Bahan Kertas Hvs 70 Gsm... Fotocopy buku register banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:20.412','dpmptsp'),
(3510,'47038219','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','142.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Kertas dan Cover','Amplop Dinas Bh. Casing Uk. 12 x 28 cm Amplop Dinas 24 X 35D','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:43:20.412','dpmptsp'),
(3511,'47038952','Belanja Jasa Konversi Aplikasi/Sistem Informasi','20.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Pemeliharaan Aplikasi Software','Biaya Pemeliharaan Aplikasi Software','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:14.799','dpmptsp'),
(3512,'47039523','Belanja Sewa Jaringan dengan Media Udara','22.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Sewa Hosting','Sewa Hosting','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:14.799','dpmptsp'),
(3513,'47039796','Belanja Langganan Jurnal/Surat Kabar/Majalah','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Langganan Jurnal/Surat Kabar/Majalah','Belanja Surat Kabar/Majalah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:42:48.041','dpmptsp'),
(3514,'47093526','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kanto','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat tulis kantor Kertas dan Cover Bahan Komputer','Binder Clip No. 260 Fotocopy Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman (Lakban) Map Plastik Folio 1M02 Ordner Besar Snelhecter Map Spidol Kecil Spidol Marker Stop Map Kertas Biasa kertas HVS F4 70 gram Kertas HVS A4 70 Gr Tinta T039, Untuk Printer C45 Tinta Printer Hitam Tinta T039, Untuk Printer C45 Tinta Printer Warna','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:42:33.927','dpmptsp'),
(3515,'47110958','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','5.712.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor Kertas dan Cover Bahan Komputer','Binder Clip No. 200 Binder Clip No. 260 Fotocopy Isi Steples Besar No 3 Isi Steples Kecil No 10 Jilid Dan Cetak Cover Warna Dan Laminasi, 50 S/D 100 Halaman (Lakban) Map Plastik Folio 1M02 Ordner Besar Paper Clip Cadwell No. 3 (Tanggung) Paper Clip No. 3 Stopmap Kertas Panda Kertas HVS A4 70 Gr kertas HVS F4 70 gram Tinta Epson Hitam T 6641 Tinta Epson Warna T 6644','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 09:46:18.285','dpmptsp'),
(3516,'47206186','Belanja Bahan-Bahan Lainnya (Belanja Bahan Dan Peralatan / Perlengkapan Praktek Pelatihan Tata Rias Kecantikan)','11.220.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Belanja Bahan Praktek Pelatihan Tata Rias Kecantikan','Belanja Bahan Praktek Pelatihan Tata Rias Kecantikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:50:02.864','dpmptsp'),
(3517,'47217209','Belanja Bahan-Bahan Bakar dan Pelumas','9.310.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:58.356','dpmptsp'),
(3518,'47217738','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:58.356','dpmptsp'),
(3519,'47218294','Belanja Makanan dan Minuman Rapat','22.090.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak Biasa; Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:58.356','dpmptsp'),
(3520,'47233234','Belanja Alat Tulis kantor','115.201.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Alat Tulis kantor Kertas dan Cover','Baner, X banner, Spanduk, Fotocopy, Seminar kit Amplop putih no 104','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:17:45.511','dpmptsp'),
(3521,'47233852','Belanja makanan dan minuman rapat','940.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Beban makanan dan minuman rapat','Kue kotak dan nasi kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:17:45.511','dpmptsp'),
(3522,'47235371','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','5.610.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','Ordner Besar; Snelhecter Map Bahan Plastik; Fotocopy; Amplop Putih No 110 Ukuran114 Cm X 162 Cm Isi 100; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta T039, Untuk Printer C45; Tinta T039, Untuk Printer C45;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:33.711','dpmptsp'),
(3523,'47248633','Belanja Alat Tulis kantor','8.128.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Alat Tulis Kantor Kertas dan Cover Bahan Komputer','Fotocopy,Cetak Selayang Pandang, Kertas HVS F4, Tinta Epson 001 Hitam, , Tinta Epson 001 warna, , Tinta tonner epson 664','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:17:26.121','dpmptsp'),
(3524,'47249207','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','3.598.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer','Snelhecter Map Bahan Plastik; Ordner Besar; Fotocopy; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta T039, Untuk Printer C45; Tinta T039, Untuk Printer C45;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:02:56.326','dpmptsp'),
(3525,'47249228','Belanja Bakar dan pelumas','532.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Bahan Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:17:26.121','dpmptsp'),
(3526,'47249801','Belanja makanan dan minuman rapat','2.115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Makan minum rapat','Kue kotak dan Nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:17:26.121','dpmptsp'),
(3527,'47254971','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','58.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer','Stabilo Boss Warna; Ordner Besar; Stopmap Kertas Panda; Map Plastik Folio 240/190; Buku Buku Folio 200 Lbr; Buku Buku Folio 500 Lbr; Fotocopy; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; cetak stiker; Blanko / Kartu Bc Super / Buffalo Uk Db. Folio/ D. Kwarto Dicetak : 1 Muka 500 S/D 1000; Leaflet/Brosur (Peraturan Menkeu) Folio Konstruk Sparasi 100 Gr, 4 Warna, 1-2 Muka, 200 S/D 1000; Amplop Putih No 110 Ukuran 114 Cm X 162 Cm Isi 100; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta T039, Untuk Printer C45; Tinta T039, Untuk Printer C45;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:14.799','dpmptsp'),
(3528,'47258246','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor, Kertas dan Cover, Bahan Komputer','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer','Ordner Besar; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta T039, Untuk Printer C45; Tinta T039, Untuk Printer C45;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:03:39.629','dpmptsp'),
(3529,'47287583','Belanja bahan bahan bangunan dan kontruksi','529.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Bahan Bangunan dan kontruksi','Lampu LED 90W IP66','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3530,'47288816','Belanja Alat Tulis kantor','3.940.700','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Alat Tulis kantor Kertas dan Cover','X banner, banner, fotocopy, spidol kecil, stapler Hd10 kecil, Isi staples kecil no 10, snelhecter map, ordner besar, cetak kartu tanda pengenal Kertas foto A4, kertas HVS F4 Tinta epson 001 warna, tinta epson 001 hitam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3531,'47289775','Belanja pakaian batik tradisional','2.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Pakaian batik tradisional','Batik biasa khas bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3532,'47292087','Belanja Jasa tenaga kesenian dan kebudayaan','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Beban jasa tenaga kesenian dan kebudayaan','Dekorasi Stand per UKM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3533,'47292450','Belanja sewa peralatan studio audio','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Beban sewa peralatan studio audio','Sewa sound system','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3534,'47293085','Belanja sewa bangunan gedung tempat kerja lainnya','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 paket','Beban sewa bangunan gedung tempat kerja lainnya','Sewa stand pameran','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 07:16:34.196','dpmptsp'),
(3535,'47743063','Belanja Bahan-Bahan Lainnya (Bahan Pelatihan Pembuatan Roti & Kue)','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Penanaman Modal, Pelayanan Terpadu Satu Pintu, dan Tenaga Kerja',2024,'1 Paket','Bahan Lainnya (Bahan Pelatihan Pembuatan Roti & Kue)','Bahan Pelatihan Pembuatan Roti & Kue','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 08:14:01.676','dpmptsp'),
(3536,'46869068','Pembangunan Ruang Tata Usaha SMP ADZ DZAKIRIN','270.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-09 12:57:21.691','diknas'),
(3537,'46874905','Perencanaan Teknis Pembangunan Ruang Tata Usaha SMP ADZ DZAKIRIN','8.100.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-09 12:57:21.691','diknas'),
(3538,'46876404','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.930.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Desember 2024','Maret 2024','Mei 2024','2024-01-11 08:18:45.676','diknas'),
(3539,'46881772','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.773.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Desember 2024','Maret 2024','Mei 2024','2024-01-11 08:18:45.676','diknas'),
(3540,'46886915','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.846.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','si Steples Besar No 3, Spidol Kecil, Stapler Hd 10 Kecil, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-10 09:42:52.009','diknas'),
(3541,'46887568','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.578.100','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram, Kertas A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-10 09:42:52.009','diknas'),
(3542,'46888943','BELANJA BARANG DAN JASA BOS','11.490.383.087','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Barang dan Jasa BOS','Belanja Barang dan Jasa BOS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 09:25:05.23','diknas'),
(3543,'46889470','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.125.300','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 001 Hitam, Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-10 09:42:52.009','diknas'),
(3544,'46890605','Belanja Makanan dan Minuman Rapat','5.170.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-10 09:42:52.009','diknas'),
(3545,'46890700','BELANJA MODAL ASET TETAP LAINNYA BOS','905.132.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Modal Aset Tetap Lainnya BOS','Belanja Modal Aset Tetap Lainnya BOS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-11 09:25:05.23','diknas'),
(3546,'46891634','BELANJA MODAL PERALATAN DAN MESIN BOS','1.420.884.813','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Modal Peralatan dan Mesin BOS','Belanja Modal Peralatan dan Mesin BOS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-11 09:25:05.23','diknas'),
(3547,'46893364','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.505.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Correction Ke 01, fotocopi menggunakan kertas Buram / CD, lakban besar hitam, Ordner Karton Folio 5 Cm Bantex, Stopmap Kertas V Tec, Biola','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:41:45.728','diknas'),
(3548,'46897006','Belanja Makanan dan Minuman Rapat','1.645.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:41:45.728','diknas'),
(3549,'46897398','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','7.008.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','ATK','Bolpoint 4 Pak Map kertas 22 Lembar Fotocopy 400 Lembar lakban besar hitam 1 Buah Buku Tulis 60 Pak Pensil 2B 120 Buah Bolpoint 60 Pak Penghapus 52640 120 Buah Correction Tape Roll 60 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:00:39.951','diknas'),
(3550,'46898478','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','333.300','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Sign Pen Sp Mitsu Ub 155, Spidol Kecil','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-10 09:42:13.618','diknas'),
(3551,'46898762','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','951.900','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','ATK','Amplop Putih 110 mm X 230 mm 1 Pak kertas HVS F4 70 gram 8 Rim Kertas HVS A4 70 Gr 7 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','April 2024','2024-01-11 08:00:39.951','diknas'),
(3552,'46899319','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','1.060.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Tinta','Tinta Hitam 4 Buah Tinta Warna 4 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-11 08:00:39.951','diknas'),
(3553,'46902867','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','9.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Barang Diserahkan ke Siswa','tas sekolah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:00:39.951','diknas'),
(3554,'46903472','Belanja Makanan dan Minuman Rapat Penyediaan Biaya Personil Peserta Didik Sekolah Menengah Pertama','11.280.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat Sosialisasi Kegiatan siswa nyaris DO','nasi kotak 240 kotak kue kotak 240 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','April 2024','2024-01-11 08:00:39.951','diknas'),
(3555,'46906299','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.854.700','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr, Kertas Bufallo Berbagai Warna, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-10 09:42:13.618','diknas'),
(3556,'46906898','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','612.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer Brother','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-10 09:42:13.618','diknas'),
(3557,'46907205','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBDP','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-10 09:42:13.618','diknas'),
(3558,'46934402','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','8.055.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3559,'46934438','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','5.370.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3560,'46934476','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','10.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3561,'46934508','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','17.250.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3562,'46934551','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','10.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3563,'46934706','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','10.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3564,'46934734','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','10.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3565,'46934797','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','10.350.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3566,'46935249','Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','268.500.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','sesuai dengan Petunjuk Operasional DAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-06 00:08:06.454','diknas'),
(3567,'46935251','Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','179.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','Sesuai dengan Petunjuk Operasional DAK Fisik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Oktober 2024','Juni 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-06 00:08:06.454','diknas'),
(3568,'46935253','Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','179.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3569,'46935259','Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','460.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3570,'46935265','Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','345.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3571,'46935586','Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','345.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3572,'46935588','Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','575.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3573,'46935589','Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','345.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3574,'46935591','Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','89.500.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3575,'46935649','Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','89.500.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3576,'46935662','Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','268.500.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3577,'46935668','Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','345.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3578,'46935671','Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','345.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3579,'46935677','Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','268.500.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3580,'46935680','Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','268.500.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3581,'46935681','Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','89.500.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','Sesuai dengan Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3582,'46935817','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','13.800.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-06 00:08:06.454','diknas'),
(3583,'46935839','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','5.370.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3584,'46935855','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','8.055.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3585,'46935877','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','8.055.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3586,'46935913','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','2.685.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3587,'46935977','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','2.685.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3588,'46935990','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','8.055.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3589,'46936078','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','2.685.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','Perencanaan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-06 00:08:06.454','diknas'),
(3590,'46936117','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','5.370.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Kidul 4 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3591,'46936229','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','3.580.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Gayam Lor 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3592,'46936241','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','6.900.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jambesari 3 Kec Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3593,'46936249','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','11.500.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3594,'46936257','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','6.900.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukodono 2 Kec Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3595,'46936271','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','6.900.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sukorejo 3 Kec Sumber Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3596,'46936304','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','6.900.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sulek 2 Kec Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3597,'46936316','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','6.900.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Tegalmijin 1 Kec Grujugan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3598,'46936332','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','9.200.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Wonosuko 2 Kec Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3599,'46936341','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','3.580.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 1 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3600,'46936354','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','5.370.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 2 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3601,'46936362','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','5.370.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kalianyar 3 Kec. Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3602,'46936401','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','1.790.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Kejayan 2 Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3603,'46936409','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','1.790.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Pejagan Kec. Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3604,'46936419','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','5.370.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Prajekan Kidul 1 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3605,'46936427','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','1.790.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','Pengawasan Teknis Rehabilitasi Ruang Kelas SDN Sumberwaru Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-06 00:08:06.454','diknas'),
(3606,'46936492','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAK)','20.823.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAK)','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-06 00:08:06.454','diknas'),
(3607,'46936515','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAU)','8.350.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAU)','Belanja Administrasi Proyek Rehabilitasi sedang/berat ruang kelas sekolah (DAU)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-06 00:08:06.454','diknas'),
(3608,'46948995','Pengawasan Teknis Pembangunan Ruang Tata Usaha SMP ADZ DZAKIRIN','5.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','PENGAWASAN PEKERJAAN','PENGAWASAN PEKERJAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Mei 2024','Agustus 2024','April 2024','April 2024','2024-01-09 12:57:21.691','diknas'),
(3609,'46949078','Pembangunan UKS SMP ADZ DZAKIRIN','200.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','April 2024','2024-01-09 13:10:21.592','diknas'),
(3610,'46949134','Perencanaan Teknis Pembangunan UKS SMP ADZ DZAKIRIN','6.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 13:10:21.592','diknas'),
(3611,'46949172','Pengawasan Teknis Pembangunan UKS SMP ADZ DZAKIRIN','4.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','PENGAWASAN PEKERJAAN','PENGAWASAN PEKERJAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 13:10:21.592','diknas'),
(3612,'46949495','Pembangunan Ruang UKS (DAU)','3.000.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'15 lembaga','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 13:10:21.592','diknas'),
(3613,'46949551','Pembangunan Perpustakaan Sekolah (DAU)','3.000.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'15 lembaga','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:03:14.458','diknas'),
(3614,'46951995','Pembangunan Laboratorium Komputer SMP Islam Miftahul Ulum Mandiro','400.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:12:56.559','diknas'),
(3615,'46952096','Perencanaan Teknis Pembangunan Laboratorium Komputer SMP Islam Miftahul Ulum Mandiro','12.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:12:56.559','diknas'),
(3616,'46952122','Pengawasan Teknis Pembangunan Laboratorium Komputer SMP Islam Miftahul Ulum Mandiro','8.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','PENGAWASAN PEKERJAAN','PENGAWASAN PEKERJAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:12:56.559','diknas'),
(3617,'46952141','Pembangunan Laboratorium Sekolah (DAU)','8.000.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'16 lembaga','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:12:56.559','diknas'),
(3618,'46952250','Pembangunan Rumah Dinas Kepala Sekolah/Guru/Penjaga Sekolah (DAU)','938.014.850','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'5 paket','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN BETON 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:13:23.755','diknas'),
(3619,'46952360','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Cermee','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3620,'46952371','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Cermee','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3621,'46952386','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Cermee','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pekerjaan','Pengawasan Pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3622,'46952411','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pakem','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3623,'46952595','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pakem','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3624,'46952618','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pakem','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pekerjaan','Pengawasan Pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3625,'46952652','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 2 Tamanan','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3626,'46952706','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 2 Tamanan','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3627,'46952759','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 2 Tamanan','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3628,'46955886','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tamanan','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3629,'46956040','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tamanan','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3630,'46956099','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tamanan','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pekerjaan','Pengawasan Pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3631,'46956138','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tegalampel','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3632,'46956215','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tegalampel','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3633,'46956238','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tegalampel','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3634,'46956292','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pujer','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3635,'46956308','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pujer','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3636,'46956325','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Pujer','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3637,'46956369','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Jambesari','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3638,'46956393','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Jambesari','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3639,'46956464','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Jambesari','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3640,'46956504','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Taman krocok','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3641,'46956546','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Taman krocok','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3642,'46956568','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Taman krocok','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3643,'46956670','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wringin','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3644,'46956713','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wringin','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3645,'46956773','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wringin','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3646,'46956942','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wonosari)','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3647,'46956983','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wonosari','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3648,'46957019','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Wonosari','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3649,'46957073','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tenggarang','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3650,'46957099','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tenggarang','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3651,'46957130','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Tenggarang','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3652,'46957163','Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Sumber wringin','160.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','\" 1. PEKERJAAN PONDASI 2. PEKERJAAN RANGKA ATAP 3. PEKERJAAN PASANGAN 4. PEKERJAAN PENUTUP ATAP \"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3653,'46957263','Perencanaan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Sumber wringin','9.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:14:45.511','diknas'),
(3654,'46957282','Pengawasan Teknis Pembangunan Toilet/Jamban beserta Sanitasinya UPTD SPF SMP Negeri 1 Sumber wringin','6.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:14:45.511','diknas'),
(3655,'46957740','Rehabilitasi Ruang Kelas SMP ADZ DZAKIRIN','450.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2014','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3656,'46957795','Perencanaan Teknis Rehabilitasi Ruang Kelas SMP ADZ DZAKIRIN','13.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3657,'46957834','Pengawasan Teknis Rehabilitasi Ruang Kelas SMP ADZ DZAKIRIN','9.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3658,'46957901','Rehabilitasi Ruang Kelas SMP ISLAM AS SYUHADA 45','300.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3659,'46957982','Perencanaan Teknis Rehabilitasi Ruang Kelas SMP ISLAM AS SYUHADA 45','9.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3660,'46958017','Pengawasan Teknis Rehabilitasi Ruang Kelas SMP ISLAM AS SYUHADA 45','6.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3661,'46958248','Rehabilitasi Ruang Kelas SMP ISLAM MIFTAHUL ULUM','450.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3662,'46958287','Perencanaan Teknis Rehabilitasi Ruang Kelas SMP ISLAM MIFTAHUL ULUM','13.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3663,'46958307','Pengawasan Teknis Rehabilitasi Ruang Kelas SMP ISLAM MIFTAHUL ULUM','9.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3664,'46967020','Rehabilitasi Ruang Kelas UPTD SPF SMPN 3 Satu Atap Maesan','202.400.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Oktober 2024','Juni 2024','September 2024','Mei 2024','Mei 2024','2024-01-09 15:17:52.521','diknas'),
(3665,'46967034','Perencanaan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMPN 3 Satu Atap Maesan','20.160.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:17:52.521','diknas'),
(3666,'46967058','Pengawasan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMPN 3 Satu Atap Maesan','13.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Oktober 2024','Juni 2024','September 2024','Mei 2024','Mei 2024','2024-01-09 15:17:52.521','diknas'),
(3667,'46967498','Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 1 Pujer','310.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Oktober 2024','Juni 2024','September 2024','Mei 2024','Mei 2024','2024-01-09 15:17:52.521','diknas'),
(3668,'46968234','Perencanaan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 1 Pujer','21.607.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:17:52.521','diknas'),
(3669,'46968268','Pengawasan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 1 Pujer','14.415.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Oktober 2024','Juni 2024','September 2024','Mei 2024','Mei 2024','2024-01-09 15:17:52.521','diknas'),
(3670,'46968295','Rehabilitasi ruang kelas UPTD SPF SMP Negeri 1 Sumber Wringin','465.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3671,'46968312','Perencanaan Teknis Rehabilitasi ruang kelas UPTD SPF SMP Negeri 1 Sumber Wringin','32.410.500','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2023','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3672,'46968321','Pengawasan Teknis Rehabilitasi ruang kelas UPTD SPF SMP Negeri 1 Sumber Wringin','21.622.500','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3673,'46968363','Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 2 Maesan','450.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3674,'46968369','Perencanaan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 2 Maesan','13.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3675,'46968377','Pengawasan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 2 Maesan','9.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3676,'46968388','Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 3 Bondowoso','750.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3677,'46968397','Perencanaan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 3 Bondowoso','22.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3678,'46968408','Pengawasan Teknis Rehabilitasi Ruang Kelas UPTD SPF SMP Negeri 3 Bondowoso','15.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:17:52.521','diknas'),
(3679,'46968604','Rehabilitasi Ruang UKS UPTD SPF SMP Negeri 2 Maesan','77.979.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:18:34.506','diknas'),
(3680,'46968626','Perencanaan Teknis Rehabilitasi Ruang UKS UPTD SPF SMP Negeri 2 Maesan','2.404.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:18:34.506','diknas'),
(3681,'46968673','Pengawasan Teknis Rehabilitasi Ruang UKS UPTD SPF SMP Negeri 2 Maesan','1.603.200','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:18:34.506','diknas'),
(3682,'46968710','Rehabilitasi Sedang/Berat Perpustakaan SMP ISLAM MIFTAHUL ULUM','330.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:19:03.319','diknas'),
(3683,'46968730','Perencanaan Teknis Rehabilitasi Sedang/Berat Perpustakaan SMP ISLAM MIFTAHUL ULUM','9.900.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:19:03.319','diknas'),
(3684,'46968775','Pengawasan Teknis Rehabilitasi Sedang/Berat Perpustakaan SMP ISLAM MIFTAHUL ULUM','6.600.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:19:03.319','diknas'),
(3685,'46969387','Rehabilitasi Laboratorium IPA SMP ADZ DZAKIRIN','240.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3686,'46969398','Perencanaan Teknis Rehabilitasi Laboratorium IPA SMP ADZ DZAKIRIN','7.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:19:48.673','diknas'),
(3687,'46969428','Pengawasan Teknis Rehabilitasi Laboratorium IPA SMP ADZ DZAKIRIN','4.800.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3688,'46969473','Rehabilitasi Laboratorium IPA SMP ISLAM AS SYUHADA 45','240.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3689,'46969490','Perencanaan Teknis Rehabilitasi Laboratorium IPA SMP ISLAM AS SYUHADA 45','7.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:19:48.673','diknas'),
(3690,'46969500','Pengawasan Teknis Rehabilitasi Laboratorium IPA SMP ISLAM AS SYUHADA 45','4.800.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3691,'46969540','Rehabilitasi Laboratorium Komputer SMP SMP ADZ DZAKIRIN','153.434.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3692,'46969555','Perencanaan Teknis Rehabilitasi Laboratorium Komputer SMP ADZ DZAKIRIN','4.800.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:19:48.673','diknas'),
(3693,'46969567','Pengawasan Teknis Rehabilitasi Laboratorium Komputer SMP ADZ DZAKIRIN','3.200.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3694,'46969576','Rehabilitasi ruang laboratorium komputer UPTD SPF SMP Negeri 2 maesan','369.618.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3695,'46969597','Perencanaan Teknis Rehabilitasi ruang laboratorium komputer UPTD SPF SMP Negeri 2 maesan','11.040.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:19:48.673','diknas'),
(3696,'46969608','Pengawasan Teknis Rehabilitasi ruang laboratorium komputer UPTD SPF SMP Negeri 2 maesan','7.360.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-09 15:19:48.673','diknas'),
(3697,'46969642','Biaya Pemeliharaan Bangunan Gedung Tempat Pendidikan','100.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan Bangunan Laboratorium Komputer 10 lembaga','Pemeliharaan Bangunan Laboratorium Komputer 10 lembaga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:19:48.673','diknas'),
(3698,'46969695','Rehabilitasi Toilet/Jamban SMP Adz Dzakirin','87.553.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN PENGECATAN\"','1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:20:23.706','diknas'),
(3699,'46969718','Perencanaan Teknis Rehabilitasi Toilet/Jamban SMP Adz Dzakirin','2.760.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:20:23.706','diknas'),
(3700,'46969740','Pengawasan Teknis Rehabilitasi Toilet/Jamban SMP Adz Dzakirin','1.840.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:20:23.706','diknas'),
(3701,'46970416','Pengadaaan Meubelair Rehabilitasi ruang laboratorium IPA SMP','89.550.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Lemari, Meja Guru, Meja Siswa','Meja Siswa 15 Kursi Siswa 15 Meja Guru 1 Kursi Guru 1 Almari Kelas (RAK BUKU) 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Oktober 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3702,'46970474','Pengadaaan Meubelair Rehabilitasi ruang kelas SMP','118.520.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Meja Guru, Meja Siswa','Meja Siswa 48 Kursi Siswa 48 Kursi Guru 8 Meja Guru 8','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3703,'46970605','Pengadaan Meubelair Pembangunan ruang laboratorium komputer SMP ISLAM MIFTAHUL ULUM','49.475.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Lemari, Meja Guru, Meja Siswa','Meja Siswa 20 Unit Kursi Siswa 20 Unit Meja Guru 1 Unit Kursi Guru 1 Unit Almari Kelas (RAK BUKU) 1 Unit Papan Tulis/ White Board 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3704,'46970633','Pengadaan Meubelair pembangunan ruang TU SMP ADZ DZAKIRIN','14.250.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari, Meja Guru','Kursi Guru 2 Unit Meja Guru (1/2 biro) 2 Unit Almari Kelas (RAK BUKU) 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3705,'46970707','Pengadaan Meubelair Pembangunan Ruang UKS SMP ADZ DZAKIRIN','21.485.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari, Meja Guru, Tempat Tidur Pasien','Tempat Tidur Pasien 2 Unit Kursi Guru 3 Unit Meja Guru (1/2 biro) 1 Unit Lemari Besi 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3706,'46970753','Pengadaan Meubelair Rehabilitasi Ruang GURU SMP ADZ DZAKIRIN','19.785.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari Besi, Meja Guru','Kursi Guru 3 Unit Meja Guru (1/2 biro) 3 Unit Lemari Besi 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3707,'46970770','Pengadaan Meubelair Rehabilitasi ruang laboratorium komputer SMP ADZ DZAKIRIN','31.375.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Meja Guru, Meja Siswa','Meja Siswa 15 Unit Kursi Siswa 15 Unit Meja Guru 1 Unit Kursi Guru 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3708,'46970815','Pengadaan Meubelair Rehab Ruang Perpustakaan SMP ISLAM MIFTAHUL ULUM','23.875.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari, Meja Guru','Kursi Guru 1 Unit Meja Guru (1/2 biro) 1 Unit Almari Kelas (RAK BUKU) 3 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3709,'46973410','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.505.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Correction Ke 01, Fotocopy, lakban besar hitam, Ordner Karton Folio 5 Cm Bantex, Stopmap Kertas V Tec, Biola','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','Oktober 2024','Agustus 2024','September 2024','2024-01-10 09:42:31.856','diknas'),
(3710,'46973429','Belanja Makanan dan Minuman Rapat','1.645.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak, Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','Oktober 2024','Agustus 2024','September 2024','2024-01-10 09:42:31.856','diknas'),
(3711,'46974897','Pengadaan Meubelair Rehabilitasi Ruang TU UPTD SPF SMP Negeri 2 Maesan','7.550.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari, Meja Guru','Kursi Guru 2 Unit Meja Guru (1/2 biro) 2 Unit Almari Kelas (RAK BUKU) 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3712,'46974931','Pengadaan Mebel Rehabilitasi Ruang Kelas SMP','118.520.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Meja Guru, Meja Siswa','Meja Siswa 48 Unit Kursi Siswa 48 Unit Kursi Guru 8 Unit Meja Guru 8 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3713,'46975037','Pengadaan Meubelair Rehabilitasi Ruang GURU UPTD SPF SMP Negeri 2 Maesan','11.325.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Lemari Besi, Meja Guru','Kursi Guru 3 Unit Meja Guru (1/2 biro) 3 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3714,'46975080','Pengadaan Meubelair Rehabilitasi ruang laboratorium komputer UPTD SPF SMP Negeri 2 Maesan','62.750.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Kursi Siswa, Meja Guru, Meja Siswa','Meja Siswa 30 Unit Kursi Siswa 30 Unit Meja Guru 2 Unit Kursi Guru 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3715,'46975197','Pengadaan Meubelair Rehab Ruang UKS UPTD SPF SMP Negeri 2 Maesan','8.400.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kursi Guru, Meja Guru, Tempat Tidur Pasien','Tempat Tidur Pasien 1 Unit Kursi Guru 2 Unit Meja Guru (1/2 biro) 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3716,'46975222','Pengadaan Meubelair Rehabilitasi Ruang KS UPTD SPF SMP Negeri 2 Maesan','12.200.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Meja Tamu','meja tamu 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3717,'46975420','AP Pengadaan Perlengkapan Sekolah (DAU)','127.800','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','fotocopy','fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:54.847','diknas'),
(3718,'46975468','AP Pengadaan Perlengkapan Sekolah (DAU)','1.763.200','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas A4','Kertas A4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:54.847','diknas'),
(3719,'46975528','Pengadaan perlengkapan sekolah Lemari Arsip (DAU)','51.088.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Lemari Arsip','Lemari Arsip 10 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:54.847','diknas'),
(3720,'46975557','Pengadaan perlengkapan sekolah Laptop(DAU)','127.200.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Laptop','Laptop 10 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:54.847','diknas'),
(3721,'46975638','Pengadaan perlengkapan sekolah Printer (DAU)','34.821.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Printer','Printer 9 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:54.847','diknas'),
(3722,'46975731','Pemeliharaan rutin sarana, prasarana dan utilitas sekolah UPTD SPF SMP Negeri 1 Maesan','28.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan Jamban/toilet','Pengecatan, perbaikan bangunan yang rusak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:22:26.224','diknas'),
(3723,'46975810','Pengawasan Teknis Pemeliharaan rutin sarana, prasarana dan utilitas sekolah UPTD SPF SMP Negeri 1 Maesan','1.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan','Pengawasan pekerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:22:26.224','diknas'),
(3724,'46976045','Pengadaan Peralatan TIK (Smart Board)','1.239.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Smart Board','Smart Board 7 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-09 15:22:49.219','diknas'),
(3725,'46976349','Rehabilitasi Sedang/Berat Ruang TU SMP NU 03','103.200.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN KAYU 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN KAYU 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:23:20.008','diknas'),
(3726,'46976435','Perencanaan Teknis Rehabilitasi Sedang/Berat Ruang TU SMP NU 03','10.080.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Mei 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:23:20.008','diknas'),
(3727,'46976462','Pengawasan Teknis Rehabilitasi Sedang/Berat Ruang TU SMP NU 03','6.720.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan, Laporan hasil Pengawasan','Pengawasan pekerjaan, Laporan hasil Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:23:20.008','diknas'),
(3728,'46976716','Rehabilitasi Ruang Tata Usaha UPTD SPF SMP Negeri 2 Maesan','174.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:23:20.008','diknas'),
(3729,'46976750','Perencanaan Teknis Rehabilitasi Ruang Tata Usaha UPTD SPF SMP Negeri 2 Maesan','5.220.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:23:20.008','diknas'),
(3730,'46976772','Pengawasan Teknis Rehabilitasi Ruang Tata Usaha UPTD SPF SMP Negeri 2 Maesan','3.480.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan, Laporan hasil Pengawasan','Pengawasan pekerjaan, Laporan hasil Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:23:20.008','diknas'),
(3731,'46976818','Rehabilitasi Ruang Kepala Sekolah UPTD SPF SMP Negeri 2 Maesan','70.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:24:55.146','diknas'),
(3732,'46976880','Perencanaan Teknis Rehabilitasi Ruang Kepala Sekolah UPTD SPF SMP Negeri 2 Maesan','2.250.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:24:55.146','diknas'),
(3733,'46976903','Pengawasan Teknis Rehabilitasi Ruang Kepala Sekolah UPTD SPF SMP Negeri 2 Maesan','1.500.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan, Laporan hasil Pengawasan','Pengawasan pekerjaan, Laporan hasil Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:24:55.146','diknas'),
(3734,'46976979','Rehabilitasi Ruang Guru SMP Adz Dzakirin','160.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:25:21.431','diknas'),
(3735,'46977028','Perencanaan Teknis Rehabilitasi Ruang Guru SMP Adz Dzakirin','4.800.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:25:21.431','diknas'),
(3736,'46977066','Pengawasan Teknis Rehabilitasi Ruang Guru SMP Adz Dzakirin','3.200.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan, Laporan hasil Pengawasan','Pengawasan pekerjaan, Laporan hasil Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:25:21.431','diknas'),
(3737,'46977087','Rehabilitasi Ruang Guru UPTD SPF SMP Negeri 2 maesan','160.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','\"1. PEKERJAAN BESI DAN ALLUMINIUM 2. PEKERJAAN LANGIT-LANGIT (PLAFOND) 3. PEKERJAAN BETON 4. PEKERJAAN PENGECATAN\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-09 15:25:21.431','diknas'),
(3738,'46977130','Perencanaan Teknis Rehabilitasi Ruang Guru UPTD SPF SMP Negeri 2 maesan','4.830.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-02-07 09:08:09.514','diknas'),
(3739,'46977155','Pengawasan Teknis Rehabilitasi Ruang Guru UPTD SPF SMP Negeri 2 maesan','3.220.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan pekerjaan, Laporan hasil Pengawasan','Pengawasan pekerjaan, Laporan hasil Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-02-07 09:08:09.514','diknas'),
(3740,'46977216','AP Rehab Ruang Kelas (DAU)','4.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Printer','Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:17:52.521','diknas'),
(3741,'46977731','Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','225.000.000','Tender','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(3742,'46977760','Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','237.500.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','November 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3743,'46977935','Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','237.500.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','November 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3744,'46977952','Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','237.500.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3745,'46978024','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','6.750.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3746,'46978160','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','7.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juli 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3747,'46978167','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','7.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juli 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3748,'46978218','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','7.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','Perencanaan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juli 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3749,'46978231','Perencanaan Teknis Pembangunan Ruang Kelas Baru SD','60.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang Kelas Baru SD','Perencanaan Teknis Pembangunan Ruang Kelas Baru SD','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juli 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3750,'46978284','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','4.500.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3751,'46978294','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','5.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 1 Kec.Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3752,'46978303','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','5.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Maskuning Wetan 3 Kec.Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3753,'46978312','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','5.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','Pengawasan Teknis Pembangunan Ruang Kelas Baru SDN Tegalampel Kec.Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3754,'46978331','Pengawasan Teknis Pembangunan Ruang Kelas Baru SD','40.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang Kelas Baru SD','Pengawasan Teknis Pembangunan Ruang Kelas Baru SD','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3755,'46978365','Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','90.000.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Juni 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(3756,'46978376','Perencanaan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','2.700.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','Perencanaan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juli 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(3757,'46978383','Pengawasan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','1.800.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','Pengawasan Teknis Rehabilitasi Sedang/Berat Sarana, Prasarana dan Utilitas SDN Sulek 2 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Juni 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(3758,'46982179','Pengelolaan Pendidikan Sekolah Menengah Pertama ( Alat Tulis Kantor )','7.543.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat Tulis Kantor','Belanja Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Maret 2024','April 2024','2024-01-11 09:23:27.463','diknas'),
(3759,'46983134','Belanja Barang Pembinaan Kelembagaan dan Manajemen Sekolah','1.902.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 15 rim, Kertas Hvs Warna F4 70 Gr 10 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:23:27.463','diknas'),
(3760,'46989099','Belanja Barang Pembinaan Kelembagaan dan Manajemen Sekolah','7.514.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','SERBUK REFIL TONER BROTHER 4 pak, Tinta Printer Epson Cyan 2 botol, Tinta Printer Epson Magenta 2 botol, Tinta Printer Epson Yellow 3 botol, Tinta printer Hitam Epson 6 botol, Toner Catridge 1 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:23:27.463','diknas'),
(3761,'46989647','Belanja barang alat tulis kantor peningkatan kapasitas dana BOS SMP','9.801.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja barang habis pakai','bolpoint 10 pak,pensil 2b 115,bloknote 230,map plastik 230,cetak banner 5,foto copi 955','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:27:30.874','diknas'),
(3762,'46990055','Belanja Barang Pembinaan Kelembagaan dan Manajemen Sekolah','32.900.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 700 kotak, Nasi Kotak Biasa 700 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:23:27.463','diknas'),
(3763,'46991367','Belanja barang kertas dan cover peningkatan kapasitas pengelolaan dana BOS SMP','324.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja bahan kertas','kertas HVS 70 gram 5 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:27:30.874','diknas'),
(3764,'46992258','Belanja barang makan dan minum peningkatan kapasitas dana BOS SMP','17.625.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja makan dan minum','nasi kotak 375,kue kotak 375','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:27:30.874','diknas'),
(3765,'46992362','Belanja Barang Pengembangan konten digital untuk pendidikan (Alat Tulis Kantor','1.540.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Banner 8 m, Bolpoint 3 pak, cetak ID card 20 buah, cetak sertifikat/ piagam 26 lembar, foto copy 2200 lembar, penggarais baja 30 cm 1 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3766,'46992742','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Bantuan untuk Anak Putus Sekolah','2.551.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor','Buku Tulis 100 Lbr (24 pak) Bolpoint (12 pak) Penggaris Mika 50 Cm (12 buah) Pensil Staedtler 2B (60 buah) Correction 802 (24 buah) Spidol Marker (2 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3767,'46993574','Belanja Barang Pengembangan konten digital untuk pendidikan (Kertas dan Cover)','712.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 4 rim, kertas HVS F4 70 gram 7 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3768,'46993612','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Bantuan untuk Anak Putus Sekolah','181.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kantor- Kertas dan Cover','Kertas HVS A4 70 Gr (2 rim) kertas HVS F4 70 gram (1 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(3769,'46994171','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Bantuan untuk Anak Putus Sekolah','373.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Bahan Komputer','Tinta Epson 003 (2 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3770,'46994362','Belanja Barang Pengembangan konten digital untuk pendidikan (Bahan Komputer)','4.384.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer Epson Cyan 2 botol, Tinta Printer Epson Magenta 2 botol, Tinta Printer Epson Yellow 2 botol, Tinta printer Hitam Epson 4 botol, Toner Catridge 1 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3771,'46994576','Belanja barang Pemberian layanan pendampingan bagi satuan pendidikan untuk pencegahan perundungan, kekerasan, dan intoleransi (Alat Tulis Kantor)','4.172.000','Dikecualikan','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy 850 lembar, Ball Point Gel Ink Pen 5 pak, banner 4 m2, Buku Agenda 60 buah, Fotocopy 699 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-11 09:40:55.883','diknas'),
(3772,'46994643','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas - Bantuan untuk Anak Putus Sekolah','2.544.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perlengkapan Dinas','Sepatu ( 12 stel orang)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3773,'46995307','Belanja Barang Pengembangan konten digital untuk pendidikan (Perlengkapan Dinas)','1.701.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','Rompi 15 buah, Tas Laptop 3 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3774,'46995528','Belanja barang Pemberian layanan pendampingan bagi satuan pendidikan untuk pencegahan perundungan, kekerasan, dan intoleransi (Kertas dan Cover)','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 10 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:40:55.883','diknas'),
(3775,'46995680','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat - Kegiatan FLS2N, POR SD','8.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Barang untuk Diserahkan kepada Masyarakat','Trophy kaki dua tinggi 70 cm (15 buah) Trophy kaki dua tinggi 70 cm (10 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3776,'46996008','Belanja Barang Pengembangan konten digital untuk pendidikan (Makanan dan Minuman Rapat)','5.405.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 75 kotak, Kue Kotak 40 kotak, Nasi Kotak Biasa 40 kotak, Nasi Kotak Biasa 75 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3777,'46996396','Belanja Pakaian Olahraga - Kegiatan Festival dan Lomba Seni Siswa Nasional (FLS2N)','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Pakaian Olahraga','Belanja Pakaian Olahraga (30 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Juni 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3778,'46996705','Belanja barang Pemberian layanan pendampingan bagi satuan pendidikan untuk pencegahan perundungan, kekerasan, dan intoleransi','8.460.000','Dikecualikan','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja Makanan dan Minuman Rapat','Kue Kotak 180 kotak, Nasi Kotak Biasa 180 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:40:55.883','diknas'),
(3779,'47000194','Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3780,'47002327','Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3781,'47005121','Pelatihan Penggunaan Aplikasi Bidang Pendidikan,belanja barang (belanja bahan habis pakai)','1.661.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja bahan habis pakai','Bloknote 30,cetak ID Card 30,foto Copy 1895,map kancing 30,paper clip 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:33:38.61','diknas'),
(3782,'47006417','Pelatihan Penggunaan Aplikasi Bidang Pendidikan, belanja barang (belanja kertas dan cover)','499.500','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja kertas dan cover','Kertas HVS A4 3 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-11 09:33:38.61','diknas'),
(3783,'47007377','Belanja makan dan minum, Pelatihan Penggunaan Aplikasi Bidang Pendidikan','5.400.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja makan dan minum','nasi kotak 120, kue kotak 120','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:33:38.61','diknas'),
(3784,'47011425','Belanja alat tulis kantor,pembinaan komunitas belajar','951.600','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja barang habis pakai','Foto copi 1770lbr,bolpoint 4 pak,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Agustus 2024','September 2024','Juni 2024','Juli 2024','2024-01-11 09:36:43.071','diknas'),
(3785,'47012894','Belanja barang dan jasa','324.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja cover dan kertas','belanja kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','2024-01-11 09:36:43.071','diknas'),
(3786,'47013560','Belanja Barang Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan (Alat Tulis Kantor)','1.434.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','banner 8 m2, Fotocopy 2618 lembar, Fotocopy 500 lembar, Bolpoint 10 pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','Maret 2024','2024-01-11 10:00:50.057','diknas'),
(3787,'47013653','Belanja barang bahan komputer','3.180.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja bahan komputer','Toner catridge','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','2024-01-11 09:36:43.071','diknas'),
(3788,'47014296','Belanja Barang Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan (Kertas dan Cover)','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 10 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','Maret 2024','2024-01-11 10:00:50.057','diknas'),
(3789,'47014361','Belanja barang dan jasa','14.100.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja makan dan minum','makan minum rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juli 2024','Agustus 2024','Juli 2024','Juli 2024','2024-01-11 09:36:43.071','diknas'),
(3790,'47015118','Belanja Barang Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan (Bahan Komputer)','2.028.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Refil Tinta Tuner 2 buah, Tinta Printer Epson Cyan 5 botol, Tinta Printer Epson Magenta 5 botol, Tinta Printer Epson Yellow 5 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','Maret 2024','2024-01-11 10:00:50.057','diknas'),
(3791,'47015936','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyelenggaraan Proses Belajar bagi Peserta Didik','492.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyelenggaraan Proses Belajar bagi Peserta Didik','Map kertas 10 Lembar Stop Map Batik Kain 1 Buah Bolpoint 5 Pak banner 10 Meter Fotocopy 200 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:10:58.014','diknas'),
(3792,'47016064','Belanja Barang Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan (Makanan dan Minuman Rapat)','9.870.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 210 kotak, Nasi Kotak Biasa 210 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','Maret 2024','2024-01-11 10:00:50.057','diknas'),
(3793,'47018832','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penyelenggaraan Proses Belajar bagi Peserta Didik','616.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penyelenggaraan Proses Belajar bagi Peserta Didik','kertas HVS F4 70 gram 5 Rim Kertas HVS A4 70 Gr 5 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:10:58.014','diknas'),
(3794,'47020826','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Penyelenggaraan Proses Belajar bagi Peserta Didik','662.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Penyelenggaraan Proses Belajar bagi Peserta Didik','Tinta Hitam 2 Buah Tinta Warna 3 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:10:58.014','diknas'),
(3795,'47030381','Belanja Makanan dan Minuman Rapat Penyelenggaraan Proses Belajar bagi Peserta Didik','32.900.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat Penyelenggaraan Proses Belajar bagi Peserta Didik','#Bimtek Proknis Nasi kotak 234 kotak Kue kotak 234 kotak #Bimtek Sulingjar Nasi kotak 232 kotak Kue kotak 232 kotak #Pelaksanaan ANBK Nasi kotak 234 kotak Kue kotak 234 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:10:58.014','diknas'),
(3796,'47030980','Belanja Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Desember 2024','Maret 2024','Mei 2024','2024-01-11 08:18:45.676','diknas'),
(3797,'47031336','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','4.550.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Sewa kendaraan roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Desember 2024','Maret 2024','Mei 2024','2024-01-11 08:18:45.676','diknas'),
(3798,'47032837','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.342.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 08:21:50.616','diknas'),
(3799,'47033298','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','230.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Amplop Putih No 104 dan Kertas HVS F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 08:21:50.616','diknas'),
(3800,'47033690','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','678.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','bahan Komputer','bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 08:21:50.616','diknas'),
(3801,'47034206','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','5.174.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor Lainnya','Tas Bimtek','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 08:21:50.616','diknas'),
(3802,'47034558','Belanja Makanan dan Minuman Rapat','16.575.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Prasmanan VIP, makan dan minum rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-11 08:21:50.616','diknas'),
(3803,'47034963','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','11.431.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','Correction Ke 103 2 Buah Bolpoint 1 Pak Stapler Hd 10 Kecil 1 Buah Paper Clip 2 Pak Block Note A5 4 Buah Stopmap Kertas 2 Pack Isi Stapler Kecil No.10 1 Pack Fotocopy 709 Lembar Fotocopy 50 x 315 Eksemplar Buku Jilid Dan Cetak Cover Warna Dan Laminasi, 50 S/D 1... 315 Buku','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:13:20.847','diknas'),
(3804,'47035035','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','945.100','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat Tulis Kantor','Belanja Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3805,'47035314','Belanja Bahan-Bahan Bangunan dan Konstruksi','212.500','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','triplek','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3806,'47035405','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','441.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','Kertas HVS A4 70 Gr 2 Rim kertas HVS F4 70 gram 5 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:13:20.847','diknas'),
(3807,'47035693','Belanja Makanan dan Minuman Rapat Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','1.128.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat Perlengkapan Dasar Buku Teks dan Non Teks Peserta Didik','Nasi Kotak 24 Kotak Kue Kotak 24 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:13:20.847','diknas'),
(3808,'47036149','Administrasi Proyek Rehabilitasi Ruang Kelas (DAK) (Biaya Tender)','8.414.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas HVS A4 70 Gr Tinta Epson 003 Fotocopy Ordner Besar PRINTER','Kertas HVS A4 70 Gr 60 rim Tinta Epson 003 5 bh Fotocopy 90 bh Ordner Besar 1 bh PRINTER 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3809,'47036393','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pengadaan Perlengkapan Peserta Didik','70.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pengadaan Perlengkapan Peserta Didik','Fotocopy 352 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:15:05.027','diknas'),
(3810,'47036493','Administrasi Proyek Rehabilitasi Ruang Kelas (DAK) (Penyelenggaraan Rakor)','3.760.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Nasi Kotak Kue Kotak','Nasi Kotak 80 kotak Kue Kotak 80 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','April 2024','April 2024','April 2024','2024-01-09 15:17:52.521','diknas'),
(3811,'47036884','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pengadaan Perlengkapan Peserta Didik','129.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pengadaan Perlengkapan Peserta Didik','kertas HVS F4 70 gram 2 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:15:05.027','diknas'),
(3812,'47037149','Belanja Pakaian Olahraga Pengadaan Perlengkapan Peserta Didik','4.800.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Pakaian Olahraga Pengadaan Perlengkapan Peserta Didik','Jaket (Prolanis) 20 Pcs','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:15:05.027','diknas'),
(3813,'47057681','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','2.398.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr 20 Rim kertas HVS F4 70 gram 20 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:38:22.767','diknas'),
(3814,'47061895','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','313.500','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Amplop putih No 104 Ukuran 95 Cm x 152 Cm Isis 100 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-10 11:40:08.625','diknas'),
(3815,'47062261','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','927.500','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-10 11:40:08.625','diknas'),
(3816,'47062731','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-10 11:40:08.625','diknas'),
(3817,'47091382','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.789.800','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, Odner Besar, Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:39:37.843','diknas'),
(3818,'47091989','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','147.700','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Amplop dan Kertas HVS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:39:37.843','diknas'),
(3819,'47092418','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','662.500','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','Tinta Epson Hitam, Tinta Epson warna','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:39:37.843','diknas'),
(3820,'47096906','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.091.400','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3821,'47097898','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','5.174.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','#Kesiswaan banner 4 M2 Spidol Marker 3 Buah Stapler Hd 10 2 Buah Ordner Besar 2 Buah Fotocopy 1587 Lembar Bolpoint 25 Pak #Peserta Map Kancing Interx 300 Buah Block Note A5 300 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:02:46.888','diknas'),
(3822,'47098008','Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','1.749.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Cetak','Kertas A4 70 gr, Kertas HVS F4 70 gr, Kertas HVS warna F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3823,'47098787','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3824,'47099067','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','324.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','kertas HVS F4 70 gram 5 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:02:46.888','diknas'),
(3825,'47099318','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','15.900.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Perlengkapan Dinas','Kain Batik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3826,'47099731','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','342.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','Tinta Printer Epson Cyan 1 Botol Tinta Printer Epson Magenta 1 Botol Tinta Printer Epson Yellow 1 Botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:02:46.888','diknas'),
(3827,'47101171','Belanja Makanan dan Minuman Aktivitas Lapangan','20.250.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Aktivitas Lapangan','Belanja Makanan dan Minuman Aktivitas Lapangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','September 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3828,'47101575','Belanja Makanan dan Minuman Rapat Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','14.100.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan','nasi kotak 300 kotak kue kotak 300 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:02:46.888','diknas'),
(3829,'47101739','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','15.750.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Sewa Kendaraan Roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(3830,'47103207','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.729.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:42:04.916','diknas'),
(3831,'47103658','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.519.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas A4 70 gr, Kertas HVS F4 70 gr, Kertas HVS Warna F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:42:04.916','diknas'),
(3832,'47104138','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.351.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:42:04.916','diknas'),
(3833,'47104209','Perencanaan Teknis Pembangunan Ruang Usaha Kesehatan Sekolah','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pemb. Ruang Usaha Kesehatan Sekolah','Perencanaan Teknis Pemb. Ruang Usaha Kesehatan Sekolah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3834,'47104322','Belanja Makanan dan Minuman Rapat','18.800.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:39:37.843','diknas'),
(3835,'47104411','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','5.801.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor Kesiswaan dan Peserta','#Kesiswaan map snelhecter plastik 12 Buah Spidol Marker 3 Buah Fotocopy 2512 Lembar banner 4 M2 Stapler Hd 10 3 Buah Ordner Besar 3 Buah #Peserta Map Kancing Interx 120 Buah Bolpoint 11 Pak Block Note A5 120 Buah Penghapus 52640 120 Buah Pensil 2B 120 Buah Correction Ke 103 120 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:08:10.608','diknas'),
(3836,'47104464','Belanja Makanan dan Minuman Rapat','20.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:42:04.916','diknas'),
(3837,'47104883','Pengawasan Teknis Pembangunan Ruang Usaha Kesehatan Sekolah','40.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pemb. Ruang Usaha Kesehatan Sekolah','Pengawasan Teknis Pemb. Ruang Usaha Kesehatan Sekolah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','November 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(3838,'47104889','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','22.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Sewa Kendaraan Roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:42:04.916','diknas'),
(3839,'47105022','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','616.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','Kertas HVS A4 70 Gr 5 Rim kertas HVS F4 70 gram 5 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:08:10.608','diknas'),
(3840,'47105602','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.611.800','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 08:35:43.183','diknas'),
(3841,'47105925','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bandilan 3 Kec. Prajekan','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bandilan 3 Kec. Prajekan','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bandilan 3 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3842,'47106147','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','1.192.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan Tinta Komputer','Tinta Epson Hitam T 6641 3 Buah Tinta Epson Warna T 6642 2 Buah Tinta Epson Warna T 6643 2 Buah Tinta Epson Warna T 6644 2 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:08:10.608','diknas'),
(3843,'47106312','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.200','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 08:35:43.183','diknas'),
(3844,'47107114','Belanja Makanan dan Minuman Rapat Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','5.640.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat Pembinaan Penggunaan Teknologi, Informasi dan Komunikasi (TIK) untuk Pendidikan','Nasi Kotak 120 kotak Kue Kotak 120 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:08:10.608','diknas'),
(3845,'47107673','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.740.800','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Binder Clip No. 260; Bolpoint; Correction Ct 509; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Lem Cair 112; Ordner Besar; Paper Clip Jumbo 5; PlakBand Kraf 2 Inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-10 09:35:52.657','diknas'),
(3846,'47108204','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','455.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr; : Sticky Note 20 50 mm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-10 09:35:52.657','diknas'),
(3847,'47108598','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','1.074.200','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Serbuk; Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-10 09:35:52.657','diknas'),
(3848,'47109013','Belanja Makanan Dan Minuman Rapat','1.880.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan Dan Minuman Rapat','Kue Kotak; : Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-10 09:35:52.657','diknas'),
(3849,'47109725','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.015.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip no. 107, Stabilo Fabaer Castle, Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:39:09.368','diknas'),
(3850,'47110433','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','36.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Amplop Putih No.104 Ukuran 95 Cm x152 Cm isi 100 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:39:09.368','diknas'),
(3851,'47110589','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembinaan Minat, Bakat dan Kreativitas Siswa','3.330.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor FLS2N, O2SN dan OSN','Isi Steples Kecil No 10 2 Pak Fotocopy 550 Lembar Ordner Besar 2 Buah Correction Ke 103 2 Buah Penghapus 52640 2 Buah Spidol Kecil 12 Buah Belanja banner 340 gsm 24 Meter Fotocopy 1044 Lembar Correction Ke 103 2 Buah Spidol Kecil 6 Buah Isi Steples Kecil No 10 2 Pak Stapler Hd 10 3 Buah Spidol Marker 2 Buah Belanja banner 340 gsm 20 Meter Stapler Hd 10 2 Buah Belanja banner 340 gsm 12 Meter Spidol Marker 2 Buah Fotocopy 690 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3852,'47111039','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pemb. Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','Perencanaan Teknis Pemb. Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3853,'47111277','Belanja Makanan dan Minuman Rapat','3.948.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa , Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:39:09.368','diknas'),
(3854,'47111300','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Minat, Bakat dan Kreativitas Siswa','1.457.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover FLS2N, O2SN dan OSN','Kertas HVS A4 70 Gr 5 Rim kertas HVS F4 70 gram 5 Rim kertas HVS F4 70 gram 5 Rim Kertas HVS A4 70 Gr 5 Rim Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ... 2 pak Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 ... 2 pak kertas HVS F4 70 gram 2 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3855,'47111643','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bandilan 3 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3856,'47111899','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pembinaan Minat, Bakat dan Kreativitas Siswa','2.252.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer FLS2N dan O2SN','#FLS2N Tinta Epson Warna T 6644 2 Buah Tinta Epson Warna T 6643 2 Buah Tinta Epson Warna T 6642 2 Buah Tinta Epson Hitam T 6641 3 Buah #O2SN Tinta Epson Hitam T 6641 2 Buah Tinta Epson Warna T 6642 2 Buah Tinta Epson Warna T 6643 2 Buah Tinta Epson Warna T 6644 2 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3857,'47112135','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bercak 1 Kec, Cermee','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bercak 1 Kec, Cermee','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Bercak 1 Kec, Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3858,'47112371','Belanja Alat/Bahan untukkegiatan Kantor-Alat Tulis Kantor','48.483.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Tinta Stempel Ungu','Tinta Stempel Ungu 30 Botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:41:27.369','diknas'),
(3859,'47112609','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3860,'47112685','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat Pembinaan Minat, Bakat dan Kreativitas Siswa','8.100.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat OSN tingkat Kabupaten','Trophy kaki dua tinggi 70 cm 9 Buah Trophy kaki dua tinggi 60 cm 9 Buah Trophy kaki satu tinggi 70 cm 9 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3861,'47113254','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Bercak 1 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3862,'47113504','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.624.400','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, Map Kancing interx, Stop Map kertas biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:38:40.522','diknas'),
(3863,'47113587','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Cermee 3 Kec. Cermee','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Cermee 3 Kec. Cermee','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Cermee 3 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3864,'47113684','Belanja Makanan dan Minuman Rapat Pembinaan Minat, Bakat dan Kreativitas Siswa','27.260.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat FLS2N, O2SN dan OSN','#FLS2N Nasi Kotak Biasa 120 Per Kotak Kue Kotak 120 Per Kotak #O2SN Nasi Kotak Biasa 110 Per Kotak Kue Kotak 110 Per Kotak #OSN Nasi Kotak Biasa 350 Per Kotak Kue Kotak 350 Per Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3865,'47114499','Belanja Pakaian Olahraga Pembinaan Minat, Bakat dan Kreativitas Siswa','26.880.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Pakaian Olahraga FLS2N, O2SN dan OSN','#FLS2N Jaket (Prolanis) 40 Pcs #O2SN Jaket (Prolanis) 36 Pcs #OSN Jaket (Prolanis) 36 Pcs','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Maret 2024','Mei 2024','2024-01-11 08:05:17.592','diknas'),
(3866,'47115645','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','230.600','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah,kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:38:40.522','diknas'),
(3867,'47116324','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson Hitam T6641, Tinta Epson warna T 6642','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-10 11:38:40.522','diknas'),
(3868,'47119354','Belanja Makanan dan Minuman Rapat','6.750.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 08:35:43.183','diknas'),
(3869,'47119697','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','3.250.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','sewa kendaraan roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','Desember 2024','Juni 2024','Juli 2024','2024-01-11 08:35:43.183','diknas'),
(3870,'47120867','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.048.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:26:48.729','diknas'),
(3871,'47121390','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.945.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Tinta dan Catriadge','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:26:48.729','diknas'),
(3872,'47122426','Belanja Sewa Kendaraan Bermotor Penumpang','7.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Sewa Kendaraan Bermotor Penumpang','Sewa Mobil','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:26:48.729','diknas'),
(3873,'47126306','Belanja alat/bahan untuk kegiatan kantor - kertas dan cover','84.196.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Amplop Cokelat Kop Dinas, Amplop Tali, Kertas A4 70 gram, Kertas Bufallo, Kertas HVS 70 gram, Kertas HVS F4 70 gram.','Amplop Cokelat Kop Dinas 36 pak, Amplop Tali 200 buah, Kertas A4 70 gram 500 rim, Kertas Bufallo 100 rim, Kertas HVS 70 gram 100 rim, Kertas HVS F4 70 gram 500 rim.','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:41:27.369','diknas'),
(3874,'47131270','Belanja Alat/Bahan untuk kegiatan kantor-Bahan Komputer','63.670.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Serbuk Tuner Printer Laser, Tinta Printer Brother, Tinta Printer Epson Biru, Tinta Printer Tinta Hitam, Tinta Printer Epsbo Kuning, Tinta Printer Epson Warna Merah.','Serbuk Tuner Printer Laser 24 Botol, Tinta Printer Brother 100 botol, Tinta Printer Epson Biru 50 botol, Tinta Printer Tinta Hitam 100 botol, Tinta Printer Epsbo Kuning 100 Botol, Tinta Printer Epson Warna Merah 50 Buah.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:41:27.369','diknas'),
(3875,'47132201','Alat Penyimpan Perlengkapan Kantor Pengadaan Meubelair Rehabilitasi Ruang GURU dan Rehabilitasi ruang TU UPTD SPF SMP Negeri 2 Maesan','15.160.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Lemari Besi, Lemari Kelas','Lemari Besi 1 Unit Lemari Kelas 1 UNit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juni 2024','Agustus 2024','Mei 2024','Mei 2024','2024-01-09 15:21:17.293','diknas'),
(3876,'47133000','Belanja Makanan dan Minuman','53.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Nasi Tumpeng, Air Mineral, Kue Kotak Biasa, Nasi Kotak Biasa, Kue Nampan VIP.','Belanja Nasi Tumpeng 20 Buah, Air Mineral 100 Botol, Kue Kotak Biasa 1200 Dos, Nasi Kotak Biasa 790 Dos, Kue Nampan VIP 100 buah.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:41:27.369','diknas'),
(3877,'47134802','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','15.583.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Foto Copy,Block Note A5 Glosy,Bolpoint, Pensil 2B,Stapler No. T3-10 Mb','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:43:05.541','diknas'),
(3878,'47135839','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','1.620.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:43:05.541','diknas'),
(3879,'47136743','Belanja Makanan dan Minuman Rapat','25.897.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja makanan dan minuman rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:43:05.541','diknas'),
(3880,'47139261','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.210.300','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Block Note A5, Map Snell Palstik,Pembatas Ordner Warna Devider 6022 Bantex, PlakBand Hitam 2 Inch, Spidol Permanen,Binder Clip, Tinta Stempel, Stabilo Boss Warna','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:43:22.27','diknas'),
(3881,'47139971','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','1.474.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Kertas HVS Warna F4 70 Gr,Kertas A4 70 Gr, Kertas HVS 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:43:22.27','diknas'),
(3882,'47140618','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','9.315.300','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','Cartridge Epson PLQ-20, Tinta Hp. Laserjet 1180 C Black, Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:43:22.27','diknas'),
(3883,'47141736','Belanja Tagihan Listrik','239.194.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Tagihan Listrik','Belanja Tagihan Listrik 5,2 paket 239.194.800','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:32:51.541','diknas'),
(3884,'47143492','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','15.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Jasa Peralatan dan Perlengkapan Kantor,','Jasa Peralatan dan Perlengkapan Kantor,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:21:23.658','diknas'),
(3885,'47144880','Belanja Bahan - bahan bakar dan Pelumas','101.939.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Bio Solar, Pertamax 3000 liter, Pertamin Dex 2000 liter, Pertalite 3123.9 liter','Bio Solar, Pertamax 3000 liter, Pertamin Dex 2000 liter, Pertalite 3123.9 liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:16:29.049','diknas'),
(3886,'47146331','Belanja Suku Cadang - Suku Cadang ALat Angkutan','100.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Suku Cadang Kendaraan Dinas 1 Paket','Belanja Suku Cadang Kendaraan Dinas 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:16:29.049','diknas'),
(3887,'47146991','Belanja Pembayaran Pajak, Bea dan Perizinan','11.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembayaran Pajak dan Perizinan Kendaraan Dinas','Pembayaran Pajak dan Perizinan Kendaraan Dinas 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:16:29.049','diknas'),
(3888,'47148025','Belanja Pemeliharaan Alat Angkutan - Alat angkutan Darat bermotor - Kendaraan Dinas Perorangan','67.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan alat angkutan Kendaraan Dinas','Pemeliharaan Kendaraan Operasional Roda 4 ( 2 paket )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:16:29.049','diknas'),
(3889,'47149284','Belanja Modal Bangunan Gedung dan Kantor','10.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','AP Rehab Pagar dan Parkiran Kantor','AP Rehab Pagar dan Parkiran Kantor 247.21878 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:16:07.135','diknas'),
(3890,'47150813','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','713.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:58:21.298','diknas'),
(3891,'47151338','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:58:21.298','diknas'),
(3892,'47151688','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:58:21.298','diknas'),
(3893,'47152048','Belanja Makanan dan Minuman Rapat','1.645.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:58:21.298','diknas'),
(3894,'47154722','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','18.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:10.285','diknas'),
(3895,'47155365','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:10.285','diknas'),
(3896,'47155731','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','refil tinta toner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:10.285','diknas'),
(3897,'47156059','Belanja Makanan dan Minuman Rapat','1.363.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:10.285','diknas'),
(3898,'47156422','Belanja Makanan dan Minuman Jamuan Tamu','3.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Jamuan Tamu','Prasmanan Biasa, Makan dan Minum Jamuan Tamu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:10.285','diknas'),
(3899,'47166532','Administrasi Proyek Rehabilitasi Ruang Kelas (DAU)','18.945.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Mamin rapat koordinasi dan ATK','Mamin rapat koordinasi dan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','April 2024','Maret 2024','Maret 2024','2024-01-09 15:17:52.521','diknas'),
(3900,'47168514','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor dan fotokopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:51.872','diknas'),
(3901,'47169117','Belanja Makanan dan Minuman Rapat','3.850.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 08:56:51.872','diknas'),
(3902,'47178917','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','481.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas Buffalo berbagai warna dan Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:57:36.362','diknas'),
(3903,'47179503','Belanja Modal Buku Umum','4.452.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Buku Literasi dan numerasi PAUD dan PNF','Buku EnsyClopedia, kamus, buku referensi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:57:36.362','diknas'),
(3904,'47189359','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Pembinaan Pokja KKGO','1.227.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor','banner biasa ( 4 m x 1 m ) Binder Clip No. 200 (2 pak) Block Note A5 (70 buah) Bolpoint (6 pak) Fotocopy (212 lembar) Map Kancing Punggung Interx ( 70 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-14 00:09:17.129','diknas'),
(3905,'47189478','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Pokja KKGO','194.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram (3 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(3906,'47189656','Belanja Makanan dan Minuman Rapat - Kegiatan Pembinaan POKJA KKGO dan Sosialisasi minat bakat kreatifitas siswa','21.243.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembinaan POKJA KKGO Sosialisasi Kegiatan minat bakat dan kreatifitas siswa','Kue Kotak (420 kotak) Nasi Kotak (210 kotak) Kue Kotak (459 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-14 00:12:15.644','diknas'),
(3907,'47194545','Pemeliharaan Mebel Sekolah','20.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan Mebel Sekolah','Pemeliharaan Mebel Sekolah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-14 00:17:51.765','diknas'),
(3908,'47194594','Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3909,'47194656','Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3910,'47194705','Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3911,'47194735','Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah','20.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan rutin sarana,prasarana dan utilitas PAUD ( 5 lembaga )','Pemeliharaan rutin sarana,prasarana dan utilitas PAUD ( 5 lembaga )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-14 00:17:51.765','diknas'),
(3912,'47194756','Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3913,'47194788','Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','222.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3914,'47194821','Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3915,'47194851','Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3916,'47194907','Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3917,'47194993','Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3918,'47195020','Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3919,'47195061','Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3920,'47195081','Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3921,'47195265','Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3922,'47195314','Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3923,'47195332','Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','237.000.000','Tender','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3924,'47195412','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3925,'47195427','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3926,'47195478','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','Sesuai Petunjuk Operasional DAK Fisik Bidang Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3927,'47195493','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3928,'47195525','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3929,'47195563','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3930,'47195786','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','4.440.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3931,'47197079','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3932,'47201435','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3933,'47201524','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3934,'47201587','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3935,'47201675','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3936,'47201755','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3937,'47202027','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3938,'47202115','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3939,'47202211','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3940,'47202228','Belanja Bahan-Bahan Bakar dan Pelumas - FLS2N, O2SN, OSN dan POR SD','9.004.100','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Bahan Bakar dan Pelumas','Seleksi tingkat Provinsi FL2SN, O2SN, OSN dan POR SD','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(3941,'47202348','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','4.740.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','Pengawasan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3942,'47202443','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','6.660.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jambesari 3 Kec Jambesari DS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Mei 2024','Juni 2024','2024-01-10 08:28:33.111','diknas'),
(3943,'47202558','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','6.660.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jampit 2 Kec Ijen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3944,'47202748','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','6.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sukodono 2 Kec Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3945,'47202828','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','6.660.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sulek 2 Kec Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3946,'47202968','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','6.660.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumber Wringin 2 Kec Sumber Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3947,'47203203','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','6.660.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Tegalmijin 1 Kec Grujugan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3948,'47203445','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','6.660.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Wonosuko 2 Kec Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3949,'47203656','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Batu Ampar 1 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3950,'47203913','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cangkring Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3951,'47204152','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Cermee 3 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3952,'47204297','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Curahpoh 2 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3953,'47204387','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (FLS2N, O2SN, OSN dan POR SD)','4.900.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor Kegiatan FLS2N, O2SN, OSN dan POR SD','1. FLS2N : Binder clip (2 pak), Bolpoint (1 pak), Cetak Sertifikat/ piagam ( 25 lembar), Paper Clip (2 pak), Stabilo Faber Castle (2 buah), Stapler Hd 10 Kecil (1 buah) 2. O2SN : banner (4m x 2m x 5 buah), Bolpoint (1 pak), Cetak Sertifikat/ piagam (25 lembar), Isi Stapler Kecil No.10 (1 pack), Paper Clip ( 2 pak), Stabilo Faber Castle (2 buah), Stapler Hd 10 Kecil (1 buah) 3. OSN : banner (4m x 2m x 5 buah), Binder clip (2 pak), Bolpoint (1pak), Cetak Sertifikat/ piagam (10 lembar), fotocopy ( 56 lembar), Isi Stapler Kecil No.10 (1 pak), Paper Clip (1pak), Stabilo Faber Castle ( 2 buah), Stapler Hd 10 Kecil (1 buah) 4. POR SD : banner ( 5m x 1m x 10 buah), Binder clip (1 pak), Bolpoint (1 pak), Paper Clip (2pak), Spidol Marker (3 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:09:17.129','diknas'),
(3954,'47204428','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Jeruk Sok-sok 3 Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3955,'47204582','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Kejayan 1 Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3956,'47204681','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Patemon 1 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3957,'47204889','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Prajekan Lor 2 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3958,'47205014','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Suger Lor 3 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3959,'47205219','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','7.110.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','Perencanaan Teknis Pembangunan Laboratorium Komputer SDN Sumbersuko 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3960,'47205644','Perencanaan Teknis Pembangunan Laboratorium Komputer Sekolah Dasar Paket I','75.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer SD I','Perencanaan Teknis Pembangunan Laboratorium Komputer SD I','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3961,'47205833','Perencanaan Teknis Pembangunan Laboratorium Komputer Sekolah Dasar Paket II','75.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Laboratorium Komputer Sekolah Dasar Paket II','Perencanaan Teknis Pembangunan Laboratorium Komputer Sekolah Dasar Paket II','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-10 08:28:33.111','diknas'),
(3962,'47206607','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover kegiatan FLS2N, O2SN dan OSN','681.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas dan Cover','- FLS2N : Kertas HVS A4 70 Gr (2 rim), kertas HVS F4 70 gram (2 rim) - O2SN : Kertas HVS A4 70 Gr (1 rim), kertas HVS F4 70 gram ( 2 rim) - OSN : Kertas HVS A4 70 Gr (2 rim), kertas HVS F4 70 gram (2 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(3963,'47208349','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','19.089.200','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Block Note A4, Bolpoint,Snelhecter Map Bahan Transparan, Spidol Marker, Stapler HD 10 Kecil,BinderClip No 155,Correction Tape Roll,Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-10 11:42:14.136','diknas'),
(3964,'47210324','Belanja Makanan dan Minuman Rapat kegiatan FL2SN, O2SN, OSN dan POR SD','50.034.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Makanan dan Minuman Rapat kegiatan FL2SN, O2SN, OSN dan POR SD seleksi tingkat Kabupaten dan Provinsi','Sosialisasi FLS2N : Kue Kotak ( 23 kotak) Sosialisasi O2SN : Kue Kotak ( 23 kotak) Sosialisasi OSN : Kue Kotak ( 23 kotak) Sosialisasi POR SD : Kue Kotak ( 23 kotak) Seleksi Kabupaten FLS2N : Kue Kotak (115 kotak), Nasi Kotak (115 kotak) Seleksi Kabupaten O2SN : Kue Kotak (40 kotak), Nasi Kotak (20 kotak) Seleksi Kabupaten OSN : Kue Kotak (158 kotak), Nasi Kotak (158 kotak) Seleksi Kabupaten POR SD : Kue Kotak (100 kotak) Seleksi Provinsi FLS2N : Kue Kotak (180 kotak), Nasi Kotak (120 kotak) Seleksi Provinsi O2SN : Kue Kotak (180 kotak), Nasi Kotak (270 kotak) Seleksi Provinsi OSN : Kue Kotak (162 kotak), Nasi Kotak (108 kotak) Seleksi Provinsi POR SD : Kue Kotak (180 kotak), Nasi Kotak (120 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','April 2024','Juni 2024','Januari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(3965,'47210820','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','689.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Serbuk refil toner Brother','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:21:29.03','diknas'),
(3966,'47213490','Belanja Makanan dan Minuman Rapat','6.580.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','1. Belanja Makanan dan Minuman Rapat Koordinasi / Kue ( 10 kotak x 2 kali ) 2. Belanja Makanan dan Minuman Rapat Sosialisasi / Kue ( 120 kotak x 1 kali ) 3. Belanja Makanan dan Minuman Rapat Sosialisasi / Nasi( 120 kotak x 1 kali ) 4. Belanja Makanan dan Minuman Nasi kotak Pendamping Rekonsiliasi ( 20 kotak x 1 kali )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:21:29.03','diknas'),
(3967,'47220899','Belanja Makanan dan Minuman Rapat Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','18.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa 200 Kotak x 2 Hari Kue Kotak Biasa, Makan dan minum Rapat 200 Kotak x 2 Hari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:40:29.143','diknas'),
(3968,'47225109','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','442.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1. Bolpoint ( 2 Pak ) 2. Fotokopi ( 1306 Lembar )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:14:10.047','diknas'),
(3969,'47228204','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.065.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1. Kertas HVS F4 ( 15 rim ) 2. Kertas HVS Warna F4 ( 1 rim )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:14:10.047','diknas'),
(3970,'47228369','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','1.360.800','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 70 Gram,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-10 11:42:14.136','diknas'),
(3971,'47229107','Belanja Makanan dan Minuman Rapat','14.350.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa,Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-10 11:42:14.136','diknas'),
(3972,'47230000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','1.022.700','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor','Bolpoint 5 Pak Stopmap Kertas 4 Pack Map snell plastik 6 Pak Odner Besar 6 Buah Fotocopy 213 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:40:29.143','diknas'),
(3973,'47230023','Belanja Barang, Pelatihan Penggunaan Aplikasi Bidang Pendidikan (Bahan Komputer)','689.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Bahan Komputer','Serbuk Refil Toner Brother 1 pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:33:38.61','diknas'),
(3974,'47231943','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','1.475.500','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja alat tulis kantor','Kertas A4 70 Gr 10 Rim Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah 5 Pak kertas HVS F4 70 gram 10 Rim Kertas Hvs Warna F4 70 Gr 2 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:40:29.143','diknas'),
(3975,'47232914','Belanja Makanan dan Minuman Rapat','1.175.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','1. Kue Kotak ( 25 kotak ) 2. Nasi Kotak ( 25 kotak )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 10:14:10.047','diknas'),
(3976,'47233366','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Fasilitasi Komunitas Belajar Pendidik dan Tenaga Kependidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','4.501.800','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor Bahan Komputer','Tinta Epson Warna T 6642 9 Buah Tinta Epson 003 9 Buah Catridge Warna 3 Buah Catridge Hitam 3 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:40:29.143','diknas'),
(3977,'47235009','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.196.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1. fotokopi ( 13 lembar ) 2. Ordner besar ( 25 buah ) 3. Sign Pen ( 24 Buah )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 09:00:17.396','diknas'),
(3978,'47237917','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','1. Kue kotak ( 50 kotak ) 2. Nasi kotak ( 50 kotak )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-11 09:00:17.396','diknas'),
(3979,'47239391','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','66.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Fotokopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-11 08:57:36.362','diknas'),
(3980,'47244212','Belanja Barang Pengembangan konten digital untuk pendidikan (Tropy)','1.156.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Modal Tanda Penghargaan Bidang Lainnya','Trophy Juara 1 satu buah, Trophy Juara 2 satu buah, Trophy Juara 3 satu buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:55:07.159','diknas'),
(3981,'47244549','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','45.600','E-Purchasing','APBD','November 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 107 1 Pak Map kertas F4 10 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-11 11:36:43.065','diknas'),
(3982,'47245070','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor,Pengembangan konten digital untuk pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','52.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-11 11:32:46.419','diknas'),
(3983,'47245103','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Kegiatan ANBK','536.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor Kegiatan ANBK','Fotocopy (841 lembar) Isi Stapler Kecil No.10 (1 pak) map snelhecter plastik (10 buah) Paper Clip (1 pak) Stapler Hd 10 Kecil (1 buah) Stopmap Kertas (1 pak) Bolpoint (2 pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(3984,'47246176','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi, Perencanaan, Supervisi dan Evaluasi Layanan di Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','194.400','E-Purchasing','APBD','November 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 3 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','November 2024','Desember 2024','November 2024','November 2024','2024-01-11 11:36:43.065','diknas'),
(3985,'47246238','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Kegiatan ANBK','389.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas dan Cover Kegiatan ANBK','Kertas HVS A4 70 Gr, kertas HVS F4 70 gram, Kertas HVS F4 80 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(3986,'47247511','Belanja Makanan dan Minuman Rapat Kegiatan ANBK','30.362.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rapat Koordinasi Kegiatan Asesmen Nasional dan Pelatihan Proktor Kegiatan Asesmen Nasional','Pelatihan Proktor Kegiatan Asesmen Nasional : kue kotak (600 kotak), nasi kotak (600 kotak) Rapat Koordinasi Kegiatan Asesmen Nasional : kue kotak (46 kotak), nasi kotak (46 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(3987,'47249055','Belanja Makanan dan Minuman Rapat Pelatihan Penggunaan Aplikasi Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','5.358.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 114 Per Kotak Nasi Kotak Biasa 114 Per Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:34:25.04','diknas'),
(3988,'47249912','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelatihan Penggunaan Aplikasi Bidang Pendidikan Pelatihan Penggunaan Aplikasi Bidang Pendidikan','197.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy 985 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:34:25.04','diknas'),
(3989,'47250706','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelatihan Penggunaan Aplikasi Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','6.445.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Kabel Data Sata 25 Buah Tinta printer Biru Epson 15 Botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:34:25.04','diknas'),
(3990,'47251458','Belanja barang, Pengembangan Karir Pendidik dan Tenaga Kependidikan pada Satuan Pendidikan Sekolah Menengah Pertama (alat tulis kantor)','6.256.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Belanja alat tulis kantor','banner 16M2,Cetak sertifikat 360,correction 20,fotocopy 1003,gunting kecil 10,isolasi kecil 5,lem besar 5,map kertas 50,mark and note 10,odner 5,paper clip 10,perforator 2,spidol kecil 12,stapler 10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 09:19:18.14','diknas'),
(3991,'47251897','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Kegiatan Penerbitan izin PAUD dan Pendidikan nonformal yang diselenggarakan masyarakat','3.109.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, Buku Block Note Garis 50 Lbr, Map Kancing Interx, Odner Besar, Stop Map Kertas, Banner, Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-10 11:40:08.625','diknas'),
(3992,'47253018','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.656.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','kertas HVS F4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:26:48.729','diknas'),
(3993,'47253279','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa dan Kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-10 11:38:40.522','diknas'),
(3994,'47254179','Belanja barang, Pengembangan Karir Pendidik dan Tenaga Kependidikan pada Satuan Pendidikan Sekolah Menengah Pertama (belanja bahan komputer)','1.647.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja bahan komputer','Bahan Komputer kabel HDMI 1,tinta printer cyan,epson magenta 3,tinta printer yellow 3,tinta printer hitam 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:19:18.14','diknas'),
(3995,'47255201','Belanja barang, Pengembangan Karir Pendidik dan Tenaga Kependidikan pada Satuan Pendidikan Sekolah Menengah Pertama (Bahan kertas dan cover)','1.296.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','Bahan kertas dan cover','Kertas HVS F4 20 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:19:18.14','diknas'),
(3996,'47255265','Belanja barang Pembinaan Kelembagaan dan Manajemen Sekolah','7.684.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ball Point Gel Ink Pen 21 pak, banner 16 m2, Block Note A5 Glosy 440 buah, Fotocopy 1759 lembar, Odner Besar 15 buah, Stapler Hd 10 8 buah, stempel dinas 2 buah, Stop Map Dinas 1 buah, Fotocopy 701 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-11 09:23:27.463','diknas'),
(3997,'47256234','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Buku Teks dan Non Teks Peserta Didik','33.460.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Tulis Kantor dan Cetak Modul ajar','Bolpoint, Fotocopy, Stapler Hd 10 Kecil, Jilid Dan Cetak Cover Warna Dan Laminasi, 50 S/D 100 Halaman (Lakban)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(3998,'47256804','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Buku Teks dan Non Teks Peserta Didik','129.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(3999,'47257878','Belanja Makanan dan Minuman Rapat - Penyusunan Modul Ajar','1.410.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rapat Koordinasi Penyusunan Modul Ajar','Kue Kotak dan Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juli 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4000,'47257936','Belanja barang, Pengembangan Karir Pendidik dan Tenaga Kependidikan pada Satuan Pendidikan Sekolah Menengah Pertama (makan minum rapat)','33.300.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 kegiatan','belanja makan minum rapat','nasi kotak 750,kue 750','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-11 09:19:18.14','diknas'),
(4001,'47258941','Belanja Makanan dan Minuman Rapat','20.560.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-11 08:25:14.998','diknas'),
(4002,'47260278','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Pemanfaatan Media Chromebook Kegiatan Asesmen Nasional','250.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat tulis Kantor','Binder Clip No. 155, Bolpoint, Fotocopy, Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Mei 2024','September 2024','April 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4003,'47260686','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Pemanfaatan Media Chromebook Kegiatan Asesmen Nasional','129.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Mei 2024','September 2024','April 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4004,'47260874','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','8.046.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Catridge dan tinta','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Desember 2024','Maret 2024','Mei 2024','2024-01-11 08:18:45.676','diknas'),
(4005,'47261563','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Pemanfaatan Media Chromebook Kegiatan Asesmen Nasional','169.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4006,'47262136','Belanja Makanan dan Minuman Rapat - Pemanfaatan Media Chromebook Kegiatan Asesmen Nasional','7.050.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemanfaatan Media Chromebook Kegiatan Asesmen Nasional','Kue kotak dan Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4007,'47263395','Belanja alat/bahan untuk kegiatan kantor/alat listrik','805.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Alat Listrik','Alat Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:32:51.541','diknas'),
(4008,'47263725','Belanja Tagihan Air','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Tagihan air','Belanja Tagihan air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:32:51.541','diknas'),
(4009,'47263890','Belanja tagihan telepon','48.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja tagihan telepon','Belanja tagihan telepon','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:32:51.541','diknas'),
(4010,'47264931','Belanja alat/bahan untuk kegiatan kantor (foto copy)','10.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Fotocopy','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:40:33.141','diknas'),
(4011,'47279652','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','493.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1. Map snel plastik ( 2 Pak ) 2. Ordner Besar ( 10 Buah ) 3. Sign Pen ( 1 Pack ) 4. Sign Pen sp ( 3 buah ) 5. Fotocopi ( 134 Lembar )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 09:05:48.193','diknas'),
(4012,'47280927','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','574.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1. Kertas HVS F4 (6 RIM ) 2. Kertas HVS F4 warna ( 2 RIM )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 09:05:48.193','diknas'),
(4013,'47282303','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta Epson ( 5 Buah )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 09:05:48.193','diknas'),
(4014,'47284026','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','5.555.500','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja ATK Kegiatan GOPTKI dan Bunda PAUD','Fotocopy 1 lbr Sign Pen B & R 1 Buah Sign Pen Hp Bxv 5 24 Buah Stopmap Kertas 20 Pak Bolpoint 25 Pak Paper Clip Jumbo 10 Pak Bolpoint 25 pak Map Kertas Folio Panda 150 Buah Block Note A4 25 Buah Fotocopy 10 Lbr Sign Pen Scmf 25 Bh','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:27:56.432','diknas'),
(4015,'47285189','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','5.865.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja ATK Kegiatan GOPTKI dan Bunda PAUD','Kertas A4 70 Gr 30 rim kertas HVS F4 70 gram 30 rim kertas HVS F4 70 gram 35 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:27:56.432','diknas'),
(4016,'47285996','Belanja Makanan dan Minuman Rapat','10.575.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','1. Kue kotak ( 225 kotak ) 2. Nasi kotak ( 225 kotak )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 09:05:48.193','diknas'),
(4017,'47286197','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','2.118.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer Data Print 10 Buah Tinta Epson Hitam T 6641 8 Buah Tinta Printer Data Print 10 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:27:56.432','diknas'),
(4018,'47287408','Belanja Makanan dan Minuman Rapat Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','95.669.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Kue Kotak 53 Kotak Nasi Kotak Biasa 53 Kotak Nasi Kotak Biasa 100 Kotak Kue Kotak 1100 kotak Kue Kotak 24 Kotak Nasi Kotak Biasa 24 Kotak Nasi Kotak Biasa 2345 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:27:56.432','diknas'),
(4019,'47302152','Pengadaan ATK Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAU)','2.962.900','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Odner Besar 9 buah, Spidol Maker 9 buah, Spidol Kecil 9 buah, Stapler Hd 50 3 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 16 rim, Tinta Printer Epson 003 Hitam 3 botol, Tinta Printer Epson 003 warna 3 botol','Pengadaan Odner Besar 9 buah, Spidol Maker 9 buah, Spidol Kecil 9 buah, Stapler Hd 50 3 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 16 rim, Tinta Printer Epson 003 Hitam 3 botol, Tinta Printer Epson 003 warna 3 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4020,'47302305','Belanja Penggandaan Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAU)','251.100','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Fotocopy 837 Lembar','Fotocopy 837 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4021,'47302453','Pengadaan Mamin Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAU)','2.256.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Nasi Kotak Biasa 48 kotak, Kue Kotak Biasa 48 kotak','Pengadaan Nasi Kotak Biasa 48 kotak, Kue Kotak Biasa 48 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Oktober 2024','Juli 2024','Oktober 2024','Juli 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(4022,'47312209','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4023,'47312387','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Cermee 3 Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4024,'47312460','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Curahpoh 1 Kec. Curahdami','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4025,'47312490','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4026,'47312520','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Curahpoh 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4027,'47312730','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4028,'47312863','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4029,'47312947','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4030,'47313006','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Lumutan 1 Kec. Botolinggo','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Lumutan 1 Kec. Botolinggo','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Lumutan 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4031,'47313053','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Lumutan 1 Kec. Botolinggo','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Lumutan 1 Kec. Botolinggo','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Lumutan 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4032,'47313100','Perencanaan Teknis Pembangunan Ruang UKS UPTD SDN Lumutan 1 Kec. Botolinggo','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SDN Lumutan 1 Kec. Botolinggo','Perencanaan Teknis Pembangunan Ruang UKS UPTD SDN Lumutan 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4033,'47313925','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Patemon 1 Kec. Tlogosari','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Patemon 1 Kec. Tlogosari','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Patemon 1 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4034,'47314180','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4035,'47314444','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Patemon 1 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4036,'47314546','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4037,'47314632','Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4038,'47314783','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4039,'47314937','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Prajekan Lor 2 Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4040,'47315086','Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','230.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4041,'47315116','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4042,'47315155','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4043,'47315203','Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4044,'47315235','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4045,'47315322','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4046,'47315353','Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(4047,'47315454','Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4048,'47315583','Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4049,'47315646','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4050,'47315669','Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','230.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4051,'47315778','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4052,'47315888','Pembangunan Perpustakaan UPTD SPF SDN Sukorejo3 Kec. Sumber Wringin (DAK)','230.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Sukorejo3 Kec. Sumber Wringin (DAK)','Pembangunan Perpustakaan UPTD SPF SDN Sukorejo3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(4053,'47315997','Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','237.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4054,'47316064','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4055,'47316128','Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','230.000.000','Tender','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juli 2024','November 2024','April 2024','Juli 2024','2024-01-14 00:12:15.644','diknas'),
(4056,'47316159','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4057,'47316267','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4058,'47316493','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','113.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4059,'47316609','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','4.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4060,'47316800','Pengawasan Teknis Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Pengawasan Teknis Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4061,'47316951','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','6.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Sumbersuko 1 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4062,'47316985','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','4.600.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','November 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4063,'47317037','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4064,'47317083','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4065,'47317085','Pengadaan ATK Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAK)','7.904.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Odner Besar 34 buah, Spidol Maker 17 buah, Spidol Kecil 27 buah, Stapler Hd 50 6 buah, Stapler Hd 10 5 buah, Kertas A4 70Gr 52 rim, Tinta Printer Epson 003 Hitam 7 botol, Tinta Printer Epson 003 warna 3 botol','Odner Besar 34 buah, Spidol Maker 17 buah, Spidol Kecil 27 buah, Stapler Hd 50 6 buah, Stapler Hd 10 5 buah, Kertas A4 70Gr 52 rim, Tinta Printer Epson 003 Hitam 7 botol, Tinta Printer Epson 003 warna 3 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','September 2024','Mei 2024','September 2024','April 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4066,'47317124','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','November 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4067,'47317150','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4068,'47317234','Belanja Penggandaan Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAK)','5.758.200','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Fotocopy 19194 Lembar','Belanja Penggandaan Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','September 2024','September 2024','2024-01-14 00:07:35.579','diknas'),
(4069,'47317242','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','110.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Pembangunan Ruang Usaha Kesehatan Sekolah UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4070,'47317307','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','2.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Pengawasan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4071,'47317373','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','3.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Perencanaan Teknis Pembangunan Ruang UKS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4072,'47317409','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4073,'47317517','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4074,'47317575','Pengadaan Mamin Administrasi Proyek Rehabilitasi Ruang Kelas Sekolah (DAK)','1.880.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Nasi Kotak Biasa 40 kotak, Kue Kotak Biasa 40 kotak','Pengadaan Nasi Kotak Biasa 40 kotak, Kue Kotak Biasa 40 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(4075,'47317603','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4076,'47317645','Pengadaan ATK Administrasi Proyek Pengadaan Mebel Sekolah (SILPA)','351.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas A4 70Gr 6 rim','Kertas A4 70Gr 6 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4077,'47317682','Belanja Penggandaan Administrasi Proyek Pengadaan Mebel Sekolah (SILPA)','348.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Foto Copy 1160 Lembar','Foto Copy 1160 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4078,'47317715','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','4.600.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4079,'47317778','Pengadaan ATK Administrasi Proyek Pengadaan Perlengkapan Sekolah (DAU)','234.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Kertas A4 70Gr 4 rim','Pengadaan Kertas A4 70Gr 4 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4080,'47317824','Belanja Penggandaan Administrasi Proyek Pengadaan Perlengkapan Sekolah (DAU)','22.800','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Foto Copi 76 Lembar','Foto Copi 76 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4081,'47317842','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','4.600.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4082,'47317875','Pengadaan ATK Administrasi Proyek Pembangunan Perpustakaan Sekolah (DAU)','3.223.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Odner Besar 6 buah, Spidol Maker 4 buah, Spidol Kecil 4 buah, Stapler Hd 50 2 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 30 rim, Tinta Printer Epson 003 Hitam 3 botol, Tinta Printer Epson 003 warna 2 botol','Odner Besar 6 buah, Spidol Maker 4 buah, Spidol Kecil 4 buah, Stapler Hd 50 2 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 30 rim, Tinta Printer Epson 003 Hitam 3 botol, Tinta Printer Epson 003 warna 2 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4083,'47317898','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','4.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4084,'47317925','Belanja Penggandaan Administrasi Proyek Pembangunan Perpustakaan Sekolah (DAU)','346.800','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Foto Copy 1156 Lembar','1156 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(4085,'47317984','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','4.600.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Pengawasan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:12:15.644','diknas'),
(4086,'47318030','Pengadaan Mamin Administrasi Proyek Pembangunan Perpustakaan Sekolah (DAU)','1.410.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Nasi Kotak Biasa 30 kotak, Kue Kotak Biasa 30 kotak','Pengadaan Nasi Kotak Biasa 30 kotak, Kue Kotak Biasa 30 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(4087,'47318044','Pengawasan Pembangunan Perpustakaan','50.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pembangunan Perpustakaan','Pengawasan Pembangunan Perpustakaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4088,'47318065','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor,Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','8.350.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint 35 pak Buku Block Note Garis 50 Lbr 400 buah map snelhecter plastik 400 buah Fotocopy 11305 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:38:22.767','diknas'),
(4089,'47318075','Perencanaan Pembangunan Perpustakaan','75.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan','Perencanaan Pembangunan Perpustakaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4090,'47318134','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','6.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4091,'47318139','Pengadaan ATK Administrasi Proyek Pembangunan Ruang UKS (DAU)','3.186.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Odner Besar 8 buah, Spidol Maker 8 buah, Spidol Kecil 4 buah, Stapler Hd 50 2 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 24 rim, Tinta Printer Epson 003 Hitam 2 botol, Tinta Printer Epson 003 warna 4 botol','Odner Besar 8 buah, Spidol Maker 8 buah, Spidol Kecil 4 buah, Stapler Hd 50 2 buah, Stapler Hd 10 2 buah, Kertas A4 70Gr 24 rim, Tinta Printer Epson 003 Hitam 2 botol, Tinta Printer Epson 003 warna 4 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','November 2024','Juli 2024','November 2024','Juni 2024','Juli 2024','2024-01-14 00:09:17.129','diknas'),
(4092,'47318159','Belanja Penggandaan Administrasi Proyek Pembangunan Ruang UKS (DAU)','294.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Foto Copy 980 Lembar','Foto Copy 980 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(4093,'47318169','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer,Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','2.052.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','ATK','Tinta Printer Epson Black 6 Buah Tinta Printer Epson Cyan 4 Buah Tinta Printer Epson Magenta 4 Buah Tinta Printer Epson Yellow 4 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:38:22.767','diknas'),
(4094,'47318178','Pengadaan Mamin Administrasi Proyek Pembangunan Ruang UKS (DAU)','1.880.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Nasi Kotak Biasa 40 kotak, Kue Kotak Biasa 40 kotak','Nasi Kotak Biasa 40 kotak, Kue Kotak Biasa 40 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','November 2024','Juni 2024','November 2024','Juni 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4095,'47318184','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sumberanyar 2 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4096,'47318333','Pengadaan ATK Administrasi Proyek Pembangunan Laboratorium Sekolah Dasar (DAK)','4.956.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Odner Besar 10 buah, Spidol Maker 10 buah, Spidol Kecil 12 buah, Stapler Hd 50 3 buah, Stapler Hd 10 5 buah, Kertas A4 70Gr 42 rim, Tinta Printer Epson 003 Hitam 5 botol, Tinta Printer Epson 003 warna 3 botol','Odner Besar 10 buah, Spidol Maker 10 buah, Spidol Kecil 12 buah, Stapler Hd 50 3 buah, Stapler Hd 10 5 buah, Kertas A4 70Gr 42 rim, Tinta Printer Epson 003 Hitam 5 botol, Tinta Printer Epson 003 warna 3 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','April 2024','Juni 2024','April 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4097,'47318376','Belanja Makanan dan Minuman Rapat,Sosialisasi dan Advokasi Kebijakan Bidang Pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','18.800.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','MAMIN','Kue Kotak 400 Kotak Nasi Kotak Biasa 400 per Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','2024-01-11 11:38:22.767','diknas'),
(4098,'47318410','Belanja Penggandaan Administrasi Proyek Pembangunan Laboratorium Sekolah Dasar (DAK)','353.400','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Foto Copy 1178 Lembar','Foto Copy 1178 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4099,'47318427','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','6.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4100,'47318474','Pengadaan Mamin Administrasi Proyek Pembangunan Laboratorium Sekolah Dasar (DAK)','2.350.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Nasi Kotak Biasa 50 kotak, Kue Kotak Biasa 50 kotak','Nasi Kotak Biasa 50 kotak, Kue Kotak Biasa 50 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','November 2024','Juni 2024','November 2024','Mei 2024','Juni 2024','2024-01-14 00:09:17.129','diknas'),
(4101,'47318512','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','6.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4102,'47318565','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Sucolor 1 Kec. Maesan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4103,'47318703','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Klekean 1 Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4104,'47318729','Perencaan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencaan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Perencaan Pembangunan Perpustakaan UPTD SPF SDN Kajar 2 Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4105,'47318751','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jetis 2 Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4106,'47318761','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor,Peningkatan Kapasitas Pengelolaan Dana BOP PAUD','250.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','ATK','Bolpoint 10 Pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-11 11:31:42.464','diknas'),
(4107,'47318971','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','6.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:12:15.644','diknas'),
(4108,'47318994','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','7.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Perencanaan Pembangunan Perpustakaan UPTD SPF SDN Banyuwuluh 1 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','April 2024','Oktober 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4109,'47319100','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor,Peningkatan Kapasitas Pengelolaan Dana BOP PAUD','3.467.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','ATK','banner ,10 M2 Buku Block Note reportad A5 ,100 buah Fotocopy , 9150 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 11:31:42.464','diknas'),
(4110,'47319154','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover,Peningkatan Kapasitas Pengelolaan Dana BOP PAUD','1.233.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','ATK','Kertas HVS A4 70 Gr ,10 rim Kertas HVS F4 70 gram, 10 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 11:31:42.464','diknas'),
(4111,'47319203','Belanja Makanan dan Minuman Rapat,Peningkatan Kapasitas Pengelolaan Dana BOP PAUD','7.050.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Mamin','Kue Kotak 150 Kotak Nasi Kotak Biasa 150 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Oktober 2024','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 11:31:42.464','diknas'),
(4112,'47324456','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','80.855.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy,Ball Point Gel Ink Pen,Banner,Binder Clip No. 200. Block Note A4, Bolpoint,Cetak ID card, Cetak Materi Bintek, Cetak Sertifikat/piagam, Correction 803,Odner Besar, Pensil 2b, Spidol Kecil, Spidol Marker, Stabilo Faber Castle, Stapler HD 10 Kecil,Stopmap kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4113,'47325512','Belanja Alat/ Bahan untuk Kegiatan Kantor-Kertas dan Cover','7.192.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/ Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas Buffalo 50 Lbr, Kertas HVS F4 70 Gram, Kertas A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4114,'47325746','Belanja Modal Alat Peraga PAUD/TK Pembinaan Kelembagaan dan Manajemen PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','60.992.500','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja APE Kegiatan GOPTKI dan Bunda PAUD','Balok Rongga PAUD Seri 90-110 (100 pcs) 5 Unit Balok Uni PAUD Seri 500 5 Unit Boneka Gender PAUD 5 Unit Jungkat-jungkit 5 Unit Kostum Profesi PAUD 5 Unit Papan Lukis 5 Unit Papan Titian 5 Unit Set Alat Musik PAUD 5 Unit Set Bermain Peran/Panggung Boneka PAUD 5 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-11 11:27:56.432','diknas'),
(4115,'47325775','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Cetak','4.401.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Cetak','Catridge Epson L210,Toner Hp Laser Jet 35 A, Catridge Epson L210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4116,'47326102','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','12.071.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk kegiatan Kantor-Bahan Komputer','Tinta Epson Hitam T 6641,Tinta Epson Warna T 6642,Tinta Epson Warna T 6643, Tinta Epson Warna T 6644, Tinta Cartidge untuk Hp office Jet 6110, No 57, Cartridge Epson l 210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4117,'47326322','Belanja Makanan dan Minuman Rapat','45.680.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa, Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4118,'47326684','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Kegiatan Lomba Profil Sekolah','651.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','ATK Kegiatan Lomba Profil Sekolah','banner biasa ( 5 X 1 m) Bolpoint ( 2 pak) Cetak Sertifikat/ piagam ( 23 buah) Paper Clip ( 2 pak) Paper Clip 3/4 ( 1 pak) PlakBand Hitam 2 Inch ( 2 buah) Stopmap Kertas (2 pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4119,'47326812','Belanja Sewa Gedung Tempat Pertemuan','40.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Sewa Gedung Tempat Pertemuan','Sewa Gedung Pertemuan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 09:10:06.771','diknas'),
(4120,'47326823','Pengawasan Teknis Pembangunan Jamban (Toilet)','60.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet)','Pengawasan Teknis Pembangunan Jamban (Toilet)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4121,'47326978','Perencanaan Teknis Pembangunan Jamban (Toilet)','90.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet)','Perencanaan Teknis Pembangunan Jamban (Toilet)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4122,'47327237','Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','130.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4123,'47328120','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','3.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Juli 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4124,'47328408','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','2.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Baratan Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4125,'47328799','Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','130.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4126,'47329933','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','3.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Juli 2024','Januari 2024','Maret 2024','2024-01-14 00:09:17.129','diknas'),
(4127,'47330168','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','2.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gebang Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:09:17.129','diknas'),
(4128,'47330243','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pengembangan konten digital untuk pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','648.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram 10 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juni 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-11 11:32:46.419','diknas'),
(4129,'47331267','Belanja Makanan dan Minuman Rapat Pengembangan konten digital untuk pendidikan Pengelolaan Pendidikan Anak Usia Dini (PAUD)','4.500.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa 150 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 11:32:46.419','diknas'),
(4130,'47331335','Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','130.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4131,'47331475','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Kegiatan Lomba Profil Sekolah','259.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover - Kegiatan Lomba Profil Sekolah','kertas HVS F4 70 gram 4 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4132,'47331679','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','3.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Juli 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4133,'47331995','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','2.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Gubrih 2 Kec. Wringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4134,'47332029','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Kegiatan Lomba Profil Sekolah','158.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer - Kegiatan Lomba Profil Sekolah','Tinta Printer Data Print 3 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4135,'47332477','Belanja Makanan dan Minuman Rapat - Kegiatan Lomba Profil Sekolah','4.324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Rapat Koordinasi Kegiatan Lomba Profil Sekolah','Kue Kotak (92 kotak) Nasi Kotak (92 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4136,'47336052','Belanja Hadiah yang Bersifat Perlombaan - Kegiatan Lomba Profil Sekolah','1.156.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Throphy Juara','Trophy Juara 1, 2 dan 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4137,'47338873','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','115.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4138,'47340286','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Percepatan IKM melalui Platform Merdeka Belajar','1.781.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','banner biasa ( 5m x 1m) Block Note A5 Glosy (50 buah) Bolpoint (6 pak) Fotocopy (1547 lembar) Map Kancing Interx ( 50 buah) Paper Clip ( 2 pak) Stabilo Faber Castle (1 buah) Stopmap Kertas (3 pak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4139,'47340768','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','130.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4140,'47341224','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','3.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Juli 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4141,'47341385','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Percepatan IKM melalui Platform Merdeka Belajar','518.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah ( 1 pak) Kertas A4 70 Gr (3 rim) kertas HVS F4 70 gram ( 5 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4142,'47341766','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','2.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwaru Kec. Binakal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4143,'47342182','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','2.300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4144,'47342286','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','130.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4145,'47342769','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','3.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Perencanaan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Juli 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4146,'47342907','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','3.450.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sulek 2 Kec. Tlogosari (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4147,'47343419','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','2.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Pengawasan Teknis Pembangunan Jamban (Toilet) UPTD SPF SDN Sumberwringin 2 Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4148,'47344727','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','115.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4149,'47344999','Belanja Makanan dan Minuman Rapat - Percepatan IKM melalui Platform Merdeka Belajar','4.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Pelatihan Percepatan IKM melalui Platform Merdeka Belajar','Kue Kotak (100 kotak) Nasi Kotak (100 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4150,'47345273','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','2.300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4151,'47345783','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','3.450.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Sumber Wringin 2 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4152,'47345987','Pembangunan Pagar Samping UPTD SPF SDN Klabang Agung Kec. Tegalampel','35.750.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','Pagar Samping UPTD SPF SDN Klabang Agung Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4153,'47346355','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','318.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:14:10.047','diknas'),
(4154,'47346536','Pembangunan Pagar Depan dan Pagar Belakang UPTD SPF SDN Wonosuko 4 Kec. Tamanan','154.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Pagar Depan dan Pagar Belakang UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Pembangunan Pagar Depan dan Pagar Belakang UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4155,'47347687','Pembangunan Pagar Depan UPTD SPF SDN Klabang Agung Kec. Tegalampel','173.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Pagar Depan UPTD SPF SDN Klabang Agung Kec. Tegalampel','Pembangunan Pagar Depan UPTD SPF SDN Klabang Agung Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4156,'47349554','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 1 Kec. Tamanan','150.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4157,'47349686','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Kegiatan Minat Bakat','112.100','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tuli Kantor','Fotocopy (257 lembar) Tinta stempel Ungu ( 2 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4158,'47349947','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 4 Kec. Tamanan','45.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Pembangunan Pagar Samping UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4159,'47350392','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','3.460.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4160,'47350493','Belanja Pakaian Olahraga Kegiatan FLS2N, O2SN, OSN dan POR SD','10.080.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Pakaian Olahraga Kegiatan FLS2N, O2SN, OSN dan POR SD','Jaket (Prolanis) kegiatan FLS2N (8 buah) Jaket (Prolanis) kegiatan O2SN (12 buah) Jaket (Prolanis) kegiatan OSN (10 buah) Jaket (Prolanis) kegiatan POR SD (12 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4161,'47351009','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','5.190.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Klabang Agung Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Agustus 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4162,'47351519','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','3.010.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4163,'47352609','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','4.515.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 1 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Agustus 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4164,'47352947','Belanja Modal Tanda Penghargaan Bidang Lainnya - Kegiatan FLS2N, O2SN, OSN','14.807.900','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Trhopy juara Kegiatan FLS2N, O2SN, OSN','Trophy Juara 1, 2, 3 kegiatan FLS2N Trophy Juara 1, 2 kegiatan OSN Trophy Juara 1, 2, 3 kegiatan O2SN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','April 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4165,'47353027','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','3.980.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Pengawasan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4166,'47353432','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','5.970.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Perencanaan Teknis Pembangunan Pagar UPTD SPF SDN Wonosuko 4 Kec. Tamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','April 2024','Agustus 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4167,'47354401','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.565.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1. Isi steples 1 buah 2. Ordner besar 20 buah 3. Sign pen 10 buah 4. Fotokopi 2458 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:21:29.03','diknas'),
(4168,'47357841','Belanja Kertas dan Cover Kegiatan Pembinaan, Pengawasan dan Pengendalian barang milik daerah pada SKPD','3.333.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Kertas dan Cover','HVS : 50 rim HVS Warna : 1 RIm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 10:21:29.03','diknas'),
(4169,'47358397','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - ATK Pendampingan pencegahan perundungan, kekerasan, dan intoleransi Sumber','550.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','ATK Pendampingan','banner biasa, Bolpoint, Fotocopy, Isi Stapler Kecil No.10, Paper Clip, Spidol Hitam Boardmarker, Stapler Hd 10 Kecil, Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','April 2024','Mei 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4170,'47360224','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - pendampingan pencegahan perundungan, kekerasan, dan intoleransi','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover - pendampingan pencegahan perundungan, kekerasan, dan intoleransi','kertas HVS F4 70 gram ( 2 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','April 2024','Mei 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4171,'47361212','Belanja Makanan dan Minuman Rapat - pendampingan pencegahan perundungan, kekerasan, dan intoleransi','5.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Rapat Koordinasi pendampingan pencegahan perundungan, kekerasan, dan intoleransi','Kue Kotak ( 120 kotak) Nasi Kotak ( 120 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','April 2024','Mei 2024','Januari 2024','Maret 2024','2024-01-14 00:07:35.579','diknas'),
(4172,'47362225','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','115.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4173,'47364081','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','2.300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Pengawasan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4174,'47365801','Perencanaan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','3.450.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Perencanan Rehabilitasi Sedang/Berat Perpustakaan Sekolah UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4175,'47367849','Biaya Konstruksi Pembangunan area bermain beserta APE luar ruang TKS AL KAUTSAR (DAK)Pembangunan Sarana, Prasarana dan Utilitas PAUD','157.765.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pasangan Batu, Pemasangan Paving, Pengadaan Permainan APE luar','Pasangan Batu, Pemasangan Paving, Pengadaan Permainan APE luar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-11 14:29:52.334','diknas'),
(4176,'47368965','Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','75.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4177,'47370443','Pengawasan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Pengawasan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4178,'47371183','Perencanaan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','2.250.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Perencanaan Rehabilitasi Sedang/Berat Ruang Guru UPTD SPF SDN Sukodono 2 Kec. Pujer (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4179,'47371458','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - MONEV BOSP','709.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4180,'47373761','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','50.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4181,'47374470','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Evaluasi dan Tindak Lanjut Satuan Pendidikan Dasar bagi Lembaga Regrouping','342.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover - Evaluasi dan Tindak Lanjut Satuan Pendidikan Dasar bagi Lembaga Regrouping','Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4182,'47374619','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4183,'47376268','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Evaluasi dan Tindak Lanjut Satuan Pendidikan Dasar bagi Lembaga Regrouping','262.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Tinta Cetak CANON 200ML,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4184,'47376923','Belanja Makanan dan Minuman Rapat - Evaluasi dan Tindak Lanjut Satuan Pendidikan Dasar bagi Lembaga Regrouping','2.115.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4185,'47377624','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','50.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4186,'47378485','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4187,'47379891','Pengadaan LCD Proyektor (TIK) DAK','43.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'7 unit','Pengadaan LCD Proyektor (TIK) DAK','Pengadaan LCD Proyektor (TIK) DAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4188,'47379912','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Sukorejo 3 Kec. Sumber Wringin (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:12:15.644','diknas'),
(4189,'47380282','Pengadaan Connector Type C (TIK) DAK','1.400.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'7 buah','Pengadaan Connector Type C (TIK) DAK','Pengadaan Connector Type C (TIK) DAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4190,'47380334','Belanja Makanan dan Minuman Aktivitas Lapangan - Tim Evaluasi dan Monitoring BOSP','1.410.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Makan dan Minum Tim Evaluasi dan Monitoring BOSP','Kue Kotak dan Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4191,'47381020','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','50.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4192,'47381373','Pengadaan TIK Laptop Chromebook (DAK)','640.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'105 unit','Pengadaan TIK Laptop Chromebook (DAK) 15 unit x 7 Lembaga','Pengadaan TIK Laptop Chromebook (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4193,'47381697','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4194,'47382054','Pengadaan TIK Wireless Router (DAK)','14.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'7 buah','Pengadaan TIK Wireless Router (DAK)','Pengadaan TIK Wireless Router (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4195,'47382388','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Tegalmijin 1 Kec. Grujugan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4196,'47384459','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','773.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor Program Anti Perundungan Siswa Sekolah, Belanja Program Anti Perundungan Siswa Sekolah, Belanja Alat Tulis Kantor Program Anti Perundungan Siswa Sekolah, Sosialisasi Kebijakan Pelaksanaan Asesmen Nasional','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4197,'47384941','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.623.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','Kertas A4 70 Gr, kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4198,'47385067','Pengadaan TIK Smart Board (Papan Pintar)','1.239.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'7 unit','Pengadaan TIK Smart Board (papa pintar) kepada Sekolah : SDN Dabasah 1, SDN Dabasah 3, SDN Koncer 2, SDN Kotakulon 1, SDN Kotakulon 2 dan SDN Tenggarang 1','Pengadaan TIK Smart Board (Papan Pintar)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4199,'47385385','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','772.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Bahan Komputer','Tinta Cetak CANON 200ML','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4200,'47385676','Belanja Makanan dan Minuman Rapat','22.180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4201,'47388222','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Jampit 2 Kec. Ijen (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4202,'47388920','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','50.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4203,'47389231','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Pengawasan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','November 2024','Desember 2024','Mei 2024','Oktober 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4204,'47389462','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Perencanaan Rehabilitasi Sedang/Berat Ruang KS UPTD SPF SDN Wonosuko 2 Kec. Tamanan (DAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Oktober 2024','Desember 2024','Mei 2024','September 2024','Februari 2024','April 2024','2024-01-14 00:07:35.579','diknas'),
(4205,'47404380','Pengadaan Alat Permainan Edukatif APE dan alat pembelajaran TKS DHARMA BAKTI Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar Pembangunan Sarana, Prasarana dan Utilitas PAUD Pengelolaan Pendidikan Anak Usia Dini (PAUD)','40.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Alat Permainan Edukatif APE dan alat pembelajaran TKS DHARMA BAKTI (DAK)','Alat Peraga Paud/Tk Lainnya Tema Aku Sayang Bumi 1 Paket Alat Peraga Paud/Tk Lainnya Tema Imajinasi dan Kreatifitasku 1 Paket Alat Peraga Paud/Tk Lainnya Tema Kita Semua Bersaudara 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Juni 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-11 14:09:55.496','diknas'),
(4206,'47404503','Pengadaan Mebel Pembangunan Ruang UKS (DAK)','65.580.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Pembangunan Ruang UKS (DAK)','1. Lemari Kelas 6 Buah 2. Lemari Besi 6 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4207,'47405370','Pengadaan Alat Permainan Edukatif APE dan alat pembelajaran TKS IBRAHIMY, Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar, Pengadaan Alat Praktik dan Peraga Siswa PAUD, Pengelolaan Pendidikan Anak Usia Dini (PAUD)','40.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Alat Permainan Edukatif APE dan alat pembelajaran TKS IBRAHIMY DAK','Alat Peraga Paud/Tk Lainnya Tema Aku Sayang Bumi 1 Paket Alat Peraga Paud/Tk Lainnya Tema Imajinasi dan Kreatifitasku 1 Paket Alat Peraga Paud/Tk Lainnya Tema Kita Semua Bersaudara 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 14:09:55.496','diknas'),
(4208,'47405736','Pengadaan Mebel Pembangunan Lab. Komputer (DAK)','154.560.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Pembangunan Lab. Komputer (DAK)','1. Kursi Siswa 84 Buah 2. Meja Siswa 84 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4209,'47407298','Pengadaan Alat Permainan Edukatif APE dan alat pembelajaran TKS IDHATA DAK Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela dan Sosial yang Telah Memiliki Surat Keterangan Terdaftar, Pengadaan Alat Praktik dan Peraga Siswa PAUD, Pengelolaan Pendidikan Anak Usia Dini (PAUD)','40.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Alat Permainan Edukatif $APE% dan alat pembelajaran TKS IDHATA $DAK%','Alat Peraga Paud/Tk Lainnya Tema Aku Sayang Bumi 1 Paket Alat Peraga Paud/Tk Lainnya Tema Imajinasi dan Kreatifitasku 1 Paket Alat Peraga Paud/Tk Lainnya Tema Kita Semua Bersaudara 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 14:09:55.496','diknas'),
(4210,'47409064','Pengadaan Mebel Pembangunan Perpustakaan (DAK)','98.400.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Pembangunan Perpustakaan (DAK)','Rak Kayu 16 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4211,'47410040','Pengadaan Mebel Pembangunan Ruang UKS (DAK)','43.950.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Pembangunan Ruang UKS (DAK)','1. Kursi Guru 6 Buah 2. Meja Guru 6 Buah 3. Tempat Tidur Pasien 6 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4212,'47410577','Biaya K0nstruksi Pembangunan Arera Bermain Beserta APE Luar ruang TKS Widya Mandala','157.765.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pasangan Batu, Pemasangan Paving, Pengadaan Permainan APE luar','Pasangan Batu, Pemasangan Paving, Pengadaan Permainan APE luar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-11 14:29:52.334','diknas'),
(4213,'47411293','Perencanaan Pembangunan area bermain beserta APE luar ruangan TKS AL Kautsar','4.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-11 14:29:52.334','diknas'),
(4214,'47412036','Perencanaan Pembangunan Area bermain beserta APE Luar ruangan TK Widya Mandala','4.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','SURVEY, PRA DESIGN, DETAIL GAMBAR, PERHITUNGAN RAB, PRODUK PERENCANAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juni 2024','Mei 2024','Mei 2024','April 2024','April 2024','2024-01-11 14:29:52.334','diknas'),
(4215,'47412989','Pengawasan Pembangunan Area bermain beserta APE Luar ruangan TK Widya Mandala','2.800.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan Pekerjaan, laporan pengawasan','Pengawasan Pekerjaan, laporan pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-11 14:29:52.334','diknas'),
(4216,'47412992','Pengadaan Mebel Rehab Perpustakaan (DAK)','73.800.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Rehab Perpustakaan (DAK)','Rak Kayu 12 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4217,'47413865','Pengawasan Pembangunan Area bermain beserta APE Luar ruangan TKS Al Kautsar','2.800.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengawasan lapangan, laporan pengawasan','Pengawasan lapangan, laporan pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','September 2024','Desember 2024','Juli 2024','September 2024','Juni 2024','Juni 2024','2024-01-11 14:29:52.334','diknas'),
(4218,'47415535','Pengadaan Mebel Rehab Ruang Kelas (DAK)','353.280.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Rehab Ruang Kelas (DAK)','1. Kursi Siswa 192 Buah 2. Meja Siswa 192 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4219,'47416370','Pengadaan Mebel (Kursi Guru) Rehab Ruang KS/Guru/TU','29.540.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Rehab Ruang KS/Guru/TU','1. Kursi Guru 3 Buah 2. Kursi KS 4 Buah 3. Meja Guru 3 Buah 4. Meja KS 4 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:12:15.644','diknas'),
(4220,'47421135','Pengadaan Mebel Pembangunan Ruang Kelas Baru (DAK)','22.080.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pengadaan Mebel Pembangunan Ruang Kelas Baru (DAK)','1. Kursi Siswa 12 Buah 2. Meja Siswa 12 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Maret 2024','Mei 2024','2024-01-14 00:09:17.129','diknas'),
(4221,'47424438','Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah','20.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah','Pemeliharaan Rutin Sarana, Prasarana dan Utilitas Sekolah 4 lembaga @ Rp 5.000.000,-','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','Juli 2024','Oktober 2024','Maret 2024','Juni 2024','2024-01-14 00:07:35.579','diknas'),
(4222,'47424963','Pengadaan Perlengkapan UPTD SPF SDN Gubrih 1 Kec. Wringin','7.371.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'3 buah','Pengadaan Perlengkapan (Lemari) UPTD SPF SDN Gubrih 1 Kec. Wringin','Pengadaan Perlengkapan (Lemari) UPTD SPF SDN Gubrih 1 Kec. Wringin Lemari Besi Royal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4223,'47425460','Pengadaan Perlengkapan UPTD SPF SDN Selolembu Kec. Curahdami','7.371.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'3 buah','Pengadaan Perlengkapan (Lemari) UPTD SPF SDN Selolembu Kec. Curahdami','Pengadaan Perlengkapan (Lemari) UPTD SPF SDN Selolembu Kec. Curahdami 3 Lemari Besi Royal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Juni 2024','Oktober 2024','Februari 2024','Mei 2024','2024-01-14 00:07:35.579','diknas'),
(4224,'47457997','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Pelatihan Penyusunan Kurikulum Mulok Jenjang SD','1.426.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:17:51.765','diknas'),
(4225,'47458065','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Pelatihan Penyusunan Mulok Pendidikan Sekolah Dasar','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'5 rim','Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:17:51.765','diknas'),
(4226,'47458154','Belanja Makanan dan Minuman Rapat - Pelatihan Penyusunan Kurikulum Mulok Jenjang SD','6.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:17:51.765','diknas'),
(4227,'47458876','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Peningkatan Kapasitas Pengelolaan Dana BOS Sekolah Dasar','50.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4228,'47458932','Belanja Makanan dan Minuman Rapat - Peningkatan Kapasitas Pengelolaan Dana BOS Sekolah Dasar','49.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4229,'47460230','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor - Pembinaan Kelembagaan dan Manajemen Sekolah','2.660.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4230,'47460372','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover - Pembinaan Kelembagaan dan Manajemen Sekolah','2.757.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 paket','Kertas dan Cover','kertas HVS F4 70 gram, Kertas A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4231,'47460542','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer - Pembinaan Kelembagaan dan Manajemen Sekolah','3.716.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'24 buah','Bahan Komputer','Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4232,'47460742','Belanja Makanan dan Minuman Rapat - Pembinaan Kelembagaan dan Manajemen Sekolah','11.515.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'490 kotak','Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-14 00:07:35.579','diknas'),
(4233,'48024244','Belanja Bahan-bahan Bangunan dan Konstruksi','42.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Bahan-bahan Bangunan dan Konstruksi','Belanja Cat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-18 10:09:42.138','diknas'),
(4234,'48024579','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.603.100','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pendidikan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1. Bufallo warna ( 1 pack ) 2. HVS F4 ( 20 Rim ) 3. HVS f4 warna ( 3 Rim )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-18 10:09:42.138','diknas'),
(4235,'47371922','Belanja Bahan-Bahan Bakar dan Pelumas','3.416.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:54:13.018','dishub'),
(4236,'47371925','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:49:50.734','dishub'),
(4237,'47371931','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','968.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Paper Clip; Snelhecter Map Jenis Kertas; Lem Cair 111; lakban besar hitam; Isi Stapler Kecil No.10; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4238,'47371936','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.035.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:54:13.018','dishub'),
(4239,'47381063','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','95.400','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Suvenir/Cendera Mata;','Goodie Bag;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Agustus 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4240,'47381064','Belanja Sewa Peralatan Studio Audio','1.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Sewa Peralatan Studio Audio;','sewa sound system;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4241,'47381065','Belanja Sewa Bangunan Gedung Tempat Pertemuan','4.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Sewa Bangunan Gedung Tempat Pertemuan;','Sewa Gedung Pertemuan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4242,'47381066','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','830.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Buram Folio; Kertas A4 70 Gr; Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4243,'47381067','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','15.924.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perabot Kantor;','Kaos bahan katun;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4244,'47381068','Belanja Makanan dan Minuman Rapat','14.345.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Nasi Kotak Biasa ; Air Mineral; Nasi Tumpeng Biasa, Makan dan minum biasa; Prasmanan Biasa, Makan dan minum Rapat; Kue Prasmanan Biasa, Makan dan minum Rapat; Kue Prasmanan Biasa, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4245,'47381069','Belanja Sewa Alat Kantor Lainnya','500.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Sewa Alat Kantor Lainnya;','sewa tenda;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','September 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4246,'47381071','Belanja Modal Tanda Penghargaan Bidang Lainnya','2.313.000','Pengadaan Langsung','APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Tanda Penghargaan Bidang Lainnya; Tanda Penghargaan Bidang Lainnya; Tanda Penghargaan Bidang Lainnya;','Trophy Juara 1; Trophy Juara 2; Trophy Juara 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4247,'47381072','Belanja Modal Alat Peraga PAUD/TK','2.060.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Peraga PAUD/TK;','Alat Peraga Rambu - Rambu Lalu Lintas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4248,'47381073','Belanja Modal Rambu Tidak Bersuar','5.380.800','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Rambu Tidak Bersuar;','Kerucut Lalu Lintas Ukuran 60 Cm, Standar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Agustus 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4249,'47381074','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','1.590.000','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perlengkapan Dinas; Perlengkapan Dinas;','senter Lalu Lintas; Rompi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4250,'47381075','Belanja Bahan-Bahan Bakar dan Pelumas','7.280.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:54:13.018','dishub'),
(4251,'47381077','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.489.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; X banner; banner; Bolpoint; Correction Tape Roll; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4252,'47381078','Belanja Makanan dan Minuman Jamuan Tamu','320.000','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Air Mineral Botol; Kue Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4253,'47381832','Belanja Bahan-Bahan Bakar dan Pelumas','3.325.000','Dikecualikan','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4254,'47381834','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.463.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Buku Agenda; Spidol Permanen; Tinta Stempel; Paper Clip Cadwell No. 3 (Tanggung); Stopmap Kertas; Ordner Lux Folio; Lem Cair 111; Fotocopy; Pemotong Kertas; Binder Clip No. 155;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:54:13.018','dishub'),
(4255,'47381837','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.684.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4256,'47381839','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.381.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 003; Flash Disk 16Gb;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4257,'47381841','Belanja Modal Mesin Hitung/Mesin Jumlah','301.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Mesin Hitung/Mesin Jumlah;','Kalkulator Elektronik D - 20 Lw;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4258,'47382114','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','2.546.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perlengkapan Dinas;','Kaos Bahan Jersey;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4259,'47382115','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','961.600','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Leaflet/Brosur; Bolpoint; Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4260,'47382116','Belanja Bahan-Bahan Bakar dan Pelumas','532.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4261,'47382117','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4262,'47382327','Belanja Modal Mesin Hitung/Mesin Jumlah','301.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Mesin Hitung/Mesin Jumlah;','Kalkulator Elektronik D - 20 Lw;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4263,'47382330','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','371.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 Buah; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4264,'47382331','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4265,'47382332','Belanja Bahan-Bahan Bakar dan Pelumas','700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4266,'47382333','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.368.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; Stopmap Kertas; Snelhecter Map Jenis Kertas; Ordner Lux Folio; Stapler Hd 3 Df Jilid; Fotocopy; Pensil 2B; Paper Clip; Map snell plastik; Bak Surat Tray 3 Susun; Binder Clip No. 200; isi stappler No. 10;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4267,'47382946','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.499.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor ;','Stop Map Kertas Biasa; banner; Snelhecter Map; Fotocopy; Tiket Mudik Gratis;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4268,'47382947','Belanja Bahan-Bahan Bakar dan Pelumas','5.964.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4269,'47382948','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4270,'47382950','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.696.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4271,'47382951','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4272,'47382952','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','105.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Sewa Alat Angkutan Darat Bermotor Lainnya;','Sewa Bus Kegiatan Keagamaan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 13:54:13.018','dishub'),
(4273,'47383106','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.235.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; map snelhecter plastik; Stopmap Kertas; Snelhecter Map Jenis Kertas; Penggaris Baja 30 Cm; Cutter L 500; Lem Cair 111; Isi Stapler Kecil No.10; Bolpoint; Pensil Staedtler 2B; Stabilo Faber Castle; Fotocopy; Binder Clip No. 155; Brief Odner ukuran f4; Tinta stempel Ungu;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4274,'47383107','Belanja Bahan-Bahan Bakar dan Pelumas','658.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4275,'47383108','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.548.300','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer Hitam 664; Tinta Printer Warna 664;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4276,'47383109','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','758.200','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4277,'47383517','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4278,'47383520','Belanja Jasa Konsultansi Berorientasi Bidang-Transportasi','225.000.000','Seleksi','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Konsultansi Berorientasi Bidang-Transportasi;','Penyusunan Rencana Induk Jaringan LLAJ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Mei 2024','November 2024','Maret 2024','Mei 2024','2024-01-12 13:49:50.734','dishub'),
(4279,'47383521','Belanja Bahan-Bahan Bakar dan Pelumas','2.800.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:54:13.018','dishub'),
(4280,'47383523','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','925.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Bolpoint; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4281,'47383525','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4282,'47383704','Belanja Jasa Konsultansi Berorientasi Bidang-Transportasi','95.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Konsultansi Berorientasi Bidang-Transportasi;','Study Kelayakan Pembangunan Terminal Penumpang Tipe C ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4283,'47383706','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','82.500','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4284,'47383708','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4285,'47383711','Belanja Bahan-Bahan Bakar dan Pelumas','1.008.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4286,'47383712','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4287,'47384816','Pengadaan Semen','120.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'2 zak','Pengadaan semen','Semen','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-12 13:53:33.089','dishub'),
(4288,'47386997','Pengadaan Marka Jalan 1','200.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1000 m2','Pengadaan Marka Jalan Thermoplastic Glassbead','Thermoplastic Glassbead','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4289,'47388651','Pengadaan Marka Jalan 2','141.600.000','Dikecualikan','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'708 m2','Pengadaan Marka Jalan Thermoplastic Glassbead','Pengadaan Marka Jalan Thermoplastic Glassbead','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4290,'47388736','Belanja Makanan dan Minuman Rapat','11.640.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4291,'47388737','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','560.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Bolpoint; banner biasa;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4292,'47389593','Pengadaan Marka Jalan 3','148.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'740 m2','Pengadaan Marka Jalan Thermoplastic Glassbead','Pengadaan Marka Jalan Thermoplastic Glassbead','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4293,'47390456','Perencanaan Teknis Pengadaan Marka Jalan','21.542.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perencanaan Teknis Pengadaan Marka Jalan','Perencanaan Teknis Pengadaan Marka Jalan (RAB, BQ, Gambar, RKS, Spesifikasi, Foto 0%)','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Maret 2024','April 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4294,'47391126','Pengawasan Teknis Pengadaan Marka Jalan','16.156.800','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengawasan Teknis Pengadaan Marka Jalan','Pengawasan Teknis Pengadaan Marka Jalan (Laporan Harian, Mingguan, Laporan Akhir, Doukumentasi)','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4295,'47392175','Pengadaan Controller Warning Light','1.625.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Unit','Pengadaan Controller Warning Light','Pengadaan Controller Warning Light 3 phase PLN','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Agustus 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4296,'47392696','Belanja Bahan-Bahan Bakar dan Pelumas','52.765.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamina Dex;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4297,'47392698','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','46.900','Pengadaan Langsung','APBD, APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Top Star; Bolpoint;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4298,'47392700','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','188.100','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4299,'47392702','Belanja Pembayaran Pajak, Bea, dan Perizinan','10.000.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Pembayaran Pajak, Bea, dan Perizinan;','Pajak Kendaraan Dinas Bermotor;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4300,'47392866','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','56.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Buku Tulis 38 Lbr; Kerangjang Plastik Standar;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4301,'47392867','Belanja Pemeliharaan Komputer-Peralatan Komputer-Peralatan Personal Computer','1.460.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Pemeliharaan Komputer-Komputer Unit-Personal Computer;','Pemeliharaan Personal Computer/ Notebook;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4302,'47392869','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','4.600.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Service Printer; Service kendaraan;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4303,'47392870','Belanja Bahan-Bahan Bakar dan Pelumas','4.664.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','oil mesin;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4304,'47392871','Belanja Suku Cadang-Suku Cadang Alat Besar','38.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Suku Cadang Alat Besar ;','Belanja Suku Cadang ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4305,'47392872','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga-Alat Rumah Tangga-Alat Pendingin','1.220.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Pemeliharaan Alat Kantor dan Rumah Tangga-Alat Rumah Tangga-Alat Pendingin;','Pemeliharaan AC Split;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4306,'47393063','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4307,'47393064','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.096.800','Pengadaan Langsung','APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bak Surat Tray 3 Susun; Sign Pen Rs 3; Bolpoint;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4308,'47393065','Belanja Modal Bangunan Gedung Kantor','73.708.800','Pengadaan Langsung','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bangunan Gedung Kantor; Bangunan Gedung Kantor; Bangunan Gedung Kantor;','Rehab Ringan Gedung Negara Sederhana; Perencanaan Rehab Ringan Gedung Negara Sederhana; Pengawasan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 13:49:50.734','dishub'),
(4309,'47393326','Belanja Makanan dan Minuman Rapat','1.200.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Air Mineral;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4310,'47393327','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.646.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; map snelhecter plastik; Stop Map Kertas Biasa; Ordner Rosek Kw; Lem Stick; Stapler Hd 10 Kecil; Fotocopy; Pensil 2B; Bolpoint; Paper Clip 5; Gunting Besar; Bak Surat Tray 3 Susun; Kerangjang Plastik Standar; Porforator Heavy Duty Punch Besar;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4311,'47393329','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','188.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat/Bahan untuk Kegiatan Kantor Lainnya;','Box File ukuran f4;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4312,'47393355','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta 003 ( L1110,L3150,L5190 ) 4 warna;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4313,'47393357','Belanja Makanan dan Minuman Jamuan Tamu','510.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu;','Kue Kotak Biasa, Makan dan minum Jamuan tamu;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4314,'47393358','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','607.200','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Sticky Note 20 x 50 mm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4315,'47393580','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','640.000','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4316,'47393581','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Paper Clip No. 1 (Kecil);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4317,'47393582','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','4.355.000','Penunjukan Langsung','APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel TC 2 X 10 mm; Lampu LED Sorot 50 W; Lampu LED 15 Watt; Lampu Meteor LED RGB; Kabel Stopkontak Rol;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4318,'47393853','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','66.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Ordner Rosek Fi;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4319,'47393854','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.934.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sikat WC; Pengharum Kamar mandi; sapu ijuk; Sikat kamar mandi; Reffil kain pel; Alat Pengepel Lantai; Kain Lap; cairan penghilang noda; pengharum ruangan sprey; Kapur barus Toilet; Dispencer pengharum ruangan; Isi ulang pewangi ruangan; taplak meja; Tempat Sampah; Keset Besar; Serokan Air; Sapu Lidi; Sabun cuci tangan Lifebuoy; Kain Lap / Serbet Makan Serbaguna kain katun, 53 x 52 cm;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4320,'47394113','Belanja Makanan dan Minuman Rapat','4.115.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Teh; Gula Pasir; Kue Kotak;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4321,'47394114','Belanja Makanan dan Minuman Jamuan Tamu','585.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Kopi; Air Mineral; Air Mineral Botol;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4322,'47394115','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:53:33.089','dishub'),
(4323,'47394116','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','170.400','Pengadaan Langsung','APBD, APBD, APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map Jenis Kertas; Paper Clip Cadwell No. 3 (Tanggung); Paper Clip No. 1 (Kecil);','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:53:33.089','dishub'),
(4324,'47394816','Belanja Makanan dan Minuman Rapat','9.330.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4325,'47394817','Alat Tulis Kantor','42.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'4 Buah','Alat Tulis Kantor;','Correction Tape Roll;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4326,'47394818','Alat Tulis Kantor','290.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'10 Buah','Alat Tulis Kantor;','Odner Besar (forte);','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4327,'47394819','Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'120 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4328,'47394820','Alat Tulis Kantor','207.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'90 Buah','Alat Tulis Kantor;','Stopmap Kertas Panda;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4329,'47394821','Alat Tulis Kantor','110.400.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'138000 Lembar','Alat Tulis Kantor;','Pengadaan Bukti Lunas Parkir Berlangganan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4330,'47394822','Alat Tulis Kantor','145.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'145000 Lembar','Alat Tulis Kantor;','Pengadaan Stiker Parkir Berlangganan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4331,'47394823','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.173.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4332,'47394824','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','300.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4333,'47394825','Belanja Bahan-Bahan Bakar dan Pelumas','1.400.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4334,'47394826','Alat Tulis Kantor','250.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'10 Pak','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4335,'47394827','Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'20 Pak','Alat Tulis Kantor;','Paper Clip;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4336,'47394828','Alat Tulis Kantor','86.100','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'287 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4337,'47394829','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.784.800','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Hitan; Tinta Epson 001 Warna;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4338,'47394830','Belanja Makanan dan Minuman Aktivitas Lapangan','2.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Aktivitas Lapangan;','Nasi Kotak Biasa Makan dan minunm aktifitas lapangan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-12 13:53:33.089','dishub'),
(4339,'47394831','Belanja Modal Rambu Tidak Bersuar','76.956.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Rambu Tidak Bersuar;','Pengadaan Seragam Juru Parkir','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4340,'47394842','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.585.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas 19.5 X 24.5; Sticky Note 20 x 50 mm; Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4341,'47394843','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.170.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; Snelhecter Map Jenis Kertas; Stop Map Kertas Biasa; Map Plastik L Interx; Ordner Besar; Double Tape 2 Inch X 72 Yard; Stapler Hd 10; Isi Stapler Kecil No.10; lembar cetak disposisi; Fotocopy; Buku Agenda Surat Keluar Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Isi Ball Point Pentel 09; Porforator Heavy Duty Punch Besar; Gunting; Tinta stempel; Paper Clip; Penggaris Baja 60 Cm; cetak map; Buku Agenda Surat Masuk Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Bak Surat Tray 2 Susun; Binder Clip No. 155; Binder Clip No. 200; Binder Clip No. 260; PlakBand Pls 2 Inch;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4342,'47394844','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','933.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4343,'47394845','Belanja Modal Mesin Hitung/Mesin Jumlah','311.100','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Mesin Hitung/Mesin Jumlah;','Kalkulator Elektronik D - 40 Lw;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','November 2024','Desember 2024','November 2024','November 2024','2024-01-12 13:49:50.734','dishub'),
(4344,'47395019','Belanja Tagihan Air','28.680.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Tagihan Air;','instansi Pemerintah > 20;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:49:50.734','dishub'),
(4345,'47395020','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Penunjukan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4346,'47395021','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','211.400','Penunjukan Langsung','APBD, APBD, APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip; Paper Clip No. 1 (Kecil); Snelhecter Map Jenis Kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:53:33.089','dishub'),
(4347,'47395022','Belanja Tagihan Listrik','27.394.200','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Tagihan Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:53:33.089','dishub'),
(4348,'47395023','Belanja Kawat/Faksimili/Internet/TV Berlangganan','49.896.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Jasa Layanan ASTINet Lite (Speedy);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:49:50.734','dishub'),
(4349,'47395136','Pertamax','11.410.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'815 Liter','Pengadaan Pertamax','Pengadaan Pertamax','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 13:53:33.089','dishub'),
(4350,'47395268','Belanja Makanan dan Minuman Rapat','7.200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4351,'47395269','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','5.400.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','servis kendaraan roda 2; Beban Jasa Service;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4352,'47395270','Belanja Kursus Singkat/Pelatihan','58.000.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Kursus Singkat/Pelatihan; Beban Kursus Singkat/Pelatihan;','Diklat PPNS 200 JP; Diklat PPNS 400 JP;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4353,'47395271','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.729.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Buram Folio; kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4354,'47395272','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','601.100','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Paper Clip; Penggaris Baja 60 Cm; Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4355,'47395273','Belanja Suku Cadang-Suku Cadang Alat Besar','19.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Suku Cadang Alat Besar ;','Belanja Suku Cadang ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4356,'47395274','Belanja Suku Cadang-Suku Cadang Alat Angkutan','20.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Kendaraan Dinas Roda Dua;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4357,'47395275','Belanja Bahan-Bahan Bakar dan Pelumas','37.639.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; Pertamax ; Oli Mesin Roda 2; Oli Mesin Roda 4;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4358,'47395276','Belanja Sewa Tanah Persil Lainnya','2.400.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Sewa Tanah Persil Lainnya;','Sewa tanah;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4359,'47395277','Belanja Modal Mesin Hitung/Mesin Jumlah','342.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Mesin Hitung/Mesin Jumlah;','Kalkulator Elektronik Fx - 570 Es;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4360,'47395278','Belanja Modal Sepatu Lapangan','31.800.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Sepatu Lapangan;','Pengadaan Sepatu Petugas Lalu Lintas;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Oktober 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4361,'47395398','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','210.000','Penunjukan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4362,'47395399','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Penunjukan Langsung','APBD, APBD','August 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-12 13:49:50.734','dishub'),
(4363,'47395400','Belanja Iuran Jaminan Kesehatan bagi Non ASN','175.200.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Iuran Jaminan Kesehatan bagi Non ASN;','BPJS Tenaga Kontrak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:49:50.734','dishub'),
(4364,'47395401','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','21.024.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Iuran Jaminan Kecelakaan Kerja bagi Non ASN;','Premi Asuransi Ketenagakerjaan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:49:50.734','dishub'),
(4365,'47395409','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','82.300','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:53:33.089','dishub'),
(4366,'47395410','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','940.500','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:53:33.089','dishub'),
(4367,'47395411','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.239.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4368,'47395412','Belanja Kursus Singkat/Pelatihan','4.970.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Kursus Singkat/Pelatihan;','Diklat Penilaian Analisis Dampak Lalu Lintas;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4369,'47395543','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.628.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; Odner Besar (forte); Snelhecter Map; Stopmap Kertas Panda; Isi Steples Kecil No 10; Isi Steples Besar No 3; Fotocopy; map snell plastik;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4370,'47395544','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.544.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:53:33.089','dishub'),
(4371,'47395545','Belanja Bahan-Bahan Bakar dan Pelumas','2.800.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4372,'47395546','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','940.500','Pengadaan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:53:33.089','dishub'),
(4373,'47395655','Belanja Modal Kendaraan Dinas Bermotor Perorangan','590.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kendaraan Dinas Bermotor Perorangan;','Kendaraan Roda Empat Dinas Perhubungan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:49:50.734','dishub'),
(4374,'47395656','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4375,'47395657','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4376,'47395658','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','156.100','Penunjukan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Penghapus 52640; Snelhecter Map Jenis Kertas;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4377,'47395659','Belanja Modal Kendaraan Bermotor Beroda Dua','301.390.200','E-Purchasing','APBD, APBD, APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kendaraan Bermotor Beroda Dua; Kendaraan Bermotor Beroda Dua; Kendaraan Bermotor Beroda Dua;','Sepeda motor 150 CC; Sepeda Motor Soul Gt; Kendaraan Roda Dua Dinas Perhubungan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:49:50.734','dishub'),
(4378,'47395660','Belanja Modal Kendaraan Tak Bermotor Penumpang','20.000.000','Penunjukan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kendaraan Tak Bermotor Penumpang; Kendaraan Tak Bermotor Penumpang;','Kelengkapan Roda Empat Dinas Perhubungan; Kelengkapan Roda Dua Dinas Perhubungan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:49:50.734','dishub'),
(4379,'47395876','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4380,'47395877','Belanja Modal Alat Penyimpan Perlengkapan Kantor','13.446.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Penyimpan Perlengkapan Kantor;','Lemari Besi Penyimpanan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4381,'47395878','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','13.600','Penunjukan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Correction Ke 201;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4382,'47395879','Belanja Modal Mebel','39.673.500','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Mebel; Mebel; Mebel; Mebel;','Meja Kantor 1/2 Biro Modera, Mod 122, 120 X 60 X 75 Cm Termasuk Laci; Kursi Besi/Metal; Meja Rapat Lexus, Lx - 2412 Ct, 240 X 120 X 75 Cm; Meja Rapat Lexus, Lx - 1895 Ct, 180 X 95 X 75 Cm;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4383,'47396106','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','13.500','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','PlakBand Kertas Pe 2 Inchi;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:54:13.018','dishub'),
(4384,'47396107','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','184.700','Penunjukan Langsung','APBD, APBD','July 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-12 13:49:50.734','dishub'),
(4385,'47396108','Belanja Modal Alat Pendingin','7.868.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Pendingin;','Ac Split 1 Pk Cs-S10Mkp Econavi Envio Inverter, Autocomfort, Advanced E-Ion Air Purifying;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:54:13.018','dishub'),
(4386,'47396109','Belanja Modal Alat Pembersih','1.324.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Pembersih;','Mesin Potong Rumput Gl 220 Sc Black & Decker;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:54:13.018','dishub'),
(4387,'47396110','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','8.085.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Rumah Tangga Lainnya (Home Use);','Sound system Hardwell, Powerful 15 Pro;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4388,'47396111','Belanja Modal Personal Computer','66.250.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Personal Computer; Personal Computer; Personal Computer;','Laptop; Laptop; Laptop;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4389,'47396112','Belanja Modal Peralatan Personal Computer','13.338.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Peralatan Personal Computer; Peralatan Personal Computer; Peralatan Personal Komputer;','Printer Epson L3210; Printer Epson L3210; printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:54:13.018','dishub'),
(4390,'47396262','Oli Mesin Roda 4','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'5 liter','Pengadaan Oli Mesin Roda 4','Oli mesin Roda 4','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4391,'47396693','Oli Mesin Roda 2','650.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'5 liter','Oli Mesin Roda 2','Oli Mesin Roda 2','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4392,'47398297','Pengadaan Accu Mobil','1.856.300','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Unit','Pengadaan Aki mobil','Pengadaan Aki mobil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-12 13:49:50.734','dishub'),
(4393,'47401912','Pengadaan Alat Tulis kantor','1.350.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan stop map biasa, Snelhecther dan Foto Copy','stop map biasa, Snelhecther dan Foto Copy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4394,'47404992','Pengadaan Kertas HVS','1.427.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan Kertas HVS','F4 70 grm A4 70 grm','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4395,'47406029','Pengadaan Materai','200.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'20 buah','Pengadaan Materai','Pengadaan Materai 10000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-12 13:49:50.734','dishub'),
(4396,'47409891','Pengadaan Tinta Printer','1.506.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan tinta printer','Tinta Epson 001, T6641,T6642,T6643,T6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4397,'47411199','Pengadaan Sabuk Pengaman','2.102.700','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 buah','Pengadaan sabuk pengaman','Pengadaan sabuk pengaman','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Mei 2024','Maret 2024','April 2024','2024-01-12 13:53:33.089','dishub'),
(4398,'47459150','Pengadaan Daun RPPJ,Daun Rambu,Tiang Over Head Standart dan Box Lampu 2 Aspek','50.478.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan Daun RPPJ,Daun Rambu,Tiang Over Head Standart dan Box Lampu 2 Aspek','Pengadaan Daun RPPJ uk 140 x 100 cm dan Daun Rambu uk 60 x 60 cm bahan Alumunium/Alumunium Composite dengan reflectiv sheeting Tiang over head besi galvanis di cat warna kuning, box lampu 2 aspek berbahan alumunium dilengkapi modul led serta armatur box lampu dan kabel','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','Mei 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:53:33.089','dishub'),
(4399,'47460804','Pengadaan dan Pemasangan RPPJ, Rambu Lalu Lintas dan Rambu Tiang F','172.500.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan dan Pemasangan RPPJ, Rambu Lalu Lintas dan Rambu Tiang F','RPPJ tiang F bahan tiang besi galvanis, daun rppj ACP dengan reflective sheeting Rambu Lalu lintas tiang besi galvanis 2 \" daun rambu ACP dengan reflective sheeting Rambu Tiang F tiang besi galvanis 3\" daun rambu ACP 2 unit dan papan tambahan','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4400,'47461442','Pengawasan Teknis Pengadaan dan Pemasangan Rambu Lalu Lintas','16.820.250','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengawasan Teknis Pengadaan dan Pemasangan RPPJ, Rambu Lalu Lintas dan Rambu Tiang F','Laporan harian, mingguan, laporan akhir foto dokumentasi','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','April 2024','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4401,'47461877','Perencanaan Teknis Pengadaan dan Pemasangan Rambu Lalu Lintas','22.427.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Perencanaan Teknis Pengadaan dan Pemasangan Rambu Nama Jalan,RPPJ,Rambu Lalu Lintas dan Rambu Tiang F','RAB/EE, BQ, Gambar rencana, RKS, Dokumentasi 0%','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Maret 2024','April 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4402,'47463552','Pengadaan dan Pemasangan Rambu Nama Jalan','180.000.000','Pengadaan Langsung','APBD','April 2023','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Pengadaan dan Pemasangan Rambu Nama Jalan model ornamen','Tiang besi ornamen, Bingkai daun nama jalan ornamen, daun rambu ACP','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','April 2023','Mei 2024','2024-01-12 13:53:33.089','dishub'),
(4403,'47464295','Service Running Text','23.320.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Unit','Perbaikan Running Text','Perbaikan Running Text','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','April 2024','2024-01-12 13:53:33.089','dishub'),
(4404,'47467361','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.570.800','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Tell Struk Hvs 58 X 48 1 Ply Merk; Amplop Coklat Folio; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4405,'47467362','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.530.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Snelhecter Map; Isi Stapler Kecil No.10; Isi Steples Besar No 3; Fotocopy; Bolpoint; Buku Buku Folio 100 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4406,'47467363','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.685.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson; Ribbon Printer ID Card;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4407,'47469309','Belanja Pemeliharaan Alat Bengkel dan Alat Ukur-Alat Ukur-Alat Kalibrasi','150.000.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Pemeliharaan Alat Bengkel dan Alat Ukur-Alat Ukur-Alat Kalibrasi;','Penggantian/Pemeliharaan Suku Cadang alat Uji dan Kalibrasi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 13:53:33.089','dishub'),
(4408,'47469310','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4409,'47469311','Belanja Bahan-Bahan Bakar dan Pelumas','18.398.400','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Diesel; BioSolar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4410,'47474034','Belanja Bahan-Bahan Bakar dan Pelumas','5.264.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4411,'47474035','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4412,'47475288','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.475.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Leaflet/Brosur; Penghapus White Board; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4413,'47475289','Belanja Makanan dan Minuman Rapat','3.525.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4414,'47480064','Pengadaan KWh Meter Warning Light','8.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'5 unit','Pengadaan KWH Meter Warning Light','KWh Meter Pasca bayar','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','April 2024','Mei 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:53:33.089','dishub'),
(4415,'47482044','AP Rehab Ringan Gedung Negara Sederhana','4.688.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'200 M2','Bangunan Fasilitas Umum;','AP Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4416,'47482045','Rehabilitasi Halte 3 lokasi','189.927.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'141 M2','Rehabilitasi Halte 3 lokasi','Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4417,'47482046','Pengawasan Rehab Ringan Gedung Negara Sederhana','10.638.450','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'141 M2','Pengawasan Rehab Ringan Gedung Negara Sederhana','Pengawasan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4418,'47482047','Perencanaan Rehab Ringan Gedung Negara Sederhana','15.954.150','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'141 M2','Perencanaan Rehab Ringan Gedung Negara Sederhana','Perencanaan Rehab Ringan Gedung Negara Sederhana;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4419,'47482246','Pengadaan Komponen Lepas Instalasi Jaringan PJU','188.818.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 paket','Pengadaan Komponen Lepas Instalasi Jaringan PJU','MCB 32 A IP, Kap Mercury Ukuran E40, MCB 16 A IP, Tap Konektor 35 - 70 mm, Kontaktor 40 A IP, Isolasi Listrik, MCB 50 A IP, Tap Konektor 6- 25 mm, Service Wedge Clamp 2x6-16, MCB 6 A IP, MCB 25 A IP, Vitting Gantungan E 40, MCB 2 A IP, MCB 4 A IP, Time Switch Digital, Vitting E 40, Lampu HPI-T Plus 250 W, Kapasitor 25 - 32 uF, Ignitor Terminal 3, Trafo / Ballast Terminal 3 150 W, Lampu Son T 150 W, Trafo / Ballast Terminal 3 250 W, Lampu Son T 250 W','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4420,'47482249','Pengadaan PJU Jalan Desa Grujugan - Cermee','143.275.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'11 Titik','Pengadaan PJU Jalan Desa Grujugan - Cermee','Tiang Linier Galvanis 7 meter Lampu LED 60 Watt;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4421,'47482250','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','12.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Jasa Service Kendaraan Dinas;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4422,'47482252','Belanja Rekening Penerangan Jalan Umum','18.000.008.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Penerangan Jalan Umum;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:53:33.089','dishub'),
(4423,'47482254','Belanja Jasa Konsultansi Berorientasi Layanan-Jasa Survei','100.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Jasa Konsultansi Berorientasi Layanan-Jasa Survei;','Jasa Konsultansi Taksasi PJU;','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4424,'47482257','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.777.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; Cetak Dokumen Kontrak;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4425,'47482258','Belanja Pakaian Dinas Lapangan (PDL)','6.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Pakaian Dinas Lapangan (PDL);','Belanja Pakaian Kerja Lapangan;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4426,'47482260','Belanja Bahan-Bahan Bakar dan Pelumas','59.190.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pelumas mobil; Bio Solar; Pertamax; Pelumas Motor;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4427,'47482266','Pengadaan Armature Lampu PJU 1','63.660.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'100 Buah','Pengadaan Armature Lampu PJU 1','Lampu HLS-MR3 45 W;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4428,'47482267','Pengadaan Armature Lampu PJU','300.382.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'41 Buah','Pengadaan Armature Lampu PJU','Lampu LED 90 Watt Smart System;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4429,'47482274','Perencanaan Teknis Tiang 7 m / Titik','17.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'23 Titik','Perencanaan Teknis Tiang 7 m / Titik','Perencanaan Teknis (5,75%) ; RAB, Gambar Teknis, BQ','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4430,'47482275','Pengawasan Teknis Tiang 7 m / Titik','11.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'23 Titik','Pengawasan Teknis Tiang 7 m / Titik','Pengawasan Teknis (3,83%); Biaya Personil, Biaya Non Personil','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4431,'47482277','Pengadaan PJU Jalan Raya Tamanan - Sukowono','156.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'12 Titik','Pengadaan PJU Jalan Raya Tamanan - Sukowono','Tiang Linier Galvanis 7 meter Lampu LED 60 Watt;','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4432,'47482278','Pengadaan Jaringan Kabel PJU','24.641.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 paket','Pengadaan Jaringan Kabel PJU','Kabel NYM 2 X 1,5 mm /100 m, Kabel NYA 1 x 1,5 mm /100 m, Kabel TC 2 X 10 mm','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:49:50.734','dishub'),
(4433,'47482295','Belanja Bahan-Bahan Bangunan dan Konstruksi','3.574.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Semen Gresik Terendah; Kawat Las 13D 2.6 x 350 mm; pasir pasang air bersih;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4434,'47482297','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.881.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4435,'47482298','Belanja Suku Cadang-Suku Cadang Alat Angkutan','27.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Kendaraan Dinas PJU;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4436,'47482300','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','730.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4437,'47482302','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.503.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Warna; Catridge Warna; Catridge Hitam; Tinta Hitam;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4438,'47482621','Service Kendaraan Roda 2','300.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'3 kali','Servis kendaraan roda 2','Servis kendaraan roda 2','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-12 13:53:33.089','dishub'),
(4439,'47483396','Servis Kendaraan Bermotor roda 4','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Kali','Service kendaraan roda 4','Service kendaraan roda 4','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4440,'47483614','Belanja Modal Kendaraan Bermotor Khusus','1.400.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Unit','Belanja Modal Kendaraan Bermotor Khusus','Sky Walker','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4441,'47484502','Pengadaan Kunci Ring Pas','250.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 set','Pengadaan Kunci Ring Pas 6 -24','Pengadaan Kunci Ring Pas 6 -24','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Mei 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 13:53:33.089','dishub'),
(4442,'47485806','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','75.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Kartu smart card ( Blue);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4443,'47486290','Belanja Kursus Singkat/Pelatihan','13.814.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Beban Kursus Singkat/ Pelatihan;','Diklat Penguji;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4444,'47486291','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','107.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4445,'47486292','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Bahan Komputer;','Tinta Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4446,'47486293','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','654.600','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4447,'47487424','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','424.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4448,'47487425','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.825.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Isi Stapler Kecil No.10; Isi Steples Besar No 3; Sampul Bukti Lulus Uji dan Smart Card (E-BLUe) PKB; Buku Buku Folio 200 Lbr; Bolpoint; Stabilo Faber Castle; Spidol Marker; Spidol Kecil; Fotocopy; cetak map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4449,'47488542','Belanja Modal Alat Bengkel Tak Bermesin Lainnya','250.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perhubungan',2024,'1 Paket','Alat Bengkel Tak Bermesin Lainnya;','Alat uji headlight tester;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 13:53:33.089','dishub'),
(4450,'47056156','Pengadaan Kursi Kerja','5.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Paket','Pengadaan Kursi Kerja pada Kegiatan Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','-Hitam Sandaran Abu - kursi kantor - Rangka kaki Besi - Hidrolik (bisa naik turun) - Ada roda','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4451,'47056948','Pengadaan Vacuum Cleaner','7.421.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Paket','Pengadaan Vacuum Cleaner pada Kegiatan Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','Dapat digunakan untuk debu kering dan basah Filter dapat dicuci ulang Motor ganda Daya : 1000 watt Voltase : 220v/50Hz Kapasitas kantong debu : 60 liter Tekanan vakum : 250 Mbar Material tabung : stainless steel Dimensi produk : 60 x 62 x 114 cm Jenis : dengan kabel Penggunaan : wet & dry cleaner Material : stainless steel Kapasitas tangki debu : 60 L Daya maksimal : 1000 watt Panjang : 60 cm Lebar : 62 cm Tinggi : 114 cm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4452,'47058885','Pengadaan Vacuum Cleaner portable','636.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'2 unit','Pengadaan Vacuum Cleaner portable pada kegiatan Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','Tipe : SW-VC06 Warna : Black Tipe : Basah dan Kering Daya : 120Watt Voltage : DC 5V Baterai : 2 Lithium Baterai, (2000mAh) Daya tampung untuk debu : 500ML Ukuran : 349*99*134mm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4453,'47059664','Pengadaan Sound system indoor speaker','3.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan Sound system indoor speaker Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','- MP3 Control Digital Dispay - Level MP3 - Level Microphone (2 Jack Mic, XLR dan Akai) - Echo Effect - Level Input (2 Jack, RCA dan XLR) - Master Volume Mic dan Musik - Treeble - Midle - Bass - 2 Jack Line Output (XLR dan Akai) - Speaker Output (Jack Speakon)','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4454,'47255424','Pengadaan Meja kerja pejabat eselon IV','826.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan Meja kerja pejabat eselon IV pada kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','Bahan: Kayu Jati Finishing: Melamine Free kunci laci dan pintu Dimensi : P x L x T = 120 cm x 60 cm x 75 cm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4455,'47256403','Pengadaan kursi kerja pejabat eselon IV','3.569.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan kursi kerja pejabat eselon IV pada Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','Bahan: Kayu Jati Finishing: Melamine Free kunci laci dan pintu Dimensi : P x L x T = 120 cm x 60 cm x 75 cm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4456,'47257014','Pengadaan smart scanner','18.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan smart scanner pada Kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','-Product Type : Smart Scanner -Scanning Material : Documents, Books, Magazines, Forms, Invoices, Certificates, Business cards and Sculpture object -Scan Element Type : CMOS -Pixel : 25 megapixel -Optical Resolution : 5824*4368 -Scanning Format : Flat single page: <-A3, Books: <-A4 -Max scanning format : A3 -Scan Speed : Flat single page - 1.5s/page, Books - 1.5s/dual pages -Image Format : JPG, PDF, TIFF -Export Format : JPG, PDF, Searchable PDF, Word, Excel, TIFF -Light Sources : Built-in lights and Side lights -TOP LED Light : YES -Side Light : YES -Processor: Dual core openrisc 32bit, 2Gbit DDR -Image Cache: Hi-Speed DDR -Hand Button: YES -Foot Pedal: Yes -Flattening Curve: Yes -Smart Paging: Yes -Smart Tilt Corrections and Auto-Cropping: Yes -Professional Trimming: Yes -Background Purifying: Yes -Finger Removal: Yes -USB: USB 2.0 High Speed -Focus Mode : Fix -Scanning Method : Device Control, Software triggering, Hand button, Foot pedal -OS Support : XP, Win 7/ 8/10, 32/64-bit; macOS 10.11 and above -OCR : YES, 180+ languages -Visual Presenter : USB-PC Visual presenter -Smart Lamp Mode : NO -Flattening Curve : YES -Smart paging : YES -Smart tilt corrections and auto-cropping : YES -Color mode : Color, Patterns, Stamps, Gray scale, B&W -Auto-scan, Manual Selection Scan : YES -Video Recording, Screen Recording : YES Product dimensions : 362.45×351.5×149.30 mm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:15:14.732','perpus'),
(4457,'47258502','Pengadaan CCTV','2.226.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'2 Unit','Pengadaan CCTV pada Pengelolaan Simpul Jaringan Informasi Kearsipan Nasional Tingkat Kabupaten/Kota','- 1 Unit Dvr 8 Channel Hybrid 2 In 1 Bisa Online Via Smartphone Resolusi Dvr 1080p-2560h Hdmi Output ,Vga Output - 2 Unit Kamera CCTV Full Ahd 5mp 1080p Ir Sony Infrared -1 Unit Hardisk Bisa Pilih 500gb - 1 Unit Power Supply 20a -1 Unit Kabel 50m Rg59 + Power - 12 Unit Jack Bnc Drat - 6 Unit Jack Dc - 1 Unit Kabel Hdmi 1.5m - 1 Unit Kabel Power','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:17:09.423','perpus'),
(4458,'47259377','Pengadaan Tablet Android','7.300.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'3 unit','Pengadaan Tablet Android pada Pengelolaan Simpul Jaringan Informasi Kearsipan Nasional Tingkat Kabupaten/Kota','- 1 Unit Dvr 8 Channel Hybrid 2 In 1 Bisa Online Via Smartphone Resolusi Dvr 1080p-2560h Hdmi Output ,Vga Output - 2 Unit Kamera CCTV Full Ahd 5mp 1080p Ir Sony Infrared -1 Unit Hardisk Bisa Pilih 500gb - 1 Unit Power Supply 20a -1 Unit Kabel 50m Rg59 + Power - 12 Unit Jack Bnc Drat - 6 Unit Jack Dc - 1 Unit Kabel Hdmi 1.5m - 1 Unit Kabel Power','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:17:09.423','perpus'),
(4459,'47265071','Pengadaan Router wifi','574.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan Router wifi pada Pengelolaan Simpul Jaringan Informasi Kearsipan Nasional Tingkat Kabupaten/Kota','Ethernet Ports: 1× Gigabit WAN Port + 3× Gigabit LAN Ports Buttons: WPS/Reset Button Antennas: Four External Antennas External Power Supply: 12V/1A Dimensions (W x D x H): 8.5 × 4.6 × 1.3 in(215 × 117 × 32mm) Wireless:1201 Mbps (5 GHz, 11ax) + 300 Mbps (2.4 GHz, 11n), compatible with 11a/b/g/n/ac/ax Wi-Fi standards Frequency: 2.4 GHz and 5 GHz Transmit Power: CE: <20dBm(2.4 GHz), <23dBm(5.15 GHz~5.25 GHz) FCC:<30dBm(2.4 GHz & 5.15 GHz~5.825 GHz) Reception Sensitivity: 5 GHz & 2.4 GHz: Wireless Function: Enable/Disable Wireless Radio, WMM Wireless Security: WPA2-PSK, WPA2-PSK/WPA-PSK, WPA3-Personal, WPA3-Personal/WPA2-PSK, WPA2-Enterprise, WPA/WPA2-Enterprise','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:17:09.423','perpus'),
(4460,'47265499','Pengadaan Hardisk eksternal','1.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan Hardisk eksternal pada Pengelolaan Simpul Jaringan Informasi Kearsipan Nasional Tingkat Kabupaten/Kota','- Ukuran: 2.5\" - Kapasitas: 1 TB - USB 3.0, transfer data dengan cepat - Portable & ringan - Kesesuaian Sistem Operasi : Windows 10, Windows 8, Windows 7, Windows Vista, Windows XP SP3 (32-bit dan 64-bit)','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:17:09.423','perpus'),
(4461,'47266900','Pengadaan trolley','2.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1 Unit','Pengadaan trolley pada kegiatan Pengelolaan Arsip Statis Daerah Kabupaten/Kota','Kuat dan tidak mudah berkarat Terdapat gagang penarik yang ergonomis Terdapat 4 buah roda pneumatic Kapasitas beban : 300 kg Material : besi Dimensi produk : 139 x 62 x 115 cm','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:16:41.037','perpus'),
(4462,'47267207','Pengadaan Box Arsip','35.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'1000 box','Pengadaan Box Arsip pada kegiatan Pengelolaan Arsip Statis Daerah Kabupaten/Kota','- Ukuran box dalam keadaan tertutup : P 39cm x L 18cm x T 26cm - Bahan box karton lapis warna coklat dengan tebal 0,5mm - Disisi kanan kiri box terdapat tulisan ARSIP KABUPATEN BONDOWOSO - \'Disisi kanan kiri box terdapat lubang untuk ventilasi dan memasukkan kapur barus','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 13:16:41.037','perpus'),
(4463,'47267604','Pengadaan makanan dan minuman rapat','1.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'100 kotak','Pengadaan makanan dan minuman rapat pada kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','air mineral, camilan, kue basah macam 4 dan tisu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:15:30.758','perpus'),
(4464,'47268002','Pengadaan makanan dan minuman rapat','3.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'100 kotak','Pengadaan makanan dan minuman rapat pada kegiatan Pengelolaan Arsip Dinamis Daerah Kabupaten/Kota','nasi, lauk hewani, sayur, telor asin, buah, air mineral, kerupuk, sendok, tusuk gigi dan tisu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:15:30.758','perpus'),
(4465,'47268493','Pengadaan makanan dan minuman rapat','340.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'2o kotak','Pengadaan makanan dan minuman rapat pada kegiatan Pemusnahan Arsip Dilingkungan Pemerintah Daerah Kabupaten/Kota yang Memiliki Retensi di Bawah 10 (Sepuluh) Tahun','air mineral, camilan, kue basah macam 4 dan tisu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-10 13:16:21.179','perpus'),
(4466,'47268798','Pengadaan makanan dan minuman rapat','600.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'20 kotak','Pengadaan makanan dan minuman rapat pada kegiatan Pemusnahan Arsip Dilingkungan Pemerintah Daerah Kabupaten/Kota yang Memiliki Retensi di Bawah 10 (Sepuluh) Tahun','nasi, lauk hewani, sayur, telor asin, buah, air mineral, kerupuk, sendok, tusuk gigi dan tisu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-10 13:16:21.179','perpus'),
(4467,'47274954','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (buku agama islam)','5.680.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'71 eksemplar','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat pada kegiatan Pembangunan dan Pemeliharaan Sarana Perpustakaan di Tempat-Tempat Umum yang Menjadi Kewenangan Daerah Kabupaten/Kota','buku agama islam','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 14:16:17.0','perpus'),
(4468,'47275676','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (buku ilmu sosial)','3.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'40 eksemplar','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (buku ilmu sosial) pada kegiatan Pembangunan dan Pemeliharaan Sarana Perpustakaan di Tempat-Tempat Umum yang Menjadi Kewenangan Daerah Kabupaten/Kota','buku ilmu sosial','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 14:16:17.0','perpus'),
(4469,'47279901','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (buku biografi)','25.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'320 eksemplar','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (buku biografi) pada kegiatan Pembangunan dan Pemeliharaan Sarana Perpustakaan di Tempat-Tempat Umum yang Menjadi Kewenangan Daerah Kabupaten/Kota','buku biografi','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 14:16:17.0','perpus'),
(4470,'47280582','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (Buku Ilmu Pengetahuan Umum)','56.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'700 eksemplar','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (Buku Ilmu Pengetahuan Umum) pada kegiatan Pembangunan dan Pemeliharaan Sarana Perpustakaan di Tempat-Tempat Umum yang Menjadi Kewenangan Daerah Kabupaten/Kota','buku ilmu pengetahuan umum','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 14:16:17.0','perpus'),
(4471,'47281111','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (rak buku)','10.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Perpustakaan dan Kearsipan',2024,'2 Unit','Pengadaan Buku untuk Dijual/Diserahkan kepada Masyarakat (rak buku) pada kegiatan Pembangunan dan Pemeliharaan Sarana Perpustakaan di Tempat-Tempat Umum yang Menjadi Kewenangan Daerah Kabupaten/Kota','Rak Buku : Bahan besi kanal, tipe knockdown yang mudah dirakit, ketinggian rak dapat diatur sesuai kebutuhan, ukuran L 1.040 mm X W450 mm X H1.800 mm, Warna Grey','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 14:16:17.0','perpus'),
(4472,'47078916','Belanja Bahan-Bahan Kimia ( Pupuk )','1.632.690.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'108846 Kg','Belanja Bahan-Bahan Kimia ( Pupuk )','Pupuk Urea','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4473,'47079089','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.329.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'2 Pak; 28 Bh; 10 Bh; 5 Pak; 5 Pak; 25 Bh; 3 Bh; 200 Bh; 442 lbr','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Isi Steples Kecil No 10 : 2 Pak; map snelhecter plastik : 28 Bh; Ordner Besar : 10 Bh; Paper Clip Cadwell No. 3 ( Tanggung ) : 5 Pak; Paper Clip No. 1 (Kecil) : 5 Pak; map snelhecter plastik : 25 Bh; Stapler Hd 10 Kecil : 3 Bh; Stop Map Kertas Biasa : 200 bh; Fotocopy : 4242 lbr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-10 09:56:47.625','pertanian'),
(4474,'47079136','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.412.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'30 Rim; 25 Rim; 5 Pak','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram : 30 Rim; Kertas A4 70 Gr : 25 Rim; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 : 5 Pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4475,'47079153','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'15 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson : 15 Botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Januari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4476,'47079185','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Peralatan Mesin Pemotong Rumput )','32.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Peralatan Mesin Pemotong Rumput )','Peralatan Mesin Pemotong Rumput','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4477,'47079206','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Handsprayer )','37.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'50 unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Handsprayer )','Swan BE-16','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4478,'47079217','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Gerobak Dorong )','7.823.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 buah','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Gerobak Dorong )','GHC warna Merah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4479,'47079236','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Handtraktor )','351.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'13 unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Handtraktor )','Handtraktor G 1000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4480,'47079246','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Traktor Roda 3 )','600.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'15 Unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Traktor Roda 3 )','Traktor Roda 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4481,'47079252','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Traktor Roda 4 )','355.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Traktor Roda 4 )','Traktor Roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4482,'47079267','AP Irigasi Air Tanah','12.990.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Paket','AP Irigasi Air Tanah','ATK dan Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-10 09:56:47.625','pertanian'),
(4483,'47079290','Perencanaan Irigasi Air Tanah','54.306.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Paket','Perencanaan Irigasi Air Tanah','Perencanaan Irigasi Air Tanah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4484,'47079332','Irigasi Air Tanah Ds. ............. Kec. .....................','129.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Irigasi Air Tanah Ds. ............. Kec. .....................','Irigasi Air Tanah Ds. ............. Kec. .....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4485,'47079343','Irigasi Air Tanah Ds. ............. Kec. .....................','129.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Irigasi Air Tanah Ds. ............. Kec. .....................','Irigasi Air Tanah Ds. ............. Kec. .....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4486,'47079352','Irigasi Air Tanah Ds. ............. Kec. .....................','129.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Irigasi Air Tanah Ds. ............. Kec. .....................','Irigasi Air Tanah Ds. ............. Kec. .....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4487,'47079383','Irigasi Air Tanah Ds. ............. Kec. .....................','129.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Irigasi Air Tanah Ds. ............. Kec. .....................','Irigasi Air Tanah Ds. ............. Kec. .....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4488,'47079410','Irigasi Air Tanah Ds. ............. Kec. .....................','129.300.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Irigasi Air Tanah Ds. ............. Kec. .....................','Irigasi Air Tanah Ds. ............. Kec. .....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4489,'47079422','Pengawasan Irigasi Air Tanah','36.203.995','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Paket','Pengawasan Irigasi Air Tanah','Pengawasan Irigasi Air Tanah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Mei 2024','Juli 2024','April 2024','April 2024','2024-01-10 09:56:47.625','pertanian'),
(4490,'47079426','AP Jaringan Irigasi Tersier','15.740.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 Paket','AP Jaringan Irigasi Tersier','AP Jaringan Irigasi Tersier','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-10 09:56:47.625','pertanian'),
(4491,'47079439','Perencanaan Jaringan Irigasi Tersier','65.856.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 Paket','Perencanaan Jaringan Irigasi Tersier','Perencanaan Jaringan Irigasi Tersier : 10 lokasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4492,'47079450','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4493,'47079451','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4494,'47079457','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4495,'47079478','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4496,'47079492','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4497,'47079498','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4498,'47079503','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4499,'47079513','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4500,'47079532','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4501,'47079535','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4502,'47081062','Pengawasan Jaringan Irigasi Tersier','43.904.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 Paket','Pengawasan Jaringan Irigasi Tersier','Pengawasan Jaringan Irigasi Tersier','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-10 09:56:47.625','pertanian'),
(4503,'47081075','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'500 Kotak; 500 Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa : 500 Kotak; Kue Kotak : 500 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Agustus 2024','Maret 2024','Agustus 2024','Februari 2024','Maret 2024','2024-01-10 09:56:47.625','pertanian'),
(4504,'47081119','Belanja Bahan-Bahan Kimia ( Kebun Benih Tanaman Pangan )','49.920.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1.800 Kg; 10.200 Kg; 1.800 Kg','Belanja Bahan-Bahan Kimia ( Kebun Benih Tanaman Pangan )','Pupuk NPK : 1800 Kg; Pupuk Organik : 10.200 Kg; Pupuk urea : 1.800 Kg','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4505,'47081132','Belanja Bahan-Bahan Kimia ( Perkebunan )','23.040.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1.800 kg','Belanja Bahan-Bahan Kimia ( Perkebunan )','Pupuk NPK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4506,'47081152','Belanja Bahan-Bahan/Bibit Tanaman ( Benih Benih Padi Fs )','4.653.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'235 kg','Belanja Bahan-Bahan/Bibit Tanaman ( Benih Benih Padi Fs )','Benih Padi Fs','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4507,'47081295','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.022.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 Buah; 2 Pak; 2 Pak; 10 Buah; 10 Buah; 2102 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar : 10 Buah; Paper Clip Cadwell No. 3 (Tanggung) : 2 Pak; Paper Clip No. 1 (Kecil) : 2 Pak; Snelhecter Map : 10 Buah; map snelhecter plastik : 10 Buah; Fotocopy : 2102 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-10 09:56:47.625','pertanian'),
(4508,'47081305','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Rim; 5 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram : 5 Rim; kertas HVS A4 70 gram : 5 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:56:47.625','pertanian'),
(4509,'47081310','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:56:47.625','pertanian'),
(4510,'47081331','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Mesin Rajang Tembakau )','67.500.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Mesin Rajang Tembakau )','Mesin Rajang Tembakau','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 09:56:47.625','pertanian'),
(4511,'47081343','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Alsintan SILPA )','245.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Unit; 5 Unit','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat ( Alsintan SILPA )','Huller : 5 Unit; Pulper : 5 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Maret 2024','Mei 2024','Februari 2024','Maret 2024','2024-01-10 09:56:47.625','pertanian'),
(4512,'47169181','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','4.664.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'44 botol','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta Tonner Epson 664 : 44 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4513,'47169900','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.888.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'6buah; 5 pak; 5pak; 4 pak; 4 buah; 600 buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Buku Buku Folio 200 Lbr: 6buah; Paper Clip: 5 pak; Bolpoint: 5pak; Isi Stapler Kecil No.10: 4 pak; Ordner Besar: 4 buah; Stop Map Kertas Biasa: 600 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4514,'47176145','Belanja Makanan dan Minuman Rapat','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'200 kotak; 200 kotak','Belanja Makanan dan Minuman Rapat','kue kotak : 200 kotak; Nasi kotak: 200 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4515,'47198563','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','69.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4516,'47198914','Belanja Modal Pagar','102.440.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Pagar','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4517,'47199086','Belanja Modal Pagar-AP','2.048.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Pagar-AP','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4518,'47199105','Belanja Modal Pagar-Pengawasan','5.738.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Pagar-Pengawasan','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4519,'47199308','Belanja Suku Cadang - Suku Cadang Alat Angkutan','15.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket; 1paket','Belanja Suku Cadang - Suku Cadang Alat Angkutan','Jok mobil : 1paket; suku cadang: 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4520,'47211552','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','9.163.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'6 pak; 3 buah; 2 pak; 10 buah; 3654 lembar; 250 buah; 100 buah.','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Paper klip warna; stapler hd 10 kecil; bolpoint; ordner besar; fotokopi; buku kwarto 200lbr; stopmap kertas biasa.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4521,'47212523','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','4.196.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'35 rim; 35 rim;','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas A4 70gr; kertaas HVS F4 70gr.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4522,'47220222','Belanja Suku Cadang - Suku Cadang Alat Angkutan','10.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Suku Cadang - Suku Cadang Alat Angkutan','suku cadang: 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4523,'47222948','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','9.991.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'25buah; 71botol; 50buah; 42buah; 20buah; 20buah; 3 buah; 15buah; 10buah; 15buah; 25buah; 24buah; 15buah;13buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Sabun cuci piring: 25buah; Refill Pengharum Ruangan: 71botol; Cairan Pembersih Lantai: 50buah;Tissue: 42buah; Sapu Ijuk Kipas Besar: 20buah; Sapu lidi: 20buah; bak sampah plastik besar: 3 buah; Cikrak Sampah: 15buah; Canebo: 10buah; keset: 15buah; Sabun Cuci Tangan: 25buah; Kamper: 24buah; taplak meja: 15buah; Sikat kamar mandi: 13buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4524,'47223797','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','7.996.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'2 buah; 22 buah; 5 buah; 24 buah; 375 meter','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','Stop Kontak : 2 buah; Baterai Kecil : 22 buah; Baterai Remote: 5 buah; Lampu tornado 23 watt: 24 buah; Kabel type NYGB : 375 meter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4525,'47225942','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor(cetak)','6.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'596 lbr;7738 lbr; 7 rim','Belanja Alat/Bahan untuk Kegiatan Kantor -Alat Tulis Kantor(cetak)','cetak map: 596 lbr; Fotocopy: 7738 lbr; lembar cetak disposisi: 7 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4526,'47239674','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover(cetak)','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'300lbr ; 800lbr','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover(cetak)','Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Uk. 27: 300lbr ; bahan kertas 150 gram : 800lbr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4527,'47241603','Belanja Modal Alat Penyimpan Perlengkapan Kantor','35.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Alat Penyimpan Perlengkapan Kantor-Rak Besi','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-11 09:14:17.056','pertanian'),
(4528,'47243807','Belanja Modal Alat Pendingin','15.900.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Alat Pendingin','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-10 13:03:26.457','pertanian'),
(4529,'47244841','Belanja Modal Personal Computer-PC All in One','21.200.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Personal Computer-PC All in One','Terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-10 13:03:26.457','pertanian'),
(4530,'47246234','Belanja Modal Peralatan Personal Computer-Scanner dan Printer','16.960.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 paket','Belanja Modal Peralatan Personal Computer-Scanner dan Printer','terlampir dalam dokumen KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-10 13:03:26.457','pertanian'),
(4531,'47248599','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor (Perencanaan)','3.307.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 pak; 3pak; 1pak; 100buah; 2buah; 14buah; 20buah; 3roll; 7309 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor (Perencanaan)','Binder Clip No. 260: 10 pak; Bolpoint: 3pak; Isi Stapler Kecil No.10: 1pak; Stop Map Kertas Biasa: 100buah; Stapler Hd 10: 2buah; Ordner Besar: 14buah; map snelhecter plastik: 20buah; PlakBand Hitam 2 Inch: 3roll; Fotocopy: 7309 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4532,'47249758','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover (Perencanaan)','3.102.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'30 rim; 20rim; 2pak','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover (Perencanaan)','kertas HVS F4 70 gram: 30 rim; Kertas A4 70 Gr: 20rim; Kertas Bufallo Berbagai Warna: 2pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4533,'47253947','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer (perencanaan)','1.590.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'15 botol','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer (perencanaan)','Tinta Tonner Epson 664 ; 15 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4534,'47260238','Belanja Bahan-Bahan Kimia (Pupuk Organik)','156.680.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'15668 kg','Belanja Bahan-Bahan Kimia (Pupuk Organik)','Pupuk Organik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4535,'47261033','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.636.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4073 lbr; 1 Pak; 10 Buah; 6 buah; 2 buah; 20 buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy : 4073 lbr; Isi Steples Kecil No 10 : 1 Pak; Ordner Besar : 10 Buah; map snelhecter plastik : 6 buah; Stapler Hd 10 Kecil : 2 buah; Stop Map Kertas Biasa : 20 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4536,'47261395','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','664.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 Rim; 6 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr : 5 Rim; kertas HVS F4 70 gram : 6 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4537,'47261791','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4538,'47263139','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.081.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10buah; 3pak; 2 pak; 26 buah; 50 buah; 1777 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar : 10 Buah; Paper Clip : 3 pak; Paper Clip Cadwell No. 3 ( Tanggung ) : 2 Pak; map snelhecter plastik : 26 buah; Stop Map Kertas Biasa : 50 buah; Fotocopy : 1777 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4539,'47263481','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','858.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Pak; 5 Rim; 5 Rim; 2 Pak','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 : 1 Pak; Kertas A4 70 Gr : 5 Rim; Kertas F4 70 Gr : 5 Rim; Kertas Foto A4 : 2 Pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4540,'47263726','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4541,'47264060','AP Jaringan Irigasi Tersier DBHCHT','11.018.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'7 Paket','AP Jaringan Irigasi Tersier DBHCHT','AP Jaringan Irigasi Tersier DBHCHT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4542,'47264410','AP Jaringan Irigasi Tersier SILPA','1.574.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','AP Jaringan Irigasi Tersier SILPA','AP Jaringan Irigasi Tersier SILPA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4543,'47264528','Perencanaan Jaringan Irigasi Tersier SILPA','6.585.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Perencanaan Jaringan Irigasi Tersier SILPA','Perencanaan Jaringan Irigasi Tersier SILPA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4544,'47264766','Perencanaan Jaringan Irigasi DBHCHT','46.099.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'7 Paket','Perencanaan Jaringan Irigasi DBHCHT','Perencanaan Jaringan Irigasi DBHCHT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 13:03:26.457','pertanian'),
(4545,'47265028','Jaringan Irigasi Tersier SILPA Ds. ............. Kec. ................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier SILPA Ds. ............. Kec. ................','Jaringan Irigasi Tersier SILPA Ds. ............. Kec. ................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4546,'47265341','Pengawasan Jaringan Irigasi Tersier SILPA','4.390.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Pengawasan Jaringan Irigasi Tersier SILPA','Pengawasan Jaringan Irigasi Tersier SILPA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4547,'47265537','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4548,'47265637','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4549,'47265764','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4550,'47265917','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4551,'47266051','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4552,'47266201','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4553,'47266297','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','78.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Jaringan Irigasi Tersier Ds. ............ Kec. ....................','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4554,'47266542','Pengawasan Jaringan Irigasi Tersier DBHCHT','30.732.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'7 Paket','Pengawasan Jaringan Irigasi Tersier DBHCHT','Pengawasan Jaringan Irigasi Tersier DBHCHT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','April 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4555,'47266852','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'100 Kota; 100 Kotak','Belanja Makanan dan Minuman Rapat','Kue Kotak : 100 Kotak; Nasi Kotak Biasa : 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-10 13:03:26.457','pertanian'),
(4556,'47268930','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.233.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'2pak; 3pak; 12689 lbr; 5 bh; 2 roll; 20 bh; 30 bh','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 155 : 2 Pak; Binder Clip No. 260 : 3 Pak; Fotocopy : 12689 Lembar; Ordner Besar : 5 buah; PlakBand Hitam 2 Inch : 2 Roll; map snelhecter plastik : 20 buah; Stop Map Kertas Biasa : 30 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4557,'47269248','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','674.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 Rim; 7 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr : 4 Rim; Kertas F4 70 Gr : 7 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4558,'47269546','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'3 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4559,'47269830','Belanja Makanan dan Minuman Rapat','4.935.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'105 Kotak; 105 Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak Biasa : 105 Kotak, Kue Kotak : 105 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4560,'47271907','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','27.212.200','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10bh; 320bh; 150bh; 150bh; 50 examplar; 71484 lbr','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar : 10 bh; Stop Map Kertas Biasa : 320 bh; map snelhecter plastik : 150 bh; Map Plastik Folio 240/190 : 150 bh; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 1.... : 50 examplar; Fotocopy : 71484 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4561,'47272298','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.263.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 rim; 11 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr : 10 Rim; Kertas F4 70 Gr : 11 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4562,'47272702','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4563,'47273265','Belanja Makanan dan Minuman Rapat','18.800.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'400 kotak; 400 kotak','Belanja Makanan dan Minuman Rapat','Nasi Kota Biasa : 400 Kotak; Kue Kotak : 400 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-10 13:42:08.661','pertanian'),
(4564,'47273307','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor (perencanaan)','4.854.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'2pak; 2buah; 10buah; 3roll; 2pak; 10pak; 200buah; 30 buah; 1buah; 4buah; 20eksemplar; 4000lembar; 14000 lembar; 9563 lembar; 25 eksemplar','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor (perencanaan)','Bolpoint: 2pak; Stapler Hd 10 Kecil: 2buah; Ordner Besar: 10buah; PlakBand Hitam 2 Inch: 3roll; Isi Stapler Kecil No.10: 2pak; Binder Clip No. 105: 10pak; Stop Map Kertas Biasa: 200buah; Map Plastik Folio 240/190: 30 buah; Stapler Hd 3 Df Jilid : 1buah; Gunting Besar : 4buah; Cetak Buku Laporan Akhir: 20 eksemplar; fotocopy (cetak DPA): 4000 lembar; fotocopy (cetak DPPA): 14000 lembar; fotocopy (dok perencanaan): 9563 lembar; Jilid dok perencanaan: 25 eksemplar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','November 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4565,'47274477','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover (perencanaan)','3.970.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'35 rim; 25rim; 4pak; 4pak','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover (perencanaan)','kertas HVS F4 70 gram: 35 rim; Kertas A4 70 Gr: 25rim; Kertas Bufallo Berbagai Warna: 4pak; plastik Mika Bening F4: 4pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4566,'47275913','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer (Perencanaan)','1.696.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'16 botol','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer (Perencanaan)','Tinta Tonner Epson 664: 16 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4567,'47286664','Belanja Bahan-Bahan Kimia','137.182.500','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'225 Liter; 225 Liter; 225 Liter;','Belanja Bahan-Bahan Kimia','Herbisida; fungisida; pestisida.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Agustus 2024','Juli 2024','Juli 2024','2024-01-11 09:14:17.056','pertanian'),
(4568,'47287716','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.318.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 pak; 2 buah; 4 pak; 45 buah; 30 buah; 15 buah; 1840 lembar.','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Isi staples kecil no 10; stapler hd 10 kecil; binder klip no 155; stopmap kertas biasa; map snellhecter plastik; ordner besar; fotokopi.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4569,'47288797','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Kover','1.079.100','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'9 rim; 9 rim.','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Kover','Kertas A4 70gr; kertas HVS F4 70gr.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4570,'47293331','Belanja Makanan dan Minuman Rapat','17.640.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'350 orang; 420 orang.','Belanja Makanan dan Minuman Rapat','Nasi kotak biasa; kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4571,'47295193','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.874.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'3 pak; 4 pak; 2 buah; 2 pak; 30 buah; 100 buah; 10 buah; 3505 lembar.','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Papertip no 1 kecil; paper klip cadwell no 3 tanggung; stapler hd 10 kecil; isi stapler kecil no 10; map snellhecter plastik; stopmap kertas biasa; ordner besar; fotokopi.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4572,'47295926','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.068.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'2 pak; 15 rim; 15 rim.','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','Amplop putih no 104 ukuran 95 cm x 152 cm isi 100; kertas F4 200gr krem; kertas A4 70gr.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4573,'47296512','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'8 botol','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4574,'47297394','Belanja Makanan dan Minuman Rapat','47.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1000 kotak; 1000 kotak','Belanja Makanan dan Minuman Rapat','Kue kotak; nasi kotak biasa.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4575,'47298968','Belanja Jasa Penyelenggara Acara','400.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 Paket; 1 Paket; 1 Paket; 1 Paket;','Belanja Jasa Penyelenggara Acara','EO temu usaha pelaku pertembakauan; EO FGD kelompok petani tembakau dan asosiasi petani tembakau Indonesia; EO BIMTEK peningkatan kualitas bahan baku; EO BIMTEK peningkatan kapasitas kelembagaan petani.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4576,'47300181','Belanja Bahan-Bahan Lainnya','16.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'8 kelompok x 2 paket','Belanja Bahan-Bahan Lainnya','Bahan pelatihan pangan olahan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Oktober 2024','April 2024','April 2024','2024-01-11 09:14:17.056','pertanian'),
(4577,'47300869','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','29.300.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 pak; 2 buah; 100 buah; 6 buah; 680 lembar; 2434 lembar; 16m2; 160 pak; 1600 buah; 1600 buah.','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','isi staples kecil no 10; stapler hd 10 kecil; stopmap kertas biasa; ordner besar; fotokopi; fotokopi; benner; bolpoint; map snelhecter plastik; bloknote a5 glossy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4578,'47301315','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.678.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'14 rim; 14 rim; 8 pak.','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas A4 70gr; kertas HVS F4 70gr; amplop putih ukuran 95 cm x 152 cm isi 100.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4579,'47301606','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','636.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'6 botol','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','tinta EPSON','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4580,'47302048','Belanja Makanan dan Minuman Rapat','75.200.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1600 kotak; 1600 kotak;','Belanja Makanan dan Minuman Rapat','Nasi kotak biasa; kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','November 2024','Juni 2024','November 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4581,'47302293','Belanja Alat / Bahan untuk Kegiatan Kantor - Perlengkapan Dinas','37.100.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'350 orang','Belanja Alat / Bahan untuk Kegiatan Kantor - Perlengkapan Dinas','Belanja Topi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','November 2024','Juni 2024','November 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4582,'47305044','Belanja Bahan-Bahan Lainnya','140.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'7 Paket','Belanja Bahan-Bahan Lainnya','Bahan praktik pertanian','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4583,'47305616','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.017.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'30 Buah; 2804 lembar; 2 buah; 10 buah; 5 pak.','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Stopmap kertas biasa; fotokopi; stapler no 3; map snellhecter plastik; biinder klip no 155.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4584,'47305732','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.678.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'14 rim; 14 rim.','Belanja Alat / Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 70gr; kertas A4 70gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4585,'47305922','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','424.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 Botol','Belanja Alat / Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta EPSON','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4586,'47306420','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.808.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'6029 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','fotocopy : 6029 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4587,'47306642','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','479.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4rim;4rim','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','kertas HVS F4 70 gram : 4rim ; Kertas A4 70 Gr: 4 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4588,'47306789','Belanja Alat/Bahan untuk Kegiatan Kantor -Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor -Bahan Komputer','tinta toner: 4 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4589,'47307148','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat-Konstruksi','58.370.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'13 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat-Konstruksi','Bangunan Terbuka, Gedung negara sederhana : 13m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4590,'47308214','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - AP','1.167.400','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'13 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - AP','Bangunan Terbuka, AP Gedung negara sederhana : 13 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4591,'47308445','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - Pengawasan','3.268.850','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'13 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - Pengawasan','Bangunan Terbuka, Pengawasan Gedung negara sederhana : 13 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4592,'47308986','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - Perencanaan','4.903.600','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'13 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (lantai jemur) - Perencanaan','Bangunan Terbuka, Perencanaan Gedung negara sederhana : 13 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4593,'47309102','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - AP','2.245.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'25 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - AP','Bangunan Terbuka, AP Gedung negara sederhana : 25 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4594,'47309189','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Konstruksi','125.720.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'28 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Konstruksi','Bangunan Terbuka, Gedung negara sederhana : 28 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4595,'47309271','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - AP','2.514.400','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'28 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - AP','Bangunan Terbuka, AP Gedung negara sederhana : 28 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4596,'47309344','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Konstruksi','112.250.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'25 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Konstruksi','Bangunan Terbuka, Gedung negara sederhana : 25 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4597,'47309464','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Pengawasan','7.040.600','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'28 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Pengawasan','Bangunan Terbuka, Pengawasan Gedung negara sederhana : 28 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4598,'47309605','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Perencanaan','10.561.600','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'28 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Perencanaan','Bangunan Terbuka, Perencanaan Gedung negara sederhana : 28 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4599,'47309676','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Pengawasan','6.286.250','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'25 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Pengawasan','Bangunan Terbuka, Pengawasan Gedung negara sederhana : 25 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4600,'47309714','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Perencanaan','9.430.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'25 m2','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Lumbung Pangan) - Perencanaan','Bangunan Terbuka, Perencanaan Gedung negara sederhana : 25 m2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juli 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 09:14:17.056','pertanian'),
(4601,'47309994','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','3.501.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 pak; 120 buah; 50 buah; 120 buah; 5 buah; 2 buah; 4470 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Bolpoint :10 pak; Buku Block Note Garis 50 Lbr: 120 buah; Stop Map Kertas Biasa: 50 buah; Map Plastik Folio 1M02: 120 buah; Spidol Marker: 5 buah; Stapler Hd 10 Kecil: 2 buah; Fotocopy: 4470 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4602,'47310076','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','424.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 rim; 3 rim','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','kertas HVS F4 70 gram: 4 rim; Kertas A4 70 Gr : 3 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4603,'47310125','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta Tonner Epson 664 : 4 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4604,'47310164','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'200 kotak; 200 kotak','Belanja Makanan dan Minuman Rapat','Kue Kotak : 200 kotak; nasi Kotak Biasa : 200 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4605,'47313718','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','2.794.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'9316 lembar','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Fotocopy : 9316 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4606,'47313904','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','554.100','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'3 rim; 6 rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas A4 70 Gr :3 rim; kertas HVS F4 70 gram :6 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4607,'47314151','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','986.100','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 buah; 6 buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Catridge Hitam :1 buah; Tinta Tonner Epson 664: 6 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4608,'47314432','Belanja Makanan dan Minuman Rapat','4.395.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'35 kotak x 3 kali; 35 kotak x 3 kali','Belanja Makanan dan Minuman Rapat','Kue kotak : 35 kotak x 3 kali; Nasi Kotak Biasa: 35 kotak x 3 kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','Mei 2024','2024-01-11 09:14:17.056','pertanian'),
(4609,'47315539','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','9.089.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'34 pak; 152 buah; 300 buah; 4 pak; 7440 lbr; 300 buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Bolpoint: 34 pak; Stop Map Kertas Biasa: 152 buah; Map Plastik Folio 1M02: 300 buah; Snelhecter Map Jenis Kertas: 4 pak; Fotocopy: 7440 lbr; Block Note A5 Glosy: 300 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4610,'47315659','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','2.462.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'10 pak; 25 rim; 12 rim','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Amplop Putih No 104 : 10 pak; kertas HVS F4 70 gram: 25 rim; Kertas A4 70 Gr: 12 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4611,'47315735','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','848.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'8 botol','Tinta Epson: 8 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4612,'47315916','Belanja Makanan dan Minuman Rapat','37.600.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'800 kotak; 800 kotak','Belanja Makanan dan Minuman Rapat','nasi kotak biasa :800 kotak; kue kotak: 800 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Desember 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-11 09:14:17.056','pertanian'),
(4613,'47316966','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','1.937.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'6459 lbr','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','fotocopy: 6459 lbr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 09:14:17.056','pertanian'),
(4614,'47317125','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','1.024.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'9 rim; 8 rim','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','kertas HVS F4 70 gram: 9 rim; Kertas A4 70 Gr: 8 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4615,'47317284','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','1.940.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'1 buah; 2buah; 8 botol','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Catridge Hitam: 1 buah; Catridge Warna: 2buah; Tinta Epson: 8 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4616,'47317439','Belanja Natura dan Pakan-Natura','130.037.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'9423 kg','Belanja Natura dan Pakan-Natura','Natura : 9423 kg','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4617,'47317566','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'30 kotak x 3 kali; 30 kotak x 3 kali','Belanja Makanan dan Minuman Rapat','Kue kotak :30 kotak x 3 kali; Nasi Kotak: 30 kotak x 3 kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4618,'47318053','Belanja Bahan-Bahan Kimia','696.500','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'5 roll','Belanja Bahan-Bahan Kimia','Alumunium Foil - padat : 5 roll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4619,'47318121','Belanja Bahan-Bahan Lainnya','2.438.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'8paket ; 50 buah','Belanja Bahan-Bahan Lainnya','Bahan Percontohan Pangan : 8paket ; styrofoam 50 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4620,'47318290','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','591.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'52 buah; 1189 lbr; 4 pak','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Stop Map Kertas Biasa : 52 buah; Fotocopy :1189 lbr; Snelhecter Map Jenis Kertas: 4 pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4621,'47318403','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','479.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 rim ; 4 rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram : 4 rim ; Kertas A4 70 Gr: 4 rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4622,'47318482','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'4 botol','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson : 4 botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-11 09:14:17.056','pertanian'),
(4623,'47318648','Belanja Makanan dan Minuman Rapat','680.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'40 kotak ; 40 kotak','Belanja Makanan dan Minuman Rapat','kue kotak : 40 kotak ; nasi kotak: 40 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-11 09:14:17.056','pertanian'),
(4624,'47349611','Belanja Bimbingan Teknis','350.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Pertanian dan Ketahanan Pangan',2024,'140 orang','Belanja Bimbingan Teknis','Bimbingan Tehnis Perencanaan /Keuangan daerah diluar daerah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Agustus 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-17 21:55:25.18','pertanian'),
(4625,'47093368','Pembangunan SPAM Desa Sumbergading, Kec. Sumberwringin','180.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Sumbergading, Kec. Sumberwringin','Pembangunan SPAM Desa Sumbergading, Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4626,'47094256','PERENCANAAN TEKNIS SPAM PAKET G10','9.600.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PERENCANAAN TEKNIS SPAM PAKET G10','PERENCANAAN TEKNIS SPAM PAKET G10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:24:46.673','perkim'),
(4627,'47095378','PENGAWASAN TEKNIS SPAM PAKET G10','6.400.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PENGAWASAN TEKNIS SPAM PAKET G10','PENGAWASAN TEKNIS SPAM PAKET G10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4628,'47097278','Pembangunan SPAM Desa Klekean I, Kec. Botolinggo','8.820.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Klekean I, Kec. Botolinggo','Pembangunan SPAM Desa Klekean I, Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4629,'47097563','Pembangunan SPAM Desa Klekean II, Kec. Botolinggo','8.820.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Klekean II, Kec. Botolinggo','Pembangunan SPAM Desa Klekean II, Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4630,'47097780','Pembangunan SPAM Desa Klekean III, Kec. Botolinggo','90.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Klekean III, Kec. Botolinggo','Pembangunan SPAM Desa Klekean III, Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4631,'47098138','Pembangunan SPAM Desa Botolinggo, Kec. Botolinggo','140.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Botolinggo, Kec. Botolinggo','Pembangunan SPAM Desa Botolinggo, Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4632,'47098358','Pembangunan SPAM Desa Batu Ampar, Kec. Cermee','90.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Batu Ampar, Kec. Cermee','Pembangunan SPAM Desa Batu Ampar, Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4633,'47098890','Pembangunan SPAM Desa Kladi, Kec. Cermee','90.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Kladi, Kec. Cermee','Pembangunan SPAM Desa Kladi, Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4634,'47099138','Pembangunan SPAM Desa Taal, Kec. Tapen','90.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Taal, Kec. Tapen','Pembangunan SPAM Desa Taal, Kec. Tapen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4635,'47099301','Pembangunan SPAM Desa Pecalongan, Kec. Sukosari','90.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Pecalongan, Kec. Sukosari','Pembangunan SPAM Desa Pecalongan, Kec. Sukosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4636,'47099655','Pembangunan SPAM Desa Taman, Kec. Grujugan','180.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Taman, Kec. Grujugan','Pembangunan SPAM Desa Taman, Kec. Grujugan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4637,'47100684','Pembangunan SPAM Kel. Tenggarang, Kec. Tenggarang','50.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Kel. Tenggarang, Kec. Tenggarang','Pembangunan SPAM Kel. Tenggarang, Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4638,'47101196','Pembangunan SPAM Desa Wonosari, Kec. Wonosari','50.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan SPAM Desa Wonosari, Kec. Wonosari','Pembangunan SPAM Desa Wonosari, Kec. Wonosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4639,'47101857','PERENCANAAN TEKNIS SPAM PAKET G2','49.536.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PERENCANAAN TEKNIS SPAM PAKET G2','PERENCANAAN TEKNIS SPAM PAKET G2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:24:46.673','perkim'),
(4640,'47102176','PENGAWASAN TEKNIS SPAM PAKET G2','33.024.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PENGAWASAN TEKNIS SPAM PAKET G2','PENGAWASAN TEKNIS SPAM PAKET G2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:24:46.673','perkim'),
(4641,'47106204','Pembangunan MCK Desa Klekehan Kec. Botolinggo','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Klekehan Kec. Botolinggo','Pembangunan MCK Desa Klekehan Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4642,'47106416','Pembangunan MCK Desa Lanas, Kec. Botolinggo','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Lanas, Kec. Botolinggo','Pembangunan MCK Desa Lanas, Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4643,'47106632','Pembangunan MCK Desa Walidono, Kec. Prajekan','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Walidono, Kec. Prajekan','Pembangunan MCK Desa Walidono, Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4644,'47106851','Pembangunan MCK Desa Sukokerto, Kec. Pujer','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Sukokerto, Kec. Pujer','Pembangunan MCK Desa Sukokerto, Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4645,'47107235','Pembangunan MCK Desa Sumberwringin, Kec. Sumberwringin','103.800.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Sumberwringin, Kec. Sumberwringin','Pembangunan MCK Desa Sumberwringin, Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4646,'47107507','Pembangunan MCK Desa Andungsari, Kec. Pakem','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Andungsari, Kec. Pakem','Pembangunan MCK Desa Andungsari, Kec. Pakem','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4647,'47108076','Pembangunan MCK Tlogosari','173.000.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Tlogosari','Pembangunan MCK Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4648,'47108442','PERENCANAAN TEKNIS SPAM PAKET FV','45.049.200','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PERENCANAAN TEKNIS SPAM PAKET FV','PERENCANAAN TEKNIS SPAM PAKET FV','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:26:46.159','perkim'),
(4649,'47108653','PENGAWASAN TEKNIS SPAM PAKET FV','30.032.800','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PENGAWASAN TEKNIS SPAM PAKET FV','PENGAWASAN TEKNIS SPAM PAKET FV','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4650,'47109183','Pembangunan MCK Desa Jebung Kidul Kec. Tlogosari','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Jebung Kidul Kec. Tlogosari','Pembangunan MCK Desa Jebung Kidul Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4651,'47109548','Pembangunan MCK Desa Kupang Kec. Curahdami','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Desa Kupang Kec. Curahdami','Pembangunan MCK Desa Kupang Kec. Curahdami','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4652,'47109806','Pembangunan MCK Kelurahan Dabasah Kec. Bondowoso','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Kelurahan Dabasah Kec. Bondowoso','Pembangunan MCK Kelurahan Dabasah Kec. Bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4653,'47110039','Pembangunan MCK Kelurahan Badean Kec. Bondowoso','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Kelurahan Badean Kec. Bondowoso','Pembangunan MCK Kelurahan Badean Kec. Bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4654,'47110227','Pembangunan MCK Yayasan Miftahul Ulum Desa Pecalongan Kec. Sukosari','51.900.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan MCK Yayasan Miftahul Ulum Desa Pecalongan Kec. Sukosari','Pembangunan MCK Yayasan Miftahul Ulum Desa Pecalongan Kec. Sukosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4655,'47110605','PERENCANAAN TEKNIS SPAM PAKET FVI','21.798.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PERENCANAAN TEKNIS SPAM PAKET FVI','PERENCANAAN TEKNIS SPAM PAKET FVI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:26:46.159','perkim'),
(4656,'47110959','PENGAWASAN TEKNIS SPAM PAKET FVI','14.532.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','PENGAWASAN TEKNIS SPAM PAKET FVI','PENGAWASAN TEKNIS SPAM PAKET FVI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4657,'47130841','Pembangunan Pagar IPLT Bondowoso','199.520.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan Pagar IPLT Bondowoso','Pembangunan Pagar IPLT Bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4658,'47131273','Pembangunan Prasarana IPLT Bondowoso','199.520.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan Prasarana IPLT Bondowoso','Pembangunan Prasarana IPLT Bondowoso','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4659,'47131793','Perencanaan Teknis Paket CI','16.761.400','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket CI','Perencanaan Teknis Paket CI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:26:46.159','perkim'),
(4660,'47132127','Perencanaan Teknis Paket CII','16.761.400','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket CII','Perencanaan Teknis Paket CII','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-10 09:26:46.159','perkim'),
(4661,'47132403','Pengawasan Teknis Paket CI','11.175.700','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket CI','Pengawasan Teknis Paket CI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4662,'47133094','Pengawasan Teknis Paket CII','11.175.700','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket CII','Pengawasan Teknis Paket CII','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-10 09:26:46.159','perkim'),
(4663,'48507710','Jalan Lingkungan Dsn. Leket Desa Batu Salang Kec. Cermee','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Leket Desa Batu Salang Kec. Cermee','Jalan Lingkungan Dsn. Leket Desa Batu Salang Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4664,'48508480','Jalan Lingkungan Dsn. Gunung Lao\' Desa Bajuran Kec. Cermee','43.375.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Gunung Lao\' Desa Bajuran Kec. Cermee','Jalan Lingkungan Dsn. Gunung Lao\' Desa Bajuran Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4665,'48508756','Jalan Lingkungan Dsn. Bengko Bille Desa Bajuran Kec. Cermee','43.375.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Bengko Bille Desa Bajuran Kec. Cermee','Jalan Lingkungan Dsn. Bengko Bille Desa Bajuran Kec. Cermee','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4666,'48509070','Jalan Lingkungan Desa Bandilan Kec. Prajekan','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Bandilan Kec. Prajekan','Jalan Lingkungan Desa Bandilan Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4667,'48509438','Jalan Lingkungan Desa Sempol Kec. Prajekan','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Sempol Kec. Prajekan','Jalan Lingkungan Desa Sempol Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4668,'48509677','Jalan Lingkungan Dsn. Taman Arum Desa Bandilan Kec. Prajekan','51.880.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Taman Arum Desa Bandilan Kec. Prajekan','Jalan Lingkungan Dsn. Taman Arum Desa Bandilan Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4669,'48509882','Jalan Lingkungan Dsn. Pereng Beto Desa Sempol Kec. Prajekan','43.375.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Pereng Beto Desa Sempol Kec. Prajekan','Jalan Lingkungan Dsn. Pereng Beto Desa Sempol Kec. Prajekan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4670,'48510190','Perencanaan Teknis Paket A1','31.216.500','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket A1','Perencanaan Teknis Paket A1','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-23 15:15:04.309','perkim'),
(4671,'48510522','Pengawasan Teknis Paket A1','21.220.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket A1','Pengawasan Teknis Paket A1','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4672,'48510812','Jalan Lingkungan Dsn. Sude Desa Gayam Kec. Botolinggo','43.375.500','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Sude Desa Gayam Kec. Botolinggo','Jalan Lingkungan Dsn. Sude Desa Gayam Kec. Botolinggo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4673,'48511213','Jalan Lingkungan Desa Kerang Kec. Sukosari','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Kerang Kec. Sukosari','Jalan Lingkungan Desa Kerang Kec. Sukosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4674,'48511438','Jalan Lingkungan Dsn. Timur Gunung Dadapan Desa Tegaljati Kec. Sumberwringin','176.616.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Timur Gunung Dadapan Desa Tegaljati Kec. Sumberwringin','Jalan Lingkungan Dsn. Timur Gunung Dadapan Desa Tegaljati Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4675,'48512440','Perencanaan Teknis Paket A2','20.708.250','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket A2','Perencanaan Teknis Paket A2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-23 15:15:04.309','perkim'),
(4676,'48512719','Pengawasan Teknis Paket A2','13.848.250','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket A2','Pengawasan Teknis Paket A2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4677,'48513164','Jalan Lingkungan Desa Sukosari Kidul Kec. Sumberwringin','132.678.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Sukosari Kidul Kec. Sumberwringin','Jalan Lingkungan Desa Sukosari Kidul Kec. Sumberwringin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4678,'48513379','Jalan Lingkungan Desa Gunosari RT.01 Kec. Tlogosari','69.315.750','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Gunosari RT.01 Kec. Tlogosari','Jalan Lingkungan Desa Gunosari RT.01 Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4679,'48514127','Jalan Lingkungan Desa Gunosari Kec. Tlogosari','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Gunosari Kec. Tlogosari','Jalan Lingkungan Desa Gunosari Kec. Tlogosari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4680,'48514459','Jalan Lingkungan Desa Pekalangan Kec. Tenggarang','132.462.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Pekalangan Kec. Tenggarang','Jalan Lingkungan Desa Pekalangan Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4681,'48514793','Jalan Lingkungan Desa Lojajar Kec. Tenggarang','132.678.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Lojajar Kec. Tenggarang','Jalan Lingkungan Desa Lojajar Kec. Tenggarang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4682,'48515123','Perencanaan Teknis Paket A3','37.081.250','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket A3','Perencanaan Teknis Paket A3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-23 15:15:04.309','perkim'),
(4683,'48515386','Pengawasan Teknis Paket A3','24.733.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket A3','Pengawasan Teknis Paket A3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4684,'48515983','Jalan Lingkungan Musholla Al-Hikmah Desa Mandiro Kec. Tegalampel','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Musholla Al-Hikmah Desa Mandiro Kec. Tegalampel','Jalan Lingkungan Musholla Al-Hikmah Desa Mandiro Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4685,'48516155','Jalan Lingkungan Desa Mandiro Kec. Tegalampel','88.452.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Desa Mandiro Kec. Tegalampel','Jalan Lingkungan Desa Mandiro Kec. Tegalampel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4686,'48516421','Jalan Lingkungan Dsn. Paleran Desa Paguan Kec. Taman Krocok','132.462.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Jalan Lingkungan Dsn. Paleran Desa Paguan Kec. Taman Krocok','Jalan Lingkungan Dsn. Paleran Desa Paguan Kec. Taman Krocok','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4687,'48516688','Perencanaan Teknis Paket A4','20.247.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket A4','Perencanaan Teknis Paket A4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-23 15:15:04.309','perkim'),
(4688,'48517056','Pengawasan Teknis Paket A4','13.387.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket A4','Pengawasan Teknis Paket A4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4689,'48517355','Pembangunan Drainase Dsn. Karang Desa Sukowono Kec. Pujer','88.400.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan Drainase Dsn. Karang Desa Sukowono Kec. Pujer','Pembangunan Drainase Dsn. Karang Desa Sukowono Kec. Pujer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4690,'48517645','Pembangunan Drainase Dsn. Kalisengon Desa Kaligedang Kec. Sempol','88.400.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pembangunan Drainase Dsn. Kalisengon Desa Kaligedang Kec. Sempol','Pembangunan Drainase Dsn. Kalisengon Desa Kaligedang Kec. Sempol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4691,'48517842','Perencanaan Teknis Paket A6','11.560.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Perencanaan Teknis Paket A6','Perencanaan Teknis Paket A6','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-23 15:15:04.309','perkim'),
(4692,'48517988','Pengawasan Teknis Paket A6','7.640.000','Penunjukan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Perumahan, Kawasan Permukiman, Cipta Karya dan Tata Ruang',2024,'1 Paket','Pengawasan Teknis Paket A6','Pengawasan Teknis Paket A6','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','Maret 2024','Juni 2024','Februari 2024','Maret 2024','2024-01-23 15:15:04.309','perkim'),
(4693,'47043072','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (sapi cross limousin/simmental jantan))','889.227.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'45 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (sapi cross limousin/simmental jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juli 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4694,'47043588','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (sapi indukan))','328.734.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'18 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (sapi indukan))','terlampr dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juli 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4695,'47044843','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (kambing PE betina)','227.568.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'63 ekor','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (kambing PE betina)','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4696,'47045259','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (kambing PE jantan)','55.774.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'10 ekor','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (kambing PE jantan)','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-08 14:40:01.77','disnakikan'),
(4697,'47046011','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (kambing PE betina))','183.352.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'44 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (kambing PE betina))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4698,'47046353','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (kambing PE jantan))','21.046.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'4 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (kambing PE jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-08 14:40:01.77','disnakikan'),
(4699,'47047378','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (domba EG betina)','310.523.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'104 ekor','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (domba EG betina)','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4700,'47047874','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (domba EG jantan)','4.121.600','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 ekor','Belanja Bahan-Bahan/Bibit Ternak/Bibit Ikan (domba EG jantan)','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juni 2024','Juni 2024','Mei 2024','Juni 2024','2024-01-08 14:40:01.77','disnakikan'),
(4701,'47048385','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (domba EG betina))','319.480.600','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'107 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (domba EG betina))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-08 14:40:01.77','disnakikan'),
(4702,'47050217','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (domba EG jantan))','32.972.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'8 ekor','Belanja Hibah Barang kepada Badan dan Lembaga Nirlaba, Sukarela Bersifat Sosial Kemasyarakatan (Persediaan Untuk Dijual/Diserahkan Lainnya (domba EG jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-08 14:40:01.77','disnakikan'),
(4703,'47117335','Belanja Alat/bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 paket','Belanja Alat/bahan untuk Kegiatan Kantor-Bahan Komputer','Terlampir di dalam KAK/Dokumen Pemilihan','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 11:05:58.246','disnakikan'),
(4704,'47121474','Belanja Alat/bahan untuk Kegiatan Kantor-Kertas dan Cover','414.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 paket','Belanja Alat/bahan untuk Kegiatan Kantor-Kertas dan Cover','Terlampir dalam KAK/Dokumen Pemilihan','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 11:05:58.246','disnakikan'),
(4705,'47125305','Belanja Alat/bahan untuk Kegiatan Kantor-Alat Tulis Kantor','506.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 paket','Belanja Alat/bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Terlampir dalam KAK/Dokumen Pemilihan','Ya','Ya','Tidak','Ya','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 11:10:01.633','disnakikan'),
(4706,'47147170','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (sapi cross limousin jantan))','731.142.200','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'37 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (sapi cross limousin jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-09 13:29:54.062','disnakikan'),
(4707,'47147469','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (sapi indukan))','18.263.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (sapi indukan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-09 13:29:54.062','disnakikan'),
(4708,'47148311','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (kambing PE betina))','357.607.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'99 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (kambing PE betina))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-09 13:29:54.062','disnakikan'),
(4709,'47148707','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (kambing PE jantan))','50.196.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'9 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (kambing PE jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-09 13:29:54.062','disnakikan'),
(4710,'47149697','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG betina))','89.574.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'30 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG betina))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','April 2024','Juni 2024','Maret 2024','April 2024','2024-01-09 13:29:54.062','disnakikan'),
(4711,'47149941','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG jantan))','12.364.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'3 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG jantan))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-09 13:29:54.062','disnakikan'),
(4712,'47150234','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG betina paket 2))','29.858.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'10 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG betina paket 2))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-09 13:29:54.062','disnakikan'),
(4713,'47150476','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG jantan paket 2))','4.121.600','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 ekor','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (Persediaan untuk Dijual/Diserahkan Kepada Masyarakat (domba EG jantan paket 2))','terlampir dalam dokumen KAK dan pengadaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-09 13:29:54.062','disnakikan'),
(4714,'47502892','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.590.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-12 09:21:43.295','disnakikan'),
(4715,'47502896','Bangunan Gedung Kantor (Perencanaan)','75.440.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'200 M2','Bangunan Gedung Kantor (Perencanaan RPH Maesan)','Perencanaan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Februari 2024','2024-02-12 09:21:17.253','disnakikan'),
(4716,'47502902','Belanja Modal Sumber Tenaga','15.900.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Dinas Peternakan dan Perikanan',2024,'1 Paket','Sumber Tenaga;','Genset;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-02-12 09:20:49.48','disnakikan'),
(4717,'47092650','Alat tulis kantor','1.875.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Belanja ATK dengan rincian binder clip, ballpoint dll sesuai dengan KAK','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4718,'47096463','Belanja kertas','593.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Kertas HVS A4, HVS F4, Kertas cover, kertas buffalo','Sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4719,'47096936','Belanja bahan komputer','530.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Belanja tinta komputer','Sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4720,'47107445','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, Kertas HVS dan Tinta Komputer','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4721,'47108865','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Foto copy, kertas HVS dan tinta komputer','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4722,'47109534','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, kertas HVS dan tinta komputer','sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4723,'47109992','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','55.250.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Leaflet/Brosur : 6.500 lembar)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Leaflet/Brosur : 6.500 lembar) Spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4724,'47110205','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, kertas HVS dan tinta komputer','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4725,'47112029','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, kertas HVS dan tinta komputer','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4726,'47112681','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','24.500.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan (Jasa Pembuatan Video dokumentasi 49 paket)','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan (Jasa Pembuatan Video dokumentasi 49 paket) Spesifikasi sesua KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','November 2024','Juli 2024','Juli 2024','2024-01-09 12:56:36.504','dinsos'),
(4727,'47112934','Belanja ATK','1.260.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','fotocopy','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 17:05:03.503','dinsos'),
(4728,'47113490','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','30.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan (Banner rangka/baliho 20 buah)','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan (Banner rangka/baliho 20 buah) Spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','September 2024','Juli 2024','Juli 2024','2024-01-09 12:56:36.504','dinsos'),
(4729,'47115092','Belanja Makanan dan Minuman Rapat','133.856.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 2.848 kotak, kue Kotak 2.848 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 2.848 kotak, kue Kotak 2.848 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','April 2024','April 2024','2024-01-09 12:56:36.504','dinsos'),
(4730,'47117416','Belanja Makanan dan Minuman Rapat','47.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 1.000 kotak, kue kotak 1.000 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 1.000 kotak, kue kotak 1.000 kotak)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4731,'47118520','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','16.483.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Snelhecter map, Blocknote,Bolpoint,Map Kancing,banner, Fotocopy)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Snelhecter map, Blocknote,Bolpoint,Map Kancing,banner, Fotocopy) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4732,'47120511','Belanja Makanan dan Minuman Rapat','10.810.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (Nasi kotak 230 kotak, kue kotak 230 kotak)','Belanja Makanan dan Minuman Rapat (Nasi kotak 230 kotak, kue kotak 230 kotak) Spesikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Agustus 2024','September 2024','Agustus 2024','Agustus 2024','2024-01-09 12:56:36.504','dinsos'),
(4733,'47122796','Belanja Makanan dan Minuman Rapat','38.681.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 823 kotak, kue kotak 823 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 823 kotak, kue kotak 823 kotak) Spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Oktober 2024','Juli 2024','Oktober 2024','Juli 2024','Juli 2024','2024-01-09 12:56:36.504','dinsos'),
(4734,'47123881','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.010.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (tinta stempel 1buah,ordner besar 239 buah,fotocopy 10.200 lembar)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (tinta stempel 1buah,ordner besar 239 buah,fotocopy 10.200 lembar) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4735,'47124949','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','11.349.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Kertas HVS a4 70gr 50 rim, HVS f4 70gr 130 rim)','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover (Kertas HVS a4 70gr 50 rim, HVS f4 70gr 130 rim)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4736,'47127498','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya','300.000.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya ( 25 unit BKB Kit)','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya ( 25 unit BKB Kit) Spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-09 12:56:36.504','dinsos'),
(4737,'47133434','Belanja Kawat/Faksimili/Internet/TV Berlangganan','1.791.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Kawat/Faksimili/Internet/TV Berlangganan (Pulsa/Biaya Komunikasi 1.791 orang X 10 bulan X Rp. 100.000)','Belanja Kawat/Faksimili/Internet/TV Berlangganan (Pulsa/Biaya Komunikasi 1.791 orang X 10 bulan X Rp. 100.000)','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-09 12:56:36.504','dinsos'),
(4738,'47135749','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat ( nasi kotak 500 kotak, kue kotak 500 kotak)','Belanja Makanan dan Minuman Rapat ( nasi kotak 500 kotak, kue kotak 500 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','November 2024','Juni 2024','November 2024','Juni 2024','Juni 2024','2024-01-09 12:56:36.504','dinsos'),
(4739,'47136730','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.344.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Bolpoint 9 pak, blocknote 500 buah, map kancing 500 buah, snelhecter map 250 buah, fotocopy 4.040, banner 20 meter)','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Bolpoint 9 pak, blocknote 500 buah, map kancing 500 buah, snelhecter map 250 buah, fotocopy 4.040, banner 20 meter) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','November 2024','Juni 2024','November 2024','Juni 2024','Juni 2024','2024-01-09 12:56:36.504','dinsos'),
(4740,'47137740','Belanja Makanan dan Minuman Rapat','141.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat ( Nasi kotak 3.000 kotak, kue kotak 3.000 kotak)','Belanja Makanan dan Minuman Rapat ( Nasi kotak 3.000 kotak, kue kotak 3.000 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-09 12:56:36.504','dinsos'),
(4741,'47139842','Belanja Makanan dan Minuman Rapat','25.850.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 550 kotak, kue kotak 550 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 550 kotak, kue kotak 550 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4742,'47140783','Belanja Makanan dan Minuman Rapat','336.729.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 8.540 kotak, kue kotak 4.737 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 8.540 kotak, kue kotak 4.737 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-09 12:56:36.504','dinsos'),
(4743,'47141170','Belanja Bahan-bahan lainnya','32.907.600','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Bahan-bahan lainnya','Belanja Bahan-bahan lainnya (Spesifikasi dan jenis barang sesuai KAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4744,'47141510','Belanja Obat-obatan','101.479.400','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Obat-obatan','Belanja Obat-obatan (Spesifikasi dan jenis barang sesuai KAK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Juni 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4745,'47142384','Belanja Makanan dan Minuman Rapat','8.288.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (Nasi kotak 104 kotak, kue kotak 304 kotak)','Belanja Makanan dan Minuman Rapat (Nasi kotak 104 kotak, kue kotak 304 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-09 12:56:36.504','dinsos'),
(4746,'47143310','Belanja Makanan dan Minuman Rapat','101.050.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat (nasi kotak 2.150 kotak, kue kotak 2.150 kotak)','Belanja Makanan dan Minuman Rapat (nasi kotak 2.150 kotak, kue kotak 2.150 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Oktober 2024','Mei 2024','Oktober 2024','Mei 2024','Mei 2024','2024-01-09 12:56:36.504','dinsos'),
(4747,'47144487','Belanja Makanan dan Minuman Rapat','8.225.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 tahun','Belanja Makanan dan Minuman Rapat ( nasi kotak 175 kotak, kue kotak 175 kotak)','Belanja Makanan dan Minuman Rapat ( nasi kotak 175 kotak, kue kotak 175 kotak) spesifikasi sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-09 12:56:36.504','dinsos'),
(4748,'47185215','Belanja ATK, Kertas dan Bahan Komputer','3.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Foto copy, isi steples, ordner, paper clip, snellhecter map, stapler, stopmap kertas, kertas HVS dan tinta komputer (sesuai KAK)','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 20:54:22.803','dinsos'),
(4749,'47185605','Belanja ATK, Kertas dan Bahan Komputer','3.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, isi steples, ordner, paper clip, snellhecter map, stapler, stopmap kertas, kertas HVS dan tinta komputer (sesuai KAK)','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 20:54:22.803','dinsos'),
(4750,'47185985','Belanja ATK dan Kertas','2.000.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Correction pen, fotocopy, ordner, paper clip, snellhecter, spidol, stabilo, stopmap kertas dan kertas HVS (sesuai KAK)','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 20:54:22.803','dinsos'),
(4751,'47186057','Belanja ATK, Kertas dan Bahan Komputer','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy, paper clip, snellhecter map, kertas HVS, dan tinta komputer','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 20:54:22.803','dinsos'),
(4752,'47186579','Jasa komunikasi, sumber daya air dan listrik','72.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Biaya tagihan air, listrik dan internet','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4753,'47186689','Belanja ATK','200.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy dan ballpoint','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4754,'47187268','Belanja ATK','5.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 20:54:22.803','dinsos'),
(4755,'47187450','Belanja ATK dan Kertas','10.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Binder clip, fotocopy, kertas HVS, dll sesuai dengan KAK','Sesuai dengan KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4756,'47187824','Belanja ATK','545.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4757,'47191436','Belanja Bahan Bakar dan Pelumas','34.781.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','BBM dan Oli','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4758,'47191534','Belanja Suku Cadang','50.209.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Suku Cadang Kendaraan Roda 4 (Sesuai KAK)','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4759,'47191595','Belanja ATK','10.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Dinas Sosial, Pemberdayaan Perempuan, Perlindungan Anak, dan Keluarga Berencana',2024,'1 paket','Fotocopy','Sesuai KAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 20:54:22.803','dinsos'),
(4760,'47236054','Belanja Bahan-Bahan Kimia','10.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Bahan Bahan Kimia Reagent','Pengadaan Reagent','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4761,'47239483','Belanja Bahan-Bahan Lainnya','6.600.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Pengadaan Termogun,BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4762,'47241340','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','31.747.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','banner,Isi Stapler Kecil No.10,BBK Bon Obat,Blangko resep,Bolpoint,Buku Tulis 38 Lbr,Leaflet/Brosur,Fotocopy,Isi Staples Besar No. 23,Map kertas,Ordner BesarSnelhecter Map Bahan Transparan,,StaplerHd 10,Snelhecter Map Bahan Plastik,Correction Ke 201,Cetak Kohort Ibu.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4763,'47242235','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.856.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS A4 80 gr,Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100,Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 ,Kertas HVS F4 80 gram,Kertas Hvs Warna F4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4764,'47243691','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','16.835.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Continous Form 9,5 3 Ply - 1000 Sheet,Catridge printer,Tinta printer Hitam Epson,Tinta printer Merah Epson,Tinta printer Kuning Epson,Tinta printer Biru Epson,Tinta printer Kuning Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4765,'47244466','Belanja Obat-Obatan-Obat','15.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Obat-Obatan-Obat','Belanja Bahan Obat-Obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4766,'47245323','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','23.500.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Beban Jasa Tenaga Teknisi Mekanik dan Listrik Spesifikasi : Service Ambulance service komputer service Kulkas, AC, dll service printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4767,'47246308','Belanja Jasa Pengolahan Sampah','29.800.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Jasa Pengolahan Sampah','Pemusnahan Sampah Medis dan Pengelolaan Sampah Non Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4768,'47246833','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Tahun','Belanja Pengolahan Air Limbah','Jasa Pemeliharaan/Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4769,'47247782','Belanja Pemeliharaan Gedung dan Bangunan','17.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Tahun','Belanja Pemeliharaan Gedung dan Bangunan','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Kesehatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4770,'47248424','Belanja Modal Peralatan Studio Video dan Film','7.150.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Modal Peralatan Studio Video dan Film','Pengadaan Camera Zoom meeting dan Microphone zoom meeting','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4771,'47249113','Belanja Modal Sumber Tenaga','44.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 unit','Belanja Modal Sumber Tenaga','Pengadaan Genset','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4772,'47249802','Belanja Modal Alat Kedokteran Umum','43.204.300','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','PengadaanAutoclave,regulator oksigen,Ambubag Dewasa,Stetoscope Riester,Tensimeter Aneroid Berdiri Sphygmomanometer Aneroid','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4773,'47250386','Belanja Modal Alat Kedokteran Gigi','38.838.900','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Modal Alat Kedokteran Gigi','Pengadaan Dental Handpiece,Light cured,Dental Aerosol Suction Machine','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4774,'47250957','Belanja Modal Alat Kedokteran Bedah','4.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Modal Alat Kedokteran Bedah','Haecting set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4775,'47251534','Belanja Modal Alat Kedokteran THT','848.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Belanja Modal Alat Kedokteran THT','THT set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4776,'47252475','Belanja Modal Personal Computer','14.685.200','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 unit','Belanja Modal Personal Computer','laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4777,'47253129','Belanja Modal Peralatan Personal Computer','3.869.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 unit','Belanja Modal Peralatan Personal Computer','Printer Epson L3210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-10 11:36:58.989','pkm-binakal'),
(4778,'47573509','Belanja Makanan dan Minuman Rapat (BOK)','9.870.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Kue Kotak 210 kotak Nasi Kotak 210 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 06:50:50.773','pkm-binakal'),
(4779,'47576236','Belanja Makanan dan Minuman Rapat (BOK)','4.230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak 90 Kue Kotak 90','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 17:07:01.097','pkm-binakal'),
(4780,'47576598','Belanja Makanan dan Minuman Rapat (BOK)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Kue Kotak 150 Kotak Nasi Kotak 150 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 06:51:23.894','pkm-binakal'),
(4781,'47576937','Belanja Makanan dan Minuman Rapat (BOK)','28.737.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Kue Kotak 231 Kotak Nasi Kotak 827 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 06:52:13.038','pkm-binakal'),
(4782,'47595886','Belanja Makanan dan Minuman Rapat (BOK)','2.585.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Kue Kotak 55 Nasi Kotak 55','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4783,'47596098','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','27.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','ALat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4784,'47596337','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4785,'47596602','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','25.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4786,'47596836','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','10.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4787,'47596912','Belanja Makanan dan Minuman Rapat (BOK)','5.142.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan Minuman Rapat','Nasi Kotak 168 Kue Kotak 6','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4788,'47597000','Belanja Makanan dan Minuman Rapat (BOK)','51.888.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Makanan dan MInuman Rapat','Nasi Kotak 1104 Kue Kotak 1104','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:22:43.68','pkm-binakal'),
(4789,'47602251','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','4.256.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Bahan Makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:03:20.221','pkm-binakal'),
(4790,'47602526','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang (BOK)','36.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Bahan Makanan PMT','Bahan Makanan Balita gizi krg','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:03:20.221','pkm-binakal'),
(4791,'47602636','] Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Ibu Hamil KEK (BOK)','72.240.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Binakal',2024,'1 Paket','Bahan Maka PMT','Bahan Makanan Ibu Hamil Gizi krg','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:03:20.221','pkm-binakal'),
(4792,'46868627','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Bahan-Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4793,'46868756','Belanja Isi Tabung Pemadam Kebakaran','954.900','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'3 Unit','Belanja Isi Tabung Pemadam Kebakaran','Isi Ulang APAR 3 Kg','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4794,'46868833','Belanja Bahan-Bahan Lainnya','50.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Handscoon,Spuit,Masker Dll.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4795,'46877011','Belanja Suku Cadang Alat Angkutan','25.821.900','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Suku Cadang Alat Angkutan','ACCU Dan Ban Ambulance','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4796,'46878489','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','35.989.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy,Binder Clip,Spidol Marker,Bolpoint,Stapler Dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','Februari 2024','Agustus 2024','Februari 2024','Februari 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4797,'46895396','Belanja Alat/Bahan Kertas Dan Cover','3.388.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Alat/Bahan Kertas Dan Cover','Kertas HVS Dan Kertas Stiker Label','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4798,'46895884','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','1.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Alat/Bahan Untuk Kegiatan Kantor-Benda Pos','Materai 10.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4799,'46896833','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perabot Kantor','3.180.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'12 Unit','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perabot Kantor','Kotak Saran','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4800,'46897543','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Listrik','2.544.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'20 Buah','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Listrik','Lampu Hpl','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4801,'46898690','Belanja Obat-Obatan','40.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Obat-Obatan','Belanja Obat-Obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4802,'46899009','Belanja Modal Alat Timbangan/Biara','6.647.100','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Modal Alat Timbangan/Biara','Timbangan Bayi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4803,'46899463','Belanja Modal Alat Penyimpan Perlengkapan Kantor','7.000.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'2 Unit','Belanja Modal Alat Penyimpan Perlengkapan Kantor','Rak Besi Sliding','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4804,'46899808','Belanja Modal Mebel','15.900.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Modal Mebel','Kursi Rapat Dan Sketsel Pembatas Ruangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4805,'46900011','Belanja Modal Alat Pendingin','5.300.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Unit','Belanja Modal Alat Pendingin','AC Dinding','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4806,'46900713','Belanja Modal Alat Rumah Tangga Lainnya','30.000.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Modal Alat Rumah Tangga Lainnya','TV Touch Screen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','Desember 2024','November 2024','November 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4807,'46901053','Belanja Modal Peralatan Studio Audio','5.300.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Modal Peralatan Studio Audio','Sound System','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4808,'46901347','Belanja Modal Alat Kedokteran Umum','38.729.400','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','Stetoskop Dewasa,Vena Vein Finder,Termgun,Stetoskop Anak,Tabung Oksigen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4809,'46901485','Belanja Modal Alat Kesehatan Kebidanan Dan Penyakit Kandungan','3.710.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'7 Buah','Belanja Modal Alat Kesehatan Kebidanan Dan Penyakit Kandungan','Oxygen Regulator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4810,'46973586','Belanja Modal Personal Computer','21.200.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'2 Unit','Belanja Modal Personal Computer','PC All In One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4811,'46973746','Belanja Modal Peralatan Mainframe','1.113.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'3 Unit','Belanja Modal Peralatan Mainframe','Wireless Pointer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4812,'46973794','Belanja Modal Peralatan Personal Komputer','7.738.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Botolinggo',2024,'2 Unit','Belanja Modal Peralatan Personal Komputer','Printer Epson L3210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','Desember 2024','November 2024','November 2024','2024-01-07 19:41:50.69','pkm-botolinggo'),
(4813,'47581963','Belanja Bahan-Bahan Kimia','77.700.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'paket','Belanja Bahan-Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4814,'47582248','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','135.914.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'buah,lembar,meter,buku,set,pak','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','kastu stock barang 500 lembar buku agenda surat keluar 1 buah buku agenda surat masuk 1 buah kartu stock obat 500 lembar cetak kohort KB 17 buku register BP umum(BPJS) 18 buah Register BP Umum (Non BPJS) 18 buah map snell plastik 50 pak odner besar forte 200 buah leaflet/brosur 1000 lembar belanja banner 340 gram 300 meter rekam medis rawat jalan 5000set buku kia 750 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4815,'47582342','Belanja Alat/Bahan untuk Kegiatan kantor-Kertas dan Cover','15.600.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'rim','Belanja Alat/Bahan untuk kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 800 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4816,'47582438','Belanja Alat/Bahan untuk kegiatan Kantor - Bahan Komputer','25.890.500','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'pak,buah','Belanja Alat/Bahan untuk kegiatan Kantor -Bahan Komputer','Serbuk refil toner 2 pak tinta epson warna T 6642 tinta epson warna T 6641 tinta epson warna T 6644 tinta epson warna T 6643','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4817,'47582533','Belanja Alat/Bahan untuk kegiatan Kantor-Perabot Kantor','22.559.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'buah,botol,lembar','Belanja Alat/Bahan untuk kegiatan Kantor-Perabot Kantor','cikrak sampah 10 buah sapu lidi 20 buah sapu ijuk 25 buah kain pel 50 buah cairan pembersih keramik 50 buah cairana pembersih lantai 100 buah refill pengharum ruangan 50 botol tissue 100 buah cairan pembersih kaca 50 buah sabun anti bakteri 100 buah plastik sampah medis 60x100 1000 lembar sabun cuci tangan 150 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4818,'47582865','Belanja Kursus Singkat/Pelatihan','19.200.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'4 orang','Belanja Kursus Singkat/Pelatihan','Pelatihan PPGD','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4819,'47582904','Belanja Modal Alat Kedokteran Umum','51.410.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'unit','Belanja Modal Alat Kedokteran Umum','tensi meter aneroid berdiri sphygmomanometer aneroid 5 unit autoclave 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4820,'47582973','Belanja Modal Alat Kesehatan Bidan dan Penyakit Kandungan','10.600.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'buah','Belanja Modal Alat Kesehatan Bidan dan Penyakit Kandungan','oxygen regulator 20 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4821,'47583011','Belanja Modal Personal Komputer','88.111.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'unit','Belanja Modal Personal Komputer','laptop 6 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4822,'47583068','Belanja Modal Peralatan Personal Computer','23.214.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'unit','Belanja Modal Peralatan Personal Computer','printer epson l3210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 23:06:42.84','pkm-cermee'),
(4823,'47632139','Beban Makanan dan Minuman Rapat (BOK)','8.930.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:02:12.18','pkm-cermee'),
(4824,'47633670','Beban Makanan dan Minuman Rapat (BOK)','105.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:02:52.283','pkm-cermee'),
(4825,'47634379','Beban Makanan dan Minuman Rapat (BOK)','45.261.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:03:22.935','pkm-cermee'),
(4826,'47635051','Beban Makanan dan Minuman Rapat (BOK)','10.998.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:04:06.48','pkm-cermee'),
(4827,'47636131','Beban Makanan dan Minuman Rapat (BOK)','16.685.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:04:38.621','pkm-cermee'),
(4828,'47636822','Beban Makanan dan Minuman Rapat (BOK)','12.925.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:04:56.114','pkm-cermee'),
(4829,'47637545','Beban Makanan dan Minuman Rapat (BOK)','88.125.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','NASI KOTAK DAN KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:05:34.491','pkm-cermee'),
(4830,'47662978','Beban Makanan dan Minuman Rapat (BOK)','28.643.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-19 10:05:53.377','pkm-cermee'),
(4831,'47714974','Belanja Bahan-Bahan Kimia','77.700.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 paket','Belanja Bahan-Bahan Kimia','reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4832,'47715923','Belanja Bahan-Bahan Lainnya','80.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 paket','Belanja Bahan-Bahan Lainnya','BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4833,'47717073','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','135.914.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'buah','Belanja Alat/Bahan untuk kegiatan Kantor - Alat Tulis Kantor','belanja banner 340 gsm 300 m buku agenda surat keluar bahan hvs 80 gsm folio isi 250 lembar cetak 2 muka +cover+mika 1 buah buku agenda surat masuk bahan hvs 80 gsm folio isi 250 lembar cetak 2 muka +cover+mika 1 buah buku kia pink 750 buah cetak kohort kb 17 buku fotocopy 50652 lembar kartu stok barang 500 lembar kartu stok obat 500 lembar leafleat/brosur 1000lembar map snell plastik 50 pak odner besar (forte) 200 buah register bp umum (bpjs) 18 buah register bp umum (non bpjs) 18 buah rekam medis rawat jalan 5000 set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4834,'47717303','Belanja Alat/Bahan untuk Kegiatan kantor-Kertas dan Cover','15.600.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'200 rim','Belanja Alat/Bahan untuk Kegiatan kantor-Kertas dan Cover','kertas hvs f4 80 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4835,'47718051','Belanja Alat/Bahan untuk kegiatan Kantor - Bahan Komputer','25.890.500','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'pak,buah','Belanja Alat/Bahan untuk kegiatan Kantor - Bahan Komputer','serbuk refil toner brother 2 pak tinta epson hitam T 6641 tinta epson warnaT 6642 tinta epson warna T 6643 tinta epson warna T 6644','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4836,'47718388','Belanja Alat/Bahan untuk kegiatan Kantor-Perabot Kantor','22.559.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'buah','Belanja Alat/Bahan untuk kegiatan Kantor-Perabot Kantor','cairan pembersih kaca 50 buah cairan pembersih keramik 50 buah cairan pembersih lantai 100 buah cikrak sampah 10 buah kain pel 50 buah kanebo 20 buah plastik sampah medis 60x100 1000 lembar refill pengharum ruangan 50 botol sabun anti bakteri 100 botol sabun cuci tangan 150 buah sapu ijuk 25 buah sapu lidi 20 buah tisu 100 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4837,'47721300','Belanja Obat-Obatan-Obat','128.636.925','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'1 paket','Belanja Obat-Obatan-Obat','obat-obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4838,'47722039','Belanja Modal Alat Kedokteran Umum','51.410.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'5 unit,1 unit','Belanja Modal Alat Kedokteran Umum','tensimeter aneroid berdiri sphygmomanometer aneroid profesional mobile 5 unit autoclave 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4839,'47722135','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','10.600.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'20 buah','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','oxygen regulator 20 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4840,'47722346','Belanja Modal Personal Computer','88.111.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'6 unit','Belanja Modal Personal Computer','laptop 6 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4841,'47722594','Belanja Modal Peralatan Personal Computer','23.214.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Cermee',2024,'6 unit','Belanja Modal Peralatan Personal Computer','printer epson l3210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 17:11:35.508','pkm-cermee'),
(4842,'47315219','Belanja Bahan-Bahan Kimia','77.700.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Bahan-Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4843,'47315445','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','54.969.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Fotocopy, Odner besar, Odner kecil, banner, Binder clip no 260, binder clip no 155, binder clip no 200, buku folio 200 lbr, buku folio 100 lbr, buku tulis 38 lbr, snellhecter map bahan transparan, map kertas, perfurator, spidol permanen, stapler hd 10, cutter L 500, isi staples besar no 23, map dokumen map folio spring file interx','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4844,'47315534','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','20.370.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas HVS F4 80 gram, Articulating paper kertas warna penanda oklusi, kertas NCR F4, Kertas A4 70 gram,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Januari 2024','Februari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4845,'47388599','Belanja Barang dan Jasa BOK Puskesmas','24.480.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:38:13.656','pkm-curahdami'),
(4846,'47391061','Belanja Barang dan Jasa BOK Puskesmas','2.108.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:37:48.682','pkm-curahdami'),
(4847,'47391667','Belanja Barang dan Jasa BOK Puskesmas','3.720.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:37:48.682','pkm-curahdami'),
(4848,'47392265','Belanja Barang dan Jasa BOK Puskesmas','69.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:39:06.372','pkm-curahdami'),
(4849,'47440707','Belanja Barang dan Jasa BOK Puskesmas','2.618.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:39:58.673','pkm-curahdami'),
(4850,'47440795','Belanja Barang dan Jasa BOK Puskesmas','4.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:39:58.673','pkm-curahdami'),
(4851,'47441869','Belanja Barang dan Jasa BOK Puskesmas','75.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:37:18.484','pkm-curahdami'),
(4852,'47447645','Belanja Barang dan Jasa BOK Puskesmas','6.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:39:30.625','pkm-curahdami'),
(4853,'47447730','Belanja Barang dan Jasa BOK Puskesmas','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:39:30.625','pkm-curahdami'),
(4854,'47448278','Belanja Barang dan Jasa BOK Puskesmas','24.480.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:40:26.974','pkm-curahdami'),
(4855,'47448374','Belanja Barang dan Jasa BOK Puskesmas','43.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:40:26.974','pkm-curahdami'),
(4856,'47449318','Belanja Barang dan Jasa BOK Puskesmas','510.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:36:51.75','pkm-curahdami'),
(4857,'47449393','Belanja Barang dan Jasa BOK Puskesmas','900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:36:51.75','pkm-curahdami'),
(4858,'47460237','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','15.382.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Catriedge canon hitam, catriedge canon warna, tinta epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4859,'47460693','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','40.835.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','Alat pel lantai, cangkir set, cikrak, dispenser, dispenser kopi/teh, gorden anti darah, kanebo, keset besar, kursi plastik, pembersih lantai, sabun cuci piring, sapu ijuk 2 macan rayung, tempat sampah injak sedang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4860,'47461202','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','706.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Buah','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','Baterai lithium 3 volt, baterai Aa 1,5 V, baterai sedang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4861,'47461334','Belanja Obat-Obatan-Obat','40.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Obat-Obatan-Obat','Obat-obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4862,'47461573','Belanja Jasa Pengolahan Sampah','25.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Jasa Pengolahan Sampah','Pemusnahan sampah medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:21.054','pkm-curahdami'),
(4863,'47461862','Belanja Modal Mebel','10.774.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Mebel','Kursi putar, meja kerja','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:21.054','pkm-curahdami'),
(4864,'47462421','Belanja Modal Alat Pendingin','37.736.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Alat Pendingin','Ac dinding, Ac standing floor, exhause fan, kipas angin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4865,'47462601','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','20.578.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Lemari arsip, Lemari besi penyimpanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4866,'47462902','Belanja Modal Peralatan SAR Mountenering','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Peralatan SAR Mountenering','Tandu lipat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4867,'47466510','Belanja Modal Alat Kedokteran Gigi','22.278.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Alat Kedokteran Gigi','Dental Aerosol Suction Machine','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4868,'47466759','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','Spirometri','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4869,'47466760','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','Spirometri','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4870,'47468321','Belanja Modal Alat Kedokteran Bedah Jantung','1.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Alat Kedokteran Bedah Jantung','Oxymeter bayi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4871,'47469085','Belanja Modal Alat Kesehatan Rehabilitasi Medis','3.975.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Alat Kesehatan Rehabilitasi Medis','Tiang Infus','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4872,'47561123','Belanja Modal Alat Kesehatan Umum Lainnya','5.301.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Buah','Belanja Modal Alat Kesehatan Umum Lainnyajawa','Tensimeter digital, tensimeter jarum','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4873,'47561262','Belanja Modal Personal Computer','44.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Personal Computer','Laptop, PC all in one','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4874,'47561624','Belanja Modal Peralatan Personal Computer','15.584.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Peralatan Personal Computer','Monitor LED 24\", Printer Epson all in one','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:16:00.267','pkm-curahdami'),
(4875,'47561711','Belanja Modal Peralatan Komputer Lainnya','6.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Unit','Belanja Modal Peralatan Komputer Lainnya','UPS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4876,'47561823','Belanja Modal Alat Kedokteran Umum','66.356.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Modal Alat Kedokteran Umum','Bed pasien, blender obat, regulator oksigen, stetoskop anak, stetoskop dewasa, suction pump, suction pump baby, thermogun, timbangan digital bayi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 13:15:38.012','pkm-curahdami'),
(4877,'47569851','Belanja Barang dan Jasa BOK Puskesmas','3.315.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Barang dan Jasa BOK Puskesmas','Kue Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:03:28.343','pkm-curahdami'),
(4878,'47569926','Belanja Barang dan Jasa BOK Puskesmas','22.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Barang dan Jasa BOK Puskesmas','Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:03:28.343','pkm-curahdami'),
(4879,'47569989','Belanja Barang dan Jasa BOK Puskesmas','37.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Barang dan Jasa BOK Puskesmas','Fotokopi kertas buram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:03:28.343','pkm-curahdami'),
(4880,'47570177','Belanja Pemeliharaan Bangunan Gedung - Bangunan Gedung Tempat Kerja - Bangunan Gedung Kantor','23.527.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Paket','Belanja Pemeliharaan Bangunan Gedung - Bangunan Gedung Tempat Kerja - Bangunan Gedung Kantor','Pemeliharaan Bangunan Gedung Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:03:28.343','pkm-curahdami'),
(4881,'47570293','Belanja Pengolahan Air Limbah','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Tahun','Belanja Pengolahan Air Limbah','Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:03:28.343','pkm-curahdami'),
(4882,'47571402','Belanja Barang dan Jasa BOK Puskesmas','4.675.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:44:43.053','pkm-curahdami'),
(4883,'47571580','Belanja Barang dan Jasa BOK Puskesmas','8.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Curahdami',2024,'Kotak','Beban Makanan dan Minuman Rapat','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:44:43.053','pkm-curahdami'),
(4884,'47533189','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.793.100','E-Purchasing','Lainnya','February 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Belanja Alat/Bahan Alat Tulis Kantor','Stempel dinas, tinta stempel, buku tulis, correction pen, gunting besar, isolasi, plackband hitam, snelhecter map, odner besar, map kancing','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4885,'47564625','Belanja Bahan-bahan Kimia','50.000.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'paket','Belanja Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2025','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4886,'47564723','Belanja bahan-bahan lainnya','66.785.700','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'paket','Belanja BMHP','BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2025','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4887,'47564826','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','4.830.000','E-Purchasing','Lainnya','February 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Rim','Belanja Alat/Bahan untuk Kegiatan Kantor','Kertas HVS F4 80gr, HVS Warna F4 70gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4888,'47565018','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','3.798.000','E-Purchasing','Lainnya','February 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Belanja Alat/Bahan untuk Kegiatan Kantor','Alat Pembersih Kaca, Pembersih Kaca dan Lantai, Keset, SAbun Anti Bakteri, Sapu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4889,'47565180','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','9.020.000','E-Purchasing','Lainnya','February 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Belanja Alat Listrik','Lampu LED 15w','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4890,'47565219','Belanjan Obat-Obatan','80.000.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'paket','Belanjan Obat-Obatan','Obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2025','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4891,'47578124','Belanja Modal Pompa','10.000.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Belanja Pompa','Pompa Air Limbah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2025','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4892,'47578233','Belanja Modal Alat Timbangan','530.500','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Belanja Alat Timbangan','Timbangan Bayi Digital','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4893,'47578323','Belanja Modal Alat Penyimpan Perlengkapan Kantor','38.921.600','E-Purchasing','Lainnya','February 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Belanja Alat Penyimpan Perlengkapan Kantor','Fillin cabinet 4 laci, lemari arsip, loker','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4894,'47578351','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'paket','Pengolahan Air Limbah','IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Oktober 2024','Oktober 2025','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4895,'47578467','Belanja Modal Mebel','40.911.600','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Mebel','Kursi putar, kursi tunggu, meja kayu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4896,'47578484','Belanja Modal Alat Pendingin','2.362.800','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Belanja Alat Pendingin','Kipas Angin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4897,'47578553','Belanja Modal Alat Dapur','2.058.200','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Set','Alat Dapur','Kitchen set olympic','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4898,'47578607','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','5.578.800','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Rumah Tangga Lainnya (Home Use)','TV Smart 43 inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4899,'47578795','Belanja Modal Alat Kedokteran Umum','149.857.600','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Kedokteran Umum','Ambubag, bak instrumen sedang, dopler, iud set, kertas print USG, lampu tindakan, stetoscope anak, tabung oksigen 1set+trolly, tensimeter abn, timbangan badan camry digital, troli instrumen ugd','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4900,'47578880','Belanja Modal Alat Kedokteran Keluarga Berencana','1.655.000','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Alat Kedokteran Keluarga Berencana','Sterilisator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4901,'47578973','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','16.960.000','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Kesehatan Kebidanan dan Penyakit Kandungan','dopler','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4902,'47579023','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','1.730.300','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Kedokteran Bagian Penyakit Dalam','Nebulizer Omron','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4903,'47579224','Belanja Modal Alat Kedokteran Poliklinik','7.813.800','E-Purchasing','Lainnya','June 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Set','Alat Kedokteran Poliklinik','Partus set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Juli 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4904,'47590048','Belanja Modal Alat Kesehatan Rehabilitasi Medis','7.059.600','E-Purchasing','Lainnya','May 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Kesehatan Rehabilitasi Medis','Tiang Infus','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4905,'47593845','Beban Makanan dan Minuman Rapat (BOK)','103.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4906,'47594021','Belanja Modal Alat Kedokteran Bedah Jantung','318.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'buah','Alat Kedokteran Bedah Jantung','Pulse Oxymeter Anak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4907,'47594068','Beban Makanan dan Minuman Rapat (BOK)','3.149.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4908,'47594137','Belanja Modal Alat Kesehatan Umum Lainnnya','6.895.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Alat Kesehatan Umum Lainnnya','Tensimeter digital, thermometer gun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4909,'47594173','Beban Makanan dan Minuman Rapat (BOK)','12.878.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4910,'47594193','Belanja Modal Alat Laboratorium Kimia','67.840.000','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Set','Alat Laboratorium Kimia','Fotometer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4911,'47594285','Belanja Modal Alat Laboratorium Immunologi','689.700','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Box','Alat Laboratorium Immunologi','Cholesterol (test strip)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4912,'47594288','Beban Makanan dan Minuman Pada Fasilitas Urusan Pelayanan Kesehatan (BOK)','44.352.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Pada Fasilitas Urusan Pelayanan Kesehatan','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4913,'47594340','Beban Makanan dan Minuman Pada Fasilitas Urusan Pelayanan Kesehatan (BOK)','82.560.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Pada Fasilitas Urusan Pelayanan Kesehatan','Penyediaan Bahan Makanan Tambhan Berbasis Pangan Lokal Bagi Ibu Hamil KEK','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4914,'47594345','Belanja Modal Komputer Jaringan','82.030.800','E-Purchasing','Lainnya','June 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Komputer Jaringan','Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4915,'47594389','Beban Makanan dan Minuman Pada Fasilitas Urusan Pelayanan Kesehatan (BOK)','5.852.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Urusan Pelayanan Kesehatan','Bahan Makanan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4916,'47594393','Belanja Modal Personal Computer','16.745.800','E-Purchasing','Lainnya','June 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Personal Computer','Laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4917,'47594444','Beban Makanan dan Minuman Rapat (BOK)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4918,'47594478','Belanja Modal Peralatan Personal Computer','29.220.500','E-Purchasing','Lainnya','September 2024','Kab. Bondowoso','FKTP Grujugan',2024,'Unit','Peralatan Personal Computer','Lcd Monitor, Printer Epson L3210','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 16:10:25.502','pkm-grujugan'),
(4919,'47594496','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','990.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4920,'47594949','Beban Makanan dan Minuman Rapat (BOK)','28.729.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4921,'47594972','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','33.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4922,'47595072','Beban Makanan dan Minuman Rapat (BOK)','16.544.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4923,'47595116','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','49.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4924,'47595232','Beban Makanan dan Minuman Rapat (BOK)','46.530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4925,'47595315','Beban Makanan dan Minuman Rapat (BOK)','6.110.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Grujugan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 18:17:48.978','pkm-grujugan'),
(4926,'47390090','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 13:10:23.392','pkm-jambesari'),
(4927,'47396461','Belanja Bahan-Bahan Lainnya','68.040.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Bahan Lainnya','BMHP, Glucose Test Strip','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-11 13:10:23.392','pkm-jambesari'),
(4928,'47561151','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','36.755.900','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Tulis Kantor','Fotocopy, Map Kertas, Snelhecter Map Bahan Plastik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 08:50:46.436','pkm-jambesari'),
(4929,'47561410','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','39.795.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Kertas dan Cover','Kertas HVS F4 80 gram, Kertas NCR 9.5 x 11 3 Ply','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 09:05:59.828','pkm-jambesari'),
(4930,'47561698','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','33.125.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 09:14:07.672','pkm-jambesari'),
(4931,'47562023','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','7.639.600','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Listrik','Baterai AA 1.5V, Baterai AAA, Kabel Stopkontak Rol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 09:24:32.393','pkm-jambesari'),
(4932,'47562136','Belanja Obat-Obatan-Obat','40.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Obat','Obat-obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 09:29:21.268','pkm-jambesari'),
(4933,'47563019','Belanja Jasa Pengolahan Sampah','34.800.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Belanja Jasa Pengolahan Sampah','Pemusnahan Sampah Medis, Penglelolaan Sampah Non Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 10:05:23.64','pkm-jambesari'),
(4934,'47563524','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Beban Pengolahan Air Limbah','Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 10:26:16.193','pkm-jambesari'),
(4935,'47564214','Belanja Modal Alat Timbangan/Biara','10.284.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Timbangan/Biara','Timbangan Bayi (Digital)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 10:51:56.972','pkm-jambesari'),
(4936,'47564425','Belanja Modal Mebel','32.141.400','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Mebel','Kursi Tunggu, Meja Kerja Kayu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 10:58:15.258','pkm-jambesari'),
(4937,'47564602','Belanja Modal Alat Pendingin','21.624.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Pendingin','AC Dinding, Kulkas 2 Pintu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 11:04:54.911','pkm-jambesari'),
(4938,'47564718','Belanja Modal Alat Kedokteran Umum','5.304.600','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Kedokteran Umum','Blender Obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 11:09:42.541','pkm-jambesari'),
(4939,'47564919','Belanja Modal Alat Laboratorium Umum','7.850.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Alat Laboratorium Umum','Mikropipet vol. 100-1000 ul, Mikropipet vol. 5-50','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 11:15:26.497','pkm-jambesari'),
(4940,'47565050','Belanja Modal Personal Computer','156.183.200','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Personal Computer','Laptop, PC All In One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 11:20:54.266','pkm-jambesari'),
(4941,'47565142','Belanja Modal Peralatan Personal Computer','33.390.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Peralatan Personal Computer','Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-13 11:24:06.753','pkm-jambesari'),
(4942,'47589455','BELANJA MAKANAN DAN MINUMAN RAPAT SUB KEGIATAN PENGELOLAAN PELAYANAN IBU HAMIL','22.950.000','E-Purchasing','Lainnya','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1350 KOTAK','BELANJA MAKMIN RAPAT KEGIATAN PENGELOLAAN PELAYANAN KESEHATAN IBU HAMIL','KUE KOTAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4943,'47676861','Beban Makanan dan Minuman rapat sub kegiatan pelayanan GIzi masyarakat','18.800.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4944,'47678118','Beban Makanan dan Minuman rapat','15.510.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4945,'47679383','belanja Fotocopy','129.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','belanja Fotocpy','Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4946,'47680274','Beban Makanan dan Minuman rapat','7.520.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4947,'47711252','Beban Makanan dan Minuman rapat pengelolaan pelayanan kesehatan reproduksi','12.690.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban makanan dan Minuman rapat','nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4948,'47712145','Beban Makanan dan Minuman rapat sub kegiatan pelayanan kesehatan ibu dan anak','57.528.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makana dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4949,'47718589','Beban Makanan dan Minuman rapat sub kegiatan pelayanan kesehatan ibu hamil','63.450.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','beban makanan dan minuman rapat','nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4950,'47718950','Beban Makanan dan Minuman rapat sub kegiatan pelayanan kesehatan Ibu Bersalin','15.510.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makanan dan Minuman rapat','nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4951,'47719568','Beban Makanan dan minuman pada fasilitas pelayanan urusan kesehatan','532.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'2 paket','Beban Makanan dan minuman pada fasilitas pelayanan urusan kesehatan','bahan makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4952,'47720819','fotocopy kertas buram','116.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'lembar','belanja alat tulis kantor','fotocopy kertas buram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4953,'47722264','Belanja bahan Makanan PMt Lokal Bumil KEK dan Balita Gizi Kurang','98.880.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban makanan dan minuman pada fasilitas pelayanan urusan kesehatan','penyediaan bahan makanan tambahan berbasis pangan lokal bagi Ibu Hamil KEK dan balita gizi kurang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4954,'47722733','Alat tulis kantor sub kegiatan penyakit menular dan tidak menular','129.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'430 lembar','Belanja Alat tulis Kantor','fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4955,'47761938','Beban Makanan dan Minuman rapat','5.651.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makanan dan Minuman rapat','nai kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4956,'47762769','Beban Makanan dan Minuman rapat (BOK)','28.644.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'1 paket','Beban Makanan dan Minuman rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4957,'47764893','Fotocopy Kertas Buram (BOK)','38.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Jambesari',2024,'190 lembar','Fotocopy Kertas Buram (BOK)','Fotocopy Kertas Buram (BOK)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 09:58:35.368','pkm-jambesari'),
(4958,'47601899','Belanja Bahan Bahan Kimia','14.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Reagen','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4959,'47602273','Belanja Alat/bahan Untuk Kegiatan Kantor Lainnya','65.063.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 paket','Alat Tulis kantor','fotocopy,lem cair 50 ml,isi stapler kecil no.10, map kertas biasa,odner besar,odner kecil,map snelhecter plastik,stapler,gunting,stempel dinas,spidol marker','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4960,'47602382','Belanja alat/bahan Untuk Kegiatan Kantor-Kertas dan Cover','1.860.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 paket','kertas dan cover','kertas HVS warna f4 70 gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4961,'47602577','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perabot Kantot','9.782.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Perabot Kantor','detregen,cairan pembersih kaca,cairan pembersih keramik,pembersih lantai,plastik sampah medis 60x100,plastik sampah non medis,sapu ijuk, keset','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4962,'47602623','Belanja obat-Obatan-obat','40.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','obat','Obat-Obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4963,'47603222','Belanja Modal Alat Pendingin','4.749.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Alat Pendingin','Ac 1Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4964,'47603312','Belanja Modal Alat Kedokteran gigi','2.546.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Alat Kedokteran Gigi','dental Instrumen Kit Steenlis,Dental High SpeedHandpiece,Bor Intan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4965,'47603386','Belanja Modal Alat KesehatanKebidanan dan Penyakit Kandungan','9.540.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Alat Kesehatan Kebidanan dan Penyakit Kandungan','Dopler 2 Unit,Bidan kit 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4966,'47603483','Belanja Modal Personal Computer','42.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Personal Computer','PC All In One 4 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4967,'47603538','Belanja Modal Peralatan Personal Computer','12.720.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 Paket','Peralatan Personal Computer','Printer 4 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-18 09:04:04.782','pkm-kademangan'),
(4968,'47715915','Beban Makanan dan Minuman Rapat (BOK)','35.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4969,'47719803','Alat Tulis Kantor (BOK)','30.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4970,'47719932','Beban Makanan dan Minuman Rapat (BOK)','4.230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4971,'47721138','Beban Makanan dan Minuman Rapat (BOK)','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4972,'47721567','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','123.984.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang Dan Ibu Hamil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4973,'47722077','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','1.596.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Bahan Praktik Makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4974,'47722667','Beban Makanan dan Minuman Rapat (BOK)','9.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4975,'47722818','Alat Tulis Kantor (BOK)','1.890.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4976,'47723815','Beban Makanan dan Minuman Rapat (BOK)','9.180.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak Dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4977,'47723878','Beban Makanan dan Minuman Rapat (BOK)','35.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4978,'47724432','Beban Makanan dan Minuman Rapat (BOK)','27.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4979,'47724471','Alat Tulis Kantor (BOK)','42.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4980,'47725685','Beban Makanan dan Minuman Rapat (BOK)','4.230.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kademangan',2024,'1 PAKET','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:50:13.774','pkm-kademangan'),
(4981,'47652083','Belanja Barang dan Jasa','82.720.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'Paket','Belanja makanan dan minuman rapat sub kegiatan pengelolaan pelayanan kesehatan ibu hamil','makmin ibu hamil 20 Kotak nasi 20 Kotak kue','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4982,'47659314','Belanja Bahan-bahan Kimia','16.095.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Barang Pakai Habis','-Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4983,'47661904','Belanja Bahan-bahan Lainnya','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Bahan-bahan Lainnya','-BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4984,'47663403','Belanja Barang dan jasa','13.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','Beban Makanan dan Minuman Rapat Sub Kegiatan Pengelolaan Pelayanan Kesehatan Gizi Masyarakat','280 Nasi Kotak dan 280 Kue','Ya','Ya','Ya','Ya','Ya','Ya','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4985,'47663550','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','7.968.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Alat Tulis Kantor','-Buku Besar Folio -Buku Tulis -Odner Besar (Forte) -Snelhecter Map Bahan Plastik -Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4986,'47665449','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Kertas dan Cover','13.849.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Kertas dan Cover','- Kertas Foto A4 - Kertas A4 70 Gr - kertas HVS F4 70 gram - Kertas Hvs Warna F4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4987,'47667495','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Bahan Komputer','13.960.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Bahan Komputer','- Tinta Epson Warna Hitam T 664 Hitam - Tinta Epson Warna (Biru, Magenta, Yellow) T 664 - Tinta Printer epson 003 warna hitam - Tinta Printer epson warna 003 (pink, kuning, biru 6buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4988,'47667849','Belanja Barang dan jasa','3.995.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','belanja makan dan minum rapat sub kegiatan pelayanan kesehatan ibu bersalin','85 Nasi Kotak dan 85 Kue Kotak','Ya','Ya','Ya','Ya','Ya','Ya','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4989,'47668594','Belanja Alat/ Bahan Untuk Kegiatan Kantor- Perabot Kantor','7.147.140','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Perabot Kantor','- Kanebo - Pembersih Kaca - Kain Pel - Pembersih Lantai - Pengharum Ruangan - Sapu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4990,'47669517','Belanja Alat/ Bahan Untuk Kegiatan Kantor-Alat Listrik','4.462.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Alat Listrik','- Lampu LED 15 watt - Lampu TL 20 Watt','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4991,'47670464','Belanja Obat-obatan - Obat','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Babrang Pakai Habis-Belanja Obat-obatan','- Obat-obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4992,'47671238','Belanja Modal Alat Pendingin','9.063.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Modal Alat Pendingin','- AC Dinding - Kipas Angin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4993,'47671282','Belanja Barang dan jasa','9.588.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','belanja makanan dan minuman rapat sub kegiatan surveylan kesehatan','204 nasi kotak , 204 kue kotak','Ya','Ya','Ya','Ya','Ya','Ya','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4994,'47671556','Belanja Modal Personal Computer','25.885.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Modal Personal Computer','- Laptop - PC All In One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4995,'47672171','Belanja Modal Peralatan Komputer Lainnya','10.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Modal Peralatan Komputer Lainnya','- UPS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4996,'47676043','Belanja Barang dan jasa','8.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','belanja makanan dan minuman rapat sub kegiatan pelayanan kesehatan reproduksi','nasi kotak 184 kue kotak 180','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4997,'47676601','Belanja Barang dan jasa','43.428.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','belanja makanan dan minuman rapat sub kegiatan upaya kesehatan ibu dan anak','kue kotak 924, nasi kotak 924','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 19:22:01.85','pkm-klabang'),
(4998,'48364952','Belanja Jasa Pengolahan Sampah','16.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Tahun','Beban Jasa Pengolahan Sampah-Pengolahan Sampah Medis','-Pengolahan Sampah Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-22 12:34:30.124','pkm-klabang'),
(4999,'48366078','Belanja Barang dan Jasa BOK Puskesmas (Makmin Manajemen Operasional Puskesmas)','25.755.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Klabang',2024,'1 Paket','Belanja Barang dan Jasa BOK Puskesmas (Makmin Manajemen Operasional Puskesmas)','- Nasi Kotak: 765 Kotak - Kue Kotak: 165 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-22 12:34:30.124','pkm-klabang'),
(5000,'47245913','Belanja Bahan-Bahan kimia','14.500.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Bahan-Bahan Kimia','Belanja Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5001,'47249346','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','32.769.500','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Banner biasa 100 meter, Cetak Kohort Ibu 6 Buku, Cetak Kohort Bayi 6 buku,Cetak Kohort Balita 9 Buku,Cetak Kohort Apras 6 Buku,Cetak Kohort KB 9 Buku, Kohort Posyandu Remaja 3 Buku, Kohort Lansia 9 Buku, Cetak Kohort Anak Usia Sekolah 9 Buku, Map Rekam Medik 500, Kartu Tanda Pengenal 1000 lembar, Cetak KMS Lansia 500 Lembar, Blangko Resep 30 Buah, Blanko Hasil Lab 10 Rim, Buku Register 10 Buku, Buku bagan MTBS 3 Buah, Ordner Besar 100 buah, Ordner Kecil 50 buah, Stapler 5 buah, Isolasi kecil bening 10 buah,, Lakban besar hitam 10 buah, stemple tanggal kecil 3 buah, Stempel dinas 5 buah, Map snelhecter bahan transparan warna biru 50 buah, Map snelhecter bahan transparan warna Hitam 50 buah, Map snelhecter bahan transparan warna merah 50 buah, Map snelhecter bahan transparan warna putih 50 buah,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5002,'47249890','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','13.090.500','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS A4 5 Rim, Kertas HVS F4 80 gram, Kertas HVS Warna F4 6 Rim, Kertas Telistrok Lokal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5003,'47255382','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.637.500','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Kantor','Tinta Epson Hitam, Tinta Epson Warna Biru, Tinta Epson Magenta, Tinta Epson Warna Kuning','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5004,'47257145','Belanja alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','4.177.500','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Kresek hitam besar 10 pak, Kresek kuning besar 10 pak, Sapu ijuk 10 Buah, Cairan pembersih lantai 24 buah, Cairan pembersih keramik 10 buah, Sikat kamar mandi 3 buah, Pembersih pakaian (detergen) 24 buah, Alat pel lantai 2 buah, Kamper kamar mandi 20 pcs, Tissue 50 buah, tempat sampah injak 2 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5005,'47258101','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.547.000','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Lampu LED 15 Watt, Baterai Kecil 10 Buah, Baterai Lithium 3 Volt','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5006,'47258864','Belanja Obat-Obatan-Obat','30.000.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Obat-Obatan-Obat','Obat-Obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5007,'47259713','Belanja Pemeliharaan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','15.594.000','Penunjukan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Pemeliharaan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','Pemeliharaan Bangunan Gedung 150 M2, Perencanaan Pemeliharaan Bangunan Gedung Bangunan 150 M2, Pengawasan Pemeliharaan Bangunan Gedung 150 M2, AP Pemeliharaan Bangunan Gedung 130 M2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5008,'47260092','Belanja Modal Mesin Hitung/Mesin Jumlah','1.231.200','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'4 Buah','Belanja Modal Mesin Hitung/Mesin Jumlah','Kalkulator Elektronik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5009,'47260580','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','19.618.600','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'4 unit','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Lemari Kayu 3 unit, Lemari Obat 1 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:27:43.545','pkm-kotakulon'),
(5010,'47261176','Belanja Modal Alat Kantor Lainnya','6.678.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'3 Unit','Belanja Modal Alat Kantor Lainnya','CCTV 3 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5011,'47334483','Belanja Modal Mebel','6.731.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'3 Unit','Belanja Modal Mebel','Meja Kerja Kayu 1 Unit, Kursi Tunggu Pasien 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:40.083','pkm-kotakulon'),
(5012,'47335197','Belanja Modal Alat Pendingin','2.385.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'3 Unit','Belanja Modal Alat Pendingin','Kipas Angin 3 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5013,'47335893','Belanja Modal Peralatan Studio Audio','412.300','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Unit','Belanja Modal Peralatan Studio Audio','Microphone','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','September 2024','September 2024','September 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5014,'47336356','Belanja Modal Alat Kedokteran Umum','14.255.400','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'16 Unit','Belanja Modal Alat Kedokteran Umum','Foot Step Fyrom 4 Unit, Tensimeter 10 Unit, Ambubag Bayi 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5015,'47336773','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','5.300.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'2 Unit','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Doppler 2 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5016,'47337244','Belanja Modal Alat Kesehatan Umum Lainnya','3.180.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'4 Unit','Belanja Modal Alat Kesehatan Umum Lainnya','Thermometer Gun 4 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5017,'47337860','Belanja Modal Personal Computer','30.585.200','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'2 Unit','Belanja Modal Personal Computer','Laptop 1 Unit, Dekstop PC All In One 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5018,'47338510','Belanja Modal Peralatan Personal Computer','5.300.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Unit','Belanja Modal Peralatan Personal Computer','Printer 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5019,'47339275','Belanja Bahan-Bahan lainnya','20.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Bahan-Bahan lainnya','BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-13 09:28:10.92','pkm-kotakulon'),
(5020,'47491965','Belanja Barang dan Jasa BOK Puskesmas','26.340.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 Paket','Belanja Barang dan Jasa BOK Puskesmas','Kue Kotak (BOK Puskesmas) 1020 Kotak, Nasi Kotak (BOK Puskesmas) 300 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:58:33.627','pkm-kotakulon'),
(5021,'47568653','Belanja Barang dan Jasa BOK Puskesmas','5.922.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi 126 kotak, Kue 126 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 12:59:23.239','pkm-kotakulon'),
(5022,'47572383','Belanja Barang dan Jasa BOK Puskesmas','28.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak 600 kotak, Kue Kotak 600 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:45:02.856','pkm-kotakulon'),
(5023,'47572481','Belanja Barang dan Jasa BOK Puskesmas','10.340.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak 220 kotak, Kue Kotak 220 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:45:23.979','pkm-kotakulon'),
(5024,'47572782','Belanja Barang dan Jasa BOK Puskesmas','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak 140 kotak, Kue kotak 140 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:45:53.823','pkm-kotakulon'),
(5025,'47572935','Belanja Barang dan Jasa BOK Puskesmas','18.048.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak 384 kotak, Kue Kotak 384 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:46:27.895','pkm-kotakulon'),
(5026,'47573249','Belanja Barang dan Jasa BOK Puskesmas','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak 180 kotak, Kue kotak 180 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:46:59.692','pkm-kotakulon'),
(5027,'47573392','Belanja Barang dan Jasa BOK Puskesmas','25.440.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak 576 kotak, Kue kotak 480 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:47:29.683','pkm-kotakulon'),
(5028,'47573575','Belanja Barang dan Jasa BOK Puskesmas','21.150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak 450 kotak, Kue kotak 450 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 15:48:03.439','pkm-kotakulon'),
(5029,'47613252','Belanja Barang dan Jasa BOK puskesmas (Fotokopi)','31.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'104 Lembar','Belanja Barang dan Jasa BOK puskesmas (Fotokopi)','Fotokopi 102 lembar, Fotokopi kertas buram 2 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 08:25:50.554','pkm-kotakulon'),
(5030,'47632439','Belanja Barang dan Jasa BOK Puskesmas','1.458.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Fotocopy (BOK)','Fotocopy 4860 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:15:22.381','pkm-kotakulon'),
(5031,'47633751','Belanja Barang dan Jasa BOK Puskesmas','2.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Fotocopy (BOK)','Fotocopy 10 Lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 10:15:52.583','pkm-kotakulon'),
(5032,'47636795','Belanja Barang dan Jasa BOK Puskesmas','107.868.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Kotakulon',2024,'1 paket','Belanja makmin pada Fasilitas pelayanan urusan kesehatan - PMT (BOK)','Bahan PMT Bumil 3600 paket, Bahan PMT Balita 3360 paket, Bahan praktek 6 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juni 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-15 10:17:25.609','pkm-kotakulon'),
(5033,'47383149','Belanja Modal Peralatan Komputer Lainnya','2.120.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Peralatan Komputer Lainnya','hardisk eksternal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:18:06.733','pkm-maesan'),
(5034,'47494470','Belanja Modal Alat Penyimpan Perlengkapan Kantor','18.020.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Penyimpan Perlengkapan Kantor','Loker/Lemari Penitipan Barang 1 buah , Lemari Arsip 5 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5035,'47494985','Belanja Modal Mebel','9.540.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Mebel','Kursi Tunggu Pasien 5 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','Mei 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5036,'47495494','Belanja Modal Alat Dapur','1.113.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Dapur','Magic Com 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:18:06.733','pkm-maesan'),
(5037,'47495730','Belanja Modal Alat Kedokteran Umum','164.872.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','Belanja Modal Alat Kedokteran Umum','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:18:06.733','pkm-maesan'),
(5038,'47496353','Belanja Modal Alat Kedokteran Gigi','742.400','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Kedokteran Gigi','Phantom Gigi 1 unit , Bor Intan 1 set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5039,'47496823','Belanja Modal Alat Kedokteran Bedah','10.812.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Kedokteran Bedah','Belanja Modal Alat Kedokteran Bedah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5040,'47497046','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','7.950.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5041,'47594286','Beban Makanan dan minuman (BOK)','135.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5042,'47594359','Belanja Makanan dan minuman (BOK)','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5043,'47594418','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','140.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal','Balita Gizi Kurang dan Bumil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5044,'47594461','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','6.384.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Alat Peraga Bahan Makanan PMT Lokal','Bahan Makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5045,'47594493','Beban Makanan dan minuman (BOK)','11.280.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5046,'47594547','Beban Makanan dan minuman (BOK)','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5047,'47594684','Beban Makanan dan minuman (BOK)','14.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5048,'47594723','Beban Makanan dan minuman (BOK)','84.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5049,'47594941','Beban Makanan dan minuman (BOK)','5.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5050,'47601703','Belanja Modal Peralatan Personal Computer','32.860.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Peralatan Personal Computer','printer 6 unit , printer kwitansi 2 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2023','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5051,'47601757','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya','700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 unit','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya','Food model 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-16 08:28:27.976','pkm-maesan'),
(5052,'47601933','Belanja Modal Bangunan Gedung Kantor','60.615.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Bangunan Gedung Kantor','Bangunan Gedung Kantor Spesifikasi: Rehab Ringan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5053,'47601989','Belanja Modal Bangunan Gedung Kantor','5.091.750','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Bangunan Gedung Kantor','Bangunan Gedung Kantor Spesifikasi: Perencanaan Rehab Ringan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5054,'47602044','Belanja Modal Bangunan Gedung Kantor','3.395.250','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Bangunan Gedung Kantor','Bangunan Gedung Kantor Spesifikasi: Pengawasan Rehab Ringan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5055,'47602101','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Bahan-Bahan Kimia','Reagen 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5056,'47602160','Belanja Bahan-Isi Tabung Pemadam Kebakaran','1.183.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Bahan-Isi Tabung Pemadam Kebakaran','Refill Alat Pemadam Api Ringan 3 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5057,'47602266','Belanja Bahan-Bahan Lainnya','80.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Termometer Badan 18 buah , BMHP 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Agustus 2024','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5058,'47602314','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','99.298.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor 1 paket terinci','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5059,'47602367','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','19.502.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover 1 paket terinci','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5060,'47602395','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','9.640.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer 1 paket terinci','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Januari 2024','Februari 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5061,'47602466','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','18.371.900','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','April 2024','Mei 2024','2024-01-14 22:17:26.901','pkm-maesan'),
(5062,'47602499','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','3.597.800','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Mei 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5063,'47602589','Belanja Obat-Obatan-Obat','40.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Obat-Obatan-Obat','Belanja Obat-Obatan-Obat 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Agustus 2024','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5064,'47602670','Belanja Modal Personal Computer','42.400.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Belanja Modal Personal Computer','PC All In One 4 buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Mei 2024','Juni 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5065,'47603458','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','39.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 tahun','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik - Service 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-14 22:16:35.511','pkm-maesan'),
(5066,'47652920','Beban Makanan dan minuman (BOK)','28.762.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Maesan',2024,'1 Paket','Beban Makanan dan minuman','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:37:38.056','pkm-maesan'),
(5067,'47204492','Belanja Bahan-Bahan Kimia','50.000.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Tahun','Belanja Bahan-Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','September 2024','Juli 2024','Agustus 2024','Juli 2024','Juli 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5068,'47207350','Belanja Bahan-Bahan Lainnya','30.000.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Tahun','Belanja Bahan-Bahan Lainnya','BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5069,'47212022','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','33.065.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip, Family Folder, Fotocopy, Snelhecter, Ordner Besar, KMS Lansia, Tinta Stempel, Stampad, Ordner Kecil, bolpoint, Lemstick, Isolasi Bening, Double Tape','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2023','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5070,'47213391','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','9.915.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas Bufallo, Cover Mika, Kertas HVS, Sticky Note, Kertas Sticker Glossy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','Maret 2024','April 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5071,'47216957','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','18.660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'100 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5072,'47234405','Belanja Alat/Bahn untuk Kegiatan Kantor-Perabot kantor','9.946.600','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Belanja Alat/Bahn untuk Kegiatan Kantor-Perabot kantor','Cairan pembersih kaca, pembersih pakaian, sapu ijuk, kemucing bulu, tempat sampah, kamper kamar mandi, cairan pewangi lenen, alat pel lantai putar, keset besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5073,'47237101','Belanja Alat/Bahan untuk Kegiatan kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','5.353.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'202 Buah','Belanja Alat/Bahan untuk Kegiatan kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','Box File Plastik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5074,'47237639','Belanja Obat-obatan','40.000.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Tahun','Belanja Obat-obatan','Obat-obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5075,'47259814','Belanja PemeliharaanBangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','11.368.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'M2/Tahun','Belanja PemeliharaanBangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','Pemeliharaan Gedung Bertingkat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5076,'47469367','Belanja Modal Alat Timbangan/Biara','2.215.700','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Unit','Belanja Modal Alat Timbangan/Biara','Timbangan Bayi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:52:04.812','pkm-nangkaan'),
(5077,'47469653','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','17.928.800','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'4 Buah','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Lemari Besi Penyimpanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5078,'47471082','Belanja Modal Alat Pendingin','39.856.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'7 Unit','Belanja Modal Alat Pendingin','Kipas Angin, AC Dinding, AC (Standing Floor)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5079,'47471846','Belanja Modal Alat Dapur','848.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Unit','Belanja Modal Alat Dapur','Kompor Gas 2 Tungku','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','April 2024','Mei 2024','April 2024','April 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5080,'47472235','Belanja Modal Alat Pemadam Kebakaran','3.710.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Buah','Belanja Modal Alat Pemadam Kebakaran','Alat Pemadam Kebakaran (APAR)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5081,'47472592','Belanja Modal Peralatan Studio Audio','10.600.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'2 unit','Belanja Modal Peralatan Studio Audio','Running Text','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5082,'47473316','Belanja Modal Alat Kedokteran Umum','78.083.400','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','Lampu tindakan, sterilisator, tensimeter anak, stetoscope, meja resusitasi bayi, lemari kaca (obat), bed pasien, oxymeter finger, tensimeter, timbangan bayi, tensi aneroid, blender obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5083,'47474513','Belanja Modal Personal Computer','130.022.800','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'5 Unit','Belanja Modal Personal Computer','Laptop Macbook, Laptop, PC All in one','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5084,'47474855','Belanja Modal Peralatan Personal Computer','15.900.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'3 Unit','Belanja Modal Peralatan Personal Computer','Printer Multi Fungsi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','Oktober 2024','November 2024','Oktober 2024','Oktober 2024','2024-01-12 09:51:35.005','pkm-nangkaan'),
(5085,'47590295','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','99.908.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Bahan Makanan, Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang dan Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Ibu Hamil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:58:24.973','pkm-nangkaan'),
(5086,'47590431','Beban Kawat/Faksimili/Internet/TV Berlangganan (BOK)','44.537.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan','selisih menu BOK Puskesmas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 13:58:24.973','pkm-nangkaan'),
(5087,'47610315','Beban Makanan dan Minuman Rapat (BOK)','4.418.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 07:58:10.338','pkm-nangkaan'),
(5088,'47610426','Beban Makanan dan Minuman Rapat (BOK)','35.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 07:59:15.531','pkm-nangkaan'),
(5089,'47610683','Beban Makanan dan Minuman Rapat (BOK)','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:00:45.884','pkm-nangkaan'),
(5090,'47610735','Beban Makanan dan Minuman Rapat (BOK)','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:01:03.377','pkm-nangkaan'),
(5091,'47610786','Beban Makanan dan Minuman Rapat (BOK)','56.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:01:26.12','pkm-nangkaan'),
(5092,'47610821','Beban Makanan dan Minuman Rapat (BOK)','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:01:43.872','pkm-nangkaan'),
(5093,'47610854','Beban Makanan dan Minuman Rapat (BOK)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:02:02.098','pkm-nangkaan'),
(5094,'47610885','Beban Makanan dan Minuman Rapat (BOK)','27.162.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:02:19.33','pkm-nangkaan'),
(5095,'47610928','Beban Makanan dan Minuman Rapat (BOK)','6.862.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Nangkaan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:02:42.103','pkm-nangkaan'),
(5096,'47647394','Belanja Bahan Bahan Kimia','50.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Bahan-bahan kimia','Belanja Reagen Laboratorium','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5097,'47658955','Belanja Bahan Bahan Lainnya','50.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Bahan-bahan Lainnya','Belanja bahan Medis Pakai habis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5098,'47659887','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','20.365.200','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Alat Tulis kantor','Alat Tulis Kantor, Cetak Blanko, Cetak Buku','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5099,'47660707','Belanja Alat/Bahan untuk kegiatan kantor - kertas dan cover','8.613.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Kertas dan Cover','Kertas HVS Putih dan warna f4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','Desember 2024','September 2024','September 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5100,'47661885','Belanja Alat/Bahan untuk Kegiatan Kantor - bahan Komputer','9.604.800','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Bahan Komputer','Tinta Printer hitam dan warna, Mouse','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5101,'47662712','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','5.766.400','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Perabot Kantor','Alat Kebersihan dan cairan pembersih','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Desember 2024','Juni 2024','Juni 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5102,'47663396','Belanja Alat/Bahan untuk kegiatan kantor - Alat Listrik','6.609.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Alat Listrik','Baterai dan Lampu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5103,'47665414','Belanja Obat obatan','40.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Obat Obatan','Obat padat dan obat cair','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5104,'47666570','Belanja Jasa pengolahan Sampah','27.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Jasa pengolahan Sampah','Sampah Medis dan sampah rumah tangga','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 12:13:32.767','pkm-pakem'),
(5105,'47667361','Belanja Modal Alat penyimpanan Perlengkapan Kantor','3.044.800','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal Alat Penyimpan Perlengkapan Kantor','Lemari Arsip','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','Desember 2024','September 2024','September 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5106,'47668167','Belanja Modal Alat Rumah Tangga - Belanja Modal Mebel','40.482.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal mebel','Kursi Rapat, Kursi Tunggu, Meja kerja','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5107,'47668675','Belanja Modal Alat Komunikasi telephone','10.600.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal Alat Komunikasi telephone','Radio Medik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Desember 2024','Mei 2024','Desember 2024','Mei 2024','Mei 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5108,'47669197','Belanja Modal Alat Kedokteran Umum','51.601.700','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal Alat Kedokteran Umum','Bed Periksa, Brankar, Matras, Sterilisator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5109,'47669615','Belanja Modal Alat Kedokteran Gigi','1.061.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Alat Kedokteran Gigi','Dental Instrumen Kit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','Desember 2024','November 2024','November 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5110,'47670300','Belanja Modal Personal Komputer','26.500.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal Personal Komputer','Laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5111,'47670702','Belanja Modal Peralatan Personal Komputer','19.014.400','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Pakem',2024,'1 paket','Belanja Modal Peralatan personal Komputer','printer. Keyboard','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-15 12:13:02.099','pkm-pakem'),
(5112,'47596063','Belanja Alat / Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','23.018.250','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Alat / Bahan Untuk Kegiatan Kantor - Alat Tulis Kantor','Fotocopy, Kartu Tanda Pengenal, Form Kartu Anak, Blanko MTBS, Blanko Kartu Rawat Jalan Umum, Blangko Resep, Formulir Tes dan Konseling HIV 1, Snelhecter Map Bahan Transparan, Kartu Ibu, Cetak Kohort Anak Usia Sekolah, Cetak Kohort Lansia, Map Dokumen Map Folio Spring File Interx, Blanko Permintaan Laboratorium, Buku Register, Ordner Besar, Rekam Medik Rawat Jalan, Surat Keterangan Sehat, Surat Keterangan Sakit, Buku KIA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5113,'47597876','Belanja Bahan - Bahan Kimia','25.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Bahan Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5114,'47597939','Belanja Bahan Bahan Lainnya','51.293.750','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Bahan - Bahan Lainnya','BMHP, Gelang Pasien, Tromol Kecil, Tromol Sedang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5115,'47597980','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','8.683.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5116,'47598085','Belanja Alat/ Bahan untuk Kegiatan Kantor - Bahan Komputer','3.847.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Tinta Epson Warna T 6642, Tinta Epson Hitam T 6641, Tinta printer Epson Warna 003 (pink, kuning, biru @6 buah), Tinta Printer Epson 003 Warna Hitam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5117,'47598175','Belanja Alat/ Bahan untuk Kegiatan Kantor - Perabot Kantor','6.031.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Alat/bahan untuk Kegiatan Kantor - Perabot Kantor','Kresek Kuning Besar, Sarung Tangan Plastik, Sarung Tangan Rumah Tangga Ukuran M L, Canebo, Cikrak Sampah, Cakar Pengait Sampah, Sapu Ijuk Sawang, Sikat WC, Pembersih Kaca, Pembersih Pakaian (Detergen), Cairan Pewangi Lenen, Plastik Wrap Gulung, Sapu Ijuk Rayung Pelangi, Cairan Pembersih Keramik, Kain Lap, Cairan Pembersih Lantai, Klorin (Bayclin), Sabun Cuci Tangan, Kresek Kecil Putih Bening, Kresek Hitam Besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5118,'47598218','Belanja Alat/ Bahan untuk Kegiatan Kantor - Alat Listrik','4.612.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Alat/bahan untuk Kegiatan Kantor - Alat Listrik','Aki GS Kering, Lampu Emergency LED','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5119,'47598258','Belanja Obat-obatan - Obat','70.072.041','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Obat Obatan - Obat','Obat - obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5120,'47598350','Belanja Jasa Pengolahan Sampah','35.970.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Jasa Pengelolahan Sampah','Jasa Pengolahan Sampah Rumah Tangga, Pemusnahan Sampah Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5121,'47598403','Belanja Pemeliharaan Gedung Dan Bangunan','23.912.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Pemeliharaan Gedung dan Bangunan','Pemeliharaan Gedung Bertingkat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5122,'47598444','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','12.033.550','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Buah','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Palet Plastik, Rak Rekam Medis, Lemari Kayu, Lemari Arsip Pintu Kaca, Loker/ Lemari Penitipan Barang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5123,'47598478','Belanja Modal Alat Kantor Lainnya','337.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Unit','Belanja Modal Alat Kantor Lainnya','Papan Tulis Putih','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5124,'47598533','Belanja Modal Mebel','6.649.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Modal Mebel','Meja Kerja Besi/metal, Kursi Rapat, Kursi Tunggu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5125,'47598757','Belanja Modal Alat Pendingin','5.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Unit','Belanja Modal Alat Pendingin','AC dinding','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5126,'47598818','Belanja Modal Alat Dapur','725.625','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Modal Alat Dapur','Panci Sedang, Teflon Sedang, Mangkuk Kecil, Piring Kecil, Timbangan Digital Makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5127,'47598914','Belanja Modal Alat Kedokteran Umum','25.388.850','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Modal Alat Kedokteran Umum','Tangga Bed Pasien, Timbangan Badan Camry, Digitan (ukuran dewasa), Bed Pasien, Infusion Stand Acroo, Hb-T 200-900, Pispot Urine Laki, Pispot Urine Perempuan, Bengkok, Penlight, Korentang, Stetoscope Anak, Oropharyngeal Airways, Thermogun, Neck Collar, Stetoscope Dewasa, Hecting Set, Tensimeter, Vein Vender, Scope Stretcher','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5128,'47598950','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','3.710.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Fetal Doppler Pocket, Partus Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5129,'47598991','Belanja Modal Alat Kedokteran THT','848.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Modal Alat Kedokteran THT','THT Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5130,'47599047','Belanja Modal Peralatan Personal Computer','11.130.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'3 Unit','Belanja Modal Peralatan Personal Komputer','Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 20:24:36.227','pkm-prajekan'),
(5131,'47753917','Beban Makanan dan Minuman Rapat (BOK)','9.870.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:47:58.756','pkm-prajekan'),
(5132,'47762282','Beban Makanan dan Minuman Rapat (BOK)','55.930.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:52:31.872','pkm-prajekan'),
(5133,'47767735','Beban Makanan dan Minuman Rapat (BOK)','7.332.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:51:21.734','pkm-prajekan'),
(5134,'47811926','Beban Makanan dan Minuman Rapat (BOK)','26.522.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:08.027','pkm-prajekan'),
(5135,'47813732','Belanja Barang dan Jasa - ATK/Fotocopy (BOK)','930.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Belanja Barang dan Jasa - ATK/Fotocopy (BOK)','Fotocopy (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:28.517','pkm-prajekan'),
(5136,'47815269','Beban Makanan dan Minuman Rapat (BOK)','11.900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:28.517','pkm-prajekan'),
(5137,'47818915','Beban Makanan dan Minuman Rapat (BOK)','8.084.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:51:57.258','pkm-prajekan'),
(5138,'47826886','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','44.352.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal BagiBalita Gizi Kurang (BOK Puskesmas)','Bahan Makanan Balita Gizi Kurang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:52.271','pkm-prajekan'),
(5139,'47828253','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','82.560.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi IbuHamil KEK (BOK Puskesmas)','Bahan Makanan Bumil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:52.271','pkm-prajekan'),
(5140,'47828734','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','3.724.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Bahan Makanan Sosialisasi PMT Lokal','Bahan Makanan Sosialisasi PMT Lokal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:52.271','pkm-prajekan'),
(5141,'47829646','Beban Makanan dan Minuman Rapat (BOK)','7.285.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:49:52.271','pkm-prajekan'),
(5142,'47833076','Beban Makanan dan Minuman Rapat (BOK)','23.013.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:50:09.959','pkm-prajekan'),
(5143,'47838524','Beban Makanan dan Minuman Rapat (BOK)','40.796.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Prajekan',2024,'1 paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 19:50:41.323','pkm-prajekan'),
(5144,'47391178','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 paket','Belanja Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5145,'47391740','Belanja Bahan-Bahan Lainnya','66.750.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 paket','Belanja Bahan Lainnya','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5146,'47394297','Belanja Suku Cadang-Suku Cadang Alat Angkutan','5.300.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 Tahun','Suku Cadang Alat Angkutan','Suku Cadang Alat Angkutan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5147,'47468253','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','19.859.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Pujer',2024,'5 item','Kertas dan Cover','Kertas HVS F4, Kertas NCR, Sticky Note','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5148,'47468573','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','27.136.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Pujer',2024,'160 buah','Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5149,'47469342','Belanja Alat/Bahan untuk kegiatan Kantor - Perabot Kantor','54.693.800','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Pujer',2024,'18 item','Belanja Alat/Bahan untuk kegiatan Kantor - Perabot Kantor','Cikrak, Gorden, Isi ulang pewangi ruangan dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Agustus 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5150,'47470066','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','14.918.800','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Pujer',2024,'5 item','Alat Listrik','Baterai kecil, Baterai sedang, Lampu LED','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Mei 2024','April 2024','April 2024','April 2024','April 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5151,'47472760','Belanja Obat-Obatan - Obat','30.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 Paket','Belanja Obat-Obatan','Obat-Obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5152,'47473528','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang','1.000.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 Buah','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang','Gerobak dorong pasir','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5153,'47474442','Belanja Modal Alat Penyimpan Perlengkapan Kantor','14.840.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Pujer',2024,'2 item','Belanja Modal Alat Penyimpan Perlengkapan Kantor','Lemari arsip, loker/lemari penitipan barang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Mei 2024','April 2024','April 2024','April 2024','April 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5154,'47475015','Belanja Modal Alat Kantor Lainnya','850.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Pujer',2024,'10 buah','Alat Kantor Lainnya','Stempel Flash/Cepat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','September 2024','September 2024','September 2024','September 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5155,'47475610','Belanja Modal Mebel','97.700.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Pujer',2024,'3 item','Mebel','Backdrop, Meja Kerja, Kursi Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Agustus 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5156,'47476205','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','8.000.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'2 item','Alat Rumah Tangga Lainnya (Home Use)','Sound System indoor Speaker, Speaker portable sound system','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5157,'47479699','Belanja Modal Alat Kedokteran Umum','82.076.900','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Pujer',2024,'21 item','Alat Kedokteran Umum','Alat Gda, Bak instrumen, bed pasien, brankar ugd dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5158,'47481668','Belanja Modal Alat Kedokteran Bedah','250.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 set','Alat Kedokteran Bedah','Surgical Instrument Sims Vaginal Speculum','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','September 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5159,'47482812','Belanja Modal Alat Kedokteran Bagian Penyakit Dalam','3.180.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'2 unit','Alat Kedokteran Bagian Penyakit Dalam','Nebulizer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5160,'47483406','Belanja Modal Alat Kesehatan Umum Lainnya','3.755.600','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Pujer',2024,'2 buah','Alat Kesehatan Umum Lainnya','Termometer (infrared termo gun)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Agustus 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5161,'47484479','Belanja Modal Personal Computer','38.160.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Pujer',2024,'3 unit','Personal Computer','Laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','September 2024','September 2024','September 2024','September 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5162,'47485224','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya','700.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 unit','Alat Peraga Pelatihan dan Percontohan Lainnya','Food Model','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','September 2024','September 2024','September 2024','September 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5163,'47485816','Belanja Modal Bangunan Gedung Kantor','34.376.100','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 paket','Bangunan Gedung Kantor','AP, Perencanaan, Rehap, Pengawasan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5164,'47486611','Belanja Modal Bangunan Terbuka','70.314.750','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Pujer',2024,'2 paket','Bangunan Terbuka','Kanopi, Pavingisasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','April 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5165,'47562881','Belanja Pengolahan Air Limbah','10.000.000','Penunjukan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 Tahun','Beban Pengolahan Air Limbah','Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Agustus 2024','Agustus 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5166,'47603351','Belanja Makanan dan Minuman Rapat (BOK)','74.448.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'1584 Nasi Kotak, 1584 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak & Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5167,'47603554','Belanja Makanan dan Minuman Rapat (BOK)','11.891.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'253 Nasi Kotak, 253 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak & Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5168,'47604392','Belanja Makanan dan Minuman Rapat (BOK)','15.510.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'330 Nasi Kotak 330 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak & Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5169,'47604484','Belanja Makanan dan Minuman Rapat (BOK)','13.160.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'280 Nasi Kotak, 280 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5170,'47604579','Belanja Makanan dan Minuman Rapat (BOK)','13.783.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'290 Nasi Kotak, 299 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5171,'47604645','Belanja Makanan dan Minuman Rapat (BOK)','74.448.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'1584 Nasi Kotak, 1584 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:37:02.039','pkm-pujer'),
(5172,'47604679','Belanja Makanan dan Minuman Rapat (BOK)','5.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'120 Nasi Kotak, 120 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:41:30.775','pkm-pujer'),
(5173,'47616676','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','83.407.800','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Pujer',2024,'23 item','Alat Tulis Kantor','Bagan MTBS MTBS, Banner,Belanja Poster, blanko bbk dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5174,'47617643','Belanja Bahan-Bahan Bangunan dan Konstruksi','2.146.500','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Pujer',2024,'1 Buah','Bahan Bangunan dan Konstruksi','Tangga Lipat Teleskopik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-15 09:08:35.855','pkm-pujer'),
(5175,'47685250','Belanja Makanan dan Minuman Rapat (BOK)','28.756.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'308 Nasi Kotak, 1148 Kue Kotak','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:33:10.213','pkm-pujer'),
(5176,'47693529','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat (BOK)','113.664.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'3920 Paket Bahan Makanan Balita, 3600 Bahan Makanan Ibu Hamil','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','Bahan Makanan Balita dan Bahan Makan Ibu Hamil PMT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:08:59.469','pkm-pujer'),
(5177,'47693623','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya (BOK)','5.852.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'22 Paket','Belanja Modal Alat Peraga Pelatihan dan Percontohan Lainnya','Bahan Makanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:09:31.33','pkm-pujer'),
(5178,'47693737','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','445.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'1482 Fotocopy, 2 Kertas Buram','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocoopy dan Kertas Buram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:10:02.913','pkm-pujer'),
(5179,'47693885','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','6.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Pujer',2024,'20 Lembar Fotocopy','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:10:41.384','pkm-pujer'),
(5180,'47599153','Belanja Makanan dan Minuman Rapat ( BOK )','22.560.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5181,'47599288','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Ibu Hamil KEK dan balita Gizi Kurang ( BOK )','69.576.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Ibu Hamil KEK dan balita Gizi Kurang ( BOK )','Pemberian PMT Lokal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5182,'47599788','Belanja Bahan - Bahan Kimia','16.009.700','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Belanja Bahan - Bahan Kimia','Bahan Kimia','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:52:50.858','pkm-sempol'),
(5183,'47600166','Belanja Bahan - Bahan Lainnya','20.000.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Belanja Bahan - Bahan Lainnya','Bahan Lainnya','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5184,'47600240','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','19.572.900','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:52:50.858','pkm-sempol'),
(5185,'47600298','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan dan Cover','5.250.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Kertas dan Cover','amplp, hvs f4 70 gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:52:50.858','pkm-sempol'),
(5186,'47600376','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','9.631.800','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Bahan Komputer','Catridge, tinta','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:53:35.13','pkm-sempol'),
(5187,'47600424','Belanja Fotocopy ( BOK )','105.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Fotocopy ( BOK )','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5188,'47600480','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','5.320.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Perabot Kantor','Perabot Kantor','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:53:35.13','pkm-sempol'),
(5189,'47600544','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','2.706.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Alat Listrik','Alat Listrik','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:53:35.13','pkm-sempol'),
(5190,'47600643','Belanja Obat - Obatan - Obat','30.000.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Belanja obat - obatan','obat','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5191,'47600698','Belanja Pemeliharaan Gedung dan Bangunan','9.996.000','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Belanja Pemeliharaan Gedung dan Bangunan - Bangunan Gedung tempat kerja - bangunan kesehatan','Pemeliharaan gedung bertingkat','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:52:50.858','pkm-sempol'),
(5192,'47600843','Belanja Modal Alat Kantor Lainnya','8.904.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'unit','Alat Kantor Lainnya','CCTV','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:52:50.858','pkm-sempol'),
(5193,'47601043','Belanja Modal Peralatan Studio Video dan Film','2.120.000','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'unit','Peralatan Studio Video dan Film','DVR CCTV 4 channel','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:53:35.13','pkm-sempol'),
(5194,'47601079','Belanja Modal Alat Kedokteran Umum','10.651.600','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'unit','Alat kedokteran umum','tensimeter','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5195,'47601140','Belanja Modal Alat Kesehatan dan Kebidanan dan Penyakit Kandungan','3.180.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'unit','Alat Kesehatan dan Kebidanan dan Penyakit Kandungan','Regulator oksigen','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:53:10.166','pkm-sempol'),
(5196,'47601179','Belanja Modal Personal Komputer','58.740.800','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'Paket','Personal Komputer','laptop','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5197,'47601224','Belanja Modal Personal Komputer','15.476.000','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Sempol',2024,'unit','Personal komputer','Printer epson L3210','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Oktober 2024','Desember 2024','September 2024','Oktober 2024','September 2024','September 2024','2024-01-14 21:51:59.448','pkm-sempol'),
(5198,'47643517','Belanja Makanan dan Minuman Rapat ( BOK )','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5199,'47644404','Belanja Makanan dan Minuman Rapat ( BOK )','8.930.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5200,'47644778','Belanja Makanan dan Minuman Rapat ( BOK )','12.220.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5201,'47645218','Belanja Fotocopy ( BOK )','45.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Fotocopy ( BOK )','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5202,'47645477','Belanja Makanan dan Minuman Rapat ( BOK )','26.257.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5203,'47645769','Belanja Makanan dan Minuman Rapat ( BOK )','104.970.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5204,'47646129','Belanja Makanan dan Minuman Rapat ( BOK )','56.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi kotak dan kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5205,'47646399','Belanja Makanan dan Minuman Rapat ( BOK )','3.995.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sempol',2024,'1 Paket','Belanja Makanan dan Minuman Rapat ( BOK )','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:46:13.105','pkm-sempol'),
(5206,'47220986','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','bahan Kimia Spesifikasi : Reagen','bahan Kimia Spesifikasi : Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5207,'47223124','Belanja Bahan-Bahan Lainnya','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Bahan Lainnya Spesifikasi : BMHP','Bahan Lainnya Spesifikasi : BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5208,'47223890','Belanja Suku Cadang-Suku Cadang Alat Angkutan','11.982.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'2 Paket','suku Cadang Alat Angkutan Spesifikasi : Ban luar Ambulance','suku Cadang Alat Angkutan Spesifikasi : Ban luar Ambulance','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5209,'47225303','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','57.158.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'Buah dan Pack','Alat Tulis Kantor Spesifikasi : Lem Cair 35 Ml, Alat Tulis Kantor Spesifikasi : Odner Besar (forte), Alat Tulis Kantor Spesifikasi : Buku Register, Alat Tulis Kantor Spesifikasi : Isi Steples Kecil No 10, Alat Tulis Kantor Spesifikasi : Buku Buku Folio 100 Lbr, Alat Tulis Kantor Spesifikasi : Map Plastik Folio 1M02 , Alat Tulis Kantor Spesifikasi : Bolpoint, Alat Tulis Kantor Spesifikasi : Hand Stapler HD 10, Alat Tulis Kantor Spesifikasi : Cutter 848, Alat Tulis Kantor Spesifikasi : Spidol Permanen, Alat Tulis Kantor Spesifikasi : Gunting Besar','Alat Tulis Kantor Spesifikasi : Lem Cair 35 Ml, Alat Tulis Kantor Spesifikasi : Odner Besar (forte), Alat Tulis Kantor Spesifikasi : Buku Register, Alat Tulis Kantor Spesifikasi : Isi Steples Kecil No 10, Alat Tulis Kantor Spesifikasi : Buku Buku Folio 100 Lbr, Alat Tulis Kantor Spesifikasi : Map Plastik Folio 1M02 , Alat Tulis Kantor Spesifikasi : Bolpoint, Alat Tulis Kantor Spesifikasi : Hand Stapler HD 10, Alat Tulis Kantor Spesifikasi : Cutter 848, Alat Tulis Kantor Spesifikasi : Spidol Permanen, Alat Tulis Kantor Spesifikasi : Gunting Besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5210,'47225943','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.240.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'50 Rim','Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram','Kertas dan Cover Spesifikasi : kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5211,'47226472','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','9.624.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'Botol','Bahan Komputer Spesifikasi : Tinta printer Hitam Epson, Bahan Komputer Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ...','Bahan Komputer Spesifikasi : Tinta printer Hitam Epson, Bahan Komputer Spesifikasi : Tinta Printer epson warna 003 (pink, kuning, biru ...','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5212,'47228138','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','8.807.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'buah,pack','Perabot Kantor Spesifikasi : Alat Pengepel Lantai, Perabot Kantor Spesifikasi : Pembersih Kaca, Perabot Kantor Spesifikasi : Kresek Hitam, Perabot Kantor Spesifikasi : Kamper Kamar Mandi (Carbol), Perabot Kantor Spesifikasi : Pembersih Pakaian (Detergen), Perabot Kantor Spesifikasi : Kresek Kuning Besar, Perabot Kantor Spesifikasi : Pembersih lantai, Perabot Kantor Spesifikasi : Kantong Plastik Sampah','Perabot Kantor Spesifikasi : Alat Pengepel Lantai, Perabot Kantor Spesifikasi : Pembersih Kaca, Perabot Kantor Spesifikasi : Kresek Hitam, Perabot Kantor Spesifikasi : Kamper Kamar Mandi (Carbol), Perabot Kantor Spesifikasi : Pembersih Pakaian (Detergen), Perabot Kantor Spesifikasi : Kresek Kuning Besar, Perabot Kantor Spesifikasi : Pembersih lantai, Perabot Kantor Spesifikasi : Kantong Plastik Sampah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5213,'47228935','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.391.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'buah','Spesifikasi : Lampu LED 15 Watt','Alat Listrik Spesifikasi : Stop Kontak Arde 4 Lubang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5214,'47229756','elanja Obat-Obatan-Obat','40.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Obat Spesifikasi : Obat- obatan','Obat Spesifikasi : Obat- obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5215,'47230575','Belanja Jasa Tenaga Laboratorium','4.710.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'Kali','Beban Jasa Tenaga Laboratorium Spesifikasi : Pengujian Sampel Limbah Cair, Beban Jasa Tenaga Laboratorium Spesifikasi : Pengujian Sampel Air','Beban Jasa Tenaga Laboratorium Spesifikasi : Pengujian Sampel Limbah Cair, Beban Jasa Tenaga Laboratorium Spesifikasi : Pengujian Sampel Air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5216,'47232095','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','35.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'tahun,kali,paket','eban Jasa Tenaga Teknisi Mekanik dan Listrik Spesifikasi : Service AC,printer,ambulan,genset,laptop/pc','eban Jasa Tenaga Teknisi Mekanik dan Listrik Spesifikasi : Service AC,printer,ambulan,genset,laptop/pc','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5217,'47232751','Belanja Jasa Pengolahan Sampah','31.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Tahun','Beban Jasa Pengolahan Sampah Spesifikasi : Jasa Pengolahan Sampah Rumah Tangga Beban Jasa Pengolahan Sampah Spesifikasi : Pemusnahan Sampah Medis','Beban Jasa Pengolahan Sampah Spesifikasi : Jasa Pengolahan Sampah Rumah Tangga Beban Jasa Pengolahan Sampah Spesifikasi : Pemusnahan Sampah Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5218,'47233214','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Tahun','eban Pengolahan Air Limbah Spesifikasi : Perbaikan IPAL','eban Pengolahan Air Limbah Spesifikasi : Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5219,'47233921','Belanja Modal Alat Timbangan/Biara','10.284.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'2 Unit','Alat Timbangan/Biara Spesifikasi : Timbangan Bayi (Digital)','Alat Timbangan/Biara Spesifikasi : Timbangan Bayi (Digital)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5220,'47234650','Belanja Modal Mebel','50.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Unit','Mebel Spesifikasi : Backdrop','Mebel Spesifikasi : Backdrop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5221,'47235219','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','39.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'40 Meter','Alat Rumah Tangga Lainnya (Home Use) Spesifikasi : Gordyn','Alat Rumah Tangga Lainnya (Home Use) Spesifikasi : Gordyn','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5222,'47237294','Belanja Modal Alat Kedokteran Umum','196.089.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'Unit,set,buah','Alat Kedokteran Umum Spesifikasi : Matras 1 Crank One Mad,Alat Kedokteran Umum Spesifikasi : Tabung Oksigen 6 M3 Manometer (Lengkap, Spesifikasi : Timbangan Dewasa,Alat Kedokteran Umum Spesifikasi : Dry Heat Sterilizer Azami - Indonesia,Alat Kedokteran Umum Spesifikasi : Tensimeter Dewasa,Alat Kedokteran Umum Spesifikasi : Tabung Korentang Stainless,Alat Kedokteran Umum Spesifikasi : iud set,Alat Kedokteran Umum Spesifikasi : Tempat tidur Pasien,Alat Kedokteran Umum Spesifikasi : Hecting Set','Alat Kedokteran Umum Spesifikasi : Matras 1 Crank One Mad,Alat Kedokteran Umum Spesifikasi : Tabung Oksigen 6 M3 Manometer (Lengkap, Spesifikasi : Timbangan Dewasa,Alat Kedokteran Umum Spesifikasi : Dry Heat Sterilizer Azami - Indonesia,Alat Kedokteran Umum Spesifikasi : Tensimeter Dewasa,Alat Kedokteran Umum Spesifikasi : Tabung Korentang Stainless,Alat Kedokteran Umum Spesifikasi : iud set,Alat Kedokteran Umum Spesifikasi : Tempat tidur Pasien,Alat Kedokteran Umum Spesifikasi : Hecting Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5223,'47237655','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','5.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'5 Buah','Alat Kesehatan Kebidanan dan Penyakit Kandungan Spesifikasi : Partus Set','Alat Kesehatan Kebidanan dan Penyakit Kandungan Spesifikasi : Partus Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5224,'47238206','Belanja Modal Alat Kesehatan Rehabilitasi Medis','6.360.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'8 Unit','Alat Kesehatan Rehabilitasi Medis Spesifikasi : Tiang Infus','Alat Kesehatan Rehabilitasi Medis Spesifikasi : Tiang Infus','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5225,'47238775','belanja Modal Alat Kesehatan Umum Lainnya','5.633.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'3 Unit','Alat Kesehatan Umum Lainnya Spesifikasi : Termometer ( infra red termo gun ) 3','Alat Kesehatan Umum Lainnya Spesifikasi : Termometer ( infra red termo gun ) 3','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5226,'47239792','Belanja Modal Personal Computer','42.620.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'Unit','Personal Computer Spesifikasi : PC Core i5- 7400T 4/1T Radeon 5302 DVDRDW 21.5 inc...Personal Computer Spesifikasi : laptop','Personal Computer Spesifikasi : PC Core i5- 7400T 4/1T Radeon 5302 DVDRDW 21.5 inc...Personal Computer Spesifikasi : laptop','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5227,'47240430','Belanja Modal Peralatan Personal Computer','7.420.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'2 Unit','eralatan Personal Computer Spesifikasi : printer','eralatan Personal Computer Spesifikasi : printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','Mei 2024','Agustus 2024','Januari 2024','April 2024','2024-01-10 10:55:34.263','pkm-sumberwringin'),
(5228,'47615006','Makanan dan MInuman Rapat (BOK)','70.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat (BOK)','Nasi dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 13:55:20.543','pkm-sumberwringin'),
(5229,'47617412','Makanan dan MInuman Rapat (BOK)','8.225.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat','Nasi dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 13:56:02.475','pkm-sumberwringin'),
(5230,'47621354','Makanan dan MInuman Rapat (BOK)','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat (BOK)','Nasi dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 13:57:20.906','pkm-sumberwringin'),
(5231,'47627268','Makanan dan MInuman Rapat (BOK)','28.669.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat (BOK)','Nasi dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 13:59:08.931','pkm-sumberwringin'),
(5232,'47645441','Makanan dan MInuman Rapat (BOK)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat (BOK)','Nasi dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 14:05:15.547','pkm-sumberwringin'),
(5233,'47647760','Makanan dan MInuman Rapat (BOK)','70.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Sumber Wringin',2024,'1 Paket','Makanan dan MInuman Rapat (BOK)','Nasi dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-31 14:07:08.221','pkm-sumberwringin'),
(5234,'47577425','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Reagen','Belanja Bahan-Bahan Kimia','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5235,'47577476','Belanja Bahan-Bahan Lainnya','80.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','BMHP','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5236,'47577543','Belanja Suku Cadang -Suku Cadang Alat Angkutan','10.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Suku Cadang -Suku Cadang Alat Angkutan','Suku Cadang Ambulance','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Februari 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5237,'47577581','Beban Makanan dan Minuman Rapat ( BOK )','8.225.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:09:38.349','pkm-tamanan'),
(5238,'47577635','Belanja Alat/Bahan untuk Kegiatan Kantor -Alat Tulis Kantor','107.143.100','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor -Alat Tulis Kantor','Banner, Binner, Buku, Kartu, Kertacu, Form,Stabillo, Rekam Medik, Tinta, Register, ATK DLL','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5239,'47587133','Beban Makanan dan Minuman Rapat ( BOK)','50.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:10:21.577','pkm-tamanan'),
(5240,'47587277','Beban Makanan dan Minuman Rapat (BOK)','22.808.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:10:37.903','pkm-tamanan'),
(5241,'47652917','Alat Tulis Kantor (BOK)','500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Alat Tulis Kantor','Fotocopy, Fotocopy kertas buram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:09:38.349','pkm-tamanan'),
(5242,'47664674','Belanja Bahan-Bahan Bakar dan Pelumas','12.473.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamax, Pertamina Dex, Pelumas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Januari 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5243,'47664933','Belanja Modal Mebel','99.268.500','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Mebel','Kursi, Meja','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5244,'47666806','Belanja Modal Alat pembersih','13.231.700','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1','Belanja Modal Alat pembersih','Mesin Potong dan Vacum','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5245,'47666812','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','21.234.200','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Kertas dan Cover','Kertas HVS','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5246,'47667130','Alat Tulis Kantor (BOK)','124.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:11:19.675','pkm-tamanan'),
(5247,'47667702','Belanja Modal Alat Pendingin','1.339.600','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat Dingin','Exhaust Fan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5248,'47667804','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Benda Pos','Materai','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Januari 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5249,'47668089','Beban Makanan dan Minuman Rapat ( BOK )','6.956.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:11:51.217','pkm-tamanan'),
(5250,'47668774','Belanja Modal Peralatan Studio Audio','5.300.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal peralatan Studio Audio','Sound System','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5251,'47669179','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','34.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Bahan Komputer','Mouse dan Tinta Printer','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Januari 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5252,'47670265','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','15.465.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Perabot Kantor','Cairan pembersih, Kemucing, Dispenser Ruanagan, Sapu, Sikat, Alat Pel, Tempat Sampah, Plastik, Keset, Canebo, dll','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5253,'47670789','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','9.014.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','Lampu, Stop Kontak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5254,'47671523','Belanja Modal Alat Kedokteran Umum','117.914.600','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat Kedokteran Umum','Branker UGD, Hecting set','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5255,'47672018','Belanja Obat-Obatan-Obat','70.072.041','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Obat-Obatan-Obat','Obat-Obatan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5256,'47672367','Belanja Modal Alat Kedokteran Bedah','22.608.600','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat Kedokteran Bedah','Gunting Bedah, Klem Arteri','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5257,'47674200','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','22.260.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Fetal Doppler Monitor,','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5258,'47674625','BelanjaModal Alat Kedokteran THT','3.180.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','BelanjaModal Alat Kedokteran THT','THT set','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5259,'47675930','Belanja Modal Alat kedokteran Bagian Penyakit Dalam','5.313.400','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat kedokteran Bagian Penyakit Dalam','Nebulizer','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5260,'47676465','Belanja Modal Alat Kesehatan Rehabilitas Medis','2.119.400','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat Kesehatan Rehabilitas Medis','Kursi Roda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5261,'47676928','Belanja Modal Alat Laboratorium Umum','10.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 PAKET','Belanja Modal Alat Kesehatan Rehabilitas Medis','Roller Mixer','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5262,'47679088','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan (BOK)','154.944.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Penyediaan Bahan Makanan Tambahan Berbasis Pangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:41:19.799','pkm-tamanan'),
(5263,'47679311','Beban Makanan dan Minuman Rapat ( BOK )','8.640.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:41:19.799','pkm-tamanan'),
(5264,'47680766','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','16.413.300','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Modal Alat Penyimpanan Perlengkapan Kantor','Lemari','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5265,'47681171','Belanja Modal Personal Komputer','37.798.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Modal Peralatan Personal Komputer','Laptop, Komputer PC','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5266,'47681419','Belanja Modal Peralatan Personal Komputer','42.229.500','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Belanja Modal Peralatan Personal Komputer','Keyboard, Printer','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','November 2024','Desember 2024','September 2024','Oktober 2024','Juli 2024','Agustus 2024','2024-01-15 13:15:18.558','pkm-tamanan'),
(5267,'47682420','Beban Makanan dan Minuman Rapat ( BOK )','30.456.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:13:59.274','pkm-tamanan'),
(5268,'47683190','Beban Makanan dan Minuman Rapat ( BOK )','50.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:14:21.458','pkm-tamanan'),
(5269,'47685126','Beban Makanan dan Minuman Rapat ( BOK )','28.633.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:14:59.407','pkm-tamanan'),
(5270,'47690695','Alat Tulis Kantor ( BOK )','750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:11:51.217','pkm-tamanan'),
(5271,'47692867','Alat Tulis Kantor','9.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tamanan',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:14:59.407','pkm-tamanan'),
(5272,'47479059','Belanja Bahan-Bahan Kimia','25.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Belanja Bahan Kimia','Reagen','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','November 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5273,'47480168','Belanja Bahan-Bahan Lainnya','20.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Belanja Bahan Bahan Lainnya','BMHP','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Maret 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5274,'47482684','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.091.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Alat Tulis Kantor','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5275,'47483552','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.219.500','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'35 rim','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas Dan Cover','Kertas A4 70 Gr dan kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5276,'47484549','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.598.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'30 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Epson 003','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Agustus 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5277,'47485827','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.834.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'65 unit','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Cairan Pembersih Lantai, Kantong Plastik Sampah, Kresek Kuning Besar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','April 2024','Agustus 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5278,'47486672','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.913.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'25 buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Lampu 50 Watt dan Lampu LED 18 Watt','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Agustus 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5279,'47487746','Belanja Obat-Obatan-Obat','30.000.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Belanja Obat-Obatan-Obat','Obat-Obatan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Mei 2024','November 2024','Februari 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-14 11:46:21.727','pkm-tamankrocok'),
(5280,'47488984','Beban Makanan dan Minuman Rapat (BOK)','28.725.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak dan Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:05:48.603','pkm-tamankrocok'),
(5281,'47593102','Beban Makanan dan Minuman Rapat (BOK)','4.935.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:06:10.748','pkm-tamankrocok'),
(5282,'47600408','Beban Makanan dan Minuman Rapat (BOK)','50.760.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:02:56.267','pkm-tamankrocok'),
(5283,'47600525','Beban Makanan dan Minuman Rapat (BOK)','1.692.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:03:15.185','pkm-tamankrocok'),
(5284,'47600624','Beban Makanan dan Minuman Rapat (BOK)','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:03:38.831','pkm-tamankrocok'),
(5285,'47600693','Beban Makanan dan Minuman Rapat (BOK)','3.196.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:05:12.66','pkm-tamankrocok'),
(5286,'47600798','Beban Makanan dan Minuman Rapat (BOK)','5.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:04:52.639','pkm-tamankrocok'),
(5287,'47600993','Beban Makanan dan Minuman Rapat (BOK)','17.061.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:04:00.244','pkm-tamankrocok'),
(5288,'47601157','Beban Makanan dan Minuman Rapat (BOK)','69.560.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tamankrocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:02:34.944','pkm-tamankrocok'),
(5289,'47676226','Belanja Bahan-Bahan Kimia','14.500.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Bahan-Bahan Kimia','Bahan Kimia Spesifikasi : Belanja Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juni 2024','Juli 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5290,'47677297','Belanja Bahan-Bahan Bakar dan Pelumas','69.769.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamina Dex 2200 Liter Rp. 33.880.000, Pertamax 2555 Liter Rp. 33.981.500 dan Pelumas motor 4 Kali Rp. 1.908.000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5291,'47677643','Belanja Bahan-Bahan Lainnya','66.600.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Bahan-Bahan Lainnya','Bahan Lainnya Spesifikasi : BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juni 2024','Juli 2024','2024-01-15 15:18:54.178','pkm-tapen'),
(5292,'47677900','Beban Makan dan Minuman Rapat (BOK)','101.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:16:48.098','pkm-tapen'),
(5293,'47677974','Belanja Suku Cadang-Suku Cadang Alat Angkutan','6.365.600','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Ban Kendaraan Roda 4 uk 205/65 R16 95h 4 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5294,'47678182','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','29.710.410','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:18:54.178','pkm-tapen'),
(5295,'47678490','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','11.973.030','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','November 2024','November 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5296,'47679184','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.040.000','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Benda Pos Spesifikasi : Materai 104 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5297,'47679331','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','16.960.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Kompute','Bahan Komputer Spesifikasi : Tinta Epson 003 : 100 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5298,'47679437','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','7.224.200','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5299,'47679705','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.283.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Baterai Baterai Sedang 15 Buah, Baterai Baterai Kecil 30 Buah, Lampu LED 18 Watt 10 Buah, Lampu LED 15 Watt 10 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:28.995','pkm-tapen'),
(5300,'47680324','Alat/Bahan Untuk Kegiatan Kantor Lainnya','747.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Alat/Bahan Untuk Kegiatan Kantor Lainnya','Alat/Bahan untuk Kegiatan Kantor Lainnya Spesifikasi : Sys Box Biasa : 15 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juni 2024','Juli 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5301,'47680424','Belanja Obat-Obatan-Obat','40.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Obat-Obatan-Obat','Belanja Obat-Obatan-Obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juni 2024','Juli 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5302,'47681092','Belanja Jasa Tenaga Laboratorium','2.750.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Jasa Tenaga Laboratorium','Pengujian sampel Air Limbah Kimia 5 Sampel, Pengujian Sampel Limbah Cair 2 Kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juni 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-15 15:16:54.397','pkm-tapen'),
(5303,'47681514','Alat Tulis Kantor','1.940.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Alat Tulis Kantor','Fotocopy dan Kertas Buram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5304,'47682115','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.840.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Jasa Pengangkutan Bon Obat dan Stok Opname IFK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5305,'47682248','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','22.400.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Service AC, Service Genset, Service Ambulance, Service Laptop, Service Komputer dan Service Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5306,'47682444','Belanja Jasa Pengolahan Sampah','29.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Jasa Pengolahan Sampah','Pengelolaan Sampah Non Medis dan Pengelolaan Sampah Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5307,'47683614','Beban Makan dan Minuman Rapat (BOK)','7.614.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak Dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5308,'47684133','Alat Tulis Kantor (Bok)','834.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5309,'47684532','Bahan Makan Praktek (BOK)','4.788.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Bahan Makan Praktek','Bahan Makan Praktik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5310,'47685271','Bahan Makanan PMT Ibu Hamil KEK (BOK)','82.560.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Bahan Makanan PMT Ibu Hamil KEK','Bahan Makanan PMT Ibu Hamil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5311,'47685532','Belanja Tagihan Telepon','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Tagihan Telepon','Belanja Tagihan Telepon','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5312,'47685737','Belanja Tagihan Air','28.680.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Tagihan Air','Belanja Tagihan Air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5313,'47685750','Bahan Makanan PMT Balita Gizi Kurang (BOK)','46.569.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Bahan Makanan PMT Balita Gizi Kurang','Bahan Makanan PMT Balita Gizi Kurang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5314,'47686017','Belanja Tagihan Listrik','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Tagihan Listrik','Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5315,'47686304','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5316,'47687213','Belanja Iuran Jaminan Kesehatan bagi Non ASN','62.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5317,'47688021','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','6.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5318,'47688916','Belanja Kursus Singkat/Pelatihan','5.000.000','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Kursus Singkat/Pelatihan','Beban Kursus Singkat/Pelatihan Spesifikasi : Pelatihan ACLS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','September 2024','September 2024','September 2024','September 2024','September 2024','September 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5319,'47689140','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','19.600.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','\"Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor. Spesifikasi : Pemeliharaan Gedung Bertingkat\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:17:57.069','pkm-tapen'),
(5320,'47689557','Belanja Modal Alat Penyimpan Perlengkapan Kantor','5.300.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Alat Penyimpan Perlengkapan Kantor','Alat Penyimpan Perlengkapan Kantor. Spesifikasi : Lemari Arsip','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','September 2024','September 2024','September 2024','Agustus 2024','September 2024','2024-01-15 15:17:20.043','pkm-tapen'),
(5321,'47689929','Belanja Modal Mebel','33.327.400','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Mebel','Spesifikasi : Kursi Tunggu Datafile, DMS 04 (P x L x t) 212,6cm, Kursi Sekretaris Tiger dan Meja Kerja','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5322,'47690330','Belanja Modal Alat Pembersih','2.255.700','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Alat Pembersih','Alat Pembersih. Spesifikasi : Mesin Cuci Awm1280K','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:33.391','pkm-tapen'),
(5323,'47690571','Belanja Modal Alat Kedokteran Umum','45.011.300','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Alat Kedokteran Umum','\"Stetoskop, Kursi Putar periksa pasien, regulator oksigen, Meja Instrument 2 Rak Lokal, Bed Periksa One Mad, Tabung Oksigen 1 Set + Trolly, Tensimeter - 2 (Aneroid), Tensimeter (Digital Pakai Batteray), Lampu Tindakan, dan OKSIMETRI DEWASA\"','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5324,'47690699','Beban Makan dan Minuman Rapat (BOK)','1.880.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5325,'47690977','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','3.180.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','Alat Kesehatan Kebidanan dan Penyakit Kandungan. Spesifikasi : Fetal Doppler Pocket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','September 2024','September 2024','September 2024','Agustus 2024','September 2024','2024-01-15 15:19:58.384','pkm-tapen'),
(5326,'47691290','Belanja Modal Personal Computer','89.040.000','E-Purchasing','APBD','November 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Personal Computer','Belanja Modal Personal Computer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','November 2024','November 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5327,'47691834','Belanja Modal Peralatan Personal Computer','23.578.700','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Modal Peralatan Personal Computer','Belanja Modal Peralatan Personal Computer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','Oktober 2024','November 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5328,'47694124','Alat Tulis Kantor (Bok)','180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5329,'47695565','Beban Makan dan Minuman Rapat (BOK)','12.690.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:18:29.276','pkm-tapen'),
(5330,'47697871','Alat Tulis Kantor (Bok)','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5331,'47698241','Beban Makan dan Minuman Rapat (BOK)','6.580.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:18:22.622','pkm-tapen'),
(5332,'47699371','Beban Makan dan Minuman Rapat (BOK)','63.450.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:18:33.709','pkm-tapen'),
(5333,'47699435','Belanja Barang dan Jasa BOK Puskesmas','9.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tapen',2024,'1','Belanja Barang dan Jasa BOK Puskesmas','Alat Tulis Kantor. Spesifikasi : Fotocopy (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5334,'47701071','Beban Makan dan Minuman Rapat (BOK)','7.285.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:20:45.477','pkm-tapen'),
(5335,'47708373','Beban Makan dan Minuman Rapat (BOK)','28.753.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tapen',2024,'1 Paket','Beban Makan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:19:41.15','pkm-tapen'),
(5336,'47140711','Belanja Bahan-bahan Kimia','35.000.000','E-Purchasing','APBD','April 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 Tahun','Belanja Bahan-bahan Kimia','Reagen','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5337,'47142805','Belanja Bahan-bahan Bakar dan Pelumas','7.270.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'325 Liter','Belanja Bahan-bahan Bakar dan Pelumas','Pertamina Dex dan Oli Mesin Roda 4','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5338,'47223968','Belanja Bahan-bahan Lainnya','30.000.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 paket','Belanja Bahan-bahan Lainnya','BMHP','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5339,'47225106','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.482.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar, ordner kecil, paper clip, bolpoint, isolasi bening, tinta stempel, binder clip, stopmap kertas, spidol hitam, map snell plastik, fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5340,'47225744','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','23.245.700','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Kertas HVS F4 80gr, Kertas NCR F4, kertas HVS warna F4 70gr, Sticky Note, Kertas Bufallo, plastik mika bening','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5341,'47226679','Belanja Alat/bahan untuk Kegiatan Kantor-Benda Pos','500.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'50 buah','Belanja Alat/bahan untuk Kegiatan Kantor-Benda Pos','Materai 10000','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5342,'47228780','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','31.270.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'233 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Tinta Printer Warna,Tinta printer hitam, dan mouse','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5343,'47236567','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','14.702.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','kresek merah besar, kresek kuning sedang, tissue, sabun cuci piring, kantong sampah plastik','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5344,'47238582','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'80 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Lampu LED 18 Watt, Baterai Aa 1,5 v','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5345,'47239406','Belanja Obat-Obatan-Obat','60.000.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 Paket','Belanja Obat-Obatan-Obat','Obat','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5346,'47352261','Belanja Jasa Pengolahan Sampah','29.800.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 Tahun','Belanja Jasa Pengolahan Sampah','Pemusnahan Sampah Medis dan Pengelolaan Sampah Non Medis','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5347,'47352949','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 Tahun','Belanja Pengolahan Air Limbah','Perbaikan IPAL','Ya','Ya','Ya','Ya','Ya','Tidak','Pekerjaan Konstruksi,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5348,'47354350','Belanja Modal Pompa','10.000.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'2 unit','Belanja Modal Pompa','Pompa air','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5349,'47355209','Belanja Modal Alat Kantor Lainnya','47.260.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'2 unit','Belanja Modal Alat Kantor Lainnya','CCTV dan LCD Proyektor','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5350,'47356093','Belanja Modal Alat Kedokteran Umum','30.395.000','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'18 Buah / unit','Belanja Modal Alat Kedokteran Umum','tensimeter digital, stetoscop, Sudip/spatula lidah logam, pinset alat bengkok, pinset anatomis 18cm, timbangan dewasa, oxymeter finger','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5351,'47356731','Belanja Modal Alat Kedokteran Gigi','424.400','E-Purchasing','APBD','June 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1 set','Belanja Modal Alat Kedokteran Gigi','Bor Intan ( Diamond bur Assorted)','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Desember 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-11 10:18:15.81','pkm-tegalampel'),
(5352,'47603679','Beban Makanan dan Minuman Rapat (BOK)','7.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'150 Kue KOTAK , 150 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:40:47.485','pkm-tegalampel'),
(5353,'47604023','Beban Makanan dan Minuman Rapat (BOK)','49.632.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1056 Kue Kotak, 1056 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5354,'47604212','Beban Makanan dan Minuman Rapat (BOK)','7.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'160 Kue Kotak, 160 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5355,'47604408','Beban Makanan dan Minuman Rapat (BOK)','7.520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'160 Kue Kotak, 160 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak ( BOK Puskesmas )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5356,'47604532','Alat Tulis Kantor (Fotocopy)','156.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'520 lembar','Alat Tulis Kantor (Fotocopy)','Fotocopy (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5357,'47604643','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','141.363.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'16 kali,3976 orang bumil KEK , 4920 orang Balita Gizi Kurang','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Bahan Makanan (BOK Puskesmas) dan Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5358,'47604771','Beban Makanan dan Minuman Rapat (BOK)','11.280.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'240 Kue Kotak, 240 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5359,'47604888','Alat Tulis Kantor (Fotocopy)','90.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'300 lembar','Alat Tulis Kantor (Fotocopy)','Fotocopy (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5360,'47604990','Beban Makanan dan Minuman Rapat (BOK)','26.361.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'1143 Kue Kotak , 231 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK) 6930','Kue Kotak dan Nasi Kotak (BOK Puskesmas )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:40:17.663','pkm-tegalampel'),
(5361,'47605129','Beban Makanan dan Minuman Rapat (BOK)','15.669.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'327 Kue Kotak, 337 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5362,'47605147','Beban Makanan dan Minuman Rapat (BOK)','45.150.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'960 Kue Kotak, 961 Nasi Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak dan Nasi Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5363,'47605248','Beban Makanan dan Minuman Rapat (BOK)','5.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'300 Kue Kotak','Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:41:35.617','pkm-tegalampel'),
(5364,'47605680','Alat Tulis Kantor (Kertas Buram)','1.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tegalampel',2024,'5 lembar','Alat Tulis Kantor (Kertas Buram)','Fotocopy kertas buram (BOK Puskesmas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 18:40:17.663','pkm-tegalampel'),
(5365,'47353905','Belanja Bahan-Bahan Kimia','50.000.000','E-Purchasing','APBD','August 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Belanja Bahan-Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5366,'47355437','Belanja Bahan-Bahan Lainnya','30.000.000','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Belanja Bahan-Bahan Lainnya','BMHP','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5367,'47358089','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','48.736.100','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Kartu Stok Barang, Kartu Stok Obat, Binder Clip No. 107, Binder Clip No. 111, dll','Kartu Stok Barang, Kartu Stok Obat, Binder Clip No. 107, Binder Clip No. 111, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5368,'47361207','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','15.324.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','kertas HVS F4 70 gram, Kertas HVS F4 80 gram','kertas HVS F4 70 gram, Kertas HVS F4 80 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5369,'47362234','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','11.925.000','Pengadaan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Tinta Epson Hitam T 6641, Tinta Epson Hitam T 6642, Tinta Epson Hitam T 6643, Tinta Epson Hitam T 6644','Tinta Epson Hitam T 6641, Tinta Epson Hitam T 6642, Tinta Epson Hitam T 6643, Tinta Epson Hitam T 6644','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','September 2024','September 2024','September 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5370,'47364237','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','11.207.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Cairan Pembersih Keramik, Cairan Pembersih Linen, Canebo, Dispenser Parfum Ruangan, dll','Cairan Pembersih Keramik, Cairan Pembersih Linen, Canebo, Dispenser Parfum Ruangan, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5371,'47366875','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.466.000','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Lampu LED 15 Watt, Senter','Lampu LED 15 Watt, Senter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5372,'47367784','Belanja Obat-Obatan-Obat','80.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Obat- obatan','Obat- obatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5373,'47368895','Belanja Jasa Pengolahan Sampah','50.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Pemusnahan Sampah Medis','Pemusnahan Sampah Medis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5374,'47370105','Belanja Pengolahan Air Limbah','10.000.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Perbaikan IPAL','Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','April 2024','April 2024','April 2024','2024-01-12 08:16:01.339','pkm-tenggarang'),
(5375,'47372356','Belanja Modal Alat Penyimpan Perlengkapan Kantor','9.134.400','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Lemari arsip pintu kaca','Lemari arsip pintu kaca','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5376,'47373774','Belanja Modal Mebel','25.334.000','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','kursi kerja, Kursi Tunggu Pasien, meja kerja','kursi kerja, Kursi Tunggu Pasien, meja kerja','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5377,'47375491','Belanja Modal Alat Pendingin','41.075.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','ac dinding, Exhause Fan, dan Kipas angin','ac dinding, Exhause Fan, dan Kipas angin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5378,'47377005','Belanja Modal Alat Kedokteran Umum','13.996.600','Pengadaan Langsung','APBD','August 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','blender obat, regulator oksigen, dan tensi aneroid','blender obat, regulator oksigen, dan tensi aneroid','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Desember 2024','Agustus 2024','Agustus 2024','Agustus 2024','Agustus 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5379,'47378471','Belanja Modal Alat Kedokteran Gigi','22.278.900','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Dental Aerosol Suction Machine','Dental Aerosol Suction Machine','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','September 2024','September 2024','September 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5380,'47380546','Belanja Modal Alat Kesehatan Kebidanan dan Penyakit Kandungan','15.783.300','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Fetal dopleer dan Partus Set','Fetal dopleer dan Partus Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5381,'47381209','Belanja Modal Alat Kesehatan Umum','5.633.400','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Termometer ( infra red termo gun )','Termometer ( infra red termo gun )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5382,'47382232','Belanja Modal Personal Computer','189.871.200','E-Purchasing','APBD','October 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','laptop dan PC All in One','laptop dan PC All in One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-12 08:16:45.237','pkm-tenggarang'),
(5383,'47383458','Belanja Modal Peralatan Personal Computer','22.327.200','E-Purchasing','APBD','September 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 paket','Flash Disk Cz40 16Gb Ultra Backup 16Gb dan printer','Flash Disk Cz40 16Gb Ultra Backup 16Gb dan printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','September 2024','Desember 2024','September 2024','September 2024','September 2024','September 2024','2024-01-12 08:17:18.439','pkm-tenggarang'),
(5384,'47591461','Belanja Beban Makanan dan Minuman Rapat (BOK)','27.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5385,'47591498','Belanja Beban Makanan dan Minuman Rapat (BOK)','48.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:37.589','pkm-tenggarang'),
(5386,'47591529','Belanja Beban Makanan dan Minuman Rapat (BOK)','3.060.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5387,'47591622','Belanja Beban Makanan dan Minuman Rapat (BOK)','5.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5388,'47591650','Belanja Beban Makanan dan Minuman Rapat (BOK)','5.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5389,'47591682','Belanja Beban Makanan dan Minuman Rapat (BOK)','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5390,'47591755','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Ibu Hamil KEK (BOK)','92.880.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Ibu Hamil KEK (BOK)','Bahan PMT Lokal Ibu Hamil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5391,'47591781','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang (BOK)','51.744.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang (BOK)','Bahan PMT Lokal Balita Gizi Kurang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5392,'47591823','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Bahan Makanan (BOK)','6.384.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Bahan Makanan (BOK)','Bahan Makanan Praktek Sosialisasi PMT Lokal','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5393,'47591974','Belanja Beban Makanan dan Minuman Rapat (BOK)','3.026.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5394,'47592047','Belanja Beban Makanan dan Minuman Rapat (BOK)','5.340.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5395,'47592146','Belanja Alat Alat Tulis Kantor (BOK)','45.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Alat Alat Tulis Kantor (BOK)','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5396,'47592190','Belanja Beban Makanan dan Minuman Rapat (BOK)','20.825.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5397,'47592486','Belanja Beban Makanan dan Minuman Rapat (BOK)','5.430.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5398,'47592738','Belanja Alat Alat Tulis Kantor (BOK)','27.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Alat Alat Tulis Kantor (BOK)','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5399,'47592838','Belanja Beban Makanan dan Minuman Rapat (BOK)','1.275.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5400,'47592890','Belanja Beban Makanan dan Minuman Rapat (BOK)','2.250.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:37.589','pkm-tenggarang'),
(5401,'47592967','Belanja Beban Makanan dan Minuman Rapat (BOK)','30.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 16:00:10.679','pkm-tenggarang'),
(5402,'47593011','Belanja Beban Makanan dan Minuman Rapat (BOK)','54.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5403,'47593064','Belanja Alat Alat Tulis Kantor (BOK)','9.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Alat Alat Tulis Kantor (BOK)','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5404,'47593325','Belanja Beban Makanan dan Minuman Rapat (BOK)','2.040.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5405,'47593421','Belanja Beban Makanan dan Minuman Rapat (BOK)','3.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tenggarang',2024,'1 Tahun','Belanja Beban Makanan dan Minuman Rapat (BOK)','Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:59:28.397','pkm-tenggarang'),
(5406,'47062575','Belanja Bahan-Bahan Kimia','77.700.000','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Reagen','reagen 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5407,'47063101','Belanja Bahan-Bahan Bakar dan Pelumas','23.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamina Dex 1500 liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5408,'47063493','Belanja Bahan-Bahan Lainnya','80.000.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Bahan - Bahan Lainnya - BMHP','BMHP 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5409,'47063661','Belanja Suku Cadang-Suku Cadang Alat Angkutan','20.000.000','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Suku Cadang-Suku Cadang Ambulance','Belanja Suku Cadang-Suku Cadang Ambulance 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','November 2024','November 2024','November 2024','November 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5410,'47063965','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','60.535.500','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5411,'47064227','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','14.701.800','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Kertas HVS F4 80 gram 146 Rim Kertas Hvs Warna F4 70 Gr 15 rim Kertas Bufallo Berbagai Warna 3 pak : Amplop Putih No 90 Ukuran 110 Cm X 230 Cm Isi 100 15 pak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5412,'47064784','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','52.221.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Sapu Ijuk Sawang ,Kain Lap , kanebo, : tempat sampah injak sedang , Keset Besar, Kresek Hitam Besar,Kapur barus Toilet, Sikat WC, Piring 9 Inch , Sapu Lion Star, Cairan Pembersih Kaca , Sabun cuci piring, Kresek Merah Besar, Cairan Pembersih Lantai, Isi ulang pewangi ruangan , Tissue Hand Towel , detergen, Sabun Cuci Tangan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5413,'47065166','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','17.723.000','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik',': Stop Kontak Kontak Steker 3Lbg, Kabel Stopkontak Rol, Baterai Baterai Aa 1,5 V , Lampu LED 18 Watt , Lampu Emergency ,Le 2 X 20 W','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','November 2024','November 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5414,'47066027','Belanja Obat-Obatan-Obat','80.000.000','Pengadaan Langsung','APBD','November 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Obat-Obatan-Obat','obat obatan 1 paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','November 2024','November 2024','November 2024','November 2024','November 2024','November 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5415,'47066428','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','26.500.000','Penunjukan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Upah Servis AC,Service Printer, service komputer, Service Ambulance','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5416,'47066642','Belanja Pengolahan Air Limbah','10.000.000','Penunjukan Langsung','APBD','September 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Beban Pengolahan Air Limbah','Perbaikan IPAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','September 2024','September 2024','September 2024','September 2024','September 2024','September 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5417,'47066955','Belanja Modal Alat Penyimpan Perlengkapan Kantor','9.548.100','Pengadaan Langsung','APBD','October 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Alat Penyimpan Perlengkapan Kantor','lemari besi sliding 3 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','Oktober 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5418,'47067110','Belanja Modal Mebel','45.187.200','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Mebel','Kursi Tunggu Pasien, : Kursi Besi/Metal , Meja Kerja Kayu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5419,'47067321','Belanja Modal Alat Pembersih','3.233.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Alat Pembersih','Mesin Pemotong Rumput','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5420,'47067432','Belanja Modal Alat Pendingin','12.226.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Alat Pendingin','ac dinding, Kulkas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5421,'47067695','Belanja Modal Alat Dapur','2.915.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Alat Dapur','Kompor Gas 2 Tungku, Dandang, Magic Com','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5422,'47067850','Belanja Modal Peralatan Studio Audio','8.323.800','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Peralatan Studio Audio','Microphone Rad360 Wireless System1','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5423,'47068029','Belanja Modal Alat Kedokteran Umum','104.281.700','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','Stetoscope anak, Bed Periksa One Mad, regulator oksigen, OKSIMETRI BAYI, bed side cabinet, Lemari Obat Sterilisator Autoclave, Tensimeter Aneroid Berdiri Sphygmomanometer Aneroi.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5424,'47068127','Belanja Modal Personal Computer','184.441.400','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Personal Computer',': Laptop. Laptop, All in one PC','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5425,'47068191','Belanja Modal Peralatan Personal Computer','27.591.300','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Peralatan Personal Computer','Keyboard Mouse , Scanner (F4), Printer Epson All in One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5426,'47068253','Belanja Modal Bangunan Gedung Kantor','80.820.000','Pengadaan Langsung','APBD','December 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'1 Paket','Belanja Modal Bangunan Gedung Kantor','Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Desember 2024','2024-01-08 17:00:45.753','pkm-tlogosari'),
(5427,'47594926','Belanja Makanan dan Minuman Rapat BOK','112.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan Minuman Rapat','2400 Nasi Kotak 2400 Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:48:48.399','pkm-tlogosari'),
(5428,'47595066','Belanja Makanan dan Minuman Rapat BOK','3.290.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan Minuman Rapat','Kue kotak 70 Nasi Kotak 70','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:48:30.945','pkm-tlogosari'),
(5429,'47595233','Belanja Makanan dan Minuman Rapat BOK','9.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan minuman rapat','Kue Kotak 200 Nasi Kotak 200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:48:11.36','pkm-tlogosari'),
(5430,'47595316','Belanja Makanan dan Minuman Rapat BOK','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan minuman rapat','Kue kotak 180 Nasi Kotak 180','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:49:28.526','pkm-tlogosari'),
(5431,'47595475','Belanja Makanan dan Minuman Rapat BOK','28.753.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan minuman rapat','Kue kotak 1199 Nasi Kotak 279','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:47:50.242','pkm-tlogosari'),
(5432,'47595598','Belanja Makanan dan Minuman Rapat BOK','13.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','makanan dan minuman rapat','Kue kotak 350 Nasi Kotak 260','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:49:09.641','pkm-tlogosari'),
(5433,'47595675','Belanja Makanan dan Minuman Rapat BOK','70.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan minuman rapat','Kue kotak 1500 Nasi Kotak 1500','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:49:46.457','pkm-tlogosari'),
(5434,'47595736','Belanja Makanan dan Minuman Rapat BOK','8.460.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan minuman rapat','Kue kotak 180 Nasi Kotak 180','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 16:52:50.535','pkm-tlogosari'),
(5435,'47639767','Belanja Alat Tulis Kantor BOK','900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Belanja alat tulis kantor (fotocopy)','Fotocopy 3000 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:24:54.813','pkm-tlogosari'),
(5436,'47641859','Belanja Alat Tulis Kantor BOK','540.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Belanja Alat Tulis kantor (Fotocopy)','Fotocopy 1800 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:24:54.813','pkm-tlogosari'),
(5437,'47649407','Bahan Makanan Sosialisasi PMT Lokal','5.320.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Bahan Makanan 20 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:24:54.813','pkm-tlogosari'),
(5438,'47654601','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal','154.944.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Balita Gizi Kurang 3920 Ibu Hamil KEK 6000','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:24:54.813','pkm-tlogosari'),
(5439,'47658644','Belanja Alat Tulis Kantor BOK','9.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Tlogosari',2024,'Paket','Alat Tulis Kantor','fotocopy 30 lembar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:24:54.813','pkm-tlogosari'),
(5440,'47655732','Belanja Barang dan Jasa BOK Puskesmas','2.820.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1','Belanja Makanan dan Minuman Rapat','Nasi Kotak 60 Kotak Kue Kotak 60 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Desember 2024','April 2024','Desember 2024','Maret 2024','April 2024','2024-01-15 11:16:13.039','pkm-wonosari'),
(5441,'47680968','Beban Makanan dan Minuman Rapat (BOK)','84.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Beban Makana dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:27:02.451','pkm-wonosari'),
(5442,'47683152','Belanja Barang dan Jasa BOK Puskesmas','8.490.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 13:27:19.638','pkm-wonosari'),
(5443,'47692714','Belanja Barang dan Jasa BOK Puskesmas','6.862.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:51:18.288','pkm-wonosari'),
(5444,'47697210','Belanja Barang dan Jasa BOK Puskesmas','2.820.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Beban Makanan Dan Minuman Rapat','Kue Kotak dan Nasi Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:46:58.036','pkm-wonosari'),
(5445,'47698118','Belanja Barang dan Jasa BOK Puskesmas','112.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 14:46:09.458','pkm-wonosari'),
(5446,'47699663','Belanja Barang dan Jasa BOK Puskesmas','65.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Belanja Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:00:15.147','pkm-wonosari'),
(5447,'47708005','Belanja Barang dan Jasa BOK Puskesmas','88.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Belanja ATK','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:11:37.642','pkm-wonosari'),
(5448,'47712773','Belanja Barang dan Jasa BOK Puskesmas','11.280.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 15:34:55.62','pkm-wonosari'),
(5449,'47595867','Belanja Bahan Kimia','50.000.000','E-Purchasing','APBD','July 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Bahan Kimia','Reagen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Juli 2024','Desember 2024','Juli 2024','Juli 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5450,'47595975','Belanja Bahan-Bahan Bakar dan Pelumas','16.772.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Pertamina Dex 800 Liter,Oli Mesin Roda 4 42 Liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5451,'47596018','Belanja Bahan-Bahan Lainnya','80.000.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Bahan-Bahan Lainnya','Bahan Medis Habis Pakai','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5452,'47596090','Belanja Suku Cadang-Suku Cadang Alat Angkutan','10.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Suku cadang ambulance','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5453,'47596323','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','46.152.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','blanko hasil laboraturium 4 Rim,Blanko MTBS 1000 Lembar,Bolpoint 20 Pak,Buku Register 10 buku,Buku Tulis 38 Lbr 15 pak,Correction Tape Roll 100 Buah,Double Tape 2 Inch X 72 Yard 5 Buah,Form inform konset 2 Rim,Form Kartu Anak 1000 Lembar,Form perpem laborat 1000 Lembar,Fotocopy 40027 Lembar, Gunting Besar 10 Buah,Isi Steples Besar No 3 2 Pak, Isi Steples Kecil No 10 5 Pak,Isolasi Bening 5 Cm 9 Buah,Kartu ibu 1000 Lembar,Kartu rawat jalan 1000 Lembar,kartu stock barang 1000 Lembar, lakban besar hitam 5 Buah,Lem Cair Sedang 20 Rol,MTBM 1000 Lembar,Ordner Besar 100 Buah,Ordner Kecil 50 Buah,Paper Clip 3/4 10 Pak,rekam medis rawat jalan 1400 Set,Snelhecter Map Bahan Plastik 100 Buah,Snelhecter Map Bahan Transparan 200 Buah,Spidol Permanen 50 Buah,Stapler Hd 10 20 Buah,Stop Map Kertas Biasa 100 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5454,'47597504','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','9.964.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Amplop putih tanggung 3 Pak,Kertas HVS A4 80 gr 10 Rim,Kertas HVS F4 80 gram 100 Rim,Kertas Hvs Warna F4 70 Gr 15 Rim','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5455,'47597527','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Materai 150 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5456,'47597578','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10.867.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Flasdisk 10 Buah,Mouse 5 Buah,Tinta Hitam 25 Buah,Tinta Warna 35 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Februari 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5457,'47597632','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','9.644.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Cairan Pembersih Kaca 45 Buah,Cairan Pembersih Lantai 100 Buah,kanebo 10 Buah,Kemucing Bulu 10 Buah, keset 10 Buah,Refill Pengharum Ruangan 20 Buah,Sapu 30 Buah,Spin Mop Alat pel ) 8 Buah,taplak meja 30 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Oktober 2024','Januari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5458,'47597667','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','11.183.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Baterai Baterai Aa 1,5 V 50 Buah, Baterai Baterai Aaa 50 Buah,Kabel Stopkontak Rolb 5 Buah,Lampu Hemat Listrik ,Essential Type 82/86, 18 W 40 Buah,Lampu Hemat Listrik ,Essential Type 82/86, 8 W 40 Buah, Lampu Mercury 160 W 5 Buah,Lampu ,Mg 50 220 V F 75 40/60 W 28 Buah,Senter 5 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Juni 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5459,'47597679','Belanja Obat-Obatan-Obat','128.636.925','E-Purchasing','APBD','February 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Obat-Obatan-Obat','Belanja Obat-Obatan-Obat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Oktober 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5460,'47597732','Belanja Jasa Tenaga Laboratorium','9.390.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Jasa Tenaga Laboratorium','Pemeriksaan Sampel Laboratorium keLabkesda 1 Tahun,Pengujian Sampel Air 26 kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5461,'47597768','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','7.680.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Jasa Angkut Bon Obat Ke GFK 2 Orang / Hari x 4 Minggu x 12 Bulan x 2 Kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5462,'47597807','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','18.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Belanja jasa service pusling Kendaraan ops.Puskesmas) 1 Paket,Service komputer 1 Paket,Jasa Servis pompa Air 8 kali','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5463,'47597834','Belanja Jasa Pengolahan Sampah','44.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Jasa Pengolahan Sampah','Pemusnahan Sampah Medis 1 Tahun,Jasa Pengolahan Sampah Non Medis 12 Bulan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5464,'47597891','Belanja Tagihan Listrik','36.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Tagihan Listrik','Belanja Tagihan Listrik 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5465,'47597938','Belanja Kawat/Faksimili/Internet/TV Berlangganan','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Tahun','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Langganan Paket internet 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5466,'47597962','Belanja Iuran Jaminan Kesehatan bagi Non ASN','34.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Tahun','Belanja Iuran Jaminan Kesehatan bagi Non ASN','Iuran kesehatan tenaga kontrak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5467,'47597986','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','3.744.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Tahun','Belanja Iuran Jaminan Kecelakaan Kerja bagi Non ASN','Premi Asuransi Ketenagakerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5468,'47598014','Belanja Kursus Singkat/Pelatihan','4.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Kursus Singkat/Pelatihan','Pelatihan APN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5469,'47598146','Belanja Modal Pompa','6.381.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Pompa','Pompa Air Alkon Water Pump) 3 inch 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5470,'47598171','Belanja Modal Mebel','50.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Mebel','Backdrop 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5471,'47598211','Belanja Modal Alat Kedokteran Umum','15.262.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Modal Alat Kedokteran Umum','Sterilisator , 2 Pintu Kering 1 Unit,Stetoskop 2 Unit,Tensimeter 7 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5472,'47598232','Belanja Modal Alat Kedokteran Jantung','61.798.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Alat Kedokteran Jantung','EKG 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5473,'47598260','Belanja Modal Alat Laboratorium Kimia','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Alat Laboratorium Kimia','Fotometer 1 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5474,'47598305','Belanja Modal Personal Computer','31.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Modal Personal Computer','laptop 2 Unit, PC All In One 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5475,'47598364','Belanja Modal Peralatan Personal Computer','6.118.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Peralatan Personal Computer','Printer 1 Unit,Harddisk External 1 Tb Usb 3.0 Ext. 2.5 Inch 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5476,'47598405','Belanja Modal Bangunan Terbuka','56.251.800','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Unit','Belanja Modal Bangunan Terbuka','AP Rehab Ringan Gedung Negara Sederhana,Pengawasan Rehab Ringan Gedung Negara Sederhana,Perencanaan Rehab Ringan Gedung Negara Sederhana,Rehab Ringan Gedung Negara Sederhana','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5477,'47598462','Belanja Barang dan Jasa BOK Puskesmas','93.002.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Barang dan Jasa BOK Puskesmas','Fotocopy BOK Puskesmas) 300 Lembar,Insentif UKM Non ASN BOK Puskesmas) 1 Tahun,Kue Kotak 96 kotak,Nasi Kotak BOK Puskesmas) 792 Kotak,Bantuan transport BOK Puskesmas 208 Orang/hari','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:29:39.469','pkm-wringin'),
(5478,'47630816','Beban Makanan dan Minuman Rapat (BOK)','3.995.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5479,'47639347','Beban Makanan dan Minuman Rapat (BOK)','117.312.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5480,'47640647','Beban Makanan dan Minuman Rapat (BOK)','13.818.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5481,'47641682','Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','348.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy/Penggandaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5482,'47643366','Belanja Makanan dan Minuman pada Fasilitas Pelaanan Urusan Kesehatan (BOK)','147.273.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman pada Fasilitas Pelaanan Urusan Kesehatan','Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Balita Gizi Kurang dan Penyediaan Bahan Makanan Tambahan Berbasis Pangan Lokal Bagi Ibu Hamil KEK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5483,'47645025','Beban Makanan dan Minuman Rapat (BOK)','8.883.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5484,'47647155','Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','846.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5485,'47652943','Beban Makanan dan Minuman Rapat (BOK)','25.392.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5486,'47654326','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','90.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:45:33.824','pkm-wringin'),
(5487,'47658129','Beban Makanan dan Minuman Rapat (BOK)','7.332.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:45:33.824','pkm-wringin'),
(5488,'47660322','Beban Makanan dan Minuman Rapat (BOK)','87.984.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5489,'47661944','Beban Makanan dan Minuman Rapat (BOK)','34.874.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Nasi Kotak dan Kue Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:44:53.187','pkm-wringin'),
(5490,'47667887','Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (BOK)','156.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','FKTP Wringin',2024,'1 Paket','Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy/ Penggandaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 17:45:33.824','pkm-wringin'),
(5491,'47553467','Belanja Suku Cadang-Suku Cadang Alat Angkutan','20.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Suku Cadang Kendaraan Dinas Roda Dua; Suku cadang kendaraan dinas roda empat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:11:31.144','inspektorat'),
(5492,'47554054','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor (Rehab Gedung)','200.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'2227.1714922049 M2','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor (Rehab Gedung);','Pemeliharaan Bangunan Gedung Negara Sederhana (Rehab Gedung);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:11:31.144','inspektorat'),
(5493,'47554055','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor (Pengecatan Gedung Kantor)','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'334.075723830735 M2','Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor (Pengecatan Gedung Kantor);','Pemeliharaan Bangunan Gedung Negara Sederhana (Pengecatan Gedung Kantor);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:11:31.144','inspektorat'),
(5494,'47554712','Pengadaan Peralatan dan Mesin Lainnya','63.117.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Modal Personal Computer; Belanja Modal Peralatan Personal Computer; Belanja Modal Alat Pendingin; Alat Pendingin; Personal Computer; Peralatan Personal Computer;','Laptop; Printer Epson All in One; Ac Split 1Ã‚Â½ Pk Toshiba Ras-12Skpx Premier Series, 1150W, Auto Self Cleaning; Ac Split 1Ã‚Â½ Pk Toshiba Ras-12Skpx Premier Series, 1150W, Auto Self Cleaning; Laptop; Printer Epson All in One;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:11:31.144','inspektorat'),
(5495,'47554772','Penyediaan Bahan Logistik Kantor','15.012.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Spidol Marker; Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Uk. 27 X 40 Cm; Continous Form 9,5 3 Ply-1000 Sheet; Spidol Marker; Spidol Kecil; Paper Clip; Paper Clip Jumbo; Correction Tape Roll; Stop Map Kertas Biasa; Lem Cair 50 Ml; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Isi Steples Besar No 3; Fotocopy; cetak format sppd; Brief Odner; Binder Clip No. 111; Binder Clip No. 155; Buku Buku Folio 100 Lbr; Isi Ball Point Pentel 09; PlakBand Hitam 2 Inch; Cetak Map Kantor; Bh. Kertas 150 Grm Amplop Dinas Bh. Samson Uk. 27 X 40 Cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Continous Form 9,5 3 Ply-1000 Sheet; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:11:31.144','inspektorat'),
(5496,'47554823','Penyediaan Barang Cetakan dan Penggandaan','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Fotocopy; Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 X 40 Cm; Fotocopy; Cetak Map Kantor; Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 27 X 40 Cm; Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 18 X 28 Cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5497,'47554863','Penyediaan Peralatan Rumah Tangga','6.874.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu ijuk; Canebo; sapu ijuk; Reffil kain pel; Pembersih lantai; Dispencer pengharum ruangan; Isi ulang pewangi ruangan; keset; tempat sampah injak sedang; Cikrak Sampah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5498,'47554941','Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','5.255.300','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel NYMHY 2 X 0,75 mm; Kabel NYMHY 2 X 0,75 mm; Kabel NYM 2 X 1,5 mm; Lampu Mercury Philips, 100 Watt; Lampu Tl ,20 Watt; Baterai Baterai Aa 1,5 V; perekat; Stop Kontak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5499,'47555292','Pengadaan ATK Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer;','Stop Map Kertas Biasa; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Brief Odner; kertas HVS F4 70 gram; Tinta Epson Hitam T 6641; Tinta Epson Warna T 6642;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5500,'47555369','Pengadaan ATK Koordinasi dan Penyusunan Perubahan DPA- SKPD','3.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','June 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer;','Snelhecter Map Bahan Plastik; Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-13 00:10:58.408','inspektorat'),
(5501,'47555423','Pengadaan ATK Koordinasi dan Penyusunan DPA-SKPD','3.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer;','Snelhecter Map Bahan Plastik; Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5502,'47555752','Pengadaan ATK Evaluasi Kinerja Perangkat Daerah','7.193.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor;','Snelhecter Map Bahan Plastik; Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Tinta Epson 003; Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5503,'47555787','Pengadaan ATK Koordinasi dan Penyusunan Dokumen Perubahan RKA-SKPD','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','June 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor;','Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Fotocopy; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Snelhecter Map Bahan Plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-13 00:10:58.408','inspektorat'),
(5504,'47555804','Pengadaan ATK Penyusunan Dokumen Perencanaan Perangkat Daerah','6.713.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Snelhecter Map Bahan Plastik; Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5505,'47555854','Pengadaan ATK Koordinasi dan Penyusunan Dokumen RKA-SKPD','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Inspektorat',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer;','Snelhecter Map Bahan Plastik; Kertas HVS A4 70 Gr; Tinta Epson Warna T 6642; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Fotocopy; Brief Odner; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-13 00:10:58.408','inspektorat'),
(5506,'47444694','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5507,'47444695','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5508,'47444696','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5509,'47444814','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5510,'47444815','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5511,'47444816','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5512,'47444819','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5513,'47444820','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5514,'47444821','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5515,'47445003','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5516,'47445004','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5517,'47445006','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5518,'47445061','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','291.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5519,'47445062','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','940.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5520,'47445063','Bahan Komputer','768.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5521,'47445172','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','311.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5522,'47445174','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5523,'47445175','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5524,'47445194','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','311.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5525,'47445195','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5526,'47445196','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5527,'47445201','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','622.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5528,'47445202','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5529,'47445203','Bahan Komputer','1.229.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'8 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5530,'47445321','Alat Tulis Kantor','522.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1741 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5531,'47445323','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5532,'47445324','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5533,'47445394','Alat Tulis Kantor','522.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1741 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5534,'47445395','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5535,'47445396','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5536,'47448447','Alat Tulis Kantor','522.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1741 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5537,'47448448','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5538,'47448449','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5539,'47448537','Bahan Bangunan dan Konstruksi','1.710.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'18 Buah','Bahan Bangunan dan Konstruksi;','Fitting plafond + lampu SL;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5540,'47448538','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.790.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','lampu LED 18 watt; Kabel Nymhy Supreme,300/500Vsni, Uk. 2X4 Mm2; Lampu ,Esential Tornado 20 W; Lampu Mercury, 125 Watt; Saklar Saklar Engkel Broco Gracio Cream; Steker Over Steker Hp Switch Loyal; Stop Kontak Stop Kontak+Saklar+Kabel Uticon; Isolasi Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5541,'47448552','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.500.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu lidi; Cairan Pembersih Lantai; pengharum ruangan sprey; Kemucing Bulu; spin mob (alat pel); Tempat Sampah; Cikrak; Sapu Lidi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5542,'47448595','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.054.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5543,'47448596','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5544,'47448597','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.286.200','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson 003; Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5545,'47448598','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.143.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Isi Stapler Kecil No.10; Odner Besar; Buku Folio Isi 50 Lbr Alp;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5546,'47448613','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.341.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5547,'47448700','Belanja Modal Mebel','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Mebel;','Bracket TV Standing;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5548,'47448758','Belanja Modal Peralatan Personal Computer','6.864.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Peralatan Personal Computer; Peralatan Personal Computer;','printer L200 (Tabung Tinta Infus Resmi Epson) (Print, Scan, Copy); Printer Epson L3210;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5549,'47448795','Beban Tagihan Air','720.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Tahun','Beban Tagihan Air;','Beban Jasa Air;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5550,'47448797','Beban Tagihan Listrik','8.340.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'7750.92936802974 Kwh','Beban Tagihan Listrik;','2200-5500 VA;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5551,'47448798','Beban Kawat/Faksimili/Internet/TV Berlangganan','7.740.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Tahun','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Speedy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5552,'47448859','Bahan Bakar dan Pelumas','16.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1200 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5553,'47450612','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','104.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5554,'47450613','Bahan Komputer','461.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'3 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5555,'47450614','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5556,'47450969','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5557,'47450970','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5558,'47450971','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5559,'47453655','Bahan Baku','159.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Buah','Bahan Baku;','Kapi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5560,'47453657','Alat Rumah Tangga Lainnya (Home Use)','18.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'70 M2','Alat Rumah Tangga Lainnya (Home Use);','Kanopi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5561,'47453659','Alat Rumah Tangga Lainnya (Home Use)','5.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'3 Set','Alat Rumah Tangga Lainnya (Home Use);','Pintu Kayu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5562,'47453660','Belanja Bahan-Bahan Bangunan dan Konstruksi','18.041.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Cat kayu/besi; Cat Dinding Movilec; Ember -; Kuas roll; Amplas Kayu; Kuas Cat; Plamir Tembok;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5563,'47453661','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','9.270.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang Cat; Tukang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:19:16.84','binakal'),
(5564,'47454401','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','601.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5565,'47454402','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','940.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5566,'47454403','Bahan Komputer','768.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5567,'47454404','Belanja Makanan dan Minuman Rapat','12.690.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5568,'47454479','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','253.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5569,'47454480','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5570,'47454481','Bahan Komputer','307.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'2 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5571,'47454482','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5572,'47454541','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','187.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5573,'47454542','Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5574,'47454543','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5575,'47454544','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5576,'47454549','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','253.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5577,'47454550','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5578,'47454551','Bahan Komputer','307.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'2 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5579,'47454552','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5580,'47454562','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','344.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5581,'47454563','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5582,'47454564','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5583,'47454565','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 00:11:21.394','binakal'),
(5584,'47457532','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','333.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:21:33.882','binakal'),
(5585,'47457533','Bahan Komputer','614.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'4 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:21:33.882','binakal'),
(5586,'47457534','Belanja Makanan dan Minuman Rapat','10.340.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:21:33.882','binakal'),
(5587,'47457535','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:21:33.882','binakal'),
(5588,'47457538','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5589,'47457539','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5590,'47457540','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5591,'47457541','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5592,'47457543','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','253.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5593,'47457544','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5594,'47457545','Bahan Komputer','307.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'2 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5595,'47457546','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5596,'47457552','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5597,'47457553','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5598,'47457554','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5599,'47457555','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5600,'47457566','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','107.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5601,'47457567','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5602,'47457568','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5603,'47457569','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5604,'47457579','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5605,'47457580','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5606,'47457581','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5607,'47457582','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5608,'47457597','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','227.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5609,'47457598','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5610,'47457599','Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5611,'47457600','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5612,'47457602','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','404.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5613,'47457603','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5614,'47457604','Bahan Komputer','307.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'2 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5615,'47457605','Belanja Makanan dan Minuman Rapat','5.640.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:22:43.412','binakal'),
(5616,'47458677','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.093.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:33:28.641','binakal'),
(5617,'47458678','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.951.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:33:28.641','binakal'),
(5618,'47458679','Bahan Komputer','1.537.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:33:28.641','binakal'),
(5619,'47458680','Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:33:28.641','binakal'),
(5620,'47459033','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','796.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5621,'47459034','Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'15 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5622,'47459035','Bahan Komputer','768.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5623,'47459036','Belanja Makanan dan Minuman Rapat','30.550.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5624,'47459060','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','601.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5625,'47459061','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','940.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5626,'47459062','Bahan Komputer','768.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'5 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5627,'47459063','Belanja Makanan dan Minuman Rapat','12.690.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:17:29.496','binakal'),
(5628,'47460432','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.822.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:02:13.008','binakal'),
(5629,'47460433','Bahan Komputer','1.537.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'10 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:59.91','binakal'),
(5630,'47460434','Belanja Makanan dan Minuman Rapat','22.560.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:59.91','binakal'),
(5631,'47460435','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','716.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:59.91','binakal'),
(5632,'47460500','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','788.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:16:19.392','binakal'),
(5633,'47460501','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:16:19.392','binakal'),
(5634,'47460502','Bahan Komputer','922.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'6 Buah','Bahan Komputer;','Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:16:19.392','binakal'),
(5635,'47460503','Belanja Makanan dan Minuman Rapat','22.090.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Binakal',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:16:19.392','binakal'),
(5636,'47372030','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'5 rim','Kertas Hvs F4 70 gram','Kertas Hvs F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5637,'47376936','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'3 botol','Bahan Komputer','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5638,'47404525','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','162.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'540 Lembar','Fotocopy','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5639,'47405227','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'15 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5640,'47406751','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.866.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 botol','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5641,'47415792','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','468.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder clip no.260 fotocopy','Binder clip no.260 fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5642,'47416628','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'15 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5643,'47418362','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'3 botol','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5644,'47449908','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','662.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Fotocopy Paper Clip No.1 (kecil)','Fotocopy Paper Clip No.1 (kecil)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5645,'47450006','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'12 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5646,'47450112','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'3 botol','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5647,'47450524','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','779.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder 105 ukuran 15 Mm,1/2 inch Bolpoint Fotokopi Spidol Marker','Binder 105 ukuran 15 Mm,1/2 inch Bolpoint Fotokopi Spidol Marker','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5648,'47450753','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.847.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Kertas A4 70 Gr Kertas HVS F4 70 Gram','Kertas A4 70 Gr Kertas HVS F4 70 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5649,'47450812','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','373.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 buah','Tinta Epson 0003','Tinta Epson 0003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5650,'47453514','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','502.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Fotocopy Paper Clip No.1 (Kecil)','Fotocopy Paper Clip No.1 (Kecil)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5651,'47453578','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.698.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Kertas A4 70 Gr Kertas HVS F4 70 Gram','Kertas A4 70 Gr Kertas HVS F4 70 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5652,'47453701','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','633.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder 105 ukuran 15 Mm, 1/2 inch Bolpoint Fotocopy Pensil 3B Stopmap Kertas','Binder 105 ukuran 15 Mm, 1/2 inch Bolpoint Fotocopy Pensil 3B Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5653,'47453748','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'25 rim','Kertas HVS F4 70 Gram','Kertas HVS F4 70 Gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5654,'47453811','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','746.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'4 buah','Tinta epson 003','Tinta epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:23:49.891','bondowoso'),
(5655,'47454435','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','316.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1054 lembar','Fotocopy','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:35:39.603','bondowoso'),
(5656,'47468510','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.276.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Block note A5 Stabilo Boss Warna Banner Bolpoint Stopmap Kertas Fotocopy','Block note A5 Stabilo Boss Warna Banner Bolpoint Stopmap Kertas Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:32:43.766','bondowoso'),
(5657,'47469146','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.944.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'30 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:32:43.766','bondowoso'),
(5658,'47469625','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'6 botol','Tinta printer hitam epson','Tinta printer hitam epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:32:43.766','bondowoso'),
(5659,'47472844','Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Nasi kotak biasa Kue kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:32:43.766','bondowoso'),
(5660,'47475624','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.160.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Block note A5 Fotokopi Stopmap Kertas Binder Clip No. 107 Bolpoint Buku Tulis 100 lbr kyky folio cutter (refil isi cutter) kecil merk A300 Fotocopy Fotocopy Ordner besar Paper clip jumbo Plakband hitam 2 inch Sign Pen Scmf Stam Pad (Bantalan) 0 T/T Stapler No. T3-10Mb Stop Map Batik Kain Stop Map Kertas Biasa Tinta Stempel 7051','Block note A5 Fotokopi Stopmap Kertas Binder Clip No. 107 Bolpoint Buku Tulis 100 lbr kyky folio cutter (refil isi cutter) kecil merk A300 Fotocopy Fotocopy Ordner besar Paper clip jumbo Plakband hitam 2 inch Sign Pen Scmf Stam Pad (Bantalan) 0 T/T Stapler No. T3-10Mb Stop Map Batik Kain Stop Map Kertas Biasa Tinta Stempel 7051','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:33:17.677','bondowoso'),
(5661,'47479248','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.860.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'20 rim','Kertas Hvs Warna F4 70 Gr','Kertas Hvs Warna F4 70 G','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:33:17.677','bondowoso'),
(5662,'47482219','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.866.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 buah','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:33:17.677','bondowoso'),
(5663,'47483325','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'300 kotak','Kue kotak Nasi kotak biasa','Kue kotak Nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:33:17.677','bondowoso'),
(5664,'47492643','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','150.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Odner besar (forte) Fotocopy','Odner besar (forte) Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 11:22:41.463','bondowoso'),
(5665,'47493417','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 11:22:41.463','bondowoso'),
(5666,'47496216','Belanja Modal Personal Computer','19.080.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 unit','Laptop core I5','Laptop core I5','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-24 11:55:39.014','bondowoso'),
(5667,'47598027','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'800 Lembar','fotokopi','fotokopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5668,'47598096','Belanja Makanan dan Minuman Rapat','1.360.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'80 kotak','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5669,'47598148','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','198.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Fotokopi Stapler Hd 50','Fotokopi Stapler Hd 50','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5670,'47598203','Belanja Modal Alat Kantor dan Rumah Tangga','301.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 buah','Mesin hitung','Kalkulator Elektronik D - 20 Lw','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5671,'47598261','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','140.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Bolpoint Fotokopi Paper Clip No.1 (Kecil)','Bolpoint Fotokopi Paper Clip No.1 (Kecil)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5672,'47598358','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','359.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'6 rim','Kertas A4 70 gr Kertas HVS F4 70 Gr','Kertas A4 70 gr Kertas HVS F4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 19:16:01.769','bondowoso'),
(5673,'47598523','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.143.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Banner Bolpoint Block note A4 Fotokopi Penggaris mika 50 cm Map snell plastik Spidol kecil Spidol Marker Stopmap Kertas','Banner Bolpoint Block note A4 Fotokopi Penggaris mika 50 cm Map snell plastik Spidol kecil Spidol Marker Stopmap Kertas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5674,'47598577','Belanja Makanan dan Minuman Rapat','31.020.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'660 kotak','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5675,'47598927','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.049.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Banner Fotokopi Isi stapler kecil no. 10 isi steples besar sheets (duduk) lem besar lem kecil odner besar (forte) porforator heavy duty punch besar perforator sedang 40 xl stepler remover rz A STAPLER Hd 50','Banner Fotokopi Isi stapler kecil no. 10 isi steples besar sheets (duduk) lem besar lem kecil odner besar (forte) porforator heavy duty punch besar perforator sedang 40 xl stepler remover rz A STAPLER Hd 50','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5676,'47598965','Belanja Makanan dan Minuman Rapat','21.714.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'462 kotak','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5677,'47599166','Belanja Bahan-Bahan Lainnya','1.590.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 buah','Jas hujan','jas hujan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5678,'47603033','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.802.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder clip Block note A4 Bolpoint Buku folio 300 lbr Banner Fotocopy Cutter L500 Gunting','Binder clip Block note A4 Bolpoint Buku folio 300 lbr Banner Fotocopy Cutter L500 Gunting','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5679,'47603108','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'5 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5680,'47603258','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.667.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'13 botol','Tinta printer hitam epson Tinta printer epson warna 003 (pink,kuning,biru 6 buah)','Tinta printer hitam epson Tinta printer epson warna 003 (pink,kuning,biru 6 buah)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5681,'47603345','Belanja Alat/Bahan untuk Kegiatan Kantor - Alat Listrik','3.300.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Kabel roll Senter Model St 900 (PengaturLalu Lintas)','Kabel roll Senter Model St 900 (PengaturLalu Lintas)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5682,'47603430','Belanja Alat/Bahan untuk Kegiatan Kantor -Perlengkapan Dinas','795.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 buah','Rompi','Rompi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5683,'47603527','Belanja Alat/Bahan untuk Kegiatan Kantor - Perlengkapan Pendukung Olahraga','12.720.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'40 stel','Kaos dan training','Kaos dan training','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5684,'47603579','Belanja Makanan dan Minuman Rapat','31.020.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'660 kotak','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5685,'47603659','Belanja Modal Alat Pendingin','1.590.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 unit','Kipas Angin','Kipas angin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5686,'47603723','Belanja Modal Alat Kedokteran Umum','373.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 buah','Instrument cabinet ex : lokal, kotak P3K 44 x 31 x 11 cm','Instrument cabinet ex : lokal, kotak P3K 44 x 31 x 11 cm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5687,'47603790','Belanja Modal Peralatan Komputer','4.240.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 buah','Printer wifi multifungtion (print scan copy)','Printer wifi multifungtion (print scan copy)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-24 11:53:35.312','bondowoso'),
(5688,'47603839','Belanja Modal Peralatan Komputer Lainnya','2.120.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 buah','UPS','UPS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5689,'47603940','Belanja Modal Sepatu Lapangan','3.183.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 pasang','Sepatu boot','Sepatu boot','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 22:46:56.965','bondowoso'),
(5690,'47610305','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.743.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','banner 280 gsm binder 105 ukuran 15 Mm, 1/2 inch block note A5 Bolpoint Brief odner ukuran F4 Fotocopy Gunting kecil Isiball point pentel Mg 6 isi stappler no.10 isi staples besar no.3 lem cair 50 Ml Map jepit clip interx map kancing punggung interx plakband kraf 2 inch spidol hitam boardmarker stapler Hd 50 Stapler no. T3-10Mb','banner 280 gsm binder 105 ukuran 15 Mm, 1/2 inch block note A5 Bolpoint Brief odner ukuran F4 Fotocopy Gunting kecil Isiball point pentel Mg 6 isi stappler no.10 isi staples besar no.3 lem cair 50 Ml Map jepit clip interx map kancing punggung interx plakband kraf 2 inch spidol hitam boardmarker stapler Hd 50 Stapler no. T3-10Mb','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5691,'47610657','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.944.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'30 rim','Kertas HVS F4 70 Gr','Kertas HVS F4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5692,'47611005','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.555.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','SERBUK REFIL TONER BROTHER Tinta epson 003','SERBUK REFIL TONER BROTHER Tinta epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5693,'47611310','Belanja Makanan dan Minuman Rapat','31.020.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','kue kotak nasi kotak biasa','kue kotak nasi kotak bia','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5694,'47614242','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.084.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Banner 280 gsm Block note A5 Bolpoint Fotocopy Penggaris mika 40 cm','Banner 280 gsm Block note A5 Bolpoint Fotocopy Penggaris mika 40 cm','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5695,'47614774','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'10 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5696,'47615441','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','725.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 buah','Tinta Printer HP deskjet psc 1315 c9321Fn Black','Tinta Printer HP deskjet psc 1315 c9321Fn Black','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5697,'47615831','Belanja Makanan dan Minuman Rapat','8.930.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'190 orang / kegiatan','kue kotak nasi kotak biasa','kue kotak nasi kotak bias','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:58:39.602','bondowoso'),
(5698,'47621669','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','420.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Fotocopy Plakband kraf 1 inch','Fotocopy Plakband kraf 1 inch','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5699,'47624678','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5700,'47625685','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'150 orang / kegiatan','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5701,'47630656','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','172.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Fotokopi paper clip triangel kecil','Fotokopi paper clip triangel kecil','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5702,'47631416','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'12 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5703,'47633138','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'150 orang / kegiatan','kue kotak nasi kotak biasa','kue kotak nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5704,'47636327','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','57.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Buku block note reportad A5 Fotocopy','Buku block note reportad A5 Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 10:16:06.052','bondowoso'),
(5705,'47657395','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.704.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder clip no.200 bolpoint correction ke 103 Fotokopi Stabilo hotliner stapler no.T3-10MB','Binder clip no.200 bolpoint correction ke 103 Fotokopi Stabilo hotliner stapler no.T3-10MB','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5706,'47658099','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'20 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5707,'47660285','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','211.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'704 lembar','Fotocopy','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5708,'47664359','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'20 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5709,'47667363','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.492.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'8 buah','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5710,'47731858','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','243.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'811 lembar','Fotocopy','Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5711,'47731989','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'15 rim','Kertas A4 70 Gr Kertas HVS F4 70 gram','Kertas A4 70 Gr Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5712,'47732088','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','373.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'2 buah','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5713,'47732477','Belanja Makanan dan Minuman Rapat','660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'22 orang/paket/pekerjaan','nasi kotak biasa','nasi kotak biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5714,'47747022','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1760 lembar','Fotokopi','Fotokopi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5715,'47748099','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'15 rim','Kertas HVS F4 70gram','Kertas HVS F4 70gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5716,'47750126','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','189.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Bolpoint Fotocopy','Bolpoint Fotocopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5717,'47750694','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.592.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'40 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-16 11:06:15.338','bondowoso'),
(5718,'47754377','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder 105 ukuran 15, 1/2 inch Fotocopy Ordner Besar','Binder 105 ukuran 15, 1/2 inch Fotocopy Ordner Besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5719,'47755510','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.555.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'24 rim','Kertas hvs F4 70 gram','Kertas hvs F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5720,'47756598','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'3 buah','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5721,'47762209','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.263.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Bolpoint fotokopi paper clip no.1 (kecil) Stopmap','Bolpoint fotokopi paper clip no.1 (kecil) Stopmap','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5722,'47871044','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.736.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'20 rim','Kertas HVS F4 70 gram Kertas A4 70 Gr','Kertas HVS F4 70 gram Kertas A4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5723,'47879148','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','778.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'1 Paket','Binder 105 ukuran 15 Mm, 1/2 inch Bolpoint Buku buku folio 100 lbr Ordner besar','Binder 105 ukuran 15 Mm, 1/2 inch Bolpoint Buku buku folio 100 lbr Ordner besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5724,'47879910','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.101.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'17 rim','Kertas HVS F4 70 gram','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5725,'47885890','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.119.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Bondowoso',2024,'6 buah','Tinta Epson 003','Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-17 09:44:23.282','bondowoso'),
(5726,'47479050','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:29:53.165','botolinggo'),
(5727,'47479564','Alat Tulis Kantor','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'10000 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:42:49.566','botolinggo'),
(5728,'47480114','Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1000 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:42:49.566','botolinggo'),
(5729,'47481836','Alat Tulis Kantor','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'5000 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:30:00.175','botolinggo'),
(5730,'47482233','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik;','Lampu Hemat Listrik ,Essential Type 82/86, 18 W; Lampu ,C 7.5 Warna; Stop Kontak Stop Kontak+Saklar+Kabel Uticon;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 01:07:47.869','botolinggo'),
(5731,'47482521','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','3.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu lidi; Sapu Ijuk Miring; Kain pel; Kapur barus Toilet; pengharum ruangan; Sponge Polytex; Sabun cuci tangan Lifebuoy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 01:09:05.034','botolinggo'),
(5732,'47483388','Alat Tulis Kantor','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'5000 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:31:34.643','botolinggo'),
(5733,'47483974','Beban Tagihan Listrik','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'50 Kali','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:40:09.785','botolinggo'),
(5734,'47485225','Suku Cadang Alat Angkutan','9.219.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Set','Suku Cadang Alat Angkutan;','Terios Kampas Rem Belakang;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:36:02.012','botolinggo'),
(5735,'47485227','Belanja Bahan-Bahan Bakar dan Pelumas','20.491.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Pertamax;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:36:02.012','botolinggo'),
(5736,'47485229','Alat Tulis Kantor','288.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'963 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:36:02.012','botolinggo'),
(5737,'47508302','Belanja Makanan dan Minuman Rapat','18.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak Biasa, Makan dan minum Rapat; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:14:58.3','botolinggo'),
(5738,'47508412','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','60.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map Bahan Transparan; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:15:48.621','botolinggo'),
(5739,'47508413','Belanja Makanan dan Minuman Rapat','13.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak Biasa, Makan dan minum Rapat;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:15:48.621','botolinggo'),
(5740,'47508414','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:15:48.621','botolinggo'),
(5741,'47508652','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','416.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:19:35.272','botolinggo'),
(5742,'47508653','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Tidak','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:19:35.272','botolinggo'),
(5743,'47508654','Bahan Komputer','636.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'5 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:19:35.272','botolinggo'),
(5744,'47508972','Alat Tulis Kantor','960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'3840 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:18:30.459','botolinggo'),
(5745,'47508973','Belanja Makanan dan Minuman Rapat','5.640.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:18:30.459','botolinggo'),
(5746,'47509169','Alat Tulis Kantor','1.228.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'4912 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:59:44.491','botolinggo'),
(5747,'47509170','Bahan Komputer','636.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'5 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:59:44.491','botolinggo'),
(5748,'47509171','Belanja Makanan dan Minuman Rapat','5.640.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:59:44.491','botolinggo'),
(5749,'47509172','Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'20 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 22:59:44.491','botolinggo'),
(5750,'47509296','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','386.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:02:37.83','botolinggo'),
(5751,'47509297','Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'20 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:02:37.83','botolinggo'),
(5752,'47509299','Belanja Makanan dan Minuman Rapat','10.340.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:02:37.83','botolinggo'),
(5753,'47509555','Beban Makanan dan Minuman Rapat','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'50 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:01:50.218','botolinggo'),
(5754,'47509630','Beban Makanan dan Minuman Rapat','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'100 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:03:42.838','botolinggo'),
(5755,'47509766','Beban Makanan dan Minuman Rapat','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'50 Dos','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:03:42.838','botolinggo'),
(5756,'47509767','Beban Perjalanan Dinas Biasa','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'15 Orang / Kali','Beban Perjalanan Dinas Biasa;','Beban Perjalanan Dinas Biasa;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:03:42.838','botolinggo'),
(5757,'47509929','Beban Makanan dan Minuman Rapat','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'100 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:03:42.838','botolinggo'),
(5758,'47509976','Beban Makanan dan Minuman Rapat','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'100 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:03:42.838','botolinggo'),
(5759,'47510094','Alat Tulis Kantor','40.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'134 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:07:55.672','botolinggo'),
(5760,'47510095','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:07:55.672','botolinggo'),
(5761,'47510206','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','131.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Buku Tulis Agenda; Fotocopy; Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:07:23.5','botolinggo'),
(5762,'47510207','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:07:23.5','botolinggo'),
(5763,'47510208','Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'8 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 00:07:23.5','botolinggo'),
(5764,'47510293','Beban Makanan dan Minuman Rapat','10.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'350 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:10:48.328','botolinggo'),
(5765,'47510454','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','568.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Hotliner; Fotocopy; Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:11:31.786','botolinggo'),
(5766,'47510455','Kertas dan Cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'25 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:11:31.786','botolinggo'),
(5767,'47510456','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:11:31.786','botolinggo'),
(5768,'47510545','Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:12:01.982','botolinggo'),
(5769,'47510666','Beban Makanan dan Minuman Rapat','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'100 Dus','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:14:57.604','botolinggo'),
(5770,'47510751','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','165.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Reffill Tinta White Board Biru; Fotocopy; Fotocopy;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:15:29.365','botolinggo'),
(5771,'47510752','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:15:29.365','botolinggo'),
(5772,'47510753','Bahan Komputer','1.272.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'10 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:15:29.365','botolinggo'),
(5773,'47510754','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Botolinggo',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:15:29.365','botolinggo'),
(5774,'47395637','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.917.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5775,'47395638','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.082.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5776,'47395755','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5777,'47395757','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5778,'47395883','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5779,'47395884','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5780,'47395966','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5781,'47395969','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5782,'47396003','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5783,'47396004','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5784,'47396059','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5785,'47396060','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5786,'47396125','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5787,'47396126','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5788,'47396378','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5789,'47396380','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5790,'47396442','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5791,'47396443','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5792,'47396501','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5793,'47396502','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5794,'47396558','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5795,'47396559','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5796,'47396612','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','767.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Hang Map Gema/Folio; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5797,'47396613','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5798,'47396755','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.488.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Odner Besar (forte); Snelhecter Map; Stop Map Kertas Biasa; Stapler No. T3-10Mb; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5799,'47396756','Belanja Makanan dan Minuman Rapat','2.820.000','Penunjukan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5800,'47396807','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:48:39.217','cermee'),
(5801,'47397178','Belanja Tagihan Listrik','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5802,'47397179','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja kawat/Faximile/Internet/TV Berlangganan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5803,'47397380','Belanja Bahan-Bahan Bakar dan Pelumas','46.293.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5804,'47397719','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.764.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5805,'47397720','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.512.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5806,'47397721','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.710.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; map snelhecter plastik; Odner Besar (forte); Map kertas; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5807,'47397722','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5808,'47397851','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5809,'47397852','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.360.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Odner Besar (forte); Fotocopy; map snelhecter plastik; Map kertas; Isi Steples Kecil No 10; Isi Steples Besar No 3; Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5810,'47397853','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8.698.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5811,'47397854','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.512.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5812,'47398011','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','12.705.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5813,'47398012','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5814,'47398013','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.621.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Tinta Stempel Kecil; map snelhecter plastik; Fotocopy; Stam Pad (Bantalan); Spidol Hitam Boardmarker; Stabilo Faber Castle; Map kertas; Isi Steples Kecil No 10; Isi Steples Besar No 3; Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5815,'47398014','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.512.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5816,'47398114','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.208.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Brief Odner; Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5817,'47398115','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8.781.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5818,'47398116','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5819,'47398117','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10.662.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson; Refile Ink Deskjet 51645A; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5820,'47398343','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.791.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Fotocopy; Map kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5821,'47398344','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5822,'47398345','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.708.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5823,'47398450','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5824,'47398451','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.187.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Spidol Kecil; Bolpoint; map snelhecter plastik; Map kertas; Fotocopy; Brief Odner; Spidol Hitam Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5825,'47398452','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','9.266.300','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Refile Ink Deskjet 51645A; Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5826,'47398454','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','17.346.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Amplop Coklat F4 , tali, glossy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5827,'47398612','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.451.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Map kertas; Fotocopy; Brief Odner; PlakBand Hitam 2 Inch; Spidol Hitam Boardmarker; Lem Besar; Lem Kecil; Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5828,'47398613','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.249.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Tebal ( Tali ) 30 X 40; Amplop Dinas Bh. Casing Uk. 12 x 28 cm; kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5829,'47398614','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5830,'47398615','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.199.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Refile Ink Deskjet Bc 20; Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5831,'47398757','Alat Tulis Kantor','228.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'762 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5832,'47398759','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.481.400','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5833,'47398761','Belanja Makanan dan Minuman Rapat','3.290.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5834,'47398929','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.290.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Snelhecter Map Jenis Kertas; Fotocopy; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5835,'47398930','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.867.100','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Amplop Dinas Bh. Casing Uk. 12 x 28 cm; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5836,'47398931','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.544.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5837,'47398932','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5838,'47399026','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','415.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 1 (Kecil); Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5839,'47399027','Belanja Makanan dan Minuman Rapat','2.585.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5840,'47399127','Alat Tulis Kantor','228.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'762 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5841,'47399128','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.481.400','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5842,'47399129','Belanja Makanan dan Minuman Rapat','3.290.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5843,'47399202','Alat Tulis Kantor','228.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'762 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5844,'47399203','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.481.400','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5845,'47399204','Belanja Makanan dan Minuman Rapat','3.290.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5846,'47399274','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','215.300','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5847,'47399275','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.084.700','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Bh. Kertas 150 Grm Amplop Dinas Bh. Casing Uk. 12 X 28 Cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5848,'47399277','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5849,'47399457','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.616.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Odner Besar (forte); Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5850,'47399458','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.932.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5851,'47399459','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.088.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5852,'47399460','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5853,'47399537','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.639.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy; Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5854,'47399538','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.849.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas Bh. Casing Uk. 12 x 28 cm; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5855,'47399539','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.512.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 001 Warna; Tinta Epson 001 Hitan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5856,'47399540','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5857,'47399590','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5858,'47399737','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.533.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Permanen; Paper Clip Warna; Stopmap Kertas; Snelhecter Map Jenis Kertas; Fotocopy; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5859,'47399738','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.165.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5860,'47399739','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.632.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5861,'47399740','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5862,'47399802','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.899.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Snelhecter Map Jenis Kertas; Fotocopy; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5863,'47399803','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.872.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5864,'47399804','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','7.632.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5865,'47399806','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5866,'47399955','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','54.200','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Besar; Fotocopy; map snell plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5867,'47399958','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5868,'47399960','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5869,'47400099','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.451.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Snelhecter Map; Fotocopy; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5870,'47400100','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.261.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo Berbagai Warna; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5871,'47400101','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5872,'47400224','Alat Tulis Kantor','250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'100 Buah','Alat Tulis Kantor;','Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5873,'47400225','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5874,'47400395','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.688.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Spidol Kecil; Bolpoint; Spidol Permanen; Odner Besar (forte); Stopmap Kertas; Map snell plastik; Snelhecter Map Jenis Kertas; Penggaris Mika 30 Cm; Stapler No. 3; Stapler Hd 10; Belanja banner 280 gsm; Fotocopy; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 08:15:21.776','cermee'),
(5875,'47400396','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.895.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Coklat samson B; Amplop Dinas 150 Gsm Bahan Cassing Uk 12 X 28; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5876,'47400397','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','21.617.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Brother; Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam; Mouse Logitech, Presenter 2.4Ghz; Catridge Warna; Catridge Hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5877,'47400399','Belanja Makanan dan Minuman Rapat','18.800.000','Penunjukan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5878,'47417157','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','54.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Amplop Craff 17; Faximile Paper ukuran 210 x 30 mm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5879,'47417158','Belanja Modal Mebel','10.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Mebel;','kursi kerja;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5880,'47417159','Belanja Modal Personal Computer','39.850.400','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Personal Computer; Personal Computer; Personal Computer;','laptop; Laptop / Note Book Z500-4749 Core I7 3632Qm 2.2Ghz, 4Gb Ddr3, 1Tb, Dvdrw, Wifi, Bluetooth, Nvidia Geforce Gt740M 2Gb, Camera, Card Reader, 15.6Ã¢â‚¬Â Wxga, Dos; Komputer P.C;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 07:55:39.392','cermee'),
(5881,'47417160','Belanja Modal Peralatan Personal Computer','11.495.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Cermee',2024,'1 Paket','Peralatan Personal Computer; Peralatan Personal Computer;','Printer L3250 Putih Wifi Multifunction ( Print Scan Copy ) - I3256; Printer Mfp Inkjet Officejet Pro K550;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 19:14:55.309','cermee'),
(5882,'46920764','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','960.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5883,'46920920','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','357.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5884,'46921035','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5885,'46921493','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','751.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5886,'46921654','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','486.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5887,'46921866','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','737.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5888,'46922314','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','910.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5889,'46922460','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','621.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5890,'46922587','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','317.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5891,'46922884','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','632.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5892,'46923028','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','422.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5893,'46923164','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5894,'46924069','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','748.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5895,'46924149','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','442.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5896,'46924223','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5897,'46924571','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','998.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5898,'46924641','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','536.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5899,'46924699','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','340.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5900,'46924913','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','955.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5901,'46924975','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','357.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5902,'46925044','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5903,'46925320','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','575.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5904,'46925388','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','512.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5905,'46925449','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5906,'46926186','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','172.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5907,'46926280','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','568.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5908,'46926358','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5909,'46926488','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','288.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5910,'46926571','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','348.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:51:31.386','curahdami'),
(5911,'46926632','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5912,'46926744','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','552.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5913,'46926786','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','534.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5914,'46926878','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5915,'46927006','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','642.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5916,'46927134','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','677.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5917,'46927178','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5918,'46927244','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','880.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5919,'46927482','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','577.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5920,'46927571','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','392.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5921,'46927697','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','772.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5922,'46927779','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','579.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5923,'46927830','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5924,'46927941','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','905.100','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5925,'46927967','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','447.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5926,'46927989','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5927,'46928138','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','815.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5928,'46928218','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','512.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5929,'46928261','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','472.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5930,'46928353','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.325.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5931,'46928400','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','292.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'5 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5932,'46928427','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5933,'46928504','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.797.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5934,'46928541','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.287.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5935,'46928613','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5936,'46928677','Belanja Makanan dan Minuman Rapat','61.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5937,'46928962','Belanja Tagihan Air','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Tahun','Belanja Tagihan Air','Belanja Tagihan Air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5938,'46929012','Belanja Tagihan Listrik','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'12 Bulan','Belanja Tagihan Listrik','Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5939,'46929032','Belanja Kawat/Faksimili/Internet/TV Berlangganan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'12 Bulan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5940,'46929233','Belanja Bahan-Bahan Bakar dan Pelumas','41.780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5941,'46929550','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.856.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5942,'46929588','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','863.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5943,'46929633','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5944,'46929717','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5945,'46929926','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','743.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5946,'46929984','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','668.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5947,'46930091','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5948,'46930186','Belanja Makanan dan Minuman Rapat','12.925.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5949,'46930353','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.495.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5950,'46930465','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','915.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5951,'46930537','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5952,'46930610','Belanja Makanan dan Minuman Rapat','10.575.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5953,'46930798','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','14.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5954,'46930915','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','305.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5955,'46931003','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5956,'46931045','Belanja Makanan dan Minuman Rapat','12.925.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5957,'46931185','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','802.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5958,'46931268','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','733.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5959,'46931315','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5960,'46931357','Belanja Makanan dan Minuman Rapat','19.975.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5961,'46931478','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.069.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5962,'46931543','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','607.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5963,'46931631','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5964,'46931675','Belanja Makanan dan Minuman Rapat','12.925.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5965,'46931753','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'100 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5966,'46931784','Belanja Makanan dan Minuman Rapat','23.970.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5967,'46932073','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','459.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5968,'46932150','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','58.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5969,'46932206','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5970,'46932262','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5971,'46932448','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','650.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5972,'46932489','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','117.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5973,'46932527','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5974,'46932605','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5975,'46932713','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','109.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5976,'46932749','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','58.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5977,'46932804','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5978,'46932866','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5979,'46932985','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5980,'46933052','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5981,'46933170','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','678.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5982,'46933208','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','181.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5983,'46933289','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5984,'46933335','Belanja Makanan dan Minuman Rapat','5.875.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5985,'46933443','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','679.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5986,'46933488','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','175.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5987,'46933521','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5988,'46933562','Belanja Makanan dan Minuman Rapat','11.280.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5989,'46933835','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','72.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5990,'46933859','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','58.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5991,'46933908','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5992,'46933919','Belanja Makanan dan Minuman Rapat','17.625.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5993,'46934371','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','932.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5994,'46934415','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','270.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5995,'46934457','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5996,'46934500','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5997,'46934839','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','160.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5998,'46934864','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','117.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(5999,'46934934','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6000,'46934955','Belanja Makanan dan Minuman Rapat','26.790.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6001,'46935721','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','257.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6002,'46935757','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','123.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6003,'46935812','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6004,'46935841','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6005,'46935972','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6006,'46936235','Belanja Makanan dan Minuman Rapat','18.095.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6007,'46936298','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','76.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6008,'46936317','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','486.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6009,'46936334','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6010,'46936351','Belanja Makanan dan Minuman Rapat','24.910.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Curahdami',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 23:49:54.392','curahdami'),
(6011,'46766152','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','585.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6012,'46766461','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','664.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6013,'46766774','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','70.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6014,'46766970','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6015,'46767446','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','620.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6016,'46767787','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6017,'46768516','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','279.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6018,'46768785','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','220.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6019,'46769231','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','154.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6020,'46769441','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6021,'46769703','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','65.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6022,'46770520','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','139.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6023,'46770829','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6024,'46771122','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','65.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6025,'46771587','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','370.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6026,'46771776','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6027,'46772478','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6028,'46772901','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','896.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6029,'46773058','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.820.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6030,'46773255','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.349.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6031,'46773474','Belanja Makanan dan Minuman Rapat','20.680.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6032,'46774279','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6033,'46776303','Belanja Modal Alat Pendingin','4.927.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Unit','Belanja Modal Alat Pendingin','Belanja Modal Alat Pendingin','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6034,'46776991','Belanja Tagihan Listrik','6.778.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'6300 Kwh','Belanja Tagihan Listrik','Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6035,'46777197','Belanja Kawat/Faksimili/Internet/TV Berlangganan','7.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Tahun','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6036,'46781060','Belanja Bahan-Bahan Bakar dan Pelumas','8.980.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:14:44.104','grujugan'),
(6037,'46781414','Belanja Suku Cadang-Suku Cadang Alat Angkutan','81.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Pcs','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6038,'46781685','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6039,'46782771','Belanja Modal Bangunan Gedung Kantor','50.001.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Modal Bangunan Gedung Kantor','Belanja Modal Bangunan Gedung Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6040,'46782984','Belanja Modal Pagar','24.685.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Modal Pagar','Belanja Modal Pagar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6041,'46783298','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','940.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6042,'46783387','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6043,'46783625','Belanja Makanan dan Minuman Rapat','13.865.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6044,'46783854','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','758.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6045,'46783907','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'8 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6046,'46783985','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','262.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6047,'46784200','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6048,'46788160','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','645.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6049,'46788172','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6050,'46788218','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6051,'46788237','Belanja Makanan dan Minuman Rapat','6.110.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6052,'46788322','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.558.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6053,'46788344','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','978.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6054,'46788356','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','262.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6055,'46788381','Belanja Makanan dan Minuman Rapat','7.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6056,'46788490','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.422.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6057,'46788520','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','984.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6058,'46788566','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','423.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'8 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6059,'46788603','Belanja Makanan dan Minuman Rapat','24.440.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6060,'46788683','Belanja Modal Alat Kantor Lainnya','8.480.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Unit','Belanja Modal Alat Kantor Lainnya','Belanja Modal Alat Kantor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6061,'46788789','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','575.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6062,'46788840','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6063,'46788895','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:19:42.977','grujugan'),
(6064,'46790961','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','405.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6065,'46791038','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6066,'46791087','Belanja Makanan dan Minuman Rapat','4.465.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6067,'46791184','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','998.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6068,'46791240','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'8 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6069,'46791297','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','262.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:18:16.442','grujugan'),
(6070,'46791364','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6071,'46791656','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','283.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6072,'46791749','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6073,'46791824','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','211.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6074,'46791945','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6075,'46792009','Belanja Modal Personal Computer','15.195.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Unit','Belanja Modal Personal Computer','Belanja Modal Personal Computer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6076,'46792159','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.915.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6077,'46792267','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','777.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'12 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6078,'46792300','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','317.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'6 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6079,'46792444','Belanja Makanan dan Minuman Rapat','44.650.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6080,'46792583','Belanja Makanan dan Minuman Rapat','1.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'60 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6081,'46793087','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','705.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2352 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6082,'46793137','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6083,'46793275','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','282.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6084,'46793312','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6085,'46793365','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','52.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6086,'46793434','Belanja Makanan dan Minuman Rapat','2.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'70 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6087,'46793534','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','199.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'666 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6088,'46793568','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6089,'46793640','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6090,'46793839','Belanja Makanan dan Minuman Rapat','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'150 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6091,'46794260','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','199.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'666 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6092,'46794291','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6093,'46794327','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6094,'46794359','Belanja Makanan dan Minuman Rapat','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'150 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6095,'46794406','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','199.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'666 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6096,'46794435','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6097,'46794469','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6098,'46794494','Belanja Makanan dan Minuman Rapat','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'150 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6099,'46794535','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','199.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'666 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6100,'46794574','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'3 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6101,'46794605','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6102,'46794641','Belanja Makanan dan Minuman Rapat','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'150 Per Kotak','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6103,'46794699','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','898.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6104,'46794715','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'6 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6105,'46794741','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','211.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6106,'46794778','Belanja Makanan dan Minuman Rapat','26.320.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6107,'46794897','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','337.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1125 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6108,'46795851','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6109,'46795864','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','52.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6110,'46795886','Belanja Makanan dan Minuman Rapat','5.640.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6111,'46831699','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','465.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6112,'46831890','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6113,'46832091','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6114,'46832285','Belanja Makanan dan Minuman Rapat','10.810.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6115,'46833298','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.504.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6116,'46833536','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'6 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6117,'46833800','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','264.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'5 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6118,'46834434','Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6119,'46835621','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','896.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6120,'46836090','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6121,'46836390','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','264.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'5 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6122,'46836663','Belanja Makanan dan Minuman Rapat','19.740.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6123,'46837696','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','365.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6124,'46837927','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6125,'46838303','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6126,'46838658','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6127,'46840379','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','600.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6128,'46840783','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6129,'46841274','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6130,'46842352','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','114.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'382 Lembar','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6131,'46842632','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6132,'46843012','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','105.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'2 Buah','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6133,'46843261','Belanja Makanan dan Minuman Rapat','10.810.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6134,'46849421','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.399.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6135,'46849708','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'4 Rim','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6136,'46850046','Belanja Makanan dan Minuman Rapat','36.660.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Grujugan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-04 16:17:05.238','grujugan'),
(6137,'47015862','Belanja Tagihan Listrik','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6138,'47085624','Penyusunan Dokumen Perencanaan Perangkat Daerah','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer;','Paper Clip Katana; Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; Map snell plastik; Snelhecter Map; Snelhecter Map Bahan Transparan; Stopmap Kertas Panda; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6139,'47085660','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen RKA-SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip Katana; Kertas HVS A4 70 Gr; Paper Clip Katana; Map snell plastik; Kertas HVS A4 70 Gr; Map kertas; Snelhecter Map; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6140,'47085701','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen Perubahan RKA-SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; Map kertas; Fotocopy; Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; kertas HVS F4 70 gram; Tinta printer Kuning Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6141,'47085721','Belanja Alat/Bahan untuk Kegiatan Kanto (Koordinasi dan Penyusunan DPA-SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor;','Paper Clip Katana; Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; Map snell plastik; Map kertas; Odner Besar; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta printer Hitam Epson; Isi Staples Besar No. 23;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6142,'47085745','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Perubahan DPA- SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer;','Paper Clip Katana; Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; Map snell plastik; Map kertas; Odner Besar; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6143,'47085756','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Capaian Kinerja dan Ikhtisar Realisasi Kinerja SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer;','Paper Clip Katana; Kertas HVS A4 70 Gr; Tinta printer Hitam Epson; Paper Clip Katana; Map snell plastik; Map kertas; Odner Besar; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6144,'47085810','Belanja Alat/Bahan untuk Kegiatan Kantor (Evaluasi Kinerja Perangkat Daerah)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip Katana; Kertas HVS A4 70 Gr; Paper Clip Katana; Map snell plastik; Odner Besar; Snelhecter Map Bahan Transparan; Lem Super Glu; Kertas HVS A4 70 Gr; Map kertas; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6145,'47085909','Belanja Alat/Bahan untuk Kegiatan Kantor (Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Snelhecter Map; Stapler Hd 10 Kecil; Paper Clip No. 1 (Kecil); Stop Map Kertas Biasa; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6146,'47085953','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Pelaksanaan Akuntansi SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6147,'47085964','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; kertas HVS F4 70 gram; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6148,'47085980','Belanja Alat/Bahan untuk Kegiatan Kantor (Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6149,'47085995','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Snelhecter Map; Stop Map Kertas Biasa; Plester kertas/paper tape; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6150,'47086316','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil); Snelhecter Map; Stopmap Kertas Panda; Map Dokumen Map Folio Spring File Interx; Ordner Karton Folio 7 Cm Bantex; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6151,'47086382','Belanja Alat/Bahan untuk Kegiatan Kantor (Pendataan dan Pengolahan Administrasi Kepegawaian)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; kertas HVS F4 70 gram; Paper Clip No. 1 (Kecil);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6152,'47086400','Belanja Alat/Bahan untuk Kegiatan Kantor (Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor;','kertas HVS F4 70 gram; Bolpoint; Odner Sedang; Isi Staples Besar No. 23; Fotocopy; Cellotape 3M Double Foam Tape 18 X 5M; kertas HVS F4 70 gram; Bolpoint; Binder Clip No. 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6153,'47086446','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','3.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel Skun/Crom Sc Jgk-16(4.800 Pcs/Crtn); Lampu Son T 70 W; Lampu Dop 14 WATT; Lampu Neon Tl ,40 W;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6154,'47086466','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu lidi; Sapu Clavis; Sikat WC; Sikat Kamar mandi; Canebo; Karet Pel Gagang Kayu; bahan pembersih kaca; Cairan Pembersih Lantai; Pembersih lantai; Isi ulang pewangi ruangan; Plastik Sampah non Medis; Tempat Sampah; Cikrak Sampah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6155,'47086493','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','387.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 3; map snelhecter plastik; Stop Map Kertas Biasa; Fotocopy; Map Plastik L Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6156,'47086494','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.908.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6157,'47086495','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.855.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6158,'47086496','Belanja Makanan dan Minuman Rapat','25.850.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6159,'47086522','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.474.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6160,'47086604','Belanja Modal Personal Computer','24.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Personal Computer;','Komputer P.C;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6161,'47086605','Belanja Modal Peralatan Personal Computer','6.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Peralatan Personal Computer;','Printer Epson All in One;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6162,'47086770','Belanja Bahan-Bahan Bakar dan Pelumas','36.579.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli STP; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6163,'47086771','Belanja Suku Cadang-Suku Cadang Alat Angkutan','9.248.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Thunder 125 Rantai Roda; Ban Kendaraan Roda 4 uk 205/65 R16 95h; Pergantian Ban Honda Win; Xeon 125 Busi; Vega R New Bohlam Lampu Belakang; Vega R New Bohlam Lampu Belakang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6164,'47086826','Belanja Bahan-Bahan Bangunan dan Konstruksi','9.462.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Semen Gresik Tertinggi; Cat kayu/besi; Thinner; Kayu reng; Eternit; paku eternit; Cat tembok; talang karet 110 cm; Kuas Cat; Plamir Tembok; Grendel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6165,'47086827','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.875.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang Cat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6166,'47086855','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.225.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip; map snelhecter plastik; Odner Besar; Snelhecter Map; Stopmap Kertas Panda; Stop Map Kertas Biasa; Lem Cair 112; Staples Besar no 50; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6167,'47086856','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6168,'47086857','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','650.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6169,'47086858','Belanja Makanan dan Minuman Rapat','16.920.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6170,'47086942','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; map snelhecter plastik; Map Gantung, bahan karton; Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6171,'47086943','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6172,'47086944','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:22:55.035','ijen'),
(6173,'47086963','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.200','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Snelhecter Map; Stopmap Kertas Panda; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6174,'47086964','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6175,'47086965','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6176,'47087044','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','390.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6177,'47087045','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6178,'47087046','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:22:55.035','ijen'),
(6179,'47087139','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.243.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Merah Muda; map snelhecter plastik; Map snell plastik; Stop Map Kertas Biasa; Isi Steples Kecil No 10; banner biasa; Lem Cair Sedang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6180,'47087140','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6181,'47087141','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.045.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6643; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6182,'47087142','Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:22:55.035','ijen'),
(6183,'47087194','Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','842.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Paper Clip No. 3; Kertas HVS A4 70 Gr; Paper Clip No. 3; map snelhecter plastik; Snelhecter Map; Stopmap Kertas Panda; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6184,'47087281','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.200','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; Binder 105 Ukuran 15 Mm, 1/2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6185,'47087282','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6186,'47087283','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:22:55.035','ijen'),
(6187,'47087688','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','180.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Stop Map Kertas Biasa; Hang Map Diamond; Map kertas F4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6188,'47087689','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6189,'47087711','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','115.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Binder Clip No. 107; Map kertas F4; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6190,'47087712','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6191,'47087713','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:22:55.035','ijen'),
(6192,'47087743','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','520.400','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Snelhecter Map Bahan Transparan; Stop Map Kertas Biasa; Map Kancing Punggung Interx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6193,'47087744','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6194,'47087746','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6195,'47087812','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.760.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Merah Muda; Snelhecter Map Bahan Transparan; Stopmap Kertas Panda; Stop Map Kertas Biasa; banner biasa; Brief Odner; PlakBand Kraf 1 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6196,'47087813','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.849.500','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6197,'47087814','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.300.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson; Tinta printer Merah Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6198,'47087815','Belanja Makanan dan Minuman Rapat','52.640.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6199,'47087859','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','389.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Map Dokumen Map Folio Spring File Interx; Map Seagull Jepit; Brief Odner; isi stappler No. 10; Map kertas F4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6200,'47087862','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.791.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6201,'47087863','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','520.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6202,'47087864','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6203,'47087901','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.900.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Merah Muda; Paper Clip warna; Odner Besar (forte); Stopmap Kertas Panda; Stop Map Kertas Biasa; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6204,'47087902','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.350.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6205,'47087903','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6206,'47087904','Belanja Makanan dan Minuman Rapat','32.900.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6207,'47088040','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.807.300','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Bolpoint; Paper Clip Cadwell No. 5 (Jumbo); Paper Clip No. 1 (Kecil); map snelhecter plastik; Odner Besar (forte); Snelhecter Map; Stop Map Kertas Biasa; Map Kancing Interx; Stapler Hd 10 D; Isi Staples Besar No. 23; Fotocopy; banner biasa; Binder Clip No. 200; Binder Clip no 200; Brief Odner ukuran f4; Tinta stempel; Block Note A4; isi stappler No. 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6208,'47088042','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.690.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6209,'47088043','Belanja Makanan dan Minuman Rapat','28.200.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6210,'47088044','Belanja Makanan dan Minuman Jamuan Tamu','14.400.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Kue Prasmanan VIP, Makan dan minum Rapat; Prasmanan Biasa, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6211,'47088045','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6212,'47088137','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.122.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip Jumbo 5; Paper Clip No. 1 (Kecil); map snelhecter plastik; Odner Kecil; Snelhecter Map; Snelhecter Map; Stop Map Kertas Biasa; Map Dokumen Map Tali Punggung Interx; Fotocopy; banner biasa; Stam Pad (Bantalan); Binder Clip no 200; isi stappler No. 10; Map kertas F4; Tinta stempel Ungu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6213,'47088138','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6214,'47088139','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.080.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6215,'47088141','Belanja Makanan dan Minuman Rapat','28.200.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6216,'47088182','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','403.400','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip Katana; Snelhecter Map; Stopmap Kertas V Tec, Biola; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6217,'47088183','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','246.600','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6218,'47088184','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6219,'47088283','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','95.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Snelhecter Map; Snelhecter Map; Stop Map Map Diamond; Fotocopy; Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6220,'47088285','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6221,'47088286','Belanja Makanan dan Minuman Rapat','1.880.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6222,'47088301','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','326.600','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6223,'47088385','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.503.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 3; map snelhecter plastik; Map kertas; Snelhecter Map; Snelhecter Map; Stop Map Kertas Biasa; Ordner Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 08:31:05.742','ijen'),
(6224,'47088387','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','654.400','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Buffalo Kertas Buffalo Larison merah/pink; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 11:12:43.254','ijen'),
(6225,'47088388','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6226,'47088389','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 10:49:06.519','ijen'),
(6227,'48238185','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.173.900','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip 1; Paper Clip No. 1 (Kecil); Correction; Odner Besar; Snelhecter Map; Stopmap Kertas Panda; Lem Tanggung;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 21:34:46.558','ijen'),
(6228,'48238186','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.333.400','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 21:34:46.558','ijen'),
(6229,'48238187','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','780.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 21:34:46.558','ijen'),
(6230,'48238188','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 21:34:46.558','ijen'),
(6231,'48238350','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','50.400','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 22:01:10.541','ijen'),
(6232,'48238351','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 22:01:10.541','ijen'),
(6233,'48238352','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 22:01:10.541','ijen'),
(6234,'48238689','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.759.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Map snell plastik; Map kertas; Snelhecter Map; Stopmap Kertas Panda; Lem Super Glu; Lem Tanggung; Isi Staples Besar No. 23; Paper Clip Katana; Odner Besar; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 22:01:10.541','ijen'),
(6235,'48238690','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','246.600','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 22:01:10.541','ijen'),
(6236,'48238691','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','360.400','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson 003 warna hitam; Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 22:01:10.541','ijen'),
(6237,'48238692','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Ijen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 22:01:10.541','ijen'),
(6238,'47376748','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.004.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Ordner Besar; lakban besar hitam; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:28:42.88','jambesari'),
(6239,'47376749','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','571.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:28:42.88','jambesari'),
(6240,'47376750','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:28:42.88','jambesari'),
(6241,'47379968','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.004.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Ordner Besar; lakban besar hitam; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:38:45.475','jambesari'),
(6242,'47379969','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','571.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:38:45.475','jambesari'),
(6243,'47379970','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:38:45.475','jambesari'),
(6244,'47380065','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','571.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Cover Mika F4, bening;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:39:09.0','jambesari'),
(6245,'47380066','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:39:09.0','jambesari'),
(6246,'47380067','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.004.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Ordner Besar; lakban besar hitam; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 09:39:09.0','jambesari'),
(6247,'47380159','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Stopmap Kertas Panda; Ordner Kecil; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:02.067','jambesari'),
(6248,'47380160','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:02.067','jambesari'),
(6249,'47380162','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:02.067','jambesari'),
(6250,'47381797','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Gunting; Pensil Staedtler 2B; Spidol Marker; Stopmap Kertas Panda; Ordner Besar; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:34.862','jambesari'),
(6251,'47381798','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','731.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:34.862','jambesari'),
(6252,'47382071','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Marker; Stopmap Kertas Panda; Ordner Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:57.22','jambesari'),
(6253,'47382072','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:57.22','jambesari'),
(6254,'47382073','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:10:57.22','jambesari'),
(6255,'47382199','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Ordner Besar; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:11:25.141','jambesari'),
(6256,'47382202','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','731.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:11:25.141','jambesari'),
(6257,'47383730','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:12:33.055','jambesari'),
(6258,'47383731','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:12:33.055','jambesari'),
(6259,'47383732','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:12:33.055','jambesari'),
(6260,'47383804','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Isi Steples Kecil No 10; Pensil Staedtler 2B; Bolpoint; Stopmap Kertas Panda; Ordner Besar; Lem Cair 50 Ml; Stapler Hd 10 Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:13:42.384','jambesari'),
(6261,'47383805','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','731.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:13:42.384','jambesari'),
(6262,'47384031','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.004.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Ordner Besar; lakban besar hitam; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:13.959','jambesari'),
(6263,'47384032','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','571.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:13.959','jambesari'),
(6264,'47384033','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:13.959','jambesari'),
(6265,'47384170','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Spidol Marker; Bolpoint; Ordner Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:37.843','jambesari'),
(6266,'47384171','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:37.843','jambesari'),
(6267,'47384172','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:14:37.843','jambesari'),
(6268,'47384898','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Besar; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:04.247','jambesari'),
(6269,'47384900','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','731.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:04.247','jambesari'),
(6270,'47385077','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.004.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Ordner Besar; lakban besar hitam; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:36.085','jambesari'),
(6271,'47385078','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','571.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:36.085','jambesari'),
(6272,'47385079','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:36.085','jambesari'),
(6273,'47385700','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Dikecualikan','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:16:13.231','jambesari'),
(6274,'47385701','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:16:13.231','jambesari'),
(6275,'47385702','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:16:13.231','jambesari'),
(6276,'47385788','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.268.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Bolpoint; Stopmap Kertas Panda; Ordner Besar; Stapler No. T3-10Mb; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:16:13.231','jambesari'),
(6277,'47385789','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','731.400','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:16:13.231','jambesari'),
(6278,'47386238','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','3.957.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Lampu LED 15 Watt; lampu LED 18 watt; Stop Kontak ,L Y 216, 4Lb; Kap Lampu Taman Bening Bulat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6279,'47386381','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.352.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stapler Hd 10 Kecil; Stapler Hd 10 D; Gunting; Spidol Marker; Tinta Stempel; Penggaris Baja 30 Cm; Cutter Besar Merk Kenko L500; Lem Cair 112; Bak Stempel No. 0; Porforator Kecil 30Xl;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6280,'47386423','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.689.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Alat Pel Lantai; Sabun Cuci Tangan; Pembersih lantai; pengharum ruangan; Gayung; Sapu Lidi; Cikrak Sampah; Sapu Ijuk Kipas Besar;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6281,'47386689','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6282,'47386690','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.202.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip; Correction 803; map snelhecter plastik; Buku Buku Folio 100 Lbr; Binder clip; Pensil 2B; Stabilo Faber Castle; Bolpoint; Map Plastik Folio 240/190; Ordner Kecil; Ordner Besar;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6283,'47386691','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.952.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6284,'47386692','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.777.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Tonner Epson 664; Tinta Cetak CANON 200ML;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:17:24.295','jambesari'),
(6285,'47386799','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','11.512.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; banner biasa; Lembar Disposisi Bahan Kertas Hvs 70 Gsm Uk. 1/2 Folio Cetak 1 Muka Isi 100 Lbr; Cetak Map Kantor; Cetak Amplop ; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6286,'47386963','Belanja Makanan dan Minuman Jamuan Tamu','1.900.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Kue kering; Kopi; Air Mineral;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6287,'47387434','Belanja Kawat/Faksimili/Internet/TV Berlangganan','9.600.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Speedy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6288,'47387436','Belanja Tagihan Listrik','8.392.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Tagihan Listrik;','2200-5500 VA;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6289,'47387755','Belanja Bahan-Bahan Bakar dan Pelumas','41.996.800','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6290,'47387987','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Servis Printer;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6291,'47387988','Belanja Jasa Konversi Aplikasi/Sistem Informasi','1.500.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Jasa Konversi Aplikasi/Sistem Informasi;','Upah servis Computer;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:22:38.603','jambesari'),
(6292,'47388343','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.028.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Ordner Besar; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6293,'47388344','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.557.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6294,'47388345','Belanja Makanan dan Minuman Rapat','15.275.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6295,'47388476','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.293.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Ordner Kecil; Ordner Besar; Fotocopy; banner biasa; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6296,'47388477','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','441.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6297,'47388478','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6298,'47388479','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6299,'47388641','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.846.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Ordner Besar; Lem Cair 111; Fotocopy; banner biasa; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6300,'47388642','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.626.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6301,'47388644','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6302,'47388645','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6303,'47388745','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','948.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6304,'47388746','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','627.700','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6305,'47388747','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6306,'47388890','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','856.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Ordner Kecil; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6307,'47388891','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','376.200','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6308,'47388892','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6309,'47388893','Belanja Makanan dan Minuman Rapat','3.055.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6310,'47388990','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','593.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Map Kertas Folio Panda; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6311,'47388992','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6312,'47388993','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6313,'47389066','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','446.400','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Stopmap Kertas Panda; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6314,'47389067','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6315,'47389068','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:18:46.903','jambesari'),
(6316,'47389369','Belanja Sewa Mebel','1.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Sewa Mebel;','Sewa Kursi;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6317,'47389370','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.968.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Pensil Staedtler 2B; Stabilo Boss Warna; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; Ordner Besar; Lem Cair 111; Fotocopy; banner biasa; Block Note A5; Binder clip; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6318,'47389371','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.908.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6319,'47389372','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','954.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6320,'47389373','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Januari 2024','Agustus 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6321,'47389374','Belanja Sewa Alat Kantor Lainnya','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Sewa Alat Kantor lainnya;','sewa tenda;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Jasa Lainnya,','Januari 2024','Februari 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-12 10:19:53.883','jambesari'),
(6322,'47389453','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.992.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner Besar; Pensil Staedtler 2B; Spidol Marker; Bolpoint; Stopmap Kertas Panda; Ordner Kecil; lakban besar hitam; Stapler Hd 50 Besar; Isi Steples Besar No 3; Fotocopy; banner biasa; Block Note A5; Buku Buku Folio 100 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6323,'47389454','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.285.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6324,'47389455','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.110.800','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Tonner Epson 664; Tinta Cetak CANON 200ML;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6325,'47389456','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6326,'47389725','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','684.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Map Plastik Folio 240/190; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6327,'47389737','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','879.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6328,'47389738','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6329,'47389739','Belanja Makanan dan Minuman Rapat','8.225.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6330,'47389901','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.894.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Map Kertas Folio Panda; Map Plastik Folio 240/190; Fotocopy; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6331,'47389902','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6332,'47389903','Belanja Makanan dan Minuman Rapat','1.530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6333,'47389998','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','433.900','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6334,'47389999','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','746.100','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6335,'47390001','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6336,'47390002','Belanja Makanan dan Minuman Rapat','3.290.000','Dikecualikan','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6337,'47390139','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','240.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map Kertas Folio Panda; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6338,'47390140','Belanja Makanan dan Minuman Rapat','3.760.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6339,'47390221','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','240.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Ordner Kecil; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6340,'47390223','Belanja Makanan dan Minuman Rapat','3.760.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6341,'47390335','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','452.300','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas Panda; Map Plastik Folio 240/190; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6342,'47390336','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','317.700','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6343,'47390338','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6344,'47390401','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','249.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Ordner Besar; Fotocopy; Buku Buku Folio 100 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6345,'47390402','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6346,'47390403','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','106.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6347,'47390404','Belanja Makanan dan Minuman Rapat','6.580.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:19:53.883','jambesari'),
(6348,'47390672','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.707.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Correction 803; Map Plastik Folio 240/190; Lem Cair 111; Isi Steples Besar No 3; Fotocopy; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6349,'47390673','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.700','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6350,'47390674','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6351,'47390675','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6352,'47390761','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.920.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Map Plastik Folio 240/190; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6353,'47390762','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','610.300','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6354,'47390763','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','383.700','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Tonner Epson 664; Tinta Cetak CANON 200ML;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6355,'47390764','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6356,'47390877','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','385.500','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6357,'47390878','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.264.500','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6358,'47390879','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6359,'47390880','Belanja Makanan dan Minuman Rapat','2.820.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:20:55.744','jambesari'),
(6360,'47391053','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','445.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip; Isi Steples Besar No 3; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6361,'47391054','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6362,'47391055','Belanja Makanan dan Minuman Rapat','3.760.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6363,'47391203','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.521.900','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Isi Steples Kecil No 10; Fotocopy; Bolpoint; Correction 803; map snelhecter plastik; Map Kertas Folio Panda; Map Plastik Folio 240/190; Cutter Besar Merk Kenko L500; Cutter (Refil Isi Cutter) Besar Merk L500; lakban kecil hitam; Isi Steples Besar No 3; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Block Note A5; Binder clip;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6364,'47391204','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.034.600','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6365,'47391205','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6366,'47391206','Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:24:11.398','jambesari'),
(6367,'47391320','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.296.900','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas Panda; Fotocopy; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6368,'47391321','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.347.100','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Foto A4; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6369,'47391322','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6370,'47391323','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6371,'47391409','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.528.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Stopmap Kertas Panda; Fotocopy; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6372,'47391410','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.116.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6373,'47391411','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','636.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6374,'47391412','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6375,'47391480','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.435.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Stopmap Kertas Panda; Fotocopy; banner biasa; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6376,'47391481','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','746.100','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6377,'47391482','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Bahan Komputer;','Tinta Tonner Epson 664;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6378,'47391483','Belanja Makanan dan Minuman Rapat','8.460.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:21:39.713','jambesari'),
(6379,'47424440','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','76.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas Panda; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:19.971','jambesari'),
(6380,'47424441','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Ya','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-12 10:15:19.971','jambesari'),
(6381,'47610749','Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Jambesari Darussholah',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor;','Tinta Tonner Epson 664; Map Kertas Folio Panda; Kertas Bufallo A4 / F4 Sidu; Tinta Tonner Epson 664; Map Kertas Folio Panda; Ordner Besar; lakban besar hitam; Kertas Bufallo A4 / F4 Sidu; Cover Mika F4, bening; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-15 08:05:11.027','jambesari'),
(6382,'47384340','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.057.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Isi Stapler Kecil No.10; Paper Clip 5; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:38:00.725','klabang'),
(6383,'47386820','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:38:00.725','klabang'),
(6384,'47387154','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:38:00.725','klabang'),
(6385,'47388615','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.316.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6386,'47388901','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6387,'47389079','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6388,'47389234','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Belanja Makanan dan Minuman Rapat','Kue Kotak 200 kotak; Nasi Kotak Biasa 200 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6389,'47389789','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.315.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Isi Stapler Kecil No.10; Map snell plastik; ] Ordner Besar; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6390,'47390163','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','842.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6391,'47390458','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','742.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6392,'47390721','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Belanja Makanan dan Minuman Rapat','Kue Kotak 300 kotak; Nasi Kotak Biasa 300 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:41.209','klabang'),
(6393,'47391418','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','687.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Lembar; Buah','Alat Tulis Kantor','Fotocopy; Paper Clip ; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:40:55.735','klabang'),
(6394,'47392445','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBDP','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:45:11.777','klabang'),
(6395,'47392568','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 12:45:11.777','klabang'),
(6396,'47392854','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','687.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Paper Clip ; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6397,'47392993','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6398,'47393077','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6399,'47393324','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.375.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Isi Stapler Kecil No.10; Map snell plastik; Ordner Besar; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6400,'47393458','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6401,'47393670','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','742.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6402,'47393958','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 300 kotak; Nasi Kotak Biasa 300 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6403,'47398885','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','307.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Isi Stapler Kecil No.10; Map snell plastik; Ordner Besar','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6404,'47399019','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6405,'47399164','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6406,'47399412','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 150 kotak; Nasi Kotak Biasa 150 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6407,'47399697','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Lembar; Buah','Alat Tulis Kantor','Fotocopy; Ordner Besar; Stop Map Kertas Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6408,'47399851','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 100 kotak; Nasi Kotak Biasa 100 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6409,'47400716','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.528.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6410,'47401039','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6411,'47401191','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6412,'47402447','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 200 kotak; Nasi Kotak Biasa 200 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6413,'47402966','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','557.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6414,'47403156','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6415,'47403380','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6416,'47403749','Belanja Makanan dan Minuman Rapat','8.695.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 185 kotak; Nasi Kotak Biasa 185 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6417,'47404847','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','455.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Map snell plastik; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6418,'47405031','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6419,'47405306','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 50 kotak; Nasi Kotak Biasa 50 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6420,'47405688','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Ordner Besar; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6421,'47405965','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 100 kotak; Nasi Kotak Biasa 100 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6422,'47406562','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Ordner Besar; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6423,'47406964','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 100 kotak; Nasi Kotak Biasa 100 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6424,'47408674','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','962.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Isi Stapler Kecil No.10; Map snell plastik; Ordner Besar; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6425,'47408968','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6426,'47409122','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','318.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6427,'47409841','Belanja Makanan dan Minuman Rapat','3.525.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 75 kotak; Nasi Kotak Biasa 75 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6428,'47413949','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.727.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6429,'47414158','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.101.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6430,'47414434','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6431,'47414915','Belanja Makanan dan Minuman Rapat','25.850.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 550 kotak; Nasi Kotak Biasa 550 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6432,'47416280','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','478.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6433,'47416567','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6434,'47416850','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6435,'47417152','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 150 kotak; Nasi Kotak Biasa 150 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6436,'47418114','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','558.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6437,'47419509','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6438,'47419818','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6439,'47420120','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 300 kotak; Nasi Kotak Biasa 300 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6440,'47420863','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.989.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Spidol Permanen; Spidol Marker; PlakBand Hitam 2 Inch; Penggaris Baja 30 Cm; Lem Tanggung','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6441,'47421150','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6442,'47421788','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6443,'47422342','Belanja Makanan dan Minuman Rapat','37.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 800 kotak; Nasi Kotak Biasa 800 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6444,'47422842','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.354.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Spidol Permanen; Spidol Marker','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6445,'47423235','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6446,'47423422','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6447,'47423663','Belanja Makanan dan Minuman Rapat','21.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 450 kotak; Nasi Kotak Biasa 450 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6448,'47424002','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','428.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Ordner Besar; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6449,'47424143','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6450,'47424398','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6451,'47424548','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 300 kotak; Nasi Kotak Biasa 300 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6452,'47424825','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Paper Clip ; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6453,'47425041','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 100 kotak; Nasi Kotak Biasa 100 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6454,'47425625','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.016.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Spidol Permanen; Spidol Marker; PlakBand Hitam 2 Inch; Penggaris Baja 30 Cm; Lem Tanggung','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6455,'47425926','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6456,'47426105','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6457,'47426344','Belanja Makanan dan Minuman Rapat','39.950.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 850 kotak; Nasi Kotak Biasa 850 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 21:56:52.282','klabang'),
(6458,'47451916','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','52.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6459,'47451952','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6460,'47452003','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6461,'47452092','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6462,'47452179','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6463,'47452230','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6464,'47452304','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6465,'47452405','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6466,'47452431','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6467,'47452453','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6468,'47452507','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6469,'47452533','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6470,'47453266','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6471,'47453285','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6472,'47453315','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6473,'47453382','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6474,'47453397','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6475,'47453445','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6476,'47453473','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Lem Tanggung; Penggaris; Stapler Hd 10 Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6477,'47453520','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6478,'47453541','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6479,'47453576','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6480,'47453596','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6481,'47453629','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6482,'47453644','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6483,'47453663','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6484,'47453680','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6485,'47453807','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:53:38.6','klabang'),
(6486,'47453817','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6487,'47453830','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6488,'47453854','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6489,'47453862','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6490,'47453875','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6491,'47453894','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6492,'47453912','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6493,'47453922','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6494,'47454415','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Fotocopy; Isi Stapler Kecil No.10; Paper Clip ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6495,'47454422','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6496,'47454426','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6497,'47454445','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoit ; Fotocopy; Isi Stapler Kecil No.10 ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6498,'47454450','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6499,'47454465','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6500,'47454487','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoit ; Fotocopy; Isi Stapler Kecil No.10 ; Stapler Hd 10 Kecil; Stop Map Kertas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6501,'47454500','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6502,'47454514','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6503,'47454597','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.320.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Pak; Lembar; Buah','Alat Tulis Kantor','Bolpoint; Fotocopy; Lem Cair 111; Ordner Besar; Paper Clip; PlakBand Hitam 2 Inch; Snelhecter Map Bahan Plastik; Stop Map KertasBiasa; SpidolPermanen; Spidol Marker; PlakBand Hitam 2 Inch; Penggaris Baja 30 Cm; Lem Tanggung','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6504,'47454613','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6505,'47454634','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Botol','Bahan Komputer','Tinta Tonner Epson 664','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6506,'47454668','Belanja Makanan dan Minuman Rapat','47.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kotak','Makanan dan Minuman Rapat','Kue Kotak 1000 kotak; Nasi Kotak Biasa 1000 kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 23:54:58.482','klabang'),
(6507,'47461667','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Lembar','Alat Tulis Kantor','Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6508,'47464137','Belanja Perjalanan Dinas Dalam Kota','4.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Orang/ Paket','Perjalanan Dinas Dalam Kota','Beban Perjalanan Dinas Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6509,'47464729','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Meter; Buah','Alat Listrik','Kabel Nymhy Supreme,300/500Vsni, Uk. 2X10 Mm2; Lampu Tl ,10 Watt; Lampu Tl ,D 10 Watt','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6510,'47465265','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Buah','Perabot Kantor','Alat Pel; Cairan Pembersih Kaca; Cairan Pembersih Lantai; Cikrak; Gayung; kain lap; sapuk ijuk panjang; Sapu Lion Star; Tempat Sampah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6511,'47465683','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Buah','Perabot Kantor','Alat Pel; Cairan Pembersih Kaca; Cairan Pembersih Lantai; Cikrak; Gayung; kain lap; sapuk ijuk panjang; Sapu Lion Star; Tempat Sampah','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6512,'47466650','Belanja Tagihan Telepon','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Tahun','Belanja Telepon','Belanja Telepon','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6513,'47466856','Belanja Tagihan Air','2.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Bulan','Tagihan Air','Air PDAM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6514,'47467025','Belanja Tagihan Listrik','5.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kali','Tagihan Listrik','Belanja Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6515,'47467274','Belanja Kawat/Faksimili/Internet/TV Berlangganan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Bulan','Beban Kawat/Faksimili/Internet/TV Berlangganan','Belanja Wifi','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6516,'47467678','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kali','Jasa Tenaga Teknisi Mekanik dan Listrik','servis printer; Upah servis Computer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6517,'47470375','Belanja Bahan-Bahan Bakar dan Pelumas','18.639.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Liter','Bahan-Bahan Bakar dan Pelumas','Oli Mesin Roda 2 Oli Mesin Roda 4 Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6518,'47470927','Belanja Suku Cadang-Suku Cadang Alat Angkutan','7.279.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Buah; Unit','Suku Cadang-Suku Cadang Alat Angkutan','Ban Luar Kendaraan Roda 4 Uk 20-195-65-15 Pergantian Ban Honda Win Pergantian Ban Luar Revo','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6519,'47471204','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','3.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Kali','Jasa Tenaga Teknisi Mekanik dan Listrik','servis kendaraan roda 2 servis kendaraan roda 4','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6520,'47471645','Belanja Bahan-Bahan Bakar dan Pelumas','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Liter','Bahan-Bahan Bakar dan Pelumas','Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6521,'47472532','Belanja Bahan-Bahan Bangunan dan Konstruksi','8.425.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Buah; Liter; Kg','Bahan-Bahan Bangunan dan Konstruksi','Baki cat; Cat anti karat; Cat dinding; Cat dasar; Cat kayu/besi; Kuas roll;Miyak cat; Plamir Kayu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6522,'47472829','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','1.575.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Klabang',2024,'Orang/ Hari','Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Tukang Cat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:40:45.75','klabang'),
(6523,'47077203','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','752.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6524,'47077226','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6525,'47077272','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Warna Hitam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6526,'47077341','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','752.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6527,'47077366','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6528,'47077386','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6529,'47077423','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan Perubahan DPA SKPD','280.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6530,'47077456','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan Perubahan DPA SKPD','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6531,'47077479','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan DPA SKPD','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6532,'47077509','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan DPA SKPD','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6533,'47077538','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi dan Penyusunan DPA SKPD','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6534,'47077713','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan Dokumen Perubahan RKA SKPD','671.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6535,'47077729','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan Dokumen Perubahan RKA SKPD','616.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6536,'47077758','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi dan Penyusunan Dokumen Perubahan RKA SKPD','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6537,'47077786','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan Dokumen RKA SKPD','565.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6538,'47077818','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan Dokumen RKA SKPD','616.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6539,'47077846','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi dan Penyusunan Dokumen RKA SKPD','318.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6540,'47077940','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyusunan Dokumen Perencanaan Perangkat Daerah','671.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6541,'47077961','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penyusunan Dokumen Perencanaan Perangkat Daerah','616.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6542,'47078010','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Penyusunan Dokumen Perencanaan Perangkat Daerah','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Januari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:41.552','maesan'),
(6543,'47078191','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','644.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6544,'47078215','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','324.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6545,'47078234','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6546,'47078253','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan','899.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6547,'47078266','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan','388.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6548,'47078420','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6549,'47078471','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','856.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6550,'47078499','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','324.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6551,'47078534','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi dan Pelaksanaan Akuntansi SKPD','388.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6552,'47078561','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi dan Pelaksanaan Akuntansi SKPD','259.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6553,'47078598','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi dan Pelaksanaan Akuntansi SKPD','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6554,'47078619','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','640.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6555,'47078643','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','648.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6556,'47078656','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','212.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6557,'47078694','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6558,'47078701','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6559,'47078713','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6560,'47078763','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','464.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6561,'47078772','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6562,'47078797','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6563,'47078816','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pendataan dan Pengolahan Administrasi Kepegawaian','528.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6564,'47078835','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pendataan dan Pengolahan Administrasi Kepegawaian','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6565,'47078849','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pendataan dan Pengolahan Administrasi Kepegawaian','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6566,'47078923','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyediaan Barang Cetakan dan Penggandaan','1.330.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6567,'47078936','Penggandaan / Foto Copy Penyediaan Barang Cetakan dan Penggandaan','1.670.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copi','Foto Copi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6568,'47079003','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penyediaan Bahan Logistik Kantor','5.660.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6569,'47079030','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penyediaan Bahan Logistik Kantor','8.017.600','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Penyediaan Kertas dan Cover','Penyediaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Maret 2024','Maret 2024','Maret 2024','Februari 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6570,'47079066','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Penyediaan Bahan Logistik Kantor','4.452.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 00:15:05.701','maesan'),
(6571,'47079083','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor Penyediaan Peralatan dan Perlengkapan Kantor','4.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor Penyediaan Peralatan dan Perlengkapan Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor Penyediaan Peralatan dan Perlengkapan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6572,'47079126','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','4.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6573,'47079164','Belanja Jasa Service laptop / komputer dan Printer Penyediaan Jasa Peralatan dan Perlengkapan Kantor','5.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Jasa Service laptop / komputer dan Printer','Belanja Jasa Service laptop / komputer dan Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6574,'47079186','Belanja Jasa Service AC Penyediaan Jasa Peralatan dan Perlengkapan Kantor','600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Jasa Service AC','Belanja Jasa Service AC','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6575,'47079205','Belanja Jasa Service Genset Penyediaan Jasa Peralatan dan Perlengkapan Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Jasa Service Genset Penyediaan Jasa Peralatan dan Perlengkapan Kantor','Belanja Jasa Service Genset Penyediaan Jasa Peralatan dan Perlengkapan Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','April 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6576,'47079219','Belanja Tagihan Air','3.600.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Tagihan Air','Belanja Tagihan Air','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6577,'47079237','Belanja Tagihan Listrik - Pembelian Token Listrik','11.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Tagihan Listrik - Pembelian Token Listrik','Belanja Tagihan Listrik - Pembelian Token Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6578,'47079248','Belanja Tagihan Internet - WIFI','6.000.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Tagihan Internet - WIFI','Belanja Tagihan Internet - WIFI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6579,'47079256','Belanja Modal Mebel - Kursi Rapat Pengadaan Mebel','11.130.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kursi Rapat sebanyak 30 unit','Pengadaan Kursi Rapat sebanyak 30 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6580,'47079266','Belanja Modal Mebel - Standing Bracket TV Pengadaan Mebel','2.000.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan 1 unit Standing bracket TV','Pengadaan 1 unit Standing bracket TV','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6581,'47079346','Belanja Bahan-Bahan Bangunan dan Konstruksi Pemeliharaan/Rehabilitasi Gedung Kantor dan Bangunan Lainnya','29.489.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Bahan-Bahan Bangunan dan Konstruksi','Belanja Bahan-Bahan Bangunan dan Konstruksi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6582,'47079357','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum (Tukang) Pemeliharaan/Rehabilitasi Gedung Kantor dan Bangunan Lainnya','5.310.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Jasa Tukang 60 OH','Belanja Jasa Tukang 60 OH','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6583,'47079409','Belanja BBM','10.640.000','Penunjukan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Bahan Bakar Pertamax sebanyak 800 Liter','Belanja Bahan Bakar Pertamax sebanyak 800 Liter','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6584,'47079435','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','6.725.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Oktober 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6585,'47079447','Belanja Penggandaan - Alat Tulis Kantor Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','746.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Penggandaan','Belanja Penggandaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Oktober 2024','Februari 2024','Oktober 2024','Januari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6586,'47079454','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','6.396.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','November 2024','Januari 2024','November 2024','Januari 2024','Januari 2024','2024-01-09 00:15:05.701','maesan'),
(6587,'47079476','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','4.452.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Oktober 2024','Februari 2024','Oktober 2024','Januari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6588,'47079493','Belanja Makanan dan Minuman Rapat Peningkatan Efektifitas Kegiatan Pemerintahan di Tingkat Kecamatan','4.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Juli 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6589,'47079502','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','7.752.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','Februari 2024','Agustus 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6590,'47079511','Belanja Penggandaan Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','785.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Penggandaan / FotoCopy','Penggandaan / FotoCopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Agustus 2024','Februari 2024','Agustus 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6591,'47079531','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','8.470.300','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6592,'47080210','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','4.452.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Pengadaan Tinta Printer','Belanja Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6593,'47081060','Belanja Makanan dan Minuman Rapat Koordinasi/Sinergi Perencanaan dan Pelaksanaan Kegiatan Pemerintahan dengan Perangkat Daerah dan Instansi Vertikal Terkait','4.700.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','November 2024','Februari 2024','November 2024','Februari 2024','Februari 2024','2024-01-09 00:15:05.701','maesan'),
(6594,'47085134','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelaksanaan Urusan Pemerintahan yang Terkait dengan Kewenangan Lain yang Dilimpahkan','7.731.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6595,'47085276','BelanjaPenggandaan Pelaksanaan Urusan Pemerintahan yang Terkait dengan Kewenangan Lain yang Dilimpahkan','1.030.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6596,'47085433','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pelaksanaan Urusan Pemerintahan yang Terkait dengan Kewenangan Lain yang Dilimpahkan','5.602.700','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6597,'47085582','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelaksanaan Urusan Pemerintahan yang Terkait dengan Kewenangan Lain yang Dilimpahkan','636.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6598,'47085719','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelaksanaan Urusan Pemerintahan yang terkait dengan Nonperizinan','5.662.500','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6599,'47085919','Belanja Penggandaan Pelaksanaan Urusan Pemerintahan yang terkait dengan Nonperizinan','845.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6600,'47086074','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pelaksanaan Urusan Pemerintahan yang terkait dengan Nonperizinan','5.312.100','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6601,'47086192','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelaksanaan Urusan Pemerintahan yang terkait dengan Nonperizinan','1.590.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6602,'47086961','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','4.440.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Pengadaan ATK','Belanja Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6603,'47087222','Belanja Penggandaan Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','621.900','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6604,'47087342','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','3.647.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6605,'47087530','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','1.590.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','Juli 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6606,'47087619','Belanja Makanan dan Minuman Rapat Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','4.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','September 2024','Februari 2024','September 2024','Februari 2024','Februari 2024','2024-01-09 09:00:16.463','maesan'),
(6607,'47087911','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','6.119.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6608,'47088136','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','3.540.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6609,'47088437','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','2.120.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','April 2024','Desember 2024','April 2024','April 2024','2024-01-09 09:00:16.463','maesan'),
(6610,'47088871','Belanja Makanan dan Minuman Rapat Peningkatan Efektifitas Kegiatan Pemberdayaan Masyarakat di Wilayah Kecamatan','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6611,'47089165','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Sinkronisasi Program Kerja dan Kegiatan Pemberdayaan Masyarakat yang Dilakukan oleh Pemerintah dan Swasta di Wilayah Kerja Kecamatan','9.702.600','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja ATK','Belanja ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Agustus 2024','April 2024','Agustus 2024','April 2024','April 2024','2024-01-09 09:00:16.463','maesan'),
(6612,'47089524','Belanja Penggandaan Sinkronisasi Program Kerja dan Kegiatan Pemberdayaan Masyarakat yang Dilakukan oleh Pemerintah dan Swasta di Wilayah Kerja Kecamatan','1.840.200','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Penggandaan','Belanja Penggandaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6613,'47089771','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Sinkronisasi Program Kerja dan Kegiatan Pemberdayaan Masyarakat yang Dilakukan oleh Pemerintah dan Swasta di Wilayah Kerja Kecamatan','9.449.500','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Kertas dan Cover','Belanja Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Oktober 2024','April 2024','Oktober 2024','April 2024','April 2024','2024-01-09 09:00:16.463','maesan'),
(6614,'47090868','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Sinkronisasi Program Kerja dan Kegiatan Pemberdayaan Masyarakat yang Dilakukan oleh Pemerintah dan Swasta di Wilayah Kerja Kecamatan','4.452.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','November 2024','April 2024','Oktober 2024','April 2024','April 2024','2024-01-09 09:00:16.463','maesan'),
(6615,'47091172','Belanja Makanan dan Minuman Rapat Sinkronisasi Program Kerja dan Kegiatan Pemberdayaan Masyarakat yang Dilakukan oleh Pemerintah dan Swasta di Wilayah Kerja Kecamatan','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6616,'47091588','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','4.732.500','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juli 2024','Mei 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-09 09:00:16.463','maesan'),
(6617,'47091825','Belanja Penggandaan Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','666.900','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','FotoCopy','FotoCopy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','November 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-09 09:00:16.463','maesan'),
(6618,'47092171','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','4.142.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja ATK','Belanja ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-09 09:00:16.463','maesan'),
(6619,'47092411','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','1.722.500','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juli 2024','Mei 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-09 09:00:16.463','maesan'),
(6620,'47092836','Belanja Makanan dan Minuman Rapat Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','7.050.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 150 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 150 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Juli 2024','Mei 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-09 09:00:16.463','maesan'),
(6621,'47093076','Belanja Pengadaan TV LED Peningkatan Partisipasi Masyarakat dalam Forum Musyawarah Perencanaan Pembangunan di Desa','14.846.100','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan TV LED','Pengadaan TV LED','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-09 09:00:16.463','maesan'),
(6622,'47103034','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Penumbuhan Kesadaran Keluarga dalam Peningkatan Derajat Kesehatan Keluarga dan Lingkungan dengan Menerapkan Perilaku Hidup Bersih dan Sehat','170.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6623,'47103608','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Penumbuhan Kesadaran Keluarga dalam Peningkatan Derajat Kesehatan Keluarga dan Lingkungan dengan Menerapkan Perilaku Hidup Bersih dan Sehat','129.600','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juli 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6624,'47103828','Belanja Makanan dan Minuman Rapat Penumbuhan Kesadaran Keluarga dalam Peningkatan Derajat Kesehatan Keluarga dan Lingkungan dengan Menerapkan Perilaku Hidup Bersih dan Sehat','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6625,'47104292','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Peningkatan Kesadaran Keluarga dalam Peningkatan Pendidikan dan Keterampilan untuk Mewujudkan Sumber Daya Manusia yang Berkualitas dan Berdaya Saing','170.400','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juli 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-09 10:46:31.124','maesan'),
(6626,'47104506','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Kesadaran Keluarga dalam Peningkatan Pendidikan dan Keterampilan untuk Mewujudkan Sumber Daya Manusia yang Berkualitas dan Berdaya Saing','129.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juli 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-09 10:46:31.124','maesan'),
(6627,'47104861','Belanja Makanan dan Minuman Rapat Peningkatan Kesadaran Keluarga dalam Peningkatan Pendidikan dan Keterampilan untuk Mewujudkan Sumber Daya Manusia yang Berkualitas dan Berdaya Saing','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6628,'47105113','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Peningkatan Ketahanan Pangan Keluarga','170.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6629,'47105549','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Peningkatan Ketahanan Pangan Keluarga','129.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan kertas dan cover','Pengadaan kertas dan cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6630,'47106142','Belanja Makanan dan Minuman Rapat Peningkatan Ketahanan Pangan Keluarga','4.700.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Agustus 2024','April 2024','Agustus 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6631,'47106721','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembentukan dan Penumbuhan Karakter Keluarga Melalui Peningkatan Kesadaran Masyarakat akan Pentingnya Penghayatan dan Pengamalan Pancasila dalam Semua Aspek Kehidupan Bermasyarakat, Berbangsa, dan Bernegara','170.400','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juli 2024','Mei 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6632,'47107104','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembentukan dan Penumbuhan Karakter Keluarga Melalui Peningkatan Kesadaran Masyarakat akan Pentingnya Penghayatan dan Pengamalan Pancasila dalam Semua Aspek Kehidupan Bermasyarakat, Berbangsa, dan Bernegara','129.600','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juli 2024','Mei 2024','Juli 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6633,'47107510','Belanja Makanan dan Minuman Rapat Pembentukan dan Penumbuhan Karakter Keluarga Melalui Peningkatan Kesadaran Masyarakat akan Pentingnya Penghayatan dan Pengamalan Pancasila dalam Semua Aspek Kehidupan Bermasyarakat, Berbangsa, dan Bernegara','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6634,'47107866','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembinaan Penanganan Covid-19 di Tingkat Desa dan Kelurahan','4.351.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6635,'47108099','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Penanganan Covid-19 di Tingkat Desa dan Kelurahan','4.152.400','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6636,'47108345','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pembinaan Penanganan Covid-19 di Tingkat Desa dan Kelurahan','2.226.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Juli 2024','April 2024','Juli 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6637,'47108593','Belanja Makanan dan Minuman Rapat Pembinaan Penanganan Covid-19 di Tingkat Desa dan Kelurahan','2.350.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 50 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 50 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6638,'47109506','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','7.421.400','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Agustus 2024','April 2024','Agustus 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6639,'47109810','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','6.126.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6640,'47110073','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','4.452.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Agustus 2024','April 2024','Agustus 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6641,'47110403','Pengadaan Minuman Kopi Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','500.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kopi 100 gelas','Pengadaan Kopi 100 gelas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6642,'47110787','Belanja Makanan dan Minuman Rapat Koordinasi/Sinergi dengan Perangkat Daerah yang Tugas dan Fungsinya di Bidang Penegakan Peraturan Perundang-Undangan dan/atau Kepolisian Negara Republik Indonesia','4.700.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','April 2024','Oktober 2024','April 2024','Oktober 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6643,'47111246','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','4.467.700','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6644,'47111504','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','2.324.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6645,'47111767','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','2.650.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6646,'47112109','Belanja Makanan dan Minuman Rapat Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','4.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Oktober 2024','Februari 2024','Oktober 2024','Februari 2024','Februari 2024','2024-01-09 10:46:31.124','maesan'),
(6647,'47112527','Belanja Modal Peralatan Personal Computer - Printer Harmonisasi Hubungan dengan Tokoh Agama dan Tokoh Masyarakat','5.600.000','E-Purchasing','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Printer sebanyak 1 unit','Pengadaan Printer sebanyak 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Mei 2024','Maret 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6648,'47113026','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','5.411.300','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','November 2024','April 2024','November 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6649,'47113562','Belanja Penggandaan Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','568.500','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Mei 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6650,'47113895','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','2.370.200','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Oktober 2024','April 2024','Oktober 2024','April 2024','April 2024','2024-01-09 10:46:31.124','maesan'),
(6651,'47114398','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','1.590.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Agustus 2024','Agustus 2024','Juni 2024','Agustus 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6652,'47114716','Belanja Makanan dan Minuman Rapat Sinergitas dengan Kepolisian Negara Republik Indonesia, Tentara Nasional Indonesia dan Instansi Vertikal di Wilayah Kecamatan','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6653,'47115320','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','6.173.700','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK Kantor','Pengadaan ATK Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Agustus 2024','Maret 2024','Agustus 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6654,'47115769','Belanja Penggandaan Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','617.700','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Mei 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6655,'47116009','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','5.436.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Kertas dan Cover','Belanja Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6656,'47116285','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','1.272.000','Pengadaan Langsung','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Tinta Epson 12 Buah','Belanja Tinta Epson 12 Buah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6657,'47116516','Belanja Makanan dan Minuman Rapat Pelaksanaan Tugas Forum Koordinasi Pimpinan di Kecamatan','4.700.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6658,'47116782','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','8.407.800','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK Kantor','Pengadaan ATK Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6659,'47117126','Belanja Penggandaan Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','775.500','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6660,'47117385','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','11.558.400','E-Purchasing','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Kertas dan Cover','Belanja Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Agustus 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6661,'47117635','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','4.664.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juli 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6662,'47118042','Belanja Makanan dan Minuman Rapat Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','9.400.000','Pengadaan Langsung','APBD','June 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 200 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 200 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juni 2024','Juli 2024','Juni 2024','Juli 2024','Juni 2024','Juni 2024','2024-01-09 10:46:31.124','maesan'),
(6663,'47118451','Belanja Makanan dan Minuman Jamuan Tamu Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','1.000.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kopi sebanyak 200 Gelas','Pengadaan Kopi sebanyak 200 Gelas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-09 10:46:31.124','maesan'),
(6664,'47118693','Belanja Modal Personal Computer Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','15.195.800','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Pengadaan Laptop sebanyak 1 unit','Belanja Pengadaan Laptop sebanyak 1 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Mei 2024','Juni 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6665,'47118934','Belanja Modal Peralatan Personal Computer Pembinaan Wawasan Kebangsaan dan Ketahanan Nasional dalam rangka Memantapkan Pengamalan Pancasila, Pelaksanaan Undang- Undang Dasar Negara Republik Indonesia Tahun 1945, Pelestarian Bhinneka Tunggal Ika serta Pemertahanan dan Pemeliharaan Keutuhan Negara Kesatuan Republik Indonesia','11.200.000','E-Purchasing','APBD','May 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Pengadaan Printer sebanyak 2 unit','Belanja Pengadaan Printer sebanyak 2 unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juni 2024','Juni 2024','Mei 2024','Juni 2024','Mei 2024','Mei 2024','2024-01-09 10:46:31.124','maesan'),
(6666,'47138658','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Koordinasi Pendampingan Desa di Wilayahnya','5.029.900','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK','Pengadaan ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Oktober 2024','Maret 2024','Oktober 2024','Maret 2024','Maret 2024','2024-01-09 12:14:07.482','maesan'),
(6667,'47139011','Belanja Penggandaan Koordinasi Pendampingan Desa di Wilayahnya','296.700','Pengadaan Langsung','APBD','July 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','Juli 2024','2024-01-09 12:14:07.482','maesan'),
(6668,'47139174','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Koordinasi Pendampingan Desa di Wilayahnya','7.444.600','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Kertas dan Cover','Belanja Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 12:14:07.482','maesan'),
(6669,'47139280','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Koordinasi Pendampingan Desa di Wilayahnya','2.862.000','Pengadaan Langsung','APBD','April 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','November 2024','April 2024','November 2024','April 2024','April 2024','2024-01-09 12:14:07.482','maesan'),
(6670,'47139438','Belanja Makanan dan Minuman Rapat Koordinasi Pendampingan Desa di Wilayahnya','9.400.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Makanan dan Minuman Rapat Koordinasi Pendampingan Desa di Wilayahnya','Belanja Makanan dan Minuman Rapat Koordinasi Pendampingan Desa di Wilayahnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 12:14:07.482','maesan'),
(6671,'47139656','Belanja Makanan dan Minuman Jamuan Tamu Koordinasi Pendampingan Desa di Wilayahnya','500.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kopi sebanyak 100 Gelas','Pengadaan Kopi sebanyak 100 Gelas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','November 2024','Maret 2024','November 2024','Maret 2024','Maret 2024','2024-01-09 12:14:07.482','maesan'),
(6672,'47583371','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','5.662.900','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-13 23:38:39.812','maesan'),
(6673,'47583414','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor (Foto Copy) Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','721.500','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Maret 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-13 23:38:39.812','maesan'),
(6674,'47583422','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','8.073.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Kertas dan Cover','Pengadaan Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Februari 2024','Februari 2024','2024-01-13 23:38:39.812','maesan'),
(6675,'47583485','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','1.272.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-13 23:38:39.812','maesan'),
(6676,'47583502','Belanja Makanan dan Minuman Rapat Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','2.350.000','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Nasi Kotak sebanyak 50 kotak dan kue sebanyak 50 kotak','Pengadaan Nasi Kotak sebanyak 50 kotak dan kue sebanyak 50 kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','April 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-13 23:38:39.812','maesan'),
(6677,'47583509','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Administrasi Tata Pemerintahan Desa','5.625.100','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan ATK Kantor','Pengadaan ATK Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Juli 2024','Maret 2024','Juli 2024','Maret 2024','Maret 2024','2024-01-13 23:38:39.812','maesan'),
(6678,'47583533','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor Fasilitasi Administrasi Tata Pemerintahan Desa','1.389.300','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Foto Copy','Foto Copy','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Juni 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-13 23:38:39.812','maesan'),
(6679,'47583543','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover Fasilitasi Administrasi Tata Pemerintahan Desa','8.073.600','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Kertas dan Cover','Belanja Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Juli 2024','Februari 2024','Juli 2024','Februari 2024','Februari 2024','2024-01-13 23:38:39.812','maesan'),
(6680,'47583554','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer Fasilitasi Administrasi Tata Pemerintahan Desa','4.452.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Pengadaan Tinta Printer','Pengadaan Tinta Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Mei 2024','Februari 2024','Mei 2024','Februari 2024','Februari 2024','2024-01-13 23:38:39.812','maesan'),
(6681,'47583563','Belanja Makanan dan Minuman Rapat Fasilitasi Administrasi Tata Pemerintahan Desa','4.700.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Maesan',2024,'1 Paket','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Belanja Nasi Kotak dan Kue Kotak sebanyak @ 100 Kotak','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','April 2024','Februari 2024','April 2024','Februari 2024','Februari 2024','2024-01-13 23:38:39.812','maesan'),
(6682,'47117161','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6683,'47117162','Belanja Makanan dan Minuman Rapat','21.197.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ; Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6684,'47117163','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','441.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram; kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6685,'47117164','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','918.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Paper Clip Daito; banner; Buku Ekspedisi; Snelhecter Map; Stop Map Kertas Biasa; Ordner Besar; Ordner Besar; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6686,'47117436','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','799.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Odner Besar (forte); Stop Map Kertas Biasa; Penggaris Baja 15 Cm; banner; Fotocopy; Bolpoint; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6687,'47117437','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6688,'47117438','Belanja Makanan dan Minuman Rapat','14.570.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6689,'47117440','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','311.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:52.544','pakem'),
(6690,'47117916','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.775.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; A','Bolpoint; Paper Clip No. 1 (Kecil); Stop Map Kertas Biasa; Ordner Binder 7 Cm Bindex 919 Folio; banner; Fotocopy; Block Note A5; PlakBand Hitam 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6691,'47117919','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6692,'47117920','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6693,'47117922','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','306.600','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6694,'47118192','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','285.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Spidol Marker; Spidol Kecil; Bolpoint; Paper Clip Warna; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:56.669','pakem'),
(6695,'47118193','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6696,'47118194','Belanja Makanan dan Minuman Rapat','2.585.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6697,'47118395','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','640.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; Map kertas; Stapler Hd 10 Kecil; banner; isi stappler No. 10; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6698,'47118397','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6699,'47118399','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6700,'47118568','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','355.200','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Paper Clip 5; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6701,'47118569','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','64.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6702,'47118570','Belanja Makanan dan Minuman Rapat','6.580.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6703,'47118746','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','640.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; Map kertas; Stapler Hd 10 Kecil; banner; Fotocopy; isi stappler No. 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6704,'47118748','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6705,'47118749','Belanja Makanan dan Minuman Rapat','4.230.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6706,'47118840','Belanja Makanan dan Minuman Rapat','2.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:03:23.24','pakem'),
(6707,'47119232','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','146.900','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Pensil 2B; Stabilo Faber Castle; Odner Besar (forte); Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6708,'47119233','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','188.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6709,'47119234','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6710,'47119235','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6711,'47119490','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.127.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Stabilo Faber Castle; Bolpoint; Tinta Stempel Kecil; Correction 802; Odner Besar (forte); Stop Map Kertas Biasa; Stapler Hd 10; Isi Stapler Kecil No.10; Buku Agenda; Fotocopy; stempel dinas; Binder Clip No. 155; Stam Pad (Bantalan); Spidol Hitam Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6712,'47119491','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','479.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6713,'47119492','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6714,'47119493','Belanja Makanan dan Minuman Rapat','29.140.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6715,'47119669','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','670.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; Odner Besar; Snelhecter Map; Snelhecter Map; banner; Fotocopy; PlakBand Kraf 1 Inch; Stop Map Kertas Biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6716,'47119672','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','479.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr; Kertas A4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6717,'47119675','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6718,'47119677','Belanja Makanan dan Minuman Rapat','26.790.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6719,'47119963','Belanja Bahan-Bahan Bakar dan Pelumas','33.516.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6720,'47119964','Belanja Suku Cadang-Suku Cadang Alat Angkutan','4.483.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Innova M/T Busi; Pergantian Ban Honda Win; Mur Kendaraan Roda 4; Innova A/T Kampas Rem (BLKG); Innova A/T Kampas Rem (MK); Filter Oli;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6721,'47120125','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','638.300','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Odner Besar; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6722,'47120126','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6723,'47120127','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','927.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:07:24.104','pakem'),
(6724,'47120343','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','450.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Boss Warna; Spidol Kecil; Paper Clip No. 3; Odner Besar; Stapler Hd 12 A/B; Isi Staples Besar No. 23; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); PlakBand Kertas Pe 2 Inchi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6725,'47120345','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','652.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6726,'47120346','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6727,'47120426','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','458.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Jepit Kertas Bulat 2; Ordner Karton 7 Cm 717 Folio; Cutter 848; Lem Cair 111; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Gunting Besar; Stapler Hd 10 Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6728,'47120427','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','379.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6729,'47120428','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6730,'47120667','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','336.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 3; Correction Ct 509; Stopmap Kertas; Map Data Jepit; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6731,'47120668','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','501.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram; Kertas Bufallo A4 / F4 Sidu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6732,'47120669','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6733,'47120868','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','204.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Odner Besar; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6734,'47120870','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','501.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Kertas Bufallo A4 / F4 Sidu; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6735,'47120871','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6736,'47121102','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','420.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Cair 111; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Hvs D.Folio/D.Kwarto 60 Gr Warna Dicetak : 2 Muka 201 S/D 500;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6737,'47121104','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','417.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6738,'47121105','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6739,'47121266','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','578.300','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Odner Besar; Solasi Dispenser Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6740,'47121269','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6741,'47121271','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6742,'47121395','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6743,'47121397','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','485.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Isi Staples Besar No. 23; Spidol Marker; Odner Besar (forte); Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6744,'47121398','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','352.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6745,'47121561','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','443.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6746,'47121562','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','496.100','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; PlakBand Pls 2 Inch; Odner Besar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6747,'47121563','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:21.258','pakem'),
(6748,'47122348','Belanja Tagihan Listrik','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Tagihan Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6749,'47122350','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja kawat/Faximile/Internet/TV Berlangganan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6750,'47122932','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.769.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; ;','Bolpoint; Spidol Permanen; Buku Tulis Agenda; Paper Clip 3/4; Odner Besar (forte); Map snell plastik; Map kertas; Map Data Jepit; Penggaris Baja 30 Cm; Penggaris Baja 60 Cm; Cutter Besar Merk Kenko L500; Cutter (Refil Isi Cutter) Besar Merk L500; Stapler Hd 50; Stapler Hd 12 A/B; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Isi Steples Besar No 3; banner; Fotocopy; Binder Clip No. 107; Binder Clip No. 155; Binder Clip No. 260; Buku Block Note Garis 50 Lbr; Isi Staples Besar No. 23; Buku Block Note Gm 50 Lbr; Isi Ball Point Pentel Mgb; PlakBand Hitam 2 Inch; PlakBand Pls 2 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6751,'47122934','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.211.700','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr; Kertas Stiker Label Polos (Isi 10 Lbr); kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6752,'47122936','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.457.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6753,'47122937','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.461.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Listrik;','Lampu Mercury Philips, 100 Watt; Lampu Pijar Umum ,Nr63 W 25 Watt; Saklar Saklar Seri Outbow Broco Cream;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6754,'47122938','Belanja Makanan dan Minuman Rapat','61.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:49.718','pakem'),
(6755,'47123241','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','867.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Odner Besar; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Isi Steples Kecil No 10; banner; Fotocopy; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6756,'47123242','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','311.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6757,'47123243','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6758,'47123244','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6759,'47123534','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.225.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Spidol G 12; Bolpoint; Odner Besar (forte); Stop Map Kertas Biasa; Lem Cair 112; lakban besar hitam; Stapler Hd 50; Stapler Hd 10 Kecil; Isi Staples Besar No. 23; Isi Steples Kecil No 10; banner; Fotocopy; Block Note A5; PlakBand Pls 2 Inch Bening;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6760,'47123535','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','509.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6761,'47123536','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6762,'47123537','Belanja Makanan dan Minuman Rapat','33.840.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6763,'47123885','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.119.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Spidol G 12 10 Warna; Bolpoint; Paper Clip Daito; Paper Clip No. 1 (Kecil); Stop Map Kertas Biasa; Stapler Hd 10; Isi Stapler Kecil No.10; banner; Fotocopy; Block Note A5;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6764,'47123886','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','558.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6765,'47123888','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6766,'47123890','Belanja Makanan dan Minuman Rapat','36.660.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:01.386','pakem'),
(6767,'47124183','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.266.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint; Paper Clip Katana; map snelhecter plastik; Map kertas; Odner Besar; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6768,'47124185','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','311.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6769,'47124186','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6770,'47124187','Belanja Makanan dan Minuman Rapat','15.040.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:02:47.866','pakem'),
(6771,'47124476','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','312.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip Daito; Paper Clip No. 1 (Kecil); Map Data Jepit; Lem Cair 111; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Brief Odner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6772,'47124477','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','392.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Bufallo A4 / F4 Sidu; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6773,'47124478','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','795.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:06:56.694','pakem'),
(6774,'47186761','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','441.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6775,'47186762','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6776,'47186763','Belanja Makanan dan Minuman Rapat','26.790.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:05:15.985','pakem'),
(6777,'47186764','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.314.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Pakem',2024,'1 Paket','Alat Tulis Kantor;','Odner Besar (forte); Stop Map Kertas Biasa; lakban warna; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-09 20:04:29.004','pakem'),
(6778,'47234485','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','208.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6779,'47234487','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','792.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6780,'47234674','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','208.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6781,'47234675','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','792.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6782,'47234791','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','792.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6783,'47234792','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','208.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Paper clip triangle kecil; Spidol Biru Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6784,'47234913','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','208.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Paper clip triangle kecil; Spidol Biru Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6785,'47234914','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','792.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6786,'47235085','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.858.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Ordner Besar; Fotocopy; Binder Clip No. 111; map snelhecter plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6787,'47235086','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.142.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6788,'47235382','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.329.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip Cadwell No. 5 (Jumbo); map snelhecter plastik; Stopmap Kertas; Map Data Jepit; Ordner Kecil; Ordner Besar; Lem Besar; Map kertas F4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6789,'47235383','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.165.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6790,'47235384','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.231.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Hitam, Canon Ip1700; Tinta Printer Data Print; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6791,'47235385','Belanja Makanan dan Minuman Rapat','24.675.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6792,'47236440','Belanja Bahan-Bahan Bangunan dan Konstruksi','4.646.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Batu Merah; cat kayu / emco; Cat Warna; Kayu reng; Paku; Triplek; Kayu Usuk; Kuas Cat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6793,'47236441','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','354.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6794,'47237956','Alat Tulis Kantor','76.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'254 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6795,'47237957','Belanja Modal Peralatan Studio Audio','16.139.800','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Peralatan Studio Audio; Peralatan Studio Audio; Peralatan Studio Audio; Peralatan Studio Audio;','Headset plus Microphone; Boss Mixer Barenjer; Sound System ASHLEY-15A-ART; Microphone Ek 300 Iem G3 Wireless;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6796,'47237958','Peralatan Komputer Lainnya','1.484.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'4 Unit','Peralatan Komputer Lainnya;','Speaker Komputer/PC;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6797,'47237960','Sumber Tenaga','15.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Set','Sumber Tenaga;','Genset;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6798,'47238073','Beban Tagihan Air','1.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'450 M3','Beban Tagihan Air;','instansi Pemerintah 0 s/d 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6799,'47238074','Beban Tagihan Listrik','7.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'72 Kali','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6800,'47238075','Beban Kawat/Faksimili/internet/Tv Berlangganan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'12 Bulan','Beban Kawat/Faksimili/internet/Tv Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6801,'47238766','Belanja Bahan-Bahan Bakar dan Pelumas','22.270.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertalite; Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6802,'47238768','Belanja Suku Cadang-Suku Cadang Alat Angkutan','1.530.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Thunder 125 Paking Kopling; Thunder 125 Kampas Rem Depan; Thunder 125 Kampas Rem Belakang; Toyota Rush Selang AC; Win, Grand, Supra Kabel Gas (Star);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6803,'47239245','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.395.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Sign Pen Razor 5 Warna; Bolpoint; Stop Map Kertas Biasa; Fotocopy; Binder 107 Ukuran 19 Mm, 3/4 Inch;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6804,'47239246','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.491.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6805,'47239247','Bahan Komputer','763.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'6 Botol','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6806,'47239248','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6807,'47239408','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.864.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Paper Clip Cadwell No. 5 (Jumbo); map snelhecter plastik; Stopmap Kertas; Ordner Besar; Fotocopy; Buku Buku Kas Folio;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6808,'47239410','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.466.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6809,'47239411','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6810,'47239683','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.305.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Stabilo Boss Warna; Paper Clip Cadwell No. 5 (Jumbo); map snelhecter plastik; Stopmap Kertas; Ordner Besar; Fotocopy; Buku Buku Kas Folio;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6811,'47239684','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.233.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6812,'47239685','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6813,'47239889','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.858.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 1 (Kecil); map snelhecter plastik; Stopmap Kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6814,'47239892','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','311.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6815,'47239893','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6816,'47240046','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.050.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip Cadwell No. 5 (Jumbo); Fotocopy; Binder 107 Ukuran 19 Mm, 3/4 Inch; Paper clip triangle kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6817,'47240047','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:23:06.499','prajekan'),
(6818,'47240346','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.626.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Fotocopy; banner biasa; Plakband sii 1 1/2;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6819,'47240347','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.674.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6820,'47240348','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6821,'47240506','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.053.500','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Besar; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6822,'47240507','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','616.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6823,'47240508','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6824,'47240860','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.814.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Paper Clip Cadwell No. 5 (Jumbo); Stopmap Kertas; Pembatas Ordner Warna Devider 6006 Bantex; Ordner Lorek Kw; Isolasi Bening 5 Cm; Fotocopy; Buku Buku Folio 200 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6825,'47240862','Kertas dan Cover','1.296.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'20 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6826,'47240863','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.453.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson 003; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6827,'47240864','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6828,'47241033','Alat Tulis Kantor','10.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Buah','Alat Tulis Kantor;','Lem Besar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6829,'47241034','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6830,'47241211','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','326.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Stop Map Kertas Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6831,'47241212','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6832,'47241213','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6833,'47241341','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','326.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Besar; Fotocopy; Gunting kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6834,'47241342','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6835,'47241343','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:51:13.791','prajekan'),
(6836,'47241468','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','326.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Gunting kecil; Perfurator Standard;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6837,'47241470','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6838,'47241471','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6839,'47241655','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','326.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Gunting kecil; Perfurator Standard;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6840,'47241656','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6841,'47241657','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6842,'47241997','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.346.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol 6 Warna; Paper Clip Cadwell No. 5 (Jumbo); Paper Clip Warna; Stopmap Kertas; Map Dokumen Map Folio Spring File Interx; Map Data Jepit; Ordner Besar; Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6843,'47241999','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.165.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 12:09:04.388','prajekan'),
(6844,'47242000','Bahan Komputer','848.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2023','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6845,'47242001','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6846,'47242226','Alat Tulis Kantor','1.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'4500 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6847,'47242227','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6848,'47242814','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.868.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Paper Clip Cadwell No. 3 (Tanggung); Stopmap Kertas; Ordner Karton Folio 5 Cm Bantex; Stapler Remover Sr 50; Fotocopy; Buku Block Note Garis 50 Lbr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6849,'47242815','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.523.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6850,'47242816','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','559.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6851,'47242817','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:13:07.754','prajekan'),
(6852,'47243334','Alat Tulis Kantor','366.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1220 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6853,'47243335','Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'10 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6854,'47243336','Bahan Komputer','1.866.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'10 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Desember 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6855,'47243337','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:13:07.754','prajekan'),
(6856,'47243538','Alat Tulis Kantor','200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'8 Buah','Alat Tulis Kantor;','Stop Map Batik Lux;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:13:07.754','prajekan'),
(6857,'47243610','Alat Tulis Kantor','200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'8 Buah','Alat Tulis Kantor;','Stop Map Batik Lux;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:13:07.754','prajekan'),
(6858,'47243743','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.838.100','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Kuning; Paper Clip Cadwell No. 5 (Jumbo); map snelhecter plastik; Stop Map Kertas Biasa; Map Data Jepit; Ordner Besar; Lem Besar; Fotocopy; Perfurator Standard;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:20.959','prajekan'),
(6859,'47243744','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6.165.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:06:22.737','prajekan'),
(6860,'47243745','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.558.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson; Cartridge L - 350; Refill Tinta L - 350;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:20.959','prajekan'),
(6861,'47243747','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 11:17:20.959','prajekan'),
(6862,'47254311','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','208.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Kecil; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6863,'47254312','Kertas dan Cover','468.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'8 Rim','Kertas dan Cover;','Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6864,'47254313','Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Prajekan',2024,'5 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 11:50:24.126','prajekan'),
(6865,'47322531','koordinasi dan penyusunan dokumen perubahan RKA-SKPD','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:28.231','pujer'),
(6866,'47328297','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:14.17','pujer'),
(6867,'47329090','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder clip dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:28.231','pujer'),
(6868,'47330034','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6869,'47331093','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 200 dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:14.17','pujer'),
(6870,'47335979','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Binder Clip No. 200 dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6871,'47337782','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6872,'47339723','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6873,'47340542','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6874,'47341217','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6875,'47342615','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6876,'47343376','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6877,'47343977','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6878,'47344951','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.108.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Kabel Nya Supreme,450/750V Sni,04-02698Uk. 1X25 Mm2 dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6879,'47345798','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.075.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Gayung Air Melody dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6880,'47346653','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','36.664.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6881,'47347231','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.237.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','cetak map pelayanan, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6882,'47349296','Belanja Tagihan Air','16.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Tagihan Air','instansi Pemerintah 0 s/d 10','Ya','Ya','Ya','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6883,'47373584','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6884,'47374408','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6885,'47376635','Belanja Bahan-Bahan Bakar dan Pelumas','39.565.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','oil gear/gardan, DLL','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6886,'47377903','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','41.065.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6887,'47378786','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','29.113.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap Kertas Panda','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6888,'47379714','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','15.611.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, DLL','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:03:05.103','pujer'),
(6889,'47380427','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Snelhecter, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6890,'47381170','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, Buku Block Note Polos 450Lbr, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6891,'47382188','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','49.290.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6892,'47383839','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','35.572.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna , odner besar, bolpoint, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6893,'47385359','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Snelhecter Map, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6894,'47386179','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy, Snelhecter Map dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6895,'47387058','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Fotocopy , dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6896,'47387751','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Snelhecter Map ,dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6897,'47388180','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12.894.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Bolpoint, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:06.026','pujer'),
(6898,'47388647','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','46.435.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, Jilid Dan Cetak Cover Warna DanLaminasi, S/D 50 Halaman, Stopmap , dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6899,'47389184','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.394.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, odner besar, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6900,'47389485','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Snelhecter Map, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6901,'47389878','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.431.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:01:38.042','pujer'),
(6902,'47391408','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','38.156.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6903,'47391811','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.502.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ordner Besar,binder Clip No. 200, Fotocopy, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6904,'47392151','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.595.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','binder Clip No. 200, Fotocopy, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6905,'47392430','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Snelhecter Map, dll','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6906,'47392774','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','55.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Pujer',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Buku Agenda, binder Clip No. 200, Fotocopy','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:02:36.163','pujer'),
(6907,'47203703','Belanja Modal Personal Computer','25.285.200','Pengadaan Langsung','APBD, APBD','March 2024','Kab. Bondowoso','Kecamatan Sukosari',2024,'1 Paket','Personal Computer; Personal Computer;','laptop; laptop;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:53:41.704','sukosari'),
(6908,'47203704','Belanja Modal Peralatan Personal Computer','7.543.500','Pengadaan Langsung','APBD','March 2024','Kab. Bondowoso','Kecamatan Sukosari',2024,'1 Paket','Peralatan Personal Computer;','Printer Inkjet L100;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Maret 2024','Maret 2024','2024-01-10 11:53:41.704','sukosari'),
(6909,'47434456','Belanja Alat/Bahan untuk Kegiatan Kantor (Penyusunan Dokumen Perencanaan Perangkat Daerah)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Bolpoint; Kertas HVS A4 70 Gr; Bolpoint; Stopmap Kertas; Fotocopy; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 16:09:00.494','tamanan'),
(6910,'47434676','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen RKA-SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Kertas HVS A4 70 Gr; Bolpoint; Kertas HVS A4 70 Gr; Bolpoint; Stopmap Kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 16:09:00.494','tamanan'),
(6911,'47434831','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen Perubahan RKA-SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tamanan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Bolpoint; Kertas HVS A4 70 Gr; Bolpoint; Stopmap Kertas; Fotocopy; Kertas HVS A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 16:09:00.494','tamanan'),
(6912,'47430004','Penyusunan Dokumen Perencanaan Perangkat Daerah','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Bolpoint; Kertas Bufallo A4 / F4 Sidu; Bolpoint; Stopmap Kertas; map snelhecter plastik; Odner Besar; Fotocopy; Kertas Bufallo A4 / F4 Sidu; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 15:38:36.868','tamankrocok'),
(6913,'47430439','Koordinasi dan Penyusunan Dokumen RKA-SKPD','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Kertas HVS A4 70 Gr; Spidol Permanen; map snelhecter plastik; Odner Besar; Spidol Permanen; Lem Besar; lakban besar hitam; lakban kecil hitam; Doubletape Foam; Cetak Cover; Binder clip; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 15:49:32.657','tamankrocok'),
(6914,'47430637','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen Perubahan RKA-SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Stabilo Faber Castle; Kertas Bufallo Berbagai Warna; Stopmap Kertas; lakban kecil hitam; isi steples besar sheets (duduk); Buku Block Note reportad A5; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr; Stabilo Faber Castle; map snelhecter plastik; Map Kancing Punggung Interx; Penggaris Baja 30 Cm; Kertas Bufallo Berbagai Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 15:49:32.657','tamankrocok'),
(6915,'47457959','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan DPA-SKPD)','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Bolpoint; Kertas HVS A4 70 Gr; map snelhecter plastik; Stopmap Kertas; Kertas Hvs Warna F4 70 Gr; Bolpoint; Map Kancing Punggung Interx; lakban besar hitam; Fotocopy; Kertas HVS A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6916,'47457996','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Perubahan DPA- SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Odner Besar; Kertas HVS A4 70 Gr; Map Kancing Punggung Interx; Kertas HVS A4 70 Gr; Kertas Hvs Warna F4 70 Gr; Odner Besar; Map Snelhecter plastik ukuran folio; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6917,'47458007','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Capaian Kinerja dan Ikhtisar Realisasi Kinerja SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Kertas 160 Gr A4 Putih; Stopmap Kertas; Bak Stempel No. 1; Kertas 160 Gr A4 Putih; Kertas HVS A4 80 gr; Stopmap Kertas; Snelhecter Map; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6918,'47458012','Belanja Alat/Bahan untuk Kegiatan Kantor (Evaluasi Kinerja Perangkat Daerah)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Spidol Permanen; kertas HVS F4 70 gram; Map Kancing Punggung Interx; lakban besar hitam; Fotocopy; Spidol Permanen; Stopmap Kertas; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6919,'47458280','Belanja Alat/Bahan untuk Kegiatan Kantor (Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','kertas HVS F4 70 gram; Bolpoint; Ordner Kecil; Stam Pad (Bantalan); Bolpoint; Paper Clip No. 1 (Kecil); Correction; Snelhecter Map; Stopmap Kertas Panda; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6920,'47458300','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Pelaksanaan Akuntansi SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','lakban besar hitam; Kertas A4 70 Gr; plastik Mika Bening F4; kertas HVS F4 70 gram; lakban besar hitam; Fotocopy; Kertas A4 70 Gr; Kertas Bufallo Berbagai Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6921,'47458318','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','lakban besar hitam; Kertas A4 70 Gr; Kertas A4 70 Gr; plastik Mika Bening F4; kertas HVS F4 70 gram; lakban besar hitam; Fotocopy; Kertas Bufallo Berbagai Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6922,'47458340','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','125.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6923,'47458341','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6924,'47458342','Belanja Makanan dan Minuman Rapat','1.551.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6925,'47458362','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD)','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Pensil Hb; kertas HVS F4 70 gram; Spidol Kecil; map snelhecter plastik; Odner Besar; Stopmap Kertas V Tec, Biola; lakban besar hitam; Pensil Hb; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6926,'47458793','Belanja Alat/Bahan untuk Kegiatan Kantor (Penyusunan Perencanaan Kebutuhan Barang Milik Daerah SKPD)','4.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Bolpoint; kertas HVS F4 70 gram; Spidol Text Liner Biru; Paper Clip No. 1 (Kecil); Correction Ke 201; Snelhecter Map; Stopmap Kertas Panda; Hang Map Gema/Folio; Ordner Kecil; Isi Staples Besar No. 23; Porforator Kecil Biasa; PlakBand Kraf 2 Inch; Tinta printer Merah Epson; Bolpoint; Map Kancing Punggung Interx; Stapler No. 1220 F-Ah; Cetak Cover; Fotocopy; kertas HVS F4 70 gram; Tinta printer Hitam Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6927,'47458798','Belanja Alat/Bahan untuk Kegiatan Kantor (Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD)','3.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Kertas A4 70 Gr; Bolpoint; Paper Clip 1; Map Kancing Punggung Interx; Ordner Kecil; Isi Staples Besar No. 23; Kertas A4 70 Gr; Bolpoint; Stopmap Kertas; Map snell plastik; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6928,'47458821','Belanja Alat/Bahan untuk Kegiatan Kantor (Penatausahaan Barang Milik Daerah pada SKPD)','3.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer;','Kertas A4 70 Gr; Tinta printer Hitam Epson; Bolpoint; Pensil Star Merah/Biru; Stabilo Faber Castle; map snelhecter plastik; Stapler Remover Rz A; map snell plastik; Kertas A4 70 Gr; Tinta printer Merah Epson; Tinta printer Biru Epson; Bolpoint; Stopmap Kertas Panda; Isi Staples Besar No. 23; kertas HVS F4 70 gram; Tinta printer Hitam Epson; Tinta printer Kuning Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6929,'47461821','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Sikat WC; Kran Air 3/4 Inch; Kamper; Plastik Sampah non Medis; keset;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6930,'47462199','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9.443.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Spidol Kecil; Spidol Permanen; Tinta stempel; Paper Clip Warna; Correction Tape Roll; Cutter (Refil Isi Cutter) Besar Merk L500; Stapler Remover Rz A; Buku Agenda I,Ii, & Iii Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Binder Clip No. 111; Isi Ball Point Pentel Mgb; PlakBand Kertas Pe 2 Inchi; Pensil 2B; Bolpoint; Odner Besar (forte); Map kertas; Penggaris Baja 30 Cm; Cutter Besar Merk Kenko L500; Cutter (Refil Isi Cutter) Kecil Merk A300; Cutter Kecil Merk A300; Stapler Hd 10; Isi Stapler Kecil No.10; Gunting Besar; Stam Pad (Bantalan);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6931,'47462200','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.255.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Printer Brother; Tinta Printer epson 003 warna hitam; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6932,'47462201','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6933,'47462202','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.201.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; Kertas Buffalo 50 Lbr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6934,'47462233','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','cetak format sppd; Cetak Amplop ; Lembar Disposisi; Fotocopy; cetak map; Jilid Dan Cetak Cover Warna Dan Laminasi, 51 S/D 100 Halaman;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6935,'47462269','Belanja Makanan dan Minuman Jamuan Tamu','5.000.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu; Beban Makanan dan Minuman Jamuan Tamu;','Prasmanan VIP, Makan dan minum tamu; Kue Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6936,'47462425','Belanja Bahan-Bahan Bakar dan Pelumas','2.880.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax Turbo;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6937,'47465768','Belanja Kawat/Faksimili/Internet/TV Berlangganan','4.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6938,'47470528','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Lampu ,Pl 2 Ueb 15 W (Set Exel); Lampu Tl ,D 8 Watt; Lampu Tl ,20 Watt; Saklar Ib Engkel Galleo Broco; Kabel Stopkontak Rol;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6939,'47636037','Belanja Bahan-Bahan Bakar dan Pelumas','6.170.400','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax ; oil gear/gardan; oil mesin; Oli Power Steering;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6940,'47636038','Belanja Bahan-Bahan Baku','31.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Baku;','baut muur;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6941,'47636039','Belanja Suku Cadang-Suku Cadang Alat Angkutan','3.236.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Win, Grand, Supra Sokbreker Belakang/Set (Supra); Toyota Rush Selang AC; Filter Oli; Win, Grand, Supra Cdi (Star, Win);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6942,'47636041','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','561.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Listrik;','Accu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6943,'47636248','Pemeliharaan Peralatan dan Mesin Lainnya','6.000.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor;','Tinta Epson 003; Fotocopy; Tinta Epson 003; SERBUK REFIL TONER BROTHER; Catriedge Epson L210; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6944,'47638263','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','25.593.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6945,'47638264','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','513.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','AP Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6946,'47638265','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','2.151.750','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Perencanaan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6947,'47638266','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','303.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6948,'47638267','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor','1.439.250','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Gedung Kantor;','Pengawasan Pemeliharaan Bangunan Gedung Negara Sederhana;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-16 06:57:51.013','tamankrocok'),
(6949,'47644733','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','520.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6950,'47644734','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','662.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stop Map Kertas Biasa; Pembatas Ordner Warna Devider 6045 Bantex; isi stappler No. 10; Bolpoint; Fotocopy; Hand Stapler HD 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6951,'47644735','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6952,'47644736','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6953,'47646269','Belanja Bahan-Bahan Bakar dan Pelumas','980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6954,'47646270','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.915.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Tinta Stempel Kecil; Odner Besar (forte); Map kertas; Snelhecter Map; Fotocopy; Stamp Pad; Binder Clip No. 111; Spidol G 12; Paper Clip No. 1 (Kecil); Correction Tape Roll; Map Plastik Folio 240/190; Lem Kecil; Isi Stapler Kecil No.10; Hand Stapler HD 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6955,'47646271','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.495.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6956,'47646272','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6957,'47646807','Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor;','Bolpoint; kertas HVS F4 70 gram; Bolpoint; Stop Map Map Diamond; Stapler Hd 10 Kecil; Fotocopy; kertas HVS F4 70 gram; Isi Stapler Kecil No.10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6958,'47647295','Belanja Makanan dan Minuman Rapat','705.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6959,'47647297','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6960,'47647298','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','100.600','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Bolpoint; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6961,'47647637','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','535.500','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6962,'47647638','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6963,'48090553','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6964,'48090554','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6965,'48090555','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','520.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson; Tinta printer Merah Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6966,'48090556','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.083.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip warna; Paper Clip No. 1 (Kecil); Map Kertas Folio V Tec, Biola; Lem Kecil; lakban besar hitam; map snell plastik; Hand Stapler HD 10; isi stappler No. 10; Bolpoint; Correction Ke 201; Lem Besar; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6967,'48090632','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6968,'48090633','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','170.400','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6969,'48090634','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6970,'48090928','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6971,'48090929','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','652.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Snelhecter Map; Ordner Besar; Hand Stapler HD 10; Ordner Besar; Fotocopy; isi stappler No. 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6972,'48090930','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6973,'48091086','Belanja Bahan-Bahan Bakar dan Pelumas','252.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6974,'48091087','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','27.300','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6975,'48091243','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6976,'48091244','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','677.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil 2B; Correction Tape Roll; Stopmap Kertas Panda; Fotocopy; Porforator Heavy Duty Punch Besar; Lem Kecil; Hand Stapler HD 10; isi stappler No. 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6977,'48091245','Belanja Makanan dan Minuman Rapat','1.175.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6978,'48091524','Belanja Makanan dan Minuman Rapat','1.175.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6979,'48091525','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.001.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Tape Roll; Map snell plastik; Map Kancing Punggung Interx; lakban besar hitam; Pensil 2B; Fotocopy; Binder Clip no 155; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6980,'48091526','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6981,'48091697','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','677.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ordner Besar; Bolpoint; Correction Tape Roll; Stop Map Folio Jangger; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6982,'48091698','Belanja Makanan dan Minuman Rapat','1.175.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6983,'48091699','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6984,'48091786','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6985,'48091787','Belanja Makanan dan Minuman Rapat','1.880.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6986,'48091789','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','296.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Fotocopy; Pensil 2B; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6987,'48091987','Belanja Bahan-Bahan Bakar dan Pelumas','980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6988,'48091988','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.523.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6989,'48091991','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.040.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6990,'48091993','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.237.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Buku Block Note Polos 450 Lbr; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6991,'48091997','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6992,'48092198','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6993,'48092199','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.247.500','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6994,'48092200','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','742.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Fotocopy; Bolpoint; Snelhecter Map; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6995,'48092313','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.744.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Kecil; Paper Clip 5; Odner Besar (forte); banner; Binder Clip No. 111; Correction Tape Roll; Map kertas; Snelhecter Map; Fotocopy; Hand Stapler HD 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6996,'48092315','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6997,'48092317','Belanja Bahan-Bahan Bakar dan Pelumas','980.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6998,'48092319','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(6999,'48092577','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.798.500','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7000,'48092578','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.600.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer;','Tinta Printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7001,'48092579','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','564.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat/Bahan untuk Kegiatan Kantor Lainnya;','Box File ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7002,'48092580','Belanja Makanan dan Minuman Rapat','28.200.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7003,'48092581','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.902.500','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stapler Hd 50 Besar; Stapler Hd 10 Kecil; Fotocopy; Porforator Heavy Duty Punch Besar; Bolpoint; Tinta Stempel; Odner Besar (forte); Stopmap Kertas Panda; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7004,'48093044','Belanja Makanan dan Minuman Rapat','7.050.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7005,'48093045','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','520.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Kuning Epson; Tinta printer Biru Epson; Tinta printer Hitam Epson; Tinta printer Merah Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7006,'48093048','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7007,'48093049','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','506.000','Pengadaan Langsung','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7008,'48093732','Belanja Bahan-Bahan Bakar dan Pelumas','1.330.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7009,'48093733','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.965.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Map kertas; Stamp Pad; Correction Tape Roll; Snelhecter Map; Ordner Besar; lakban besar hitam; banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7010,'48093734','Belanja Makanan dan Minuman Rapat','11.750.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7011,'48093735','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.296.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7012,'48093846','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.488.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','lakban besar hitam; Fotocopy; Gunting Besar; Bolpoint; Correction Tape Roll; Map kertas; Snelhecter Map; banner; Binder Clip no 155;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7013,'48093848','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7014,'48093849','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7015,'48093850','Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7016,'48093961','Belanja Makanan dan Minuman Rapat','9.400.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7017,'48093962','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','280.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 09:18:44.883','tamankrocok'),
(7018,'48179592','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.983.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Ball Point Gel Ink Pen; Isi Ball Point Gel Ink Pen Refill; Buku Tulis Agenda; Buku Besar Folio; Stapler No. T3-10Mb; Stapler Remover Rz A; Isi Stapler Kecil No.10; Bolpoint; banner; Fotocopy; Spidol Hitam Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 14:35:39.344','tamankrocok'),
(7019,'48179593','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.317.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas HVS F4 80 gram; Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 14:35:39.344','tamankrocok'),
(7020,'48179594','Belanja Makanan dan Minuman Rapat','4.700.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 14:35:39.344','tamankrocok'),
(7021,'48236498','Belanja Bahan-Bahan Bakar dan Pelumas','266.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7022,'48236499','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','E-Purchasing','APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7023,'48236500','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','890.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map kertas; Fotocopy; Buku Block Note reportad A5; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7024,'48236501','Belanja Makanan dan Minuman Rapat','5.640.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7025,'48236968','Pendataan dan Pengolahan Administrasi Kepegawaian','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; kertas HVS F4 70 gram; Bolpoint; Map kertas; Snelhecter Map; Map Kancing Punggung Interx; Stapler Hd 10; kertas HVS F4 70 gram; Kartu Sirkulasi, Kartu Buku Besar, kantong Buku, Label buku, lembar perhatian, kartu Katalog, Cetak Lembar Kartu dan Label f; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7026,'48236974','Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','2.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Taman Krocok',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Lembar Disposisi; Kertas A4 70 Gr; Lembar Disposisi; Fotocopy; Buku Agenda Staf Ahli I,Ii, & Iii Bahan Hvs 80 Gsm Folio Isi 250 Lbr Cetak 2 Muka + Cover + Mika; Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 20:51:43.43','tamankrocok'),
(7027,'47299448','Penyusunan Dokumen Perencanaan Perangkat Daerah','2.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Stopmap Kertas; Kertas A4 70 Gr; Tinta Epson Warna T 6644; Stopmap Kertas; Lem Cair 112; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7028,'47299465','Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Dokumen RKA-SKPD)','1.500.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Cetak Cover; kertas HVS F4 70 gram; Cetak Cover; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:52:47.332','tapen'),
(7029,'47299486','Koordinasi dan Penyusunan Dokumen Perubahan RKA-SKPD','1.500.000','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','kertas HVS F4 70 gram; Cetak Cover; Fotocopy; Cetak Cover; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7030,'47299521','Koordinasi dan Penyusunan DPA-SKPD','1.500.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Cetak Cover; kertas HVS F4 70 gram; Cetak Cover; Fotocopy; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7031,'47299559','Koordinasi dan Penyusunan Perubahan DPA- SKPD','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover;','Cetak Cover; Kertas A4 70 Gr; Fotocopy; Cetak Cover; Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:52:47.332','tapen'),
(7032,'47299618','Belanja Alat/Bahan untuk Kegiatan Kantor Belanja Alat/Bahan untuk Kegiatan Kantor (Koordinasi dan Penyusunan Laporan Capaian Kinerja dan Ikhtisar Realisasi Kinerja SKPD)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Stabilo Faber Castle; Kertas A4 70 Gr; Tinta Epson 003; Fotocopy; Kertas A4 70 Gr; Tinta Epson 003; Stabilo Faber Castle; map snelhecter plastik; Isi Steples Kecil No 10; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:52:47.332','tapen'),
(7033,'47299703','Belanja Alat/Bahan untuk Kegiatan Kantor (Evaluasi Kinerja Perangkat Daerah)','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','map snelhecter plastik; Kertas A4 70 Gr; Tinta Epson 003; Isi Steples Kecil No 10; kertas HVS F4 70 gram; map snelhecter plastik; Fotocopy; Kertas A4 70 Gr; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 15:52:47.332','tapen'),
(7034,'48207308','Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Kertas A4 70 Gr; Stopmap Kertas; Tinta Epson Warna T 6644; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6643; Stopmap Kertas; Tinta Epson Warna T 6644; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7035,'48207342','Koordinasi dan Pelaksanaan Akuntansi SKPD','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Bahan Komputer;','Snelhecter Map; Kertas A4 70 Gr; Tinta Epson Warna T 6644; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Hitam T 6641; Snelhecter Map; Tinta Epson Warna T 6642;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7036,'48207451','Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer;','Tinta Epson 003; Odner Besar; Kertas A4 70 Gr; Isi Steples Kecil No 10; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman; Odner Besar; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7037,'48207500','Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer;','Kertas A4 70 Gr; Tinta Epson 003; Stopmap Kertas; Fotocopy; Stopmap Kertas; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7038,'48207553','Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor;','Kertas A4 70 Gr; map snelhecter plastik; Fotocopy; Kertas A4 70 Gr; Kertas Buffalo; kertas HVS F4 70 gram; map snelhecter plastik; lakban kecil hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7039,'48207811','Rekonsiliasi dan Penyusunan Laporan Barang Milik Daerah pada SKPD','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover;','Kertas A4 70 Gr; map snelhecter plastik; Cartridge Epson PLQ-20; Fotocopy; Kertas A4 70 Gr; Cartridge Epson PLQ-20; map snelhecter plastik; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7040,'48207840','Penatausahaan Barang Milik Daerah pada SKPD','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','Tinta Epson Hitam T 6641; Stabilo Faber Castle; kertas HVS F4 70 gram; Fotocopy; Stabilo Faber Castle; Spidol Marker; Stopmap Kertas; kertas HVS F4 70 gram; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7041,'48207925','Pendataan dan Pengolahan Administrasi Kepegawaian','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover;','Snelhecter Map; Kertas A4 70 Gr; Tinta Epson 003; Isi Steples Kecil No 10; Fotocopy; kertas HVS F4 70 gram; Tinta Epson 003; Snelhecter Map; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7042,'48207955','Monitoring, Evaluasi, dan Penilaian Kinerja Pegawai','1.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Spidol Marker; kertas HVS F4 70 gram; Tinta Epson Warna T 6644; Paper Clip; Fotocopy; Tinta Epson Warna T 6642; Spidol Marker; Isi Steples Kecil No 10; kertas HVS F4 70 gram; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7043,'48208004','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','1.500.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel type NYGB; kabel NYY 3x6 mm; Lampu Hemat Listrik ,Essential Type 82/86, 18 W; Lampu Emergency ,10W; Kabel Stopkontak Rol;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7044,'48208070','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.500.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','sapu ijuk panjang; sikat lantai; Sapu Cap Ayam; Canebo; Keset Besar; tempat sampah injak sedang; Tissue Nice, isi 900 gr; Sabun cuci tangan Lifebuoy; Handuk;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7045,'48216296','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.949.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7046,'48216299','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.937.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Hitam T 6641; Tinta Epson 003; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7047,'48216300','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.273.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Pensil 2B; Spidol 6 Warna; Stopmap Kertas; Snelhecter Map; Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7048,'48216301','Belanja Makanan dan Minuman Rapat','16.920.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7049,'48216327','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.500.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Lembar Disposisi 1/2 Folio Bahan Kertas Hvs 70 Gsm Uk. 1/2 Folio Cetak 1 Muka Isi 500 Lbr Sampul Atas Cassing, Bawah Karton; Cetak Buku Laporan Kegiatan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7050,'48216451','Pengadaan Peralatan dan Mesin Lainnya','48.468.200','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Modal Personal Computer; Belanja Modal Peralatan Personal Computer; Personal Computer; Peralatan Personal Computer;','Laptop / Note Book Satellite U840-1001U Intel Core I5-2467M,4Gb Ddr3, 500Gb Hdd, 16Gb Ssd, Nic, Wifi,Bluetooth, Vga Intel Hd 1168Mb (Shared), Camera,14Inch Wxga, Win7 Home Premium; Printer; Laptop / Note Book Satellite U840-1001U Intel Core I5-2467M,4Gb Ddr3, 500Gb Hdd, 16Gb Ssd, Nic, Wifi,Bluetooth, Vga Intel Hd 1168Mb (Shared), Camera,14Inch Wxga, Win7 Home Premium; Printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7051,'48216642','Belanja Kawat/Faksimili/Internet/TV Berlangganan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7052,'48216644','Belanja Tagihan Air','4.800.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Tagihan Air;','Air PDAM;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7053,'48216646','Belanja Tagihan Listrik','7.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Pulsa /token listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7054,'48216750','Belanja Bahan-Bahan Bakar dan Pelumas','15.431.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7055,'48216875','Belanja Bahan-Bahan Bangunan dan Konstruksi','9.646.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Mill; cat kayu / emco; Genteng Kaca; Thinner; Kuas roll; Amplas Kayu; Kuas Cat; Cat Tenbok kw 1; Cat Tenbok kw 1;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7056,'48217060','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','479.600','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7057,'48217061','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.399.200','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7058,'48217062','Belanja Makanan dan Minuman Rapat','25.850.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ; Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7059,'48217063','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.871.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Snelhecter Map; Isi Stapler Kecil No.10; Fotocopy; Stopmap Kertas; Isi Staples Besar No. 23;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7060,'48217122','Belanja Bahan-Bahan Bakar dan Pelumas','3.444.700','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7061,'48217123','Belanja Makanan dan Minuman Rapat','17.625.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7062,'48217124','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.362.800','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas Bufallo A4 / F4 Sidu; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7063,'48217125','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.126.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','lakban besar hitam; Isi Stapler Kecil No.10; Correction Ke 201; Stopmap Kertas; Odner Besar; Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7064,'48217126','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.862.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7065,'48217194','Pelaksanaan Urusan Pemerintahan yang Terkait dengan Pelayanan Perizinan Non Usaha','7.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Kertas A4 70 Gr; Cartridge Epson PLQ-20; Spidol Text Liner Kuning; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Spidol Text Liner Kuning; Correction 802; Stopmap Kertas; Lem Cair 112; Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7066,'48217228','Pelaksanaan Urusan Pemerintahan yang terkait dengan Nonperizinan','7.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer;','Kertas A4 70 Gr; Spidol Text Liner Kuning; Cartridge Epson PLQ-20; Spidol Text Liner Kuning; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Correction 803; Stopmap Kertas; Lem Cair 112; Isi Steples Besar No 3; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7067,'48217247','Pelaksanaan Urusan Pemerintahan yang Terkait dengan Kewenangan Lain yang Dilimpahkan','4.717.300','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Kertas A4 70 Gr; Tinta Epson 003; Paper Clip; Isi Steples Besar No 3; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Epson 003; Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Paper Clip; Snelhecter Map; Lem Cair 112;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7068,'48217330','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7069,'48217331','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','604.200','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson 003; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7070,'48217332','Belanja Makanan dan Minuman Rapat','5.875.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7071,'48217333','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.873.400','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Spidol Hitam Boardmarker; Stopmap Kertas; Snelhecter Map; lakban besar hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7072,'48217392','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.143.900','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7073,'48217393','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7074,'48217394','Belanja Makanan dan Minuman Rapat','16.450.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7075,'48217395','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.173.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip warna; Stopmap Kertas; Isi Steples Kecil No 10; Fotocopy; Snelhecter Map; Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7076,'48217421','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','875.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7077,'48217422','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.987.500','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; Tinta Epson Warna T 6644;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7078,'48217424','Belanja Makanan dan Minuman Rapat','22.090.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7079,'48217425','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.443.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip; Stopmap Kertas; Lem Cair 112; Fotocopy; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7080,'48217548','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','675.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; banner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7081,'48217549','Belanja Makanan dan Minuman Rapat','3.525.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7082,'48217584','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','650.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Ke 201; Odner Kecil; Buku Agenda; Fotocopy; Buku Tulis 100 Lbr; Stopmap Kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7083,'48217585','Belanja Makanan dan Minuman Rapat','2.350.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7084,'48217637','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','770.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Correction Ke 201; Buku Tulis 100 Lbr; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7085,'48217638','Belanja Makanan dan Minuman Rapat','4.230.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7086,'48217720','Belanja Makanan dan Minuman Rapat','4.230.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7087,'48217721','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','770.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Cair 112; Correction Ke 201; Buku Tulis 100 Lbr; Stopmap Kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7088,'48217795','Belanja Makanan dan Minuman Rapat','5.875.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7089,'48217799','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.125.000','E-Purchasing','APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Buku Tulis 100 Lbr; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7090,'48217930','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7091,'48217931','Belanja Makanan dan Minuman Rapat','44.650.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7092,'48217932','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.150.200','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Isi Steples Kecil No 10; Isi Steples Besar No 3; Fotocopy; Odner Besar; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7093,'48217933','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.862.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7094,'48217950','Belanja Makanan dan Minuman Rapat','2.632.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7095,'48217951','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','468.000','Pengadaan Langsung','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7096,'48217992','Belanja Makanan dan Minuman Rapat','2.820.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7097,'48217993','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','180.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7098,'48218168','Belanja Bahan-Bahan Bakar dan Pelumas','4.508.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Bakar dan Pelumas;','Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-19 17:46:25.113','tapen'),
(7099,'48218169','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.080.100','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Odner Besar; Snelhecter Map; Fotocopy; Fotocopy; Correction Ke 201; Stopmap Kertas; Lem Cair 112; Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7100,'48218173','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.392.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7101,'48218177','Belanja Makanan dan Minuman Rapat','38.775.000','E-Purchasing','APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7102,'48218180','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','978.600','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7103,'48218415','Fasilitasi Administrasi Tata Pemerintahan Desa','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Alat Tulis Kantor;','Kertas A4 70 Gr; Tinta Epson Warna T 6644; Snelhecter Map; Fotocopy; Kertas A4 70 Gr; Tinta Epson Hitam T 6641; Isi Steples Kecil No 10; kertas HVS F4 70 gram; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7104,'48218472','Fasilitasi Pengelolaan Keuangan Desa dan Pendayagunaan Aset Desa','1.500.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Kertas dan Cover;','Fotocopy; Kertas A4 70 Gr; Tinta Epson Warna T 6644; Fotocopy; Kertas A4 70 Gr; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7105,'48218540','Fasilitasi Sinkronisasi Perencanaan Pembangunan Daerah dengan Pembangunan Desa','5.000.000','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer;','Kertas A4 70 Gr; Tinta Epson 003; Correction Ke 201; Snelhecter Map; Isi Steples Kecil No 10; Fotocopy; Kertas A4 70 Gr; kertas HVS F4 70 gram; Tinta Printer epson 003 warna hitam; Correction Ke 201; Stopmap Kertas; Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7106,'48218781','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.798.500','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7107,'48218782','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.982.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Cartridge Epson PLQ-20; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642; Tinta Epson Hitam T 6641;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7108,'48218783','Belanja Makanan dan Minuman Rapat','29.375.000','E-Purchasing','APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7109,'48218784','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.173.600','E-Purchasing','APBD, APBD, APBD, APBD, APBD, APBD','February 2024','Kab. Bondowoso','Kecamatan Tapen',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Snelhecter Map; Fotocopy; Lem Cair 112; Isi Steples Kecil No 10; Isi Steples Besar No 3;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Februari 2024','Februari 2024','Februari 2024','2024-01-19 17:46:25.113','tapen'),
(7110,'47509646','Belanja Modal Personal Computer','26.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tegalampel',2024,'1 Paket','Personal Computer;','Laptop;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 13:20:47.776','tegalampel'),
(7111,'47115000','Belanja Barang Pakai Habis, Belanja Suku Cadang-Suku Cadang Alat Angkutan','6.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Suku Cadang-Suku Cadang Alat Angkutan','4 Unit Accu Mobil YB3L; 4 Buah Ban Luar Kendaraan Roda 4 Uk 201956515; 4 Pcs Shogun Fd 110 Cd Kabel Kopling ; 1 Pcs Smash 110 Kabel Gas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7112,'47118498','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','76.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9 Lembar Fotocopy; 10 Lembar Fotocopy; 1 Buah Spidol Kecil; 1 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7113,'47119415','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','123.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1 rim Kertas HVS A4 70 Gr; 1 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7114,'47123082','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','76.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1 Buah Spidol Kecil; 1 pack Stopmap Kertas; 19 Lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7115,'47128840','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','123.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1 Rim Kertas HVS A4 70 Gr; 1 Rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7116,'47132396','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','595.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','878 Lembar Fotocopy; 5 Buku Jilid Cetak Buku ASB; 1 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7117,'47133822','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','480.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 Rim Kertas HVS A4 70 Gr; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7118,'47135511','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1 Buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7119,'47139330','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.498.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'13 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','40 Meter banner; 10 Pack Binder clip; 6 Pack Cutter L 500; 4 Buah Cutter (Refil Isi Cutter) Besar Merk L500; 10 Buah Isi Staples Besar No. 23; 6 Buah map snelhecter plastik; 23 Buah Odner Besar; 15 Pack Paper Clip; 12 Pack Paper Clip Jumbo; 6 Buah Penggaris Baja 100 Cm; 2 Buah Stapler Hd 50 Besar; 1870 Lembar Fotocopy; 15 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7120,'47140521','Belanja Barang Pakai Habis,Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.374.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4 Pack Kertas Bufallo Berbagai Warna; 60 Rim Kertas HVS A4 70 Gr; 50 Rim kertas HVS F4 70 gram; 6 pack Amplop Coklat Cabinet; 4 Pack Kertas Bufallo A4 / F4 Sidu','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7121,'47140909','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4.505.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10 Buah Tinta Epson Hitam T 6641; 8 Buah Tinta Epson Warna T 6642; 8 Buah Tinta Epson Warna T 6643; 8 Buah Tinta Epson Warna T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7122,'47141354','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','700 Kotak Kue Kotak; 700 Kotak Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7123,'47147214','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','9 Meter Banner; 4 Buku Cetak Buku Materi; 162 Lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7124,'47149442','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.110.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'13 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','10 Buah Dop 15 Watt Philips; 1 meter Kabel Nyy Supreme,0.6/1Kvsni, Uk. 1X35 Mm2; 1 Pcs Kabel Skun/Al/Cu(One Hole) Cas-35 (420Pcs/Crtn); 1 Pcs Kabel Skun/Al/Cu(One Hole) Cas-50 (360Pcs/Crtn); 10 Pcs Kabel Skun/Crom Sc Jgk-35(2.400 Pcs/Crtn); 25 meter Kabel type NYY/NYM 2 x 2,5 mm2; 2 Buah Lampu ,C 7.5 Warna; 2 box Lampu ,Cand Fr 40 100 Pc; 10 Buah Lampu Hologen ,20 Watt 12 V Esen; 1 buah Lampu HPL-N 250 W; 10 Buah lampu LED 18 watt; 1 Buah Lampu SL 52 W; 1 Buah Sekring Otomatis,10 Ampere','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Juli 2024','Januari 2024','Juli 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7125,'47151407','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2 Buah Alat Pel Lantai Putar; 2 Buah Sapu Ijuk 2 Macam; 8 Buah sapu lidi; 2 Buah Tisu Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7126,'47155467','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','3 Meter Karpet Lantai; 39 Buah Kain Lap / Serbet Makan Serbaguna kain katun, 53 x 52 cm; 1 Buah Sapu Lidi; 2 Buah Sarung Tangan; 2 Buah Sarung Tangan Plastik','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Agustus 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7127,'47156914','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','649.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1198 Lembar Fotocopy; 10 Buah map snelhecter plastik; 4 Buah Ordner Lorek Kw; 1 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7128,'47157410','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','351.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 Rim Kertas HVS A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7129,'47174393','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','342.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','210 Lembar Fotocopy; 5 Buah Ordner Lorek Kw; 1 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7130,'47174831','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','234.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4 Rim Kertas HVS A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7131,'47175561','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 Buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7132,'47177120','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','559.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','934 Lembar Fotocopy; 4 Buku Jilid Cetak Buku ASB; 1 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7133,'47177956','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','440.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8 rim Kertas A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7134,'47186461','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','347.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1 pack Stopmap Kertas; 934 Lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7135,'47186573','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','440.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8 Rim Kertas A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7136,'47186725','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2 Buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7137,'47187587','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','243.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','410 Lembar Fotocopy; 1 Buku Jilid Cetak Buku ASB; 1 Pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7138,'47187705','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','117.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 rim Kertas HVS A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7139,'47187927','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1000 Lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7140,'47188016','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8 rim Kertas A4 70 Gr; 4 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7141,'47188234','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','295 Lembar Fotocopy; 4 buku Jilid Cetak Buku ASB','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7142,'47188285','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','275.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5 rim Kertas A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7143,'47188374','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 unit Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7144,'47188426','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','440.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','586 Lembar Fotocopy; 5 buku Jilid Cetak Buku ASB','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7145,'47188468','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','635.200','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','8 rim Kertas A4 70 Gr; 3 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7146,'47188527','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7147,'47188655','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','548.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','946 Lembar Fotocopy; 5 buku Jilid Cetak Buku ASB; 1 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7148,'47189030','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','460.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 rim Kertas A4 70 Gr; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Juni 2024','Januari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7149,'47189193','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Juni 2024','Januari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7150,'47189372','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','615.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','946 Lembar Fotocopy; 5 buku Jilid Cetak Buku ASB ; 1 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7151,'47189454','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','460.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 rim Kertas A4 70 Gr ; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7152,'47189514','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7153,'47189610','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','615.800','Pengadaan Langsung','APBD','February 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','946 lembar Fotocopy; 5 buku Jilid Cetak Buku ASB; 1 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Februari 2024','Februari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7154,'47189675','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','460.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 rim Kertas A4 70 Gr; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7155,'47189729','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah tinta epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Juli 2024','Desember 2024','Juli 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7156,'47191132','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','820.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1323 Lembar Fotocopy; 8 buku Jilid Cetak Buku ASB','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7157,'47191193','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','755.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','9 rim Kertas A4 70 Gr; 4 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7158,'47191241','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7159,'47191764','Belanja Modal Peralatan dan Mesin, Belanja Modal Personal Computer','15.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Modal Personal Computer','1 unit Laptop HP pavilion , intel core i5-8265U, memori 8 GB Hard drive 1 TB +','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7160,'47192002','Belanja Modal Peralatan Komputer,Belanja Modal Peralatan Personal Computer','7.738.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Modal Peralatan Personal Computer','2 unit Printer Epson L3210','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7161,'47216960','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.549.150','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'13 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12 meter Belanja banner 280 gsm; 4 Buah Cutter L 500; 225 Lembar Fotocopy; 977 Lembar Fotocopy; 4 pack Isi Steples Besar No 3; 5 botol Lem Besar; 10 botol Lem Kecil ; 20 buah map snelhecter plastik; 8 buah Ordner Lorek Kw; 10 buah Spidol Kecil; 5 buah Stabilo Faber Castle; 4 buah Stapler No. T3; 10 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7162,'47217387','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.701.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','18 rim Kertas HVS A4 70 Gr ; 10 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7163,'47217672','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.272.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','12 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7164,'47219181','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','5.012.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Makanan dan Minuman Rapat','48 botol Air Mineral Botol ; 100 Orang Kue Kotak ; 100 Orang Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7165,'47220890','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.259.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'6 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','24 meter Belanja banner 280 gsm; 10 pack Binder clip; 1 dos Binder Clip no 200; 1472 lembar Fotocopy; 6 buah Ordner Lorek Kw; 10 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7166,'47221526','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.337.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','14 rim Kertas HVS A4 70 Gr; 8 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7167,'47222075','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10 buaH Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7168,'47222604','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','4.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Makanan dan Minuman Rapat','23 dos Air Mineral; 75 kotak Kue Kotak; 75 kotak nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7169,'47229245','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','109.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','158 Lembar Fotocopy; 1 buah Odner Besar','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7170,'47230536','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','190.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1 pack Kertas Bufallo A4 / F4 Sidu; 1 rim Kertas HVS A4 70 Gr; 1 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7171,'47237384','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','100 orang Kue Kotak; 100 orang Nasi Kotak','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7172,'47310786','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.825.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'11 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','24 meter Belanja banner 280 gsm; 5304 Lembar Fotocopy; 10 Pack Isi Stapler Kecil No.10; 12 Pack Isi Staples Besar No. 23; 8 buku Jilid Cetak Buku ASB; 10 pack Map snell plastik; 8 buah Penggaris Baja 60 Cm; 4 buah Stapler Hd 50 Besar; 6 buah Stapler No. T3-10Mb; 24 pack Stopmap Kertas; 10 buah Ordner Lorek Kw','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7173,'47310844','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.914.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 pack Amplop Coklat samson D; 42 rim Kertas A4 70 Gr; 6 pack Kertas Buffalo; 16 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7174,'47310908','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','20 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7175,'47311029','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','27.140.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Makanan dan Minuman Rapat','80 dos Air Mineral; 60 botol Air Mineral Botol; 550 orang Kue Kotak Biasa; 550 orang Nasi Kotak Biasa','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7176,'47311297','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.847.250','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'16 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','24 meter banner; 2 buah Buku Tulis Agenda; 4 buah Cutter L 500; 1778 lembar Fotocopy; 75 lembar Fotocopy; 6 pack Isi Stapler Kecil No.10; 6 buku Jilid Cetak Buku ASB; 10 botol Lem Besar; 30 botol Lem Kecil; 30 buah map snelhecter plastik; 11 buah Ordner Lorek Kw; 15 pack Paper Clip; 10 buah Spidol Permanen; 1 buah Stapler Hd 50 Besar; 2 buah Stapler No. T3-10Mb; 20 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7177,'47311379','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.402.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','36 rim Kertas HVS A4 70 Gr; 20 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7178,'47311453','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','17.625.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','375 orang Kue Kotak; 375 orang nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7179,'47311616','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','602.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','50 lembar Cetak foto 4R; 796 Lembar Fotocopy; 10 buah Ordner Kecil','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7180,'47311672','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','20 rim Kertas A4 70 Gr; 20 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7181,'47312061','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.352.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10 buku Cetak Buku Materi; 1036 lembar Fotocopy; 10 buah Buku Tulis Agenda','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7182,'47312195','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','10 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7183,'47312447','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','26.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','106 lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7184,'47312484','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','923.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5 rim Kertas A4 70 Gr; 10 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7185,'47312512','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','150 kotak Kue Kotak; 150 kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7186,'47312640','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','698 lembar Fotocopy','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7187,'47312677','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','275.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5 rim Kertas A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7188,'47312745','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','6.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Makanan dan Minuman Rapat','130 kotak Kue Kotak; 130 kotak Nasi Kotak; 10 orang Nasi Kotak VIP, Makan dan minum Tamu','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7189,'47315068','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.949.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30 meter banner; 10 pack Binder clip; 3411 lembar Fotocopy; 5 pak Isi Staples Besar No. 23; 15 buah Odner Besar; 10 pak Paper Clip; 10 pak Paper Clip Jumbo; 2 buah Penggaris Baja 100 Cm; 2 buah Stapler Hd 50 Besar; 10 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7190,'47315170','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.970.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak Amplop Coklat Cabinet; 2 pak Kertas Bufallo A4 / F4 Sidu; 2 pak Kertas Bufallo Berbagai Warna; 30 rim Kertas HVS A4 70 Gr; 30 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7191,'47315291','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6 buah Tinta Epson Hitam T 6641; 6 buah Tinta Epson Hitam T 6642; 6 buah Tinta Epson Hitam T 6643; 6 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7192,'47315350','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','700 Kotak Kue Kotak; 700 Kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7193,'47315556','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.821.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'9 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12 meter banner; 6 pak Binder clip; 1666 lembar; 4 pak Isi Staples Besar No. 23; 10 buah Odner Besar; 4 pak Paper Clip; 8 pak Paper Clip Jumbo; 4 buah Penggaris Baja 100 Cm; 6 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7194,'47315667','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.259.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak vAmplop Coklat Cabinet; 1 pak Kertas Bufallo A4 / F4 Sidu; 1 pak Kertas Bufallo Berbagai Warna; 25 rim Kertas HVS A4 70 Gr; 25 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2019','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7195,'47315721','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson Hitam T 6641; 4 buah Tinta Epson Hitam T 6642; 4 buah Tinta Epson Hitam T 6643; 4 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7196,'47315788','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','350 kotak Kue Kotak; 350 kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Februari 2024','Februari 2024','Februari 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7197,'47317035','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','837.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','12 meter banner; 519 lembar Fotocopy; 3 buah Odner Besar; Penggaris Baja 100 Cm; 2 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7198,'47317169','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','493.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4 rim Kertas HVS A4 70 Gr; 4 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7199,'47317243','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','132.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1 buah Tinta Epson Hitam T 6641','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7200,'47317355','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','250 kotak Kue Kotak; 250 kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7201,'47325798','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','183.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'3 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1 buah Buku Agenda; 328 Lembar Fotocopy; 1 buah Map T 460 A4','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7202,'47325937','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','117.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 rim Kertas HVS A4 70 Gr','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7203,'47326031','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','100 Kotak Kue Kotak; 100 Kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7204,'47331600','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.942.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30 meter banner; 5 pack Binder clip; 1771 Lembar Fotocopy; 5 pack Isi Staples Besar No. 23; 5 Buah Odner Besar; 5 pack Paper Clip; 5 pack Paper Clip Jumbo; 2 buah Penggaris Baja 100 Cm; 2 buah Stapler Hd 50 Besar; 5 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7205,'47334611','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.368.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1 Pack Amplop Coklat Cabinet; 1 pack Kertas Bufallo A4 / F4 Sidu; 10 rim Kertas HVS A4 70 Gr; 10 rim kertas HVS F4 70 gram; 1 Pack Kertas Bufallo Berbagai Warna','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7206,'47342720','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.722.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson Hitam T 6641; 3 buah Tinta Epson Hitam T 6642; 3 buah Tinta Epson Hitam T 6643; 3 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7207,'47343393','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','400 Kotak Kue Kotak; 400 Kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7208,'47346933','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.649.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30 meter banner; 10 pak Binder clip; 2411 lembar Fotocopy; 5 pak Isi Staples Besar No. 23; 15 buah Odner Besar; 10 pak Odner Besar; 10 pak Paper Clip Jumbo; 2 buah Penggaris Baja 100 Cm; 2 buah Stapler Hd 50 Besar; 10 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 10:00:21.171','tenggarang'),
(7209,'47356269','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.970.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','30 rim Kertas HVS A4 70 Gr; 2 pak Amplop Coklat Cabinet; 2 pak Kertas Bufallo A4 / F4 Sidu; 2 pak Kertas Bufallo Berbagai Warna; 30 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7210,'47360188','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6 buah Tinta Epson Hitam T 6641; 6 buah Tinta Epson Hitam T 6642; 6 buah Tinta Epson Hitam T 6643; 6 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7211,'47360738','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','600 orang Kue Kotak; 600 orang Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7212,'47365345','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.985.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30 meter banner; 5 pak Binder clip; 1914 lembar Fotocopy; 5 pAK Isi Staples Besar No. 23; 5 BUAH Odner Sedang; 5 pak Paper Clip; 5 Pak Paper Clip Jumbo; 2 buah Penggaris Baja 100 Cm; 2 buah Stapler Hd 50 Besar; 5 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7213,'47366575','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.409.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak Amplop Coklat Cabinet; 1 pak Kertas Bufallo A4 / F4 Sidu; 1 pak Kertas Bufallo Berbagai Warna; 10 rim Kertas HVS A4 70 Gr; 10 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7214,'47367253','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.855.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5 buah Tinta Epson Hitam T 6641; 3 buah Tinta Epson Warna T 6642; 3 buah Tinta Epson Warna T 6643; 3 buah Tinta Epson Warna T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7215,'47368004','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','200 Orang Kue Kotak; 200 Orang Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7216,'47385234','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','353.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','456 Lembar Fotocopy; 1 buah Odner Besar; 1 pack Paper Clip;\' 1 pak Paper Clip Jumbo 1 pack Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7217,'47385585','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','246.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 rim Kertas HVS A4 70 Gr; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7218,'47386148','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','200 orang Kue Kotak; 200 orang Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7219,'47389492','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','538.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','656 Lembar Fotocopy; 3 buah Odner Besar; 1 pak Paper Clip; 1 pak Paper Clip Jumbo; 1 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7220,'47390082','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','246.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 rim Kertas HVS A4 70 Gr; 2 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7221,'47390369','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2 buah Tinta Epson Hitam T 6641','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7222,'47390738','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','50 kotak Kue Kotak; 50 kotak nasi kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7223,'47391757','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.806.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'9 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','32 meter banner; 6 pak Binder clip; 2433 lembar Fotocopy; 4 pak Isi Staples Besar No. 23; 10 buah Odner Besar; 10 pak Paper Clip; 11 pak Paper Clip Jumbo; 1 buah Penggaris Baja 100 Cm; 6 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7224,'47392227','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.001.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak Amplop Coklat Cabinet; 2 pak Kertas Bufallo A4 / F4 Sidu; 2 pak Kertas Bufallo Berbagai Warna; 25 rim Kertas HVS A4 70 Gr; 35 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7225,'47392466','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson Hitam T 6641; 4 buah Tinta Epson Hitam T 6642; 4 buah Tinta Epson Hitam T 6643; 4 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7226,'47392724','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','500 kotak Kue Kotak; 500 kotak Nasi Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7227,'47394124','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.765.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','30 meter banner; 6 pak Binder clip; 2760 lembar Fotocopy; 7 pak Isi Staples Besar No. 23; 19 buah Odner Sedang; 10 pak Paper Clip; 10 pak Paper Clip Jumbo; 4 buah Penggaris Baja 100 Cm; 2 buah Stapler Hd 50 Besar; 6 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7228,'47395255','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.056.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak Amplop Coklat Cabinet; 2 pak Kertas Bufallo A4 / F4 Sidu; 2 pak Kertas Bufallo Berbagai Warna; 15 rim Kertas HVS A4 70 Gr; 14 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7229,'47395954','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','4 buah Tinta Epson Hitam T 6641; 4 buah Tinta Epson Hitam T 6642; 4 buah Tinta Epson Hitam T 6643; 4 buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7230,'47396222','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','500 kotak Kue Kotak; 500 kotak nasi kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:12:54.88','tenggarang'),
(7231,'47411923','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.790.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','64 meter banner; 5 pak Binder clip; 1876 lembar Fotocopy; 4 pak Isi Staples Besar No. 23; 5 pak Paper Clip; 5 pack Paper Clip Jumbo; 2 pak Penggaris Baja 100 Cm; 2 pak Stapler Hd 50 Besar; 4 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7232,'47412783','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.517.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','6 pak Amplop Coklat Cabinet; 5 rim Kertas Bufallo A4 / F4 Sidu; 8 rim Kertas Bufallo Berbagai Warna; 16 rim Kertas HVS A4 70 Gr; 12 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7233,'47413945','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.192.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'4 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3 Buah Tinta Epson Hitam T 6641; 2 Buah Tinta Epson Hitam T 6642; 2 Buah Tinta Epson Hitam T 6643; 2 Buah Tinta Epson Hitam T 6644','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7234,'47418947','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','500 Kotak Kue Kotak; 500 Nasi Kue Kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7235,'47421010','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.742.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'10 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10 meter banner ; 2 pak Binder clip ; 878 lembar Fotocopy; 4 pak Isi Staples Besar No. 23 ; 6 buah Odner Sedang ; 3 pak Paper Clip; 2 pak Paper Clip Jumbo; 3 buah Penggaris Baja 100 Cm; 1 buah Stapler Hd 50 Besar; 2 pak Stopmap Kertas','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7236,'47422097','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.196.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'5 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2 pak Amplop Coklat Cabinet ; 1 pak Kertas Bufallo A4 / F4 Sidu ; 1 pak Kertas Bufallo Berbagai Warna; 13 rim Kertas HVS A4 70 Gr ; 4 rim kertas HVS F4 70 gram','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7237,'47422487','Belanja Barang Pakai Habis, Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','848.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','8 buah Tinta Epson','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7238,'47422993','Belanja Barang Pakai Habis, Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tenggarang',2024,'2 Paket','Belanja Makanan dan Minuman Rapat','200 kotak Kue Kotak; 200 kotak nasi kotak','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:04:46.653','tenggarang'),
(7239,'47029755','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7240,'47029756','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.460.000','Dikecualikan','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction 803; Snelhecter Map; Stop Map Kertas Biasa; banner biasa; Block Note A5; Bolpoint; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7241,'47030367','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.080.000','Dikecualikan','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','banner biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7242,'47030368','Belanja Makanan dan Minuman Rapat','7.520.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7243,'47030376','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.140.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; banner biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7244,'47030377','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7245,'47030427','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.255.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Paper Clip No. 1 (Kecil); Penggaris Baja 30 Cm; Lem Kecil; Stapler Hd 50 Besar; Isi Stapler Kecil No.10; Isi Steples Besar No 3; Fotocopy; Bolpoint; Odner Sedang; Snelhecter Map; Stop Map Kertas Biasa; banner biasa; Brief Odner; Binder Clip no 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7246,'47030430','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7247,'47030431','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7248,'47030432','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.560.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7249,'47030461','Pemeliharaan/Rehabilitasi Gedung Kantor dan Bangunan Lainnya','25.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Belanja Bahan-Bahan Bangunan dan Konstruksi; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Tukang; Semen Gresik Tertinggi; Tukang; Tukang Cat; Semen Gresik Tertinggi; Pasir Urug; Batu Bata; Cat kayu/besi; Keramik 20/20 Setara Asia; Thinner; Kayu reng; Eternit; paku eternit; Daun pintu dari kayu jati pembuatan langsung pengrajin; Cat tembok; talang karet 110 cm; Klosed Jongkok; Kuas Cat; Plamir Tembok; Plamir Tembok; Grendel;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:40.079','tlogosari'),
(7250,'47030482','Belanja Suku Cadang-Suku Cadang Alat Angkutan','5.300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Suku Cadang Alat Angkutan;','Suku Cadang Alat Angkutan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:40.079','tlogosari'),
(7251,'47030483','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Jasa Servis Mobil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:40.079','tlogosari'),
(7252,'47030484','Belanja Bahan-Bahan Bakar dan Pelumas','4.348.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 4; Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:40.079','tlogosari'),
(7253,'47030550','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','724.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Stam Pad (Bantalan); Tinta stempel Ungu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7254,'47030551','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','275.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7255,'47030584','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','724.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; Stam Pad (Bantalan);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7256,'47030585','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','275.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7257,'47030622','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','676.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Stapler Hd 10 Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Binder Clip No. 260; Stam Pad (Bantalan);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7258,'47030623','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7259,'47030652','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','676.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7260,'47030653','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7261,'47030669','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','724.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, S/D 50 Halaman (Lakban); Binder Clip No. 260;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7262,'47030670','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','275.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7263,'47030702','Koordinasi dan Pelaksanaan Akuntansi SKPD','1.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Alat Tulis Kantor;','map snelhecter plastik; kertas HVS F4 70 gram; Fotocopy; Binder Clip no 200; kertas HVS F4 70 gram; map snelhecter plastik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7264,'47030721','Koordinasi dan Penyusunan Laporan Keuangan Akhir Tahun SKPD','1.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','map snelhecter plastik; Tinta printer Hitam Epson; kertas HVS F4 70 gram; map snelhecter plastik; Fotocopy; Jilid Dan Cetak Cover Warna Dan Laminasi, Diatas 100 Halaman (Lakban); Stamp Pad; Binder Clip no 200; Tinta stempel Ungu; kertas HVS F4 70 gram; Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7265,'47030736','Koordinasi dan Penyusunan Laporan Keuangan Bulanan/ Triwulanan/ Semesteran SKPD','1.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover;','Paper Clip No. 1 (Kecil); kertas HVS F4 70 gram; Stop Map Kertas Biasa; Fotocopy; Paper Clip No. 1 (Kecil); Snelhecter Map; Stapler Hd 10 Kecil; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7266,'47030751','Pelaksanaan Penatausahaan dan Pengujian/Verifikasi Keuangan SKPD','1.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer;','Paper Clip Cadwell No. 3 (Tanggung); Kertas A4 70 Gr; Tinta C6656A Black; Fotocopy; Binder Clip No. 260; Stam Pad (Bantalan); Paper Clip Cadwell No. 3 (Tanggung); Snelhecter Map; Stop Map Kertas Biasa; Kertas A4 70 Gr; Tinta C6656A Black;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7267,'47030805','Pengelolaan dan Penyiapan Bahan Tanggapan Pemeriksaan','1.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Fotocopy; Stabilo Faber Castle; Paper Clip No. 1 (Kecil); Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Binder Clip no 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7268,'47030835','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','18.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Tagihan Air; Belanja Tagihan Listrik; Belanja Kawat/Faksimili/Internet/TV Berlangganan; Beban Tagihan Air; Beban Tagihan Listrik; Beban Kawat/Faksimili/Internet/TV Berlangganan;','instansi Pemerintah 0 s/d 10; Belanja Tagihan Listrik; Belanja Wifi; instansi Pemerintah 0 s/d 10; Belanja Tagihan Listrik; Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7269,'47030864','Penyediaan Jasa Peralatan dan Perlengkapan Kantor','3.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Service Printer; Belanja Service Printer; Upah Servis Sound Sistem; Service laptop / komputer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:36.533','tlogosari'),
(7270,'47030894','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7271,'47030895','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','153.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer;','Isi Toner Cartridge Laserjet 85 A;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7272,'47030896','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','716.700','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Fotocopy; Brief Odner; Porforator Kecil 30Xl; Binder Clip no 200; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7273,'47030966','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','640.300','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Correction Ke 01; Stop Map Kertas Biasa; Snelhecter Map; Penggaris Baja 30 Cm; Fotocopy; Buku Buku Folio 100 Lbr; Bolpoint; Stabilo Faber Castle;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7274,'47030967','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','359.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7275,'47031013','Pengadaan Peralatan dan Mesin Lainnya','19.610.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Belanja Modal Personal Computer; Belanja Modal Peralatan Personal Computer; Personal Computer; Peralatan Personal Computer;','PC Core i5- 7400T 4/1T Radeon 5302 DVDRDW 21.5 inch DOS; Printer Epson All in One; PC Core i5- 7400T 4/1T Radeon 5302 DVDRDW 21.5 inch DOS; Printer Epson All in One;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7276,'47031045','Belanja Makanan dan Minuman Rapat','11.750.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7277,'47031046','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.930.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','banner biasa; Snelhecter Map; Stop Map Kertas Biasa; Tinta stempel Ungu; Lem Cair 50 Ml; Stapler Hd 10 Kecil; Stapler Hd 10 D; Isi Stapler Kecil No.10; Fotocopy; Brief Odner; Stam Pad (Bantalan); Binder Clip no 155;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7278,'47031048','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7279,'47031049','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.040.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7280,'47031062','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','banner biasa; Paper Clip No. 1 (Kecil); map snelhecter plastik; Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Fotocopy; Binder Clip no 200;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7281,'47031063','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','260.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer;','Tinta printer Hitam Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7282,'47031064','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7283,'47031065','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:57.36','tlogosari'),
(7284,'47031079','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','599.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7285,'47031080','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7286,'47031081','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.863.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','banner biasa; Bolpoint; Paper Clip Cadwell No. 5 (Jumbo); map snelhecter plastik; Odner Sedang; Snelhecter Map; Stop Map Kertas Biasa; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; Isi Staples Besar No. 23; Fotocopy; Stamp Pad; Binder Clip No. 200; Perfurator Standard; Spidol Hitam Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7287,'47031082','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.560.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7288,'47031107','Belanja Makanan dan Minuman Rapat','3.290.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7289,'47031108','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','870.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','banner biasa; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:24.372','tlogosari'),
(7290,'47031126','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','500.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor;','Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7291,'47031127','Belanja Makanan dan Minuman Rapat','4.700.000','Dikecualikan','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7292,'47031128','Belanja Perjalanan Dinas Paket Meeting Dalam Kota','4.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Perjalanan Dinas Paket Meeting Dalam Kota;','JAWA TIMUR;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7293,'47031203','Belanja Makanan dan Minuman Rapat','6.000.000','Dikecualikan','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7294,'47031204','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.400.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Spidol Text Liner Orange; Tinta Stempel Kecil; Paper Clip No. 3; Correction 803; Map snell plastik; Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; banner biasa; Stamp Pad; Binder Clip No. 107; Porforator Kecil Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:53:15.548','tlogosari'),
(7295,'47031231','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.900.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Orange; Bolpoint; Tinta Stempel Kecil; Paper Clip No. 3; Correction 803; Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; banner biasa; Stamp Pad; Binder Clip No. 107; Porforator Kecil Biasa;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7296,'47031232','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7297,'47031238','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.100.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Orange; Paper Clip No. 3; Correction 803; Snelhecter Map; Stop Map Kertas Biasa; Fotocopy; banner biasa; Stamp Pad; Binder Clip No. 107; Porforator Kecil Biasa; Bolpoint; Tinta Stempel Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7298,'47031239','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7299,'47036127','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.759.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Text Liner Merah Muda; Paper Clip No. 1 (Kecil); map snelhecter plastik; Odner Sedang; Snelhecter Map; Stop Map Kertas Biasa; Lem Cair 112; Fotocopy; banner biasa; Brief Odner; Buku Buku Folio 100 Lbr; Porforator Kecil Biasa; Stam Pad (Bantalan); Binder Clip no 200; Spidol Hitam Boardmarker; Tinta stempel Ungu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7300,'47036128','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:54:47.808','tlogosari'),
(7301,'47036129','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.040.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7302,'47036130','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Tlogosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 08:55:18.725','tlogosari'),
(7303,'47573399','Beban Makanan dan Minuman Rapat','1.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'100 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7304,'47573797','Beban Makanan dan Minuman Rapat','2.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'75 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7305,'47573798','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','250.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7306,'47574563','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','301.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','map snelhecter plastik; Fotocopy; Bolpoint; Stopmap Kertas;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7307,'47574564','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.199.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7308,'47574974','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','167.600','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Fotocopy; Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:16.442','wonosari'),
(7309,'47574975','Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7310,'47574976','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 18:36:49.618','wonosari'),
(7311,'47578496','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; map snelhecter plastik; Odner Sedang; Stopmap Kertas; Fotocopy; Pensil 2B; Lem Kecil; Stapler Hd 10; Porforator Sedang 40 Xl;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7312,'47578507','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','5.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik; Alat Listrik;','Kabel NYY 2 X 2,5 mm; Lampu LED 15 Watt; lampu LED 18 watt; Kabel Stopkontak Rol; Stop Kontak; Saklar Ob Saklar Seri Broco;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7313,'47578516','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','444.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Penggaris Baja 30 Cm; Fotocopy; Stabilo Boss Warna;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7314,'47578517','Benda Pos','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'50 Lembar','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7315,'47578518','Belanja Makanan dan Minuman Rapat','18.056.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Air Mineral; Air Mineral Botol; Tumpeng;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7316,'47578548','Alat Tulis Kantor','54.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'183 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7317,'47578549','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.079.100','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas A4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7318,'47578550','Bahan Komputer','1.866.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'10 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7319,'47578565','Alat Tulis Kantor','9.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'30 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7320,'47578576','Alat Listrik','1.204.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'5.016667 Buah','Alat Listrik;','Kabel Audio 2x80 100 m;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7321,'47578577','Peralatan Studio Audio','636.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'2 Buah','Peralatan Studio Audio;','Tripot;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7322,'47578578','Personal Computer','38.160.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'4 Unit','Personal Computer;','Laptop core I5;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7323,'47578605','Beban Tagihan Listrik','13.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'138 Kali','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7324,'47578606','Beban Kawat/Faksimili/Internet/TV Berlangganan','4.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'12 Bulan','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7325,'47578615','Belanja Sewa Alat Kantor Lainnya','2.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Sewa Alat Kantor Lainnya; Beban sewa Alat kantor Lainnya;','sewa tenda; Sewa karpet;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7326,'47578624','Suku Cadang Alat Angkutan','207.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'5 Unit','Suku Cadang Alat Angkutan;','Ban Dalam Motor Irc 225/250 – 18;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7327,'47578625','Alat Listrik','26.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Buah','Alat Listrik;','Stop Kontak Ob Kontak 4 Lubang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7328,'47578626','Belanja Bahan-Bahan Bakar dan Pelumas','12.067.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Oli Mesin; Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7329,'47578636','Belanja Bahan-Bahan Bangunan dan Konstruksi','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi; Bahan Bangunan dan Konstruksi;','Semen Gresik Terendah; pasir pasang biasa ; cat kayu / emco; cat dinding; Paku; Skrup Genteng; Kuas 3 \";','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7330,'47578637','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum; Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum;','Tukang Batu; Tukang Cat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 21:36:54.948','wonosari'),
(7331,'47580970','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7332,'47580971','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','894.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7333,'47580972','Beban Makanan dan Minuman Rapat','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'300 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7334,'47581002','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','100.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Fotocopy; Belanja banner 280 gsm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7335,'47581003','Beban Makanan dan Minuman Rapat','18.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'600 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7336,'47581022','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','100.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7337,'47581023','Beban Makanan dan Minuman Rapat','18.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'600 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7338,'47581296','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','100.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7339,'47581297','Beban Makanan dan Minuman Rapat','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'200 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7340,'47581805','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.161.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Tinta stempel; Stapler No. T3-10Mb; Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7341,'47581806','Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'6 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7342,'47581807','Beban Makanan dan Minuman Rapat','5.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'300 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7343,'47581808','Beban Sewa Peralatan Studio Audio','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Hari','Beban Sewa Peralatan Studio Audio;','Sewa Sound System;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7344,'47581809','Beban Sewa Mebel','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'200 Buah','Beban Sewa Mebel;','sewa meja kursi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7345,'47581874','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.052.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7346,'47581875','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7347,'47581876','Beban Makanan dan Minuman Rapat','15.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'525 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7348,'47581920','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.053.300','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7349,'47581922','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7350,'47581923','Beban Makanan dan Minuman Rapat','5.780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'340 Kotak','Beban Makanan dan Minuman Rapat;','Kue Kotak;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7351,'47581941','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7352,'47581942','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','894.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7353,'47581943','Beban Makanan dan Minuman Rapat','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'300 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7354,'47581966','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','100.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7355,'47581967','Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7356,'47581972','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','544.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7357,'47581974','Belanja Makanan dan Minuman Rapat','2.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7358,'47581975','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Belanja banner 280 gsm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7359,'47581992','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Belanja banner 280 gsm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7360,'47581993','Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'3 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7361,'47581994','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7362,'47582004','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','140.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7363,'47582005','Kertas dan Cover','259.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'4 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7364,'47582006','Beban Makanan dan Minuman Rapat','5.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'180 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7365,'47582025','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7366,'47582026','Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'3 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7367,'47582027','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 23:08:41.987','wonosari'),
(7368,'47585794','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','109.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7369,'47585795','Beban Makanan dan Minuman Rapat','18.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'602 Kotak','Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7370,'47585812','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.095.400','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Lem Kecil; Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7371,'47585813','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.354.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7372,'47585814','Belanja Makanan dan Minuman Rapat','25.150.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7373,'47586015','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.127.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7374,'47586016','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.398.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7375,'47586017','Belanja Makanan dan Minuman Rapat','19.075.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 07:43:01.644','wonosari'),
(7376,'47586251','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.237.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Belanja banner 280 gsm; Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:11:02.174','wonosari'),
(7377,'47586252','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.122.500','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:11:02.174','wonosari'),
(7378,'47586253','Belanja Makanan dan Minuman Rapat','56.490.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:11:02.174','wonosari'),
(7379,'47586274','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','285.500','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Pensil Staedtler 2B; Map Kertas Folio Panda; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:11:02.174','wonosari'),
(7380,'47586427','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','956.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7381,'47586428','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.743.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7382,'47586429','Belanja Makanan dan Minuman Rapat','32.900.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7383,'47586436','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','956.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7384,'47586437','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.743.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7385,'47586438','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7386,'47586443','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Belanja banner 280 gsm; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7387,'47586444','Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'3 Rim','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7388,'47586445','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7389,'47586449','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','53.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wonosari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 08:42:40.15','wonosari'),
(7390,'47069914','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','665.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor','map snelhecter plastik; Snelhecter Map; Fotocopy; Spidol Hitam Boardmarker;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7391,'47069915','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.780.800','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7392,'47069916','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','434.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7393,'47069917','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7394,'47069939','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.136.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Epson 003; Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7395,'47069940','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.278.700','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor','Ordner 1468 A3; Stopmap Kertas; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7396,'47069941','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','294.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7397,'47069942','Belanja Makanan dan Minuman Rapat','10.050.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak; Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7398,'47069955','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.920.800','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Ordner 1468 A3; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7399,'47069956','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','489.300','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas A4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7400,'47069957','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.473.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Epson Hitam T 6641; Tinta Printer Warna 664;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7401,'47069958','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7402,'47069978','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','195.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Snelhecter Map;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7403,'47069979','Belanja Makanan dan Minuman Rapat','3.525.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7404,'47069988','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7405,'47069989','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7406,'47070000','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7407,'47070002','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7408,'47070041','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7409,'47070042','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7410,'47070062','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7411,'47070063','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7412,'47070105','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7413,'47070106','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.908.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7414,'47070107','Belanja Makanan dan Minuman Rapat','16.450.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7415,'47070108','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.592.700','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7416,'47070120','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.380.900','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor','Ordner 1468 A3; Snelhecter Map; Stapler Hd 50 Besar; Stapler No. 3; Isi Steples Besar No 3; PlakBand Pls 2 Inch; isi stappler No. 10; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7417,'47070121','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.389.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Buffalo 50 Lbr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7418,'47070122','Belanja Makanan dan Minuman Rapat','28.200.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7419,'47070123','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','3.710.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Epson Hitam T 6641; Tinta Epson Warna T 6644; Tinta Epson Warna T 6643; Tinta Epson Warna T 6642;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7420,'47070138','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.927.600','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor','Ordner 1468 A3; Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7421,'47070139','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7422,'47070140','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.017.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7423,'47070141','Belanja Makanan dan Minuman Rapat','18.800.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7424,'47070144','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7425,'47070145','Belanja Makanan dan Minuman Rapat','9.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7426,'47070150','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','133.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7427,'47070151','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','388.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:11.466','wringin'),
(7428,'47070152','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.908.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7429,'47070153','Belanja Makanan dan Minuman Rapat','7.050.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7430,'47070201','Belanja Makanan dan Minuman Jamuan Tamu','2.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu','Prasmanan VIP, Makan dan minum tamu; Kue Prasmanan VIP, Makan dan minum Rapat;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7431,'47070215','Belanja Bahan-Bahan Bangunan dan Konstruksi','1.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Bangunan dan Konstruksi','Semen Holcim -; Pasir Urug;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7432,'47070245','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Perabot Kantor','Sapu Cap Ayam; Kain pel; Bak; Canebo; Sapu Lidi; Cikrak Sampah;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7433,'47070249','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.500.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Perabot Kantor','Piring 8 Inch; Cangkir Set; Plastik kemasan Sablon Uk. 0,15x40x60 cm;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7434,'47070254','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','2.500.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Listrik','lampu LED 18 watt; Lampu tornado 23 watt; Lampu Mercury 100 W; Stop Kontak Gepeng 4 Lubang; Stop Kontak Stop Kontak+Saklar+Kabel Uticon; Kabel Serabut Hitam 1,5 mm; Kabel serabut Merah 1,5;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7435,'47070274','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','13.078.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor','Buku Tulis Agenda; map snelhecter plastik; Ordner 1468 A3; Snelhecter Map; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7436,'47070275','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.322.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover','Kertas A3 Bola Dunia A3 70 Gr; kertas HVS F4 70 gram; Kertas HVS A4 80 gr; Kertas Union Skin A3 Putih/500 Lbr; Amplop Dinas 23 X 32;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7437,'47070276','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7438,'47070277','Belanja Makanan dan Minuman Jamuan Tamu','18.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Makanan dan Minuman Jamuan Tamu;','Prasmanan VIP, Makan dan minum tamu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7439,'47070281','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','546.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7440,'47070282','Belanja Alat/Bahan untuk Kegiatan Kantor- Bahan Cetak','954.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Cetak;','Refil Tinta Tuner;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7441,'47070296','Belanja Bahan-Bahan Bakar dan Pelumas','29.740.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Bakar dan Pelumas','Oli Mesin Roda 2; Oli Mesin Roda 4; Pertamax Turbo;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7442,'47070297','Belanja Suku Cadang-Suku Cadang Alat Angkutan','5.260.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan; Suku Cadang Alat Angkutan;','Jupiter Z Ring Piston; Ban Luar Kendaraan Roda 4 Uk (20-195-65-15); Win, Grand, Supra Kabel Rem (Grand, Star); Win, Grand, Supra Cdi (Grand, Supra);','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7443,'47070299','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7444,'47070300','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7445,'47070301','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7446,'47070305','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7447,'47070306','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7448,'47070307','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7449,'47070310','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','904.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Map snell plastik; Snelhecter Map; Ordner Rosek Fi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:39:41.03','wringin'),
(7450,'47070311','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7451,'47070312','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.272.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson 003 warna hitam; Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7452,'47070319','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7453,'47070320','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7454,'47070321','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7455,'47070332','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:41:33.526','wringin'),
(7456,'47070333','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7457,'47070334','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7458,'47070355','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7459,'47070356','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7460,'47070357','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7461,'47070372','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7462,'47070373','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7463,'47070374','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7464,'47070381','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7465,'47070382','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7466,'47070383','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7467,'47070404','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7468,'47070405','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7469,'47070406','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson 003 warna hitam; Tinta Printer epson warna 003 (pink, kuning, biru @6buah);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7470,'47070412','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7471,'47070413','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7472,'47070414','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7473,'47070417','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7474,'47070418','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7475,'47070419','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:42:34.199','wringin'),
(7476,'47070424','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','112.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:18.998','wringin'),
(7477,'47070425','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:40:58.104','wringin'),
(7478,'47070426','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','763.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer','Tinta Printer epson warna 003 (pink, kuning, biru @6buah); Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7479,'47070432','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7480,'47070433','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7481,'47070434','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7482,'47070448','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7483,'47070449','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7484,'47070450','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7485,'47070455','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:08.478','wringin'),
(7486,'47070456','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7487,'47070457','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:45:37.332','wringin'),
(7488,'47070463','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7489,'47070464','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7490,'47070465','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:46:47.672','wringin'),
(7491,'47070474','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','174.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7492,'47070475','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7493,'47070476','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','381.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Bahan Komputer;','Tinta Printer epson 003 warna hitam;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:57.766','wringin'),
(7494,'47070956','Belanja Tagihan Listrik','10.500.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Tagihan Listrik;','Belanja Listrik;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:44:22.244','wringin'),
(7495,'47070957','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kecamatan Wringin',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Internet;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 23:43:46.069','wringin'),
(7496,'47570003','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','8.160.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Belanja Tagihan Telepon; Belanja Tagihan Air; Belanja Tagihan Listrik; Beban Tagihan Telepon; Beban Tagihan Air; Beban Tagihan Listrik;','Beban Tagihan Telepon; instansi Pemerintah 0 s/d 10; 451-900 VA; Beban Tagihan Telepon; instansi Pemerintah 0 s/d 10; 451-900 VA;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7497,'47570015','Penyediaan Bahan Logistik Kantor','35.240.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Makanan dan Minuman Rapat; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Bolpoint; kertas HVS F4 70 gram; Kue Kotak; Bolpoint; Stabilo Top Star; Paper Clip No. 1 (Kecil); Correction Pen; Snelhecter Map Bahan Plastik; Stopmap Buffalo 5002; Stop Map Kertas Biasa; Ordner Lux Folio; Cutter L 500; Lem Cair 112; Stapler Hd 10; Isi Steples Kecil No 10; Buku Kwitansi Biasa; Plastik Laminating Ukuran 65 X 95 X 250; Stam Pad Tanpa Tinta S2; PlakBand Hitam 2 Inch; kertas HVS F4 70 gram; Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7498,'47570148','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7499,'47570149','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','159.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Isi Steples Kecil No 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7500,'47570230','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Upah servis Computer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7501,'47570259','Penyediaan Barang Cetakan dan Penggandaan','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor;','Fotocopy; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7502,'47570265','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','3.600.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Badean',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas; Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Bermotor Beroda Dua; Bahan Bakar dan Pelumas; Pemeliharaan Kendaraan Roda Dua;','Pertamax; Service Kendaraan Roda Dua; Pertamax; Service Kendaraan Roda Dua;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 14:14:35.91','badean'),
(7503,'47003222','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','785.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','- Ordner karton folio 5 cm bantex - Paper clip warna - Stabilo bos warna - Stopmap kertas - Lem kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7504,'47004273','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.949.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','- Kertas HVS F4 70 Gram - Kertas HVS A4 70 Gram - Kertas foto A4','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7505,'47007604','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','- Tinta Hitam - Tinta Warna','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7506,'47010450','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.223.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','- Stapler Hd - Binder Clip No.200 - Paper Clip Warna - Stopmap Kertas Panda - Banner - Tinta Stampel Kecil','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7507,'47011114','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','712.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','- Kertas HVS F4 70 Gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7508,'47011351','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','265.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','- Tinta Warna - Tinta Hitam','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7509,'47012690','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','12.258.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','- Gerobak Dorong - Kompresor 1/4 HP, Bensin','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7510,'47013640','Belanja Makanan dan Minuman Rapat','47.940.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','- Kegiatan Pembinaan Lembaga Karang Taruna Nasi Kotak dan Kue Kotak - Kegiatan Pengembangan Usaha Mikro, Kecil dan Menengah Produk Unggulan Kelurahan Nasi Kotak dan Kue Kotak - Kegiatan Penguatan, Peningkatan Tenaga Keamanan dan Ketertiban Menjelang Pemilu Nasi Kotak dan Kue Kotak - Kegiatan Rutin Pembinaan LembagaKemasyarakatan Kelurahan Tim Penggerak PKK Nasi Kotak dan Kue Kotak - Kegiatan Sosialisasi Perilaku Hidup Bersih danSehat/Pencegahan Stunting Nasi Kotak dan Kue Kotak','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7511,'47015214','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','31.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','- Kegiatan Pos Pembinaan terpadu Penyakit TidakMenular (POSBINDU-PTM - Posyandu Balita - Posyandu Lansia - Posyandu Remaja','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:26:12.113','blindungan'),
(7512,'47103695','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.503.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','- Ordner Besar - Paper Clip Warna - Stabilo Faber Castle - Stapler Hd 10 Kecil - Stopmap Kertas Panda - Tinta Stempel Kecil - Pembatas Ordner Warna Devider 6005 Diamond','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7513,'47104263','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.656.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','- kertas HVS F4 70 gram','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7514,'47104608','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','- Tinta printer Hitam Epson - Tinta printer Warna Epson','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7515,'47104976','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Makanan dan Minuman Rapat','- Kue Kotak - Nasi Kotak Biasa','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7516,'47106115','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','- SERBUK REFIL TONER BROTHER - Tinta Epson Warna T 6642 - Kabel Power Cpu Monitor','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7517,'47106556','Belanja Modal Personal Computer','7.900.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Modal Personal Computer','- Laptop / Note Book A43E-Vx708D Intel B815 1.6Ghz, ...','Ya','Ya','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7518,'47107571','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','3.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','- Pertamax Turbo - Oli Mesin Roda 2','Ya','Ya','Ya','Tidak','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7519,'47108016','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Blindungan',2024,'1 paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','- servis kendaraan roda 2','Ya','Ya','Ya','Tidak','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-10 10:25:55.356','blindungan'),
(7520,'45522670','Penyediaan komponen instalasi listrik/ penerangan bangunan kantor','1.313.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','Belanja alat/ bahan untuk kegiatan kantor','Belanja alat/ bahan untuk kegiatan kantor- alat listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7521,'45523772','Penyedian bahan logistik kantor','37.674.200','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','Belanja alat/ bahan untuk kegiatan kantor - alat tulis kantor, kertas dan cover, bahan komputer. belanja makanan dan minuman rapat.','Belanja alat/ bahan untuk kegiatan kantor - alat tulis kantor, kertas dan cover, bahan komputer. belanja makanan dan minuman rapat.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7522,'45524255','penyediaan jasa komunikasi, sumber daya air dan listrik','6.400.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','belanja tagihan listrik belanja kawat/ faksimili/internet/ TV berlangganan','belanja tagihan listrik belanja kawat/ faksimili/internet/ TV berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7523,'45680428','Penyediaan jasa pemeliharaan, biaya pemeliharaan, dan pajak kendaraan perorangan dinas atau kendaraan dinas jabatan','4.612.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','- belanja bahan bakar dan pelumas - belanja suku cadang','- belanja bahan bakar dan pelumas - belanja suku cadang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7524,'45683968','Pemberdayaan masyarakat di Kelurahan','75.200.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','belanja alat tulis kantor belanja barang untuk dijual/diserahkan kepada masyarakat belanja makanan dan minuman rapat/ pelatihan belanja makanan dan minuman pada fasilitas pelayanan urusan kesehatan','belanja alat tulis kantor belanja barang untuk dijual/diserahkan kepada masyarakat belanja makanan dan minuman rapat/ pelatihan belanja makanan dan minuman pada fasilitas pelayanan urusan kesehatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7525,'45684527','peningkatan partisipasi masyarakat dalam forum musyawarah perencanaan pembangunan di kelurahan','18.000.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','belanja alat tulis kantor belanja makanan dan minuman rapat','belanja alat tulis kantor belanja makanan dan minuman rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7526,'45684813','Evaluasi kelurahan','5.600.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Curahdami',2024,'1 paket','belanja alat tulis kantor belanja makanan dan minuman rapat','belanja alat tulis kantor belanja makanan dan minuman rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-08 15:19:26.136','curahdami'),
(7527,'47586756','Peralatan Personal Computer','3.180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Unit','Peralatan Personal Computer;','Printer Epson All in One;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7528,'47586757','Bahan Komputer','3.109.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'16.6634512 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7529,'47586758','Personal Computer','13.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Unit','Personal Computer;','Laptop;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7530,'47586762','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','6.062.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Spidol Marker; Tinta Stempel 50 Cc; Paper Clip Cadwell No. 5 (Jumbo); Stabilo Boss Warna; Stam Pad (Bantalan) 1 T/T; Stempel Tanggal Kecil; PlakBand 2 Inch; Paper Clip No. 1 (Kecil); Penghapus 52658; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Stop Map Kertas Biasa; Pembatas Ordner Warna Devider 6050 Bantex; Ordner Binder 7 Cm Bindex 919 Folio; Penggaris Mika 30 Cm; Cutter L 500; Lem Cair 50 Ml; Double Tape Joyko 2; Isolasi Bening 5 Cm; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; Nota Kontan Ncr Rangkap 2 Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7531,'47586763','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.778.400','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7532,'47586764','Belanja Makanan dan Minuman Rapat','11.280.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7533,'47586767','Beban Tagihan Air','1.320.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'330 M3','Beban Tagihan Air;','instansi Pemerintah 0 s/d 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7534,'47586768','Beban Tagihan Listrik','1.020.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1700 Kwh','Beban Tagihan Listrik;','451-900 VA;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7535,'47586769','Beban Kawat/Faksimili/Internet/TV Berlangganan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'6 Bulan','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7536,'47586786','Bahan Bakar dan Pelumas','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'214.2857144 Liter','Bahan Bakar dan Pelumas;','Pertamax ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7537,'47586795','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.583.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Boss Warna; Tinta Stempel 50 Cc; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Ordner Binder 7 Cm Bindex 919 Folio; Lem Cair 50 Ml; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7538,'47586796','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','417.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7539,'47586803','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.031.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Tinta Stempel 50 Cc; Paper Clip Cadwell No. 5 (Jumbo); Paper Clip No. 1 (Kecil); Penghapus 52658; Snelhecter Map Jenis Kertas; Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Stop Map Kertas Biasa; Pembatas Ordner Warna Devider 6050 Bantex; Lem Cair 50 Ml; Double Tape Joyko 2; Isolasi Bening 5 Cm; Stapler Hd 10; Stapler Hd 10; Isi Steples Kecil No 10; Isi Steples Kecil No 10; Fotocopy; Buku Kwarto Isi 100 Lbr Rp; Nota Kontan Ncr Rangkap 2 Kecil; PlakBand 2 Inch; Stabilo Boss Warna; Stabilo Boss Warna; Spidol Marker; Ordner Binder 7 Cm Bindex 919 Folio; Penggaris Mika 30 Cm; Cutter L 500; Kerangjang Plastik Standar; Stam Pad (Bantalan) 1 T/T; Stempel Tanggal Kecil;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7540,'47586804','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.028.400','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7541,'47586805','Belanja Makanan dan Minuman Rapat','23.500.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7542,'47586806','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','66.840.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Dabasah',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan;','Posyandu Lansia (kue); Posyandu Balita (kue);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:09:16.728','dabasah'),
(7543,'46818049','Belanja Modal Personal Computer','11.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 Unit','Personal Computer','PC Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:35:42.473','kademangan'),
(7544,'46818331','Belanja Modal Peralatan Personal Computer','3.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 Unit','Peralatan Personal Computer','Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:35:42.473','kademangan'),
(7545,'46819973','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.765.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','Alat Tulis Kantor','Stabilo Boss Warna,Spidol Marker,Spidol Kecil,Bolpoint,Tinta Stempel 50 Cc,Paper Clip Jumbo 5,Paper Clip No. 1 (Kecil),Correction Pen,Snelhecter Map Bahan Plastik,Stopmap Kertas Panda,Ordner Kecil,Penggaris Baja 30 Cm,Cutter 838,Lem Cair 50 Ml,Stapler Hd 10,Isi Steples Kecil No 10,Fotocopy,Buku Buku Folio 200 Lbr,Buku Kwitansi Besar,Binder clip','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:35:21.668','kademangan'),
(7546,'46820623','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.835.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','Kertas dan Cover','Kertas Bufallo A4 / F4 Sidu,Amplop Craff 14,Kertas HVS A4 70 Gr,Kertas Hvs Warna F4 70 Gr','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:35:21.668','kademangan'),
(7547,'46821038','Belanja Makanan dan Minuman Rapat','14.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','Beban Makanan dan Minuman Rapat','Kue Kotak,Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:35:21.668','kademangan'),
(7548,'46821498','Belanja Tagihan Listrik','2.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1500 kwh','Beban Tagihan Listrik','Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:36:10.618','kademangan'),
(7549,'46821737','Belanja Kawat/Faksimili/Internet/TV Berlangganan','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'12 Bulan','Beban Kawat/Faksimili/Internet/TV Berlangganan','Beban Kawat/Faksimili/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:36:10.618','kademangan'),
(7550,'46871830','Belanja Bahan-Bahan Bakar dan Pelumas','2.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'171.42857 Liter','Bahan Bakar dan Pelumas','Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:36:57.987','kademangan'),
(7551,'46872146','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'12 kali','Belanja Jasa Tenaga Servise','Biaya Servise Kendaraan Roda 2','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:37:08.984','kademangan'),
(7552,'46872925','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.095.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','Alat Tulis Kantor','Stopmap Kertas Panda, Ordner Besar, Stapler Hd 50 Besar, Isi Steples Besar No 3, Fotocopy, Binder Clip No. 200','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:15.735','kademangan'),
(7553,'46873124','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'5 rim','Kertas dan Cover','Kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:15.735','kademangan'),
(7554,'46873290','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','424.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'4 Buah','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:15.735','kademangan'),
(7555,'46874992','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.017.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','elanja Alat Tulis Kantor, Belanja Alat Tulis Kantor Pelatihan Usaha Kecil dan Menengah (Mikro),Belanja Dekorasi,Belanja dekorasi Penyelenggaraan Sosialisasi Keluarga Berencana (KB), Belanja dekorasi Penyelenggaraan Musrenbang,','Bolpoint, Map Kancing Interx,Buku Block Note Garis 50 Lbr,Fotocopy,banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7556,'46875341','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','129.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'2 rim','Kertas dan Cover','kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7557,'46875476','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','212.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'2 Buah','Bahan Komputer','Tinta Epson','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7558,'46875974','Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat','48.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'13 unit','Persediaan untuk Dijual/Diserahkan Kepada Masyarakat','Rombong Usaha','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7559,'46876544','Belanja Makanan dan Minuman Rapat','28.811.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 paket','Belanja Makan dan Minum Pelatihan Usaha Kecil dan Menengah (Mikro),Belanja Makan dan Minum Penyelenggaraan Sosialisasi Keluarga Berencana (KB), Belanja Makan dan Minum Rapat, Belanja Makan dan Minum Penyelenggaraan Musrenbang','Beban Makanan dan Minuman Rapat (Kue Kotak,Nasi Kotak Biasa)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7560,'46878163','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','20.280.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kademangan',2024,'1 Tahun','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Posyandu Lansia (kue),Posyandu Balita (kue)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-05 09:39:30.111','kademangan'),
(7561,'47577639','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','5.973.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Kertas Hvs Warna F4 70 Gr; kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7562,'47577640','Bahan Komputer','1.590.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'12 Buah','Bahan Komputer;','Tinta Epson Warna T 6644;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7563,'47577641','Bahan Komputer','2.035.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'12 Buah','Bahan Komputer;','Tinta Epson 003;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7564,'47577642','Belanja Makanan dan Minuman Rapat','20.163.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Nasi Kotak Biasa ; Kue Kotak;','Ya','Ya','Ya','Ya','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7565,'47577643','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.038.800','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stopmap Kertas; Stabilo Boss Warna; Stabilo Boss Warna; Spidol Marker; Spidol Kecil; Berbagai Kertas Kertas Bufallo A4 / F4 Sidu; Tinta Stempel 50 Cc; Paper Clip Cadwell No. 5 (Jumbo); Odner Besar (forte); Snelhecter Map Jenis Kertas; Snelhecter Map Bahan Plastik; Lem Cair 50 Ml; Stapler Hd 10 Kecil; Isi Stapler Kecil No.10; PlakBand Kraf 2 Inch;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7566,'47577656','Penyediaan Barang Cetakan dan Penggandaan','3.000.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak Foto 10R; Belanaja banner 340 gsm; Fotocopy; Cetak Foto 10R;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7567,'47577685','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','9.600.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Belanja Tagihan Telepon; Belanja Tagihan Air; Belanja Tagihan Listrik; Beban Tagihan Telepon; Beban Tagihan Air; Beban Tagihan Listrik;','Belanja Telepon; instansi Pemerintah 11 s/d 20; 1300 VA; Belanja Telepon; instansi Pemerintah 11 s/d 20; 1300 VA;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7568,'47577748','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','3.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Pertamax; Pertamax;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7569,'47577762','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','324.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Kertas dan Cover;','kertas HVS F4 70 gram;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7570,'47577763','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Benda Pos;','Materai;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7571,'47577764','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Bahan Komputer;','Tinta Epson Warna T 6644;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7572,'47577765','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.578.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Cetak Foto 10R; Odner Besar (forte); Stopmap Kertas; Snelhecter Map; lakban besar hitam; Stapler No. 3; Fotocopy; Berbagai Kertas Kertas Bufallo A4 / F4 Sidu; Paper Clip Cadwell No. 3 (Tanggung);','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7573,'47577790','Belanja Modal Alat Pemadam Kebakaran','33.428.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Alat Pemadam Kebakaran;','Alat Pemadam Api Indofire, Powder, Portable, Ifpp 6,0 Kg;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7574,'47577791','Belanja Makanan dan Minuman Rapat','13.715.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Ya','Ya','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7575,'47577792','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','49.350.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan;','Posyandu Lansia (kue); Posyandu Balita (kue);','Ya','Ya','Ya','Ya','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7576,'47577793','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.106.500','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Kotakulon',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Belanaja banner 340 gsm; Fotocopy; Map Kancing Interx; Block Note A5;','Ya','Ya','Ya','Ya','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-13 20:22:05.267','kotakulon'),
(7577,'47587903','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.156.200','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Bahan Komputer; Bahan Komputer;','Tinta BCI-24 Black S-200/300/320; Tinta BCI-24 (call) Color S-200/300/320;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7578,'47587904','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.885.200','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; Paper Clip Cadwell No. 5 (Jumbo); Buku Tulis 58 Lbr; Odner Besar (forte); Snelhecter Map Bahan Plastik; Stop Map Kertas Biasa; Lem Besar; Fotocopy; Buku Kas 6/50 Lembar;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7579,'47587905','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','958.600','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover;','Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7580,'47587988','Pemberdayaan Masyarakat di Kelurahan','100.000.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Perjalanan Dinas Biasa; Belanja Barang untuk Dijual/Diserahkan kepada Masyarakat; Belanja Makanan dan Minuman Rapat; Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Belanja Bahan-Bahan Lainnya; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Bahan Komputer; Bahan Komputer; Alat Dapur; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor; Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia; Beban Perjalanan Dinas Biasa; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Bahan Lainnya; Alat Tulis Kantor;','Tinta Epson Warna T 6644; Uang Harian peserta; Oven; Kue Kotak; Posyandu Lansia (kue); Honorarium instruktur Pelatihan; Bantuan Usaha Pembuatan Kue dan Roti; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Bolpoint; Paper Clip No. 1 (Kecil); Snelhecter Map Bahan Plastik; Map Kancing Interx; Ordner Lorek Kw; Tinta Epson Warna T 6644; Tinta Epson Hitam T 6641; Oven; Kue Kotak; Nasi Kotak Biasa ; Stop Map Kertas Biasa; Posyandu Lansia (kue); Posyandu Balita (kue); Honorarium instruktur Pelatihan; Uang Harian peserta; Stapler Hd 10; Isi Steples Kecil No 10; Fotocopy; banner; Block Note A5; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr; Nasi Kotak Biasa ; Kue Kotak; Bantuan Usaha Pembuatan Kue dan Roti; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7581,'47587993','Penyediaan Jasa Pemeliharaan, Biaya Pemeliharaan, dan Pajak Kendaraan Perorangan Dinas atau Kendaraan Dinas Jabatan','6.640.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik; Belanja Bahan-Bahan Baku; Belanja Bahan-Bahan Bakar dan Pelumas; Beban Jasa Tenaga Teknisi Mekanik dan Listrik; Bahan Baku; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Beban Jasa Service kendaraan roda 2; baut muur; Oli Mesin Roda 2; Beban Jasa Service kendaraan roda 2; baut muur; Oli Mesin Roda 2; Pertamax;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7582,'47588004','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','9.700.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Belanja Tagihan Listrik; Belanja Kawat/Faksimili/Internet/TV Berlangganan; Belanja Tagihan Air; Beban Tagihan Air; Beban Tagihan Listrik; Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Listrik; Belanja Internet; instansi Pemerintah 0 s/d 10; instansi Pemerintah 0 s/d 10; Belanja Listrik; Belanja Internet;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7583,'47588031','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Service laptop / komputer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7584,'47588033','Penyediaan Bahan Logistik Kantor','33.660.000','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Nangkaan',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer; Belanja Makanan dan Minuman Rapat; Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover; Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Bahan Komputer; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Kertas dan Cover; Kertas dan Cover; Bahan Komputer; Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat; Alat Tulis Kantor;','Tinta BCI-24 Black S-200/300/320; Kue Kotak; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; Bolpoint; Snelhecter Map Bahan Plastik; Lem Besar; Isi Steples Kecil No 10; Fotocopy; Kertas Hvs Warna F4 70 Gr; Tinta BCI-24 Black S-200/300/320; Paper Clip Cadwell No. 5 (Jumbo); Odner Besar (forte); Stop Map Kertas Biasa; Stapler Hd 10; Buku Kas 6/50 Lembar; Amplop Putih No 104 Ukuran 95 Cm X 152 Cm Isi 100 Buah; kertas HVS F4 70 gram; Tinta BCI-24 (call) Color S-200/300/320; Kue Kotak; Nasi Kotak Biasa ; Bolpoint;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 10:27:02.009','nangkaan'),
(7585,'47590853','Alat Listrik','573.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'6 Buah','Alat Listrik;','Lampu LED 18 Watt;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7586,'47590855','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','1.064.600','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor; Perabot Kantor;','Tempat Sampah; Sapu Lidi; Sapu Ijuk Miring; Canebo; Gayung; cikrak; Selang;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7587,'47590859','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','589.900','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Perabot Kantor; Perabot Kantor;','Piring 9 Inch; Gelas Besar Melamin Onyx;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7588,'47590867','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.128.400','Pengadaan Langsung','APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Bolpoint; PlakBand Hitam 2 Inch; Map Snelhecter plastik ukuran folio; Tinta Stempel; Paper Clip; Correction Ke 201; Correction Tape Roll; Map kertas; Ordner Kecil; Ordner Besar; Isi Steples Kecil No 10; Fotocopy; Stamp Pad; Binder Clip No. 111; Binder Clip No. 200; Buku Buku Folio 100 Lbr; Buku Kwitansi Biasa; Gunting;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7589,'47590869','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.925.100','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas 150 Gsm Bahan Cassing Uk 12 X 28; kertas HVS F4 70 gram; Kertas A4 70 Gr; Kertas Bufallo A4 / F4 Sidu;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7590,'47590872','Benda Pos','380.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'38 Buah','Benda Pos;','Materai;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7591,'47590874','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.860.000','Pengadaan Langsung','APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Bahan Komputer; Bahan Komputer; Bahan Komputer; Bahan Komputer;','Tinta printer Hitam Epson; Tinta printer Merah Epson; Tinta printer Kuning Epson; Tinta printer Biru Epson;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7592,'47590875','Belanja Makanan dan Minuman Rapat','21.479.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7593,'47590880','Alat Tulis Kantor','750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'2500 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7594,'47590898','Beban Tagihan Air','4.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1200 M3','Beban Tagihan Air;','instansi Pemerintah 0 s/d 10;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7595,'47590899','Beban Tagihan Listrik','1.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'2000 Kwh','Beban Tagihan Listrik;','451-900 VA;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7596,'47590900','Beban Langganan Jurnal/Surat Kabar/Majalah','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'12 Bulan','Beban Langganan Jurnal/Surat Kabar/Majalah;','Belanja Surat Kabar Koran;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7597,'47590901','Beban Kawat/Faksimili/Internet/TV Berlangganan','4.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'12 Bulan','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja Wifi;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7598,'47590903','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Kegiatan','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Beban Jasa Service;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7599,'47590921','Belanja Bahan-Bahan Bakar dan Pelumas','4.750.000','Pengadaan Langsung','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas; Bahan Bakar dan Pelumas;','Oli Mesin Roda 2; Pertamax; Pertamax Turbo;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7600,'47590922','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','300.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'2 Kali','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','servis kendaraan roda dua;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7601,'47590926','Alat Tulis Kantor','69.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'230 Lembar','Alat Tulis Kantor;','Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7602,'47590927','Belanja Makanan dan Minuman Rapat','47.611.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7603,'47590928','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','52.320.000','Pengadaan Langsung','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Sekarputih',2024,'1 Paket','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan; Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan;','Posyandu Lansia (kue); Posyandu Balita (kue);','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-14 14:01:21.7','sekarputih'),
(7604,'47457658','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','722.800','E-Purchasing','APBD, APBD, APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor; Alat Tulis Kantor;','Stabilo Faber Castle; Spidol Marker; Lem Cair 112; Isi Stapler Kecil No.10; Brief Odner ukuran f4;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7605,'47457659','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.427.200','E-Purchasing','APBD, APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Kertas dan Cover; Kertas dan Cover; Kertas dan Cover;','Amplop Dinas 150 Gsm Bahan Cassing Uk 27 X 40; kertas HVS F4 70 gram; Kertas Hvs Warna F4 70 Gr;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7606,'47457660','Belanja Makanan dan Minuman Rapat','25.850.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Beban Makanan dan Minuman Rapat; Beban Makanan dan Minuman Rapat;','Kue Kotak; Nasi Kotak Biasa ;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7607,'47457691','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.994.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Alat Tulis Kantor; Alat Tulis Kantor;','banner; Fotocopy;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7608,'47457704','Belanja Kawat/Faksimili/Internet/TV Berlangganan','5.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Beban Kawat/Faksimili/Internet/TV Berlangganan;','Belanja kawat/Faximile/Internet/TV Berlangganan;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7609,'47457746','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Kelurahan Tamansari',2024,'1 Paket','Beban Jasa Tenaga Teknisi Mekanik dan Listrik;','Belanja Service Printer;','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 07:02:00.455','tamansari'),
(7610,'47445954','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','2.550.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Spesifikasi: Alat Pel Lantai Putar, Spesifikasi: bak sampah plastik besar, Spesifikasi: bak sampah plastik besar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:09:09.48','tenggarang'),
(7611,'47446648','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.923.300','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','banner, Binder clip, Fotocopy, map snelhecter plastik, Paper Clip Jumbo, Paper Clip No. 3, Spidol Permanen, Stapler Hd 10, Stopmap Kertas, Tinta Stempel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:06:41.956','tenggarang'),
(7612,'47446823','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','1.879.200','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi: kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:06:41.956','tenggarang'),
(7613,'47447013','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','1.793.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Bahan Komputer Spesifikasi: Catridge Hitam, Spesifikasi: Tinta Epson 001 Hitan, Spesifikasi: Tinta Epson 001 Warna, Spesifikasi: Tinta Epson 003','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:06:41.956','tenggarang'),
(7614,'47447111','Belanja Makanan dan Minuman Rapat','15.040.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak, Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:06:41.956','tenggarang'),
(7615,'47447376','Belanja Bahan-Bahan Bakar dan Pelumas','4.373.900','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Spesifikasi: Oli Mesin Roda 2, Spesifikasi: Pertamax','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:11:25.465','tenggarang'),
(7616,'47447607','Belanja Suku Cadang-Suku Cadang Alat Angkutan','1.074.100','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Suku Cadang-Suku Cadang Alat Angkutan','Suku Cadang Alat Angkutan Spesifikasi: Baut Kendaraan Roda 4, Suku Cadang Alat Angkutan Spesifikasi: Lampu Bohlam Xeon 125, Suku Cadang Alat Angkutan Spesifikasi: Mio Soul Roller/Buah, Suku Cadang Alat Angkutan Spesifikasi: Xeon 125 Ban Belakang, Suku Cadang Alat Angkutan Spesifikasi: Xeon 125 Ban Depan, Suku Cadang Alat Angkutan Spesifikasi: Xeon 125 Bohlam Lampu Depan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:11:25.465','tenggarang'),
(7617,'47448361','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','6.000.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Kawat/Faksimili/Internet/TV Berlangganan','Beban Kawat/Faksimili/Internet/TV Berlangganan Spesifikasi: Belanja kawat/Faximile/Internet/TV Berlangganan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:14:00.64','tenggarang'),
(7618,'47448504','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','2.340.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Tagihan Air','Beban Tagihan Air Spesifikasi: instansi Pemerintah 0 s/d 10','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:14:00.64','tenggarang'),
(7619,'47448544','Penyediaan Jasa Komunikasi, Sumber Daya Air dan Listrik','1.260.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Tagihan Listrik','Beban Tagihan Listrik Spesifikasi: Belanja Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:14:00.64','tenggarang'),
(7620,'47448996','Penyediaan Jasa Pelayanan Umum Kantor','5.200.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Beban Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia Spesifikasi: Honorarium Pembawa Acara','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7621,'47449148','Belanja Jasa Tenaga Kesehatan','9.900.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Kesehatan','Beban Jasa Tenaga Kesehatan Spesifikasi: Honorarium Kader Posyandu Balita/ Lansia','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7622,'47449269','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','240.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Beban Jasa Tenaga Penanganan Prasarana dan Sarana Umum Spesifikasi: Honorarium Kader Pembangunan Manusia KPM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7623,'47449345','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','24.000.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat','Beban Jasa Tenaga Ketenteraman, Ketertiban Umum, dan Perlindungan Masyarakat Spesifikasi: IHonor Ketua RT?RW Rukun Tetangga/Rukun warga ) 40 orang','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7624,'47449500','Belanja Jasa Tenaga Administrasi','50.300.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Administrasi','Spesifikasi: Honorarium kader PPKBD, Spesifikasi: Honorarium Kader Sub PPKBD, Spesifikasi: Belanja Jasa Tenaga Administrasi, Spesifikasi: Honor Petugas Pendataan Penduduk miskin SiKSNG, Beban Jasa Tenaga Administrasi Spesifikasi: Honorarium Petugas Administrasi( 6 Orang )','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7625,'47449575','Belanja Jasa Tenaga Keamanan','6.000.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Keamanan','Beban Jasa Tenaga Keamanan Spesifikasi: Honorarium Penjaga Malam','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7626,'47449640','Belanja Jasa Tenaga Kebersihan','6.000.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Kebersihan','Beban Jasa Tenaga Kebersihan Spesifikasi: Petugas Kebersihan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7627,'47449700','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','2.500.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','Spesifikasi: Belanja Service Printer, Spesifikasi: Service laptop / komputer, Spesifikasi: Servis Printer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:15:39.09','tenggarang'),
(7628,'47449933','Pengadaan Peralatan dan Mesin Lainnya','3.651.500','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Pengadaan Peralatan dan Mesin Lainnya','Bahan Komputer Spesifikasi: Refile Ink Deskjet Bc 21, Spesifikasi: Fotocopy, Spesifikasi: Tinta Hitam 1 Liter, Spesifikasi: Tinta Printer Usa Ink, Peralatan Personal Computer Spesifikasi: Printer Designjet Lx-300 Ii','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:12:25.155','tenggarang'),
(7629,'47450811','Penyediaan Peralatan Rumah Tangga','2.065.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','Spesifikasi: Cikrak, Spesifikasi: Gayung, Spesifikasi: Kain pel, Spesifikasi: Kantong Plastik/Polybag Uk. 10 X 15 Cm, Tebal 0.5, Spesifikasi: keset, Spesifikasi: Pengharum Kamar mandi, Spesifikasi: Sapu Ijuk Rayung Pelangi, Spesifikasi: Sapu Lidi, Spesifikasi: Sikat WC, Spesifikasi: Taplak Meja, Spesifikasi: Tempat Sampah, Spesifikasi: Tissue ,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:10:23.266','tenggarang'),
(7630,'47451037','Penyediaan Barang Cetakan dan Penggandaan','2.550.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Penyediaan Barang Cetakan dan Penggandaan','fotovopy dan banner','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:07:30.928','tenggarang'),
(7631,'47451177','Penyediaan Komponen Instalasi Listrik/Penerangan Bangunan Kantor','2.500.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','Spesifikasi: Kabel Nya Supreme,450/750V Sni,0402698 Uk. 1X150 Mm2, Spesifikasi: Kabel Nymhy Supreme,300/500Vsni, Uk. 3X4 Mm2, Spesifikasi: Kabel Skun/Al/Cu(One Hole) Cas-35 420Pcs/Crtn), Spesifikasi: Lampu Hemat Listrik ,Essential Type 82/86, 14 W, Spesifikasi: Lampu LED 15 Watt, Spesifikasi: Lampu Pijar Umum ,Nr63 W 25 Watt, Spesifikasi: Module Led 2 Pc Bar, Spesifikasi: Saklar Saklar Seri Outbow Broco Cream, Spesifikasi: Stop Kontak Stopkontak Segi, Spesifikasi: Taspen Biasa,Kecil, Spesifikasi: Vitting E 27','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:08:11.073','tenggarang'),
(7632,'47451679','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','4.452.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Spesifikasi: banner, Spesifikasi: Fotocopy, Spesifikasi: Ordner Besar, Spesifikasi: Spidol Permanen, Spesifikasi: Stopmap Kertas, Spesifikasi: Tinta Stempel ,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:04:02.146','tenggarang'),
(7633,'47451738','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.536.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Spesifikasi: kertas HVS F4 70 gram','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:04:02.146','tenggarang'),
(7634,'47451820','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','27.500.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan','Beban Makanan dan Minuman pada Fasilitas Pelayanan Urusan Kesehatan Spesifikasi: Posyandu Balita (kue), Spesifikasi: Posyandu Lansia (kue)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:04:02.146','tenggarang'),
(7635,'47451876','Belanja Makanan dan Minuman Rapat','63.512.000','Dikecualikan','APBD','January 2024','Kab. Bondowoso','Kelurahan Tenggarang',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Beban Makanan dan Minuman Rapat Spesifikasi: Kue Kotak Beban Makanan dan Minuman Rapat Spesifikasi: Nasi Kotak Biasa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 22:04:02.146','tenggarang'),
(7636,'47391075','Belanja Obat (E-Purchasing)','6.458.970.700','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'240','Belanja obat berupa cairan infus, injeksi, obat oral','Belanja obat berupa cairan infus, injeksi, obat oral','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:05:47.141','rsu'),
(7637,'47391538','Belanja Obat (PL)','6.000.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'120','Belanja obat berupa cairan infus, injeksi, obat oral','Belanja obat berupa cairan infus, injeksi, obat oral','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:05:47.141','rsu'),
(7638,'47393407','Belanja Bahan Habis Pakai Gas Oksigen','2.600.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'12','Belanja Gas Oksigen Cair dan Tabung','Belanja Gas Oksigen Cair dan Tabung','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:05:47.141','rsu'),
(7639,'47394657','Belanja Bahan Habis Pakai Gas Nitrogen Oksida','50.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'12','Belanja Gas Nitrogen Oksida berupa tabung','Belanja Gas Nitrogen Oksida berupa tabung','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:05:47.141','rsu'),
(7640,'47395037','Belanja Bahan Habis Pakai Gas Karbon Dioksida','3.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'4','Belanja Gas Karbon dioksida berupa tabung','Belanja Gas Karbon dioksida berupa tabung','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 15:05:47.141','rsu'),
(7641,'47397190','Belanja Bahan Habis Pakai Umum ( E-Purchasing)','2.159.700.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'120','Belanja Bahan Pakai Umum seperti spuit, masker, sarung tangan','Belanja Bahan Pakai Umum seperti spuit, masker, sarung tangan','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7642,'47398198','Belanja Bahan Habis Pakai Umum (PL)','2.000.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'24','Belanja Bahan Pakai Umum seperti spuit, masker, sarung tangan','Belanja Bahan Pakai Umum seperti spuit, masker, sarung tangan','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7643,'47398892','Belanja Bahan Habis Pakai Bedah Sentral ( E-Purchasing)','1.750.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'60','Belanja Bahan Pakai Bedah sentral seperti Benang Jahit Operasi, CVC','Belanja Bahan Pakai Bedah sentral seperti Benang Jahit Operasi, CVC','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7644,'47399252','Belanja Bahan Habis Pakai Bedah Sentral (PL)','1.750.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'12','Belanja Bahan Pakai Bedah sentral seperti Benang Jahit Operasi, CVC','Belanja Bahan Pakai Bedah sentral seperti Benang Jahit Operasi, CVC','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7645,'47399708','Belanja Bahan Habis Pakai Kedokteran gigi (E-Purchasing)','10.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'2','Belanja Bahan Pakai Kedokteran Gigi seperti Tumpatan gigi','Belanja Bahan Pakai Kedokteran Gigi seperti Tumpatan gigi','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7646,'47400021','Belanja Bahan Habis Pakai Kedokteran gigi (PL)','70.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'6','Belanja Bahan Pakai Kedokteran Gigi seperti Tumpatan gigi','Belanja Bahan Pakai Kedokteran Gigi seperti Tumpatan gigi','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7647,'47400465','Belanja Bahan Bahan Bangunan dan Konstruksi','40.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Bahan Bahan Bangunan dan Konstruksi','Belanja bahan bangunan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:55:18.494','rsu'),
(7648,'47400631','Belanja Bahan Habis Pakai Orthopedi (E-Purchasing)','550.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'4','Belanja Bahan Pakai Orthopedi berupa implan, screw','Belanja Bahan Pakai Orthopedi berupa implan, screw','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7649,'47401401','Belanja Bahan Pakai Orthopedi (PL)','800.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'72','Belanja Bahan Pakai Orthopedi berupa implan, screw','Belanja Bahan Pakai Orthopedi berupa implan, screw','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 09:25:04.06','rsu'),
(7650,'47401894','Belanja Bahan Habis Pakai Radiologi','867.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'6','Belanja Bahan Pakai Radiologi berupa Film, syringe, connector','Belanja Bahan Pakai Radiologi berupa Film, syringe, connector','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7651,'47402394','Belanja Bahan Habis Pakai Chatlab','1.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'2','Belanja Bahan Pakai Chatlab berupa contras, screw','Belanja Bahan Pakai Chatlab berupa contras, screw','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:55:34.836','rsu'),
(7652,'47403542','Belanja Bahan Isi Tabung Gas','82.500.000','Pengadaan Langsung','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja bahan isi tabung gas berupa gas LPG dan isi ulang APAR','Pembelian isi tabung gas dan isi ulang APAR selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:24:05.52','rsu'),
(7653,'47405247','Belanja Bahan Habis Pakai Laboratorium ( E-Purchasing)','500.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'12','Belanja Bahan Pakai Laboratorium berupa reagen','Belanja Bahan Pakai Laboratorium berupa reagen','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:39:11.221','rsu'),
(7654,'47405483','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','430.000.000','E-Purchasing','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Alat tulis kantor, belanja isi ulang toner, dan belanja isi ulang catridge','Pembelian alat tulis kantor, belanja isi ulang toner, dan belanja isi ulang catridge yang dilakukan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:56:04.519','rsu'),
(7655,'47407496','Belanja Pakaian Dinas Lapangan (PDL)','421.023.600','E-Purchasing','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Pakaian Dinas Lapangan (PDL)','1. Baju ruang khusus (S, M, L, XL) : 244 Buah 2. Baju ruang khusus (XXL, XXXL, 4XL) : 60 Buah 3. Baju ruang khusus farmasi kemoterapi : 10 Buah 4. Skored perawat / petugas : 60 Buah 5. Jas Dokter : 50 Buah 6. Gown : 60 Buah 7. Seragam CS : 85 Paket 8. Seragam Security : 50 Paket 9. Pakaian Kerja Gizi : 1 Paket','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Maret 2024','Desember 2024','Februari 2024','Maret 2024','2024-01-12 14:24:05.52','rsu'),
(7656,'47408632','Belanja Makanan dan Minuman Rapat','77.600.000','E-Purchasing','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Makanan dan Minuman Rapat berupa : 1. Belanja makan dan minuman rapat 2. Belanja makan dan minuman bimtek','1. Belanja makan dan minuman rapat selama 1 tahun 2. Belanja makan dan minuman bimtek selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:29:37.328','rsu'),
(7657,'47409900','Belanja Makanan dan Minuman Jamuan Tamu','29.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Makanan dan Minuman Jamuan Tamu berupa belanja makanan dan minuman tamu','Belanja makanan dan minuman tamu selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:21:08.232','rsu'),
(7658,'47413905','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Listrik','138.000.000','E-Purchasing','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja alat listrik dan belanja lampu','Belanja alat listrik dan belanja lampu selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:48:07.011','rsu'),
(7659,'47414460','Belanja Alat/Bahan untuk Kegiatan Kantor-Suvenir/Cendera Mata','10.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja suvenir/cenderamata','Belanja suvenir/cenderamata selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:42:58.672','rsu'),
(7660,'47415134','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat/Bahan untuk Kegiatan Kantor Lainnya','2.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja bahan menjahit','Pembelian bahan menjahit selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-11 14:47:19.336','rsu'),
(7661,'47416579','Belanja Bahan Habis Pakai Laboratorium (PL)','2.400.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'60','Belanja Bahan Habis Pakai Laboratorium berupa reagen','Belanja Bahan Habis Pakai Laboratorium berupa reagen','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:38:29.178','rsu'),
(7662,'47420625','Belanja Bahan Habis Pakai Hemodialisa','3.300.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'48','Belanja Bahan Pakai Hemodialisa berupa cairan, HD set dan HD pack','Belanja Bahan Pakai Hemodialisa berupa cairan, HD set dan HD pack','Ya','Tidak','Ya','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 14:53:38.01','rsu'),
(7663,'47420665','Belanja Jasa Audit/Survaillance ISO','64.100.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja jasa konsultasi berorientasi bidang keuangan Tim Auditor Independen','Mengaudit laporan keuangan rumah sakit','Ya','Ya','Ya','Ya','Ya','Tidak','Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7664,'47423580','Belanja Modal Jaringan Distribusi','100.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 paket','Jaringan Listrik Ruangan','Penggantian kabel jaringan distribusi','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-12 10:38:14.968','rsu'),
(7665,'47459477','Belanja modal alat pendingin','706.800.000','E-Purchasing','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'6 Unit, 2 Buah','Belanja modal alat pendingin AC 1PK AC 2 PK Kipas Angin Dinding Exhause Fan HVAC OK 3 Chiller 4 Pintu','Belanja modal alat pendingin AC 1PK 2 unit AC 2 PK 2 Unit Kipas Angin Dinding 1 Bh Exhause Fan 1 Bh HVAC OK 3 1 Unit Chiller 4 Pintu 1 Unit','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7666,'47463685','Belanja Modal Alat Kedokteran Radiodiagnostic (BLUD)','240.000.000','E-Purchasing','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'3','- Channul Urografi Besar - Channul Urografi Kecil - Patient Monitor','Tegangan 220-240 VAC. Input 80 VA. Frekuensi 50/60 Hz. Sistem multi-alarm. Standar konfigurasi LEAD, NIBP, SPO2,TEMP1, TEMP2. ECG : 5 kabel LEAD. HR : dewasa 15-300 bpm; anak-anak 15-350 bpm. RESP : dewasa 2-120 BrPM; panak-anak 2-150 BrPM; akurasi 士2BrPM. TEMP : 0-50 °C, akurasi 士0.1 °C. PR : 20-300 bpm, accuracy 士3 bpm. SPO2 : 0-100%, akurasi 70-100% 士2. NIBP : Mode operasi manual/otomatis/STAT, rentang 10-270mmHg, akurasi 5mmHg. Antarmuka : sambungan arus AC, USB, RJ45, HDMI, dll.','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2026','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:52:35.813','rsu'),
(7667,'47464817','Belanja Sewa Alat Rumah Tangga Lainnya (Home Use)','3.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja sewa alat rumah tangga lainnya (home use) berupa sewa terop','Belanja sewa alat rumah tangga lainnya (home use) berupa sewa terop selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:52:35.813','rsu'),
(7668,'47466643','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Dinas Bermotor Perorangan','220.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja pemeliharaan kendaraan dinas bermotor perorangan yaitu kendaraan dinas','Belanja pemeliharaan kendaraan dinas selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:49:32.59','rsu'),
(7669,'47466849','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Bermotor Beroda Tiga','500.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Pemeliharaan Kendaraan Bermotor Beroda Tiga','Belanja pemeliharaan kandaraan beroda tiga selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:49:32.59','rsu'),
(7670,'47467089','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Bermotor Khusus','100.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Pemeliharaan Kendaraan Bermotor Khusus berupa mobil ambulans','Belanja pemeliharaan mobil ambulan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 10:49:32.59','rsu'),
(7671,'47467623','Belanja Pemeliharaan Alat Bengkel dan Alat Ukur - Alat Bengkel Bermesin - Perkakas Bengkel Listrik','10.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja pemeliharaan perkakas bengkel listrik berupa peralatan listrik non medis','Belanja pemeliharaan perkakas bengkel listrik berupa peralatan listrik non medis yang dilakukan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:49:32.59','rsu'),
(7672,'47468756','Belanja Pemeliharaan Komputer-Komputer Unit-Komputer Jaringan','150.500.000','Pengadaan Langsung','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja pemeliharaan komputer jaringan yaitu: 1. Belanja pemeliharaan jaringan IT 2. Pemeliharaan Software 3. Lisensi CR','Belanja pemeliharaan komputer jaringan yang dilakukan selama 1 tahun meliputi pemeliharaan jaringan IT, pemeliharaan software dan lisensi CR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:52:35.813','rsu'),
(7673,'47469110','Belanja Pemeliharaan Komputer-Komputer Unit-Personal Computer','90.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja pemeliharaan personal computer berupa komputer dan printer','Belanja pemeliharaan komputer dan printer yang dilaksanakan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:49:32.59','rsu'),
(7674,'47472769','Belanja bahan habis pakai CSSD','700.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja bahan habis pakai CSSD berupa enzime pembersih,pouches sterilisasi,indikator sterilisasi dll','Belanja bahan habis pakai CSSD berupa enzime pembersih,pouches sterilisasi,indikator sterilisasi dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:42:04.223','rsu'),
(7675,'47472830','Belanja Modal Kendaraan Dinas Bermotor Perorangan','500.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja modal kendaraan dinas bermotor perorangan berupa kendaraan dinas','Pembelian 1 (satu) unit kendaraan dinas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:33:10.498','rsu'),
(7676,'47473320','Belanja bahan habis pakai loundry','304.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja bahan habis pakai loundry','Belanja bahan habis pakai loundry berupa chemecal linen, label indikator proses cuci, wrapping linen dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:42:04.223','rsu'),
(7677,'47473966','Belanja Pemeliharaan Alat Besar-Alat Besar Darat-Alat Pengangkat','50.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Pemeliharaan Lift','Pemeliharaan Rutin Lift Dilaksanakan selama 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7678,'47475230','Belanja Modal Kendaraan Tak Bermotor Angkutan Barang','54.000.000','E-Purchasing','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'3 buah','Belanja modal alat angkutan darat tak bermotor berupa: 1. Trolley Linen 200 kg 2. Trolley Linen 100 kg 3. Trolley makanan dengan pemanas','Pembelian 1 (satu) buah trolley linen 200 kg, 1 (satu) buah trolley linen 100kg dan 1 (satu) buah trolley makanan dengan pemanas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:24:05.52','rsu'),
(7679,'47475836','Belanja Modal Perkakas Bengkel Kerja','8.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 paket','Belanja modal perkakas bengkel kerja berupa peralatan sanitasi','Pembelian 1 (satu) paket peralatan sanitasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:31:46.51','rsu'),
(7680,'47477658','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Kantor Lainnya','300.000.000','Pengadaan Langsung','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','1. Belanja Pemeliharaan CCTV 2. Belanja Pemeliharaan Sound Central 3. Belanja Pemeliharaan Nurse Call','1. Pemeliharaan rutin CCTV dilaksanakan selama 1 Tahun 2. Pemeliharaan Sound Central dilaksanakan selama 1 Tahun 3. Pemeliharaan Nurse Call dilaksanakan selama 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Jasa Lainnya,Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7681,'47478279','Belanja Modal Alat Penyimpan Perlengkapan Kantor','9.687.500','E-Purchasing','BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'8 buah','Belanja modal alat penyimpan perlengkapan kantor','Belanja modal alat penyimpan perlengkapan kantor berupa 1 (satu) buah lemari alumunium, 1 (satu) buah filing cabinet, 1 (satu) buah rak besi, dan 5 (lima) buah box container plastik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:19:02.295','rsu'),
(7682,'47478461','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pembersih','40.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Pemeliharaan Dan Perbaikan Rutin Mesin Cuci','Pemeliharaan Dan Perbaikan Rutin Mesin Cuci Dilaksanakan Selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7683,'47478859','Belanja Modal Alat Kantor Lainnya','54.000.000','E-Purchasing','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 paket, 2 buah','Belanja Modal Alat Kantor Lainnya','Pembelian 1 (satu) paket CCTv dan 2 (dua) buah finger','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:24:05.52','rsu'),
(7684,'47480553','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pendingin','1.100.000.000','Pengadaan Langsung','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Pemeliharaan Alat Kantor dan Rumah Tangga - Alat Rumah Tangga -Alat Pendingin terdiri dari : 1. Belanja Pemeliharaan Dan Perbaikan Rutin HVAC 2. Belanja Pemeliharaan Rutin Dan Perbaikan AC','1. Pemeliharaan Dan Perbaikan Rutin HVAC Dilaksanakan Selama 1 Tahun 2. Pemeliharaan Rutin Dan Perbaikan AC Dilaksanakan Selama 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7685,'47482487','Belanja Modal Electric Generating Set','3.200.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 PAKET','Genset 1250 KVA silent tipe','Genset 1250 KVA silent tipe','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:38:14.968','rsu'),
(7686,'47484582','Belanja Modal Alat Studio','28.000.000','E-Purchasing','BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 paket, 1 unit, 4 buah','Belanja Modal Peralatan Studio Audio berupa mic, UPS, dan nurse call','Pembelian 2 (dua) buah mic, 2 (dua) buah UPS kecil, 1 (satu) paket nurse call, dan 1 (satu) unit UPS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:32:51.965','rsu'),
(7687,'47485564','Belanja Modal Alat Pelindung','15.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja modal alat pelindung lainnya berupa perlengkapan APD','Pembelian perlengkapan APD selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 10:32:51.965','rsu'),
(7688,'47486904','Belanja Modal Software','300.000.000','E-Purchasing','BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Pengembangan SIMRS di Rawat Jalan Tahap I','Pengembangan SIMRS di Rawat Jalan Tahap I','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-12 10:27:08.711','rsu'),
(7689,'47487985','Belanja Modal Peralatan Jaringan','100.000.000','E-Purchasing','BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Jaringan kabel IT','Jaringan kabel IT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Februari 2024','Maret 2024','2024-01-12 10:27:08.711','rsu'),
(7690,'47495196','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering)','568.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering)','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering) Beras, Tepung beras, Tepung Terigu, Gula, Minyak Goreng, Abon, Garam, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 14:19:02.295','rsu'),
(7691,'47496337','Belanja Pemeliharaan Alat Kedokteran dan Kesehatan-Alat Kedokteran-Alat Kedokteran Lainnya Pengadaan Langsung','650.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Belanja pemeliharaan alat kedokteran','Pemeliharaan Alat-alat Kesehatan-Alat Kedokteran-Alat Kedokteran Lainnya','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2023','Desember 2025','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7692,'47496465','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering cyto)','20.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering cyto)','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Kering cyto) Beras, Tepung beras, Tepung Terigu, Gula, Minyak Goreng, Abon, Garam, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-12 14:19:02.295','rsu'),
(7693,'47497335','Belanja Pemeliharaan Alat Kedokteran dan Kesehatan-Alat Kedokteran-Alat Kedokteran Lainnya e-purchasing','100.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Belanja pemeliharaan alat kedokteran','Pemeliharaan Alat-alat Kesehatan - Alat Kedokteran - Alat Kedokteran Lainnya','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2025','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7694,'47505603','Belanja Modal Alat Laboratorium Umum','700.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Pneumatic Tube','Spesifikasi : Software WIN 3000 Multilngual • Akses ke program dapat diproteksi dengan password • Dapat melihat status sistem secara real time • Dapat melakukan analisa pengiriman, penerimaan, dan error • Seluruh data pengiriman, penerimaan, dan error dapat diekspor untuk pelaporan • Memiliki graphic display instalasi sistem • Dapat diremote dari jarak jauh (memerlukan akses internet) • Dapat terkoneksi dengan central control unit Heavy Duty Station Full Automatis • EWS-STATION with 2 ANTENA RFID:  Bottom-loading station, pengiriman carrier dilakukan dengan cara menekan alamat tujuan lalu meletakkan carrier di corong pengiriman yang terletak di bagian bawah station dan carrier akan terkirim secara otomatis apabila system sedang kosong (tidak ada pengiriman) atau stand by apabila sistyem sedang sibuk (melakukan pengiriman);  Front cover terbuat dari Polystyron (non inflammable) dengan lapisan anti static;  Station ini khusus digunakan sebagai end-station  Panel kontrol :- 16 buttons membrane keypad - 2x24 LC-display with backlight - 4 LED indicator Aksesoris EWS Station • Carrier rack for 5 carriers: lattice (color: grey powder coated); • Receiving basket: lattice with shock damper cushion; Diverter 3 way • Memiliki 3 output percabangan • Berfungsi mengatur percabangan dalam jalur pemipaan; • Terbuat dari steel plate; • Motor penggerak diverter menggunakan tenaga listrik 24 VDC; • Mampu dipasang baik secara vertical maupun horizontal; Carrier • Tutup carrier terbuat dari bahan yang tahan benturan, ABS atau setara; • Bagian tubuh carrier terbuat dari polyurethane yang tahan benturan; • Carrier menggunakan sistem side opening safety swivel self-locking lids, di mana bagian tutup carrier bisa dibuka dengan cara digeser ke samping luar dan akan menutup secara otomastis saat bagian tutup tersebut digeser ke arah samping dalam; • Ukuran dan fungsi short carrier:  Panjang tidak kurang dari 245 mm dan diameternya 80 mm  Mampu membawa muatan dengan berat hingga 3 kg; • Digunakan untuk mengirim blood, urine, and faeces samples; • Setiap 1 unit carrier dilengkapi dengan 1 unit blood labor bag dan 1 unit urine/faeces labor bag; Transfer Tube • Memiliki diameter luar 110 mm • Tebal tidak kurang dari 2,3 mm • Pipa terbuat dari hard PVC • Toleransi ketahanan pipa terhadap temperatur adalah 60o C maksimal; • Pipa lengkung memiliki radius 800 mm; • Memiliki standar DIN 6660/8061/8062, grup material B1 highly inflammable and self-extinguishing. Tipe Transfer Tubing • Dispatch Tube Grey  Warna Abu-abu  Hard PVC • Bending Tube Grey  Warna abu-abu  Radius 800 mm','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2029','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7695,'47506202','Belanja Medical Check Up','90.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Belanja Medical Check Up','Pemeriksaan Laboratorium','Ya','Tidak','Ya','Ya','Ya','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:21:02.217','rsu'),
(7696,'47506961','Belanja Modal Alat Kesehatan Umum Lainnya (BLUD)','100.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Belanja peralatan kesehatan rumah sakit','Belanja alat - alat kesehatan rumah sakit','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2026','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7697,'47515902','Belanja Jasa Kalibrasi','332.500.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1','Belanja jasa kalibrasi','Jasa Kalibrasi: 1. Sertifikasi alat kesehatan 2. Sertifikasi sarana dan prasarana rumah sakit 3. Pemantapan Mutu Eksternal (PME) Lab 4. Pembacaan TLD 5. Pemantapan Mutu Eksternal (PME) PA','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2025','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:21:02.217','rsu'),
(7698,'47516482','Belanja Tagihan Telpon','30.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja telp','Belanja tagihan telpon selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:21:02.217','rsu'),
(7699,'47517775','Belanja Modal Peralatan Personal Computer','66.440.000','E-Purchasing','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','March 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Pengadaan peralatan personal computer','Printer dot matrix 1 unit, Printer warna dengan scanner 2 unit, Hardisk eksternal 2 Tera 1 unit, Scanner 2 unit, Printer Tabung 2 unit, Scanner barcode 1 unit, Printer thermal 1 unit, Mouse Kabel 20 buah, Mouse Wireless 10 buah, Keyboard Kabel 20 buah, Keyboard Wireless 10 buah, Flash disk 16 GB 50 buah, SD Card 128 GB 1 buah, Micro SD 128 GB 1 buah.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','April 2024','Desember 2024','Maret 2024','April 2024','Maret 2024','Maret 2024','2024-01-12 14:21:02.217','rsu'),
(7700,'47518170','Belanja Tagihan Air','45.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Air','Belanja pembayaran air PDAM selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:24:05.52','rsu'),
(7701,'47519114','Belanja Tagihan Listrik','1.900.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja listrik','Belanja pembayaran tagihan listrik selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:24:05.52','rsu'),
(7702,'47519787','Belanja Pemeliharaan Alat Besar-Alat Besar Darat-Mesin Proses','400.000.000','Pengadaan Langsung','BLUD, BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja pemeliharaan alat besar darat yang terdiri dari Pemeliharaan Incenerator dan Pemeliharaan IPAL','Pemeliharaan Incenerator dan Pemeliharaan IPAL yang dilakukan dalam 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Juli 2024','Agustus 2024','Februari 2024','Februari 2024','2024-01-12 14:24:05.52','rsu'),
(7703,'47520502','Belanja Modal Alat Pembersih','5.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 paket','Bak linen stainles 5 unit','Wadah yang terbuat dari stainles yang digunakan untuk menaruh linen kotor','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Juni 2024','Januari 2024','Januari 2024','2024-01-12 14:29:54.082','rsu'),
(7704,'47521299','Belanja Modal Buku Umum','10.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Buku ilmu pengetahuan','Buku ilmu pengetahuan tentang kesehatan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Januari 2024','2024-01-15 08:58:13.076','rsu'),
(7705,'47521440','Belanja Kawat/Faksimili/Internet/TV/Berlangganan','334.500.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja internet Belanja akun zoom Belanja TV kabel Belanja pemasangan TV kabel','Belanja pembayaran pemakaian jaringan internet selama 1 tahun Belanja pembayaran pembelian akun zoom pro selama 1 tahun Belanja pembayaran pemakaian TV kabel selama 1 tahun Belanja pembayaran pemasangan jaringan TV kabel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Jasa Lainnya,Jasa Lainnya,Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:24:05.52','rsu'),
(7706,'47522642','Belanja Modal Alat Dapur','62.300.000','E-Purchasing','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Peralatan masak 1 paket, Penggiling daging 1 unit, Kompor 2 tungku 1 unit','Berbagai benda atau perkakas yang digunakan untuk mengolah suatu masakan','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Januari 2024','Maret 2024','Januari 2024','Januari 2024','2024-01-12 14:29:18.661','rsu'),
(7707,'47523033','Belanja Modal Alat Rumah Tangga Lainnya (Home Use)','56.000.000','E-Purchasing','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun, 5 buah','Belanja modal alat rumah tangga lainnya (home use) berupa korden dan pallet plastik','Pembelian korden selama 1 (satu) tahun dan 5 (lima) buah pallet plastik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-12 14:28:54.734','rsu'),
(7708,'47524771','Belanja Pembayaran Pajak, Bea, dan Perizinan','142.340.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja STNK kendaraan dinas dan ambulance Belanja PBB rumah dinas Administrasi bank Izin Incenerator','Belanja pembayaran pajak STNK kendaraan bermotor roda 2,3 dan 4 Belanja pembayaran pajak bumi dan bangunan 1 tahun Belanja pembayaran administrasi bank Belanja pembayaran pengurusan izin incenerator','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Jasa Lainnya,Jasa Lainnya,Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-12 14:43:05.26','rsu'),
(7709,'47527682','Belanja Jasa Tenaga Informasi dan Teknologi','2.100.000','Pengadaan Langsung','BLUD','June 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja jasa website dan hosting','Pembayaran belanja jasa pemakaian website dan hosting (rumah web)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Juni 2024','Juni 2024','Juni 2024','Juni 2024','2024-01-12 14:56:29.765','rsu'),
(7710,'47531249','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','20.780.000','Pengadaan Langsung','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja benda pos Belanja benda pengiriman','Belanja pembelian benda pos (materai) selama 1 tahun Belanja pembayaran biaya pengiriman paket/dokumen','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:18:59.166','rsu'),
(7711,'47539509','Belanja Makanan dan Minuman Aktivitas Lapangan (makanan dan minuman)','699.600.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Makanan dan Minuman Aktivitas Lapangan (makanan dan minuman nasi kotak)','Nasi dikemas dalam dos/kotak dengan ketentuan: Nasi 250 gr, Lauk hewani 150 gr (2 jenis), Lauk nabati 50 gr, Sayur 150 gr, Buah 150 gr, Air Mineral 1 gelas, Krupuk , Sambal, Memiliki cita rasa dan tekstur yang dapat diterima, Mempunyai variasi menu (siklus menu 10 hari+1 dengan 3 kali makan sehari), Makanan diantar setiap hari ke masing – masing ruangan, Tepat waktu, jumlah sesuai dengan karyawan yang dinas/piket di saat itu, Makanan dalam kondisi baik dan kemasan rapi,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 08:26:43.072','rsu'),
(7712,'47539789','Belanja Modal Mebel','90.800.000','E-Purchasing','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'12 Buah, 7 Unit','Belanja Modal Mebel Meja Kursi Kerja Sofa Matras Kursi Tunggu Kursi Kerja Kursi Putar','Belanja Modal Mebel Meja Kursi Kerja 2 Bh Sofa 3 Bh Matras 5 Bh Kursi Tunggu 5 Unit Kursi Kerja 2 Unit Kursi Putar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 08:29:47.121','rsu'),
(7713,'47539822','Belanja Makanan dan Minuman Aktivitas Lapangan (uang makan)','96.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Belanja Makanan dan Minuman Aktivitas Lapangan (uang makan)','Pengadaan Belanja Makanan dan Minuman Aktivitas Lapangan (uang makan pegawai)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 08:26:43.072','rsu'),
(7714,'47540108','Belanja Makanan dan Minuman Aktivitas Lapangan (air mineral)','2.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Belanja Makanan dan Minuman Aktivitas Lapangan (air mineral)','Pengadaan Belanja Makanan dan Minuman Aktivitas Lapangan (air mineral) Belanja air minum mineral kemasan gelas dan botol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-15 08:26:43.072','rsu'),
(7715,'47610212','Belanja modal bangunan kesehatan - Gedung Diagnostik Terpadu','2.427.184.000','Tender','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 PAKET','Pembangunan Gedung Diagnostik Terpadu','Pembangunan Gedung Diagnostik Terpadu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','April 2024','Desember 2024','Maret 2024','Desember 2024','Januari 2024','Maret 2024','2024-01-15 08:59:57.556','rsu'),
(7716,'47610770','Belanja modal bangunan kesehatan - Pengawasan Gedung Diagnostik Terpadu','72.816.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 PAKET','Pengawasan Gedung Diagnostik Terpadu','Pengawasan Gedung Diagnostik Terpadu','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','April 2024','Desember 2024','Maret 2024','Desember 2024','Januari 2024','Maret 2024','2024-01-15 08:59:57.556','rsu'),
(7717,'47611928','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Tinggal-Bangunan Gedung Tempat Tinggal Lainnya','50.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pemeliharaan Rumah Dinas','Pemeliharaan Rumah Dinas Selama 1 Tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 09:01:50.405','rsu'),
(7718,'47613849','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','10.000.000','E-Purchasing','BLUD, BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Peralatan support jaringan Peralatan support komputer','Peralatan support jaringan Peralatan support komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-15 08:25:56.521','rsu'),
(7719,'47623464','Belanja Jasa Konsultasi Berorientasi Layanan - Jasa Survei','65.000.000','E-Purchasing','BLUD','March 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Jasa Konsultasi Berorientasi Layanan - Jasa Survei','Survei Indeks Kepuasan Masyarakat 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Konsultansi,','Juni 2024','Desember 2024','April 2024','Mei 2024','Maret 2024','Maret 2024','2024-01-15 09:25:04.06','rsu'),
(7720,'47625667','Belanja Modal Alat Komunikasi Telephone','25.000.000','E-Purchasing','BLUD, BLUD','March 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'4 buah','Tablet Handphone','Tablet Handphone','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Juli 2024','Desember 2024','Maret 2024','Juni 2024','Maret 2024','Maret 2024','2024-01-15 09:25:04.06','rsu'),
(7721,'47628107','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor (Penunjang)','1.000.000','E-Purchasing','BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja bahan habis pakai keperluan jenazah','Belanja bahan habis pakai keperluan jenazah','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-15 09:35:05.763','rsu'),
(7722,'47643354','Belanja Pemeliharaan Instalasi-Instalasi Gas-Instalasi Gas Lainnya','50.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Pemeliharaan Gas Medis','Pemeliharaan Gas Medis Selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-15 11:49:14.71','rsu'),
(7723,'47664310','Belanja Jasa Penanganan Prasarana dan Sarana Umum','270.800.000','Pengadaan Langsung','BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja Penguburan Jenazah Belanja Jasa Pemindahan Barang alat radiologi','Belanja Penguburan Jenazah Belanja Jasa Pemindahan Barang alat radiologi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-15 11:49:01.818','rsu'),
(7724,'48396091','Belanja Modal Personal Computer','405.300.000','E-Purchasing','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'9 unit','Belanja modal personal computer berupa laptop, PC unit, dan PC Server','Pembelian 3 (tiga) unit laptop, 5 (lima) unit PC unit, dan 1 (satu) unit PC server','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','April 2024','Januari 2024','Januari 2024','2024-01-23 15:23:58.714','rsu'),
(7725,'48603665','Belanja Modal Alat Kedokteran Umum (BLUD)','606.102.700','E-Purchasing','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'66','- Standar Infus - Matras Decubitus - Tensimeter Digital - Ambubag Bayi - Ambubag Dewasa - Kursi Roda - Plaster Cast Spreader - Oxymetri - Easymove - Bed Patient - Brankart - Syringe Pump - Nebulizer','- Peralatan Rumah Sakit Umum dan Perorangan, Infusion Stand - Matras Anti Decubitus adalah alat yang digunakan untun mencegah terjadinya borok atau luka di bagian tubuh pasien yang berbaring lama dan tidak pernah digerakan. Biasanya bagi pasien stroke, koma dan lain-lain - Automatic Power Off : 2 menit, Memori penyimpanan 60 data, Dimensi : 59x93x120 mm, Ukuran Manset : 23-33 cm (Standard), Kelengkapan Aksesoris : Cuff, Baterai, Buku Manual, Kartu Garansi, Adaptor dan Powerbank. - Alat bantu pemberian untuk jalan nafas pada pasiaen sesak nafas - Mechanical wheelchair, Transportasi Pasien - Mobile Stretcher - Memindahkan Pasien Dari Bed ke Stretcher atau sebaliknya','Ya','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2026','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-24 11:21:18.927','rsu'),
(7726,'48609966','Belanja Modal Alat Kedokteran Gigi (BLUD)','22.710.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'42','- Pinset PC1 - Pinset PCU155 - Sonde double ended - Luxator reguler 4ELLR301 - Luxator reguler 4ELL301 - Luxator reguler 4ELLR501 - Luxator reguler 4ELL501 - Luxator dual edge 4ELLD501 - Excavator EXC31L - Excavator EXC32L - Excavator EXC33L - Excavator EXC17 - Excavator EXCE1 - Excavator EXC18 - Excavator EXCE2 - Plastic filling CSCT6 - Plastic filling CSCT1 - Plastic filling CSCT10 - Plastic filling CSCOM2 - Plastic filling CSAT6 - Raspatorium epbuser - Raspatorium EP14 - Raspatorium EP15','Instrumen yang digunakan untuk menunjang pelayanan pada klinik gigi','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2026','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-25 08:42:51.802','rsu'),
(7727,'48716693','Belanja Bahan-Bahan Lainnya (Belanja penyediaan darah transfusi)','1.500.000.000','Dikecualikan','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja penyediaan darah transfusi','Belanja penyediaan darah transfusi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2024','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-25 10:53:13.55','rsu'),
(7728,'48765365','Belanja Kursus Singkat/Pelatihan','1.415.600.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD, BLUD','February 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Tunjangan tugas belajar PPDS, Belanja kursus-kursus singkat pelatihan, Belanja akomodasi dan transportasi, Motivation Training, Akreditasi RS Pendidikan','Tunjangan tugas belajar PPDS, Belanja kursus-kursus singkat pelatihan, Belanja akomodasi dan transportasi, Motivation Training, Akreditasi RS Pendidikan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Maret 2024','Desember 2024','Februari 2024','Maret 2024','Februari 2024','Februari 2024','2024-01-25 15:47:18.27','rsu'),
(7729,'48806768','Belanja Modal Alat Kedokteran Lainnya (BLUD)','11.490.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'3','- Infusion Presscuff','- Cuff atau bag untuk membantu memberi tekanan pada cairan infus','Tidak','Tidak','Tidak','Tidak','Tidak','Tidak','Barang,','Maret 2024','Desember 2026','Maret 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-26 09:49:05.042','rsu'),
(7730,'48968351','Belanja Alat/Bahan untuk Kegiatan Kantor-Perabot Kantor','500.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja bahan habis pakai rumah tangga','Belanja bahan habis pakai rumah tangga selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-01-29 12:49:39.333','rsu'),
(7731,'48974012','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','1.457.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar)','Pengadaan sayur, buah, lauk, daging, ayam, ikan, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-29 13:32:11.39','rsu'),
(7732,'48974257','Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar cyto)','200.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Pengadaan Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar cyto)','Pengadaan Belanja Makanan dan Minuman pada Fasilitas Urusan Kesehatan (Bahan Segar cyto) Pengadaan sayur, buah, lauk, daging, ayam, ikan, dll','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-29 13:34:19.337','rsu'),
(7733,'49733797','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Cetak (PL)','287.000.000','Pengadaan Langsung','BLUD, BLUD, BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Cetak - Cyto Cetakan - Cetakan rutin - Cetakan PKRS - Belanja Penggandaan - Kalender rumah sakit','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Cetak - Cyto Cetakan 1 tahun - Cetakan rutin 1 tahun - Cetakan PKRS 1 tahun - Belanja Penggandaan 1 tahun - Kalender rumah sakit 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-13 08:16:34.547','rsu'),
(7734,'49733855','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Cetak (e-purchasing)','258.400.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Cetak - Cetakan Rutin','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Cetak - Cetakan Rutin 1 Th','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-13 08:17:35.77','rsu'),
(7735,'49848780','Belanja Langganan Jurnal/Surat Kabar/Majalah','31.000.000','Pengadaan Langsung','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Langganan Surat Kabar/Majalah yang dilakukan selama 1 tahun','Pembelian Surat Kabar/Majalah selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-16 09:43:57.065','rsu'),
(7736,'49849345','Belanja Registrasi/Keanggotaan','15.000.000','Pengadaan Langsung','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja Registrasi/Keanggotaan yang dilakukan selama 1 tahun','Pembayaran Iuran PERSI, Iuran ARSADA, Iuran PAIRSI yang dilakukan selama 1 tahun','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-16 09:43:57.065','rsu'),
(7737,'50014554','Belanja Alat/Bahan untuk Kegiatan Kantor-Perlengkapan Dinas','350.000.000','E-Purchasing','BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja linen untuk pelayanan','belanja seprei, selimut, sarung bantal, paket operasi, perlak dan celemek OK dll, baju pasien,baju pasien OK dll','Ya','Ya','Ya','Ya','Ya','Tidak','Barang,','Februari 2024','Desember 2024','Februari 2024','Mei 2024','Januari 2024','Januari 2024','2024-02-20 14:58:04.492','rsu'),
(7738,'50038188','Belanja jasa tenaga ahli','220.600.000','Dikecualikan','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 tahun','Belanja jasa tenaga ahli: 1. Belanja jasa pendampingan hukum 2. Belanja jasa pembuatan video 3. Belanja jasa pendampingan e-BLUD','Belanja jasa tenaga ahli dilakukan selama 1 tahun anggaran','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-21 09:18:22.436','rsu'),
(7739,'50072489','Belanja Pemeliharaan Bangunan Gedung-Bangunan Gedung Tempat Kerja-Bangunan Kesehatan','508.130.000','Pengadaan Langsung','BLUD, BLUD, BLUD','January 2024','Kab. Bondowoso','Rumah Sakit Umum DR. H. Koesnadi',2024,'1 Tahun','Belanja pemeliharaan bangunan kesehatan berupa pemeliharaan bangunan rumah sakit , perencanaan dan pengawasan selama 1 Tahun','Belanja pemeliharaan bangunan rumah sakit terdiri dari : Pekerjaan Fisik, Pekerjaan Perencanaan dan Pengawasan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Pekerjaan Konstruksi,Jasa Konsultansi,Jasa Konsultansi,','Februari 2024','Desember 2024','Februari 2024','Desember 2024','Januari 2024','Februari 2024','2024-02-21 14:52:44.115','rsu'),
(7740,'46993077','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','4.789.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Alat Tulis Kantor','Bolpoint, staples, isi staples, plakband hitam, ordner besar, stopmap kertas, jilid dan cetak cover, tinta stempel, stam pad ( bantalan ), fotocopy, binder clip, spidol marker, snelhecter map.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:16:36.051','satpolpp'),
(7741,'46993911','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','2.490.700','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Kertas dan Cover','Kertas HVS A4, kertas bufallo, Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:16:36.051','satpolpp'),
(7742,'46994616','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','4.770.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Bahan Komputer','Tinta epson hitam T 6641, Tinta epson warna T 6642, Tinta epson warna T 6643, Tinta epson warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:16:36.051','satpolpp'),
(7743,'46995082','Belanja Makanan dan Minuman Rapat','7.650.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja makanan dan minuman rapat','Kue kotak, nasi kotak, air mineral','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:16:36.051','satpolpp'),
(7744,'47002576','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.880.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Alat Tulis Kantor','Ordner besar, jilid dan cetak cover, stopmap kertas, fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:18:24.158','satpolpp'),
(7745,'47002940','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','1.849.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Kertas dan Cover','Kertas HVS A4, Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:18:24.158','satpolpp'),
(7746,'47003351','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','4.770.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:18:24.158','satpolpp'),
(7747,'47004567','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','520.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Alat Tulis Kantor','Stopmap kertas,ordner besar, fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:07.769','satpolpp'),
(7748,'47004923','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','817.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Kertas dan Cover','Kertas HVS A4, Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:07.769','satpolpp'),
(7749,'47005455','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','662.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'5 Botol','Belanja Bahan Komputer','Tinta Epson Hitam T 6641.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:07.769','satpolpp'),
(7750,'47006098','Belanja Makanan dan Minuman Rapat','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'50 Kotak','Belanja Makanan dan Minuman Rapat','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:07.769','satpolpp'),
(7751,'47007530','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','34.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'114 lembar','Belanja Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:35.343','satpolpp'),
(7752,'47008013','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Listrik','3.445.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Alat Listrik','Lampu LED, Baterai kecil, Baterai remote.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:19:35.343','satpolpp'),
(7753,'47010417','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.287.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Alat Tulis Kantor','Ordner besar, snelhecter map, map snelhekter plastik, lem, stapler, isi staples, tinta stempel, stam pad ( bantalan ).','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:20:25.073','satpolpp'),
(7754,'47011429','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','8.103.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Kertas dan Cover','Kertas HVS A4, kertas HVS F4, amplop putih, cover mika.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:20:25.073','satpolpp'),
(7755,'47013109','Belanja Makanan dan Minuman Jamuan Tamu','7.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Belanja Makanan dan Minuman Jamuan Tamu','Nasi kotak VIP, kue kotak, kopi, air mineral.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:20:25.073','satpolpp'),
(7756,'47013784','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','91.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'455 lembar','Belanja Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:20:52.556','satpolpp'),
(7757,'47016092','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','162.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'540 lembar','Belanja Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7758,'47016816','Belanja Tagihan Telepon','2.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'11 bulan','Beban Tagihan Telepon','Tagihan pulsa pasca bayar','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7759,'47018042','Belanja Tagihan Air','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Beban Tagihan Air','Air PDAM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7760,'47018659','Belanja Tagihan Listrik','4.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Beban Tagihan Listrik','Beban Tagihan Listrik','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7761,'47019309','Belanja Kawat/Faksimili/Internet/TV Berlangganan','25.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Beban Kawat/Faksimili/Internet/TV Berlangganan','Beban Kawat/Faksimili/Internet/TV Berlangganan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7762,'47019885','Belanja Sewa Jaringan Dengan Media Udara','2.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Belanja Sewa Jaringan Dengan Media Udara','Sewa hosting.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:22:37.157','satpolpp'),
(7763,'47020890','Belanja Jasa Tenaga Teknisi Mekanik dan Listrik','2.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Beban Jasa Tenaga Teknisi Mekanik dan Listrik','Service AC','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:23:09.264','satpolpp'),
(7764,'47021421','Belanja Jasa Tenaga Informasi dan Teknologi','1.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'7 Kali','Beban Jasa Tenaga Informasi dan Teknologi','Service laptop / komputer.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:23:09.264','satpolpp'),
(7765,'47026879','Belanja Bahan-Bahan Bakar dan Pelumas','107.215.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Bahan Bakar dan Pelumas','Pertamax, Pertamina Dex, Pelimas/Olie.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:25:25.543','satpolpp'),
(7766,'47027461','Belanja Suku Cadang - Suku Cadang Alat Angkutan','180.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Suku Cadang Alat Angkutan','Suku cadang alat angkut','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:25:25.543','satpolpp'),
(7767,'47027809','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','6.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'22 lembar','Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:25:25.543','satpolpp'),
(7768,'47028194','Belanja Pembayaran Pajak, Bea, dan Perizinan','30.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Pembayaran Pajak, Bea, dan Perizinan','Pajak kendaraan bermotor dinas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:25:25.543','satpolpp'),
(7769,'47028498','Belanja Pemeliharaan Alat Angkutan-Alat Angkutan Darat Bermotor-Kendaraan Bermotor Penumpang','65.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Pemeliharaan Alat Angkutan','Jasa service kendaraan dinas.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:25:25.543','satpolpp'),
(7770,'47030101','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','2.517.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-08 12:20:25.073','satpolpp'),
(7771,'47116788','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.131.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Banner, cetak format sppd.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:40:25.653','satpolpp'),
(7772,'47117468','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','518.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'8 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:40:25.653','satpolpp'),
(7773,'47118020','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','530.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'4 Botol','Bahan Komputer','Tinta Epson Hitam T 6641.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:40:25.653','satpolpp'),
(7774,'47118922','Belanja Makanan dan Minuman Rapat','5.640.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'240 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak, kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:40:25.653','satpolpp'),
(7775,'47119356','Belanja Makanan dan Minuman Aktivitas Lapangan','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'300 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Nasi kotak dan minuman','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:40:25.653','satpolpp'),
(7776,'47122695','Belanja Bahan-Bahan Bakar dan Pelumas','6.160.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'400 liter','Bahan Bakar dan Pelumas','Pertamina dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:10.954','satpolpp'),
(7777,'47123354','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.185.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','cetak format sppd, fotocopy, isi staples,ordner besar, map snelhecter plastik, stapler, stopmap kertas.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:10.954','satpolpp'),
(7778,'47123917','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','1.714.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Kertas dan Cover','amplop putih, kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:10.954','satpolpp'),
(7779,'47124432','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','2.120.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:10.954','satpolpp'),
(7780,'47135491','Belanja Bahan-Bahan Bakar dan Pelumas','3.542.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'230 liter','Bahan Bakar dan Pelumas','Pertamina dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:52.231','satpolpp'),
(7781,'47135967','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','358.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','cetak format sppd, map snlehecter plastik.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:52.231','satpolpp'),
(7782,'47136461','Belanja Makanan dan Minuman Rapat','3.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Makanan dan Minuman Rapat','Prasmanan ( makan dan minum ), Tumpeng.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:52.231','satpolpp'),
(7783,'47136745','Belanja Makanan dan Minuman Aktivitas Lapangan','12.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'425 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Nasi kotak, minuman.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:52.231','satpolpp'),
(7784,'47137979','Belanja Jasa Penyelenggaraan Acara','22.250.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara','Jambore Satpol PP.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:42:52.231','satpolpp'),
(7785,'47139855','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','105.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Buku block note, fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:44:14.34','satpolpp'),
(7786,'47139964','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','194.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3 rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:44:14.34','satpolpp'),
(7787,'47140161','Belanja Makanan dan Minuman Rapat','4.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'200 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak, kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:44:14.34','satpolpp'),
(7788,'47140552','Belanja Bahan-Bahan Bakar dan Pelumas','61.759.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'2325 liter','Bahan Bakar dan Pelumas','Pertamina dex, Pertamax.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:45:03.438','satpolpp'),
(7789,'47141005','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','2.115.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Bolpoint, ordner besar, stopmap kertas, snelhecter map plastik, map plastik, stapler, fotocopy, cetak format sppd.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:45:03.438','satpolpp'),
(7790,'47141226','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','1.620.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'25 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:45:03.438','satpolpp'),
(7791,'47141428','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','1.855.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:45:03.438','satpolpp'),
(7792,'47142006','Belanja Makanan dan Minuman Aktivitas Lapangan','53.448.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'2208 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Nasi kotak, kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:45:03.438','satpolpp'),
(7793,'47143636','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','113.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Ordner besar, bolpoint, fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:46:12.513','satpolpp'),
(7794,'47143844','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','489.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'8 RIm','Kertas dan Cover','Kertas HVS F4, kertas A4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:46:12.513','satpolpp'),
(7795,'47144187','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','397.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3 botol','Bahan Komputer','Tinta Epson Hitam T 6641.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:46:12.513','satpolpp'),
(7796,'47147100','Belanja Makanan dan Minuman Aktivitas Lapangan','99.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3300 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-09 13:46:12.513','satpolpp'),
(7797,'47202497','Belanja Bahan-Bahan Bakar dan Pelumas','73.840.940','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'5173 liter','Bahan Bakar dan Pelumas','Pertamax, Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7798,'47202809','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','70.772.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Bolpoint, snelhecter map bahan plastik, stopmap kertas, map plastik, ordner besar, fotocopy, cetak format sppd, banner.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7799,'47203220','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','5.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'500 lembar','Alat Tulis Kantor','Leaflet/Brosur.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7800,'47203817','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','2.090.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Kertas dan Cover','Kertas HVS F4, Amplop putih.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7801,'47204090','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','2.385.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7802,'47204320','Belanja Alat/Bahan Untuk Kegiatan Kantor-Suvenir/Cendera Mata','37.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'500 buah','Suvenir/Cendera Mata','Topi.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7803,'47204588','Belanja Alat/Bahan Untuk Kegiatan Kantor-Suvenir/Cendera Mata','37.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'250 buah','Suvenir/Cendera Mata','Kaos.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7804,'47205176','Belanja Barang Untuk Dijual/Diserahkan Kepada Masyarakat','75.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Persediaan Untuk Dijual/Diserahkan Kepada Masyarakat','1 Teko + 4 cangkir; Dispenser 3,5 L; Kipas angin; Kompor gas 2 tungku; Kulkas 1 pintu; Mesin cuci 2 tabung; Panci kuah; Panci steamer 2 susun; Sepeda gunung 26\"; Setrika listrik; TV LED 32\"; Magicom.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7805,'47205638','Belanja Makanan dan Minuman Rapat','17.625.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'750 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak; Kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7806,'47209886','Belanja Jasa Penyelenggaraan Acara','250.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'25 orang','Beban Belanja Jasa Penyelenggaraan Acara','Family Gathering.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7807,'47210207','Belanja Jasa Penyelenggaraan Acara','200.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','Pengajian.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7808,'47210525','Belanja Jasa Penyelenggaraan Acara','100.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','Kesenian Ludruk.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7809,'47210744','Belanja Jasa Penyelenggaraan Acara','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','Road Race.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7810,'47211088','Belanja Jasa Penyelenggaraan Acara','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','Hari Bhakti Adhyaksa','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7811,'47211380','Belanja Jasa Penyelenggaraan Acara','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','HUT Polri.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7812,'47211632','Belanja Jasa Penyelenggaraan Acara','30.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','HUT TNI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7813,'47212055','Belanja Jasa Penyelenggaraan Acara','150.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Belanja Jasa Penyelenggaraan Acara','Kesenian Wayang.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7814,'47215636','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','105.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'70 paket','Beban Jasa Iklan/Reklame, film, dan Pemotretan','Banner rangka/Baliho,','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7815,'47216094','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','16.750.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'50 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','Iklan Layanan Masyarakat.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7816,'47216549','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','150.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'600 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','PERS (Berita Online).','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7817,'47217440','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','16.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'400 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','PERS (Elektronik) ADLIB','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7818,'47217803','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','14.670.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'489 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','PERS (Elektronik) SPOT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7819,'47218322','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','18.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'18 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','PERS (Elektronik) TALKSHOW','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7820,'47218736','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','75.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'150 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','PERS (Media Cetak).','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7821,'47219182','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','56.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'4 kali','Beban Jasa Iklan/Reklame, film, dan Pemotretan','tatap Muka Masyarakat Secara Elektronik ( TV ).','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7822,'47219566','Belanja Sewa Alat Kantor Lainnya','67.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'10 titik','Beban Sewa Alat Kantor Lainnya','Sewa Billboard.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7823,'47220152','Belanja Sewa Alat Kantor Lainnya','19.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3 paket','Beban Sewa Alat Kantor Lainnya','Paket sewa terop.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7824,'47222279','Belanja Bahan-Bahan Bakar dan Pelumas','338.797.260','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'24.621 liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7825,'47223821','Belanja Bahan-Bahan Lainnya','7.650.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'900 buah','Bahan Lainnya','Pembelian Bahan / Sampel Rokok.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7826,'47224456','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','15.072.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Bolpoint; snelhecter map bahan plastik; stopmapkertas; map plastik; ordner besar; fotocopy; cetak format sppd; banner; isi pita tip ex refil; ordner kecil.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7827,'47225078','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','4.086.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'65 Rim','Kertas dan Cover','Kertas HVS F4; Kertas HVS A4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7828,'47225460','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','4.107.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'31 buah','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642, Tinta Epson Warna T 6643, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7829,'47226498','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','45.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'180 buah','Perlengkapan Dinas','Jas hujan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7830,'47228032','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','114.480.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'180 buah','Perlengkapan Dinas','Sepatu Lapangan Satpol PP, Damkar, dan Satlinmas.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7831,'47228579','Belanja Pakaian Dinas Lapangan ( PDL )','126.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'180 stel','Beban Pakaian Dinas Lapangan ( PDL )','Pakaian Dinas Lapangan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7832,'47232863','Belanja Jasa Iklan/Reklame, film, dan Pemotretan','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'6 paket','Beban Jasa Iklan/Reklame, film, dan Pemotretan','Jasa Dokumentasi.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7833,'47234149','Belanja Iuran Jaminan/Asuransi','9.648.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'804 Orang','Beban Iuran Jaminan Kecelakaan Kerja Bagi Non ASN','Premi Asuransi Ketenagakerjaan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7834,'47236412','Belanja Sewa kendaraan Bermotor Penumpang','210.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'600 Hari','Beban Sewa kendaraan Bermotor Penumpang','Sewa kendaraan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7835,'47237321','Belanja Sewa Kendaraan Bermotor Penumpang','204.600.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 tahun','Beban Sewa Kendaraan Bermotor','Sewa Mobil.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7836,'47237967','Belanja Sewa Kendaraan Bermotor Beroda Dua','135.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'900 Unit','Beban Sewa Kendaraan Bermotor Beroda Dua','Sewa Kendaraan Beroda Dua','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7837,'47239016','Belanja Modal Personal Computer','36.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3 unit','Personal Computer','Komputer P.C','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7838,'47239701','Belanja Modal Personal Computer','22.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 unit','Personal Computer','Apple Ipad Pro 11 Inc','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7839,'47240400','Belanja Modal Personal Computer','91.960.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'4 Unit','Personal Computer','Laptop.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7840,'47240984','Belanja Modal Peralatan Personal Computer','6.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'2 Unit','Peralatan Personal Computer','Printer Epson All in One','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:35:58.192','satpolpp'),
(7841,'47257587','Belanja Bahan-Bahan Bakar dan Pelumas','11.149.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'724 liter','Bahan Bakar dan Pelumas','Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:28.157','satpolpp'),
(7842,'47258593','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.070.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','cetak format sppd; fotocopy; isi stapler kecil; ordner besar; snelhecter map; stapler; stopmap kertas.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:28.157','satpolpp'),
(7843,'47259363','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','894.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Kertas dan Cover','Amplop putih; Kertas cd folio; Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:28.157','satpolpp'),
(7844,'47259626','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','1.325.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'10 Buah','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:28.157','satpolpp'),
(7845,'47259852','Belanja Makanan dan Minuman Aktivitas Lapangan','10.470.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'349 kotak','Beban Makanan dan Minuman Aktivitas Lapangan','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:28.157','satpolpp'),
(7846,'47260892','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','228.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Bolpoint; cetak format sppd.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:51.596','satpolpp'),
(7847,'47261218','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'15 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:38:51.596','satpolpp'),
(7848,'47262790','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','3.200.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'500 lembar','Alat Tulis Kantor','cetak stiker','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-10 12:31:19.166','satpolpp'),
(7849,'47328588','Belanja Bahan-Bahan Bakar dan Pelumas','43.438.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'2895 liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:20.477','satpolpp'),
(7850,'47329026','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','1.219.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Fotocopy; snelhecter map bahan plastik; stapler; cetak format sppd; ordner besar; stopmap kertas; spidol marker; isi stapler.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:20.477','satpolpp'),
(7851,'47329431','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','648.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'10 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:20.477','satpolpp'),
(7852,'47329748','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','1.590.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'12 botol','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6644.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:20.477','satpolpp'),
(7853,'47329988','Belanja Makanan dan Minuman Rapat','295.724.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'12584 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak; kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:20.477','satpolpp'),
(7854,'47333043','Belanja Bahan-Bahan Bakar dan Pelumas','7.490.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'500 liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:39.762','satpolpp'),
(7855,'47333492','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','588.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Fotocopy; isi stapler; snelhecter map bahan plastik; ordner besar.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:39.762','satpolpp'),
(7856,'47333770','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','259.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'4 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:39.762','satpolpp'),
(7857,'47334118','Belanja Alat/Bahan Untuk Kegiatan Kantor-Bahan Komputer','662.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'5 buah','Bahan Komputer','Tinta Epson Hitam T 6641, Tinta Epson Warna T 6642.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:39.762','satpolpp'),
(7858,'47334482','Belanja Makanan dan Minuman Rapat','9.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'300 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:39.762','satpolpp'),
(7859,'47335682','Belanja Bahan-Bahan Bakar dan Pelumas','4.298.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'290 liter','Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:56.767','satpolpp'),
(7860,'47336042','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','222.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Stopmap kertas; fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:56.767','satpolpp'),
(7861,'47336375','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','129.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'2 Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:56.767','satpolpp'),
(7862,'47336872','Belanja Makanan dan Minuman Rapat','7.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'245 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:49:56.767','satpolpp'),
(7863,'47337586','Belanja Bahan-Bahan Bakar dan Pelumas','3.745.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'250 liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:13.044','satpolpp'),
(7864,'47338208','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','516.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Alat Tulis Kantor','Fotocopy; snelhecter map bahan plastik; ordner besar; snelhecter map kertas; binder clip No. 105; Gunting.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:13.044','satpolpp'),
(7865,'47338592','Belanja Alat/Bahan Untuk Kegiatan Kantor-Kertas dan Cover','64.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1Rim','Kertas dan Cover','Kertas HVS F4.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:13.044','satpolpp'),
(7866,'47339102','Belanja Makanan dan Minuman Rapat','14.100.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'600 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak; kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:13.044','satpolpp'),
(7867,'47339568','Belanja Pakaian Olahraga','11.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'115 buah','Beban Pakaian Olahraga','Belanja Pakaian Olahraga.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:13.044','satpolpp'),
(7868,'47358785','Belanja Bahan-Bahan Bakar dan Pelumas','4.543.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'295 liter','Bahan Bakar dan Pelumas','Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:46.059','satpolpp'),
(7869,'47359134','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','57.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'190 lembar','Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:46.059','satpolpp'),
(7870,'47359549','Belanja Makanan dan Minuman Rapat','5.400.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'180 kotak','Beban Makanan dan Minuman Rapat','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:50:46.059','satpolpp'),
(7871,'47361086','Belanja Bahan-Bahan Bakar dan Pelumas','5.439.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'360 liter','Bahan Bakar dan Pelumas','Pertamax; Pertamina Dex.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:03.147','satpolpp'),
(7872,'47361573','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','61.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'244 lembar','Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:03.147','satpolpp'),
(7873,'47362309','Belanja Makanan dan Minuman Rapat','4.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'150','Beban Makanan dan Minuman Rapat','Nasi kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:03.147','satpolpp'),
(7874,'47363232','Belanja Alat/Bahan Untuk Kegiatan Kantor-Alat Tulis Kantor','60.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'200 lembar','Alat Tulis Kantor','Fotocopy.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:18.315','satpolpp'),
(7875,'47363984','Belanja Alat/Bahan Untuk Kegiatan Kantor-Perlengkapan Dinas','5.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'22 buah','Perlengkapan Dinas','Jas Hujan.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:18.315','satpolpp'),
(7876,'47366021','Belanja Modal Perkakas Bengkel Kayu','7.070.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 unit','Perkakas bengkel kayu','Gergaji mesin chain saw.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:18.315','satpolpp'),
(7877,'47366936','Belanja Modal Alat Pelindung Lainnya','4.770.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'3 buah','Alat Pelindung Lainnya','Harnest.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 10:51:18.315','satpolpp'),
(7878,'48685407','Belanja Makanan dan Minuman Rapat','23.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1000 kotak','Beban Makanan dan Minuman Rapat','nasi kotak, kue kotak.','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-25 07:17:17.217','satpolpp'),
(7879,'50033581','Belanja Jasa Penyelenggaraan Acara','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Satuan Polisi Pamong Praja',2024,'1 Paket','Beban Jasa Penyelenggaraan Acara','HUT SATPOL PP tingkat provinsi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-02-21 08:25:11.703','satpolpp'),
(7880,'46671060','Belanja bahan-bahan bakar dan pelumas (09.02)','130.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja bahan-bahan bakar dan pelumas (09.02)','Belanja bahan-bahan bakar dan pelumas (09.02)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7881,'46772564','BELANJA SUKU CADANG-SUKU CADANG ALAT ANGKUTAN','120.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SUKU CADANG-SUKU CADANG ALAT ANGKUTAN','BELANJA SUKU CADANG-SUKU CADANG ALAT ANGKUTAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7882,'46773507','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','37.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7883,'46775047','BELANJA PEMBAYARAN PAJAK,BEA,DAN PERIJINAN','48.851.271','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMBAYARAN PAJAK,BEA,DAN PERIJINAN','BELANJA PEMBAYARAN PAJAK,BEA,DAN PERIJINAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7884,'46777438','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT LISTRIK','41.136.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT LISTRIK','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT LISTRIK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7885,'46779288','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','9.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7886,'46780427','BELANJA MAKANAN DAN MINUMAN RAPAT','39.676.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:54:10.101','sekwan'),
(7887,'46781478','BELANJA LANGGANAN JURNAL/SURAT KABAR/MAJALAH','20.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA LANGGANAN JURNAL/SURAT KABAR/MAJALAH','BELANJA LANGGANAN JURNAL/SURAT KABAR/MAJALAH','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7888,'46788302','BELANJA BAHAN -BAHAN BAKAR PELUMAS','19.231.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN -BAHAN BAKAR PELUMAS','BELANJA BAHAN -BAHAN BAKAR PELUMAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7889,'46788533','BELANJA SEWA ALAT ANGGKUTAN DARAT BERMOTOR LAINNYA','40.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA ALAT ANGGKUTAN DARAT BERMOTOR LAINNYA','BELANJA SEWA ALAT ANGGKUTAN DARAT BERMOTOR LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7890,'46788686','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA','BELANJA PERJALANAN DINAS PAKET MEETING DALAM KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7891,'46788882','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','216.244.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-03 19:20:20.939','sekwan'),
(7892,'46789584','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN CETAK','4.452.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN CETAK','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN CETAK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7893,'46789809','BELANJA BAHAN-BAHAN BANGUNAN DAN KONSTRUKSI','30.321.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN-BAHAN BANGUNAN DAN KONSTRUKSI','BELANJA BAHAN-BAHAN BANGUNAN DAN KONSTRUKSI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7894,'46790112','BELANJA MODAL MEBEL','26.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL MEBEL','BELANJA MODAL MEBEL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7895,'46790413','BELANJA BAHAN-ISI TABUNG GAS','9.550.800','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN-ISI TABUNG GAS','BELANJA BAHAN-ISI TABUNG GAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7896,'46790692','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','25.257.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7897,'46791258','BELANJA NATURA DAN PAKAN-NATURA','4.252.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA NATURA DAN PAKAN-NATURA','BELANJA NATURA DAN PAKAN-NATURA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7898,'46791415','BELANJA MAKANAN DAN MINUMAN RAPAT','32.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7899,'46791752','BELANJA MAKANAN DAN MINUMAN JAMUAN TAMU','16.950.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7900,'46819594','Belanja Bahan-Bahan Bangunan Dan Kontrusi (16.0004)','7.079.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bangunan Dan Kontrusi (16.0004)','Belanja Bahan-Bahan Bangunan Dan Kontrusi (16.0004)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7901,'46820166','BELANJA BAHAN-BAHAN BANGUNAN DAN KONTRUKSI','8.481.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN-BAHAN BANGUNAN DAN KONTRUKSI','BELANJA BAHAN-BAHAN BANGUNAN DAN KONTRUKSI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7902,'46821827','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','1.848.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7903,'46823309','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','1.848.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','ELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7904,'46823724','Belanja Bahan- bahan Bakar dan pelumas','1.330.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan- bahan Bakar dan pelumas','Belanja Bahan- bahan Bakar dan pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7905,'46826858','belanja bahan-isi tabung gas','8.224.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','belanja bahan-isi tabung gas','belanja bahan-isi tabung gas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7906,'46826959','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','249.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7907,'46827942','BELANJA PEMELIHARAAN BANGUNAN GEDUNG- BANGUNAN GEDUNG TEMPAT KERJA-TAMAN','8.980.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMELIHARAAN BANGUNAN GEDUNG- BANGUNAN GEDUNG TEMPAT KERJA-TAMAN','BELANJA PEMELIHARAAN BANGUNAN GEDUNG- BANGUNAN GEDUNG TEMPAT KERJA-TAMAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7908,'46828019','BelanjaBahan isi Tabung gas','8.224.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','BelanjaBahan isi Tabung gas','BelanjaBahan isi Tabung gas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7909,'46829671','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','49.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7910,'46830013','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','BELANJA JASA TENAGA TEKNISI MEKANIK DAN LISTRIK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7911,'46830761','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT KANTOR-ALAT KANTOR LAINNYA','19.920.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT KANTOR-ALAT KANTOR LAINNYA','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT KANTOR-ALAT KANTOR LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7912,'46831671','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT RUMAH TANGGA-ALAT PENDINGIN','21.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT KANTOR-ALAT KANTOR LAINNYA','BELANJA PEMELIHARAAN ALAT KANTOR DAN RUMAH TANGGA-ALAT KANTOR-ALAT KANTOR LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7913,'46832762','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','2.105.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(7914,'46835317','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','1.611.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7915,'46835526','BELANJA PEMELIHARAAN ALAT STUDIO,KOMUNIKASI,DAN PEMANCAR-PERALATAN PEMANCAR-SUMBER TENAGA','14.810.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMELIHARAAN ALAT STUDIO,KOMUNIKASI,DAN PEMANCAR-PERALATAN PEMANCAR-SUMBER TENAGA','BELANJA PEMELIHARAAN ALAT STUDIO,KOMUNIKASI,DAN PEMANCAR-PERALATAN PEMANCAR-SUMBER TENAGA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7916,'46835922','Pengadaan Belanja Jasa Jalan / Tol','1.005.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Jasa Jalan / Tol','Pengadaan Belanja Jasa Jalan / Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7917,'46836280','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','13.036.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7918,'46836528','BELANJA MODAL ALAT PEMBERSIH','22.265.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT PEMBERSIH','BELANJA MODAL ALAT PEMBERSIH','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7919,'46836705','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','1.861.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7920,'46837484','BELANJA PEMELIHARAAN KOMPUTER-PERALATAN PERSONAL COMPUTER','31.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PEMELIHARAAN KOMPUTER-PERALATAN PERSONAL COMPUTER','BELANJA PEMELIHARAAN KOMPUTER-PERALATAN PERSONAL COMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7921,'46838308','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','94.800.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7922,'46839910','BELANJA MODAL ALAT PENDINGIN','92.416.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT PENDINGIN','BELANJA MODAL ALAT PENDINGIN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7923,'46840095','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','1.994.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7924,'46840796','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','4.941.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7925,'46841543','BELANJA MODAL ALAT DAPUR','1.398.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT DAPUR','BELANJA MODAL ALAT DAPUR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7926,'46841917','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','5.043.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7927,'46842554','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','805.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','Pengadaan Belanja Alat/Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7928,'46842815','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','2.430.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7929,'46843154','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA(HOME USE)','262.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7930,'46843523','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','5.420.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','Pengadaan Belanja Perjalananan Dinas Meeting Luar Kota','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7931,'46843833','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','453.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7932,'46844297','BELANJA MODAL PERALATAN STUDIO VIDIO DAN FILM','26.688.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL PERALATAN STUDIO VIDIO DAN FILM','BELANJA MODAL PERALATAN STUDIO VIDIO DAN FILM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7933,'46845069','BELANJA MODAL ALAT KOMUNIKASI TELEPHONE','6.890.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT KOMUNIKASI TELEPHONE','BELANJA MODAL ALAT KOMUNIKASI TELEPHONE','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7934,'46845786','BELANJA MODAL PERSONAL COMPUTER','220.883.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL PERSONAL COMPUTER','BELANJA MODAL PERSONAL COMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7935,'46846758','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','4.662.200','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7936,'46847428','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','88.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7937,'46847626','PERALATA MODAL PERALATAN PERSONAL KOMPUTER','42.149.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','PERALATA MODAL PERALATAN PERSONAL KOMPUTER','PERALATA MODAL PERALATAN PERSONAL KOMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7938,'46849395','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','43.705.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7939,'46850911','BELANJA BAHAN-BAKAR DAN PELUMAS','9.084.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN-BAKAR DAN PELUMAS','BELANJA BAHAN-BAKAR DAN PELUMAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7940,'46859238','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','4.187.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7941,'46859421','BELANJA PIPA-PIPA PVC (UPVC)','3.751.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PIPA-PIPA PVC (UPVC)','BELANJA PIPA-PIPA PVC (UPVC)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7942,'46859589','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','13.678.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','BELANJA JASA TENAGA PENANGANAN PRASARANA DAN SARANA UMUM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7943,'46859903','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','3.863.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7944,'46860056','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','4.932.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7945,'46860327','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','9.540.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7946,'46861005','BELANJA MAKANAN DAN MINUMAN RAPAT','49.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7947,'46861196','BELANJA BAHAN -BAHAN BAKAR PELUMAS','55.615.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN -BAHAN BAKAR PELUMAS','BELANJA BAHAN -BAHAN BAKAR PELUMAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7948,'46861572','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7949,'46861803','BELANJA JASA JALAN/TOL','37.350.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA JALAN/TOL','BELANJA JASA JALAN/TOL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7950,'46862128','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','5.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7951,'46862419','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','1.437.684.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7952,'46862803','belanja bahan-bahan bakar dan pelumas','11.865.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','belanja bahan-bahan bakar dan pelumas','belanja bahan-bahan bakar dan pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:51:03.181','sekwan'),
(7953,'46863185','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','18.510.900','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:51:03.181','sekwan'),
(7954,'46863467','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','1.557.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:51:03.181','sekwan'),
(7955,'46863646','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','1.272.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7956,'46863880','BELANJA MAKANAN DAN MINUMAN RAPAT','111.135.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7957,'46864229','HONORARIUM ROHANIWAM','3.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','HONORARIUM ROHANIWAM','ONORARIUM ROHANIWAM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7958,'46869197','BELANJA JASA TENAGA KESENIAN DAN KEBUDAYAAN','50.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA KESENIAN DAN KEBUDAYAAN','BELANJA JASA TENAGA KESENIAN DAN KEBUDAYAAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7959,'46869974','BELANJA NATURAL DAN PAKAN NATURAL','72.917.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA NATURAL DAN PAKAN NATURAL','BELANJA NATURAL DAN PAKAN NATURAL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7960,'46870420','BELANJA MAKANAN DAN MINUMAN JAMUAN TAMU','178.050.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN JAMUAN TAMU','BELANJA MAKANAN DAN MINUMAN JAMUAN TAMU','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7961,'46871040','BELANJA JASA TENAGA DAN PENANGANAN PRASARANA DAN SARANA UMUM','5.310.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA DAN PENANGANAN PRASARANA DAN SARANA UMUM','BELANJA JASA TENAGA DAN PENANGANAN PRASARANA DAN SARANA UMUM','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7962,'46872013','BELANJA TAGIHAN TELEPON','14.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN TELEPON','BELANJA TAGIHAN TELEPON','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7963,'46872902','BELANJA TAGIHAN AIR','12.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN AIR','BELANJA TAGIHAN AIR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7964,'46874274','BELANJA TAGIHAN LISTRIK','26.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN LISTRIK','BELANJA TAGIHAN LISTRIK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7965,'46876582','BELANJA SEWA MEBEL','2.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA MEBEL','BELANJA SEWA MEBEL','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7966,'46877317','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','304.462.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7967,'46878746','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','25.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7968,'46881684','BELANJA MODAL ALAT RUMAH TANGGA','190.065.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT RUMAH TANGGA','BELANJA MODAL ALAT RUMAH TANGGA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7969,'46882803','BELANJA ALAT MODAL PENDINGIN','46.669.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT MODAL PENDINGIN','BELANJA ALAT MODAL PENDINGIN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7970,'46883950','BELANJA MODAL ALAT DAPUR','4.818.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT DAPUR','BELANJA MODAL ALAT DAPUR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7971,'46885038','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA(HOME USE)','101.157.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA(HOME USE)','BELANJA MODAL ALAT RUMAH TANGGA LAINNYA(HOME USE)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-05 12:49:55.6','sekwan'),
(7972,'46922595','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','6.371.600','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7973,'46922901','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','5.561.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7974,'46923189','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','7.730.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7975,'46924350','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','3.703.300','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7976,'46924543','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','948.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-KERTAS DAN COVER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7977,'46924891','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','2.039.100','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7978,'46925078','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','1.060.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BAHAN KOMPUTER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7979,'46925347','BELANJA BAHAN -BAHAN BAKAR PELUMAS','5.925.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BAHAN -BAHAN BAKAR PELUMAS','BELANJA BAHAN -BAHAN BAKAR PELUMAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7980,'46925805','BELANJA SEWA KENDARAAN BERMOTOR PENUMPANG','10.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA KENDARAAN BERMOTOR PENUMPANG','BELANJA SEWA KENDARAAN BERMOTOR PENUMPANG','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7981,'46925957','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','10.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','BELANJA SEWA ALAT ANGKUTAN DARAT BERMOTOR DAN LAINNYA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7982,'46926292','BELANJA BIMBINGAN TEKNIS','145.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA BIMBINGAN TEKNIS','BELANJA BIMBINGAN TEKNIS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7983,'46926423','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','69.080.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7984,'46926589','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','953.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-ALAT TULIS KANTOR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7985,'46926905','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','1.605.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','BELANJA/BAHAN UNTUK KEGIATAAN KANTOR-KERTAS DAN COVER','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7986,'46927240','BELANJA MAKANAN DAN MINUMAN RAPAT','17.651.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA MAKANAN DAN MINUMAN RAPAT','BELANJA MAKANAN DAN MINUMAN RAPAT','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7987,'46927345','BELANJA JASA PENYELENGGARAAN ACARA','307.823.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA PENYELENGGARAAN ACARA','BELANJA JASA PENYELENGGARAAN ACARA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7988,'46927483','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','70.900.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','BELANJA PERJALANAN DINAS PAKET MEETING LUAR KOTA','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7989,'46931001','BELANJA TAGIHAN TELEPON','14.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN TELEPON','BELANJA TAGIHAN TELEPON','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7990,'46931151','BELANJA TAGIHAN AIR','18.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN AIR','BELANJA TAGIHAN AIR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7991,'46931292','BELANJA TAGIHAN LISTRIK','132.526.616','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA TAGIHAN LISTRIK','BELANJA TAGIHAN LISTRIK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7992,'46931505','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','140.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','BELANJA KAWAT/FAKSIMILI/INTERNET/TV BERLANGGANAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7993,'46931676','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BENDA POS','6.020.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BENDA POS','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-BENDA POS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7994,'46931965','BELANJA SEWA ALAT RUMAH TANNGA LAINNYA (HOME USE)','1.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA SEWA ALAT RUMAH TANNGA LAINNYA (HOME USE)','BELANJA SEWA ALAT RUMAH TANNGA LAINNYA (HOME USE)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-06 09:55:33.028','sekwan'),
(7995,'46944663','BELANJA BAHAN BAKAR DAN PELUMAS','20.380.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','BELANJA BAHAN BAKAR DAN PELUMAS','BELANJA BAHAN BAKAR DAN PELUMAS','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(7996,'46945233','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','45.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(7997,'46945277','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(7998,'46948574','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','3.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(7999,'46948750','Belanja Bahan-Bahan Bakar dan Pelumas','24.772.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8000,'46948831','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.809.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8001,'46948904','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.935.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8002,'46949170','Belanja Makanan dan Minuman Rapat','226.630.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8003,'46949225','Belanja Jasa Jalan/Tol','14.940.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8004,'46949281','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','11.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8005,'46969423','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','14.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8006,'46969457','BELANJA MAKANAN DAN MINUMAN RAPAT','10.168.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8007,'46969513','BELANJA JASA TENAGA ADMINISTRASI','54.800.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA ADMINISTRASI','BELANJA JASA TENAGA ADMINISTRASI','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8008,'46969561','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8009,'46969562','BELANJA JASA TENAGA KEBERSIHAN','192.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA KEBERSIHAN','BELANJA JASA TENAGA KEBERSIHAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8010,'46969577','Belanja Makanan dan Minuman Rapat','4.692.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8011,'46969601','BELANJA JASA TENAGA KEAMANAN','72.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA KEAMANAN','BELANJA JASA TENAGA KEAMANAN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8012,'46969603','Belanja Bahan-Bahan Bakar dan Pelumas','18.980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8013,'46969643','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.516.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8014,'46969657','BELANJA JASA TENAGA SUPIR','60.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA JASA TENAGA SUPIR','BELANJA JASA TENAGA SUPIR','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8015,'46969726','Belanja Makanan dan Minuman Rapat','20.109.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8016,'46969787','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8017,'46969841','BELANJA IURAN JAMINAN KESEHATAN BAGI NON ASN','28.320.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA IURAN JAMINAN KESEHATAN BAGI NON ASN','BELANJA IURAN JAMINAN KESEHATAN BAGI NON ASN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8018,'46969980','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','4.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8019,'46970047','BELANJA IURAN JAMINAN KECELAKAAN KERJA BAGI NON ASN','3.434.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','BELANJA IURAN JAMINAN KECELAKAAN KERJA BAGI NON ASN','BELANJA IURAN JAMINAN KECELAKAAN KERJA BAGI NON ASN','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8020,'46970085','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','8.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8021,'46970103','Belanja Makanan dan Minuman Rapat','4.692.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8022,'46970159','Belanja Bahan-Bahan Bakar dan Pelumas','19.760.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8023,'46970182','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','27.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8024,'46970221','Belanja Makanan dan Minuman Rapat','84.037.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8025,'46970277','Belanja Jasa Jalan/Tol','11.205.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8026,'46970295','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','7.600.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8027,'46970594','Belanja Bahan-Bahan Bakar dan Pelumas','19.760.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8028,'46970717','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','73.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8029,'46970830','Belanja Makanan dan Minuman Rapat','117.602.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8030,'46970907','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8031,'46971295','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','11.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-07 19:19:14.889','sekwan'),
(8032,'46973806','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','892.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8033,'46973817','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','14.200','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(8034,'46973846','Belanja Makanan dan Minuman Rapat','26.634.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8035,'46973953','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','1.151.100','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8036,'46973979','Belanja Bahan-Bahan Bakar dan Pelumas','39.520.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8037,'46974014','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.329.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(8038,'46974035','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','1.310.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8039,'46974141','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','548.300','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8040,'46974221','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','7.337.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8041,'46974349','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.117.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8042,'46974369','Pengadaan Belanja Pakaian Dinas dan Atribut Pimpinan dan Anggota DPRD','25.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Pakaian Dinas dan Atribut Pimpinan dan Anggota DPRD','Pengadaan Belanja Pakaian Dinas dan Atribut Pimpinan dan Anggota DPRD','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8043,'46974398','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','5.180.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8044,'46974444','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','5.936.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8045,'46974481','Belanja Makanan dan Minuman Rapat','171.170.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8046,'46974510','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8047,'46974559','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','15.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8048,'46974670','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','358.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8049,'46974747','Pengadaan Belanja Medical Checck Up','99.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Pengadaan Belanja Medical Checck Up','Pengadaan Belanja Medical Checck Up','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8050,'46974758','Belanja Bahan-Bahan Bakar dan Pelumas','18.377.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8051,'46974784','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','3.451.600','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8052,'46974823','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','7.125.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8053,'46974865','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','6.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8054,'46974906','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','6.784.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8055,'46974936','Belanja Makanan dan Minuman Rapat','34.575.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8056,'46974979','Belanja Jasa Jalan/Tol','7.470.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8057,'46975040','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','10.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya5.1.02.02.04.0043','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8058,'46975302','Belanja Bahan-Bahan Bakar dan Pelumas','18.360.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8059,'46975352','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','41.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8060,'46975403','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.420.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8061,'46975464','Belanja Makanan dan Minuman Rapat','38.433.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8062,'46975523','Belanja Jasa Jalan/Tol','7.470.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8063,'46975545','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','10.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8064,'46980810','Belanja Bahan-Bahan Bakar dan Pelumas','18.360.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8065,'46981371','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','41.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8066,'46981643','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.420.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8067,'46981874','Belanja Makanan dan Minuman Rapat','38.433.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8068,'46982597','Belanja Jasa Jalan/Tol','7.470.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8069,'46983151','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','10.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8070,'46993676','Belanja Bahan-Bahan Bakar dan Pelumas','23.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8071,'46993950','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(8072,'46995538','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','1.500.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Belanja Alat/Bahan untuk Kegiatan Kantor-Benda Pos','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8073,'46995955','Belanja Makanan dan Minuman Rapat','41.538.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8074,'47000131','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8075,'47000355','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','10.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8076,'47002350','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','7.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8077,'47002607','Belanja Makanan dan Minuman Rapat','9.083.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8078,'47002964','Belanja Bahan-Bahan Bakar dan Pelumas','28.550.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8079,'47033250','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.059.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8080,'47033453','Belanja Makanan dan Minuman Rapat','56.235.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8081,'47033990','Belanja Jasa Jalan/Tol','13.695.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8082,'47034105','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','11.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8083,'47034911','Belanja Makanan dan Minuman Rapat','3.350.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8084,'47035173','Belanja Bahan-Bahan Bakar dan Pelumas','19.760.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8085,'47035313','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','23.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8086,'47035448','Belanja Makanan dan Minuman Rapat','167.583.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8087,'47035564','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','15.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8088,'47056176','Belanja Bahan-Bahan Bakar dan Pelumas','227.780.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8089,'47059411','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','20.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8090,'47060099','Belanja Makanan dan Minuman Rapat','34.500.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8091,'47061182','Belanja Jasa Jalan/Tol','107.070.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8092,'47061823','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','92.150.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8093,'47062933','Belanja Makanan dan Minuman Rapat','24.650.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2028','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8094,'47063361','Belanja Bahan-Bahan Bakar dan Pelumas','18.980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8095,'47063631','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','2.965.700','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8096,'47064493','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','4.013.500','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8097,'47064668','Belanja Makanan dan Minuman Rapat','105.344.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8098,'47064767','Belanja Jasa Jalan/Tol','4.980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8099,'47064900','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','6.650.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8100,'47074904','Belanja Bahan-Bahan Bakar dan Pelumas','20.815.900','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8101,'47074952','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','252.400','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8102,'47074994','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8103,'47075033','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','6.650.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8104,'47075098','Belanja Bimbingan Teknis','322.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bimbingan Teknis','Belanja Bimbingan Teknis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8105,'47075223','Belanja Bahan-Bahan Bakar dan Pelumas','76.310.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(8106,'47075280','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','357.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8107,'47075458','Belanja Jasa Jalan/Tol','29.880.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8108,'47075741','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','17.100.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8109,'47075803','Belanja Bimbingan Teknis','1.080.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bimbingan Teknis','Belanja Bimbingan Teknis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8110,'47075938','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','5.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8111,'47075977','Belanja Makanan dan Minuman Rapat','24.106.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8112,'47076121','Belanja Bahan-Bahan Bakar dan Pelumas','217.280.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8113,'47076282','Belanja Makanan dan Minuman Rapat','24.075.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8114,'47076288','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','336.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8115,'47076428','Belanja Jasa Tenaga Ahli','156.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Tenaga Ahli','Belanja Jasa Tenaga Ahli','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8116,'47076575','Belanja Jasa Jalan/Tol','105.825.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8117,'47076661','Belanja Makanan dan Minuman Rapat','3.997.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8118,'47076736','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','12.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:02:38.768','sekwan'),
(8119,'47076821','Belanja Jasa Tenaga Informasi dan Teknologi','5.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Tenaga Informasi dan Teknologi','Belanja Jasa Tenaga Informasi dan Teknologi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8120,'47076840','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','5.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8121,'47076870','Belanja Jasa Konversi Aplikasi/Sistem Informasi','20.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Konversi Aplikasi/Sistem Informasi','Belanja Jasa Konversi Aplikasi/Sistem Informasi','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8122,'47076953','Belanja Bahan-Bahan Bakar dan Pelumas','19.760.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8123,'47076954','Belanja Bimbingan Teknis','56.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bimbingan Teknis','Belanja Bimbingan Teknis','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8124,'47076973','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','51.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8125,'47077000','Belanja Makanan dan Minuman Rapat','60.091.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8126,'47077037','Belanja Jasa Jalan/Tol','12.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8127,'47077077','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','8.850.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8128,'47077175','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','39.360.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8129,'47077207','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','3.825.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8130,'47077227','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.120.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8131,'47077262','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','7.420.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','Belanja Alat/Bahan untuk Kegiatan Kantor- Suvenir/Cendera Mata','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8132,'47077324','Belanja Makanan dan Minuman Rapat','7.596.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8133,'47077358','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','2.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Honorarium Narasumber atau Pembahas, Moderator, Pembawa Acara, dan Panitia','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8134,'47077375','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','8.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','Honorarium Tim Penyusunan Jurnal, Buletin, Majalah, Pengelola Teknologi Informasi dan Pengelola Website','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8135,'47077411','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','3.200.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Belanja Jasa Tenaga Penanganan Prasarana dan Sarana Umum','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8136,'47077424','Belanja Bahan-Bahan Bakar dan Pelumas','29.170.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8137,'47077444','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','255.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','Belanja Jasa Iklan/Reklame, Film, dan Pemotretan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8138,'47077471','Belanja Sewa Alat Kantor Lainnya','54.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Kantor Lainnya','Belanja Sewa Alat Kantor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8139,'47083068','Belanja Bahan-Bahan Bakar dan Pelumas','1.595.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8140,'47083192','Belanja Bahan-Bahan Bakar dan Pelumas','19.760.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8141,'47083196','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','17.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8142,'47083219','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','336.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8143,'47083224','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.968.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8144,'47083238','Belanja Makanan dan Minuman Rapat','57.156.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8145,'47083325','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','9.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Honorarium Tim Pelaksana Kegiatan dan Sekretariat Tim Pelaksana Kegiatan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8146,'47083338','Belanja Makanan dan Minuman Rapat','103.552.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8147,'47083524','Belanja Jasa Jalan/Tol','12.450.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:15:23.494','sekwan'),
(8148,'47083529','Belanja Jasa Jalan/Tol','11.205.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8149,'47083659','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','11.400.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8150,'47083742','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','5.700.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8151,'47083749','Belanja Bahan-Bahan Bakar dan Pelumas','4.944.500','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8152,'47083790','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','41.006.800','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8153,'47083830','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','2.592.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor- Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8154,'47083852','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','2.968.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Belanja Alat/Bahan untuk Kegiatan Kantor-Bahan Komputer','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8155,'47083866','Belanja Bahan-Bahan Bakar dan Pelumas','18.980.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8156,'47083909','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','10.495.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8157,'47083921','Belanja Jasa Tenaga Keamanan','105.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Jasa Tenaga Keamanan','Belanja Jasa Tenaga Keamanan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8158,'47083979','Belanja Sewa Electric Generating Set','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Electric Generating Set','Belanja Sewa Electric Generating Set','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8159,'47084005','Belanja Makanan dan Minuman Rapat','29.530.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8160,'47084021','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','58.000.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8161,'47084164','Belanja Jasa Jalan/Tol','9.960.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8162,'47084180','Belanja Sewa Alat Kantor Lainnya','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Kantor Lainnya','Belanja Sewa Alat Kantor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8163,'47084231','Belanja Sewa Mebel','54.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Mebel','Belanja Sewa Mebel','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8164,'47084237','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','4.750.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8165,'47084244','Belanja Sewa Alat Rumah Tangga Lainnya (Home Use)','18.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Alat Rumah Tangga Lainnya (Home Use)','Belanja Sewa Alat Rumah Tangga Lainnya (Home Use)','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8166,'47084333','Belanja Sewa Peralatan Studio Audio','90.000.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Sewa Peralatan Studio Audio','Belanja Sewa Peralatan Studio Audio','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8167,'47084427','Belanja Bahan-Bahan Bakar dan Pelumas','13.607.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Bahan-Bahan Bakar dan Pelumas','Belanja Bahan-Bahan Bakar dan Pelumas','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8168,'47084496','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','727.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8169,'47084623','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','518.400','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Belanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8170,'47084694','Belanja Makanan dan Minuman Rapat','5.796.000','Pengadaan Langsung','APBDP','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8171,'47084809','Belanja Jasa Jalan/Tol','2.490.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Jasa Jalan/Tol','Belanja Jasa Jalan/Tol','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8172,'47084897','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','950.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Belanja Sewa Alat Angkutan Darat Bermotor Lainnya','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Jasa Lainnya,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8173,'47085663','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','33.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8174,'47086096','Belanja Makanan dan Minuman Rapat','15.902.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8175,'47086531','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','1.331.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Belanja Alat/Bahan untuk Kegiatan Kantor-Alat Tulis Kantor','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8176,'47087596','Balanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','972.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Balanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Balanja Alat/Bahan untuk Kegiatan Kantor-Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8177,'47088091','Belanja Makanan dan Minuman Rapat','23.918.000','Pengadaan Langsung','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-01-11 08:00:42.988','sekwan'),
(8178,'47842181','Belanja Makanan dan Minuman Tamu (06.0008)','71.185.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'2 paket','Belanja pembelian air botol, pramasanan, kue kotak, nasi kotak dan kue nampan','Belanja pembelian air botol, pramasanan, kue kotak, nasi kotak dan kue nampan','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-01-16 18:24:56.285','sekwan'),
(8179,'49281122','Belanja Makanan dan Minuman Rapat','44.915.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 Paket','Belanja Makanan dan Minuman Rapat','Belanja Makanan dan Minuman Rapat','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Desember 2024','Januari 2024','Januari 2024','2024-02-01 12:35:13.106','sekwan'),
(8180,'49289923','BELANJA ALAT/BAHAN UNTUK KEGIATAN KANTOR-PERABOT KANTOR','55.281.000','E-Purchasing','APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'1 PAKET','Pengadaan Perabot Kantor dan Belanja Modal Alat Dapur','Pengadaan Perabot Kantor dan Belanja Modal Alat Dapur','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Januari 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-02-01 13:59:09.69','sekwan'),
(8181,'50098457','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK, Kertas dan Cover','110.000','E-Purchasing','APBD, APBD','January 2024','Kab. Bondowoso','Sekretariat DPRD',2024,'2 paket','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK, Kertas dan Cover','Pengadaan Belanja Alat/Belanja Bahan untuk kegiatan kantor-ATK, Kertas dan Cover','Ya','Ya','Tidak','Tidak','Tidak','Tidak','Barang,','Desember 2024','Desember 2024','Januari 2024','Januari 2024','Januari 2024','Januari 2024','2024-02-22 09:10:35.953','sekwan');

/*Table structure for table `master_sirup_sumberdana` */

DROP TABLE IF EXISTS `master_sirup_sumberdana`;

CREATE TABLE `master_sirup_sumberdana` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rup` varchar(255) NOT NULL,
  `sumberdana` text NOT NULL,
  `tahun_anggaran` text NOT NULL,
  `klpd` text NOT NULL,
  `mak` text NOT NULL,
  `pagu` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12747 DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sirup_sumberdana` */

insert  into `master_sirup_sumberdana`(`id`,`rup`,`sumberdana`,`tahun_anggaran`,`klpd`,`mak`,`pagu`) values 
(151,'47346801','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0012.5.1.02.01.01.0024.','10800'),
(152,'47347815','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0012.5.1.02.01.01.0025.','1620000'),
(153,'47349508','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0012.5.1.02.01.01.0029.','4036800'),
(154,'47349957','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0202.5.1.02.01.01.0024.','6228000'),
(155,'47351157','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0012.5.2.02.10.02.0003.','7603900'),
(156,'47352238','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0011.5.1.02.01.01.0025.','972000'),
(157,'47352433','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0201.5.1.02.01.01.0024.','11675200'),
(158,'47352950','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0202.5.1.02.01.01.0025.','1944000'),
(159,'47353441','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0011.5.1.02.01.01.0029.','2544000'),
(160,'47353796','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0201.5.1.02.01.01.0029.','10542800'),
(161,'47355097','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0201.5.1.02.01.01.0052.','9400000'),
(162,'47356872','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0202.5.1.02.01.01.0029.','9434000'),
(163,'47357486','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.01.01.0024.','4780700'),
(164,'47358666','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0011.5.1.02.01.01.0024.','4000'),
(165,'47358883','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.01.01.0025.','4492000'),
(166,'47359649','APBD','2024','Kab. Bondowoso','5.03.02.2.01.5030.2.2.01.00.10.5102.0.1.0.10.02.4','2800'),
(167,'47359851','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.01.01.0027.','100000'),
(168,'47360884','APBD','2024','Kab. Bondowoso','5.03.02.2.01.5030.2.2.01.00.10.5102.0.1.0.10.02.9','373200'),
(169,'47361206','APBD','2024','Kab. Bondowoso','5.03.03.2.04.0407.5.1.02.01.01.0029.','3467300'),
(170,'47361807','APBD','2024','Kab. Bondowoso','5.03.02.2.01.5030.2.2.01.00.10.5102.0.2.0.10.04.6','60000000'),
(171,'47362407','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.01.01.0052.','16450000'),
(172,'47367004','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0409.5.1.02.01.01.0024.','7777200'),
(173,'47368327','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0409.5.1.02.01.01.0025.','2896000'),
(174,'47368756','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0409.5.1.02.01.01.0027.','100000'),
(175,'47369914','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0409.5.1.02.01.01.0029.','5726800'),
(176,'47372104','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0404.5.1.02.01.01.0024.','2648200'),
(177,'47372896','APBD','2024','Kab. Bondowoso','5.03.01.2.01.0001.5.1.02.01.01.0024.','2000000'),
(178,'47373184','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0404.5.1.02.01.01.0025.','361800'),
(179,'47374101','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0404.5.1.02.01.01.0052.','2890000'),
(180,'47375939','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.6.5.10.20.10.1002.4.','5000000'),
(181,'47376846','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.5.5.10.20.10.1002.4.','2000000'),
(182,'47378392','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.3.5.10.20.10.1002.4.','1676000'),
(183,'47381311','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.01.01.0024.','1042000'),
(184,'47381326','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.4.5.10.20.10.1002.5.','324000'),
(185,'47381846','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.5.0.35.04.00.0010.0.0.0.0,','3652400'),
(186,'47382304','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.01.01.0025.','1296000'),
(187,'47382793','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.3.5.10.20.10.1002.4.','1102000'),
(188,'47390334','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.3.5.10.20.10.1002.5.','648000'),
(189,'47390707','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.3.5.10.20.10.1002.6.','250000'),
(190,'47391179','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.2.5.10.20.10.1002.4.','1133500'),
(191,'47391434','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.2.5.10.20.10.1002.5.','616500'),
(192,'47391945','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.2.5.10.20.10.1002.6.','250000'),
(193,'47392505','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.1.5.10.20.10.1002.4.','9821300'),
(194,'47392772','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.1.5.10.20.10.1002.5.','4545000'),
(195,'47393168','APBD','2024','Kab. Bondowoso','5.10.30.1.20.1000.1.5.10.20.10.1002.6.','2291700'),
(196,'47427513','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.01.01.0027.','106000'),
(197,'47428408','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.01.01.0029.','933000'),
(198,'47428894','APBD','2024','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.01.01.0052.','6110000'),
(199,'47430419','APBD','2024','Kab. Bondowoso','5.03.01.5.03.0102.5.0.35.04.00.0010.0.0.0.51.02.01.010.025','886500'),
(200,'47431869','APBD','2024','Kab. Bondowoso','5.03.01.5.03.0102.5.0.35.04.00.0010.0.0.0.51.02.01.010.029','461100'),
(201,'47458101','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.01.01.0024.','8821600'),
(202,'47458283','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.01.01.0025.','1335600'),
(203,'47458439','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.01.01.0029.','3052800'),
(204,'47458606','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.01.01.0052.','17390000'),
(205,'47458906','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0006.5.1.02.01.01.0024.','4046000'),
(206,'47460877','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0002.5.1.02.01.01.0024.','3703500'),
(207,'47461317','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0006.5.1.02.01.01.0025.','648000'),
(208,'47461435','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0002.5.1.02.01.01.0025.','1296000'),
(209,'47461779','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.01.01.0029.','2358500'),
(210,'47461817','APBD','2024','Kab. Bondowoso','5.03.02.2.01.0006.5.1.02.01.01.0029.','2544000'),
(211,'47462206','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0002.5.1.02.01.01.0052.','7050000'),
(212,'47464491','APBD','2024','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0025.','1073500'),
(213,'47465297','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.01.01.0024.','6926000'),
(214,'47465960','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.01.01.0028.','324000'),
(215,'47466551','APBD','2024','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0027.','250000'),
(216,'47467564','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','611200'),
(217,'47468095','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','388800'),
(218,'47468366','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.01.01.0027.','300000'),
(219,'47468447','APBD','2024','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0029.','3182800'),
(220,'47469070','APBD','2024','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0052.','15040000'),
(221,'47469749','APBD','2024','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0076.','4500000'),
(222,'47471214','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','611200'),
(223,'47471933','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','388800'),
(224,'47473077','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','611200'),
(225,'47473478','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','388800'),
(226,'47474699','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','611200'),
(227,'47474872','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.01.01.0052.','21150000'),
(228,'47475159','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','388800'),
(229,'47476069','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','611200'),
(230,'47476573','APBD','2024','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','388800'),
(231,'47484465','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.31','5000000'),
(232,'47490303','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.01.01.0024.','444500'),
(233,'47490315','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.30','5000000'),
(234,'47492784','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0015.5.1.02.01.01.0024.','1286100'),
(235,'47492821','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.01.01.0025.','324000'),
(236,'47493460','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0015.5.1.02.01.01.0025.','324000'),
(237,'47494081','APBD','2024','Kab. Bondowoso','5.03.02.2.03.0015.5.1.02.01.01.0029.','599900'),
(238,'47494272','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.01.01.0027.','400000'),
(239,'47495316','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.01.01.0029.','530000'),
(240,'47503942','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.02.01.0063.','8600000'),
(241,'47512192','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0024.','5313100'),
(242,'47512656','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0025.','1360800'),
(243,'47513209','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0027.','780000'),
(244,'47513459','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','3846800'),
(245,'47514035','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0029.','7736100'),
(246,'47515374','APBD','2024','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0052.','14100000'),
(247,'47516435','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.25','3073600'),
(248,'47517451','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.29','3533600'),
(249,'47518147','APBD','2024','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.24','2500000'),
(250,'47544256','APBD','2024','Kab. Bondowoso','5.03.01.5.03.0120.7.5.03.50.40.0001.0.0.0.05.20.20.501.0005','10396900'),
(251,'47544600','APBD','2024','Kab. Bondowoso','5.03.01.5.03.0120.7.5.03.50.40.0001.0.0.0.05.20.20.501.0004','15900000'),
(252,'47545192','APBD','2024','Kab. Bondowoso','5.03.01.5.03.0120.7.5.03.50.40.0001.0.0.0.05.20.20.501.0002','29370400'),
(253,'47664783','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0008.5.1.02.01.01.0024.','331000'),
(254,'47666471','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0008.5.1.02.01.01.0025.','324000'),
(255,'47667471','APBD','2024','Kab. Bondowoso','5.04.02.2.02.0008.5.1.02.01.01.0052.','6345000'),
(256,'36109632','APBD','','Kab. Bondowoso','5.03.02.2.01.0012.5.1.02.04.01.0005.','12300000'),
(257,'36110565','APBD','','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.04.01.0000.5.','24720000'),
(258,'36110739','APBD','','Kab. Bondowoso','5.03.02.2.01.0012.5.1.02.01.01.0004.','2772000'),
(259,'36110855','APBD','','Kab. Bondowoso','5.03.02.2.01.0011.5.1.02.01.01.0004.','2744000'),
(260,'36110951','APBD','','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.01.01.0004.','3990000'),
(261,'36111002','APBD','','Kab. Bondowoso','5.03.02.2.02.0201.5.1.02.04.01.0005.','38130000'),
(262,'36111510','APBD','','Kab. Bondowoso','5.03.02.2.01.0011.5.1.02.04.01.0005.','12760000'),
(263,'36111571','APBD','','Kab. Bondowoso','5.03.02.2.01.5030.2.2.01.00.10.5102.0.1.0.10.00.4','2324000'),
(264,'36111621','APBD','','Kab. Bondowoso','5.03.02.2.02.0201.5.1.02.01.01.0004.','2660000'),
(265,'36111935','APBD','','Kab. Bondowoso','5.03.02.2.01.5030.2.2.01.00.10.5102.0.4.0.10.00.5','12300000'),
(266,'36113127','APBD','','Kab. Bondowoso','5.03.02.2.02.0202.5.1.02.01.01.0004.','4704000'),
(267,'36113735','APBD','','Kab. Bondowoso','5.03.02.2.02.0202.5.1.02.01.01.0005.','52690000'),
(268,'36114007','APBD','','Kab. Bondowoso','5.03.02.2.04.0407.5.1.02.02.01.0014.','2000000'),
(269,'36118076','APBD','','Kab. Bondowoso','5.03.02.2.02.0404.5.1.02.04.01.0005.','9100000'),
(270,'36118589','APBD','','Kab. Bondowoso','5.03.02.0.12.0402.5.1.02.01.01.0004.','3325000'),
(271,'36119340','APBD','','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.04.01.0003.','1600000'),
(272,'36119730','APBD','','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.04.01.0005.','16988000'),
(273,'36125879','APBD','','Kab. Bondowoso','5.10.30.1.20.1000.1.5.10.20.10.1000.5.','18342000'),
(274,'36140070','APBD','','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.02.01.0003.','3600000'),
(275,'36140269','APBD','','Kab. Bondowoso','5.03.02.2.04.0402.5.1.02.02.01.0046.','40000000'),
(276,'36153119','APBD','','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0004.','5978000'),
(277,'36153762','APBD','','Kab. Bondowoso','5.03.01.0.25.0350.4.0.00.01.00.0051.0.1.0.10.10.00.1','3089146100'),
(278,'36154725','APBD','','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.02.01.0003.','8000000'),
(279,'36154864','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.02.00.01','339253600'),
(280,'36154875','APBD','','Kab. Bondowoso','5.03.02.2.01.0002.5.1.02.04.01.0005.','9400000'),
(281,'36154937','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.03.00.01','119273000'),
(282,'36154968','APBD','','Kab. Bondowoso','5.03.02.2.01.0006.5.1.02.04.01.0005.','22762000'),
(283,'36155014','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.04.00.01','63756000'),
(284,'36155300','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.05.00.01','137830000'),
(285,'36155422','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.06.00.01','226399500'),
(286,'36155767','APBD','','Kab. Bondowoso','5.03.02.2.03.0002.5.1.02.02.01.0047.','30000000'),
(287,'36155813','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.07.00.01','4610300'),
(288,'36155873','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.08.00.01','45600'),
(289,'36155990','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.09.00.01','147419400'),
(290,'36156011','APBD','','Kab. Bondowoso','5.03.02.2.03.0002.5.1.02.04.01.0005.','27270000'),
(291,'36156107','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.10.0005.1.0.1.01.10.00.01','7414000'),
(292,'36156195','APBD','','Kab. Bondowoso','5.03.01.2.02.5035.0.4.00.00.11.0005.1.0.1.01.10.00.01','22241900'),
(293,'36157933','APBD','','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.01.01.0004.','2660000'),
(294,'36158727','APBD','','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.02.01.0004.','112500000'),
(295,'36159097','APBD','','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.04.01.0005.','22140000'),
(296,'36159670','APBD','','Kab. Bondowoso','5.04.02.2.01.0003.5.1.02.01.01.0004.','190000000'),
(297,'36160073','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','5175000'),
(298,'36160085','APBD','','Kab. Bondowoso','5.03.02.2.03.0001.5.1.02.02.04.0118.','24000000'),
(299,'36162502','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','22825000'),
(300,'36162679','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','2000000'),
(301,'36162888','APBD','','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.01.01.0004.','1792000'),
(302,'36163158','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','558400000'),
(303,'36163758','APBD','','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.02.12.0001.','55500000'),
(304,'36163931','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','360000000'),
(305,'36164075','APBD','','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.02.12.0004.','262500000'),
(306,'36164307','APBD','','Kab. Bondowoso','5.04.02.2.02.0007.5.1.02.04.01.0005.','11070000'),
(307,'36166367','APBD','','Kab. Bondowoso','5.03.02.2.03.0015.5.1.02.01.01.0004.','2660000'),
(308,'36166474','APBD','','Kab. Bondowoso','5.03.02.2.03.0015.5.1.02.04.01.0005.','20130000'),
(309,'36167663','APBD','','Kab. Bondowoso','5.03.01.2.01.0002.5.1.02.01.01.0024.','10000000'),
(310,'36170403','APBD','','Kab. Bondowoso','5.04.02.2.02.0003.5.1.02.02.12.0004.','65000000'),
(311,'36174262','APBD','','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.01.01.0004.','7070000'),
(312,'36174382','APBD','','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.02.01.0047.','270000000'),
(313,'36174575','APBD','','Kab. Bondowoso','5.03.02.2.02.0003.5.1.02.04.01.0005.','93640000'),
(314,'36175791','APBD','','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.04','18701700'),
(315,'36175958','APBD','','Kab. Bondowoso','5.03.01.2.06.5035.0.4.00.00.11.0005.1.0.2.01.01.00.05','93684000'),
(316,'36184799','APBD','','Kab. Bondowoso','5.03.01.5.03.0120.8.5.03.50.40.0001.0.0.0.05.20.20.501.0059','96000000'),
(317,'36184893','APBD','','Kab. Bondowoso','5.03.01.5.03.0120.8.5.03.50.40.0001.0.0.0.05.20.20.501.0060','11600000'),
(318,'36184941','APBD','','Kab. Bondowoso','5.03.01.5.03.0120.8.5.03.50.40.0001.0.0.0.05.20.20.501.0061','77400000'),
(319,'47567046','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','213600'),
(320,'47567047','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1195200'),
(321,'47567048','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','639000'),
(322,'47567049','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','1278000'),
(323,'47567050','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','106000'),
(324,'47567051','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','319500'),
(325,'47567052','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','1080000'),
(326,'47567053','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','3408000'),
(327,'47567054','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','3578400'),
(328,'47567055','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','12960000'),
(329,'47567056','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','26700'),
(330,'47567057','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','26700'),
(331,'47567058','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11162','180000'),
(332,'47567059','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11162','22500'),
(333,'47567060','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11162','22500'),
(334,'47567061','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','120200'),
(335,'47567062','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','1442400'),
(336,'47567063','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','961600'),
(337,'47567064','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','20600'),
(338,'47567065','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','247200'),
(339,'47567066','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','164800'),
(340,'47567067','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(341,'47567068','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(342,'47567069','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','110000'),
(343,'47567070','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','800000'),
(344,'47567071','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','212000'),
(345,'47567072','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1696000'),
(346,'47567073','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(347,'47567074','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','41400000'),
(348,'47567075','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(349,'47567076','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(350,'47567077','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2530000'),
(351,'47567078','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','4840000'),
(352,'47567079','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(353,'47567080','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00014','3220000'),
(354,'47567081','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0065.8.1.0.20.10.10.065.00001','29250000'),
(355,'47567082','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0070.8.1.0.20.10.10.070.00003','24750000'),
(356,'47567083','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','3360000'),
(357,'47567084','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','19320000'),
(358,'47567085','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','1512000'),
(359,'47567086','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0121.8.1.0.20.20.40.121.00002','14400000'),
(360,'47567087','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00002','2000000'),
(361,'47567088','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','3000000'),
(362,'47567089','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','3000000'),
(363,'47567090','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','18000000'),
(364,'47567091','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.05.0043.8.1.0.20.20.50.043.00001','21000000'),
(365,'47567092','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','4620000'),
(366,'47567093','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','225000'),
(367,'47567094','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','2500000'),
(368,'47567096','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','23000'),
(369,'47567097','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','82800'),
(370,'47567098','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','120000'),
(371,'47567099','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','7500'),
(372,'47567100','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','92000'),
(373,'47567101','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','7560000'),
(374,'47567102','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','281000'),
(375,'47567103','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','449600'),
(376,'47567104','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','56200'),
(377,'47567105','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10203','140800'),
(378,'47567106','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10203','8800'),
(379,'47567107','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10205','26400'),
(380,'47567108','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1059000'),
(381,'47567109','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','490500'),
(382,'47567110','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','60000'),
(383,'47567111','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(384,'47567112','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','6160000'),
(385,'47567113','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(386,'47567114','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','630000'),
(387,'47567115','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','5112000'),
(388,'47567116','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(389,'47567117','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0034.1.1.1.20.10.30.011.00086','38160000'),
(390,'47567118','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(391,'47567119','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','23460000'),
(392,'47567120','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.04.0117.8.1.0.20.20.40.117.00004','2250000'),
(393,'47567121','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','2310000'),
(394,'47571839','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(395,'47571840','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(396,'47571841','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','239100'),
(397,'47571842','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(398,'47571963','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','239100'),
(399,'47571964','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(400,'47571965','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(401,'47571966','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(402,'47571997','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(403,'47571998','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(404,'47571999','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','239100'),
(405,'47572000','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(406,'47572161','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(407,'47572162','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','730800'),
(408,'47572163','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','281000'),
(409,'47572164','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','319500'),
(410,'47572165','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','1252800'),
(411,'47572166','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','26700'),
(412,'47572167','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.11162','22500'),
(413,'47572168','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','120200'),
(414,'47572169','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','61800'),
(415,'47572170','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(416,'47572171','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(417,'47572172','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4964000'),
(418,'47572173','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','8760000'),
(419,'47572174','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','4088000'),
(420,'47572175','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.04.0117.8.1.0.20.20.40.117.00003','1000000'),
(421,'47572176','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.04.0132.8.1.0.20.20.40.132.00002','2000000'),
(422,'47572177','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(423,'47572178','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1191000'),
(424,'47572179','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10203','35200'),
(425,'47572180','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','6900'),
(426,'47572599','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','4697000'),
(427,'47572600','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(428,'47572601','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09955','1272000'),
(429,'47572602','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','530000'),
(430,'47572603','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(431,'47572604','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','281000'),
(432,'47572605','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10205','17600'),
(433,'47572606','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','79700'),
(434,'47572607','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(435,'47572608','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','110400'),
(436,'47572609','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','918000'),
(437,'47572610','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','426000'),
(438,'47572611','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','147300'),
(439,'47572612','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','601000'),
(440,'47572613','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(441,'47572614','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','300000'),
(442,'47572615','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(443,'47572616','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00170','3505600'),
(444,'47572617','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00170','3505600'),
(445,'47572618','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00192','23850000'),
(446,'47572619','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00199','1652000'),
(447,'47572620','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00212','28647000'),
(448,'47572621','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00212','23554200'),
(449,'47572622','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1190000'),
(450,'47572623','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(451,'47572624','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(452,'47572625','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(453,'47572626','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','87780000'),
(454,'47572627','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00004','3750000'),
(455,'47572628','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0076.8.1.0.20.10.10.076.00004','900000'),
(456,'47572629','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00179','5936000'),
(457,'47572630','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00178','44520000'),
(458,'47572631','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10288','848000'),
(459,'47572632','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00162','2194200'),
(460,'47572633','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0030.1.1.1.20.10.30.007.02260','2072000'),
(461,'47572634','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00163','1386000'),
(462,'47572635','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0034.1.1.1.20.10.30.011.00086','3816000'),
(463,'47572636','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00171','1192800'),
(464,'47572637','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00169','3011800'),
(465,'47572638','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00168','1432800'),
(466,'47572639','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00164','2363200'),
(467,'47572640','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00179','9540000'),
(468,'47572641','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0034.1.1.1.20.10.30.011.00086','47064000'),
(469,'47572642','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00165','1932000'),
(470,'47572643','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','64400'),
(471,'47572644','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00166','4457600'),
(472,'47572645','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00167','1489600'),
(473,'47572646','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00172','2973600'),
(474,'47572647','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00175','1764000'),
(475,'47572648','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00179','1908000'),
(476,'47572649','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0032.1.1.1.20.10.30.009.00188','1812600'),
(477,'47572650','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0034.1.1.1.20.10.30.011.00086','1908000'),
(478,'47572651','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0034.1.1.1.20.10.30.011.00086','3180000'),
(479,'47572652','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','38220000'),
(480,'47572653','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2250000'),
(481,'47572654','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2100000'),
(482,'47575592','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','4620000'),
(483,'47575593','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','425000'),
(484,'47575594','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10031','106000'),
(485,'47575595','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','46000'),
(486,'47575596','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','562000'),
(487,'47575597','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10205','88000'),
(488,'47575599','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(489,'47575600','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1017000'),
(490,'47575601','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','3195000'),
(491,'47575602','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','2160000'),
(492,'47575603','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','721200'),
(493,'47575604','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','144200'),
(494,'47575605','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1036800'),
(495,'47575607','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1908000'),
(496,'47575608','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4420000'),
(497,'47575609','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7800000'),
(498,'47575610','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3220000'),
(499,'47575611','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','6160000'),
(500,'47575776','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','2772000'),
(501,'47575778','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','325000'),
(502,'47575779','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','32000'),
(503,'47575780','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','46000'),
(504,'47575781','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','168600'),
(505,'47575782','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10203','35200'),
(506,'47575783','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','16500'),
(507,'47575784','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','28200'),
(508,'47575785','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','880800'),
(509,'47575786','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','1597500'),
(510,'47575787','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','1620000'),
(511,'47575788','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','360600'),
(512,'47575789','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','61800'),
(513,'47575790','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','712800'),
(514,'47575791','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3315000'),
(515,'47575792','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3220000'),
(516,'47575793','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5850000'),
(517,'47575795','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','6160000'),
(518,'47575796','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','848000'),
(519,'47575861','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','717300'),
(520,'47575862','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(521,'47575863','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1272000'),
(522,'47575864','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','38700'),
(523,'47575895','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','239100'),
(524,'47575896','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(525,'47575897','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(526,'47575898','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(527,'47575912','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','239100'),
(528,'47575913','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(529,'47575914','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(530,'47575915','APBD','2024','Kab. Bondowoso','8.01.05.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(531,'47578974','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','4620000'),
(532,'47578975','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(533,'47578976','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','423300'),
(534,'47578977','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','852000'),
(535,'47578978','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','103000'),
(536,'47578979','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(537,'47578980','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(538,'47578981','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(539,'47578982','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','3960000'),
(540,'47578983','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00014','2070000'),
(541,'47578984','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','4200000'),
(542,'47578985','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','6000000'),
(543,'47578986','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(544,'47578987','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(545,'47579060','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','4564500'),
(546,'47579061','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','115000'),
(547,'47579062','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1005600'),
(548,'47579063','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','852000'),
(549,'47579064','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','123600'),
(550,'47579065','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(551,'47579066','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','381600'),
(552,'47579067','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','763200'),
(553,'47579068','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4420000'),
(554,'47579070','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7800000'),
(555,'47579071','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','3640000'),
(556,'47579140','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','26850000'),
(557,'47579141','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','121800'),
(558,'47579142','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','750000'),
(559,'47579143','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','115000'),
(560,'47579144','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','451200'),
(561,'47579145','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','10600'),
(562,'47579146','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(563,'47579147','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','406800'),
(564,'47579148','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10495','795000'),
(565,'47579149','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','1278000'),
(566,'47579150','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','120200'),
(567,'47579151','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','41200'),
(568,'47579152','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02318','150000'),
(569,'47579153','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(570,'47579154','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','186000'),
(571,'47579155','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1017600'),
(572,'47579156','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(573,'47579157','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(574,'47579158','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(575,'47579159','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(576,'47579160','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(577,'47579161','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(578,'47579162','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(579,'47579163','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(580,'47579164','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','4200000'),
(581,'47579165','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','6000000'),
(582,'47579166','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','12000000'),
(583,'47579200','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10134','228400'),
(584,'47579202','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','258000'),
(585,'47579203','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(586,'47579204','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(587,'47579213','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','80500'),
(588,'47579214','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','341100'),
(589,'47579215','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(590,'47579216','APBD','2024','Kab. Bondowoso','8.01.06.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(591,'47580334','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09943','77500'),
(592,'47580335','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','149500'),
(593,'47580336','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','281000'),
(594,'47580337','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10226','94800'),
(595,'47580338','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','42400'),
(596,'47580339','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','148500'),
(597,'47580340','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','426000'),
(598,'47580341','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11167','42000'),
(599,'47580342','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','82400'),
(600,'47580343','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(601,'47580344','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','890400'),
(602,'47580345','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7480000'),
(603,'47580346','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','13200000'),
(604,'47580348','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.01.01.0076.8.1.0.20.10.10.076.00007','26250000'),
(605,'47580417','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','69600'),
(606,'47580418','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','224800'),
(607,'47580419','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','84600'),
(608,'47580420','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','88200'),
(609,'47580421','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(610,'47580422','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','1144800'),
(611,'47580466','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','116000'),
(612,'47580467','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','34500'),
(613,'47580468','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','168600'),
(614,'47580469','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','81400'),
(615,'47580470','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','84600'),
(616,'47580471','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','96300'),
(617,'47580472','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(618,'47580473','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','93000'),
(619,'47580474','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','636000'),
(620,'47580486','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','57500'),
(621,'47580487','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(622,'47580488','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','162800'),
(623,'47580489','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','12900'),
(624,'47580490','APBD','2024','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(625,'47581636','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','1700000'),
(626,'47581639','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','71300'),
(627,'47581640','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','562000'),
(628,'47581646','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10288','466400'),
(629,'47581648','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','279300'),
(630,'47581650','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','384000'),
(631,'47581653','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','95850'),
(632,'47581655','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','56000'),
(633,'47581660','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','206000'),
(634,'47581663','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1036800'),
(635,'47581666','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','763200'),
(636,'47581670','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','508800'),
(637,'47581676','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','14400000'),
(638,'47581679','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.04.0118.8.1.0.20.20.40.118.00005','1400000'),
(639,'47581680','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','12000000'),
(640,'47581682','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','12000000'),
(641,'47581694','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09943','186000'),
(642,'47581696','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','850000'),
(643,'47581697','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','174000'),
(644,'47581700','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','281000'),
(645,'47581701','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','562000'),
(646,'47581702','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10226','94800'),
(647,'47581703','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','81400'),
(648,'47581704','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','282000'),
(649,'47581706','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10294','3720000'),
(650,'47581708','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','222000'),
(651,'47581710','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','1533600'),
(652,'47581711','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','511200'),
(653,'47581713','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','33600'),
(654,'47581715','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','8640000'),
(655,'47581716','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','4320000'),
(656,'47581717','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','480800'),
(657,'47581718','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','120200'),
(658,'47581720','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','82400'),
(659,'47581721','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(660,'47581723','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(661,'47581724','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','93000'),
(662,'47581726','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','1144800'),
(663,'47581727','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1144800'),
(664,'47581728','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(665,'47581730','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7735000'),
(666,'47581731','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','16320000'),
(667,'47581732','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8160000'),
(668,'47581733','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','28800000'),
(669,'47581734','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','13650000'),
(670,'47581736','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','13440000'),
(671,'47581737','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.04.0118.8.1.0.20.20.40.118.00003','1820000'),
(672,'47581740','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.04.0121.8.1.0.20.20.40.121.00002','9600000'),
(673,'47581742','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','159750'),
(674,'47581818','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09998','139500'),
(675,'47581819','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','348000'),
(676,'47581820','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','471500'),
(677,'47581821','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(678,'47581822','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','206700'),
(679,'47581823','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10495','1060000'),
(680,'47581824','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(681,'47581825','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(682,'47581826','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','1526400'),
(683,'47581827','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(684,'47581828','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(685,'47581903','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','3080000'),
(686,'47581904','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','116000'),
(687,'47581905','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','138000'),
(688,'47581906','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','1405000'),
(689,'47581907','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','84600'),
(690,'47581908','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','236400'),
(691,'47581909','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(692,'47581910','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','381600'),
(693,'47581911','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(694,'47581912','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(695,'47581913','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(696,'47581927','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09943','62000'),
(697,'47581928','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','57500'),
(698,'47581929','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10226','63200'),
(699,'47581930','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','81400'),
(700,'47581931','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(701,'47581932','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','295500'),
(702,'47581933','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(703,'47581934','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','254400'),
(704,'47581954','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09943','62000'),
(705,'47581955','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','57500'),
(706,'47581956','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10226','63200'),
(707,'47581957','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','81400'),
(708,'47581958','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(709,'47581959','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','295500'),
(710,'47581960','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(711,'47581961','APBD','2024','Kab. Bondowoso','8.01.03.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','254400'),
(712,'47584019','APBD','2024','Kab. Bondowoso','8.01.01.2.09.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','4200'),
(713,'47584134','APBD','2024','Kab. Bondowoso','8.01.01.2.07.0005.5.2.02.05.02.0001.1.3.0.20.50.20.001.02167','15582000'),
(714,'47584152','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','30000'),
(715,'47584153','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','52900'),
(716,'47584154','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(717,'47584155','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(718,'47584156','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','155700'),
(719,'47584157','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(720,'47584158','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(721,'47584159','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','318000'),
(722,'47584160','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','371400'),
(723,'47584163','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(724,'47584164','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','23000'),
(725,'47584165','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(726,'47584166','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(727,'47584167','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78000'),
(728,'47584168','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(729,'47584169','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(730,'47584170','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','212000'),
(731,'47584171','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(732,'47584172','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','23000'),
(733,'47584173','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(734,'47584174','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(735,'47584175','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78000'),
(736,'47584176','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(737,'47584177','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','212000'),
(738,'47584178','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(739,'47584183','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','30000'),
(740,'47584184','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','52900'),
(741,'47584185','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(742,'47584186','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(743,'47584187','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','155700'),
(744,'47584188','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(745,'47584189','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(746,'47584190','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','318000'),
(747,'47584191','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','371400'),
(748,'47584193','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','30000'),
(749,'47584194','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','52900'),
(750,'47584195','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(751,'47584196','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(752,'47584197','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','155700'),
(753,'47584198','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(754,'47584199','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(755,'47584200','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','318000'),
(756,'47584201','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','371400'),
(757,'47584204','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','30000'),
(758,'47584205','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','52900'),
(759,'47584206','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','112400'),
(760,'47584207','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(761,'47584208','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','155700'),
(762,'47584209','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(763,'47584210','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(764,'47584211','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','318000'),
(765,'47584212','APBD','2024','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','371400'),
(766,'47584217','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(767,'47584218','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','75000'),
(768,'47584219','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','138000'),
(769,'47584220','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','337200'),
(770,'47584221','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','169200'),
(771,'47584222','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1050000'),
(772,'47584223','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(773,'47584224','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(774,'47584225','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1272000'),
(775,'47584226','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','1485600'),
(776,'47584228','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(777,'47584229','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','75000'),
(778,'47584230','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','138000'),
(779,'47584231','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','337200'),
(780,'47584232','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','169200'),
(781,'47584233','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1050000'),
(782,'47584234','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(783,'47584235','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(784,'47584236','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1272000'),
(785,'47584237','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','1485600'),
(786,'47584238','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(787,'47584239','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(788,'47584240','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','230000'),
(789,'47584241','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','449600'),
(790,'47584242','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','282000'),
(791,'47584243','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1501800'),
(792,'47584244','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','702000'),
(793,'47584245','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(794,'47584246','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1590000'),
(795,'47584247','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','1857000'),
(796,'47584268','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(797,'47584269','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(798,'47584270','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','115000'),
(799,'47584271','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','168600'),
(800,'47584272','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','112800'),
(801,'47584273','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','756000'),
(802,'47584274','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','351000'),
(803,'47584275','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(804,'47584276','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1060000'),
(805,'47584277','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','742800'),
(806,'47584303','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(807,'47584304','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(808,'47584305','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','115000'),
(809,'47584306','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','168600'),
(810,'47584307','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','112800'),
(811,'47584308','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','756000'),
(812,'47584309','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','351000'),
(813,'47584310','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(814,'47584311','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1060000'),
(815,'47584312','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','742800'),
(816,'47584320','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(817,'47584321','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(818,'47584322','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','230000'),
(819,'47584323','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','449600'),
(820,'47584324','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','282000'),
(821,'47584325','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1501800'),
(822,'47584326','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','702000'),
(823,'47584327','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(824,'47584328','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1590000'),
(825,'47584329','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','1857000'),
(826,'47584330','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(827,'47584331','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(828,'47584332','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','115000'),
(829,'47584333','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','168600'),
(830,'47584334','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','112800'),
(831,'47584335','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','756000'),
(832,'47584336','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','351000'),
(833,'47584337','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(834,'47584338','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1060000'),
(835,'47584339','APBD','2024','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03536','742800'),
(836,'47584359','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(837,'47584360','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09928','191000'),
(838,'47584361','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','322000'),
(839,'47584362','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','1250000'),
(840,'47584363','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','1610000'),
(841,'47584364','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10133','3372000'),
(842,'47584365','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','99500'),
(843,'47584366','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10193','74000'),
(844,'47584367','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10273','283500'),
(845,'47584368','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','1128000'),
(846,'47584369','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','362000'),
(847,'47584370','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1170000'),
(848,'47584371','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','5184000'),
(849,'47584372','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','700000'),
(850,'47584373','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.02990','4013400'),
(851,'47584374','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','4240000'),
(852,'47584375','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1360000'),
(853,'47584376','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2400000'),
(854,'47584378','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','179400'),
(855,'47584379','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','78500'),
(856,'47584380','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10495','805600'),
(857,'47584381','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02321','1155000'),
(858,'47584383','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01719','357000'),
(859,'47584384','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01734','47700'),
(860,'47584385','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01740','47700'),
(861,'47584386','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01736','63600'),
(862,'47584387','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01746','160000'),
(863,'47584388','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01747','371000'),
(864,'47584389','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01780','159000'),
(865,'47584390','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01781','159000'),
(866,'47584391','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01953','16300'),
(867,'47584392','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01978','212800'),
(868,'47584393','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02176','185500'),
(869,'47584394','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02195','615600'),
(870,'47584396','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03457','367200'),
(871,'47584397','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03818','452900'),
(872,'47584398','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04087','164000'),
(873,'47584399','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03851','449000'),
(874,'47584400','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04110','260000'),
(875,'47584401','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04008','148200'),
(876,'47584402','APBD','2024','Kab. Bondowoso','8.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04119','583200'),
(877,'47786924','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0025.8.1.0.20.20.10.025.00019','35000000'),
(878,'48175411','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0025.8.1.0.20.20.10.025.00013','120000000'),
(879,'48176764','APBD','2024','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3400000'),
(880,'36195215','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2880000'),
(881,'36195216','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','400000'),
(882,'36195217','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','2360000'),
(883,'36195218','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','1600000'),
(884,'36195219','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00009','800000'),
(885,'36195220','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','1600000'),
(886,'36195221','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','4800000'),
(887,'36195222','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2800000'),
(888,'36195223','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','60000000'),
(889,'36195224','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','10000000'),
(890,'36195225','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','8400000'),
(891,'36195226','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','2400000'),
(892,'36195227','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00046','9600000'),
(893,'36195228','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','850000'),
(894,'36195229','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','800000'),
(895,'36195230','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','800000'),
(896,'36195231','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','800000'),
(897,'36195232','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','1600000'),
(898,'36195233','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','800000'),
(899,'36195234','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','4800000'),
(900,'36195235','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(901,'36195236','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(902,'36195237','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(903,'36195238','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','4200000'),
(904,'36195239','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(905,'36195240','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(906,'36195241','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','700000'),
(907,'36195243','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','2100000'),
(908,'36195244','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','1400000'),
(909,'36195245','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','1500000'),
(910,'36195246','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','1200000'),
(911,'36195247','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','900000'),
(912,'36195248','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','1500000'),
(913,'36195249','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','1500000'),
(914,'36195250','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','1500000'),
(915,'36195251','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','13200000'),
(916,'36195252','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00279','4000000'),
(917,'36195253','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00278','2400000'),
(918,'36195254','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0006.8.1.0.20.20.10.006.00035','20000000'),
(919,'36195255','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','1800000'),
(920,'36195257','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0025.8.1.0.20.20.10.025.00017','45000000'),
(921,'36195258','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0025.8.1.0.20.20.10.025.00018','288000000'),
(922,'36195259','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(923,'36195260','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9440000'),
(924,'36195261','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','8000000'),
(925,'36195262','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','48000000'),
(926,'36195263','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','800000'),
(927,'36195264','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','2400000'),
(928,'36195265','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.05.01.0001.8.1.0.20.50.10.001.00018','5000000'),
(929,'36195266','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','675000'),
(930,'36195267','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','3400000'),
(931,'36195268','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00290','2000000'),
(932,'36195269','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','800000'),
(933,'36195270','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00290','8000000'),
(934,'36195271','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','800000'),
(935,'36195272','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','20250000'),
(936,'36195273','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','15000000'),
(937,'36195274','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','1400000'),
(938,'36195275','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0029.8.1.0.20.20.10.029.00026','4500000'),
(939,'36195276','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0037.8.1.0.20.20.10.037.00008','5000000'),
(940,'36195277','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','1250000'),
(941,'36195278','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','2500000'),
(942,'36195279','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','7790000'),
(943,'36195280','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(944,'36195281','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','6970000'),
(945,'36195282','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(946,'36195283','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.05.01.0001.8.1.0.20.50.10.001.00017','4000000'),
(947,'36195284','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.05.01.0001.8.1.0.20.50.10.001.00015','2500000'),
(948,'36195285','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.05.01.0001.8.1.0.20.50.10.001.00016','3000000'),
(949,'36195286','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00122','3000000'),
(950,'36195287','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00121','2400000'),
(951,'36195288','APBD','','Kab. Bondowoso','8.01.02.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00289','3200000'),
(952,'36198528','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','800000'),
(953,'36198529','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','1400000'),
(954,'36198530','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','300000'),
(955,'36198531','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(956,'36198532','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','9280000'),
(957,'36198534','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','400000'),
(958,'36198535','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','10000000'),
(959,'36198536','APBD','','Kab. Bondowoso','8.01.02.2.01.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','400000'),
(960,'36199199','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0003.8.1.0.20.20.10.003.00020','6000000'),
(961,'36199200','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','2550000'),
(962,'36199201','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','750000'),
(963,'36199202','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','1000000'),
(964,'36199204','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','900000'),
(965,'36199205','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0026.8.1.0.20.20.10.026.00001','56000000'),
(966,'36199206','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0026.8.1.0.20.20.10.026.00002','20000000'),
(967,'36199207','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0026.8.1.0.20.20.10.026.00019','3000000'),
(968,'36199208','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0037.8.1.0.20.20.10.037.00005','4800000'),
(969,'36199209','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.04.0043.8.1.0.20.20.40.043.00019','3000000'),
(970,'36199210','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.05.0043.8.1.0.20.20.50.043.00001','73500000'),
(971,'36199211','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.05.0043.8.1.0.20.20.50.043.00002','6000000'),
(972,'36199212','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(973,'36199213','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','9200000'),
(974,'36199214','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','4600000'),
(975,'36199215','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','1200000'),
(976,'36199216','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','16400000'),
(977,'36199217','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','10000000'),
(978,'36199218','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0003.8.1.0.20.20.10.003.00075','5700000'),
(979,'36199219','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','750000'),
(980,'36199220','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0029.8.1.0.20.20.10.029.00026','12000000'),
(981,'36199221','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.02.01.0029.8.1.0.20.20.10.029.00026','2500000'),
(982,'36199222','APBD','','Kab. Bondowoso','8.01.02.2.01.0008.5.1.02.04.01.0001.8.1.0.20.40.10.001.00010','3000000'),
(983,'36200709','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','3200000'),
(984,'36200710','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2800000'),
(985,'36200711','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','3600000'),
(986,'36200712','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','4000000'),
(987,'36200713','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','800000'),
(988,'36200714','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','10200000'),
(989,'36200715','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00117','14400000'),
(990,'36200716','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','36000000'),
(991,'36200717','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00282','29040000'),
(992,'36200718','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00284','7200000'),
(993,'36200719','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00286','6000000'),
(994,'36200720','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00290','24000000'),
(995,'36200721','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4480000'),
(996,'36200722','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','8000000'),
(997,'36200723','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','1000000'),
(998,'36200724','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','36900000'),
(999,'36200725','APBD','','Kab. Bondowoso','8.01.05.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00083','800000'),
(1000,'36200816','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','2800000'),
(1001,'36200817','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2100000'),
(1002,'36200818','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','2700000'),
(1003,'36200819','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','3000000'),
(1004,'36200820','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00083','600000'),
(1005,'36200821','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','84000000'),
(1006,'36200822','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00226','30000000'),
(1007,'36200823','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3360000'),
(1008,'36200824','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','6000000'),
(1009,'36200825','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','5500000'),
(1010,'36200826','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','20500000'),
(1011,'36200827','APBD','','Kab. Bondowoso','8.01.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','600000'),
(1012,'36202104','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','2800000'),
(1013,'36202105','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','4900000'),
(1014,'36202106','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','24000000'),
(1015,'36202107','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00083','1400000'),
(1016,'36202108','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','1400000'),
(1017,'36202109','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','51000000'),
(1018,'36202110','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','9000000'),
(1019,'36202111','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00185','12000000'),
(1020,'36202112','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','12000000'),
(1021,'36202113','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.02.01.0030.8.1.0.20.20.10.030.00020','800000'),
(1022,'36202114','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(1023,'36202115','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','12000000'),
(1024,'36202116','APBD','','Kab. Bondowoso','8.01.06.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','14760000'),
(1025,'36202148','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.05.05.01.0001.0','3900000000'),
(1026,'36202149','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','1600000'),
(1027,'36202150','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2800000'),
(1028,'36202151','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','16000000'),
(1029,'36202152','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00083','800000'),
(1030,'36202153','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','800000'),
(1031,'36202154','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0004.8.1.0.20.20.10.004.00087','12000000'),
(1032,'36202155','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','51000000'),
(1033,'36202156','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','9000000'),
(1034,'36202157','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0004.8.1.0.20.20.10.004.00185','90000000'),
(1035,'36202158','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.02.01.0030.8.1.0.20.20.10.030.00020','400000'),
(1036,'36202159','APBD','','Kab. Bondowoso','8.01.06.2.01.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','57280000'),
(1037,'36202194','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','6000000'),
(1038,'36202195','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','10500000'),
(1039,'36202196','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','3000000'),
(1040,'36202197','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','12000000'),
(1041,'36202198','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00083','3000000'),
(1042,'36202199','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','3000000'),
(1043,'36202200','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00087','12000000'),
(1044,'36202201','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00088','9000000'),
(1045,'36202202','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00089','318000000'),
(1046,'36202203','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00184','6000000'),
(1047,'36202204','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00185','54000000'),
(1048,'36202205','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00020','1200000'),
(1049,'36202206','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(1050,'36202207','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','67650000'),
(1051,'36202208','APBD','','Kab. Bondowoso','8.01.06.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00088','9000000'),
(1052,'36202792','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','800000'),
(1053,'36202793','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','6000000'),
(1054,'36202794','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','400000'),
(1055,'36202795','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6560000'),
(1056,'36202796','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','16000000'),
(1057,'36202797','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00055','30000000'),
(1058,'36202798','APBD','','Kab. Bondowoso','8.01.04.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4100000'),
(1059,'36202853','APBD','','Kab. Bondowoso','8.01.04.2.01.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','16640000'),
(1060,'36202879','APBD','','Kab. Bondowoso','8.01.04.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(1061,'36202892','APBD','','Kab. Bondowoso','8.01.04.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(1062,'36203389','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','3200000'),
(1063,'36203390','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','1200000'),
(1064,'36203393','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','5600000'),
(1065,'36203394','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','40000000'),
(1066,'36203395','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','12000000'),
(1067,'36203398','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','800000'),
(1068,'36203399','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','600000'),
(1069,'36203400','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0016.8.1.0.20.20.10.016.00053','1200000'),
(1070,'36203403','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9120000'),
(1071,'36203405','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','16000000'),
(1072,'36203407','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','320000'),
(1073,'36203409','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','13530000'),
(1074,'36203410','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.05.01.0001.8.1.0.20.50.10.001.00001','1250000'),
(1075,'36203411','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.05.01.0001.8.1.0.20.50.10.001.00004','1000000'),
(1076,'36203412','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.05.01.0001.8.1.0.20.50.10.001.00008','1500000'),
(1077,'36203419','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.01.01.0039.1.1.1.20.10.50.001.00587','1800000'),
(1078,'36203422','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00038','1600000'),
(1079,'36203423','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2800000'),
(1080,'36203427','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00084','400000'),
(1081,'36203432','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0037.8.1.0.20.20.10.037.00008','4500000'),
(1082,'36203433','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.02.01.0037.8.1.0.20.20.10.037.00008','7500000'),
(1083,'36203435','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(1084,'36203437','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','32000000'),
(1085,'36203439','APBD','','Kab. Bondowoso','8.01.03.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','12300000'),
(1086,'36203481','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.05.05.03.0001.0','30000000000'),
(1087,'36203482','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.05.05.03.0001.0','6720000000'),
(1088,'36203483','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.05.05.03.0001.0','1380000000'),
(1089,'36203484','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00037','15000000'),
(1090,'36203485','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00057','262800000'),
(1091,'36203486','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','90000000'),
(1092,'36203487','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','9000000'),
(1093,'36203488','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00175','48300000'),
(1094,'36203489','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00226','328500000'),
(1095,'36203490','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00226','34500000'),
(1096,'36203491','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00294','28800000'),
(1097,'36203492','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','12000000'),
(1098,'36203493','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12800000'),
(1099,'36203494','APBD','','Kab. Bondowoso','8.01.03.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','15990000'),
(1100,'36203519','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','136744000'),
(1101,'36203520','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','551888000'),
(1102,'36203521','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','317604000'),
(1103,'36203522','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','206256000'),
(1104,'36203523','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','75020000'),
(1105,'36203524','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','244076000'),
(1106,'36203525','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','167184000'),
(1107,'36203526','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.05.07.01.0001.0','76680000'),
(1108,'36203527','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','3000000'),
(1109,'36203528','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','6000000'),
(1110,'36203529','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','5380000'),
(1111,'36203530','APBD','','Kab. Bondowoso','8.01.03.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','10250000'),
(1112,'36204901','APBD','','Kab. Bondowoso','8.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00156','19037600'),
(1113,'36204902','APBD','','Kab. Bondowoso','8.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00157','405000'),
(1114,'36204904','APBD','','Kab. Bondowoso','8.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00158','1698750'),
(1115,'36204905','APBD','','Kab. Bondowoso','8.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00159','1136250'),
(1116,'36204907','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00416','2003400'),
(1117,'36204908','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00415','185500'),
(1118,'36204909','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05736','12731200'),
(1119,'36204910','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00437','1759600'),
(1120,'36204911','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','12673200'),
(1121,'36204912','APBD','','Kab. Bondowoso','8.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00012','2400000'),
(1122,'36204948','APBD','','Kab. Bondowoso','8.01.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00006','12000000'),
(1123,'36204949','APBD','','Kab. Bondowoso','8.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00009','6000000'),
(1124,'36204950','APBD','','Kab. Bondowoso','8.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00003','12558750'),
(1125,'36204952','APBD','','Kab. Bondowoso','8.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00082','5000000'),
(1126,'36204953','APBD','','Kab. Bondowoso','8.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','15000000'),
(1127,'36204954','APBD','','Kab. Bondowoso','8.01.01.2.08.0004.5.1.02.02.01.0011.8.1.0.20.20.10.011.00010','36000000'),
(1128,'36204955','APBD','','Kab. Bondowoso','8.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00014','216000000'),
(1129,'36204956','APBD','','Kab. Bondowoso','8.01.01.2.08.0004.5.1.02.02.02.0005.8.1.0.20.20.20.005.00011','16800000'),
(1130,'36204957','APBD','','Kab. Bondowoso','8.01.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00001','3360000'),
(1131,'36204961','APBD','','Kab. Bondowoso','8.01.01.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(1132,'36204970','APBD','','Kab. Bondowoso','8.01.01.2.02.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(1133,'36204971','APBD','','Kab. Bondowoso','8.01.01.2.02.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(1134,'36204972','APBD','','Kab. Bondowoso','8.01.01.2.02.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(1135,'36204974','APBD','','Kab. Bondowoso','8.01.01.2.01.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(1136,'36204975','APBD','','Kab. Bondowoso','8.01.01.2.01.0005.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(1137,'36204976','APBD','','Kab. Bondowoso','8.01.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(1138,'36204978','APBD','','Kab. Bondowoso','8.01.01.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1230000'),
(1139,'36204980','APBD','','Kab. Bondowoso','8.01.01.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1230000'),
(1140,'36204983','APBD','','Kab. Bondowoso','8.01.01.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(1141,'36204985','APBD','','Kab. Bondowoso','8.01.01.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1230000'),
(1142,'36204991','APBD','','Kab. Bondowoso','8.01.01.2.06.0009.5.1.02.04.01.0001.8.1.0.20.40.10.001.00022','5250000'),
(1143,'36204992','APBD','','Kab. Bondowoso','8.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','11920000'),
(1144,'36204993','APBD','','Kab. Bondowoso','8.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','26750000'),
(1145,'36204994','APBD','','Kab. Bondowoso','8.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','36080000'),
(1146,'47330695','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','96600'),
(1147,'47330696','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(1148,'47330697','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','910000'),
(1149,'47335031','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(1150,'47335033','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11174','409500'),
(1151,'47335035','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','1986900'),
(1152,'47335713','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.02.01.0055.8.1.0.20.20.10.055.00002','2000000'),
(1153,'47335714','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','6927300'),
(1154,'47335715','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','80500'),
(1155,'47335716','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3304800'),
(1156,'47335717','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2544000'),
(1157,'47335718','APBD','2024','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(1158,'47348890','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','190800'),
(1159,'47348891','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2544000'),
(1160,'47348892','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','10612000'),
(1161,'47348894','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2980800'),
(1162,'47348895','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0058.8.1.0.20.10.10.058.00016','6120000'),
(1163,'47348896','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0040.1.1.1.20.10.50.001.00471','4000000'),
(1164,'47348898','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.02.01.0055.8.1.0.20.20.10.055.00002','10000000'),
(1165,'47348900','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.01.01.0039.1.1.1.20.10.50.001.00511','5000000'),
(1166,'47348903','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.02.01.0060.8.1.0.20.20.10.060.00002','30000000'),
(1167,'47348905','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.02.04.0043.8.1.0.20.20.40.043.00011','10000000'),
(1168,'47372696','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','94400'),
(1169,'47372697','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','601000'),
(1170,'47372698','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03650','1170000'),
(1171,'47375394','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2592000'),
(1172,'47375396','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(1173,'47375398','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','563500'),
(1174,'47430786','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0024.','9159900'),
(1175,'47431550','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0025.','194400'),
(1176,'47432068','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0029.','318000'),
(1177,'47432714','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0024.','7060800'),
(1178,'47433328','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0052.','4700000'),
(1179,'47433337','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0025.','1754400'),
(1180,'47433850','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0029.','424000'),
(1181,'47434137','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0032.','15000000'),
(1182,'47434141','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0052.','2350000'),
(1183,'47434641','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0052.','78960000'),
(1184,'47434888','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0076.','45750000'),
(1185,'47435090','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0076.','6750000'),
(1186,'47437199','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.02.01.0055.','1000000'),
(1187,'47437492','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.03.06.0005.','32000000'),
(1188,'47437525','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0008.5.1.02.01.01.0024.','154500'),
(1189,'47437684','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0008.5.1.02.02.12.0001.','44000000'),
(1190,'47438002','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.01.01.0024.','4533700'),
(1191,'47438152','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.01.01.0025.','778800'),
(1192,'47438517','APBD','2024','Kab. Bondowoso','1.05.03.2.01.0004.5.2.02.05.01.0005.','19080000'),
(1193,'47439089','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.01.01.0029.','636000'),
(1194,'47439319','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.01.01.0052.','8460000'),
(1195,'47439506','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.1.02.01.01.0024.','2679000'),
(1196,'47439765','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.1.02.01.01.0058.','8500000'),
(1197,'47439967','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0015.5.1.02.01.01.0031.','6809500'),
(1198,'47440009','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.1.02.02.01.0055.','1000000'),
(1199,'47440031','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0015.5.1.02.01.01.0032.','8750000'),
(1200,'47440138','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0015.5.1.02.01.01.0064.','19250000'),
(1201,'47440249','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0015.5.2.02.03.02.0012.','2950100'),
(1202,'47440288','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.1.02.02.04.0118.','2650000'),
(1203,'47440760','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0024.','10860000'),
(1204,'47440855','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0024.','6423000'),
(1205,'47440868','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.1.02.02.04.0121.','1100000'),
(1206,'47440976','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0024.','5427300'),
(1207,'47441043','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0010.5.2.02.05.02.0001.','3180000'),
(1208,'47441054','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0025.','2144400'),
(1209,'47441111','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0029.','318000'),
(1210,'47441207','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0040.','7500000'),
(1211,'47441291','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0040.','106000000'),
(1212,'47441466','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0052.','37600000'),
(1213,'47441628','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0052.','42300000'),
(1214,'47441739','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0064.','21000000'),
(1215,'47441953','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0024.','3679200'),
(1216,'47441985','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0076.','99750000'),
(1217,'47442326','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0076.','54750000'),
(1218,'47442343','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0025.','388800'),
(1219,'47442553','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0029.','636000'),
(1220,'47442716','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0040.','8353500'),
(1221,'47442852','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0040.','12530000'),
(1222,'47443096','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0016.5.2.02.05.01.0005.','10600000'),
(1223,'47443154','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0040.','16707000'),
(1224,'47443206','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0040.','427680000'),
(1225,'47444133','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.01.01.0024.','12000'),
(1226,'47444155','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.02.01.0055.','5000000'),
(1227,'47444198','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.01.01.0029.','106000'),
(1228,'47444288','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.01.01.0040.','74840000'),
(1229,'47444365','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.01.01.0052.','4700000'),
(1230,'47444379','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.02.08.0024.','180000000'),
(1231,'47444585','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0002.5.1.02.01.01.0024.','684600'),
(1232,'47444646','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0002.5.1.02.01.01.0025.','194400'),
(1233,'47444683','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0002.5.1.02.01.01.0029.','424000'),
(1234,'47444807','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0002.5.1.02.01.01.0052.','7050000'),
(1235,'47444844','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.03.01.0010.','10609000'),
(1236,'47445065','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.03.03.0017.','3500000'),
(1237,'47445079','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.01.01.0024.','377100'),
(1238,'47445136','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.01.01.0025.','388800'),
(1239,'47445144','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.05.01.0005.','21200000'),
(1240,'47445163','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.01.01.0029.','848000'),
(1241,'47445204','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.01.01.0058.','16920000'),
(1242,'47445239','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.06.01.0001.','7760200'),
(1243,'47445336','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.02.04.0003.','10800000'),
(1244,'47445346','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.06.01.0002.','13870900'),
(1245,'47445434','APBD','2024','Kab. Bondowoso','1.05.03.2.02.0017.5.2.02.10.02.0003.','2854300'),
(1246,'47445476','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0011.5.1.02.01.01.0024.','261000'),
(1247,'47445611','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0011.5.1.02.01.01.0025.','583200'),
(1248,'47445646','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0011.5.1.02.01.01.0029.','1060000'),
(1249,'47445732','APBD','2024','Kab. Bondowoso','1.05.03.2.03.0011.5.1.02.01.01.0052.','7050000'),
(1250,'47613058','APBD','2024','Kab. Bondowoso','1.05.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2268000'),
(1251,'47613059','APBD','2024','Kab. Bondowoso','1.05.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','435000'),
(1252,'47613561','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03472','827200'),
(1253,'47613787','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02243','300000'),
(1254,'47614529','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','716300'),
(1255,'47614530','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03646','912000'),
(1256,'47614531','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','876700'),
(1257,'47614532','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1275000'),
(1258,'47615442','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02318','459000'),
(1259,'47615443','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10721','489000'),
(1260,'47617067','APBD','2024','Kab. Bondowoso','1.05.01.2.07.0005.5.2.02.05.02.0001.1.3.0.20.50.20.001.02016','10600000'),
(1261,'47617747','APBD','2024','Kab. Bondowoso','1.05.01.2.07.0006.5.2.02.10.02.0005.1.3.0.21.00.20.005.00976','2120000'),
(1262,'47617748','APBD','2024','Kab. Bondowoso','1.05.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02711','10600000'),
(1263,'47617749','APBD','2024','Kab. Bondowoso','1.05.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.02506','31800000'),
(1264,'47620855','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00078','5000000'),
(1265,'47620856','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00026','150000000'),
(1266,'47620857','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05946','20000000'),
(1267,'47620858','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00410','5724000'),
(1268,'47622027','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','2000000'),
(1269,'47622466','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00247','35022000'),
(1270,'47622467','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.09953','267200'),
(1271,'36100562','APBD','','Kab. Bondowoso','1.05.03.2.04.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4000000'),
(1272,'36100563','APBD','','Kab. Bondowoso','1.05.03.2.04.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4100000'),
(1273,'36102130','APBD','','Kab. Bondowoso','1.05.03.2.04.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','3280000'),
(1274,'36102454','APBD','','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','10250000'),
(1275,'36102455','APBD','','Kab. Bondowoso','1.05.03.2.04.0013.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12960000'),
(1276,'36108132','APBD','','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','39360000'),
(1277,'36108134','APBD','','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','41000000'),
(1278,'36108135','APBD','','Kab. Bondowoso','1.05.03.2.03.0009.5.1.02.02.01.0019.8.1.0.20.20.10.019.00006','54000000'),
(1279,'36139983','APBD','','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.01.01.0004.','3828000'),
(1280,'36140915','APBD','','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.01.01.0004.','7177500'),
(1281,'36142724','APBD','','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.02.01.0003.','14400000'),
(1282,'36142880','APBD','','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.02.01.0029.','140000000'),
(1283,'36143033','APBD','','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.04.01.0004.','83200000'),
(1284,'36143040','APBD','','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.02.01.0003.','1800000'),
(1285,'36143203','APBD','','Kab. Bondowoso','1.05.03.2.02.0006.5.1.02.04.01.0005.','21705300'),
(1286,'36143318','APBD','','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.02.01.0029.','2500000'),
(1287,'36143423','APBD','','Kab. Bondowoso','1.05.03.2.02.0008.5.1.02.01.01.0004.','1116500'),
(1288,'36143680','APBD','','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.04.01.0004.','2880000'),
(1289,'36143789','APBD','','Kab. Bondowoso','1.05.03.2.01.0004.5.1.02.04.01.0005.','10793300'),
(1290,'36144414','APBD','','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.02.01.0029.','15000000'),
(1291,'36144428','APBD','','Kab. Bondowoso','1.05.03.2.02.0009.5.1.02.04.01.0005.','2400000'),
(1292,'36144557','APBD','','Kab. Bondowoso','1.05.03.2.02.0015.5.1.02.01.01.0024.','239400'),
(1293,'36144780','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0004.','3987500'),
(1294,'36145499','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.02.01.0003.','36000000'),
(1295,'36145569','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.02.01.0003','18000000'),
(1296,'36145665','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.01.01.0029.','30000000'),
(1297,'36145713','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.02.01.0029.','45000000'),
(1298,'36145741','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.04.01.0004.','24000000'),
(1299,'36145784','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.04.01.0004.','36000000'),
(1300,'36145829','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.04.01.0004.','19200000'),
(1301,'36145859','APBD','','Kab. Bondowoso','1.05.03.2.02.0016.5.1.02.04.01.0005.','73711300'),
(1302,'36146088','APBD','','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.02.01.0006.','18000000'),
(1303,'36146095','APBD','','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.01.01.0004.','5742000'),
(1304,'36146259','APBD','','Kab. Bondowoso','1.05.03.2.03.0001.5.1.02.04.01.0004.','7680000'),
(1305,'36146289','APBD','','Kab. Bondowoso','1.05.03.2.03.0002.5.1.02.01.01.0004.','3828000'),
(1306,'36146304','APBD','','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.04.01.0004.','8640000'),
(1307,'36146352','APBD','','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.04.01.0005.','7380000'),
(1308,'36146420','APBD','','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.01.01.0004.','12438000'),
(1309,'36146499','APBD','','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.02.01.0006.','18000000'),
(1310,'36146547','APBD','','Kab. Bondowoso','1.05.03.2.03.0003.5.1.02.04.01.0004.','10560000'),
(1311,'36146673','APBD','','Kab. Bondowoso','1.05.03.2.02.0017.5.1.02.01.01.0004.','5742000'),
(1312,'36218727','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','16000000'),
(1313,'36218728','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.001.00027','8100000'),
(1314,'36218728','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','41000000'),
(1315,'36218728','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','16050000'),
(1316,'36218728','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','10760000'),
(1317,'36219938','APBD','','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00014','15480000'),
(1318,'36219939','APBD','','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00011','10000000'),
(1319,'36219941','APBD','','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00028','30000000'),
(1320,'36220245','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0019.8.1.0.20.20.10.019.00003','126000000'),
(1321,'36220245','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0019.8.1.0.20.20.10.019.00004','234000000'),
(1322,'36220246','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00018','144000000'),
(1323,'36220247','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00007','18000000'),
(1324,'36220248','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00001','4896000'),
(1325,'47027908','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0024.','565000'),
(1326,'47028341','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0025.','3375000'),
(1327,'47028770','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0029.','1060000'),
(1328,'47029732','APBD','2024','Kab. Bondowoso','5.02.01.2.02.0005.5.1.02.01.01.0024.','1107800'),
(1329,'47030125','APBD','2024','Kab. Bondowoso','5.02.01.2.02.0005.5.1.02.01.01.0025.','2832200'),
(1330,'47030458','APBD','2024','Kab. Bondowoso','5.02.01.2.02.0005.5.1.02.01.01.0029.','1060000'),
(1331,'47036473','APBD','2024','Kab. Bondowoso','5.02.01.2.05.0002.5.1.02.01.01.0064.','20000000'),
(1332,'47037776','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0003.5.1.02.01.01.0030.','4500000'),
(1333,'47039317','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0004.5.1.02.01.01.0024.','5084700'),
(1334,'47039983','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0004.5.1.02.01.01.0025.','14200800'),
(1335,'47043598','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0004.5.1.02.01.01.0029.','6651500'),
(1336,'47045281','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0008.5.1.02.01.01.0052.','15000000'),
(1337,'47050163','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0002.5.2.02.02.01.0004.','56959400'),
(1338,'47051723','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0006.5.2.02.05.01.0005.','8904000'),
(1339,'47052118','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0006.5.2.02.10.01.0002.','13923400'),
(1340,'47269643','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0024.','50367500'),
(1341,'47284155','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0052.','13959000'),
(1342,'47284911','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0052.','14820000'),
(1343,'47285350','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0052.','61681000'),
(1344,'47285967','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0052.','30000000'),
(1345,'47293655','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0004.5.1.02.03.06.0005.','100000000'),
(1346,'47294624','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0005.5.1.02.01.01.0024.','5000000'),
(1347,'47295408','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0005.5.1.02.02.09.0011.','620000000'),
(1348,'47297812','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0007.5.1.02.01.01.0024.','946000'),
(1349,'47298401','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0007.5.1.02.01.01.0025.','324000'),
(1350,'47298848','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0007.5.1.02.01.01.0029.','530000'),
(1351,'47327229','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0008.5.1.02.01.01.0024.','16779000'),
(1352,'47327568','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0008.5.1.02.01.01.0025.','10546000'),
(1353,'47327760','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0008.5.1.02.01.01.0027.','1000000'),
(1354,'47329149','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0008.5.1.02.01.01.0029.','48175000'),
(1355,'47333730','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0009.5.1.02.01.01.0024.','5109300'),
(1356,'47334782','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0009.5.1.02.01.01.0024.','137843700'),
(1357,'47338803','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0009.5.1.02.01.01.0024.','12722700'),
(1358,'47339531','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0009.5.1.02.01.01.0025.','6498000'),
(1359,'47340479','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0009.5.1.02.01.01.0029.','58818900'),
(1360,'47345390','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.01.01.0024.','4551900'),
(1361,'47346001','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.01.01.0025.','2673500'),
(1362,'47346763','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.01.01.0029.','987300'),
(1363,'47352301','APBD','2024','Kab. Bondowoso','5.02.04.2.01.0014.5.1.02.01.01.0052.','22560000'),
(1364,'35994398','APBD','','Kab. Bondowoso','5.02.01.2.06.0009.5.1.02.04.01.0004.','6880000'),
(1365,'35995051','APBD','','Kab. Bondowoso','5.02.01.2.06.0009.5.1.02.04.01.0005.','118080000'),
(1366,'35995594','APBD','','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0060.','1800000'),
(1367,'35995716','APBD','','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0061.','60000000'),
(1368,'35996875','APBD','','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0063.','93240000'),
(1369,'35997381','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0026.','340400000'),
(1370,'35997712','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0030.','24000000'),
(1371,'35998075','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0031.','24000000'),
(1372,'35998173','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.02.0006.','2798400'),
(1373,'35999006','APBD','','Kab. Bondowoso','5.02.01.2.09.0001.5.1.02.01.01.0004.','121961500'),
(1374,'35999311','APBD','','Kab. Bondowoso','5.02.01.2.09.0001.5.1.02.01.01.0013.','14614000'),
(1375,'35999455','APBD','','Kab. Bondowoso','5.02.01.2.09.0002.5.1.02.01.01.0004.','160691100'),
(1376,'35999491','APBD','','Kab. Bondowoso','5.02.01.2.09.0002.5.1.02.02.01.0067.','16700000'),
(1377,'35999536','APBD','','Kab. Bondowoso','5.02.01.2.09.0006.5.1.02.02.01.0035.','5000000'),
(1378,'36083624','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.01.01.0039.','27300000'),
(1379,'36085579','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.01.0003.','3000000'),
(1380,'36085900','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.01.0003.','24000000'),
(1381,'36086242','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.01.0025.','1500000'),
(1382,'36086444','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.01.0031.','219000'),
(1383,'36086721','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.04.0043.','200000'),
(1384,'36086903','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.04.0118.','891000'),
(1385,'36087057','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.04.0132.','1500000'),
(1386,'36087273','APBD','','Kab. Bondowoso','5.02.04.2.01.0003.5.1.02.02.05.0001.','500000'),
(1387,'36089964','APBD','','Kab. Bondowoso','5.02.04.2.01.0007.5.1.02.04.01.0004.','13200000'),
(1388,'36107924','APBD','','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.02.01.0064.','1695750000'),
(1389,'36108274','APBD','','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.04.01.0004.','80200000'),
(1390,'36108559','APBD','','Kab. Bondowoso','5.02.04.2.01.0011.5.1.02.05.01.0002.','562500000'),
(1391,'36109238','APBD','','Kab. Bondowoso','5.02.04.2.01.0014.5.1.02.01.01.0004.','7640000'),
(1392,'36109652','APBD','','Kab. Bondowoso','5.02.04.2.01.0014.5.1.02.02.01.0003.','65700000'),
(1393,'36109852','APBD','','Kab. Bondowoso','5.02.04.2.01.0014.5.1.02.04.01.0005.','4100000'),
(1394,'47224879','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0024.','9406200'),
(1395,'47225678','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0025.','2217300'),
(1396,'47226709','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.01.01.0029.','4321500'),
(1397,'47230958','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0003.5.1.02.01.01.0024.','2000000'),
(1398,'47235130','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0004.5.1.02.01.01.0024.','2500000'),
(1399,'47236261','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0005.5.1.02.01.01.0024.','2500000'),
(1400,'47238054','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0006.5.1.02.01.01.0025.','1014300'),
(1401,'47240090','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0006.5.1.02.01.01.0029.','2996500'),
(1402,'47241168','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0006.5.1.02.01.01.0024.','419200'),
(1403,'47242491','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0007.5.1.02.01.01.0024.','1000000'),
(1404,'47244522','APBD','2024','Kab. Bondowoso','5.02.01.2.01.0002.5.1.02.01.01.0024.','2000000'),
(1405,'47263397','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0024.','49772600'),
(1406,'47263680','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0025.','1296000'),
(1407,'47264028','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0027.','150000'),
(1408,'47264445','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0029.','6349400'),
(1409,'47266943','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.02.09.0006.','16000000'),
(1410,'47270484','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.01.01.0024.','9506000'),
(1411,'47271226','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.01.01.0025.','2272800'),
(1412,'47271586','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.01.01.0029.','4886600'),
(1413,'47272012','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.01.01.0052.','23970000'),
(1414,'47272519','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.02.01.0039.','100000000'),
(1415,'47274335','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.02.09.0006.','100000000'),
(1416,'47275290','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0052.','10340000'),
(1417,'47276060','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.01.01.0024.','3563000'),
(1418,'47276462','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.01.01.0025.','1365600'),
(1419,'47277317','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.01.01.0029.','2544000'),
(1420,'47280002','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.01.01.0052.','17625000'),
(1421,'47280790','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.01.01.0024.','9574400'),
(1422,'47281119','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.01.01.0025.','2130000'),
(1423,'47281459','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.01.01.0027.','20300000'),
(1424,'47281872','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.01.01.0029.','10017000'),
(1425,'47282628','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.01.01.0052.','12690000'),
(1426,'47285960','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0024.','12709000'),
(1427,'47286424','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0025.','5832000'),
(1428,'47286836','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0027.','1000000'),
(1429,'47287241','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0029.','16138500'),
(1430,'47287605','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0052.','17625000'),
(1431,'47291439','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0011.5.1.02.01.01.0024.','2117100'),
(1432,'47292490','APBD','2024','Kab. Bondowoso','5.02.03.2.01.0011.5.1.02.01.01.0024.','2117100'),
(1433,'47298614','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.01.01.0024.','1327500'),
(1434,'47298971','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.01.01.0025.','6255000'),
(1435,'47299735','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.01.01.0029.','15908200'),
(1436,'47300156','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.01.01.0052.','26508000'),
(1437,'47301073','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0003.5.1.02.01.01.0024.','19200000'),
(1438,'47301922','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0003.5.1.02.01.01.0025.','2409000'),
(1439,'47302289','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0003.5.1.02.01.01.0029.','7954100'),
(1440,'47303301','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.01.01.0024.','5699000'),
(1441,'47303735','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.01.01.0025.','5677500'),
(1442,'47304300','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.01.01.0029.','19088200'),
(1443,'47305535','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.02.12.0003.','75000000'),
(1444,'47307256','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.01.01.0024.','104536300'),
(1445,'47307333','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.01.01.0025.','6989000'),
(1446,'47307412','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.01.01.0029.','15908200'),
(1447,'47307703','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0008.5.1.02.01.01.0024.','1083000'),
(1448,'47307813','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0008.5.1.02.01.01.0025.','3680800'),
(1449,'47307885','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0008.5.1.02.01.01.0029.','11134100'),
(1450,'47308088','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0009.5.1.02.01.01.0024.','13063500'),
(1451,'47308170','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0009.5.1.02.01.01.0025.','1713000'),
(1452,'47308225','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0009.5.1.02.01.01.0029.','9132100'),
(1453,'47308332','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0010.5.1.02.01.01.0024.','12922000'),
(1454,'47308444','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0010.5.1.02.01.01.0025.','2037000'),
(1455,'47308646','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0010.5.1.02.01.01.0029.','5716500'),
(1456,'47308976','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.01.01.0024.','264000'),
(1457,'47309047','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.01.01.0025.','1158000'),
(1458,'47309133','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.01.01.0029.','3180000'),
(1459,'47309204','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.01.01.0052.','20398000'),
(1460,'47309456','APBD','2024','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.02.12.0003.','94582700'),
(1461,'47456573','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0001.5.1.02.01.01.0029.','14310000'),
(1462,'47456597','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0001.5.1.02.01.01.0052.','8460000'),
(1463,'47456652','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0002.5.1.02.01.01.0029.','10313600'),
(1464,'47456824','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0002.5.1.02.01.01.0052.','8460000'),
(1465,'47456884','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.01.01.0004.','3458000'),
(1466,'47456893','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.01.01.0024.','68632300'),
(1467,'47456901','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.01.01.0052.','12690000'),
(1468,'47456924','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.01.01.0004.','3458000'),
(1469,'47456935','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.01.01.0025.','10200500'),
(1470,'47456942','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.01.01.0052.','8460000'),
(1471,'47457042','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.01.01.0004.','3472000'),
(1472,'47457051','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.01.01.0025.','11891100'),
(1473,'47457123','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.01.01.0052.','6204000'),
(1474,'47457132','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.01.01.0076.','20000000'),
(1475,'47457136','APBD','2024','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.02.01.0047.','200000000'),
(1476,'47457195','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0001.5.1.02.01.01.0027.','1000000'),
(1477,'47457220','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0001.5.1.02.01.01.0004.','3010000'),
(1478,'47457255','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0003.5.1.02.01.01.0025.','1620000'),
(1479,'47457293','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0005.5.1.02.01.01.0004.','2730000'),
(1480,'47457302','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0005.5.1.02.01.01.0027.','950000'),
(1481,'47457330','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0007.5.1.02.01.01.0004.','770000'),
(1482,'47457339','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0007.5.1.02.01.01.0024.','210000'),
(1483,'47457366','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0009.5.1.02.01.01.0024.','840000'),
(1484,'47457394','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0011.5.1.02.01.01.0025.','583200'),
(1485,'47457492','APBD','2024','Kab. Bondowoso','5.02.02.2.02.0011.5.1.02.01.01.0052.','14100000'),
(1486,'47463886','APBD','2024','Kab. Bondowoso','5.02.01.2.05.0003.5.1.02.01.01.0029.','142600'),
(1487,'47464881','APBD','2024','Kab. Bondowoso','5.02.01.2.05.0005.5.1.02.01.01.0024.','6000'),
(1488,'47465223','APBD','2024','Kab. Bondowoso','5.02.01.2.05.0005.5.1.02.01.01.0076.','12000000'),
(1489,'47465406','APBD','2024','Kab. Bondowoso','5.02.01.2.05.0005.5.1.02.02.01.0047.','200000000'),
(1490,'47465763','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0001.5.1.02.01.01.0031.','15000000'),
(1491,'47465955','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0003.5.1.02.01.01.0030.','10088900'),
(1492,'47466140','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0003.5.1.02.01.01.0037.','477000'),
(1493,'47466566','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0004.5.1.02.01.01.0024.','5111600'),
(1494,'47467191','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0005.5.1.02.01.01.0024.','12286800'),
(1495,'47467703','APBD','2024','Kab. Bondowoso','5.02.01.2.06.0008.5.1.02.01.01.0053.','21000000'),
(1496,'47468698','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0005.5.2.02.05.02.0001.','100000000'),
(1497,'47477445','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0006.5.2.02.05.02.0004.','20000000'),
(1498,'47478217','APBD','2024','Kab. Bondowoso','5.02.01.2.07.0006.5.2.02.10.01.0002.','57180000'),
(1499,'47478794','APBD','2024','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0059.','60000000'),
(1500,'47479067','APBD','2024','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0060.','1000000'),
(1501,'47479380','APBD','2024','Kab. Bondowoso','5.02.01.2.08.0002.5.1.02.02.01.0061.','144000000'),
(1502,'47482111','APBD','2024','Kab. Bondowoso','5.02.01.2.08.0003.5.1.02.02.01.0035.','20200000'),
(1503,'47482872','APBD','2024','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.01.01.0054.','7200000'),
(1504,'47484357','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0002.5.1.02.02.01.0035.','15000000'),
(1505,'47485550','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0006.5.1.02.01.01.0004.','195900000'),
(1506,'47485856','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0006.5.1.02.01.01.0013.','60000000'),
(1507,'47486622','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0009.5.1.02.03.03.0001.','150953800'),
(1508,'47486848','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0009.5.1.02.03.03.0001.','12691550'),
(1509,'47487112','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0009.5.1.02.03.03.0001.','8489050'),
(1510,'47487454','APBD','2024','Kab. Bondowoso','5.02.01.2.09.0009.5.1.02.03.03.0001.','2865600'),
(1511,'36064429','APBD','','Kab. Bondowoso','5.02.01.2.01.0001.5.1.02.02.01.0071.','26055000'),
(1512,'36068968','APBD','','Kab. Bondowoso','5.02.01.2.01.0006.5.1.02.02.01.0071.','11570000'),
(1513,'36077116','APBD','','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.01.01.0004.','3850000'),
(1514,'36077357','APBD','','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.02.01.0003.','3600000'),
(1515,'36077442','APBD','','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.02.01.0004.','12200000'),
(1516,'36077605','APBD','','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.02.01.0071.','24444000'),
(1517,'36077715','APBD','','Kab. Bondowoso','5.02.03.2.01.0001.5.1.02.04.01.0005.','36900000'),
(1518,'36080475','APBD','','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.01.01.0004.','1680000'),
(1519,'36080702','APBD','','Kab. Bondowoso','5.02.03.2.01.0005.5.1.02.04.01.0005.','41656000'),
(1520,'36082613','APBD','','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.01.01.0004.','4340000'),
(1521,'36082732','APBD','','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.02.01.0071.','85568000'),
(1522,'36082821','APBD','','Kab. Bondowoso','5.02.03.2.01.0006.5.1.02.04.01.0004.','19200000'),
(1523,'36084248','APBD','','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.02.01.0004.','66600000'),
(1524,'36084367','APBD','','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.02.01.0053.','65000000'),
(1525,'36084487','APBD','','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.02.01.0071.','62856000'),
(1526,'36084611','APBD','','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.04.01.0004.','49920000'),
(1527,'36084781','APBD','','Kab. Bondowoso','5.02.03.2.01.0007.5.1.02.04.01.0005.','17220000'),
(1528,'36085898','APBD','','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.01.01.0004.','3640000'),
(1529,'36086047','APBD','','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.02.01.0004.','11700000'),
(1530,'36086254','APBD','','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.02.01.0071.','54810000'),
(1531,'36086384','APBD','','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.04.01.0004.','11200000'),
(1532,'36086533','APBD','','Kab. Bondowoso','5.02.03.2.01.0010.5.1.02.04.01.0005.','28410000'),
(1533,'36087433','APBD','','Kab. Bondowoso','5.02.03.2.01.0011.5.1.02.02.01.0071.','185832000'),
(1534,'36090159','APBD','','Kab. Bondowoso','5.02.02.2.03.0002.5.1.02.02.01.0071.','90936000'),
(1535,'36090675','APBD','','Kab. Bondowoso','5.02.02.2.03.0003.5.1.02.02.01.0071.','40730000'),
(1536,'36091300','APBD','','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.01.01.0004.','5600000'),
(1537,'36091357','APBD','','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.02.01.0071.','135700000'),
(1538,'36091414','APBD','','Kab. Bondowoso','5.02.02.2.03.0004.5.1.02.04.01.0005.','16302000'),
(1539,'36091983','APBD','','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.01.01.0004.','5180000'),
(1540,'36092014','APBD','','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.02.01.0012.','216400000'),
(1541,'36092036','APBD','','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.02.01.0071.','97998000'),
(1542,'36092060','APBD','','Kab. Bondowoso','5.02.02.2.03.0005.5.1.02.04.01.0005.','20500000'),
(1543,'36092445','APBD','','Kab. Bondowoso','5.02.02.2.03.0010.5.1.02.01.01.0004.','4662000'),
(1544,'36092476','APBD','','Kab. Bondowoso','5.02.02.2.03.0010.5.1.02.04.01.0005.','34450000'),
(1545,'36092658','APBD','','Kab. Bondowoso','5.02.02.2.03.0011.5.1.02.04.01.0005.','34400000'),
(1546,'36152014','APBD','','Kab. Bondowoso','5.02.02.2.01.0001.5.1.02.02.01.0012.','108200000'),
(1547,'36152017','APBD','','Kab. Bondowoso','5.02.02.2.01.0001.5.1.02.02.01.0071.','113500000'),
(1548,'36152027','APBD','','Kab. Bondowoso','5.02.02.2.01.0002.5.1.02.02.01.0012.','162300000'),
(1549,'36152028','APBD','','Kab. Bondowoso','5.02.02.2.01.0002.5.1.02.02.01.0071.','108960000'),
(1550,'36152053','APBD','','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.02.01.0012.','108200000'),
(1551,'36152058','APBD','','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.02.01.0071.','136200000'),
(1552,'36152060','APBD','','Kab. Bondowoso','5.02.02.2.01.0007.5.1.02.04.01.0005.','16400000'),
(1553,'36152088','APBD','','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.02.01.0012.','54100000'),
(1554,'36152091','APBD','','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.02.01.0071.','117100000'),
(1555,'36152092','APBD','','Kab. Bondowoso','5.02.02.2.01.0008.5.1.02.04.01.0005.','30620000'),
(1556,'36152137','APBD','','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.02.01.0003.','7200000'),
(1557,'36152146','APBD','','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.02.01.0016.','600000'),
(1558,'36152150','APBD','','Kab. Bondowoso','5.02.02.2.01.0013.5.1.02.04.01.0005.','19940000'),
(1559,'36152181','APBD','','Kab. Bondowoso','5.02.02.2.02.0001.5.1.02.02.01.0071.','45150000'),
(1560,'36152183','APBD','','Kab. Bondowoso','5.02.02.2.02.0001.5.1.02.04.01.0005.','37988000'),
(1561,'36152193','APBD','','Kab. Bondowoso','5.02.02.2.02.0003.5.1.02.02.01.0071.','23900000'),
(1562,'36152212','APBD','','Kab. Bondowoso','5.02.02.2.02.0005.5.1.02.04.01.0005.','81182000'),
(1563,'36152229','APBD','','Kab. Bondowoso','5.02.02.2.02.0009.5.1.02.02.01.0071.','35060000'),
(1564,'36152233','APBD','','Kab. Bondowoso','5.02.02.2.02.0009.5.1.02.04.01.0005.','4100000'),
(1565,'36152290','APBD','','Kab. Bondowoso','5.02.02.2.02.0011.5.1.02.02.01.0003.','20400000'),
(1566,'36152292','APBD','','Kab. Bondowoso','5.02.02.2.02.0011.5.1.02.02.01.0071.','68165000'),
(1567,'36152295','APBD','','Kab. Bondowoso','5.02.02.2.04.0008.5.4.02.05.02.0004.','220049411000'),
(1568,'36152308','APBD','','Kab. Bondowoso','5.02.02.2.04.0008.5.4.02.05.02.0005.','95394090700'),
(1569,'36152327','APBD','','Kab. Bondowoso','5.02.02.2.04.0009.5.3.01.01.01.0001.','5500000000'),
(1570,'36152338','APBD','','Kab. Bondowoso','5.02.02.2.04.0010.5.4.01.01.03.0001.','4813455644'),
(1571,'36152340','APBD','','Kab. Bondowoso','5.02.02.2.04.0010.5.4.01.02.01.0001.','2618019885'),
(1572,'36154948','APBD','','Kab. Bondowoso','5.02.01.2.02.0003.5.1.02.02.01.0071.','3360000'),
(1573,'36155013','APBD','','Kab. Bondowoso','5.02.01.2.02.0005.5.1.02.02.01.0071.','4846000'),
(1574,'36155358','APBD','','Kab. Bondowoso','5.02.01.2.05.0003.5.1.02.02.01.0071.','1341000'),
(1575,'36155536','APBD','','Kab. Bondowoso','5.02.01.2.05.0005.5.1.02.02.01.0071.','1634000'),
(1576,'36155642','APBD','','Kab. Bondowoso','5.02.01.2.05.0005.5.1.02.04.01.0005.','118400000'),
(1577,'36156837','APBD','','Kab. Bondowoso','5.02.01.2.06.0009.5.1.02.04.01.0005.','60110000'),
(1578,'36162117','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0026.','255000000'),
(1579,'36162117','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0030.','27000000'),
(1580,'36162117','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.01.0031.','19200000'),
(1581,'36162373','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.02.0005.','15600000'),
(1582,'36162373','APBD','','Kab. Bondowoso','5.02.01.2.08.0004.5.1.02.02.02.0006.','2160000'),
(1583,'36162662','APBD','','Kab. Bondowoso','5.02.01.2.09.0002.5.1.02.02.01.0067.','17000000'),
(1584,'46463636','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.01.01.0024.','1814000'),
(1585,'46463926','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0024.','665000'),
(1586,'46464152','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.01.01.0025.','1233000'),
(1587,'46464740','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.01.01.0029.','746400'),
(1588,'46464796','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0025.','1849500'),
(1589,'46465234','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.01.01.0052.','9400000'),
(1590,'46465382','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0029.','746400'),
(1591,'46466390','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0052.','11750000'),
(1592,'46466752','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0004.5.1.02.01.01.0024.','2059100'),
(1593,'46467104','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0004.5.1.02.01.01.0025.','4117500'),
(1594,'46467997','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.01.01.0004.','3192000'),
(1595,'46468441','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0004.5.1.02.01.01.0029.','1306200'),
(1596,'46468585','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.01.01.0024.','1471000'),
(1597,'46468704','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0004.5.1.02.01.01.0052.','9400000'),
(1598,'46468963','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.01.01.0025.','681300'),
(1599,'46469351','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.01.01.0029.','559800'),
(1600,'46469797','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.01.01.0052.','5640000'),
(1601,'46471321','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0024.','16203800'),
(1602,'46471833','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0025.','1849500'),
(1603,'46472147','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0029.','746400'),
(1604,'46472371','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0052.','38750000'),
(1605,'46472478','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0004.','19950000'),
(1606,'46472586','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0064.','20000000'),
(1607,'46472754','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0075.','10500000'),
(1608,'46473033','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0024.','229401300'),
(1609,'46473341','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0025.','7398000'),
(1610,'46473602','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0029.','2239200'),
(1611,'46473913','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0052.','39950000'),
(1612,'46474404','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.01.01.0004.','2128000'),
(1613,'46474503','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.01.01.0024.','1062900'),
(1614,'46474775','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.01.01.0025.','616500'),
(1615,'46475528','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.01.01.0029.','186600'),
(1616,'46475659','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.01.01.0052.','2820000'),
(1617,'46486234','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0024.','16350900'),
(1618,'46487199','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.01.01.0024.','318000'),
(1619,'46488035','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.01.01.0024.','1227000'),
(1620,'46535875','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0004.','2100000'),
(1621,'46536252','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0024.','2147000'),
(1622,'46536594','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0025.','1557000'),
(1623,'46536880','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0029.','530000'),
(1624,'46537113','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0052.','7050000'),
(1625,'46548289','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0003.5.1.02.01.01.0024.','2628400'),
(1626,'46548525','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0003.5.1.02.01.01.0025.','3711600'),
(1627,'46548696','APBD','2024','Kab. Bondowoso','5.01.02.2.02.0003.5.1.02.01.01.0052.','7050000'),
(1628,'46579957','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.01.01.0024.','4179100'),
(1629,'46580060','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.01.01.0025.','4756500'),
(1630,'46580150','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.01.01.0052.','4700000'),
(1631,'46580706','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.01.01.0004.','6328000'),
(1632,'46581204','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0002.5.1.02.01.01.0004.','2282000'),
(1633,'46581544','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.01.01.0024.','5557400'),
(1634,'46581656','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.01.01.0025.','5256000'),
(1635,'46581821','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.01.01.0029.','1272000'),
(1636,'46581866','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0002.5.1.02.01.01.0024.','4060100'),
(1637,'46581951','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.04.01.0052.','37600000'),
(1638,'46581974','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0002.5.1.02.01.01.0025.','3276900'),
(1639,'46582427','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0002.5.1.02.01.01.0052.','4700000'),
(1640,'46586734','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0004.','4256000'),
(1641,'46587479','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0024.','15054900'),
(1642,'46588118','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0025.','923500'),
(1643,'46588397','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0029.','1209600'),
(1644,'46588693','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0035.','7950000'),
(1645,'46589221','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.01.01.0052.','20550000'),
(1646,'46590879','APBD','2024','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.02.04.0043.','4750000'),
(1647,'46590903','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0024.','2400800'),
(1648,'46591284','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','475200'),
(1649,'46591466','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0025.','1839700'),
(1650,'46591680','APBD','2024','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.01.01.0004.','3059000'),
(1651,'46591859','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0052.','3525000'),
(1652,'46592119','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0004.5.1.02.01.01.0024.','8616700'),
(1653,'46592335','APBD','2024','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.01.01.0025.','489300'),
(1654,'46592603','APBD','2024','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.01.01.0052.','12375000'),
(1655,'46597904','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0004.','3896200'),
(1656,'46600836','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0029.','424000'),
(1657,'46602274','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','2030800'),
(1658,'46602998','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','475200'),
(1659,'46603941','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','684900'),
(1660,'46604235','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0029.','212000'),
(1661,'46604758','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','1538100'),
(1662,'46605202','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','475200'),
(1663,'46605333','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0004.','1795500'),
(1664,'46605485','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0025.','620100'),
(1665,'46605659','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0029.','424000'),
(1666,'46606993','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0004.','4596000'),
(1667,'46607326','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','745000'),
(1668,'46607543','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0024.','2691600'),
(1669,'46607814','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0025.','1318900'),
(1670,'46608239','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.01.01.0026.','874500'),
(1671,'46608383','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0029.','424000'),
(1672,'46609136','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0052.','14100000'),
(1673,'46610696','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0006.5.1.02.01.01.0052.','3760000'),
(1674,'46611024','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.01.01.0052.','3760000'),
(1675,'46623796','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0004., ,','3850000'),
(1676,'46623832','APBD','2024','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.01.01.0004.','3059000'),
(1677,'46623892','APBD','2024','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.01.01.0024.','8616700'),
(1678,'46623931','APBD','2024','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.01.01.0025.','489300'),
(1679,'46624289','APBD','2024','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.01.01.0052.','12375000'),
(1680,'46624330','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0024.','4324500'),
(1681,'46624356','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0024.','80870000'),
(1682,'46624386','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0024.','4752000'),
(1683,'46625828','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.01.01.0004.','3990000'),
(1684,'46625852','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.01.01.0024.','7059000'),
(1685,'46625874','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.01.01.0029.','4941000'),
(1686,'46625907','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.01.01.0052.','20550000'),
(1687,'46637404','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0025.','3683500'),
(1688,'46637451','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.01.01.0052.','16920000'),
(1689,'46646745','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.01.01.0004.','1678600'),
(1690,'46646851','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.01.01.0024.','6744600'),
(1691,'46646889','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.01.01.0025.','7562800'),
(1692,'46646906','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.01.01.0029.','2544000'),
(1693,'46646940','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.01.01.0052.','2350000'),
(1694,'46647060','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0002.5.1.02.01.01.0024.','2710800'),
(1695,'46647092','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0002.5.1.02.01.01.0029.','2239200'),
(1696,'46647145','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0002.5.1.02.01.01.0052.','7050000'),
(1697,'46647216','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0003.5.1.02.01.01.0004.','2695000'),
(1698,'46647242','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0003.5.1.02.01.01.0024.','780000'),
(1699,'46647727','APBD','2024','Kab. Bondowoso','5.01.03.2.02.0003.5.1.02.01.01.0052.','3525000'),
(1700,'46655241','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0003.5.1.02.01.01.0024.','580800'),
(1701,'46655383','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0003.5.1.02.01.01.0029.','818200'),
(1702,'46655503','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0003.5.1.02.01.01.0025.','2236500'),
(1703,'46656076','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0005.5.1.02.01.01.0024.','455100'),
(1704,'46656167','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0005.5.1.02.01.01.0025.','1296000'),
(1705,'46656594','APBD','2024','Kab. Bondowoso','5.01.01.2.02.0003.5.1.02.01.01.0024.','504200'),
(1706,'46656713','APBD','2024','Kab. Bondowoso','5.01.01.2.03.0005.5.1.02.01.01.0025.','1429600'),
(1707,'46656758','APBD','2024','Kab. Bondowoso','5.01.01.2.03.0005.5.1.02.01.01.0029.','746400'),
(1708,'46664060','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.01.01.0004.','2261000'),
(1709,'46664097','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.01.01.0024.','1324600'),
(1710,'46664136','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.01.01.0025.','369400'),
(1711,'46664325','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.01.01.0039.','2000000'),
(1712,'46664348','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.01.01.0052.','7375000'),
(1713,'46665742','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.01.0025.','50000000'),
(1714,'46665773','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.01.0046.','15000000'),
(1715,'46665807','APBD','2024','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.04.0043.','4250000'),
(1716,'46666775','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0004.','5012000'),
(1717,'46667051','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0024.','807300'),
(1718,'46676081','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0004.','4140000'),
(1719,'46676088','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','1395100'),
(1720,'46676090','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','577500'),
(1721,'46676093','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','1067000'),
(1722,'46676096','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0025.','2349000'),
(1723,'46676099','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0029.','2282400'),
(1724,'46676101','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0052.','7990000'),
(1725,'46676114','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','751800'),
(1726,'46676117','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','631500'),
(1727,'46676120','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','1924000'),
(1728,'46676122','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0025.','1677200'),
(1729,'46676123','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0024.','973500'),
(1730,'46676124','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0024.','115200'),
(1731,'46676130','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0029.','1075500'),
(1732,'46676131','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0025.','2038600'),
(1733,'46676133','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0052.','3055000'),
(1734,'46676134','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0029.','2105400'),
(1735,'46676135','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.01.01.0052.','14100000'),
(1736,'46676145','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','658200'),
(1737,'46676148','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','608100'),
(1738,'46676150','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0024.','576000'),
(1739,'46676158','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0025.','1988600'),
(1740,'46676160','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0029.','1512600'),
(1741,'46676166','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0052.','2820000'),
(1742,'46676183','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.01.01.0024.','1051100'),
(1743,'46676184','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.01.01.0004.','2774500'),
(1744,'46676187','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.01.01.0024.','837000'),
(1745,'46676191','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.01.01.0024.','230400'),
(1746,'46676192','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0004.','11050000'),
(1747,'46676194','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0024.','1310400'),
(1748,'46676199','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0024.','1861800'),
(1749,'46676200','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.01.01.0025.','599500'),
(1750,'46676203','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0024.','3201000'),
(1751,'46676207','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0025.','4415100'),
(1752,'46676208','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.01.01.0052.','7050000'),
(1753,'46676217','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0004.','3233500'),
(1754,'46676219','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0029.','4279700'),
(1755,'46676230','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.01.01.0052.','22090000'),
(1756,'46676231','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0024.','440200'),
(1757,'46676261','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0024.','706200'),
(1758,'46676290','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0024.','230400'),
(1759,'46676294','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0025.','2408000'),
(1760,'46676299','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0029.','1253700'),
(1761,'46676315','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.01.01.0052.','1880000'),
(1762,'46676396','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0004.','8055000'),
(1763,'46676398','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0024.','951900'),
(1764,'46676407','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0024.','2374800'),
(1765,'46676410','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0024.','832200'),
(1766,'46676412','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0025.','4041200'),
(1767,'46676449','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0029.','3000900'),
(1768,'46676459','APBD','2024','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.01.01.0052.','15510000'),
(1769,'46682633','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.01.01.0004.','1330000'),
(1770,'46682862','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0004.','10190100'),
(1771,'46683348','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.01.01.0024.','2333800'),
(1772,'46683556','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0024.','37280700'),
(1773,'46683745','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.01.01.0025.','3541900'),
(1774,'46683870','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0025.','2398000'),
(1775,'46684197','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.01.01.0029.','2498800'),
(1776,'46684426','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0029.','3946200'),
(1777,'46684527','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.01.01.0052.','2350000'),
(1778,'46684532','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0005.5.1.02.01.01.0024.','1452000'),
(1779,'46684724','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0052.','47000000'),
(1780,'46684858','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0005.5.1.02.01.01.0025.','599500'),
(1781,'46685114','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0005.5.1.02.01.01.0029.','415600'),
(1782,'46685781','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0004.','2988000'),
(1783,'46686174','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0006.5.1.02.01.01.0024.','1019000'),
(1784,'46686302','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0006.5.1.02.01.01.0025.','599500'),
(1785,'46686303','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0024.','1132500'),
(1786,'46686389','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0002.5.1.02.01.01.0024.','1195000'),
(1787,'46686497','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0006.5.1.02.01.01.0029.','3692000'),
(1788,'46686542','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0025.','599500'),
(1789,'46686730','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0002.5.1.02.01.01.0025.','719400'),
(1790,'46686773','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.01.01.0004.','665000'),
(1791,'46686809','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0052.','3760000'),
(1792,'46687406','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.01.01.0024.','1495100'),
(1793,'46687762','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0024.','842300'),
(1794,'46688016','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.01.01.0025.','599500'),
(1795,'46688213','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0025.','1199000'),
(1796,'46688576','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0029.','2683700'),
(1797,'46688634','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0002.5.1.02.01.01.0029.','2234800'),
(1798,'46688819','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.01.01.0029.','511000'),
(1799,'46688974','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0052.','15275000'),
(1800,'46689466','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.01.01.0052.','2350000'),
(1801,'46689467','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0003.5.1.02.01.01.0024.','1298200'),
(1802,'46689858','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0003.5.1.02.01.01.0025.','719400'),
(1803,'46690040','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0003.5.1.02.01.01.0029.','511000'),
(1804,'46690430','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0004.5.1.02.01.01.0024.','1358000'),
(1805,'46690448','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0004.','4902000'),
(1806,'46690666','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0004.5.1.02.01.01.0025.','599500'),
(1807,'46690784','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0024.','962800'),
(1808,'46690857','APBD','2024','Kab. Bondowoso','5.01.01.2.01.0004.5.1.02.01.01.0029.','2078000'),
(1809,'46691057','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0025.','1199000'),
(1810,'46691665','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0029.','1421200'),
(1811,'46691995','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.01.01.0052.','8225000'),
(1812,'46692426','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0002.5.1.02.01.01.0025.','2043900'),
(1813,'46692836','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0002.5.1.02.01.01.0029.','816400'),
(1814,'46694187','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0002.5.1.02.01.01.0052.','3760000'),
(1815,'46694480','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.01.01.0004.','4809000'),
(1816,'46695217','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.01.01.0024.','3002800'),
(1817,'46695799','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.01.01.0004.','4342000'),
(1818,'46696821','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.01.01.0025.','3699000'),
(1819,'46696886','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.01.01.0004.','4655000'),
(1820,'46697182','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.01.01.0024.','500700'),
(1821,'46697218','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.01.01.0029.','2419200'),
(1822,'46697770','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.01.01.0024.','4832100'),
(1823,'46697834','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.01.01.0025.','839300'),
(1824,'46698054','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.01.01.0052.','9870000'),
(1825,'46698127','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.01.01.0029.','511000'),
(1826,'46698639','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.01.01.0025.','4023000'),
(1827,'46698758','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.01.01.0052.','4700000'),
(1828,'46698863','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.01.01.0004.','2708000'),
(1829,'46699033','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.01.01.0029.','1574900'),
(1830,'46699279','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0004.','3040000'),
(1831,'46699587','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.01.01.0024.','3251300'),
(1832,'46699972','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0024.','20829400'),
(1833,'46700048','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.02.01.0047.','199500000'),
(1834,'46704623','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0025.','10092000'),
(1835,'46705480','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0026.','3021000'),
(1836,'46705544','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0029.','1563600'),
(1837,'46705650','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.01.01.0052.','21150000'),
(1838,'46706767','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.01.01.0004.','1824000'),
(1839,'46707008','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.01.01.0024.','13648600'),
(1840,'46707119','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.01.01.0025.','4415400'),
(1841,'46707251','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.01.01.0026.','1272000'),
(1842,'46707421','APBD','2024','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.01.01.0052.','7050000'),
(1843,'46708674','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.01.01.0052.','18800000'),
(1844,'46733655','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.01.01.0025.','1356300'),
(1845,'46733958','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.01.01.0029.','1814400'),
(1846,'46734195','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.01.01.0052.','9870000'),
(1847,'46802294','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0008.5.1.02.01.01.0032.','3180000'),
(1848,'46803064','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0007.5.1.02.01.01.0001.','466400'),
(1849,'46803751','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0007.5.1.02.01.01.0002.','1225000'),
(1850,'46804223','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0007.5.1.02.01.01.0008.','689000'),
(1851,'46804442','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0007.5.2.02.04.01.0002.','90000'),
(1852,'46804744','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0007.5.2.02.05.02.0001.','2529100'),
(1853,'46807830','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0004.5.1.02.01.01.0024.','9151200'),
(1854,'46808980','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0004.5.1.02.01.01.0025.','33761000'),
(1855,'46809598','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0004.5.1.02.01.01.0029.','6679600'),
(1856,'46810078','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0004.5.1.02.01.01.0052.','33840000'),
(1857,'46811162','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0005.5.1.02.01.01.0024.','6278100'),
(1858,'46811690','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0005.5.1.02.01.01.0025.','2820000'),
(1859,'46817947','APBD','2024','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.02.0005.','39000000'),
(1860,'46818259','APBD','2024','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.02.0006.','3293160'),
(1861,'46818907','APBD','2024','Kab. Bondowoso','5.01.01.2.08.0002.5.1.02.02.01.0059.','1200000'),
(1862,'46819349','APBD','2024','Kab. Bondowoso','5.01.01.2.08.0002.5.1.02.02.01.0061.','97589115'),
(1863,'46819821','APBD','2024','Kab. Bondowoso','5.01.01.2.08.0002.5.1.02.02.01.0063.','30100000'),
(1864,'46820741','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0001.5.1.02.01.01.0004.','63816400'),
(1865,'46821157','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0001.5.1.02.02.01.0035.','50600000'),
(1866,'46821551','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0001.5.1.02.02.01.0067.','3200000'),
(1867,'46828959','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0002.5.1.02.01.01.0004.','60752000'),
(1868,'46894714','APBD','2024','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.01.01.0004.','2527000'),
(1869,'46998812','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0001.5.1.02.01.01.0031.','19000000'),
(1870,'47000244','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0003.5.1.02.01.01.0001.','795000'),
(1871,'47002716','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0003.5.1.02.01.01.0030.','13000000'),
(1872,'47003160','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0003.5.2.02.05.02.0004.','5300000'),
(1873,'47008448','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0005.5.2.02.05.01.0004.','105000000'),
(1874,'47009342','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0005.5.2.02.05.02.0001.','2650000'),
(1875,'47010044','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0005.5.2.02.05.03.0004.','33390000'),
(1876,'47010143','APBD','2024','Kab. Bondowoso','5.01.01.2.06.0005.5.1.02.01.01.0024.','5945100'),
(1877,'47010562','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0005.5.2.02.07.01.0001.','9475300'),
(1878,'47011717','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.05.01.0005.','7526000'),
(1879,'47014298','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.05.02.0004.','21200000'),
(1880,'47015051','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.05.02.0006.','27894000'),
(1881,'47016136','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.10.01.0002.','111300000'),
(1882,'47020891','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0006.5.1.02.02.01.0004.','850000'),
(1883,'47021636','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0006.5.1.02.02.01.0035.','12250000'),
(1884,'47022777','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0006.5.1.02.03.02.0409.','10000000'),
(1885,'47024282','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.10.01.0002.','31800000'),
(1886,'47024674','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0002.5.1.02.02.01.0035.','176300000'),
(1887,'47025036','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0002.5.1.02.02.01.0067.','24900000'),
(1888,'47058770','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.10.02.0003.','10600000'),
(1889,'47059113','APBD','2024','Kab. Bondowoso','5.01.01.2.07.0006.5.2.02.10.02.0003.','22260000'),
(1890,'47060641','APBD','2024','Kab. Bondowoso','5.01.01.2.09.0009.5.1.02.03.03.0001.','149804800'),
(1891,'47167279','APBD','2024','Kab. Bondowoso','5.01.03.2.01.0002.5.1.02.01.01.0024.','1339700'),
(1892,'47348857','APBD','2024','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.01.01.0004.','4522000'),
(1893,'47366631','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0003.5.1.02.01.01.0024.','1406900'),
(1894,'47369871','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0003.5.1.02.01.01.0025.','4397100'),
(1895,'47497754','APBD','2024','Kab. Bondowoso','5.01.01.2.05.0003.5.1.02.01.01.0029.','1696000'),
(1896,'35747122','APBD','','Kab. Bondowoso','5.01.02.2.01.0004.5.1.02.02.01.0003.','11500000'),
(1897,'35747423','APBD','','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.02.01.0003.','45200000'),
(1898,'35747524','APBD','','Kab. Bondowoso','5.01.02.2.01.0003.5.1.02.02.01.0071.','14626000'),
(1899,'35747726','APBD','','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.02.01.0003.','135200000'),
(1900,'35747955','APBD','','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.02.01.0029.','75600000'),
(1901,'35748052','APBD','','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.02.01.0071.','21444000'),
(1902,'35748170','APBD','','Kab. Bondowoso','5.01.02.2.01.0001.5.1.02.04.01.0005.','10785000'),
(1903,'35748291','APBD','','Kab. Bondowoso','5.01.02.2.01.0002.5.1.02.04.01.0005.','10265000'),
(1904,'35749156','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.02.01.0003.','47800000'),
(1905,'35749317','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.02.01.0025.','6000000'),
(1906,'35749376','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.02.01.0030.','2100000'),
(1907,'35749414','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.02.01.0031.','2800000'),
(1908,'35749596','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.02.01.0071.','18026000'),
(1909,'35749685','APBD','','Kab. Bondowoso','5.01.02.2.01.0005.5.1.02.04.01.0004.','3400000'),
(1910,'35749762','APBD','','Kab. Bondowoso','5.01.02.2.01.0006.5.1.02.04.01.0004.','14720000'),
(1911,'35749772','APBD','','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.02.01.0003.','229200000'),
(1912,'35749913','APBD','','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.02.01.0004.','189300000'),
(1913,'35750019','APBD','','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.02.01.0029.','140400000'),
(1914,'35750092','APBD','','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.02.01.0071.','83415000'),
(1915,'35750163','APBD','','Kab. Bondowoso','5.01.02.2.01.0007.5.1.02.04.01.0005.','354427000'),
(1916,'35779398','APBD','','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.01.01.0003.','40500000'),
(1917,'35779514','APBD','','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.02.01.0071.','9966000'),
(1918,'35779568','APBD','','Kab. Bondowoso','5.01.02.2.02.0001.5.1.02.04.01.0005.','6150000'),
(1919,'35783306','APBD','','Kab. Bondowoso','5.01.02.2.02.0003.5.1.02.02.01.0071.','16610000'),
(1920,'35797622','APBD','','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.02.01.0071.','71810000'),
(1921,'35797646','APBD','','Kab. Bondowoso','5.01.02.2.04.0001.5.1.02.04.01.0005.','15580000'),
(1922,'35798626','APBD','','Kab. Bondowoso','5.01.02.2.04.0003.5.1.02.04.01.0005.','46740000'),
(1923,'35798913','APBD','','Kab. Bondowoso','5.01.02.2.04.0002.5.1.02.04.01.0005.','7380000'),
(1924,'35801670','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.02.01.0003.','5000000'),
(1925,'35801806','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.02.01.0008.','10000000'),
(1926,'35801862','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.02.01.0029.','20000000'),
(1927,'35801941','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.02.01.0071.','9436000'),
(1928,'35802021','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.04.01.0004.','4960000'),
(1929,'35802109','APBD','','Kab. Bondowoso','5.05.02.2.01.0012.5.1.02.04.01.0005.','20910000'),
(1930,'35802759','APBD','','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.02.09.0014.','54000000'),
(1931,'35802818','APBD','','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.04.01.0005.','10250000'),
(1932,'35803041','APBD','','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.02.01.0003.','10000000'),
(1933,'35803130','APBD','','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.02.01.0029.','100000000'),
(1934,'35803194','APBD','','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.04.01.0004.','4800000'),
(1935,'35803271','APBD','','Kab. Bondowoso','5.05.02.2.02.0004.5.1.02.04.01.0005.','10660000'),
(1936,'35806287','APBD','','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.02.01.0071.','7080000'),
(1937,'35806369','APBD','','Kab. Bondowoso','5.01.03.2.02.0005.5.1.02.02.01.0071.','1776000'),
(1938,'35808057','APBD','','Kab. Bondowoso','5.01.03.2.02.0007.5.1.02.04.01.0004.','3200000'),
(1939,'35809246','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.02.01.0003.','43200000'),
(1940,'35809274','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.02.01.0006.','117600000'),
(1941,'35809378','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.02.01.0029.','18000000'),
(1942,'35809429','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.02.04.0036.','8400000'),
(1943,'35809458','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.04.01.0004.','3200000'),
(1944,'35809563','APBD','','Kab. Bondowoso','5.01.03.2.02.0008.5.1.02.04.01.0005.','34850000'),
(1945,'35814738','APBD','','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.02.01.0003.','10000000'),
(1946,'35814743','APBD','','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.02.01.0029.','100000000'),
(1947,'35814793','APBD','','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.04.01.0004.','4800000'),
(1948,'35814985','APBD','','Kab. Bondowoso','5.05.02.2.03.0001.5.1.02.04.01.0005.','10660000'),
(1949,'35815245','APBD','','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.04.01.0005.','20500000'),
(1950,'35815249','APBD','','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.04.01.0004.','8960000'),
(1951,'35815251','APBD','','Kab. Bondowoso','5.05.02.2.04.0001.5.1.02.02.01.0029.','84000000'),
(1952,'35815260','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.04.01.0005.','16400000'),
(1953,'35815269','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.04.01.0004.','3520000'),
(1954,'35815286','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.05.01.0001.','15000000'),
(1955,'35815293','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.01.0037.','8000000'),
(1956,'35815305','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.01.0029.','17500000'),
(1957,'35815310','APBD','','Kab. Bondowoso','5.05.02.2.04.0003.5.1.02.02.01.0003.','7000000'),
(1958,'35819661','APBD','','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.04.01.0005.','65600000'),
(1959,'35823780','APBD','','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.02.01.0071.','14760000'),
(1960,'35823792','APBD','','Kab. Bondowoso','5.01.03.2.02.0001.5.1.02.04.01.0005.','39360000'),
(1961,'35824184','APBD','','Kab. Bondowoso','5.01.03.2.02.0003.5.1.02.04.01.0004.','8000000'),
(1962,'35830266','APBD','','Kab. Bondowoso','5.01.01.2.02.0003.5.1.02.02.01.0071.','10520000'),
(1963,'35830289','APBD','','Kab. Bondowoso','5.01.01.2.02.0005.5.1.02.02.01.0071.','7700000'),
(1964,'35830297','APBD','','Kab. Bondowoso','5.01.01.2.02.0005.5.1.02.02.01.0071.','10520000'),
(1965,'35835250','APBD','','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.02.01.0071.','13080000'),
(1966,'35835251','APBD','','Kab. Bondowoso','5.01.03.2.03.0005.5.1.02.04.01.0005.','21768000'),
(1967,'35835293','APBD','','Kab. Bondowoso','5.01.03.2.03.0006.5.1.02.02.01.0071.','5232000'),
(1968,'35835300','APBD','','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.02.01.0071.','10593000'),
(1969,'35835302','APBD','','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.04.01.0005.','29606000'),
(1970,'35835303','APBD','','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.02.01.0071.','5885000'),
(1971,'35835305','APBD','','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.02.01.0071.','7062000'),
(1972,'35835306','APBD','','Kab. Bondowoso','5.01.03.2.03.0003.5.1.02.04.01.0004','12000000'),
(1973,'35835308','APBD','','Kab. Bondowoso','5.01.03.2.03.0001.5.1.02.02.01.0071.','18832000'),
(1974,'35835311','APBD','','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.02.08.0032.','48000000'),
(1975,'35835312','APBD','','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.02.01.0071.','7848000'),
(1976,'35835313','APBD','','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.04.01.0004.','4800000'),
(1977,'35835314','APBD','','Kab. Bondowoso','5.01.03.2.03.0007.5.1.02.04.01.0004.','12000000'),
(1978,'35835315','APBD','','Kab. Bondowoso','5.01.03.2.03.0004.5.1.02.04.01.0005.','80160000'),
(1979,'35835421','APBD','','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.02.01.0003.','1500000'),
(1980,'35835424','APBD','','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.02.01.0071.','19620000'),
(1981,'35835425','APBD','','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.02.08.0015.','96000000'),
(1982,'35835426','APBD','','Kab. Bondowoso','5.01.03.2.03.0008.5.1.02.04.01.0005.','48114000'),
(1983,'35838751','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.02.09.0014.','243000000'),
(1984,'35839891','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.02.01.0071.','70785000'),
(1985,'35840793','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.04.01.0004.','11520000'),
(1986,'35841109','APBD','','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.02.01.0071.','8035000'),
(1987,'35841174','APBD','','Kab. Bondowoso','5.01.01.2.01.0001.5.1.02.04.01.0005.','15772000'),
(1988,'35842851','APBD','','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.02.01.0071.','8035000'),
(1989,'35842941','APBD','','Kab. Bondowoso','5.01.01.2.01.0007.5.1.02.04.01.0005.','11992000'),
(1990,'35843369','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.02.01.0071.','20240000'),
(1991,'35843418','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.04.01.0005.','38050000'),
(1992,'35843719','APBD','','Kab. Bondowoso','5.01.03.2.01.0002.5.1.02.02.01.0071.','12040000'),
(1993,'35843861','APBD','','Kab. Bondowoso','5.01.03.2.01.0003.5.1.02.04.01.0004.','27200000'),
(1994,'35845200','APBD','','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.02.01.0003.','1800000'),
(1995,'35845455','APBD','','Kab. Bondowoso','5.01.01.2.05.0011.5.1.02.04.01.0005.','87494000'),
(1996,'35847961','APBD','','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.02.01.0071.','27504000'),
(1997,'35847995','APBD','','Kab. Bondowoso','5.01.02.2.03.0001.5.1.02.04.01.0005.','47800000'),
(1998,'35848552','APBD','','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.02.01.0071.','17190000'),
(1999,'35848585','APBD','','Kab. Bondowoso','5.01.02.2.03.0003.5.1.02.04.01.0004.','9600000'),
(2000,'35848973','APBD','','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.02.01.0071.','33140000'),
(2001,'35849174','APBD','','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.02.09.0014.','81000000'),
(2002,'35849264','APBD','','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.04.01.0004.','1600000'),
(2003,'35849383','APBD','','Kab. Bondowoso','5.01.03.2.01.0004.5.1.02.04.01.0005.','20688000'),
(2004,'35858432','APBD','','Kab. Bondowoso','5.01.03.2.01.0001.5.1.02.02.01.0071.','40760000'),
(2005,'35858580','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.5.0.10.32.01.0001.','18240000'),
(2006,'35891672','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0026.','168000000'),
(2007,'35891835','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0030.','72000000'),
(2008,'35891974','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0031.','36000000'),
(2009,'35892087','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0033.','36000000'),
(2010,'35892394','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0039.','27000000'),
(2011,'35892554','APBD','','Kab. Bondowoso','5.01.01.2.08.0004.5.1.02.02.01.0046.','24000000'),
(2012,'35972867','APBD','','Kab. Bondowoso','5.01.01.2.06.0009.5.1.02.04.01.0005.','189640000'),
(2013,'36098856','APBD','','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.02.01.0003.','8000000'),
(2014,'36098917','APBD','','Kab. Bondowoso','5.01.03.2.02.0004.5.1.02.04.01.0004.','8000000'),
(2015,'36101504','APBD','','Kab. Bondowoso','5.01.01.2.06.0009.5.1.02.04.01.0001.','25350000'),
(2016,'36222020','APBD','','Kab. Bondowoso','5.01.03.2.01.0008.5.1.02.04.01.0005.','85400000'),
(2017,'46873615','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.01.01.0004.','23800000'),
(2018,'46875358','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.01.01.0024.','4225800'),
(2019,'46876063','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.01.01.0025.','1350300'),
(2020,'46878034','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.01.01.0029.','1043900'),
(2021,'46878374','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.01.01.0052.','42300000'),
(2022,'46879192','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.01.01.0004.','18676000'),
(2023,'46879654','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.01.01.0024.','4123100'),
(2024,'46881118','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.01.01.0025.','1098700'),
(2025,'46881809','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.01.01.0029.','1222200'),
(2026,'46882103','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.01.01.0052.','28670000'),
(2027,'46883209','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.01.01.0004.','38220000'),
(2028,'46883912','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.01.01.0024.','55633800'),
(2029,'46884291','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.01.01.0025.','605800'),
(2030,'46884609','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.01.01.0029.','376400'),
(2031,'46888270','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0005.1.0.20.10.10.0052.','59972000'),
(2032,'47022051','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0001.5.1.02.04.01.0005.','53380000'),
(2033,'47034052','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.04.01.0005.','124922000'),
(2034,'47098307','APBD','2024','Kab. Bondowoso','4.01.02.2.03.0002.5.1.02.04.01.0005.','157610000'),
(2035,'35983846','APBD','','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.02.12.0003.','75000000'),
(2036,'35985262','APBD','','Kab. Bondowoso','4.01.02.2.03.0003.5.1.02.05.01.0001.','3250000'),
(2037,'47073578','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0004.','47963200'),
(2038,'47073903','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0013.','6948700'),
(2039,'47074847','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0024.','45642300'),
(2040,'47074924','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0025.','9483500'),
(2041,'47074995','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0027.','2000000'),
(2042,'47075057','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0029.','6094500'),
(2043,'47075408','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0039.','210200000'),
(2044,'47075577','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0040.','199500000'),
(2045,'47273714','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0075.','25000000'),
(2046,'47277389','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.04.0022.','10000000'),
(2047,'47278414','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.04.0043.','510000000'),
(2048,'47278969','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.04.0117.','193000000'),
(2049,'47279599','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.04.0118.','47425000'),
(2050,'47280222','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.04.0132.','110500000'),
(2051,'49259852','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0052.','12260000'),
(2052,'49413214','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0052.','6650000'),
(2053,'49964663','APBD','2024','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.01.01.0052.','818130000'),
(2054,'36081163','APBD','','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.01.0003.','163500000'),
(2055,'36081891','APBD','','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.01.0004.','132800000'),
(2056,'36082172','APBD','','Kab. Bondowoso','4.01.02.2.02.0001.5.1.02.02.01.0007.','72900000'),
(2057,'46947636','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.01.01.0004.','19845000'),
(2058,'46947831','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.01.01.0024.','32788400'),
(2059,'46947983','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.01.01.0025.','2332800'),
(2060,'46948069','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.01.01.0029.','4033800'),
(2061,'46948183','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.01.01.0052.','78740000'),
(2062,'46948921','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.01.01.0004.','5978000'),
(2063,'46948992','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.01.01.0024.','9276200'),
(2064,'46949066','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.01.01.0025.','388800'),
(2065,'46949107','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.01.01.0029.','265000'),
(2066,'46949151','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.01.01.0052.','11750000'),
(2067,'46949451','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.04.01.0005.','10684000'),
(2068,'46949479','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.04.01.0005.','5348000'),
(2069,'46949753','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.01.01.0004.','9954000'),
(2070,'46949827','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.01.01.0024.','9668700'),
(2071,'46949861','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.01.01.0025.','1412800'),
(2072,'46949893','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.01.01.0029.','1722500'),
(2073,'46949925','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.01.01.0052.','21150000'),
(2074,'46950146','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.04.01.0005.','5952000'),
(2075,'46950213','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.01.01.0004.','8134000'),
(2076,'46950228','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.01.01.0024.','2461800'),
(2077,'46950299','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.01.01.0025.','259200'),
(2078,'46950351','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.01.01.0052.','11515000'),
(2079,'46950575','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.04.01.0005.','1740000'),
(2080,'46950735','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.01.01.0004.','4648000'),
(2081,'46950768','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.01.01.0024.','3250000'),
(2082,'46950958','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.01.01.0025.','424500'),
(2083,'46951021','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.01.01.0029.','1457500'),
(2084,'46951064','APBD','2024','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.01.01.0052.','11280000'),
(2085,'35947395','APBD','','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.02.01.0003.','147600000'),
(2086,'35947443','APBD','','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.02.01.0004.','11500000'),
(2087,'35947567','APBD','','Kab. Bondowoso','4.01.01.2.13.0001.5.1.02.04.01.0005.','103160000'),
(2088,'35947956','APBD','','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.02.01.0003.','39200000'),
(2089,'35947970','APBD','','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.02.01.0004.','3000000'),
(2090,'35948005','APBD','','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.04.01.0005.','8860000'),
(2091,'35948178','APBD','','Kab. Bondowoso','4.01.01.2.13.0002.5.1.02.05.01.0001.','5250000'),
(2092,'35948385','APBD','','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.02.01.0003.','54000000'),
(2093,'35948409','APBD','','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.02.01.0004.','36000000'),
(2094,'35948453','APBD','','Kab. Bondowoso','4.01.01.2.13.0003.5.1.02.04.01.0005.','30140000'),
(2095,'35948579','APBD','','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.02.01.0003.','281100000'),
(2096,'35948614','APBD','','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.04.01.0005.','19540000'),
(2097,'35948639','APBD','','Kab. Bondowoso','4.01.01.2.13.0004.5.1.02.05.01.0001.','5250000'),
(2098,'35948841','APBD','','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.02.01.0003.','22500000'),
(2099,'35948857','APBD','','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.02.01.0004.','22500000'),
(2100,'35948891','APBD','','Kab. Bondowoso','4.01.01.2.13.0005.5.1.02.04.01.0005.','13940000'),
(2101,'46448596','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.01.01.0004.','2100000'),
(2102,'46452671','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.01.01.0052.','4700000'),
(2103,'46455023','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.02.01.0003.','2000000'),
(2104,'46456401','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.02.01.0039.','20000000'),
(2105,'46456846','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.02.01.0063.','90000000'),
(2106,'46458575','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.04.01.0005.','3968000'),
(2107,'46459113','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.04.01.0005.','9600000'),
(2108,'46821987','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.02.04.0410.','105000000'),
(2109,'46851262','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0001.5.1.02.01.01.0004.','5964000'),
(2110,'46851591','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0001.5.1.02.01.01.0024.','23284700'),
(2111,'46851796','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0001.5.1.02.01.01.0052.','7050000'),
(2112,'46852298','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0001.5.1.02.04.01.0005.','23747300'),
(2113,'46869055','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.01.01.0024.','10873000'),
(2114,'47638724','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','629000'),
(2115,'47638726','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','6818000'),
(2116,'47638728','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.12.0003.8.1.0.20.21.30.003.00019','110000000'),
(2117,'47645742','APBD','2024','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','108100'),
(2118,'35740861','APBD','','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.02.01.0003.','7725000'),
(2119,'35742031','APBD','','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.04.01.0003.','2000000'),
(2120,'35742371','APBD','','Kab. Bondowoso','4.01.03.2.03.0002.5.1.02.04.01.0005.','26770000'),
(2121,'35906076','APBD','','Kab. Bondowoso','4.01.03.2.03.0001.5.1.02.04.01.0005.','45950000'),
(2122,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','1984000'),
(2123,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','8760000'),
(2124,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','19270000'),
(2125,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','10600000'),
(2126,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','26740000'),
(2127,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','0'),
(2128,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00402','5000000'),
(2129,'36227579','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00889','7968000'),
(2130,'36227581','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','3000000'),
(2131,'36227581','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','3000000'),
(2132,'36227581','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','3000000'),
(2133,'36227581','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','18750000'),
(2134,'36227581','APBD','','Kab. Bondowoso','4.01.03.2.03.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','3000000'),
(2135,'46875378','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.01.01.0004.','20706000'),
(2136,'46885800','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0002.5.1.02.01.01.0024.','676000'),
(2137,'46885992','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0004.','7028000'),
(2138,'46886043','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0004.','7028000'),
(2139,'46886084','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.01.01.0004.','46256000'),
(2140,'46887961','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.01.01.0004.','16758000'),
(2141,'46889233','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0004.','24220000'),
(2142,'46890950','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.01.01.0004.','14868000'),
(2143,'46892451','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.01.01.0024.','1054200'),
(2144,'46893368','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.01.01.0025.','2010600'),
(2145,'46965068','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.01.01.0029.','977200'),
(2146,'46965268','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.01.01.0052.','12200000'),
(2147,'46990483','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.04.01.0005.','1800000'),
(2148,'46992827','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.01.01.0004.','46256000'),
(2149,'46993696','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.01.01.0024.','8901800'),
(2150,'46994340','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.01.01.0025.','5490200'),
(2151,'46995362','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.01.01.0052.','32300000'),
(2152,'46997735','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.04.01.0005.','7936000'),
(2153,'47000018','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0004.','7028000'),
(2154,'47002338','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0024.','2683000'),
(2155,'47002866','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0025.','3960000'),
(2156,'47003430','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0029.','8450000'),
(2157,'47007944','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.01.01.0052.','16121000'),
(2158,'47021171','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0002.5.1.02.01.01.0025.','1908000'),
(2159,'47022066','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0002.5.1.02.01.01.0029.','858200'),
(2160,'47023632','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0002.5.1.02.01.01.0052.','33558000'),
(2161,'47029734','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.01.01.0004.','16758000'),
(2162,'47030104','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.01.01.0024.','5212000'),
(2163,'47030460','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.01.01.0025.','3570000'),
(2164,'47030824','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.01.01.0052.','18800000'),
(2165,'47036106','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.04.01.0005.','1400000'),
(2166,'47037005','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.04.01.0005.','17350000'),
(2167,'47092308','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.04.01.0005.','12552000'),
(2168,'47161062','APBD','2024','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.04.01.0005.','10696000'),
(2169,'47184203','APBD','2024','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.04.01.0005.','15858000'),
(2170,'47210296','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0024.','2505900'),
(2171,'47211153','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0025.','3736800'),
(2172,'47212061','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0029.','3625200'),
(2173,'47212933','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0052.','22560000'),
(2174,'47213623','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.01.01.0075.','7000000'),
(2175,'47214330','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.02.01.0054.','2779000'),
(2176,'47215460','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.04.01.0005.','23566000'),
(2177,'47216195','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.04.01.0005.','21864000'),
(2178,'47223711','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.01.01.0024.','1109300'),
(2179,'47224444','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.01.01.0025.','313500'),
(2180,'47225599','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.01.01.0029.','265000'),
(2181,'47226630','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.01.01.0052.','10420000'),
(2182,'47228207','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.02.01.0054.','1752200'),
(2183,'47229160','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.04.01.0005.','3150000'),
(2184,'47229998','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.04.01.0005.','5348000'),
(2185,'47239018','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.01.01.0024.','547000'),
(2186,'47240353','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.01.01.0025.','425000'),
(2187,'47241235','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.01.01.0029.','397500'),
(2188,'47242002','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.01.01.0052.','28435000'),
(2189,'47243376','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.02.01.0054.','1207500'),
(2190,'47259677','APBD','2024','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.01.01.0004.','11102000'),
(2191,'35962200','APBD','','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.04.01.0004.','18400000'),
(2192,'35963282','APBD','','Kab. Bondowoso','4.01.03.2.01.0001.5.1.02.04.01.0005.','5300000'),
(2193,'35974958','APBD','','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.02.01.0003.','11800000'),
(2194,'35975869','APBD','','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.02.01.0004.','17700000'),
(2195,'35978221','APBD','','Kab. Bondowoso','4.01.03.2.02.0001.5.1.02.04.01.0005.','16400000'),
(2196,'35982115','APBD','','Kab. Bondowoso','4.01.03.2.02.0002.5.1.02.02.01.0004.','38000000'),
(2197,'35984276','APBD','','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.02.01.0003.','5200000'),
(2198,'36012721','APBD','','Kab. Bondowoso','4.01.03.2.01.0001.5.1.04.02.02.0001.','1000000000'),
(2199,'36036509','APBD','','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.04.01.0004.','52320000'),
(2200,'36037518','APBD','','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.04.01.0005.','24000000'),
(2201,'36039473','APBD','','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.02.01.0003.','7100000'),
(2202,'36040958','APBD','','Kab. Bondowoso','4.01.03.2.01.0002.5.1.02.02.01.0004.','10500000'),
(2203,'36047724','APBD','','Kab. Bondowoso','4.01.03.2.02.0003.5.1.02.04.01.0005.','31710000'),
(2204,'36060288','APBD','','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.02.01.0004.','281400000'),
(2205,'36061422','APBD','','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.04.01.0004.','75400000'),
(2206,'36061665','APBD','','Kab. Bondowoso','4.01.03.2.04.0001.5.1.02.04.01.0005.','84680000'),
(2207,'36065384','APBD','','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.04.01.0004.','18240000'),
(2208,'36065761','APBD','','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.02.01.0003.','10800000'),
(2209,'36067454','APBD','','Kab. Bondowoso','4.01.03.2.04.0002.5.1.02.04.01.0005.','12500000'),
(2210,'36069993','APBD','','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.04.01.0004.','20160000'),
(2211,'36070292','APBD','','Kab. Bondowoso','4.01.03.2.04.0003.5.1.02.04.01.0005.','8960000'),
(2212,'49258223','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2125000'),
(2213,'49258224','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2660000'),
(2214,'49258587','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','5880000'),
(2215,'49258588','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5250000'),
(2216,'49258675','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1785000'),
(2217,'49258676','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2592000'),
(2218,'49258677','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09976','38000'),
(2219,'49258678','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03321','1590000'),
(2220,'49258849','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(2221,'49258909','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','300000'),
(2222,'49258936','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','84800'),
(2223,'49259032','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1785000'),
(2224,'49259594','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','290000'),
(2225,'49259641','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0007.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2660000'),
(2226,'49259648','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(2227,'49260743','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1785000'),
(2228,'49260881','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','3668000'),
(2229,'49260883','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2100000'),
(2230,'49268430','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','230000'),
(2231,'49276236','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2660000'),
(2232,'49276237','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(2233,'49301427','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','72400'),
(2234,'49301752','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03320','848000'),
(2235,'49302088','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03299','2014000'),
(2236,'49302265','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','842400'),
(2237,'49302566','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','220800'),
(2238,'49302757','APBD','2024','Kab. Bondowoso','4.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','6218100'),
(2239,'49323549','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','181000'),
(2240,'49323788','APBD','2024','Kab. Bondowoso','4.01.01.2.02.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03320','848000'),
(2241,'49324050','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','564000'),
(2242,'49324430','APBD','2024','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03320','848000'),
(2243,'49935381','APBD','2024','Kab. Bondowoso','4.01.00.0.00.0010.0.0.04.12.32.1510.5.1.0.51.02.51.020.20100','100000000'),
(2244,'36091726','APBD','','Kab. Bondowoso','4.01.00.0.00.0010.0.0.04.12.32.1510.5.1.0.51.02.01.510.20401','12184000'),
(2245,'36874440','APBD','','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','9000000'),
(2246,'36874441','APBD','','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','3984000'),
(2247,'36874441','APBD','','Kab. Bondowoso','4.01.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(2248,'36874596','APBD','','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.02.01.0030.8.1.0.20.20.10.030.00020','500000'),
(2249,'36874597','APBD','','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','18860000'),
(2250,'36874598','APBD','','Kab. Bondowoso','4.01.01.2.02.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','9000000'),
(2251,'36874622','APBD','','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','7200000'),
(2252,'36874623','APBD','','Kab. Bondowoso','4.01.01.2.02.0005.5.1.02.02.01.0030.8.1.0.20.20.10.030.00021','200000'),
(2253,'36874680','APBD','','Kab. Bondowoso','4.01.01.2.01.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','4500000'),
(2254,'36874755','APBD','','Kab. Bondowoso','4.01.01.2.02.0008.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','3600000'),
(2255,'36874932','APBD','','Kab. Bondowoso','4.01.01.2.01.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','10800000'),
(2256,'36875468','APBD','','Kab. Bondowoso','4.01.01.2.03.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','1800000'),
(2257,'36875522','APBD','','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.02.01.0030.8.1.0.20.20.10.030.00020','300000'),
(2258,'36875523','APBD','','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','4500000'),
(2259,'36875524','APBD','','Kab. Bondowoso','4.01.01.2.03.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11890000'),
(2260,'36881683','APBD','','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','7200000'),
(2261,'36881684','APBD','','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','3984000'),
(2262,'36881684','APBD','','Kab. Bondowoso','4.01.01.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','6560000'),
(2263,'47105062','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0004.','109200000'),
(2264,'47106172','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0024.','14469800'),
(2265,'47106791','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0025.','7027000'),
(2266,'47107664','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0027.','100000'),
(2267,'47108566','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0029.','7249200'),
(2268,'47109371','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0061.','43750000'),
(2269,'47110224','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.01.01.0064.','49000000'),
(2270,'47119968','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.04.01.0005.','67844000'),
(2271,'47121071','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0002.5.1.02.01.01.0024.','10080000'),
(2272,'47122387','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0002.5.1.02.01.01.0025.','1620000'),
(2273,'47123036','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0002.5.1.02.01.01.0027.','300000'),
(2274,'47123703','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0002.5.1.02.01.01.0052.','63000000'),
(2275,'47124492','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.01.01.0004.','38500000'),
(2276,'47125137','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.01.01.0024.','3560000'),
(2277,'47125716','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.01.01.0025.','324000'),
(2278,'47128081','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.01.01.0029.','1866000'),
(2279,'47133546','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.04.01.0005.','32090000'),
(2280,'47204591','APBD','2024','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.02.01.0039.','10000000'),
(2281,'36018719','APBD','','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.02.01.0003.','2400000'),
(2282,'36019040','APBD','','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.02.01.0007.','2400000'),
(2283,'36019559','APBD','','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.04.01.0004.','80000000'),
(2284,'36021705','APBD','','Kab. Bondowoso','4.01.01.2.14.0001.5.1.02.04.01.0005.','141560000'),
(2285,'36026498','APBD','','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.04.01.0004.','80000000'),
(2286,'36027009','APBD','','Kab. Bondowoso','4.01.01.2.14.0003.5.1.02.04.01.0005.','208660000'),
(2287,'47216125','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2030000'),
(2288,'47216127','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','2755000'),
(2289,'47216128','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0040.1.1.1.20.10.50.002.00032','15900000'),
(2290,'47216129','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00130','140000000'),
(2291,'47216131','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10495','1590000'),
(2292,'47216132','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','8250000'),
(2293,'47216133','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2713600'),
(2294,'47339052','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','5088000'),
(2295,'47339053','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(2296,'47339054','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','4959000'),
(2297,'47339055','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','595000'),
(2298,'47351256','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.02.09.0013.8.1.0.20.20.90.027.00002','100000000'),
(2299,'47351258','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','5978000'),
(2300,'47351260','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3110400'),
(2301,'47351262','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','3392000'),
(2302,'47351265','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10320','5300000'),
(2303,'47351269','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4800000'),
(2304,'47352619','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','8375200'),
(2305,'47352620','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0075.8.1.0.20.10.10.075.00007','10500000'),
(2306,'47352621','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0064.8.1.0.20.10.10.064.00004','25000000'),
(2307,'47352622','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.04.0043.8.1.0.20.20.40.043.00022','25500000'),
(2308,'47352623','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','8000000'),
(2309,'47352624','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10780','490000'),
(2310,'47352625','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','22106000'),
(2311,'47352627','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','8480000'),
(2312,'47352628','APBD','2024','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','42000000'),
(2313,'47353183','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','3392000'),
(2314,'47353184','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','217000'),
(2315,'47353185','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2254000'),
(2316,'47353186','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3888000'),
(2317,'47353187','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','400000'),
(2318,'47353188','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(2319,'47353996','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2268000'),
(2320,'47353997','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(2321,'47353999','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','3318000'),
(2322,'47354001','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','3222400'),
(2323,'47354004','APBD','2024','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2975000'),
(2324,'36059744','APBD','','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','30600000'),
(2325,'36059745','APBD','','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','3000000'),
(2326,'36059746','APBD','','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9840000'),
(2327,'36059747','APBD','','Kab. Bondowoso','4.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(2328,'36103589','APBD','','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.04.02.0001.8.1.0.20.40.20.001.00001','94000000'),
(2329,'36103589','APBD','','Kab. Bondowoso','4.01.02.2.04.0002.5.1.02.04.02.0001.8.1.0.20.40.20.001.00003','90720000'),
(2330,'36109162','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','1460000'),
(2331,'36109162','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','6640000'),
(2332,'36109162','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(2333,'36109162','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','3180000'),
(2334,'36109162','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','5348000'),
(2335,'36109163','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','36000000'),
(2336,'36109164','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.02.01.0026.8.1.0.20.20.10.026.00010','4800000'),
(2337,'36109165','APBD','','Kab. Bondowoso','4.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','11200000'),
(2338,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','4200000'),
(2339,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','3600000'),
(2340,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00042','14400000'),
(2341,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','2800000'),
(2342,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','32400000'),
(2343,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','20000000'),
(2344,'36109564','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','108000000'),
(2345,'36109565','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00309','6900000'),
(2346,'36109565','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','17250000'),
(2347,'36109566','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8000000'),
(2348,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','98938000'),
(2349,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00290','4225000'),
(2350,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','21520000'),
(2351,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','31744000'),
(2352,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','33200000'),
(2353,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','60680000'),
(2354,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','14900000'),
(2355,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','992000'),
(2356,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','7950000'),
(2357,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','11130000'),
(2358,'36109568','APBD','','Kab. Bondowoso','4.01.02.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','26740000'),
(2359,'36109853','APBD','','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','18000000'),
(2360,'36109854','APBD','','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','5380000'),
(2361,'36109854','APBD','','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','7304000'),
(2362,'36109854','APBD','','Kab. Bondowoso','4.01.02.2.04.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','27880000'),
(2363,'36110159','APBD','','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00113','18000000'),
(2364,'36110160','APBD','','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','5312000'),
(2365,'36110160','APBD','','Kab. Bondowoso','4.01.02.2.04.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','10250000'),
(2366,'47209881','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03668','3575400'),
(2367,'47210082','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0002.5.2.02.05.02.0003.1.3.0.20.50.20.003.00354','3233000'),
(2368,'47210084','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0002.5.2.02.05.01.0005.1.3.0.20.50.10.005.01695','30183000'),
(2369,'47210086','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0002.5.2.02.05.02.0004.1.3.0.20.50.20.004.00924','42400000'),
(2370,'47210088','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0002.5.2.02.05.02.0006.1.3.0.20.50.20.006.00569','16736400'),
(2371,'47210089','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02109','196895000'),
(2372,'47210128','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0003.5.2.02.05.02.0005.1.3.0.20.50.20.005.01147','3921000'),
(2373,'47210129','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01863','5709600'),
(2374,'47317202','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10723','9546000'),
(2375,'47317203','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02327','22500000'),
(2376,'47317204','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0005.5.1.02.01.01.0035.1.1.1.20.10.30.012.00066','31800000'),
(2377,'47348360','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.01.01.0053.8.1.0.20.10.10.053.00012','25000000'),
(2378,'47348362','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.01.01.0043.1.1.1.20.10.70.001.00694','90100000'),
(2379,'47348871','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','26180000'),
(2380,'47350055','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02320','2600000'),
(2381,'47350056','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.02841','6642000'),
(2382,'47350057','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11085','122000'),
(2383,'47350058','APBD','2024','Kab. Bondowoso','4.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00018','66000000'),
(2384,'47389226','APBD','2024','Kab. Bondowoso','4.01.01.2.11.0002.5.1.02.01.01.0076.8.1.0.20.10.10.076.00002','11000000'),
(2385,'47389938','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0001.1.3.0.20.20.10.001.01333','733530000'),
(2386,'47389939','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0001.1.3.0.20.20.10.001.01334','537075000'),
(2387,'47389940','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0001.1.3.0.20.20.10.001.01336','660975000'),
(2388,'47389941','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0004.1.3.0.20.20.10.004.00384','118932000'),
(2389,'47389942','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0001.1.3.0.20.20.10.001.01334','537075000'),
(2390,'47390024','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0005.5.2.02.05.02.0001.1.3.0.20.50.20.001.02168','2120000'),
(2391,'47390025','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0005.5.2.02.05.01.0004.1.3.0.20.50.10.004.01282','2777900'),
(2392,'47390026','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0005.5.2.02.05.03.0002.1.3.0.20.50.30.002.00045','7457000'),
(2393,'47390027','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0005.5.2.02.05.03.0004.1.3.0.20.50.30.004.00090','11130000'),
(2394,'47390028','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0005.5.2.02.05.03.0006.1.3.0.20.50.30.006.00027','19165800'),
(2395,'47390196','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0006.5.2.02.05.02.0004.1.3.0.20.50.20.004.00859','29700400'),
(2396,'47390197','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0006.5.2.02.05.02.0006.1.3.0.20.50.20.006.00592','134079400'),
(2397,'47390198','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0006.5.2.02.06.01.0002.1.3.0.20.60.10.002.03866','87000000'),
(2398,'47390199','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.02539','10000000'),
(2399,'47390849','APBD','2024','Kab. Bondowoso','4.01.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','6250000'),
(2400,'47390850','APBD','2024','Kab. Bondowoso','4.01.01.2.09.0006.5.1.02.03.01.0029.8.1.0.20.30.10.029.00001','28250000'),
(2401,'47391070','APBD','2024','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','6572000'),
(2402,'47391071','APBD','2024','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05951','514100000'),
(2403,'47391573','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.04.0117.8.1.0.20.20.40.117.00004','103950000'),
(2404,'47391574','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.04.0132.8.1.0.20.20.40.132.00001','70000000'),
(2405,'47391575','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.01.01.0030.1.1.1.20.10.30.007.01783','7155000'),
(2406,'47391576','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.14004','4092000'),
(2407,'47391577','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.01.01.0035.1.1.1.20.10.30.012.00067','159000000'),
(2408,'47391578','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.01.01.0074.8.1.0.20.10.10.074.00011','2500000'),
(2409,'47391579','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.04.0022.8.1.0.20.20.40.022.00002','14000000'),
(2410,'47391581','APBD','2024','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.04.0043.8.1.0.20.20.40.043.00010','72000000'),
(2411,'47523309','APBD','2024','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.01.01.0004.','81150000'),
(2412,'50009369','APBD','2024','Kab. Bondowoso','4.01.01.2.07.0001.5.2.02.02.01.0001.','1733760000'),
(2413,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00267','28625000'),
(2414,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00272','48429000'),
(2415,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00277','52650000'),
(2416,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00282','38178000'),
(2417,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00287','65221000'),
(2418,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00292','242000000'),
(2419,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','14445000'),
(2420,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','9684000'),
(2421,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','43160000'),
(2422,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00297','44010000'),
(2423,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','4320000'),
(2424,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','164000000'),
(2425,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','9240000'),
(2426,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00418','9990000'),
(2427,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','6890000'),
(2428,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00420','3870000'),
(2429,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00421','1850000'),
(2430,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00437','3328000'),
(2431,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','21392000'),
(2432,'36108051','APBD','','Kab. Bondowoso','4.01.01.2.06.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00577','14280000'),
(2433,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00275','4560000'),
(2434,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00276','1140000'),
(2435,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','26820000'),
(2436,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','12896000'),
(2437,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','5110000'),
(2438,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00283','11840000'),
(2439,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00284','7632000'),
(2440,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00285','6000000'),
(2441,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','32280000'),
(2442,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','34432000'),
(2443,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','5312000'),
(2444,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00298','19460000'),
(2445,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00299','19800000'),
(2446,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00300','9100000'),
(2447,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00395','6300000'),
(2448,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00396','6900000'),
(2449,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00399','6000000'),
(2450,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00400','19500000'),
(2451,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00401','19500000'),
(2452,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00402','17500000'),
(2453,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','32500000'),
(2454,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00268','9492000'),
(2455,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00269','2000000'),
(2456,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00273','13775000'),
(2457,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00286','4800000'),
(2458,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00288','26950000'),
(2459,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00289','31832000'),
(2460,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00290','8450000'),
(2461,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00291','6760000'),
(2462,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','48150000'),
(2463,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','9600000'),
(2464,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','110700000'),
(2465,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','13440000'),
(2466,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00418','1480000'),
(2467,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','4240000'),
(2468,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00420','1720000'),
(2469,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00437','2560000'),
(2470,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','40110000'),
(2471,'36108127','APBD','','Kab. Bondowoso','4.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00577','8568000'),
(2472,'36108690','APBD','','Kab. Bondowoso','4.01.01.2.06.0006.5.1.02.02.01.0062.8.1.0.20.20.10.062.00005','120000000'),
(2473,'36124851','APBD','','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00003','328500000'),
(2474,'36124851','APBD','','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00004','316500000'),
(2475,'36124885','APBD','','Kab. Bondowoso','4.01.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00009','50400000'),
(2476,'36124886','APBD','','Kab. Bondowoso','4.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','23000000'),
(2477,'36124887','APBD','','Kab. Bondowoso','4.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00020','450000000'),
(2478,'36124888','APBD','','Kab. Bondowoso','4.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00059','144000000'),
(2479,'36125149','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0049.8.1.0.20.20.10.049.00001','40000000'),
(2480,'36125150','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.01.01.0010.1.1.1.20.10.10.010.00052','47750000'),
(2481,'36125151','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00023','372000000'),
(2482,'36125151','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00023','0'),
(2483,'36125151','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00024','26000000'),
(2484,'36125151','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00062','52800000'),
(2485,'36125152','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','540000000'),
(2486,'36125153','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.01.0033.8.1.0.20.20.10.033.00004','228000000'),
(2487,'36125154','APBD','','Kab. Bondowoso','4.01.01.2.08.0004.5.1.02.02.02.0005.8.1.0.20.20.20.005.00011','6000000'),
(2488,'36177249','APBD','','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.01.01.0004.','557802000'),
(2489,'36177249','APBD','','Kab. Bondowoso','4.01.01.2.09.0001.5.1.02.01.01.0004.','98683200'),
(2490,'47723025','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0001.','826369760'),
(2491,'47723813','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0005.','4770000'),
(2492,'47723823','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','176400000'),
(2493,'47723956','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0024.','54662500'),
(2494,'47724005','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0025.','5958500'),
(2495,'47724050','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0027.','1000000'),
(2496,'47724204','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0029.','5300000'),
(2497,'47724296','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0032.','25000000'),
(2498,'47724355','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0052.','76400000'),
(2499,'47724418','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.04.0118.','8520000'),
(2500,'47724473','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.2.02.03.01.0010.','26500000'),
(2501,'47724504','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.2.02.04.01.0008.','2650500'),
(2502,'47724548','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.2.02.05.02.0003.','16165000'),
(2503,'47724596','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0021.5.2.02.15.02.0005.','31830000'),
(2504,'47724806','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','11760000'),
(2505,'47725076','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','7840000'),
(2506,'47725994','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','71460000'),
(2507,'47726060','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','132300000'),
(2508,'47726591','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0001.','2000000000'),
(2509,'47726788','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0024.','38870000'),
(2510,'47726849','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0025.','32451000'),
(2511,'47727036','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0027.','2000000'),
(2512,'47727071','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0029.','15900000'),
(2513,'47727124','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0030.','7430000'),
(2514,'47727164','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0032.','82375000'),
(2515,'47727189','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0052.','188840000'),
(2516,'47727226','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.02.04.0118.','3840000'),
(2517,'47727268','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.2.02.03.01.0010.','73617000'),
(2518,'47727317','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.2.02.05.02.0003.','80825000'),
(2519,'47727348','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.2.02.15.02.0005.','79575000'),
(2520,'47727369','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0046.5.2.02.15.02.0006.','112100000'),
(2521,'47728237','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0034.5.1.02.01.01.0024.','26716000'),
(2522,'47728293','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0034.5.1.02.01.01.0025.','23980000'),
(2523,'47728321','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0034.5.1.02.01.01.0052.','117500000'),
(2524,'47729651','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','49500000'),
(2525,'47729853','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','132300000'),
(2526,'47729897','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','132300000'),
(2527,'47729929','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','132300000'),
(2528,'47729972','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','176400000'),
(2529,'47730041','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','132300000'),
(2530,'47730069','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','5880000'),
(2531,'47730072','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','176400000'),
(2532,'47730094','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','176400000'),
(2533,'47730122','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','5880000'),
(2534,'47730143','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','146835000'),
(2535,'47730189','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','5880000'),
(2536,'47730451','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','5880000'),
(2537,'47730465','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2538,'47730734','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','7840000'),
(2539,'47730784','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2540,'47730885','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','5880000'),
(2541,'47730888','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2542,'47730927','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','159202000'),
(2543,'47730979','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','7840000'),
(2544,'47730997','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2545,'47731060','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','7840000'),
(2546,'47731107','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2547,'47731138','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','6525000'),
(2548,'47731174','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','142885000'),
(2549,'47731241','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2550,'47731274','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0032.5.2.04.01.01.0003.','39200000'),
(2551,'47731280','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2552,'47731334','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2553,'47731404','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2554,'47731407','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2555,'47731437','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2556,'47731504','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2557,'47731536','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2558,'47731550','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2559,'47731602','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','62500000'),
(2560,'47731604','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','85147000'),
(2561,'47731622','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2562,'47731647','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','85147000'),
(2563,'47731648','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7075000'),
(2564,'47731664','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','45000000'),
(2565,'47731686','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2566,'47731722','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2567,'47731731','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','176400000'),
(2568,'47731751','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2569,'47731775','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','6350000'),
(2570,'47731819','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2571,'47731830','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2572,'47731877','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2573,'47731881','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2574,'47731913','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2575,'47731914','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','55000000'),
(2576,'47731945','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2577,'47731987','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','70000000'),
(2578,'47732001','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2579,'47732031','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2580,'47732048','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','4900000'),
(2581,'47732084','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','108676000'),
(2582,'47732145','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2583,'47732212','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','8820000'),
(2584,'47732261','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0128.5.2.04.02.01.0002.','5250000'),
(2585,'47732307','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2586,'47732360','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2587,'47732396','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2588,'47732437','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2589,'47732479','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2590,'47732486','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','8820000'),
(2591,'47732548','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2592,'47732564','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','8820000'),
(2593,'47732572','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','114660000'),
(2594,'47732596','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2595,'47732610','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','8820000'),
(2596,'47732623','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2597,'47732634','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','11760000'),
(2598,'47732641','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','3600000'),
(2599,'47732649','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2600,'47732660','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','8820000'),
(2601,'47732677','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4837000'),
(2602,'47732683','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','9900000'),
(2603,'47732695','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','11760000'),
(2604,'47732716','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','11760000'),
(2605,'47732718','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88200000'),
(2606,'47732721','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4837000'),
(2607,'47732735','APBD','2024','Kab. Bondowoso','1.03.06.2.01.0024.5.2.04.01.01.0003.','9788000'),
(2608,'47732747','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2609,'47732758','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','88334000'),
(2610,'47732770','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7840000'),
(2611,'47732793','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2612,'47732872','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','114660000'),
(2613,'47732939','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2614,'47733009','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2615,'47733086','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2616,'47733151','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2617,'47733192','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','114660000'),
(2618,'47733408','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2619,'47733473','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2620,'47733525','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2621,'47733566','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2622,'47733601','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','18480000'),
(2623,'47733603','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2624,'47733611','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','105840000'),
(2625,'47733668','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2626,'47733670','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','132300000'),
(2627,'47733682','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','17248000'),
(2628,'47733765','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2629,'47733808','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2630,'47733844','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2631,'47733882','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2632,'47733934','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2633,'47733975','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','80000000'),
(2634,'47733976','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2635,'47733989','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2636,'47734032','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4830000'),
(2637,'47734046','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','88200000'),
(2638,'47734123','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2639,'47734125','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2640,'47734162','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2641,'47734169','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2642,'47734214','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2643,'47734231','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2644,'47734277','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2645,'47734306','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','58000000'),
(2646,'47734307','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2647,'47734343','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2648,'47734344','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2649,'47734366','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','42500000'),
(2650,'47734379','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2651,'47734395','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2652,'47734399','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0052.','3400000'),
(2653,'47734405','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2654,'47734412','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','51500000'),
(2655,'47734431','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','88200000'),
(2656,'47734439','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','40000000'),
(2657,'47734455','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0052.','6000000'),
(2658,'47734459','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5096000'),
(2659,'47734491','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2660,'47734507','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3920000'),
(2661,'47734571','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2662,'47734572','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','37900000'),
(2663,'47734607','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','176400000'),
(2664,'47734619','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','37900000'),
(2665,'47734634','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','3925000'),
(2666,'47734635','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','74879000'),
(2667,'47734663','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','129600'),
(2668,'47734689','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','69750000'),
(2669,'47734743','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','50000'),
(2670,'47734748','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','69750000'),
(2671,'47734758','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2672,'47734797','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5096000'),
(2673,'47734798','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','125800'),
(2674,'47734808','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','27900000'),
(2675,'47734847','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','115000'),
(2676,'47734848','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2677,'47734851','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','74400000'),
(2678,'47734896','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','26200'),
(2679,'47734897','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','27900000'),
(2680,'47734930','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','27900000'),
(2681,'47734932','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','37800'),
(2682,'47734972','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','27900000'),
(2683,'47735019','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0118.5.1.02.02.08.0008.','27900000'),
(2684,'47735226','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.,','5880000'),
(2685,'47735250','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2686,'47735281','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2687,'47735306','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5096000'),
(2688,'47735342','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','84600'),
(2689,'47735416','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2690,'47735454','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','110400'),
(2691,'47735459','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.,','4704000'),
(2692,'47735480','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2693,'47735498','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2694,'47735524','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','4704000'),
(2695,'47735539','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2696,'47735570','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','880200'),
(2697,'47735575','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','364560000'),
(2698,'47735594','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','21300'),
(2699,'47735822','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0024.','53400'),
(2700,'47735836','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','364560000'),
(2701,'47735891','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2702,'47735906','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','8624000'),
(2703,'47735907','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2704,'47735910','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0025.','1287000'),
(2705,'47735939','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','6664000'),
(2706,'47735945','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2707,'47735946','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0025.','1425600'),
(2708,'47735951','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','7056000'),
(2709,'47735976','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2710,'47736087','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0029.','397500'),
(2711,'47736092','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2712,'47736112','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','8624000'),
(2713,'47736114','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2714,'47736117','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0029.','397500'),
(2715,'47736137','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','5880000'),
(2716,'47736138','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2717,'47736149','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0029.','397500'),
(2718,'47736172','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','88200000'),
(2719,'47736173','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','7056000'),
(2720,'47736197','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0029.','397500'),
(2721,'47736216','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2722,'47736224','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','17640000'),
(2723,'47736233','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','7056000'),
(2724,'47736247','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','17640000'),
(2725,'47736250','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0072.5.1.02.01.01.0029.','663100'),
(2726,'47736324','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','6860000'),
(2727,'47736520','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','6860000'),
(2728,'47736539','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','6860000'),
(2729,'47736555','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','6860000'),
(2730,'47736596','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2731,'47736624','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','198450000'),
(2732,'47736639','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','9800000'),
(2733,'47736648','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2734,'47736670','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2735,'47736690','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2736,'47736698','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2737,'47736709','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','9800000'),
(2738,'47736720','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2739,'47736726','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','180810000'),
(2740,'47736727','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','180810000'),
(2741,'47736789','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','180810000'),
(2742,'47736812','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2743,'47736848','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2744,'47736860','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2745,'47736921','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2746,'47736937','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','198450000'),
(2747,'47736979','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','123480000'),
(2748,'47737014','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','105840000'),
(2749,'47737017','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','3920000'),
(2750,'47737032','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','123480000'),
(2751,'47737058','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2752,'47737071','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2753,'47737085','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','123480000'),
(2754,'47737119','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','114660000'),
(2755,'47737125','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','105840000'),
(2756,'47737134','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2757,'47737137','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','194040000'),
(2758,'47737145','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2759,'47737147','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','184948300'),
(2760,'47737170','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2761,'47737171','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','146974000'),
(2762,'47737181','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2763,'47737182','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','132300000'),
(2764,'47737217','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2765,'47737290','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2766,'47737300','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2767,'47737320','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','3920000'),
(2768,'47737337','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2769,'47737362','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2770,'47737386','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7840000'),
(2771,'47737401','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','4254000'),
(2772,'47737470','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2773,'47737500','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2774,'47737530','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2775,'47737554','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2776,'47737572','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2777,'47737585','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2778,'47737589','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2779,'47737600','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','3920000'),
(2780,'47737612','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2781,'47737705','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2782,'47737720','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(2783,'47737729','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','16170000'),
(2784,'47737781','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2785,'47737796','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2786,'47737804','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8036000'),
(2787,'47737812','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8036000'),
(2788,'47737819','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2789,'47737823','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2790,'47737828','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2791,'47737829','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2792,'47737836','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2793,'47737837','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2794,'47737847','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2795,'47737851','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','10613000'),
(2796,'47737856','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(2797,'47737861','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2798,'47737862','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5488000'),
(2799,'47737863','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2800,'47737878','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','9525000'),
(2801,'47737879','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','4704000'),
(2802,'47737891','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5488000'),
(2803,'47737893','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2804,'47737901','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2805,'47737903','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2806,'47737905','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2807,'47737912','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5488000'),
(2808,'47737915','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2809,'47737926','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2810,'47737928','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5096000'),
(2811,'47737937','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2812,'47737938','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','4704000'),
(2813,'47737939','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2814,'47737944','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8624000'),
(2815,'47737945','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','6772000'),
(2816,'47737965','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','6772000'),
(2817,'47737966','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8624000'),
(2818,'47737974','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2819,'47737975','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','6532000'),
(2820,'47737984','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2821,'47737986','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','11760000'),
(2822,'47741668','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','3500000'),
(2823,'47742527','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','194040000'),
(2824,'47742802','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','149940000'),
(2825,'47742803','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2826,'47742886','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6860000'),
(2827,'47742914','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','158760000'),
(2828,'47743013','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6860000'),
(2829,'47743120','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','194040000'),
(2830,'47743127','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6860000'),
(2831,'47743406','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2832,'47743424','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','132300000'),
(2833,'47743621','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2834,'47743846','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','158760000'),
(2835,'47743972','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2836,'47744045','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','158760000'),
(2837,'47744165','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2838,'47744294','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','178360000'),
(2839,'47744382','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2840,'47744475','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','178360000'),
(2841,'47744709','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','178360000'),
(2842,'47744754','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2843,'47744890','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2844,'47744951','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','178360000'),
(2845,'47744994','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2846,'47745151','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2847,'47745245','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2848,'47745366','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5703000'),
(2849,'47745461','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','178360000'),
(2850,'47745653','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','3430000'),
(2851,'47745791','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','178360000'),
(2852,'47746030','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2853,'47746134','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','178360000'),
(2854,'47746849','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2855,'47746876','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2856,'47747326','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2857,'47747490','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2858,'47748285','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2859,'47748287','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2860,'47748675','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2861,'47748683','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2862,'47748697','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','2901500'),
(2863,'47748992','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2864,'47749017','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2865,'47749205','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2866,'47749441','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2867,'47749536','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2868,'47749581','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','150000'),
(2869,'47749605','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','1277100'),
(2870,'47749713','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.,','5145000'),
(2871,'47749746','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2872,'47749793','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2873,'47749987','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','282000'),
(2874,'47750060','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2875,'47750138','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2876,'47750154','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5145000'),
(2877,'47750373','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2878,'47750400','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','1000000'),
(2879,'47750414','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','288000'),
(2880,'47750438','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2881,'47750707','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2882,'47750821','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','162900'),
(2883,'47750876','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','106800'),
(2884,'47751076','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2885,'47751118','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6174000'),
(2886,'47751234','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','75600'),
(2887,'47751238','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2888,'47751471','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','257600'),
(2889,'47751506','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7245000'),
(2890,'47751762','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0024.','296800'),
(2891,'47752270','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','148298400'),
(2892,'47752328','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0025.','2047500'),
(2893,'47752464','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','1277100'),
(2894,'47752694','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','89180000'),
(2895,'47752759','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0025.','2268000'),
(2896,'47752894','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4630000'),
(2897,'47753112','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4116000'),
(2898,'47753258','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2899,'47753347','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0029.','795000'),
(2900,'47753521','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2901,'47753614','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2902,'47753752','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2903,'47754027','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0029.','795000'),
(2904,'47754043','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2905,'47754109','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(2906,'47754363','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2907,'47754412','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','1000000'),
(2908,'47754517','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2909,'47754729','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','162900'),
(2910,'47755219','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0029.','795000'),
(2911,'47755585','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','178000000'),
(2912,'47756106','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2913,'47756261','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2914,'47756386','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0029.','795000'),
(2915,'47756630','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2916,'47756847','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0029.','1326200'),
(2917,'47756982','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','11000000'),
(2918,'47757047','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2919,'47757085','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2920,'47757469','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0052.','13600000'),
(2921,'47757675','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2922,'47757862','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2923,'47758059','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2924,'47758150','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','7000000'),
(2925,'47758260','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2926,'47758393','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0052.','24000000'),
(2927,'47758424','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2928,'47758981','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4362000'),
(2929,'47759060','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','160524000'),
(2930,'47759273','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2931,'47759355','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.01.0003.','6000000'),
(2932,'47759787','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','133770000'),
(2933,'47760361','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','120394000'),
(2934,'47760536','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4116000'),
(2935,'47760752','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','107016000'),
(2936,'47760776','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2937,'47761074','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','4802000'),
(2938,'47762285','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','500000'),
(2939,'47762570','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(2940,'47762616','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','677100'),
(2941,'47762885','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(2942,'47762899','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','162900'),
(2943,'47763431','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','1001000000'),
(2944,'47763443','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','196196000'),
(2945,'47763971','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','49500000'),
(2946,'47764588','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','27500000'),
(2947,'47764690','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(2948,'47764712','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2949,'47765092','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','3060000'),
(2950,'47765144','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(2951,'47765972','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2952,'47766006','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(2953,'47766404','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','4777100'),
(2954,'47766492','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2955,'47766772','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2956,'47766959','APBD','2024','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','162900'),
(2957,'47767102','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2958,'47767407','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2959,'47768216','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7644000'),
(2960,'47768625','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5880000'),
(2961,'47769044','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2962,'47769062','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','5888000'),
(2963,'47769302','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2964,'47769521','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2965,'47769546','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7644000'),
(2966,'47769764','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2967,'47770079','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2968,'47770275','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2969,'47770313','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2970,'47770532','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2971,'47770789','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2972,'47770825','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7644000'),
(2973,'47771049','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2974,'47771264','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2975,'47771527','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2976,'47771847','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2977,'47771899','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2978,'47771947','APBD','2024','Kab. Bondowoso','1.03.01.2.03.0005.5.1.02.01.01.0024.','587100'),
(2979,'47772086','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2980,'47772344','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.01.01.0032.','24000000'),
(2981,'47772363','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','7056000'),
(2982,'47772405','APBD','2024','Kab. Bondowoso','1.03.02.2.01.0075.5.1.02.02.08.0008.','20000000'),
(2983,'47772648','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.1.02.01.01.0040.','8820000'),
(2984,'47773123','APBD','2024','Kab. Bondowoso','1.03.01.2.03.0005.5.1.02.01.01.0025.','1847000'),
(2985,'47773896','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2986,'47774371','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2987,'47774642','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2988,'47774851','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2989,'47775196','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(2990,'47775428','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(2991,'47775482','APBD','2024','Kab. Bondowoso','1.03.01.2.03.0005.5.1.02.01.01.0029.','1119600'),
(2992,'47775669','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(2993,'47776253','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2994,'47776545','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2995,'47776982','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2996,'47777305','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2997,'47777584','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(2998,'47777897','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(2999,'47778433','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(3000,'47778634','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(3001,'47778921','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','11760000'),
(3002,'47779241','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5956000'),
(3003,'47780436','APBD','2024','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.01.01.0024.','1002600'),
(3004,'47783276','APBD','2024','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.01.01.0025.','648000'),
(3005,'47784384','APBD','2024','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.01.01.0029.','397500'),
(3006,'47788944','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0002.5.2.02.05.02.0004.1.3.0.20.50.20.004.00849','8456400'),
(3007,'47791233','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(3008,'47791235','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09985','125500'),
(3009,'47791237','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10002','37000'),
(3010,'47791239','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10069','567000'),
(3011,'47791241','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','282000'),
(3012,'47791243','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10005','71000'),
(3013,'47791244','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(3014,'47791245','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10953','459000'),
(3015,'47791246','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03040','1352400'),
(3016,'47791247','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','890400'),
(3017,'47791248','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(3018,'47791249','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','80500'),
(3019,'47791250','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11048','133500'),
(3020,'47791251','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','670000'),
(3021,'47791252','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09974','253000'),
(3022,'47791254','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','870000'),
(3023,'47791255','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10106','129000'),
(3024,'47791257','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10192','129000'),
(3025,'47791260','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','407000'),
(3026,'47791262','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','200400'),
(3027,'47791264','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','118000'),
(3028,'47791266','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10781','82000'),
(3029,'47791267','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','213000'),
(3030,'47791268','APBD','2024','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(3031,'47797958','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','872300'),
(3032,'47797959','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.01.01.0024.1.1.1.20.10.30.001.10811','496000'),
(3033,'47797960','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(3034,'47797961','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(3035,'47797962','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.01.01.0039.1.1.1.20.10.50.001.00368','13000000'),
(3036,'47799884','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','759700'),
(3037,'47799900','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0024.1.1.1.20.10.30.001.10727','1116000'),
(3038,'47799904','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0029.1.1.1.20.10.30.006.03522','2971200'),
(3039,'47799908','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0039.1.1.1.20.10.50.001.00368','29250000'),
(3040,'47799910','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','15300000'),
(3041,'47799912','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(3042,'47801747','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10727','2232000'),
(3043,'47801749','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(3044,'47801750','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00014','25300000'),
(3045,'47801751','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','3270700'),
(3046,'47801752','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03525','350100'),
(3047,'47805205','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2296625'),
(3048,'47805213','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0024.1.1.1.20.10.30.001.10727','930000'),
(3049,'47805216','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(3050,'47805218','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0029.1.1.1.20.10.30.006.03522','1485600'),
(3051,'47805219','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0052.8.1.0.20.10.10.052.00014','3864000'),
(3052,'47809068','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3053,'47809272','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3054,'47809523','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3055,'47809792','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3056,'47809969','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3057,'47810125','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3058,'47810398','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3059,'47810456','APBD','2024','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','125000'),
(3060,'47810541','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','5880000'),
(3061,'47810790','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3062,'47811005','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','26950000'),
(3063,'47811162','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3064,'47811364','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','13230000'),
(3065,'47811376','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(3066,'47811597','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3067,'47811641','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(3068,'47811959','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','113426714'),
(3069,'47812200','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3070,'47812251','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(3071,'47812406','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','12054000'),
(3072,'47812529','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','107016000'),
(3073,'47812647','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','12054000'),
(3074,'47812863','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(3075,'47812938','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3076,'47813217','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3077,'47813308','APBD','2024','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0024.1.1.1.20.10.30.001.09997','92300'),
(3078,'47813329','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','124852000'),
(3079,'47813419','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3080,'47813647','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3081,'47813868','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','13230000'),
(3082,'47813969','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0032.5.2.04.01.01.0003.','1458240000'),
(3083,'47814303','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8232000'),
(3084,'47814350','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','495880000'),
(3085,'47814743','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7056000'),
(3086,'47814793','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7146000000'),
(3087,'47815244','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8232000'),
(3088,'47815469','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3089,'47815817','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8232000'),
(3090,'47816151','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7644000'),
(3091,'47816224','APBD','2024','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','475000'),
(3092,'47816581','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','7056000'),
(3093,'47817033','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','12936000'),
(3094,'47817228','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','12329000'),
(3095,'47817477','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','9798000'),
(3096,'47817775','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0033.5.2.04.01.01.0003.','8820000'),
(3097,'47825455','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','12936000'),
(3098,'47825779','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','9996000'),
(3099,'47825968','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','10584000'),
(3100,'47826143','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','12936000'),
(3101,'47826355','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','8820000'),
(3102,'47826505','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','10584000'),
(3103,'47826710','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0037.5.2.04.01.01.0003.','10584000'),
(3104,'47827004','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','10780000'),
(3105,'47827335','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','10780000'),
(3106,'47827917','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','10780000'),
(3107,'47828121','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0039.5.2.04.01.02.0003.','10780000'),
(3108,'47828647','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0032.5.2.04.01.01.0003.','70560000'),
(3109,'47830253','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00247','160132000'),
(3110,'47830254','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00249','15640800'),
(3111,'47830255','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00250','10427200'),
(3112,'47830256','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00248','3800000'),
(3113,'47833943','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09997','213000'),
(3114,'47833944','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09998','279000'),
(3115,'47833945','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','150000'),
(3116,'47833946','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','345000'),
(3117,'47833947','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','70800'),
(3118,'47833949','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','870000'),
(3119,'47833950','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(3120,'47833951','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10781','32800'),
(3121,'47833952','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','39200'),
(3122,'47833953','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','56400'),
(3123,'47833954','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','240400'),
(3124,'47833955','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02058','155000'),
(3125,'47833956','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1638000'),
(3126,'47833957','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(3127,'47833958','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02352','1170000'),
(3128,'47833959','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02353','1380000'),
(3129,'47833960','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10094','441000'),
(3130,'47833961','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1679400'),
(3131,'47833962','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10273','56700'),
(3132,'47833963','APBD','2024','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','144800'),
(3133,'47835373','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3134,'47835784','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','10780000'),
(3135,'47835826','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','10780000'),
(3136,'47835880','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','10780000'),
(3137,'47835945','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3138,'47836049','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3139,'47836084','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3140,'47836143','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3141,'47836176','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3142,'47836251','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3143,'47836311','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3144,'47836362','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3145,'47836392','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3146,'47836433','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8962000'),
(3147,'47836509','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','5390000'),
(3148,'47836701','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3149,'47836781','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3150,'47836830','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3151,'47836889','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3152,'47836922','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3153,'47837383','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3154,'47837703','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3155,'47837777','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3156,'47837833','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3157,'47837888','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3158,'47837940','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','9702000'),
(3159,'47838008','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','8085000'),
(3160,'47838047','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7276000'),
(3161,'47838065','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6468000'),
(3162,'47838093','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09998','93000'),
(3163,'47838094','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09997','71000'),
(3164,'47838095','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','50000'),
(3165,'47838096','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','241500'),
(3166,'47838097','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10094','441000'),
(3167,'47838098','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','725000'),
(3168,'47838099','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','47200'),
(3169,'47838100','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(3170,'47838101','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','28000'),
(3171,'47838102','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','90500'),
(3172,'47838103','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10781','20500'),
(3173,'47838104','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','56400'),
(3174,'47838105','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','240400'),
(3175,'47838106','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02058','93000'),
(3176,'47838107','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(3177,'47838108','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02352','780000'),
(3178,'47838109','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02353','690000'),
(3179,'47838110','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1119600'),
(3180,'47838111','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10273','56700'),
(3181,'47838112','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(3182,'47838115','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3183,'47838149','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3184,'47838169','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','11858000'),
(3185,'47838193','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3186,'47838217','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3187,'47838284','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3188,'47838298','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3189,'47838355','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3190,'47838398','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6855000'),
(3191,'47838449','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3192,'47838472','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','6468000'),
(3193,'47838505','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3194,'47838528','APBD','2024','Kab. Bondowoso','1.03.10.2.01.0044.5.2.04.01.01.0003.','7546000'),
(3195,'47839178','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','12500'),
(3196,'47839179','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','13800'),
(3197,'47839180','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1166400'),
(3198,'47839181','APBD','2024','Kab. Bondowoso','1.03.01.2.02.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(3199,'47844392','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.01.01.0014.','267640200'),
(3200,'47844493','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.01.01.0024.','1788900'),
(3201,'47844534','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.01.01.0025.','1849500'),
(3202,'47844597','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.01.01.0029.','746400'),
(3203,'47845024','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.01.01.0024.','5431900'),
(3204,'47845120','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.01.01.0025.','1233000'),
(3205,'47845176','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.01.01.0029.','1590000'),
(3206,'47845267','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.01.01.0032.','4231000'),
(3207,'47845314','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.2.02.03.03.0005.','10701000'),
(3208,'47845380','APBD','2024','Kab. Bondowoso','1.03.01.2.09.0006.5.2.02.08.01.0006.','30160000'),
(3209,'36262622','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.01.01.0004.','40697990'),
(3210,'36262634','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.01.0003.','97200000'),
(3211,'36262651','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.01.0016.','4031926750'),
(3212,'36262655','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.01.0033.','108636000'),
(3213,'36262672','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.01.0035.','25344000'),
(3214,'36262964','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.02.02.0006.','19074000'),
(3215,'36262988','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.04.01.0004.','44240000'),
(3216,'36262997','APBD','','Kab. Bondowoso','1.03.02.2.02.0021.5.1.02.04.01.0005.','20500000'),
(3217,'36263612','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.01.01.0004.','145751075'),
(3218,'36263642','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.02.01.0003.','28800000'),
(3219,'36263646','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.02.01.0016.','3793250000'),
(3220,'36263669','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.02.01.0035.','30000000'),
(3221,'36263688','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.02.02.0006.','15840000'),
(3222,'36263712','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.04.01.0004.','36800000'),
(3223,'36263736','APBD','','Kab. Bondowoso','1.03.10.2.01.0046.5.1.02.04.01.0005.','20500000'),
(3224,'36264336','APBD','','Kab. Bondowoso','1.03.02.2.02.0034.5.1.02.01.01.0004.','81804000'),
(3225,'36273400','APBD','','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','4600000'),
(3226,'36273503','APBD','','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','960000'),
(3227,'36275116','APBD','','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','4600000'),
(3228,'36275221','APBD','','Kab. Bondowoso','1.03.02.2.02.0015.5.2.04.02.01.0002.','960000'),
(3229,'36275930','APBD','','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','10000000'),
(3230,'36276050','APBD','','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','4000000'),
(3231,'36276412','APBD','','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','1700000'),
(3232,'36276498','APBD','','Kab. Bondowoso','1.03.02.2.02.0014.5.2.04.02.01.0003.','960000'),
(3233,'36282831','APBD','','Kab. Bondowoso','1.03.01.2.03.0005.5.1.02.01.01.0024.','1446300'),
(3234,'36285955','APBD','','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.01.01.0024.','451900'),
(3235,'36286122','APBD','','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.01.01.0027.','500000'),
(3236,'36286268','APBD','','Kab. Bondowoso','1.03.01.2.05.0005.5.1.02.04.01.0001.','2000000'),
(3237,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03636','2917500'),
(3238,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03682','1207800'),
(3239,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04087','854000'),
(3240,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04093','738400'),
(3241,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04096','800000'),
(3242,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04152','356000'),
(3243,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04154','684800'),
(3244,'36286946','APBD','','Kab. Bondowoso','1.03.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04525','2441500'),
(3245,'36288223','APBD','','Kab. Bondowoso','1.03.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1188800'),
(3246,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','690000'),
(3247,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','329400'),
(3248,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10721','1304000'),
(3249,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02204','330000'),
(3250,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10501','327500'),
(3251,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10723','1272800'),
(3252,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02207','900000'),
(3253,'36290355','APBD','','Kab. Bondowoso','1.03.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02321','990000'),
(3254,'36290438','APBD','','Kab. Bondowoso','1.03.01.2.06.0006.5.1.02.02.01.0062.8.1.0.20.20.10.062.00005','5000000'),
(3255,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0001.8.1.0.20.40.10.001.00027','1500000'),
(3256,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','5960000'),
(3257,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','1984000'),
(3258,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','16050000'),
(3259,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','6456000'),
(3260,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00400','600000'),
(3261,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00402','2500000'),
(3262,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','2500000'),
(3263,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','28700000'),
(3264,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','3180000'),
(3265,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','2250000'),
(3266,'36290514','APBD','','Kab. Bondowoso','1.03.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00889','3320000'),
(3267,'36290624','APBD','','Kab. Bondowoso','1.03.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00009','90000000'),
(3268,'36290624','APBD','','Kab. Bondowoso','1.03.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00001','7860000'),
(3269,'36290624','APBD','','Kab. Bondowoso','1.03.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00001','62750000'),
(3270,'36290624','APBD','','Kab. Bondowoso','1.03.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00025','92000000'),
(3271,'36290781','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.04.01.0001.8.1.0.20.40.10.001.00019','450000'),
(3272,'36290782','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','8000000'),
(3273,'36290783','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4510000'),
(3274,'36290784','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','3320000'),
(3275,'36290785','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','5500000'),
(3276,'36290786','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','20000000'),
(3277,'36290787','APBD','','Kab. Bondowoso','1.03.11.2.01.0010.5.1.02.02.01.0003.8.1.0.20.20.10.003.00024','10500000'),
(3278,'36291575','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1050000'),
(3279,'36291576','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.02.01.0003.8.1.0.20.20.10.003.00024','21000000'),
(3280,'36291577','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','40000000'),
(3281,'36291578','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.04.01.0001.8.1.0.20.40.10.001.00019','900000'),
(3282,'36291579','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','18000000'),
(3283,'36291580','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','6640000'),
(3284,'36291580','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(3285,'36291580','APBD','','Kab. Bondowoso','1.03.11.2.01.0016.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','10000000'),
(3286,'36292311','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1200000'),
(3287,'36292312','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','450000'),
(3288,'36292313','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00039','3500000'),
(3289,'36292313','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','40500000'),
(3290,'36292313','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','5000000'),
(3291,'36292314','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','40000000'),
(3292,'36292315','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','14400000'),
(3293,'36292315','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','18000000'),
(3294,'36292316','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','5330000'),
(3295,'36292316','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','5740000'),
(3296,'36292316','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','6500000'),
(3297,'36292316','APBD','','Kab. Bondowoso','1.03.11.2.04.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','7000000'),
(3298,'36293564','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','900000'),
(3299,'36293565','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','7200000'),
(3300,'36293565','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','8000000'),
(3301,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','3000000'),
(3302,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00119','25500000'),
(3303,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','2000000'),
(3304,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00037','2500000'),
(3305,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','3400000'),
(3306,'36293566','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.01.0004.8.1.0.20.20.10.004.00118','1500000'),
(3307,'36293568','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','8000000'),
(3308,'36293569','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.04.01.0001.8.1.0.20.40.10.001.00019','900000'),
(3309,'36293570','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','1328000'),
(3310,'36293570','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9430000'),
(3311,'36293570','APBD','','Kab. Bondowoso','1.03.11.2.02.0014.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','11500000'),
(3312,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0001.1.1.1.20.10.10.001.13783','47000'),
(3313,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01724','556000'),
(3314,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01732','636000'),
(3315,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01987','636000'),
(3316,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02033','498400'),
(3317,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02062','79500'),
(3318,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02175','152400'),
(3319,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02179','785200'),
(3320,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02180','446400'),
(3321,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02193','393000'),
(3322,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02195','769500'),
(3323,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02206','1033500'),
(3324,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02243','100000'),
(3325,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01766','637500'),
(3326,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01770','530000'),
(3327,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01774','669000'),
(3328,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01783','477000'),
(3329,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01910','287000'),
(3330,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01914','480000'),
(3331,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01917','445200'),
(3332,'36298986','APBD','','Kab. Bondowoso','1.03.01.2.08.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01968','106000'),
(3333,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','232382000'),
(3334,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','15000000'),
(3335,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00037','50000000'),
(3336,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.03.02.0035.8.1.0.20.30.20.035.00003','168000000'),
(3337,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','10600000'),
(3338,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00410','40068000'),
(3339,'36300269','APBD','','Kab. Bondowoso','1.03.01.2.09.0001.5.1.02.03.02.0038.8.1.0.20.30.20.038.00002','83950000'),
(3340,'36300636','APBD','','Kab. Bondowoso','1.03.01.2.09.0002.5.1.02.02.01.0067.8.1.0.20.21.50.006.00001','3320000'),
(3341,'36300636','APBD','','Kab. Bondowoso','1.03.01.2.09.0002.5.1.02.02.01.0067.8.1.0.20.20.10.067.00005','20000000'),
(3342,'36300636','APBD','','Kab. Bondowoso','1.03.01.2.09.0002.5.1.02.02.01.0067.8.1.0.20.20.10.067.00006','5058000'),
(3343,'36300636','APBD','','Kab. Bondowoso','1.03.01.2.09.0002.5.1.02.02.01.0067.8.1.0.20.20.10.067.00008','50000000'),
(3344,'36303601','APBD','','Kab. Bondowoso','1.03.01.2.09.0010.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','8000000'),
(3345,'36303602','APBD','','Kab. Bondowoso','1.03.01.2.09.0010.5.1.02.02.01.0035.8.1.0.20.20.10.035.00047','4000000'),
(3346,'36303603','APBD','','Kab. Bondowoso','1.03.01.2.09.0010.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','8000000'),
(3347,'36304168','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2963700'),
(3348,'36304169','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','1220000'),
(3349,'36304170','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00004','6000000'),
(3350,'36304171','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00001','4000000'),
(3351,'36304172','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4100000'),
(3352,'36304173','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00399','900000'),
(3353,'36304174','APBD','','Kab. Bondowoso','1.03.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','745000'),
(3354,'36305324','APBD','','Kab. Bondowoso','1.03.01.2.02.0002.5.1.02.02.01.0026.8.1.0.20.20.10.026.00062','132000000'),
(3355,'36305324','APBD','','Kab. Bondowoso','1.03.01.2.02.0002.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','105600000'),
(3356,'36305386','APBD','','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2704800'),
(3357,'36305387','APBD','','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','610000'),
(3358,'36305388','APBD','','Kab. Bondowoso','1.03.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','372500'),
(3359,'36305670','APBD','','Kab. Bondowoso','1.03.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','434100'),
(3360,'36307725','APBD','','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.01.01.0004.','21415000'),
(3361,'36307737','APBD','','Kab. Bondowoso','1.03.01.2.09.0003.5.1.02.04.01.0005.','6560000'),
(3362,'36308042','APBD','','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.01.01.0004.','4553100'),
(3363,'36308058','APBD','','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.04.01.0004.','4800000'),
(3364,'36308065','APBD','','Kab. Bondowoso','1.03.01.2.09.0006.5.1.02.04.01.0005.','12300000'),
(3365,'47070737','APBD','2024','Kab. Bondowoso','2.12.01.2.09.0009.5.1.02.03.03.0001.','17264000'),
(3366,'47070856','APBD','2024','Kab. Bondowoso','2.12.01.2.09.0009.5.1.02.03.03.0001.','342000'),
(3367,'47070898','APBD','2024','Kab. Bondowoso','2.12.01.2.09.0009.5.1.02.03.03.0001.','1434500'),
(3368,'47070944','APBD','2024','Kab. Bondowoso','2.12.01.2.09.0009.5.1.02.03.03.0001.','959500'),
(3369,'47071159','APBD','2024','Kab. Bondowoso','2.12.02.2.03.0004.5.2.02.05.01.0005.','158580000'),
(3370,'47071408','APBD','2024','Kab. Bondowoso','2.12.02.2.01.0005.5.2.02.10.01.0002.','18550000'),
(3371,'47071555','APBD','2024','Kab. Bondowoso','2.12.02.2.01.0002.5.2.02.10.01.0002.','20071600'),
(3372,'47072172','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0003.5.1.02.03.02.0196.','15000000'),
(3373,'47072256','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0003.5.1.02.03.02.0407.','60000000'),
(3374,'47466320','APBD','2024','Kab. Bondowoso','1.21.20.1.20.1000.1.5.02.01.01.0024.','1546500'),
(3375,'47472062','APBD','2024','Kab. Bondowoso','2.12.01.2.01.0007.5.1.02.01.01.0025.','6165000'),
(3376,'47473999','APBD','2024','Kab. Bondowoso','2.12.01.2.05.0010.5.1.02.01.01.0052.','4700000'),
(3377,'47476909','APBD','2024','Kab. Bondowoso','2.12.01.2.06.0002.5.1.02.01.01.0024.','3464900'),
(3378,'47478206','APBD','2024','Kab. Bondowoso','2.12.01.2.06.0002.5.1.02.01.01.0029.','252248000'),
(3379,'47485289','APBD','2024','Kab. Bondowoso','2.12.01.2.06.0002.5.1.02.01.01.0029.','271590400'),
(3380,'47486668','APBD','2024','Kab. Bondowoso','2.12.01.2.06.0009.5.1.02.04.01.0005.','15275000'),
(3381,'47487506','APBD','2024','Kab. Bondowoso','2.12.01.2.07.0006.5.2.02.10.02.0003.','5300000'),
(3382,'47492480','APBD','2024','Kab. Bondowoso','2.12.02.2.01.0002.5.1.02.01.01.0029.','397500'),
(3383,'47498433','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0001.5.1.02.01.01.0024.','22950000'),
(3384,'47747475','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0001.5.1.02.01.01.0024.','14559500'),
(3385,'47748222','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0001.5.1.02.01.01.0024.','25300000'),
(3386,'47749058','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0001.5.1.02.01.01.0052.','30879000'),
(3387,'47750293','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0001.5.1.02.01.01.0052.','30879000'),
(3388,'47752701','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0002.5.1.02.01.01.0024.','57600000'),
(3389,'47753708','APBD','2024','Kab. Bondowoso','2.12.03.2.01.0002.5.1.02.01.01.0025.','648000'),
(3390,'47758473','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0001.5.1.02.01.01.0029.','1325000'),
(3391,'47760263','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0001.5.1.02.01.01.0024.','930000'),
(3392,'47761079','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0001.5.1.02.01.01.0052.','36660000'),
(3393,'47761631','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0001.5.1.02.01.01.0053.','1800000'),
(3394,'47762204','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0001.5.1.02.02.04.0118.','5460000'),
(3395,'47763726','APBD','2024','Kab. Bondowoso','2.12.03.2.02.0003.5.1.02.01.01.0025.','1233000'),
(3396,'47769047','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0029.','2650000'),
(3397,'47769814','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0025.','493200'),
(3398,'47770382','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0024.','88380000'),
(3399,'47771013','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0024.','38196800'),
(3400,'47776471','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0052.','20680000'),
(3401,'47778598','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0052.','94000000'),
(3402,'47779048','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.01.01.0052.','94000000'),
(3403,'47779545','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.02.04.0132.','6000000'),
(3404,'47780231','APBD','2024','Kab. Bondowoso','2.12.03.2.03.0004.5.1.02.02.04.0118.','6000000'),
(3405,'47783834','APBD','2024','Kab. Bondowoso','2.12.04.2.01.0002.5.1.02.04.01.0004.','9750000'),
(3406,'47791310','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0003.5.1.02.01.01.0025.','1233000'),
(3407,'47793856','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0008.5.1.02.01.01.0024.','10495000'),
(3408,'47794173','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0008.5.1.02.01.01.0024.','5247500'),
(3409,'47861101','APBD','2024','Kab. Bondowoso','2.12.04.2.03.0003.5.1.02.04.01.0004.','45000000'),
(3410,'47106591','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0002.5.2.02.06.01.0001.','2121800'),
(3411,'47108045','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0002.5.2.02.10.02.0004.','4553400'),
(3412,'47112383','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0002.5.1.02.02.01.0046.','88440000'),
(3413,'47289269','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0006.5.1.02.01.01.0052.','9400000'),
(3414,'47324444','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0052.','2914000'),
(3415,'47325451','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0012.','1568986560'),
(3416,'47325935','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.01.01.0025.','1944000'),
(3417,'47326037','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.01.01.0024.','435000'),
(3418,'47326251','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.01.01.0029.','1060000'),
(3419,'47326399','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.01.01.0024.','806000'),
(3420,'47326512','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.01.01.0052.','9400000'),
(3421,'47326664','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0021.5.1.02.01.01.0052.','2914000'),
(3422,'47326837','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0021.5.1.02.01.01.0024.','26000'),
(3423,'47327519','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0022.5.1.02.01.01.0024.','214800'),
(3424,'47327629','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0022.5.1.02.01.01.0052.','5640000'),
(3425,'47576133','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.05.01.0004.','4240000'),
(3426,'47577379','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.01.01.0024.','116770900'),
(3427,'47577455','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.01.01.0052.','90909000'),
(3428,'47577489','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.01.01.0058.','24220000'),
(3429,'47577556','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0016.0.0.00.00.00.0000.0.0.0.00.00.00.000.0000','3760000'),
(3430,'47577645','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.05.01.0005.','42677200'),
(3431,'47577889','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.05.02.0007.','14840000'),
(3432,'47577996','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0052.','59325000'),
(3433,'47579044','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0012.0.0.0.00.00.00.000.00000','831625000'),
(3434,'47579076','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0003.5.1.02.01.01.0052.','4559000'),
(3435,'47579240','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0003.5.1.02.01.01.0012.','122751950'),
(3436,'47579398','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0039.0.0.0.00.00.00.000.00000','60000000'),
(3437,'47579472','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0052.0.0.0.00.00.00.000.00000','54520000'),
(3438,'47579806','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0052.0.0.0.00.00.00.000.00000','9964000'),
(3439,'47579883','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.02.01.0051.0.0.0.00.00.00.000.00000','49950000'),
(3440,'47579997','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0004.5.1.02.01.01.0052.','22560000'),
(3441,'47580579','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.01.01.0052.0.0.0.00.00.00.000.00000','35250000'),
(3442,'47580727','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.07.01.0008.','2595900'),
(3443,'47581178','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0052.','14100000'),
(3444,'47581243','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0052.','21150000'),
(3445,'47581347','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0056.','422400000'),
(3446,'47581519','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0056.','1915870000'),
(3447,'47582843','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.07.01.0011.','29919000'),
(3448,'47582892','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.01.01.0056.','51794000'),
(3449,'47583009','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.01.01.0052.','48880000'),
(3450,'47583397','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0052.','7050000'),
(3451,'47583774','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0007.5.1.02.01.01.0052.','2538000'),
(3452,'47587773','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0002.','131589500'),
(3453,'47587795','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0002.','52000000'),
(3454,'47588139','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','217619000'),
(3455,'47588184','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','72595200'),
(3456,'47588424','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','260370600'),
(3457,'47588461','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','1591464370'),
(3458,'47588488','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','20100000'),
(3459,'47589205','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0012.','199950400'),
(3460,'47589288','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0037.','3547801870'),
(3461,'47590320','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.2.02.10.01.0002.','140737600'),
(3462,'47595701','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.01.01.0052.','10622000'),
(3463,'47595762','APBD','2024','Kab. Bondowoso','1.02.05.2.02.0001.5.1.02.01.01.0052.','19740000'),
(3464,'47596080','APBD','2024','Kab. Bondowoso','1.02.05.2.02.0001.5.1.02.01.01.0024.','59449500'),
(3465,'47596138','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0052.','66848000'),
(3466,'47596242','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0052.','30550000'),
(3467,'47596284','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0052.','2914000'),
(3468,'47596438','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0030.','3317500'),
(3469,'47596492','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.2.02.15.03.0002.','9540000'),
(3470,'47596601','APBD','2024','Kab. Bondowoso','1.02.05.2.01.0001.5.2.05.02.03.0002.','7812000'),
(3471,'47596833','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.02.04.0117.','6000000'),
(3472,'47605771','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0024.','1726900'),
(3473,'47613343','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','17776250'),
(3474,'47615226','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.01.01.0052.','13395000'),
(3475,'47616164','APBD','2024','Kab. Bondowoso','1.02.03.2.01.0002.5.1.02.01.01.0052.','6721000'),
(3476,'47617741','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.02.01.0050.','50000000'),
(3477,'47619452','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0001.5.1.02.01.01.0052.','13630000'),
(3478,'47619997','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.01.01.0052.','2350000'),
(3479,'47622693','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0002.5.1.02.02.01.0046.','30000000'),
(3480,'47622739','APBD','2024','Kab. Bondowoso','1.02.01.2.06.0001.5.1.02.01.01.0031.','4982700'),
(3481,'47623290','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0052.','5875000'),
(3482,'47626003','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0052.','35955000'),
(3483,'47626782','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0052.','13160000'),
(3484,'47627068','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0037.','200000000'),
(3485,'47627739','APBD','2024','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0052.','110544000'),
(3486,'47628717','APBD','2024','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0052.','29610000'),
(3487,'47629488','APBD','2024','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0052.','38916000'),
(3488,'47636166','APBD','2024','Kab. Bondowoso','1.02.01.2.06.0002.5.1.02.01.01.0024.','660700'),
(3489,'47637645','APBD','2024','Kab. Bondowoso','1.02.01.2.06.0002.5.1.02.01.01.0025.','339200'),
(3490,'47638421','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0037.','1000000000'),
(3491,'47639925','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0024.','1663900'),
(3492,'47641006','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','700000'),
(3493,'47641496','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0025.','2268000'),
(3494,'47641793','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','486735000'),
(3495,'47643224','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','2062100'),
(3496,'47643540','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0025.','2268000'),
(3497,'47646414','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','1935000'),
(3498,'47646724','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0029.','2491400'),
(3499,'47647227','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','512000'),
(3500,'47647911','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','1200000'),
(3501,'47648608','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','2350980'),
(3502,'47649843','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','508110'),
(3503,'47650483','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','1158600'),
(3504,'47657901','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','21481000'),
(3505,'47658869','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','3770300'),
(3506,'47659756','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','19225000'),
(3507,'47660518','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','10656000'),
(3508,'47661173','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','5538000'),
(3509,'47664206','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','5328000'),
(3510,'47674379','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0029.','4881800'),
(3511,'47676454','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','11060000'),
(3512,'47677420','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','1882560'),
(3513,'47677670','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','5501715'),
(3514,'47678211','APBD','2024','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0024.','807700'),
(3515,'47678499','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','15074133'),
(3516,'47678645','APBD','2024','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0025.','972000'),
(3517,'47679126','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','11721045'),
(3518,'47679552','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0001.','24000000'),
(3519,'47679581','APBD','2024','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0029.','1060000'),
(3520,'47680400','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0004.','13404400'),
(3521,'47680905','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0004.','4453150'),
(3522,'47680940','APBD','2024','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0052.','7520000'),
(3523,'47682039','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0004.','2000000'),
(3524,'47682563','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0005.','15089450'),
(3525,'47682636','APBD','2024','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0052.','4700000'),
(3526,'47683001','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0005.','1123400'),
(3527,'47683711','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0005.','12338000'),
(3528,'47685610','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.07.01.0005.','2881000'),
(3529,'47688397','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.08.01.0011.','2214000000'),
(3530,'47689218','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0014.5.2.02.08.01.0013.','90000000'),
(3531,'47711717','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0003.5.1.02.01.01.0052.','3760000'),
(3532,'47711850','APBD','2024','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','596400'),
(3533,'47712714','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.01.01.0012.','1433610000'),
(3534,'47712733','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0004.5.1.02.01.01.0052.','1645000'),
(3535,'47713649','APBD','2024','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','2120000'),
(3536,'47713919','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0005.5.1.02.01.01.0052.','1880000'),
(3537,'47714152','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0039.','34800000'),
(3538,'47714368','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0006.5.1.02.01.01.0052.','940000'),
(3539,'47714776','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.01.01.0024.','2854600'),
(3540,'47714813','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0007.5.1.02.01.01.0052.','2350000'),
(3541,'47715132','APBD','2024','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0039.','24000000'),
(3542,'47715290','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0008.5.1.02.01.01.0052.','1410000'),
(3543,'47715529','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.01.01.0025., ,','583200'),
(3544,'47716096','APBD','2024','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0052.','2585000'),
(3545,'47716154','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.01.01.0029.','678400'),
(3546,'47716547','APBDP','2024','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.01.01.0052.,','17700000'),
(3547,'47717195','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0042.5.1.02.01.01.0012.','18505000'),
(3548,'47717682','APBD','2024','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0052.','7050000'),
(3549,'47718083','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0052.','4230000'),
(3550,'47718162','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.01.01.0012.','155550000'),
(3551,'47718222','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.02.02.01.0004.','34680000'),
(3552,'47718664','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.02.02.02.0001.','9500000'),
(3553,'47719514','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.02.05.01.0004.','108613500'),
(3554,'47719960','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.02.05.02.0001.','48150000'),
(3555,'47724427','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.01.01.0024.','1933200'),
(3556,'47724522','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.01.01.0029.','4899000'),
(3557,'47724623','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.01.01.0052.','23500000'),
(3558,'47724718','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.02.01.0059.','4200000'),
(3559,'47724808','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.02.01.0061.','3600000'),
(3560,'47725233','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.02.05.0001.','15000000'),
(3561,'47726893','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0052.','62524000'),
(3562,'47726998','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0029.','2973200'),
(3563,'47727060','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0031.','294000'),
(3564,'47727123','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0025.','1620000'),
(3565,'47727165','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0024.','4924800'),
(3566,'47727314','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0012.','866149050'),
(3567,'47727374','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0004.','336735000'),
(3568,'47759819','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','149196300'),
(3569,'47762594','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','11114600'),
(3570,'47763420','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','16673600'),
(3571,'47764061','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','198458000'),
(3572,'47766906','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','198458000'),
(3573,'47767589','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','11114600'),
(3574,'47769186','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','11114600'),
(3575,'47771479','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','11114600'),
(3576,'47772173','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','198458000'),
(3577,'47773350','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0002.','404100000'),
(3578,'47825586','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0002.','12070000'),
(3579,'47826363','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0002.','8046400'),
(3580,'47828907','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0015.5.1.02.02.01.0050.','150000000'),
(3581,'47829374','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0015.5.1.02.02.01.0050.','120000000'),
(3582,'47829801','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0015.5.1.02.03.02.0204.','200000000'),
(3583,'47830697','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.02.01.0001.','400000000'),
(3584,'47831199','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.02.01.0001.','600000000'),
(3585,'47833581','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.02.01.0006.','2346000000'),
(3586,'47833843','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.08.01.0056.','500000000'),
(3587,'47834126','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.03.01.01.0001.','34448650'),
(3588,'47834339','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.03.01.01.0001.','34448650'),
(3589,'47834938','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.1.02.03.03.0001.','14950000'),
(3590,'47835076','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.03.01.01.0001.','902490000'),
(3591,'47890212','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.04.01.0004.','84000000'),
(3592,'48032249','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','300830000'),
(3593,'48033044','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','16847150'),
(3594,'48034654','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','25272400'),
(3595,'48036125','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','7921200'),
(3596,'48037003','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','5280450'),
(3597,'48037553','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','273890000'),
(3598,'48138987','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','12879000'),
(3599,'48139302','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','3072000'),
(3600,'48139527','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','2040000'),
(3601,'48139795','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','1272000'),
(3602,'48140523','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','7155000'),
(3603,'48141296','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','3180000'),
(3604,'48141661','APBD','2024','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','2976000'),
(3605,'48146288','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','902400000'),
(3606,'48147335','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','34448650'),
(3607,'48308575','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','51676400'),
(3608,'48318157','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3609,'48319584','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11114600'),
(3610,'48320510','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3611,'48324096','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3612,'48325380','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11114600'),
(3613,'48326738','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3614,'48446305','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11114600'),
(3615,'48446490','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3616,'48446753','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3617,'48447211','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3618,'48447789','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11144000'),
(3619,'48449471','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3620,'48918891','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11144000'),
(3621,'48918966','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3622,'48919069','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3623,'48919208','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11144000'),
(3624,'48919352','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3625,'48919455','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3626,'48919550','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','198458000'),
(3627,'48919640','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','11114600'),
(3628,'48919834','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16673600'),
(3629,'49166856','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.02.01.0047.','777000000'),
(3630,'49170340','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.02.01.0047.','49500000'),
(3631,'49934033','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0039.0.0.0.00.00.00.000.00000','312500000'),
(3632,'49934467','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0039.0.0.0.00.00.00.000.00000','300000000'),
(3633,'36074050','APBD','','Kab. Bondowoso','1.02.02.2.02.0006.5.1.02.01.01.0004.','2309100'),
(3634,'36074214','APBD','','Kab. Bondowoso','1.02.02.2.02.0006.5.1.02.01.01.0024.','735900'),
(3635,'36074558','APBD','','Kab. Bondowoso','1.02.02.2.02.0006.5.1.02.04.01.0004.','29600000'),
(3636,'36086806','APBD','','Kab. Bondowoso','1.02.02.2.02.0008.5.1.02.01.01.0024.','140000'),
(3637,'36086887','APBD','','Kab. Bondowoso','1.02.02.2.02.0008.5.1.02.04.01.0004.','6400000'),
(3638,'36087038','APBD','','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0024.','26000'),
(3639,'36089433','APBD','','Kab. Bondowoso','1.02.02.2.02.0013.5.1.02.01.01.0004.0.0.0.00.00.00.000.00000','8155000'),
(3640,'36089526','APBD','','Kab. Bondowoso','1.02.02.2.02.0000.1.3.51.02.01.0100.2.4.0.00.00.00.000.00000','4000'),
(3641,'36089637','APBD','','Kab. Bondowoso','1.02.02.2.02.0013.5.1.02.01.01.0052.0.0.0.00.00.00.000.00000','7191000'),
(3642,'36089778','APBD','','Kab. Bondowoso','1.02.02.2.02.0013.5.1.02.04.01.0005.0.0.0.00.00.00.000.00000','3050000'),
(3643,'36098417','APBD','','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.04.01.0005.','19350000'),
(3644,'36098431','APBD','','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.02.01.0029.','4000000'),
(3645,'36098441','APBD','','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.02.01.0047.','5000000'),
(3646,'36098457','APBD','','Kab. Bondowoso','1.02.02.2.02.0010.5.1.02.04.01.0004.','2000000'),
(3647,'36099041','APBD','','Kab. Bondowoso','1.02.02.2.02.0021.2.1.02.02.01.0003.','3600000'),
(3648,'36099071','APBD','','Kab. Bondowoso','1.02.02.2.02.0022.5.1.02.04.01.0004.','24000000'),
(3649,'36099092','APBD','','Kab. Bondowoso','1.02.02.2.02.0022.5.1.02.02.01.0003.','9000000'),
(3650,'36201495','APBD','','Kab. Bondowoso','1.02.02.2.02.0016.5.1.02.01.01.0024.0.0.0.00.00.00.000.0000','130400'),
(3651,'36201504','APBD','','Kab. Bondowoso','1.02.02.2.02.0016.5.1.02.01.01.0025.0.0.0.00.00.00.000.0000','129600'),
(3652,'36201514','APBD','','Kab. Bondowoso','1.02.02.2.02.0016.5.1.02.02.01.0003.0.0.0.00.00.00.00','4500000'),
(3653,'36201534','APBD','','Kab. Bondowoso','1.02.02.2.02.0016.5.1.02.04.01.0004.0.0.0.00.00.00.000.0000','2880000'),
(3654,'36201551','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.01.03.06.0001.','36'),
(3655,'36201631','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0004.0.0.0.00.00.00.000.00000','19725300'),
(3656,'36201681','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0024.0.0.0.00.00.00.000.00000','13819000'),
(3657,'36201696','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0004.','5719000'),
(3658,'36201727','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0024.0.0.0.00.00.00.000.00000','186000'),
(3659,'36201761','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0024.','7367200'),
(3660,'36201765','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0025.0.0.0.00.00.00.000.00000','1036800'),
(3661,'36201778','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','12200000'),
(3662,'36201789','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0005.0.0.0.00.00.00.000.00000','16238000'),
(3663,'36201790','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0025.0.0.0.00.00.00.000.00000','5682700'),
(3664,'36201792','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0025.','3506300'),
(3665,'36201837','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.01.01.0029.0.0.0.00.00.00.000.00000','9898000'),
(3666,'36201851','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0029.','2167500'),
(3667,'36201860','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0004.','2871000'),
(3668,'36201877','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.02.01.0003.0.0.0.00.00.00.000.00000','12000000'),
(3669,'36201902','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.02.01.0003.','4800000'),
(3670,'36201928','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.04.01.0004.','17000000'),
(3671,'36201930','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','69600000'),
(3672,'36202028','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.04.01.0005.0.0.0.00.00.00.000.00000','29730000'),
(3673,'36202037','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.04.01.0005.','36320000'),
(3674,'36202081','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.05.01.0001.0.0.0.00.00.00.000.00000','12000000'),
(3675,'36202308','APBD','','Kab. Bondowoso','1.02.02.2.02.0003.5.1.02.01.01.0024.','831000'),
(3676,'36202315','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0052.','10105000'),
(3677,'36202327','APBD','','Kab. Bondowoso','1.02.02.2.02.0003.5.1.02.02.01.0003.','3400000'),
(3678,'36202338','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0024.','203200'),
(3679,'36202363','APBD','','Kab. Bondowoso','1.02.02.2.02.0003.5.1.02.02.01.0015.','241020000'),
(3680,'36202375','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0025.','712800'),
(3681,'36202403','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0029.0.0.0.00.00.00.000.00000','530000'),
(3682,'36202420','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0052.0.0.0.','6580000'),
(3683,'36202442','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.02.01.0003.','4800000'),
(3684,'36202460','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','12800000'),
(3685,'36202510','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0052.0.0.0.00.00.00.000.00000','39950000'),
(3686,'36202524','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','14400000'),
(3687,'36202553','APBD','','Kab. Bondowoso','1.02.02.2.02.0028.5.1.02.02.01.0015.0.0.0.00.00.00.000.00000','7500000'),
(3688,'36202567','APBD','','Kab. Bondowoso','1.02.02.2.02.0028.5.1.02.02.01.0064.0.0.0.00.00.00.000.00000','2000000'),
(3689,'36202579','APBD','','Kab. Bondowoso','1.02.02.2.02.0028.5.1.02.02.01.0064.0.0.0.00.00.00.000.00000','4680000'),
(3690,'36202638','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','4800000'),
(3691,'36202667','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.01.01.0024.0.0.0.00.00.00.000.0000','173800'),
(3692,'36202670','APBD','','Kab. Bondowoso','1.02.02.2.02.0004.5.1.02.01.01.0004.','1517000'),
(3693,'36202691','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.01.01.0025.','259200'),
(3694,'36202722','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.01.01.0029.0.0.0.00.00.00.000.00000','530000'),
(3695,'36202742','APBD','','Kab. Bondowoso','1.02.02.2.02.0004.5.1.02.01.01.0024.','1643000'),
(3696,'36202756','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.01.01.0052.0.0.0.00.00.','10481000'),
(3697,'36202769','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.02.01.0003.0.0.0.00.00.00.000.00','4000000'),
(3698,'36202810','APBD','','Kab. Bondowoso','1.02.02.2.02.0037.5.1.02.04.01.0005.0.0.','10806000'),
(3699,'36203052','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.01.01.0004.0.0.0.00.00.00.000.00000','3512500'),
(3700,'36203128','APBD','','Kab. Bondowoso','1.02.02.2.02.0004.5.1.02.02.01.0003.','17800000'),
(3701,'36203141','APBD','','Kab. Bondowoso','1.02.02.2.02.0004.5.1.02.04.01.0004.','2480000'),
(3702,'36203177','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.01.01.0024.','4414400'),
(3703,'36203214','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.01.01.0025.0.0.0.00.00.00.000.00000','1089600'),
(3704,'36203295','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.01.01.0029.0.0.0.00.00.00.0','558500'),
(3705,'36203343','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.02.01.0004.0.0.0.00.00.00.0','90000000'),
(3706,'36203370','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.02.01.0003.0.0.0.00.00.00.000.00000','9000000'),
(3707,'36203462','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.04.01.0004.0.0.0.00.00.00.000.00000','10240000'),
(3708,'36203466','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0004.','18015000'),
(3709,'36203545','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0024.','40000'),
(3710,'36203594','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.04.01.0005.0.0.0.00.00.','16060000'),
(3711,'36203607','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0024.','54750'),
(3712,'36203651','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0024.','2088500'),
(3713,'36203694','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0025.','7006500'),
(3714,'36203763','APBD','','Kab. Bondowoso','1.02.02.2.02.0029.5.1.02.05.01.0001.0.0.0.00.00.00.000.0','7500000'),
(3715,'36203791','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.02.01.0003.','6000000'),
(3716,'36203872','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.04.01.0004.','18000000'),
(3717,'36203920','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.04.01.0004.','80000000'),
(3718,'36203979','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.04.01.0005.','21740000'),
(3719,'36204203','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.01.01.0004.','30082000'),
(3720,'36204245','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.01.01.0024.','991000'),
(3721,'36204261','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.02.01.0003.','46800000'),
(3722,'36204290','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.02.05.0001.','72500000'),
(3723,'36204311','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.04.01.0004.','13040000'),
(3724,'36204447','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0004.','1720300'),
(3725,'36204453','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0024.','240000'),
(3726,'36204492','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0024.','534900'),
(3727,'36204520','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0025.','1036800'),
(3728,'36204554','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0029.','2063000'),
(3729,'36204570','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.04.01.0004.','17760000'),
(3730,'36204610','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.04.01.0005.','7260000'),
(3731,'36204694','APBD','','Kab. Bondowoso','1.02.02.2.02.0007.5.1.02.01.01.0024.','2000'),
(3732,'36204703','APBD','','Kab. Bondowoso','1.02.02.2.02.0007.5.1.02.04.01.0004.','12000000'),
(3733,'36204718','APBD','','Kab. Bondowoso','1.02.02.2.02.0007.5.1.02.04.01.0005.','3800000'),
(3734,'36217271','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.01.01.0024.','9555500'),
(3735,'36217885','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.01.01.0025.','972000'),
(3736,'36217992','APBD','','Kab. Bondowoso','1.02.03.2.01.0002.5.1.02.01.01.0024.','551000'),
(3737,'36218046','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.01.01.0029.','1987500'),
(3738,'36218502','APBD','','Kab. Bondowoso','1.02.03.2.01.0002.5.1.02.01.01.0025','1620000'),
(3739,'36218721','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.02.01.0003.','7200000'),
(3740,'36218944','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.02.01.0029.','1000000'),
(3741,'36218978','APBD','','Kab. Bondowoso','1.02.03.2.02.0001.5.1.02.01.01.0024.','266000'),
(3742,'36219185','APBD','','Kab. Bondowoso','1.02.03.2.02.0001.5.1.02.01.01.0025.','324000'),
(3743,'36219764','APBD','','Kab. Bondowoso','1.02.03.2.02.0001.5.1.02.04.01.0005.','14628000'),
(3744,'36222801','APBD','','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.01.01.0024.','9988300'),
(3745,'36223113','APBD','','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.02.01.0003.','11800000'),
(3746,'36223341','APBD','','Kab. Bondowoso','1.02.02.2.02.0018.5.1.02.04.01.0004.','39120000'),
(3747,'36223789','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','1498000'),
(3748,'36224897','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.02.04.0043.','2000000'),
(3749,'36225546','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','9000'),
(3750,'36225613','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.04.01.0004.','25000000'),
(3751,'36225698','APBD','','Kab. Bondowoso','1.02.05.2.02.0001.5.1.02.01.01.0024.','160800'),
(3752,'36225859','APBD','','Kab. Bondowoso','1.02.02.2.01.0020.5.1.02.04.01.0005.','5670000'),
(3753,'36225916','APBD','','Kab. Bondowoso','1.02.05.2.02.0001.5.1.02.01.01.0025.','583200'),
(3754,'36226680','APBD','','Kab. Bondowoso','1.02.05.2.02.0001.5.1.02.02.01.0003.','21400000'),
(3755,'36226713','APBD','','Kab. Bondowoso','1.02.02.2.01.0014.5.1.01.03.06.0001.','48800'),
(3756,'36227023','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.02.01.0003.','2400000'),
(3757,'36227301','APBD','','Kab. Bondowoso','1.02.02.2.01.0014.5.1.02.01.01.0024.','3118900'),
(3758,'36227405','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.04.01.0004.','160000'),
(3759,'36227562','APBD','','Kab. Bondowoso','1.02.02.2.01.0014.5.1.02.01.01.0025.','10951200'),
(3760,'36227659','APBD','','Kab. Bondowoso','1.02.01.2.06.0002.5.1.02.01.01.0024.','17000'),
(3761,'36227847','APBD','','Kab. Bondowoso','1.02.01.2.06.0005.5.1.02.01.01.0024.','3999900'),
(3762,'36228402','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.01.01.0024.','68500'),
(3763,'36228620','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.04.01.0004.','14400000'),
(3764,'36228839','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.04.01.0005.','85381900'),
(3765,'36228980','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.01.03.06.0001.','63'),
(3766,'36230738','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0004.','250600'),
(3767,'36230967','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0004.','10740000'),
(3768,'36231251','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0024.','34649900'),
(3769,'36231624','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0024.','3584600'),
(3770,'36232625','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0025.','2684400'),
(3771,'36232897','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.01.01.0027.','1000000'),
(3772,'36233292','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.02.01.0003.','2700000'),
(3773,'36233657','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.02.01.0003.','8850000'),
(3774,'36234140','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.02.01.0037.','6600000'),
(3775,'36234806','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.04.01.0004.','175760000'),
(3776,'36235144','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','52000'),
(3777,'36235369','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.04.01.0004.','32000000'),
(3778,'36235846','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.04.01.0005.','153630400'),
(3779,'36236209','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.04.01.0005.','17440000'),
(3780,'36236385','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','1272000'),
(3781,'36236695','APBD','','Kab. Bondowoso','1.02.05.2.01.0001.5.1.02.05.01.0001.','16250000'),
(3782,'36236866','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','22000'),
(3783,'36237304','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','900000'),
(3784,'36237642','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.01.01.0024.','337400'),
(3785,'36237739','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','2000'),
(3786,'36238000','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.01.01.0004.','8126000'),
(3787,'36238512','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.01.01.0025.','129600'),
(3788,'36238706','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.02.01.0014.','942000000'),
(3789,'36238807','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.01.01.0024.','3180000'),
(3790,'36239060','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.02.01.0014.','360000000'),
(3791,'36241691','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.02.01.0026.','240000000'),
(3792,'36241961','APBD','','Kab. Bondowoso','1.02.03.2.02.0002.5.1.02.02.02.0005.','171100000'),
(3793,'36244476','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0024.','18600'),
(3794,'36245203','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0024.','924000'),
(3795,'36246346','APBD','','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0024.','4313700'),
(3796,'36246929','APBD','','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0024.','4586300'),
(3797,'36247321','APBD','','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0027','1200000'),
(3798,'36247500','APBD','','Kab. Bondowoso','1.02.02.2.01.0023.5.1.02.01.01.0027','1600000'),
(3799,'36247665','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.01.01.0024.','1737000'),
(3800,'36247984','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.01.01.0025.','735000'),
(3801,'36248135','APBD','','Kab. Bondowoso','1.02.01.2.02.0003.5.1.02.01.01.0024.','177700'),
(3802,'36248561','APBD','','Kab. Bondowoso','1.02.01.2.02.0003.5.1.02.01.01.0025.','156000'),
(3803,'36248697','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.01.01.0052.','22325000'),
(3804,'36249150','APBD','','Kab. Bondowoso','1.02.01.2.02.0003.5.1.02.01.01.0029.','906300'),
(3805,'36249352','APBD','','Kab. Bondowoso','1.02.01.2.02.0004.5.1.02.01.01.0024.','300000'),
(3806,'36249643','APBD','','Kab. Bondowoso','1.02.01.2.02.0005.5.1.02.01.01.0024.','260800'),
(3807,'36249826','APBD','','Kab. Bondowoso','1.02.01.2.02.0005.5.1.02.01.01.0025.','390000'),
(3808,'36250105','APBD','','Kab. Bondowoso','1.02.01.2.02.0005.5.1.02.01.01.0029.','651200'),
(3809,'36250298','APBD','','Kab. Bondowoso','1.02.01.2.02.0006.5.1.02.01.01.0024.','1160000'),
(3810,'36250488','APBD','','Kab. Bondowoso','1.02.01.2.02.0007.5.1.02.01.01.0024.','2163200'),
(3811,'36250490','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.02.01.0054.','3059500'),
(3812,'36250797','APBD','','Kab. Bondowoso','1.02.01.2.02.0008.5.1.02.01.01.0024.','795000'),
(3813,'36251180','APBD','','Kab. Bondowoso','1.02.01.2.02.0008.5.1.02.01.01.0025.','468000'),
(3814,'36251443','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.04.01.0004.','8800000'),
(3815,'36252233','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0024.','11500'),
(3816,'36252881','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0024.','2000'),
(3817,'36253304','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0024.','1326400'),
(3818,'36253630','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0025.','194400'),
(3819,'36253823','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0025.','292500'),
(3820,'36254159','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0025.','129600'),
(3821,'36254503','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.01.01.0029.','796000'),
(3822,'36254773','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.02.01.0003.','1800000'),
(3823,'36255006','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.02.01.0003.','31200000'),
(3824,'36255340','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.02.01.0003.','2000000'),
(3825,'36255644','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.02.01.0003.','288000000'),
(3826,'36256368','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.02.01.0008.','30450000'),
(3827,'36257350','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','28400000'),
(3828,'36263063','APBD','','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.04.01.0004.','2000000'),
(3829,'36263102','APBD','','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.04.01.0005.','6640000'),
(3830,'36263134','APBD','','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.02.01.0003.','7200000'),
(3831,'36263245','APBD','','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.02.01.0026.','72000000'),
(3832,'36263313','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.04.01.0005.','50260000'),
(3833,'36263358','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.04.01.0004.','158120000'),
(3834,'36263389','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.02.01.0015.','428480000'),
(3835,'36263417','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.02.01.0014.','129750000'),
(3836,'36263434','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.02.01.0006.','16750000'),
(3837,'36263444','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.02.01.0003.','16200000'),
(3838,'36267764','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0004','1498000'),
(3839,'36267806','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0024','14946000'),
(3840,'36267821','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0024','468600'),
(3841,'36267960','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.01.01.0024','2190000'),
(3842,'36268135','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.02.01.0003','1600000'),
(3843,'36268611','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.02.04.0043.','700000'),
(3844,'36268628','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.04.01.0004.','53760000'),
(3845,'36268638','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.04.01.0004.','16000000'),
(3846,'36268964','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.04.01.0005.','820000'),
(3847,'36268982','APBD','','Kab. Bondowoso','1.02.04.2.01.0001.5.1.02.04.01.0005.','4100000'),
(3848,'36269029','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0004.','6664000'),
(3849,'36269562','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0012.','9000000'),
(3850,'36269599','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.02.01.0004.','13200000'),
(3851,'36269609','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.02.01.0015.','87000000'),
(3852,'36269637','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.02.01.0029.','1000000'),
(3853,'36269731','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.02.01.0064.','3000000'),
(3854,'36270123','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.02.04.0043.','300000'),
(3855,'36270129','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','14080000'),
(3856,'36270182','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','8000000'),
(3857,'36270207','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.04.01.0004.','1600000'),
(3858,'36270245','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','24000000'),
(3859,'36270411','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','960000'),
(3860,'36270496','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0004.','12800000'),
(3861,'36271572','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0005.','13622000'),
(3862,'36271839','APBD','','Kab. Bondowoso','1.02.03.2.02.0003.5.1.02.04.01.0005.','7312000'),
(3863,'36272290','APBD','','Kab. Bondowoso','1.02.02.2.01.0010.5.1.02.01.01.0024.','3943700'),
(3864,'36272533','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.04.01.0004.','52520000'),
(3865,'36273309','APBD','','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','3971200'),
(3866,'36273391','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0024.','179600'),
(3867,'36273492','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0024.','14000'),
(3868,'36273603','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0024.','14600'),
(3869,'36274296','APBD','','Kab. Bondowoso','5.10.20.1.01.0024.1.0.20.22.01.0026.','12495400'),
(3870,'36274532','APBD','','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','3971200'),
(3871,'36275059','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0025.','518400'),
(3872,'36275188','APBD','','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0001.','3971200'),
(3873,'36275245','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0025.','194400'),
(3874,'36275462','APBD','','Kab. Bondowoso','1.02.02.2.01.0010.5.2.03.01.01.0002.','16972200'),
(3875,'36275478','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.01.01.0029.','1590000'),
(3876,'36275483','APBD','','Kab. Bondowoso','5.10.20.1.01.0029.1.0.20.22.01.0026.','11704000'),
(3877,'36275921','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.01.0003.','50400000'),
(3878,'36276106','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','98400'),
(3879,'36276401','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.20.22.01.0026.','12300000'),
(3880,'36276549','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','1484000'),
(3881,'36276629','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.20.22.01.0026.','29120000'),
(3882,'36277767','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.01.0003.','1600000'),
(3883,'36278003','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','2712000'),
(3884,'36278200','APBD','','Kab. Bondowoso','5.10.20.1.01.0004.1.0.20.22.01.0026.','12780600'),
(3885,'36278235','APBD','','Kab. Bondowoso','1.02.04.2.06.0001.5.1.02.01.01.0024.','18020000'),
(3886,'36278725','APBD','','Kab. Bondowoso','1.02.01.2.08.0002.5.1.02.02.01.0059.','70800000'),
(3887,'36278899','APBD','','Kab. Bondowoso','1.02.01.2.08.0002.5.1.02.02.01.0060.','8912310'),
(3888,'36278938','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.01.0004.','58400000'),
(3889,'36279043','APBD','','Kab. Bondowoso','1.02.01.2.08.0002.5.1.02.02.01.0061.','323842185'),
(3890,'36279326','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0014.','486000000'),
(3891,'36279384','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.01.0063.','2800000'),
(3892,'36279778','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.12.0001.','783200000'),
(3893,'36279817','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0030.','21000000'),
(3894,'36279993','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0031.','48000000'),
(3895,'36280036','APBD','','Kab. Bondowoso','5.10.20.2.01.0016.1.0.20.22.01.0026.','21600000'),
(3896,'36280162','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0033.','349000000'),
(3897,'36280595','APBD','','Kab. Bondowoso','5.10.20.1.01.0024.1.0.20.22.01.0026.','4018000'),
(3898,'36280710','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.02.12.0001.','18500000'),
(3899,'36281026','APBD','','Kab. Bondowoso','5.10.20.1.01.0030.1.0.20.22.01.0026.','4194600'),
(3900,'36281455','APBD','','Kab. Bondowoso','5.10.20.1.01.0025.1.0.20.22.01.0026.','3952800'),
(3901,'36281773','APBD','','Kab. Bondowoso','5.10.20.1.01.0004.1.0.20.22.01.0026.','22983600'),
(3902,'36283869','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.03.02.0404.','3000000'),
(3903,'36284152','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.04.01.0004.','33360000'),
(3904,'36284660','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.04.01.0005.','21036000'),
(3905,'36284785','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.20.22.01.0026.','49920000'),
(3906,'36284922','APBD','','Kab. Bondowoso','1.02.03.2.03.0001.5.1.02.04.01.0005.','88000000'),
(3907,'36285065','APBD','','Kab. Bondowoso','5.10.20.2.01.0064.1.0.20.22.01.0026.','18517000'),
(3908,'36285218','APBD','','Kab. Bondowoso','5.10.20.2.01.0016.1.0.20.22.01.0026.','52000000'),
(3909,'36304466','APBD','','Kab. Bondowoso','1.02.02.2.01.0006.5.2.03.01.01.0001.','16164000'),
(3910,'36313361','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0026.','787400000'),
(3911,'36313409','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0039.','36000000'),
(3912,'36323650','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.02.01.0003.','14400000'),
(3913,'36323910','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.02.01.0029.','9500000'),
(3914,'36325625','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.04.01.0004.','9600000'),
(3915,'36326399','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.04.01.0004.','28800000'),
(3916,'36326878','APBD','','Kab. Bondowoso','1.02.04.2.03.0001.5.1.02.04.01.0004.','27840000'),
(3917,'36344506','APBD','','Kab. Bondowoso','1.02.01.2.09.0002.5.1.02.01.01.0004.','138295000'),
(3918,'36377011','APBD','','Kab. Bondowoso','1.02.02.2.01.0003.5.1.01.03.06.0001.','713400'),
(3919,'36377292','APBD','','Kab. Bondowoso','1.02.02.2.01.0003.5.1.02.01.01.0024.','122800'),
(3920,'36378636','APBD','','Kab. Bondowoso','1.02.02.2.01.0003.5.1.02.01.01.0025.','972000'),
(3921,'36386992','APBD','','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','4939000'),
(3922,'36387167','APBD','','Kab. Bondowoso','1.02.02.2.01.0003.5.2.03.01.01.0001.','6016600'),
(3923,'36387688','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.1.02.02.05.0001.','15000000'),
(3924,'36388018','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.1.02.02.05.0001.','15000000'),
(3925,'36389220','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.1.02.02.05.0001.','60000000'),
(3926,'36390179','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','16164000'),
(3927,'36391092','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3928,'36392673','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3929,'36392900','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3930,'36393517','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3931,'36393941','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0000.1.','3971200'),
(3932,'36394302','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3933,'36394496','APBD','','Kab. Bondowoso','1.02.02.2.01.0009.5.2.03.01.01.0001.','3971200'),
(3934,'46858227','APBD','2024','Kab. Bondowoso','2.16.01.2.01.0001.5.1.02.01.01.0004.','4235000'),
(3935,'46858364','APBD','2024','Kab. Bondowoso','2.16.01.2.01.0001.5.1.02.01.01.0024.','1315600'),
(3936,'46858539','APBD','2024','Kab. Bondowoso','2.16.01.2.01.0001.5.1.02.01.01.0025.','1199000'),
(3937,'46888084','APBD','2024','Kab. Bondowoso','2.16.01.2.01.0001.5.1.02.01.01.0029.','1526400'),
(3938,'46902365','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0003.5.1.02.01.01.0024.','5051300'),
(3939,'46903493','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0003.5.1.02.01.01.0025.','3422700'),
(3940,'46904546','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0003.5.1.02.01.01.0027.','500000'),
(3941,'46905440','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0003.5.1.02.01.01.0029.','1026000'),
(3942,'46909217','APBD','2024','Kab. Bondowoso','2.16.01.2.03.0005.5.1.02.01.01.0024.','1924900'),
(3943,'46910838','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0008.5.1.02.01.01.0024.','455800'),
(3944,'46911749','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0008.5.1.02.01.01.0025.','959200'),
(3945,'46912848','APBD','2024','Kab. Bondowoso','2.16.01.2.02.0008.5.1.02.01.01.0029.','585000'),
(3946,'46915696','APBD','2024','Kab. Bondowoso','2.16.01.2.03.0005.5.1.02.01.01.0025.','1707700'),
(3947,'46917607','APBD','2024','Kab. Bondowoso','2.16.01.2.03.0005.5.1.02.01.01.0029.','1367400'),
(3948,'46935991','APBD','2024','Kab. Bondowoso','2.16.01.2.04.0007.5.1.02.01.01.0024.','84900'),
(3949,'46936230','APBD','2024','Kab. Bondowoso','2.16.01.2.04.0007.5.1.02.01.01.0029.','1415100'),
(3950,'46940767','APBD','2024','Kab. Bondowoso','2.16.01.2.04.0006.5.1.02.01.01.0024.','179600'),
(3951,'46940850','APBD','2024','Kab. Bondowoso','2.16.01.2.04.0006.5.1.02.01.01.0025.','129600'),
(3952,'46941035','APBD','2024','Kab. Bondowoso','2.16.01.2.04.0006.5.1.02.01.01.0029.','190800'),
(3953,'46941526','APBD','2024','Kab. Bondowoso','2.16.01.2.05.0003.5.1.02.01.01.0024.','1835200'),
(3954,'46942021','APBD','2024','Kab. Bondowoso','2.16.01.2.05.0003.5.1.02.01.01.0027.','500000'),
(3955,'46942272','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0006.5.1.02.02.01.0062.','2400000'),
(3956,'46942613','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0004.5.1.02.01.01.0024.','6190900'),
(3957,'46942966','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0004.5.1.02.01.01.0025.','4323100'),
(3958,'46943110','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0004.5.1.02.01.01.0027.','500000'),
(3959,'46944745','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0005.5.1.02.01.01.0025.','3482100'),
(3960,'46945663','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0002.5.1.02.01.01.0024.','708000'),
(3961,'46945941','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0009.5.1.02.01.01.0004.','15492400'),
(3962,'46946023','APBD','2024','Kab. Bondowoso','2.16.01.2.06.0009.5.1.02.01.01.0024.','9800'),
(3963,'46959678','APBD','2024','Kab. Bondowoso','2.16.01.2.08.0002.5.1.02.02.01.0061.','74492460'),
(3964,'46964915','APBD','2024','Kab. Bondowoso','2.16.01.2.08.0001.5.1.02.01.01.0027.','500000'),
(3965,'46965030','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0005.5.1.02.01.01.0001.','280000'),
(3966,'46965106','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0005.5.1.02.01.01.0005.','70000'),
(3967,'46965431','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0006.5.1.02.02.01.0035.','10850000'),
(3968,'46965499','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0006.5.1.02.03.02.0121.','9150000'),
(3969,'46965692','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0009.5.2.03.01.01.0001.','20000000'),
(3970,'46965849','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0001.5.1.02.01.01.0004.','13539400'),
(3971,'46966129','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0001.5.1.02.01.01.0013.','34432700'),
(3972,'46966169','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0001.5.1.02.01.01.0024.','27900'),
(3973,'46966233','APBD','2024','Kab. Bondowoso','2.16.01.2.09.0001.5.1.02.02.01.0035.','12000000'),
(3974,'46968864','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.01.01.0004.','4407200'),
(3975,'46969177','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.01.01.0024.','7968800'),
(3976,'46969229','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.01.01.0025.','882000'),
(3977,'46969335','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.01.01.0029.','1272000'),
(3978,'46973522','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.01.01.0052.','14100000'),
(3979,'46973885','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.01.01.0004.','5873000'),
(3980,'46974155','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.01.01.0024.','21825400'),
(3981,'46974254','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.01.01.0025.','2152900'),
(3982,'46974327','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.01.01.0029.','2120700'),
(3983,'46974504','APBD','2024','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.01.01.0052.','14100000'),
(3984,'46980948','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.01.01.0004.','7700000'),
(3985,'46981247','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.01.01.0024.','18710600'),
(3986,'46981609','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.01.01.0025.','4241400'),
(3987,'46982016','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.01.01.0029.','4241400'),
(3988,'46982473','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.01.01.0052.','23500000'),
(3989,'46984832','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0003.5.1.02.01.01.0004.','369600'),
(3990,'46985566','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0003.5.1.02.01.01.0024.','946300'),
(3991,'46987527','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0003.5.1.02.01.01.0025.','648000'),
(3992,'46988725','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0003.5.1.02.01.01.0029.','986100'),
(3993,'46991650','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0001.5.1.02.01.01.0004.','385700'),
(3994,'47007927','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0001.5.1.02.01.01.0024.','908900'),
(3995,'47008825','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0001.5.1.02.01.01.0025.','648000'),
(3996,'47009889','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0001.5.1.02.01.01.0029.','1007400'),
(3997,'47026922','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0004.5.1.02.01.01.0004.','4620000'),
(3998,'47032753','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0004.5.1.02.01.01.0029.','4750200'),
(3999,'47033711','APBD','2024','Kab. Bondowoso','2.21.02.2.01.0004.5.1.02.01.01.0052.','14100000'),
(4000,'47047488','APBD','2024','Kab. Bondowoso','2.21.02.2.02.0001.5.1.02.01.01.0024.','1622400'),
(4001,'47048685','APBD','2024','Kab. Bondowoso','2.21.02.2.02.0001.5.1.02.01.01.0025.','564400'),
(4002,'47052003','APBD','2024','Kab. Bondowoso','2.21.02.2.02.0001.5.1.02.01.01.0029.','763200'),
(4003,'47053631','APBD','2024','Kab. Bondowoso','2.21.02.2.02.0001.5.1.02.01.01.0052.','7050000'),
(4004,'47064612','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0007.5.1.02.01.01.0004.','2870000'),
(4005,'47066990','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0007.5.1.02.01.01.0024.','11341100'),
(4006,'47067824','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0007.5.1.02.01.01.0025.','3076500'),
(4007,'47085005','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0007.5.1.02.01.01.0029.','2162400'),
(4008,'47087857','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0002.5.1.02.01.01.0024.','783600'),
(4009,'47089144','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0002.5.1.02.01.01.0025.','508700'),
(4010,'47097651','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0002.5.1.02.01.01.0052.','1880000'),
(4011,'47101353','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0006.5.1.02.01.01.0004.','7490000'),
(4012,'47104437','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0006.5.1.02.01.01.0029.','1240400'),
(4013,'47137583','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.01.01.0004.','2870000'),
(4014,'47139327','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.01.01.0024.','3128600'),
(4015,'47141082','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.01.01.0027.','2000000'),
(4016,'47141711','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.01.01.0029.','661500'),
(4017,'47149463','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0039.','75000000'),
(4018,'47154566','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0055.','701500000'),
(4019,'47162166','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0062.','12000000'),
(4020,'47163177','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.05.0030.','60000000'),
(4021,'47168009','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.01.01.0004.','938000'),
(4022,'47171130','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.01.01.0024.','6584400'),
(4023,'47175941','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.01.01.0036.','10348000'),
(4024,'47179304','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.02.04.0043.','1590000'),
(4025,'47186706','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0013.5.1.02.01.01.0029.','1653600'),
(4026,'47201867','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0013.5.2.02.10.01.0002.','16745800'),
(4027,'47231003','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0013.5.2.02.10.02.0005.','5300000'),
(4028,'47233994','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0012.5.1.02.01.01.0024.','5127100'),
(4029,'47236499','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0012.5.1.02.01.01.0029.','5314400'),
(4030,'47242303','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0001.5.1.02.01.01.0024.','3134100'),
(4031,'47244019','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0001.5.1.02.01.01.0025.','2553500'),
(4032,'47244767','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0001.5.1.02.01.01.0027.','2150000'),
(4033,'47245912','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0001.5.1.02.01.01.0029.','2162400'),
(4034,'47991510','APBD','2024','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0008.','36000000'),
(4035,'35909070','APBD','','Kab. Bondowoso','2.16.03.2.02.0004.5.1.02.04.01.0005.','20556000'),
(4036,'35909485','APBD','','Kab. Bondowoso','2.16.03.2.02.0003.5.1.02.01.01.0005.','36748000'),
(4037,'35921380','APBD','','Kab. Bondowoso','2.16.01.2.01.0001.5.1.02.04.01.0005.','21724000'),
(4038,'35922224','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.01.0001.','1552999200'),
(4039,'35922658','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.02.0001.','160685100'),
(4040,'35923205','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.03.0001.','110957000'),
(4041,'35923875','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.04.0001.','99792000'),
(4042,'35924633','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.05.0001.','30800000'),
(4043,'35925139','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.06.0001.','98143600'),
(4044,'35925876','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.07.0001.','9637600'),
(4045,'35926320','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.08.0001.','19100'),
(4046,'35926498','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.09.0001.','74217700'),
(4047,'35926646','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.10.0001.','3727200'),
(4048,'35927055','APBD','','Kab. Bondowoso','2.16.01.2.02.0001.5.1.01.01.11.0001.','11181600'),
(4049,'35946905','APBD','','Kab. Bondowoso','2.16.01.2.06.0009.5.1.02.04.01.0005.','71324000'),
(4050,'35952918','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0026.','509600000'),
(4051,'35953005','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0027.','109500000'),
(4052,'35953064','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0030.','30000000'),
(4053,'35953087','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0031.','18000000'),
(4054,'35953109','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.2.1.60.12.08.0004.','17393500'),
(4055,'35953129','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0039.','227400000'),
(4056,'35953146','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.01.0046.','288000000'),
(4057,'35953152','APBD','','Kab. Bondowoso','2.16.01.2.08.0004.5.1.02.02.02.0006.','9072000'),
(4058,'35954385','APBD','','Kab. Bondowoso','2.16.01.2.09.0005.5.1.02.02.01.0016.','150000'),
(4059,'35958313','APBD','','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.02.01.0004.','50400000'),
(4060,'35958372','APBD','','Kab. Bondowoso','2.20.02.2.01.0001.5.1.02.04.01.0005.','20970000'),
(4061,'35958765','APBD','','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.02.01.0003.','3000000'),
(4062,'35958780','APBD','','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.02.01.0027.','12000000'),
(4063,'35958886','APBD','','Kab. Bondowoso','2.20.02.2.01.0003.5.1.02.04.01.0005.','38928000'),
(4064,'35962550','APBD','','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.02.01.0003.','11000000'),
(4065,'35963005','APBD','','Kab. Bondowoso','2.21.02.2.01.0002.5.1.02.04.01.0005.','23552000'),
(4066,'35965118','APBD','','Kab. Bondowoso','2.21.02.2.01.0003.5.1.02.04.01.0005.','2050000'),
(4067,'35979361','APBD','','Kab. Bondowoso','2.21.02.2.01.0001.5.1.02.04.01.0005.','2050000'),
(4068,'35986547','APBD','','Kab. Bondowoso','2.21.02.2.01.0004.5.1.02.02.01.0003.','17400000'),
(4069,'35988273','APBD','','Kab. Bondowoso','2.21.02.2.01.0004.5.1.02.04.01.0005.','53735000'),
(4070,'36007788','APBD','','Kab. Bondowoso','2.16.02.2.01.0007.5.1.02.04.01.0005.','24600000'),
(4071,'36012367','APBD','','Kab. Bondowoso','2.16.02.2.01.0002.5.1.02.02.01.0003.','800000'),
(4072,'36012636','APBD','','Kab. Bondowoso','2.16.02.2.01.0002.5.1.02.04.01.0004.','3200000'),
(4073,'36015814','APBD','','Kab. Bondowoso','2.16.02.2.01.0006.5.1.02.04.01.0004.','2400000'),
(4074,'36016312','APBD','','Kab. Bondowoso','2.16.02.2.01.0006.5.1.02.04.01.0005.','14350000'),
(4075,'36033213','APBD','','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0003.','18450000'),
(4076,'36033515','APBD','','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0039.','12000000'),
(4077,'36033952','APBD','','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.02.01.0055.','29600000'),
(4078,'36039478','APBD','','Kab. Bondowoso','2.16.02.2.01.0005.5.1.02.04.01.0005.','24600000'),
(4079,'36044427','APBD','','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.02.01.0003.','6000000'),
(4080,'36047160','APBD','','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.04.01.0004.','8040000'),
(4081,'36047318','APBD','','Kab. Bondowoso','2.16.02.2.01.0010.5.1.02.04.01.0005.','11774000'),
(4082,'36054417','APBD','','Kab. Bondowoso','2.16.02.2.01.0013.5.1.02.04.01.0005.','4100000'),
(4083,'36068155','APBD','','Kab. Bondowoso','2.16.02.2.01.0012.5.1.02.04.01.0004.','8800000'),
(4084,'36068506','APBD','','Kab. Bondowoso','2.16.02.2.01.0012.5.1.02.04.01.0005.','5330000'),
(4085,'46981040','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','114500000'),
(4086,'46981176','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','294000000'),
(4087,'46981605','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','80000000'),
(4088,'46981807','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','200000000'),
(4089,'46982083','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','96000000'),
(4090,'46982442','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','180000000'),
(4091,'46983115','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','171650000'),
(4092,'46983355','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','120000000'),
(4093,'47004573','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0009.5.2.03.01.01.0001.','3448243'),
(4094,'47005392','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0009.5.2.03.01.01.0001.','172412138'),
(4095,'47005642','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0024.','1394700'),
(4096,'47006123','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0009.5.2.03.01.01.0001.','9655463'),
(4097,'47007073','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0009.5.2.03.01.01.0001.','14484156'),
(4098,'47007373','APBD','2024','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.01.01.0024.','5410600'),
(4099,'47009315','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0024.','1347300'),
(4100,'47009733','APBD','2024','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.01.01.0025.','624400'),
(4101,'47013563','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0015.','17500000'),
(4102,'47014099','APBD','2024','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.01.01.0027.','80000'),
(4103,'47014336','APBD','2024','Kab. Bondowoso','5.10.20.2.02.0006.2.1.70.12.08.0004.','16416000'),
(4104,'47015345','APBD','2024','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.01.01.0052.','8460000'),
(4105,'47020749','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0003.5.1.02.01.01.0025.','324000'),
(4106,'47021599','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0003.5.1.02.01.01.0029.','259700'),
(4107,'47022337','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0005.5.1.02.01.01.0025.','648000'),
(4108,'47023600','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0005.5.1.02.01.01.0029.','260000'),
(4109,'47024757','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0005.5.1.02.01.01.0025.','324000'),
(4110,'47025392','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0005.5.1.02.01.01.0029.','259700'),
(4111,'47025869','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0007.5.1.02.01.01.0025.','129600'),
(4112,'47026425','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0007.5.1.02.01.01.0029.','130000'),
(4113,'47026876','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.1.02.01.01.0024.','963300'),
(4114,'47028708','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0003.5.1.02.01.01.0025.','1944000'),
(4115,'47030374','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0003.5.1.02.01.01.0029.','1950000'),
(4116,'47033993','APBD','2024','Kab. Bondowoso','2.17.01.2.04.0007.5.1.02.01.01.0025.','1296000'),
(4117,'47034503','APBD','2024','Kab. Bondowoso','2.17.01.2.04.0007.5.1.02.01.01.0029.','1950000'),
(4118,'47034870','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0006.5.1.02.02.01.0035.','7500000'),
(4119,'47035550','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0006.5.1.02.02.01.0046.','2500000'),
(4120,'47037236','APBD','2024','Kab. Bondowoso','2.17.01.2.03.0005.5.1.02.01.01.0025.','648000'),
(4121,'47037572','APBD','2024','Kab. Bondowoso','2.17.01.2.03.0005.5.1.02.01.01.0029.','260000'),
(4122,'47039290','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0008.5.1.02.01.01.0052.','51700000'),
(4123,'47039969','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.1.02.01.01.0024.','963300'),
(4124,'47053349','APBD','2024','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.01.01.0029.','1765000'),
(4125,'47060734','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.1.02.01.01.0025.','181800'),
(4126,'47061474','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.1.02.01.01.0029.','1428000'),
(4127,'47061917','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.05.01.0005.','76943900'),
(4128,'47062336','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.05.02.0004.','7868000'),
(4129,'47063062','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.05.02.0006.','8085000'),
(4130,'47063981','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.06.01.0001.','13519800'),
(4131,'47064203','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.10.01.0002.','86079000'),
(4132,'47064469','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.10.02.0003.','19080000'),
(4133,'47064624','APBD','2024','Kab. Bondowoso','2.17.01.2.07.0006.5.2.02.10.02.0004.','1060900'),
(4134,'47087263','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0004.5.1.02.01.01.0024.','6349700'),
(4135,'47088599','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0004.5.1.02.01.01.0025.','18798100'),
(4136,'47089163','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0004.5.1.02.01.01.0029.','2837400'),
(4137,'47089476','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.01.01.0004.','7496500'),
(4138,'47094101','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0052.','2585000'),
(4139,'47096959','APBD','2024','Kab. Bondowoso','2.17.06.2.01.0001.5.1.02.01.01.0029.','2530000'),
(4140,'47098929','APBD','2024','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.01.01.0025.','1074400'),
(4141,'47098956','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0005.5.1.02.01.01.0025.','5856000'),
(4142,'47098972','APBD','2024','Kab. Bondowoso','2.17.06.2.01.0001.5.1.02.01.01.0025.','923500'),
(4143,'47099512','APBD','2024','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.01.01.0029.','1277300'),
(4144,'47101276','APBD','2024','Kab. Bondowoso','2.17.06.2.01.0001.2.1.70.62.01.0001.','2346500'),
(4145,'47101383','APBD','2024','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.01.01.0052.','2115000'),
(4146,'47104168','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.01.01.0025.','1223000'),
(4147,'47104913','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.01.01.0029.','4423000'),
(4148,'47105491','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.01.01.0052.','23970000'),
(4149,'47108769','APBD','2024','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.01.01.0052.','7050000'),
(4150,'47109261','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0001.5.1.02.01.01.0004.','2793000'),
(4151,'47112720','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0001.5.1.02.01.01.0052.','3760000'),
(4152,'47118758','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0004.','8292000'),
(4153,'47123763','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.01.01.0024.','1296500'),
(4154,'47128005','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.01.01.0025.','882000'),
(4155,'47128344','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0025.','1557000'),
(4156,'47130999','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.01.01.0029.','1361500'),
(4157,'47133249','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.01.01.0039.','240000000'),
(4158,'47133647','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0029.','3045700'),
(4159,'47133969','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.01.01.0052.','8460000'),
(4160,'47135478','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0052.','9400000'),
(4161,'47157622','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0012.','33300000'),
(4162,'47163601','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0001.5.1.02.02.01.0064.','3840000'),
(4163,'47166696','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0027.','200000'),
(4164,'47169233','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0030.','4244000'),
(4165,'47170767','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0052.','15750000'),
(4166,'47173139','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0075.','31500000'),
(4167,'47173902','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0025.','3319700'),
(4168,'47174153','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.02.01.0025.','11000000'),
(4169,'47174316','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0027.','6000000'),
(4170,'47175431','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0029.','8193400'),
(4171,'47176921','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.02.04.0118.','121000000'),
(4172,'47177935','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0024.','1417900'),
(4173,'47178495','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0025.','2596300'),
(4174,'47187222','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0027.','1000000'),
(4175,'47187309','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0029.','725800'),
(4176,'47187441','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','151172400'),
(4177,'47189068','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0001.5.1.02.01.01.0031.','40000000'),
(4178,'47200366','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','49990000'),
(4179,'47200481','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','190000000'),
(4180,'47200637','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','95000000'),
(4181,'47200849','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','179859000'),
(4182,'47201028','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','39807600'),
(4183,'47201087','APBD','2024','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.01.01.0024.','1102000'),
(4184,'47201375','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','60000000'),
(4185,'47201484','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','100000000'),
(4186,'47201509','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','197574000'),
(4187,'47201620','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','700000000'),
(4188,'47201638','APBD','2024','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.01.01.0025.','376200'),
(4189,'47201739','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','53298000'),
(4190,'47201962','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','199234000'),
(4191,'47201983','APBD','2024','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.01.01.0029.','1108800'),
(4192,'47202389','APBD','2024','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.01.01.0052.','2820000'),
(4193,'47202394','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','150352000'),
(4194,'47202536','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','600000000'),
(4195,'47202733','APBD','2024','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.01.01.0024.','780100'),
(4196,'47203548','APBD','2024','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.01.01.0025.','188100'),
(4197,'47203948','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','195500000'),
(4198,'47204136','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','195000000'),
(4199,'47204361','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','197400000'),
(4200,'47204773','APBD','2024','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.01.01.0029.','1101800'),
(4201,'47204910','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','71298000'),
(4202,'47204921','APBD','2024','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.01.01.0024.','1682400'),
(4203,'47205263','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','1000000000'),
(4204,'47205652','APBD','2024','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.01.01.0025.','505800'),
(4205,'47205668','APBD','2024','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.01.01.0052.','3760000'),
(4206,'47205704','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','530000000'),
(4207,'47206035','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0039.','1050000000'),
(4208,'47206267','APBD','2024','Kab. Bondowoso','2.17.01.2.08.0001.5.1.02.01.01.0024.','981600'),
(4209,'47207034','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0052.','53110000'),
(4210,'47207736','APBD','2024','Kab. Bondowoso','2.17.01.2.08.0001.5.1.02.01.01.0025.','1018400'),
(4211,'47207972','APBD','2024','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.01.01.0029.','1101800'),
(4212,'47209538','APBD','2024','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.01.01.0052.','5640000'),
(4213,'47209621','APBD','2024','Kab. Bondowoso','2.17.01.2.08.0002.5.1.02.02.01.0060.','7884000'),
(4214,'47210477','APBD','2024','Kab. Bondowoso','2.17.01.2.08.0002.5.1.02.02.01.0061.','313116000'),
(4215,'47211281','APBD','2024','Kab. Bondowoso','2.17.01.2.08.0002.5.1.02.02.01.0063.','96000000'),
(4216,'47213457','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0002.5.1.02.01.01.0004.','51104400'),
(4217,'47214172','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0002.5.1.02.01.01.0013.','80000000'),
(4218,'47216395','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0002.5.1.02.01.01.0024.','45600'),
(4219,'47217569','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0002.5.1.02.02.01.0035.','100000000'),
(4220,'47218281','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0002.5.1.02.01.01.0004.','12598300'),
(4221,'47218496','APBD','2024','Kab. Bondowoso','2.17.01.2.09.0002.5.1.02.02.01.0067.','18850000'),
(4222,'47222191','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0002.5.1.02.01.01.0030.','20000000'),
(4223,'47222271','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0002.5.1.02.01.01.0027.','300000'),
(4224,'47224148','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0006.5.1.02.02.01.0062.','4800000'),
(4225,'47227336','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0027.','100000'),
(4226,'47227815','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0002.5.1.02.02.04.0043.','42500000'),
(4227,'47231089','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.01.01.0004.','3990000'),
(4228,'47237148','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.01.01.0027.','200000'),
(4229,'47238604','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.01.01.0029.','4210500'),
(4230,'47240122','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.01.01.0052.','7050000'),
(4231,'47249349','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0004.','3947400'),
(4232,'47249937','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0012.','10000000'),
(4233,'47250749','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0012.','8000000'),
(4234,'47253345','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0027.','390000'),
(4235,'47256411','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0052.','5170000'),
(4236,'47259305','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0052.','5170000'),
(4237,'47259716','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0052.','6345000'),
(4238,'47260122','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0052.','2256000'),
(4239,'47265123','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0003.5.1.02.01.01.0052.','7520000'),
(4240,'47267446','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.01.01.0052.','20370000'),
(4241,'47273760','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.01.01.0052.','3055000'),
(4242,'47278622','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.01.01.0012.','14400000'),
(4243,'47281433','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.01.01.0027.','20000'),
(4244,'47282561','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.01.01.0052.','35100000'),
(4245,'47297441','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0014.5.2.06.01.01.0005.','60000000'),
(4246,'47327966','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.01.01.0004.','1120000'),
(4247,'47332261','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.01.01.0024.','1416000'),
(4248,'47333780','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.01.01.0025.','856800'),
(4249,'47334989','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.01.01.0029.','1038000'),
(4250,'47336167','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.01.01.0052.','2820000'),
(4251,'47337234','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0003.5.1.02.01.01.0024.','1045900'),
(4252,'47338396','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0003.5.1.02.01.01.0025.','434700'),
(4253,'47339062','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0003.5.1.02.01.01.0029.','519400'),
(4254,'47340575','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0002.5.1.02.01.01.0024.','604400'),
(4255,'47341138','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0002.5.1.02.01.01.0025.','376200'),
(4256,'47343409','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0004.5.1.02.01.01.0024.','916300'),
(4257,'47344475','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0004.5.1.02.01.01.0025.','564300'),
(4258,'47345380','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0004.5.1.02.01.01.0029.','519400'),
(4259,'47346382','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0006.5.1.02.01.01.0024.','1887900'),
(4260,'47347336','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0006.5.1.02.01.01.0025.','1168200'),
(4261,'47348924','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0006.5.1.02.01.01.0029.','1943900'),
(4262,'47349926','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0005.5.1.02.01.01.0024.','1410000'),
(4263,'47350317','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0005.5.1.02.01.01.0025.','570600'),
(4264,'47350748','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0005.5.1.02.01.01.0029.','519400'),
(4265,'47351865','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0024.','5229600'),
(4266,'47352466','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0025.','1054500'),
(4267,'47352863','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0027.','100000'),
(4268,'47353521','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0029.','1943900'),
(4269,'47354898','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0052.','940000'),
(4270,'47355469','APBD','2024','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.01.01.0004.','2492000'),
(4271,'47356333','APBD','2024','Kab. Bondowoso','2.17.03.2.01.0001.5.1.02.01.01.0029.','1017600'),
(4272,'47462761','APBD','2024','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.01.01.0029.','890400'),
(4273,'47463140','APBD','2024','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.01.01.0027.','20000'),
(4274,'47492342','APBD','2024','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.01.01.0025.','1798500'),
(4275,'47493140','APBD','2024','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.01.01.0024.','3731100'),
(4276,'47493880','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.02.04.0117.','200000000'),
(4277,'47494934','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.02.04.0117.','84000000'),
(4278,'47502251','APBD','2024','Kab. Bondowoso','2.17.03.2.01.0001.5.1.02.01.01.0025.','1199000'),
(4279,'47502312','APBD','2024','Kab. Bondowoso','2.17.03.2.01.0001.5.1.02.01.01.0024.','1463400'),
(4280,'49643039','APBD','2024','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.01.01.0025.','1214700'),
(4281,'49643134','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0001.5.1.02.01.01.0024.','369300'),
(4282,'49643202','APBD','2024','Kab. Bondowoso','3.30.04.2.02.0001.5.1.02.01.01.0025.','882000'),
(4283,'49674420','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0029.','996400'),
(4284,'49678903','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1003.9.','30000000'),
(4285,'49679877','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0005.5.1.02.01.01.0024.','994900'),
(4286,'49680035','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0007.5.1.02.01.01.0024.','86400'),
(4287,'49680130','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0003.5.1.02.01.01.0024.','763000'),
(4288,'49680368','APBD','2024','Kab. Bondowoso','2.17.01.2.02.0003.5.1.02.01.01.0052.','1'),
(4289,'49680490','APBD','2024','Kab. Bondowoso','2.17.01.2.03.0005.5.1.02.01.01.0024.','361000'),
(4290,'49680595','APBD','2024','Kab. Bondowoso','2.17.01.2.04.0007.5.1.02.01.01.0024.','194700'),
(4291,'49681688','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0005.5.1.02.01.01.0024.','252200'),
(4292,'49682053','APBD','2024','Kab. Bondowoso','2.17.01.2.05.0003.5.1.02.01.01.0024.','179600'),
(4293,'49682867','APBD','2024','Kab. Bondowoso','2.17.01.2.06.0005.5.1.02.01.01.0024.','89878000'),
(4294,'49718363','APBD','2024','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.01.01.0024.','1907900'),
(4295,'49718509','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0014.5.1.02.01.01.0025.','681300'),
(4296,'49718620','APBD','2024','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.01.01.0025.','1214700'),
(4297,'49718628','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.01.01.0025.','818500'),
(4298,'49718811','APBD','2024','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.01.01.0029.','2247200'),
(4299,'49718868','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.01.01.0025.','264700'),
(4300,'49719011','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.01.01.0025.','582400'),
(4301,'49719145','APBD','2024','Kab. Bondowoso','2.17.07.2.01.0003.5.1.02.01.01.0025.','188100'),
(4302,'49719304','APBD','2024','Kab. Bondowoso','2.17.08.2.01.0006.5.1.02.01.01.0025.','5765000'),
(4303,'49731991','APBD','2024','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.01.01.0024.','1824200'),
(4304,'49732043','APBD','2024','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0025.','915600'),
(4305,'49732332','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0024.','327200'),
(4306,'49732545','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0025.','882000'),
(4307,'49732623','APBD','2024','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.01.01.0029.','2203600'),
(4308,'49810067','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.02.01.0035.','3000000'),
(4309,'49810302','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.01.01.0004.','997500'),
(4310,'49810500','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.01.01.0024.','44400000'),
(4311,'49810604','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.01.01.0027.','250000'),
(4312,'49811119','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.2.03.01.01.0012.','14484156'),
(4313,'49811167','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.2.03.01.01.0012.','3448243'),
(4314,'49811242','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.2.03.01.01.0012.','172412138'),
(4315,'49811276','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.2.03.01.01.0012.','9655463'),
(4316,'49811319','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.1.02.01.01.0052.','4700000'),
(4317,'49811358','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.1.02.01.01.0027.','50000'),
(4318,'49812918','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.01.01.0024.','546500'),
(4319,'49813387','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.01.01.0024.','1738000'),
(4320,'49814609','APBD','2024','Kab. Bondowoso','3.30.05.2.01.0002.5.1.02.01.01.0025.','1291500'),
(4321,'49827091','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.01.01.0025.','1461000'),
(4322,'49827337','APBD','2024','Kab. Bondowoso','3.30.03.2.01.0001.5.1.02.01.01.0025.','277800'),
(4323,'35974785','APBD','','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.02.01.0003.','3600000'),
(4324,'35975170','APBD','','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.01.01.0003.','6300000'),
(4325,'35975229','APBD','','Kab. Bondowoso','2.17.01.2.08.0004.5.1.02.02.01.0026.','610800000'),
(4326,'35975367','APBD','','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.02.01.0003.','24600000'),
(4327,'35975715','APBD','','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.04.01.0004.','3000000'),
(4328,'35975792','APBD','','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.04.01.0001.','1800000'),
(4329,'35975911','APBD','','Kab. Bondowoso','2.17.01.2.08.0004.5.1.02.02.01.0028.','156000000'),
(4330,'35976177','APBD','','Kab. Bondowoso','2.17.01.2.01.0007.5.1.02.04.01.0005.','6990000'),
(4331,'35976445','APBD','','Kab. Bondowoso','3.31.02.2.01.0004.5.1.02.04.01.0005.','16396000'),
(4332,'35976764','APBD','','Kab. Bondowoso','2.17.01.2.08.0004.5.1.02.02.01.0030.','14400000'),
(4333,'35977045','APBD','','Kab. Bondowoso','2.17.01.2.08.0004.2.1.70.12.08.0004.','252000000'),
(4334,'35985706','APBD','','Kab. Bondowoso','2.17.01.2.04.0007.5.1.02.04.01.0004.','9000000'),
(4335,'35985957','APBD','','Kab. Bondowoso','2.17.01.2.03.0005.5.1.02.04.01.0004.','2480000'),
(4336,'35986335','APBD','','Kab. Bondowoso','2.17.01.2.03.0005.5.1.02.04.01.0005.','15366000'),
(4337,'35994228','APBD','','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.04.01.0004.','4800000'),
(4338,'35994999','APBD','','Kab. Bondowoso','2.17.05.2.01.0001.5.1.02.04.01.0005.','2460000'),
(4339,'36008244','APBD','','Kab. Bondowoso','2.17.06.2.01.0001.5.1.02.02.01.0006.','126000000'),
(4340,'36008365','APBD','','Kab. Bondowoso','2.17.06.2.01.0001.5.1.02.04.01.0004.','1600000'),
(4341,'36009138','APBD','','Kab. Bondowoso','2.17.06.2.01.0001.5.1.02.04.01.0005.','6600000'),
(4342,'36009522','APBD','','Kab. Bondowoso','2.17.01.2.02.0003.5.1.02.02.01.0003.','7200000'),
(4343,'36013285','APBD','','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.02.01.0003.','2700000'),
(4344,'36013528','APBD','','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.04.01.0004.','1840000'),
(4345,'36013681','APBD','','Kab. Bondowoso','3.31.03.2.01.0003.5.1.02.04.01.0005.','13576000'),
(4346,'36015108','APBD','','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.02.01.0003.','27000000'),
(4347,'36015313','APBD','','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.02.01.0055.','15000000'),
(4348,'36015570','APBD','','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.04.01.0004.','17760000'),
(4349,'36015730','APBD','','Kab. Bondowoso','3.31.02.2.01.0003.5.1.02.04.01.0005.','64802000'),
(4350,'36016821','APBD','','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.02.01.0003.','9000000'),
(4351,'36017224','APBD','','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.02.01.0027.','7800000'),
(4352,'36017593','APBD','','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.04.01.0004.','2240000'),
(4353,'36017729','APBD','','Kab. Bondowoso','3.31.04.2.01.0001.5.1.02.04.01.0005.','17306000'),
(4354,'36018831','APBD','','Kab. Bondowoso','3.31.02.2.01.0001.5.1.02.04.01.0004.','4800000'),
(4355,'36019027','APBD','','Kab. Bondowoso','3.31.02.2.01.0001.5.1.02.04.01.0005.','10560000'),
(4356,'36020885','APBD','','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.02.01.0003.','18000000'),
(4357,'36021198','APBD','','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.04.01.0004.','3200000'),
(4358,'36021470','APBD','','Kab. Bondowoso','3.30.03.2.01.0002.5.1.02.04.01.0005.','6150000'),
(4359,'36027626','APBD','','Kab. Bondowoso','3.30.04.2.02.0003.5.1.02.04.01.0004.','8000000'),
(4360,'36039813','APBD','','Kab. Bondowoso','3.30.04.2.02.0001.5.1.02.04.01.0004.','14400000'),
(4361,'36040063','APBD','','Kab. Bondowoso','3.30.04.2.02.0001.5.1.02.04.01.0005.','7380000'),
(4362,'36040715','APBD','','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.02.01.0003.','3600000'),
(4363,'36040894','APBD','','Kab. Bondowoso','3.30.03.2.01.0001.5.1.02.02.01.0067.','32630000'),
(4364,'36040957','APBD','','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.04.01.0004.','4800000'),
(4365,'36041004','APBD','','Kab. Bondowoso','3.30.03.2.01.0001.5.1.02.04.01.0004.','400000'),
(4366,'36041125','APBD','','Kab. Bondowoso','3.30.03.2.02.0001.5.1.02.04.01.0005.','6150000'),
(4367,'36044509','APBD','','Kab. Bondowoso','3.30.05.2.01.0003.5.1.02.04.01.0004.','44800000'),
(4368,'36055418','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.01.01.0052.','9400000'),
(4369,'36055500','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.02.01.0003.','4500000'),
(4370,'36055501','APBD','','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.04.01.0004.','3200000'),
(4371,'36055564','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.04.01.0004.','7520000'),
(4372,'36055582','APBD','','Kab. Bondowoso','3.30.06.2.01.0001.5.1.02.04.01.0005.','16400000'),
(4373,'36055629','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.04.01.0005.','22750000'),
(4374,'36056908','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.02.01.0003.','13500000'),
(4375,'36057235','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.02.01.0055.','55500000'),
(4376,'36057574','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.04.01.0004.','29440000'),
(4377,'36057711','APBD','','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.04.01.0004.','3840000'),
(4378,'36057872','APBD','','Kab. Bondowoso','3.30.04.2.01.0001.5.1.02.04.01.0005.','5330000'),
(4379,'36057973','APBD','','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.04.01.0004.','9920000'),
(4380,'36058197','APBD','','Kab. Bondowoso','3.30.04.2.03.0003.5.1.02.04.01.0005.','6150000'),
(4381,'36061220','APBD','','Kab. Bondowoso','3.31.02.2.01.0005.5.1.02.04.01.0005.','28980000'),
(4382,'36063115','APBD','','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1000.3.','14400000'),
(4383,'36064352','APBD','','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1000.3.','4500000'),
(4384,'36064655','APBD','','Kab. Bondowoso','3.30.05.2.01.0002.5.1.02.04.01.0005.','98338000'),
(4385,'36064718','APBD','','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1000.3.','10800000'),
(4386,'36065225','APBD','','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1000.4.','20800000'),
(4387,'36065438','APBD','','Kab. Bondowoso','2.17.08.2.01.0006.1.5.10.20.10.1000.5.','17580000'),
(4388,'36068647','APBD','','Kab. Bondowoso','2.17.07.2.01.0003.5.1.02.02.01.0003.','9000000'),
(4389,'36068805','APBD','','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.02.01.0003.','12300000'),
(4390,'36069037','APBD','','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.04.01.0004.','5280000'),
(4391,'36069248','APBD','','Kab. Bondowoso','2.17.07.2.01.0003.5.1.02.04.01.0004.','4800000'),
(4392,'36069426','APBD','','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.04.01.0005.','14210000'),
(4393,'36078355','APBD','','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.02.01.0003.','31500000'),
(4394,'36078662','APBD','','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.02.01.0006.','168000000'),
(4395,'36078861','APBD','','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.04.01.0004.','17600000'),
(4396,'36078985','APBD','','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.04.01.0005.','6150000'),
(4397,'36081259','APBD','','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.02.01.0003.','6400000'),
(4398,'36082087','APBD','','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.04.01.0004.','11920000'),
(4399,'36082284','APBD','','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.04.01.0005.','6510000'),
(4400,'36084255','APBD','','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.02.01.0003.','38400000'),
(4401,'36084450','APBD','','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.04.01.0004.','12000000'),
(4402,'36084595','APBD','','Kab. Bondowoso','2.17.07.2.01.0015.5.1.02.04.01.0005.','15300000'),
(4403,'36085793','APBD','','Kab. Bondowoso','2.17.07.2.01.0014.5.1.02.02.01.0027.','6000000'),
(4404,'36086050','APBD','','Kab. Bondowoso','2.17.07.2.01.0014.5.1.02.04.01.0004.','4800000'),
(4405,'36086329','APBD','','Kab. Bondowoso','2.17.07.2.01.0014.5.1.02.04.01.0005.','6150000'),
(4406,'36103271','APBD','','Kab. Bondowoso','2.17.01.2.06.0009.5.1.02.04.01.0004.','4800000'),
(4407,'36106223','APBD','','Kab. Bondowoso','2.17.01.2.06.0009.5.1.02.04.01.0005.','145200000'),
(4408,'36111017','APBD','','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.02.01.0071.','6000000'),
(4409,'36111228','APBD','','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.04.01.0004.','3680000'),
(4410,'36111408','APBD','','Kab. Bondowoso','2.17.01.2.01.0001.5.1.02.04.01.0005.','8560000'),
(4411,'36141211','APBD','','Kab. Bondowoso','2.17.03.2.01.0001.5.1.02.04.01.0005.','10560000'),
(4412,'36165088','APBD','','Kab. Bondowoso','3.30.05.2.01.0005.5.1.02.02.01.0025.','240000000'),
(4413,'36169847','APBD','','Kab. Bondowoso','2.17.03.2.01.0001.5.1.02.04.01.0004.','14320000'),
(4414,'36170180','APBD','','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.04.01.0004.','14320000'),
(4415,'36170354','APBD','','Kab. Bondowoso','2.17.04.2.01.0001.5.1.02.04.01.0005.','9240000'),
(4416,'36245730','APBD','','Kab. Bondowoso','2.17.07.2.01.0003.5.1.02.02.01.0026.','500000'),
(4417,'36245983','APBD','','Kab. Bondowoso','2.17.07.2.01.0004.5.1.02.02.01.0026.','1500000'),
(4418,'36246161','APBD','','Kab. Bondowoso','2.17.07.2.01.0002.5.1.02.02.01.0026.','500000'),
(4419,'47570292','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.01.01.0024.','36490400'),
(4420,'47570323','APBD','2024','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(4421,'47570324','APBD','2024','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.02.08.0032.8.1.0.20.20.90.032.00005','40000000'),
(4422,'47570325','APBD','2024','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','620400'),
(4423,'47570326','APBD','2024','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3888000'),
(4424,'47570548','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.01.01.0025.','1881000'),
(4425,'47570601','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.01.01.0029.','2613600'),
(4426,'47570666','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.01.01.0052.','2115000'),
(4427,'47571064','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0005.5.1.02.01.01.0004.','4190000'),
(4428,'47571105','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0039.1.1.1.20.10.50.001.00648','41395200'),
(4429,'47571106','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','206700'),
(4430,'47571107','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1170000'),
(4431,'47571108','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','585000'),
(4432,'47571109','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(4433,'47571110','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.02.08.0032.8.1.0.20.20.90.032.00019','75000000'),
(4434,'47571177','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0005.5.1.02.01.01.0024.','61000'),
(4435,'47571363','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.01.01.0001.','2187400'),
(4436,'47571575','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.01.01.0025.','1160100'),
(4437,'47571623','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.01.01.0027.','330000'),
(4438,'47571668','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.01.01.0030.','36057500'),
(4439,'47571688','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10783','90500'),
(4440,'47571689','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02159','82400'),
(4441,'47571690','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','292500'),
(4442,'47571818','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.01.01.0064.','48250000'),
(4443,'47571959','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(4444,'47571960','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(4445,'47571961','APBD','2024','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','320000'),
(4446,'47572374','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0001.','144681000'),
(4447,'47572441','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0005.','5382400'),
(4448,'47572490','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0024.','2939400'),
(4449,'47572522','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.2.02.08.01.0011.1.3.0.20.80.10.011.00184','85000'),
(4450,'47572523','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.2.02.05.02.0007.1.3.0.20.50.20.007.00883','3710000'),
(4451,'47572524','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.2.02.06.03.0047.1.3.0.20.60.30.047.00072','15900000'),
(4452,'47572525','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','108800'),
(4453,'47572526','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0002.1.1.1.20.10.10.002.04239','1300000'),
(4454,'47572527','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(4455,'47572528','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0029.1.1.1.20.10.30.006.03657','1200000'),
(4456,'47572529','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.2.02.05.01.0004.1.3.0.20.50.10.004.01652','21722700'),
(4457,'47572530','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.02.12.0001.8.1.0.20.21.30.001.00194','50000000'),
(4458,'47572531','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.02.12.0003.8.1.0.20.21.30.003.00017','50000000'),
(4459,'47572532','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0012.1.1.1.20.10.10.012.01387','80000'),
(4460,'47572533','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.02.01.0015.8.1.0.20.20.10.015.00039','39000000'),
(4461,'47572534','APBD','2024','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.02.01.0050.8.1.0.20.20.10.050.00085','2100000'),
(4462,'47572556','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2358300'),
(4463,'47572557','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(4464,'47572558','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','200000'),
(4465,'47572559','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03595','310500'),
(4466,'47572560','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0034.1.1.1.20.10.30.011.00114','12500000'),
(4467,'47572561','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(4468,'47572562','APBD','2024','Kab. Bondowoso','2.11.08.2.01.0002.5.2.03.01.01.0001.1.3.0.30.10.10.001.00244','3017400'),
(4469,'47572567','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0025.','2315700'),
(4470,'47572660','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0027.','990000'),
(4471,'47572854','APBD','2024','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','25100'),
(4472,'47572855','APBD','2024','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(4473,'47572856','APBD','2024','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','397500'),
(4474,'47573312','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0027.','1322400'),
(4475,'47573324','APBD','2024','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','75000'),
(4476,'47573325','APBD','2024','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(4477,'47573326','APBD','2024','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','662500'),
(4478,'47573327','APBD','2024','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.01.01.0040.1.1.1.20.10.50.002.00066','92400000'),
(4479,'47573328','APBD','2024','Kab. Bondowoso','2.11.03.2.03.0013.5.2.02.02.01.0006.1.3.0.20.20.10.006.00573','1000000000'),
(4480,'47573398','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.01.01.0030.','5936000'),
(4481,'47574030','APBD','2024','Kab. Bondowoso','2.11.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','435000'),
(4482,'47574031','APBD','2024','Kab. Bondowoso','2.11.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','90500'),
(4483,'47574032','APBD','2024','Kab. Bondowoso','2.11.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','265000'),
(4484,'47574062','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','750000'),
(4485,'47574063','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0008.1.1.1.20.10.10.008.01454','2650000'),
(4486,'47574064','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0013.1.1.1.20.10.20.001.05949','60000000'),
(4487,'47574065','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','56000'),
(4488,'47574066','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(4489,'47574067','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03000','220400'),
(4490,'47574068','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0030.1.1.1.20.10.30.007.01736','5724000'),
(4491,'47574069','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0034.1.1.1.20.10.30.011.00114','12500000'),
(4492,'47574070','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.04453','4732000'),
(4493,'47574071','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0032.1.1.1.20.10.30.009.00201','10600000'),
(4494,'47574072','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','7500000'),
(4495,'47574073','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00011','12000000'),
(4496,'47574074','APBD','2024','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','200000'),
(4497,'47574483','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0006.5.1.02.03.02.0409.8.1.0.20.30.20.409.00003','3500000'),
(4498,'47574567','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0012.5.1.02.01.01.0004.1.1.1.20.10.10.004.00398','2544000'),
(4499,'47574568','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0012.5.1.02.01.01.0013.1.1.1.20.10.20.001.05787','2080400'),
(4500,'47574569','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0012.5.1.02.01.01.0031.1.1.1.20.10.30.008.04071','20688000'),
(4501,'47574570','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0012.5.2.02.02.01.0005.1.3.0.20.20.10.005.00031','178080000'),
(4502,'47574571','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0012.5.1.02.02.01.0035.8.1.0.20.20.10.035.00043','60000000'),
(4503,'47574732','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.14003','2528000'),
(4504,'47574733','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0004.1.1.1.20.10.10.004.00426','362249600'),
(4505,'47574734','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0005.1.1.1.20.10.10.005.01691','4738200'),
(4506,'47574735','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0014.1.1.1.20.10.20.002.00001','285000000'),
(4507,'47574736','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','250'),
(4508,'47574737','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','130000'),
(4509,'47574738','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0040.1.1.1.20.10.50.002.00054','561250000'),
(4510,'47574739','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.2.02.01.01.0001.1.3.0.20.10.10.001.00214','1800000000'),
(4511,'47574740','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.2.02.02.01.0003.1.3.0.20.20.10.003.00511','347000000'),
(4512,'47574741','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.2.02.01.01.0005.1.3.0.20.10.10.005.00117','757206800'),
(4513,'47574742','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.2.02.02.02.0001.1.3.0.20.20.20.001.00036','48949800'),
(4514,'47574743','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.01.01.0002.1.1.1.20.10.10.002.03959','3727500'),
(4515,'47575134','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00406','30025500'),
(4516,'47575135','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05949','60000000'),
(4517,'47575136','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00107','3000000'),
(4518,'47575137','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00025','3578000'),
(4519,'47575710','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.02.01.0016.','17728400'),
(4520,'47575840','APBD','2024','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.02.01.0016.','11818150'),
(4521,'47576211','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04528','448300'),
(4522,'47576273','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10952','178800'),
(4523,'47576274','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02072','85600'),
(4524,'47576275','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0002.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','240000'),
(4525,'47576276','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','265000'),
(4526,'47576386','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01725','115800'),
(4527,'47576433','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5400000'),
(4528,'47576467','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1781400'),
(4529,'47576468','APBD','2024','Kab. Bondowoso','2.11.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02328','750000'),
(4530,'47576610','APBD','2024','Kab. Bondowoso','2.11.01.2.07.0005.5.2.02.05.01.0004.1.3.0.20.50.10.004.01256','10286700'),
(4531,'47576645','APBD','2024','Kab. Bondowoso','2.11.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02715','19345000'),
(4532,'47577652','APBD','2024','Kab. Bondowoso','2.11.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00011','31200000'),
(4533,'47577653','APBD','2024','Kab. Bondowoso','2.11.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','7200000'),
(4534,'47577654','APBD','2024','Kab. Bondowoso','2.11.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00023','78000000'),
(4535,'47577920','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00247','18858000'),
(4536,'47577921','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00249','1584100'),
(4537,'47577922','APBD','2024','Kab. Bondowoso','2.11.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00250','1056300'),
(4538,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00289','1384000'),
(4539,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00290','845000'),
(4540,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00291','1690000'),
(4541,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00388','2800000'),
(4542,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','25010000'),
(4543,'36196527','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','5040000'),
(4544,'36196528','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3005800'),
(4545,'36196529','APBD','','Kab. Bondowoso','2.11.02.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6720000'),
(4546,'36196877','APBD','','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.02.01.0003.','6300000'),
(4547,'36197131','APBD','','Kab. Bondowoso','2.11.11.2.01.0004.5.1.02.04.01.0004.','25600000'),
(4548,'36197203','APBD','','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3174000'),
(4549,'36197204','APBD','','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(4550,'36197205','APBD','','Kab. Bondowoso','2.11.03.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','17630000'),
(4551,'36197294','APBD','','Kab. Bondowoso','2.11.11.2.01.0005.5.1.02.04.01.0005.','53604000'),
(4552,'36197568','APBD','','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','680800'),
(4553,'36197569','APBD','','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9020000'),
(4554,'36197570','APBD','','Kab. Bondowoso','2.11.06.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3360000'),
(4555,'36197942','APBD','','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1369900'),
(4556,'36197943','APBD','','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','24800000'),
(4557,'36197945','APBD','','Kab. Bondowoso','2.11.06.2.01.0005.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','5740000'),
(4558,'36198539','APBD','','Kab. Bondowoso','2.11.11.2.01.0013.5.1.02.02.01.0003.','9000000'),
(4559,'36199111','APBD','','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','4984000'),
(4560,'36199112','APBD','','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','11520000'),
(4561,'36199113','APBD','','Kab. Bondowoso','2.11.03.2.01.0015.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11480000'),
(4562,'36199118','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','11305000'),
(4563,'36199119','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.12.0001.8.1.0.20.21.30.001.00193','20000000'),
(4564,'36199120','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','13920000'),
(4565,'36199123','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00285','3600000'),
(4566,'36199123','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00388','4200000'),
(4567,'36199123','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','25830000'),
(4568,'36199123','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','2940000'),
(4569,'36199125','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00013','2000000'),
(4570,'36199125','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','2250000'),
(4571,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00185','4000000'),
(4572,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00246','1500000'),
(4573,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00246','1500000'),
(4574,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','3000000'),
(4575,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','3000000'),
(4576,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00037','1250000'),
(4577,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00037','1250000'),
(4578,'36199127','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00185','3000000'),
(4579,'36199129','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.02.12.0003.8.1.0.20.21.30.003.00016','170000000'),
(4580,'36199130','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.05.01.0002.8.1.0.20.50.10.002.00003','7500000'),
(4581,'36199130','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.05.01.0002.8.1.0.20.50.10.002.00002','750000'),
(4582,'36199130','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.05.01.0002.8.1.0.20.50.10.002.00005','3000000'),
(4583,'36199130','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.05.01.0002.8.1.0.20.50.10.002.00019','1500000'),
(4584,'36199130','APBD','','Kab. Bondowoso','2.11.08.2.01.0002.5.1.02.05.01.0002.8.1.0.20.50.10.002.00020','1500000'),
(4585,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00007','1050000'),
(4586,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00015','2220000'),
(4587,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00018','2424000'),
(4588,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00008','1036000'),
(4589,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00011','870000'),
(4590,'36199295','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00017','2400000'),
(4591,'36199296','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','2152000'),
(4592,'36199296','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','750000'),
(4593,'36199296','APBD','','Kab. Bondowoso','2.11.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(4594,'36199702','APBD','','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1113600'),
(4595,'36199703','APBD','','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12800000'),
(4596,'36199704','APBD','','Kab. Bondowoso','2.11.03.2.03.0013.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','6150000'),
(4597,'36199832','APBD','','Kab. Bondowoso','2.11.11.2.01.0017.5.1.02.02.01.0016.','8658000'),
(4598,'36200159','APBD','','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00406','8115000'),
(4599,'36200159','APBD','','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00425','41700000'),
(4600,'36200159','APBD','','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00426','42500000'),
(4601,'36200160','APBD','','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.02.01.0061.8.1.0.20.20.10.061.00036','200000000'),
(4602,'36200161','APBD','','Kab. Bondowoso','2.11.04.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(4603,'36200443','APBD','','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','96000000'),
(4604,'36200444','APBD','','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00033','9000000'),
(4605,'36200444','APBD','','Kab. Bondowoso','2.11.11.2.01.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00034','31500000'),
(4606,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00283','4440000'),
(4607,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.001.00027','1200000'),
(4608,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','4470000'),
(4609,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00284','2862000'),
(4610,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00285','1800000'),
(4611,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','1440000'),
(4612,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(4613,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','1260000'),
(4614,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00418','1110000'),
(4615,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00288','8085000'),
(4616,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','14445000'),
(4617,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','3228000'),
(4618,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','2656000'),
(4619,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','2656000'),
(4620,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00298','5838000'),
(4621,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','1590000'),
(4622,'36201103','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00420','1720000'),
(4623,'36201104','APBD','','Kab. Bondowoso','2.11.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(4624,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00014','18000000'),
(4625,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00023','7000000'),
(4626,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00023','144000000'),
(4627,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00045','18000000'),
(4628,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00062','52800000'),
(4629,'36201592','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','79200000'),
(4630,'36201593','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00002','60000000'),
(4631,'36201594','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.02.0005.8.1.0.20.20.20.005.00014','45360000'),
(4632,'36201595','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00001','10800000'),
(4633,'36201596','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','60000000'),
(4634,'36201596','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','108000000'),
(4635,'36201596','APBD','','Kab. Bondowoso','2.11.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','432000000'),
(4636,'36201629','APBD','','Kab. Bondowoso','2.11.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00248','377300'),
(4637,'47244161','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','864000'),
(4638,'47244162','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(4639,'47244163','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0065.8.1.0.20.10.10.065.00003','2250000'),
(4640,'47244164','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0075.8.1.0.20.10.10.075.00024','5250000'),
(4641,'47244165','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3740000'),
(4642,'47244166','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','650000'),
(4643,'47244168','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','100000'),
(4644,'47244169','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0058.8.1.0.20.10.10.058.00018','20040000'),
(4645,'47244170','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.02.04.0043.8.1.0.20.20.40.043.00015','4000000'),
(4646,'47244515','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0002.5.1.02.02.01.0047.8.1.0.20.20.10.047.00308','103725000'),
(4647,'47244516','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0002.5.1.02.02.01.0047.8.1.0.20.20.10.047.00323','150000000'),
(4648,'47244743','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(4649,'47244745','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','576000'),
(4650,'47244746','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00003','2200000'),
(4651,'47244748','APBD','2024','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.01.01.0058.8.1.0.20.10.10.058.00016','5100000'),
(4652,'47245156','APBD','2024','Kab. Bondowoso','2.19.02.2.02.0002.5.1.02.01.01.0039.1.1.1.20.10.50.001.00531','25000000'),
(4653,'47247178','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00330','75000000'),
(4654,'47247179','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00332','50000000'),
(4655,'47247180','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00333','100000000'),
(4656,'47247182','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00470','50000000'),
(4657,'47247184','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00324','150000000'),
(4658,'47247187','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00468','80000000'),
(4659,'47247189','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10727','3720000'),
(4660,'47247192','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00328','75000000'),
(4661,'47247195','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00469','100000000'),
(4662,'47247198','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.01.01.0076.8.1.0.20.10.10.076.00002','58000000'),
(4663,'47247200','APBD','2024','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00329','75000000'),
(4664,'47247411','APBD','2024','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(4665,'47247414','APBD','2024','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00395','180000000'),
(4666,'47247416','APBD','2024','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','717600'),
(4667,'47247418','APBD','2024','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(4668,'47247421','APBD','2024','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(4669,'47248062','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(4670,'47248063','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','1000000'),
(4671,'47248064','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03281','489600'),
(4672,'47248067','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0039.1.1.1.20.10.50.001.00539','15000000'),
(4673,'47248069','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','144000'),
(4674,'47248071','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2890000'),
(4675,'47248072','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.2.03.04.01.0004.1.3.0.30.40.10.004.00082','172572000'),
(4676,'47248073','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.2.03.04.01.0004.1.3.0.30.40.10.004.00085','9666660'),
(4677,'47248074','APBD','2024','Kab. Bondowoso','2.22.02.2.01.0001.5.2.03.04.01.0004.1.3.0.30.40.10.004.00084','14497800'),
(4678,'47248327','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(4679,'47248328','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','21200'),
(4680,'47248329','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','848000'),
(4681,'47248330','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(4682,'47248331','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.02.09.0014.8.1.0.20.21.00.014.00007','80000000'),
(4683,'47248332','APBD','2024','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.02.01.0025.8.1.0.20.20.10.025.00008','75000000'),
(4684,'47248752','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','454800'),
(4685,'47248753','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(4686,'47248754','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00384','300000000'),
(4687,'47248755','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00389','90000000'),
(4688,'47248756','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00390','190000000'),
(4689,'47248757','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00394','85000000'),
(4690,'47248758','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00400','40000000'),
(4691,'47248759','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0055.8.1.0.20.20.10.055.00002','1000000'),
(4692,'47248760','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00393','80000000'),
(4693,'47248761','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0030.1.1.1.20.10.30.007.02055','5308000'),
(4694,'47248762','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00385','340000000'),
(4695,'47248763','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00386','140000000'),
(4696,'47248764','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00387','180000000'),
(4697,'47248765','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00391','250000000'),
(4698,'47248766','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0047.8.1.0.20.20.10.047.00392','200000000'),
(4699,'47248767','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','175500'),
(4700,'47248768','APBD','2024','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1275000'),
(4701,'47249139','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10782','62500'),
(4702,'47249144','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02158','87900'),
(4703,'47249146','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03281','734400'),
(4704,'47249149','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0030.1.1.1.20.10.30.007.02055','15924000'),
(4705,'47249150','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','13600000'),
(4706,'47249151','APBD','2024','Kab. Bondowoso','2.22.03.2.01.0001.5.2.02.10.01.0002.1.3.0.21.00.10.002.01923','27452900'),
(4707,'47252008','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10727','595200'),
(4708,'47252009','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02158','87900'),
(4709,'47252011','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','381600'),
(4710,'47252013','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0076.8.1.0.20.10.10.076.00007','6250000'),
(4711,'47252015','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4200000'),
(4712,'47252240','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','163200'),
(4713,'47252241','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01737','1722500'),
(4714,'47252242','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.1.02.01.01.0064.8.1.0.20.10.10.064.00006','16250000'),
(4715,'47252243','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.2.02.05.02.0003.1.3.0.20.50.20.003.00354','3233000'),
(4716,'47252244','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.1.02.01.01.0001.1.1.1.20.10.10.001.13571','3100500'),
(4717,'47252245','APBD','2024','Kab. Bondowoso','2.22.04.2.01.0002.5.2.02.10.01.0002.1.3.0.21.00.10.002.02528','15195800'),
(4718,'47252547','APBD','2024','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','75300'),
(4719,'47252549','APBD','2024','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(4720,'47252551','APBD','2024','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03281','979200'),
(4721,'47252552','APBD','2024','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2040000'),
(4722,'47252553','APBD','2024','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0064.8.1.0.20.10.10.064.00001','2750000'),
(4723,'47252734','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','137800'),
(4724,'47252737','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(4725,'47252740','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03281','979200'),
(4726,'47252741','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.01.01.0058.8.1.0.20.10.10.058.00016','7140000'),
(4727,'47252986','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.1.02.02.08.0013.8.1.0.20.20.90.013.00003','70000000'),
(4728,'47252987','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.01.01.0036.1.3.0.30.10.10.036.00051','6286250'),
(4729,'47252988','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.04.01.0004.1.3.0.30.40.10.004.00084','9433500'),
(4730,'47252989','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.01.01.0036.1.3.0.30.10.10.036.00050','9430000'),
(4731,'47252990','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.01.01.0036.1.3.0.30.10.10.036.00048','112250000'),
(4732,'47252991','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.04.01.0004.1.3.0.30.40.10.004.00082','112290000'),
(4733,'47252993','APBD','2024','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.04.01.0004.1.3.0.30.40.10.004.00085','6289950'),
(4734,'47253155','APBD','2024','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.01.01.0002.1.1.1.20.10.10.002.04031','7640000'),
(4735,'47253157','APBD','2024','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.01.01.0030.1.1.1.20.10.30.007.01917','185500'),
(4736,'47253158','APBD','2024','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.13554','795000'),
(4737,'47253159','APBD','2024','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.03617','1892400'),
(4738,'47253160','APBD','2024','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.02.01.0061.8.1.0.20.20.10.061.00021','4047300'),
(4739,'47254278','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.14099','47775000'),
(4740,'47254279','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10474','15900000'),
(4741,'47254280','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','4095000'),
(4742,'47254281','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','2120000'),
(4743,'47254282','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0030.1.1.1.20.10.30.007.01763','1487500'),
(4744,'47254283','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00043','7248000'),
(4745,'47254284','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00043','14496000'),
(4746,'47254285','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00044','4848000'),
(4747,'47254286','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00317','5406175'),
(4748,'47254287','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00041','172416000'),
(4749,'47254288','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00082','164495000'),
(4750,'47254289','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00044','9696000'),
(4751,'47254290','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.02.08.0013.8.1.0.20.20.90.013.00004','100000000'),
(4752,'47254291','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00314','99678000'),
(4753,'47254292','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00082','164495000'),
(4754,'47254293','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.03634','5300000'),
(4755,'47254294','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00041','86208000'),
(4756,'47254295','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00085','9214225'),
(4757,'47254296','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00084','13819250'),
(4758,'47254297','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00314','163885000'),
(4759,'47254298','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00316','8109800'),
(4760,'47254299','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00316','13767800'),
(4761,'47254300','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.1.05.05.03.0002.1.1.1.20.10.50.002.00129','3482583'),
(4762,'47254301','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00317','9177925'),
(4763,'47254302','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00084','13819250'),
(4764,'47254303','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00085','9214225'),
(4765,'47254467','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10781','41000'),
(4766,'47254469','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1555200'),
(4767,'47254470','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','2120000'),
(4768,'47254471','APBD','2024','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(4769,'47254694','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','174000'),
(4770,'47254695','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(4771,'47254696','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','636000'),
(4772,'47254698','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.01.01.0035.1.1.1.20.10.30.012.00084','40000000'),
(4773,'47254701','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.02.01.0039.8.1.0.20.20.10.039.00038','60000000'),
(4774,'47254765','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3600'),
(4775,'47254855','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0006.5.1.02.02.01.0046.8.1.0.20.20.10.046.00002','15000000'),
(4776,'47254856','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0006.5.1.02.02.01.0047.8.1.0.20.20.10.047.00104','75000000'),
(4777,'47254857','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0006.5.1.02.02.01.0047.8.1.0.20.20.10.047.00471','100000000'),
(4778,'47254860','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0006.5.1.02.02.01.0047.8.1.0.20.20.10.047.00124','50000000'),
(4779,'47254994','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00010','15000000'),
(4780,'47254995','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10336','18550000'),
(4781,'47254997','APBD','2024','Kab. Bondowoso','3.26.03.2.01.0007.5.1.02.02.10.0008.8.1.0.20.21.10.008.00002','25000000'),
(4782,'47255221','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','553500'),
(4783,'47255223','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(4784,'47255224','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1306200'),
(4785,'47255225','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.01.01.0058.8.1.0.20.10.10.058.00018','3600000'),
(4786,'47255226','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.02.12.0001.8.1.0.20.21.30.001.00199','75570800'),
(4787,'47255491','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','552900'),
(4788,'47255493','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','108600'),
(4789,'47255494','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','400000'),
(4790,'47255495','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','1272000'),
(4791,'47255497','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0076.8.1.0.20.10.10.076.00007','15625000'),
(4792,'47255498','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.09.0017.8.1.0.20.21.00.017.00002','80000000'),
(4793,'47255499','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0058.8.1.0.20.10.10.058.00018','4500000'),
(4794,'47255865','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0012.1.1.1.20.10.10.012.01243','1248900'),
(4795,'47255866','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','852000'),
(4796,'47255868','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','36200'),
(4797,'47255869','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1306200'),
(4798,'47255870','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0030.1.1.1.20.10.30.007.02190','1097100'),
(4799,'47255871','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0037.1.1.1.20.10.40.001.13128','1628400'),
(4800,'47255873','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.01.0047.8.1.0.20.20.10.047.00134','6260000'),
(4801,'47255875','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.04.0484.8.1.0.20.20.40.484.00001','9000000'),
(4802,'47255877','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0058.8.1.0.20.10.10.058.00016','510000'),
(4803,'47255879','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.01.01.0076.8.1.0.20.10.10.076.00007','6250000'),
(4804,'47256102','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','426000'),
(4805,'47256103','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','72400'),
(4806,'47256104','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','1017600'),
(4807,'47256105','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.01.01.0076.8.1.0.20.10.10.076.00007','7500000'),
(4808,'47256106','APBD','2024','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.12.0001.8.1.0.20.21.30.001.00195','29000000'),
(4809,'47256279','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(4810,'47256281','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','1356800'),
(4811,'47256283','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','78200'),
(4812,'47256339','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(4813,'47256341','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','1060000'),
(4814,'47256343','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','80500'),
(4815,'47256420','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(4816,'47256421','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','1356800'),
(4817,'47256422','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10526','1090500'),
(4818,'47256495','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(4819,'47256503','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','1060000'),
(4820,'47256509','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10526','1090500'),
(4821,'47256579','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(4822,'47256580','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','1060000'),
(4823,'47256581','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2393400'),
(4824,'47256623','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(4825,'47256624','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','1017600'),
(4826,'47256625','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','116000'),
(4827,'47256704','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(4828,'47256705','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','1060000'),
(4829,'47256706','APBD','2024','Kab. Bondowoso','3.26.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1961400'),
(4830,'47256834','APBD','2024','Kab. Bondowoso','3.26.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(4831,'47256835','APBD','2024','Kab. Bondowoso','3.26.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','508800'),
(4832,'47256836','APBD','2024','Kab. Bondowoso','3.26.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1868400'),
(4833,'47256929','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04525','976600'),
(4834,'47256995','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02244','350000'),
(4835,'47257591','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','1160000'),
(4836,'47257592','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','3975000'),
(4837,'47257593','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','3510000'),
(4838,'47257596','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','45000000'),
(4839,'47257598','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0004.5.1.02.01.01.0053.8.1.0.20.10.10.053.00019','34000000'),
(4840,'47257655','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','14484000'),
(4841,'47257658','APBD','2024','Kab. Bondowoso','3.26.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02328','1200000'),
(4842,'47257946','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.1.02.01.01.0030.1.1.1.20.10.30.007.02186','2972000'),
(4843,'47257947','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.04.01.0002.1.3.0.20.40.10.002.00254','21218000'),
(4844,'47257948','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.05.02.0004.1.3.0.20.50.20.004.00928','3853000'),
(4845,'47257949','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.06.01.0002.1.3.0.20.60.10.002.03494','70662600'),
(4846,'47257951','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.05.02.0001.1.3.0.20.50.20.001.02562','37000000'),
(4847,'47257953','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.05.01.0005.1.3.0.20.50.10.005.01914','137500'),
(4848,'47257954','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.02552','46000000'),
(4849,'47257956','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.05.02.0003.1.3.0.20.50.20.003.00354','32330000'),
(4850,'47257958','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.05.02.0006.1.3.0.20.50.20.006.00573','34500000'),
(4851,'47257962','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.06.03.0047.1.3.0.20.60.30.047.00094','3690000'),
(4852,'47257964','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02710','21200000'),
(4853,'47257965','APBD','2024','Kab. Bondowoso','3.26.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02715','7738000'),
(4854,'47258460','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05946','20000000'),
(4855,'47258462','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00037','50000000'),
(4856,'47258532','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0006.5.1.02.01.01.0013.1.1.1.20.10.20.001.05752','2122000'),
(4857,'47258533','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00080','2500000'),
(4858,'47258599','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0009.5.1.02.03.03.0002.8.1.0.20.30.30.002.00022','98756250'),
(4859,'47258600','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0009.5.1.02.03.03.0002.8.1.0.20.30.30.002.00025','5530350'),
(4860,'47258601','APBD','2024','Kab. Bondowoso','3.26.01.2.09.0009.5.1.02.03.03.0002.8.1.0.20.30.30.002.00024','8295525'),
(4861,'47434379','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01751','532000'),
(4862,'47434380','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0001.1.1.1.20.10.10.001.13554','4770000'),
(4863,'47434381','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.02.05.02.0003.1.3.0.20.50.20.003.00369','10581700'),
(4864,'47434383','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0031.1.1.1.20.10.30.008.03617','1140000'),
(4865,'47434384','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0002.1.1.1.20.10.10.002.04031','9550000'),
(4866,'47434386','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1515300'),
(4867,'47434388','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0039.1.1.1.20.10.50.001.00537','650000'),
(4868,'47434390','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0064.8.1.0.20.10.10.064.00006','2000000'),
(4869,'47434392','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.02.05.01.0004.1.3.0.20.50.10.004.01398','5904700'),
(4870,'47434394','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.02.10.01.0002.1.3.0.21.00.10.002.02510','24380000'),
(4871,'47434396','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.03.01.01.0001.1.3.0.30.10.10.001.00241','172865000'),
(4872,'47434399','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.03.01.01.0011.1.3.0.30.10.10.011.00030','14522200'),
(4873,'47434401','APBD','2024','Kab. Bondowoso','2.19.03.2.01.0003.5.2.03.01.01.0011.1.3.0.30.10.10.011.00031','9680825'),
(4874,'36069724','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.05.01.0001.8.1.0.20.50.10.001.00008','7500000'),
(4875,'36069724','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.05.01.0001.8.1.0.20.50.10.001.00033','5000000'),
(4876,'36069724','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.05.01.0001.8.1.0.20.50.10.001.00034','3750000'),
(4877,'36069725','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3325000'),
(4878,'36069726','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00034','4500000'),
(4879,'36069727','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.02.01.0037.8.1.0.20.20.10.037.00010','1800000'),
(4880,'36069728','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(4881,'36069729','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','26650000'),
(4882,'36069729','APBD','','Kab. Bondowoso','2.19.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00432','4000000'),
(4883,'36069951','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.02.01.0004.8.1.0.20.20.10.004.00233','67500000'),
(4884,'36069953','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','4655000'),
(4885,'36069954','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(4886,'36069956','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','3000000'),
(4887,'36069956','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.02.01.0003.8.1.0.20.20.10.003.00042','7200000'),
(4888,'36069957','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','36900000'),
(4889,'36069957','APBD','','Kab. Bondowoso','2.19.02.2.01.0005.5.1.02.04.01.0005.8.1.0.20.40.10.005.00889','11952000'),
(4890,'36070857','APBD','','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','7208600'),
(4891,'36070858','APBD','','Kab. Bondowoso','2.19.03.2.03.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','35670000'),
(4892,'36070859','APBD','','Kab. Bondowoso','2.19.03.2.03.0003.5.1.05.05.03.0001.0','200000000'),
(4893,'36070860','APBD','','Kab. Bondowoso','2.19.03.2.03.0003.5.1.05.05.01.0001.0','1500000000'),
(4894,'36070923','APBD','','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1542800'),
(4895,'36070924','APBD','','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(4896,'36070925','APBD','','Kab. Bondowoso','2.19.03.2.05.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','10250000'),
(4897,'36070926','APBD','','Kab. Bondowoso','2.19.03.2.05.0001.5.1.05.05.01.0001.0','100000000'),
(4898,'36071049','APBD','','Kab. Bondowoso','2.19.04.2.01.0008.5.1.05.05.01.0001.0','100000000'),
(4899,'36071266','APBD','','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','2660000'),
(4900,'36071267','APBD','','Kab. Bondowoso','2.22.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(4901,'36071268','APBD','','Kab. Bondowoso','2.22.02.2.01.0001.5.2.03.04.01.0004.1.3.0.30.40.10.004.00083','3263540'),
(4902,'36071345','APBD','','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3724000'),
(4903,'36071346','APBD','','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4000000'),
(4904,'36071347','APBD','','Kab. Bondowoso','2.22.02.2.02.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9020000'),
(4905,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1729000'),
(4906,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','997500'),
(4907,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','984200'),
(4908,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1862000'),
(4909,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','2460500'),
(4910,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','997500'),
(4911,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1330000'),
(4912,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','997500'),
(4913,'36071537','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','984200'),
(4914,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(4915,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(4916,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(4917,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(4918,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7200000'),
(4919,'36071538','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','8400000'),
(4920,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(4921,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2050000'),
(4922,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(4923,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(4924,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1230000'),
(4925,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4100000'),
(4926,'36071539','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(4927,'36071540','APBD','','Kab. Bondowoso','2.22.02.2.03.0001.5.1.02.02.01.0025.8.1.0.20.20.10.025.00026','4200000'),
(4928,'36071663','APBD','','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00034','12000000'),
(4929,'36071664','APBD','','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','5985000'),
(4930,'36071665','APBD','','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','24000000'),
(4931,'36071665','APBD','','Kab. Bondowoso','2.22.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','30400000'),
(4932,'36072539','APBD','','Kab. Bondowoso','2.22.03.2.01.0003.5.1.05.05.03.0001.0','50000000'),
(4933,'36072606','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00062','1200000'),
(4934,'36072606','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','3000000'),
(4935,'36072606','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','18000000'),
(4936,'36072607','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1995000'),
(4937,'36072607','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','5652500'),
(4938,'36072608','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(4939,'36072608','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','4800000'),
(4940,'36072608','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','4800000'),
(4941,'36072608','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12800000'),
(4942,'36072608','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00057','67500000'),
(4943,'36072609','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11480000'),
(4944,'36072609','APBD','','Kab. Bondowoso','2.22.04.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(4945,'36072752','APBD','','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','1197000'),
(4946,'36072753','APBD','','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','3984000'),
(4947,'36072754','APBD','','Kab. Bondowoso','2.22.05.2.01.0002.5.1.02.02.01.0029.8.1.0.20.20.10.029.00031','81000000'),
(4948,'36072815','APBD','','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3990000'),
(4949,'36072816','APBD','','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','27888000'),
(4950,'36072817','APBD','','Kab. Bondowoso','2.22.05.2.02.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00034','50400000'),
(4951,'36072885','APBD','','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.04.01.0004.1.3.0.30.40.10.004.00083','1986550'),
(4952,'36072886','APBD','','Kab. Bondowoso','2.22.05.2.02.0002.5.2.03.01.01.0036.1.3.0.30.10.10.036.00049','2033750'),
(4953,'36072960','APBD','','Kab. Bondowoso','2.22.06.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3192000'),
(4954,'36073112','APBD','','Kab. Bondowoso','3.26.02.2.01.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','22960000'),
(4955,'36073113','APBD','','Kab. Bondowoso','3.26.02.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','19200000'),
(4956,'36073276','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00042','1696000'),
(4957,'36073277','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.1.02.03.03.0032.8.1.0.20.30.30.032.00042','3392000'),
(4958,'36073278','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00315','3169275'),
(4959,'36073279','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.01.01.0032.1.3.0.30.10.10.032.00315','2921025'),
(4960,'36073280','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00083','2471525'),
(4961,'36073281','APBD','','Kab. Bondowoso','3.26.02.2.02.0004.5.2.03.04.01.0004.1.3.0.30.40.10.004.00083','2471525'),
(4962,'36073340','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00049','180000000'),
(4963,'36073341','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','9310000'),
(4964,'36073343','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8800000'),
(4965,'36073344','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','16400000'),
(4966,'36073344','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00889','13944000'),
(4967,'36073345','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.02.01.0029.8.1.0.20.20.10.029.00032','36000000'),
(4968,'36073346','APBD','','Kab. Bondowoso','3.26.02.2.02.0007.5.1.02.02.01.0026.8.1.0.20.20.10.026.00003','163800000'),
(4969,'36073496','APBD','','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.02.01.0062.8.1.0.20.20.10.062.00003','10000000'),
(4970,'36073497','APBD','','Kab. Bondowoso','3.26.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','24000000'),
(4971,'36073523','APBD','','Kab. Bondowoso','3.26.03.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','169400'),
(4972,'36073523','APBD','','Kab. Bondowoso','3.26.03.2.01.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','2261000'),
(4973,'36073524','APBD','','Kab. Bondowoso','3.26.03.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11480000'),
(4974,'36073723','APBD','','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','25010000'),
(4975,'36073724','APBD','','Kab. Bondowoso','3.26.05.2.01.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7200000'),
(4976,'36073867','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0006.8.1.0.20.20.10.006.00032','18000000'),
(4977,'36073867','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0006.8.1.0.20.20.10.006.00046','12000000'),
(4978,'36073868','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3458000'),
(4979,'36073868','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','744800'),
(4980,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3520000'),
(4981,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','8000000'),
(4982,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','4800000'),
(4983,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3360000'),
(4984,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','10720000'),
(4985,'36073869','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','10880000'),
(4986,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','14445000'),
(4987,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','27060000'),
(4988,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11480000'),
(4989,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11890000'),
(4990,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','15170000'),
(4991,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','18718000'),
(4992,'36073870','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','12912000'),
(4993,'36073871','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00062','800000'),
(4994,'36073871','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00062','2000000'),
(4995,'36073871','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','30000000'),
(4996,'36073871','APBD','','Kab. Bondowoso','3.26.05.2.01.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','10000000'),
(4997,'36073934','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','22000000'),
(4998,'36073934','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','22000000'),
(4999,'36073934','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.01.0003.8.1.0.20.20.10.003.00055','2400000'),
(5000,'36073934','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.02.01.0003.8.1.0.20.20.10.003.00055','2400000'),
(5001,'36073935','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9020000'),
(5002,'36073935','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9020000'),
(5003,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','6480000'),
(5004,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','6480000'),
(5005,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00056','86100000'),
(5006,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','10880000'),
(5007,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','10880000'),
(5008,'36073936','APBD','','Kab. Bondowoso','3.26.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00056','86100000'),
(5009,'36073984','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','30000000'),
(5010,'36073984','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','18000000'),
(5011,'36073984','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.01.0003.8.1.0.20.20.10.003.00062','1200000'),
(5012,'36073984','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.01.0003.8.1.0.20.20.10.003.00062','2400000'),
(5013,'36073986','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(5014,'36073986','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5920000'),
(5015,'36073986','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','2400000'),
(5016,'36073986','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0004.8.1.0.20.40.10.004.00042','4800000'),
(5017,'36073987','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.004.00055','108000000'),
(5018,'36073987','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.004.00057','40500000'),
(5019,'36073987','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','12710000'),
(5020,'36073987','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(5021,'36073988','APBD','','Kab. Bondowoso','3.26.05.2.01.0010.5.1.02.02.12.0004.8.1.0.20.21.30.004.00014','80000000'),
(5022,'36074407','APBD','','Kab. Bondowoso','3.26.01.2.06.0006.5.1.02.02.01.0062.8.1.0.20.20.10.062.00001','12000000'),
(5023,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.001.00027','7500000'),
(5024,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','14900000'),
(5025,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','33200000'),
(5026,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00402','12500000'),
(5027,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','12500000'),
(5028,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','82000000'),
(5029,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','7950000'),
(5030,'36074447','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','40110000'),
(5031,'36074448','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00049','2000000'),
(5032,'36074448','APBD','','Kab. Bondowoso','3.26.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','32000000'),
(5033,'36074737','APBD','','Kab. Bondowoso','3.26.01.2.08.0001.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','2000000'),
(5034,'36074783','APBD','','Kab. Bondowoso','3.26.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','8000000'),
(5035,'36074784','APBD','','Kab. Bondowoso','3.26.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00008','49200000'),
(5036,'36074785','APBD','','Kab. Bondowoso','3.26.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00017','144072000'),
(5037,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00001','144000000'),
(5038,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00002','360000000'),
(5039,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.02.0005.8.1.0.10.10.90.001.00005','4500000'),
(5040,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0025.8.1.0.20.20.10.025.00001','333000000'),
(5041,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0025.8.1.0.20.20.10.025.00002','252000000'),
(5042,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00054','432000000'),
(5043,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00062','28600000'),
(5044,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','57200000'),
(5045,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00004','36000000'),
(5046,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00028','18000000'),
(5047,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00012','7194000'),
(5048,'36074837','APBD','','Kab. Bondowoso','3.26.01.2.08.0004.5.1.02.02.02.0007.8.1.0.20.20.20.007.00001','8502000'),
(5049,'36074872','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','4240000'),
(5050,'36074872','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','39900000'),
(5051,'36074872','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00428','61600000'),
(5052,'36074872','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00420','8649600'),
(5053,'36074873','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00005','10000000'),
(5054,'36074873','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00006','2400000'),
(5055,'36074873','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00007','6400000'),
(5056,'36074873','APBD','','Kab. Bondowoso','3.26.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00011','2000000'),
(5057,'36074916','APBD','','Kab. Bondowoso','3.26.01.2.09.0009.5.1.02.03.03.0002.8.1.0.20.30.30.002.00023','1917875'),
(5058,'36131434','APBD','','Kab. Bondowoso','2.19.03.2.02.0002.5.1.05.05.03.0001.0','150000000'),
(5059,'36142082','APBD','','Kab. Bondowoso','2.19.03.2.01.0003.5.2.03.01.01.0011.1.3.0.30.10.10.011.00029','2931975'),
(5060,'36149120','APBD','','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','5652500'),
(5061,'36149141','APBD','','Kab. Bondowoso','2.19.03.2.01.0003.5.1.02.02.01.0016.8.1.0.20.20.10.016.00023','3697000'),
(5062,'47049280','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','246000'),
(5063,'47049281','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(5064,'47049283','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','680000'),
(5065,'47049284','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03522','742800'),
(5066,'47064917','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1246200'),
(5067,'47064918','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5068,'47064919','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(5069,'47064940','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(5070,'47064941','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5071,'47064942','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1246200'),
(5072,'47064968','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1246200'),
(5073,'47064969','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(5074,'47064970','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5075,'47064999','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1246200'),
(5076,'47065000','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(5077,'47065001','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5078,'47065052','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(5079,'47065053','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5080,'47065054','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','621000'),
(5081,'47065075','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','71000'),
(5082,'47065078','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(5083,'47065080','APBD','2024','Kab. Bondowoso','2.13.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03525','700200'),
(5084,'47084764','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','900'),
(5085,'47084765','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04410','5300'),
(5086,'47085929','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','1888600'),
(5087,'47085930','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02158','58600'),
(5088,'47085931','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03522','1857000'),
(5089,'47085932','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','32000000'),
(5090,'47085933','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','15000000'),
(5091,'47085934','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.02.04.0036.8.1.0.20.20.40.036.00006','14000000'),
(5092,'47108705','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','60000'),
(5093,'47108706','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5094,'47108707','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','45000000'),
(5095,'47108709','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.13323','4500000'),
(5096,'47115221','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10287','24910000'),
(5097,'47115222','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','2755000'),
(5098,'47115223','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','1058000'),
(5099,'47115224','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.01.01.0039.1.1.1.20.10.50.001.00462','175500000'),
(5100,'47115225','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','108000000'),
(5101,'47115226','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.02.12.0002.8.1.0.20.21.30.002.00001','199800000'),
(5102,'47119429','APBD','2024','Kab. Bondowoso','2.13.01.2.09.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','30000'),
(5103,'47119430','APBD','2024','Kab. Bondowoso','2.13.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00150','74970000'),
(5104,'47122496','APBD','2024','Kab. Bondowoso','2.13.01.2.09.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00410','4240000'),
(5105,'47122497','APBD','2024','Kab. Bondowoso','2.13.01.2.09.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09888','7300'),
(5106,'47122498','APBD','2024','Kab. Bondowoso','2.13.01.2.09.0002.5.1.02.03.02.0035.8.1.0.20.30.20.035.00003','33600000'),
(5107,'47128374','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00003','10500000'),
(5108,'47128376','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00009','6000000'),
(5109,'47128377','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00014','36000000'),
(5110,'47132106','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00046','48000000'),
(5111,'47132107','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00007','9000000'),
(5112,'47132108','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00003','9000000'),
(5113,'47142087','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(5114,'47142088','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(5115,'47142089','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','793500'),
(5116,'47142090','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.01.01.0039.1.1.1.20.10.50.001.00381','927500000'),
(5117,'47142091','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','13600000'),
(5118,'47142092','APBD','2024','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.02.04.0036.8.1.0.20.20.40.036.00006','5250000'),
(5119,'47160605','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','44000'),
(5120,'47160606','APBD','2024','Kab. Bondowoso','2.13.01.2.08.0003.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','4956000'),
(5121,'47163088','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0006.5.1.02.02.01.0062.8.1.0.20.20.10.062.00001','2000000'),
(5122,'47163816','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1903800'),
(5123,'47164351','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(5124,'47164352','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(5125,'47164353','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','529000'),
(5126,'47164354','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(5127,'47166060','APBD','2024','Kab. Bondowoso','2.13.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01747','212000'),
(5128,'47167710','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','26500'),
(5129,'47167711','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5130,'47167712','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5131,'47173870','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','26500'),
(5132,'47173871','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5133,'47173872','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5134,'47175767','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','26500'),
(5135,'47175768','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5136,'47175769','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5137,'47176828','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','26500'),
(5138,'47176829','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5139,'47176831','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5140,'47200428','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1043700'),
(5141,'47200429','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(5142,'47200430','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5143,'47200649','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','902700'),
(5144,'47200650','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','465000'),
(5145,'47200651','APBD','2024','Kab. Bondowoso','2.13.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03045','105800'),
(5146,'36007674','APBD','','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','28800000'),
(5147,'36007675','APBD','','Kab. Bondowoso','2.13.05.2.01.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','86100000'),
(5148,'36016392','APBD','','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','32000000'),
(5149,'36016393','APBD','','Kab. Bondowoso','2.13.05.2.01.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','36490000'),
(5150,'36019810','APBD','','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','131200000'),
(5151,'36019811','APBD','','Kab. Bondowoso','2.13.05.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','60800000'),
(5152,'36031158','APBD','','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','13500000'),
(5153,'36031158','APBD','','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','10000000'),
(5154,'36031159','APBD','','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','24480000'),
(5155,'36031160','APBD','','Kab. Bondowoso','2.13.05.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','22550000'),
(5156,'36038805','APBD','','Kab. Bondowoso','2.13.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8160000'),
(5157,'36038807','APBD','','Kab. Bondowoso','2.13.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','91840000'),
(5158,'46871562','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0004.','2660000'),
(5159,'46871747','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0012.','8945900'),
(5160,'46872089','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0029.','1023400'),
(5161,'46873530','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0039.','45500000'),
(5162,'46874069','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0052.','14100000'),
(5163,'46876258','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.01.01.0004.','4340000'),
(5164,'46876354','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.01.01.0025.','1822500'),
(5165,'46878825','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.01.01.0052.','1410000'),
(5166,'46879197','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.02.04.0040.','25000000'),
(5167,'46879495','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.02.05.0050.','49440000'),
(5168,'46980845','APBD','2024','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.01.01.0004.','980000'),
(5169,'46980876','APBD','2024','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.01.01.0024.','1959900'),
(5170,'46981017','APBD','2024','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.01.01.0052.','5400000'),
(5171,'46981772','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0004.','5245100'),
(5172,'46984594','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0013.','148600'),
(5173,'46984719','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0025.','4154300'),
(5174,'46985248','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0030.','1383800'),
(5175,'46985708','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0031.','1602500'),
(5176,'46985874','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.01.01.0052.','13700000'),
(5177,'46992793','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0039.','2800000'),
(5178,'46993259','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0060.','1200000'),
(5179,'46993535','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0061.','60847800'),
(5180,'46993926','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0063.','19800000'),
(5181,'46994269','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0067.','1600000'),
(5182,'46996841','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.04.0117.','8600000'),
(5183,'46998292','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.04.0123.','1500000'),
(5184,'46998768','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.03.03.0001.','170000000'),
(5185,'46999913','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.03.01.0004.','15720000'),
(5186,'47000191','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.03.01.0010.','147300000'),
(5187,'47002758','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.06.01.0003.','14240000'),
(5188,'47003158','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.05.02.0004.','5219900'),
(5189,'47003427','APBD','2024','Kab. Bondowoso','2.18.01.2.08.0002.5.1.02.02.01.0060.','1800000'),
(5190,'47003449','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.05.02.0006.','49899000'),
(5191,'47003907','APBD','2024','Kab. Bondowoso','2.18.01.2.08.0002.5.1.02.02.01.0061.','60000000'),
(5192,'47003929','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.06.01.0001.','2499000'),
(5193,'47004650','APBD','2024','Kab. Bondowoso','2.18.01.2.08.0002.5.1.02.02.01.0063.','25800000'),
(5194,'47004949','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0003.5.2.02.10.01.0002.','46330400'),
(5195,'47005438','APBD','2024','Kab. Bondowoso','2.18.01.2.08.0003.5.1.02.02.01.0035.','12000000'),
(5196,'47008054','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0004.','8783500'),
(5197,'47010020','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0012.','25000000'),
(5198,'47010433','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0012.','20000000'),
(5199,'47010881','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0024.','19207600'),
(5200,'47011950','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0036.','8915200'),
(5201,'47012399','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0052.','264798000'),
(5202,'47012522','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.01.01.0004.','3990000'),
(5203,'47012631','APBD','2024','Kab. Bondowoso','2.18.01.2.07.0006.5.2.02.05.01.0004.','6352000'),
(5204,'47013128','APBD','2024','Kab. Bondowoso','2.18.01.2.07.0006.5.2.02.06.01.0001.','1060900'),
(5205,'47013510','APBD','2024','Kab. Bondowoso','2.18.01.2.07.0006.5.2.02.10.01.0002.','110441500'),
(5206,'47014102','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0002.5.1.02.01.01.0004.','3423800'),
(5207,'47014413','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0002.5.1.02.01.01.0013.','1009000'),
(5208,'47024902','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0002.5.1.02.02.01.0035.','1200000'),
(5209,'47029710','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.01.01.0052.','2040000'),
(5210,'47030688','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.01.01.0004.','3304000'),
(5211,'47032518','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0009.5.1.02.01.01.0001.','1590000'),
(5212,'47032554','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.01.01.0052.','1020000'),
(5213,'47032821','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0076.','14000000'),
(5214,'47033084','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0009.5.1.02.01.01.0024.','95000'),
(5215,'47033278','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0009.5.1.02.01.01.0030.','426000'),
(5216,'47033621','APBD','2024','Kab. Bondowoso','2.18.01.2.09.0009.5.1.02.02.01.0016.','19425000'),
(5217,'47034570','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0004.5.1.02.01.01.0029.','798000'),
(5218,'47036684','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0002.5.1.02.01.01.0030.','371000'),
(5219,'47037078','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0001.5.1.02.01.01.0001.','542500'),
(5220,'47037494','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0001.5.1.02.01.01.0031.','100000'),
(5221,'47037943','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0005.5.1.02.01.01.0024.','65500'),
(5222,'47038219','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0005.5.1.02.01.01.0025.','37500'),
(5223,'47038952','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0006.5.1.02.02.01.0046.','20000000'),
(5224,'47039523','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0006.5.1.02.02.06.0130.','22000000'),
(5225,'47039796','APBD','2024','Kab. Bondowoso','2.18.01.2.06.0006.5.1.02.02.01.0062.','1200000'),
(5226,'47093526','APBD','2024','Kab. Bondowoso','2.18.01.2.02.0003.5.1.02.01.01.0024.','80000'),
(5227,'47110958','APBD','2024','Kab. Bondowoso','2.18.01.2.01.0001.5.1.02.01.01.0024.','84600'),
(5228,'47206186','APBD','2024','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.01.01.0012.','11220000'),
(5229,'47217209','APBD','2024','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.01.01.0004.','9310000'),
(5230,'47217738','APBD','2024','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.01.01.0024.','11160000'),
(5231,'47218294','APBD','2024','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.01.01.0052.','7990000'),
(5232,'47233234','APBD','2024','Kab. Bondowoso','2.18.05.2.01.0005.5.1.02.01.01.0024.','115128600'),
(5233,'47233852','APBD','2024','Kab. Bondowoso','2.18.05.2.01.0005.5.1.02.01.01.0052.','940000'),
(5234,'47235371','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.01.01.0024.','1397400'),
(5235,'47248633','APBD','2024','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.01.01.0024.','4981300'),
(5236,'47249207','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.01.01.0024.','865800'),
(5237,'47249228','APBD','2024','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.01.01.0004.','532000'),
(5238,'47249801','APBD','2024','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.01.01.0052.','2115000'),
(5239,'47254971','APBD','2024','Kab. Bondowoso','2.18.04.2.01.0006.5.1.02.01.01.0024.','1080000'),
(5240,'47258246','APBD','2024','Kab. Bondowoso','2.18.06.2.01.0002.5.1.02.01.01.0025.','648000'),
(5241,'47287583','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.01.01.0001.','529800'),
(5242,'47288816','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.01.01.0029.','502400'),
(5243,'47289775','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.01.01.0075.','2250000'),
(5244,'47292087','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.02.01.0025.','2000000'),
(5245,'47292450','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.02.04.0132.','4500000'),
(5246,'47293085','APBD','2024','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.02.05.0030.','30000000'),
(5247,'47743063','APBD','2024','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.01.01.0012.','20000000'),
(5248,'35914996','APBD','','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.02.01.0006.','144000000'),
(5249,'35915176','APBD','','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.02.01.0011.','15600000'),
(5250,'35915362','APBD','','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.04.01.0004.','15520000'),
(5251,'35915479','APBD','','Kab. Bondowoso','2.07.04.2.01.0005.5.1.02.04.01.0005.','45096000'),
(5252,'35917651','APBD','','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.02.01.0003.','2700000'),
(5253,'35918031','APBD','','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.04.01.0004.','6400000'),
(5254,'35918160','APBD','','Kab. Bondowoso','2.07.04.2.01.0002.5.1.02.04.01.0005.','71236000'),
(5255,'35961372','APBD','','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.02.01.0004.','26600000'),
(5256,'35961403','APBD','','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.04.01.0004.','1280000'),
(5257,'35961411','APBD','','Kab. Bondowoso','2.07.05.2.01.0002.5.1.02.04.01.0005.','2050000'),
(5258,'35963638','APBD','','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0003.','1800000'),
(5259,'35963721','APBD','','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0004.','6000000'),
(5260,'35966392','APBD','','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.02.01.0035.','1000000'),
(5261,'35969473','APBD','','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.04.01.0004.','6400000'),
(5262,'35969613','APBD','','Kab. Bondowoso','2.07.03.2.01.0003.5.1.02.04.01.0005.','6948000'),
(5263,'35973863','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.04.01.0004.','167680000'),
(5264,'35974207','APBD','','Kab. Bondowoso','2.18.01.2.08.0004.5.1.02.02.01.0026.','192000000'),
(5265,'35974385','APBD','','Kab. Bondowoso','2.18.01.2.08.0004.5.1.02.02.01.0027.','240000000'),
(5266,'35974532','APBD','','Kab. Bondowoso','2.18.01.2.08.0004.5.1.02.02.01.0030.','36000000'),
(5267,'35974655','APBD','','Kab. Bondowoso','2.18.01.2.08.0004.5.1.02.02.01.0031.','48000000'),
(5268,'35975064','APBD','','Kab. Bondowoso','2.18.01.2.08.0003.5.1.02.02.02.0006.','2310000'),
(5269,'35975188','APBD','','Kab. Bondowoso','2.18.01.2.08.0004.5.1.02.02.02.0007.','2730000'),
(5270,'35982974','APBD','','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.04.01.0005.','1328000'),
(5271,'35982974','APBD','','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.04.01.0005.','2152000'),
(5272,'35982974','APBD','','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.04.01.0005.','3280000'),
(5273,'35984517','APBD','','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.04.01.0004.','3520000'),
(5274,'35984550','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.02.01.0003.','93000000'),
(5275,'35984893','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.02.02.0006.','1187200'),
(5276,'35984893','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.02.02.0007.','728000'),
(5277,'35984894','APBD','','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.04.01.0005.','1076000'),
(5278,'35984894','APBD','','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.04.01.0005.','1992000'),
(5279,'35984894','APBD','','Kab. Bondowoso','2.18.04.2.01.0007.5.1.02.04.01.0005.','3690000'),
(5280,'35985034','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.02.12.0001.','81000000'),
(5281,'35985111','APBD','','Kab. Bondowoso','2.07.03.2.01.0001.5.1.02.04.01.0005.','92380000'),
(5282,'35987396','APBD','','Kab. Bondowoso','2.18.01.2.06.0009.5.1.02.04.01.0005.','2000000'),
(5283,'35987645','APBD','','Kab. Bondowoso','2.18.01.2.06.0009.5.1.02.04.01.0005.','70716000'),
(5284,'36013419','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.01.0001.','2137149100'),
(5285,'36013535','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.02.0001.','211060200'),
(5286,'36013708','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.03.0001.','89089000'),
(5287,'36013828','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.04.0001.','134288000'),
(5288,'36014002','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.05.0001.','56056000'),
(5289,'36014241','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.06.0001.','136062700'),
(5290,'36014330','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.07.0001.','9240900'),
(5291,'36014514','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.08.0001.','35600'),
(5292,'36014596','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.09.0001.','105105700'),
(5293,'36014714','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.10.0001.','5129200'),
(5294,'36014809','APBD','','Kab. Bondowoso','2.18.01.2.02.0001.5.1.01.01.11.0001.','15387500'),
(5295,'36018496','APBD','','Kab. Bondowoso','2.18.01.2.01.0001.5.1.02.04.01.0005.','4288000'),
(5296,'36060919','APBD','','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.02.01.0003.','10800000'),
(5297,'36061224','APBD','','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.04.01.0004.','50700000'),
(5298,'36061224','APBD','','Kab. Bondowoso','2.18.05.2.01.0006.5.1.02.04.01.0004.','166080000'),
(5299,'36068696','APBD','','Kab. Bondowoso','2.18.05.2.01.0005.5.1.02.02.01.0003.','23200000'),
(5300,'36068879','APBD','','Kab. Bondowoso','2.18.05.2.01.0005.5.1.02.02.01.0006.','18000000'),
(5301,'36069044','APBD','','Kab. Bondowoso','2.18.05.2.01.0005.5.1.02.04.01.0004.','172832000'),
(5302,'36072033','APBD','','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.02.09.0012.','80000'),
(5303,'36072429','APBD','','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.04.01.0005.','23265000'),
(5304,'36072694','APBD','','Kab. Bondowoso','2.18.02.2.02.0004.5.1.02.04.01.0004.','960000'),
(5305,'36088086','APBD','','Kab. Bondowoso','2.18.03.2.01.0002.5.1.02.04.01.0005.','375536000'),
(5306,'36153094','APBD','','Kab. Bondowoso','2.18.04.2.01.0008.5.1.02.04.01.0004.','8000000'),
(5307,'46869068','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0003.','270000000'),
(5308,'46874905','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0003.','8100000'),
(5309,'46876404','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0010.','3930000'),
(5310,'46881772','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0010.','1773600'),
(5311,'46886915','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.01.0001.','1846600'),
(5312,'46887568','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.01.0001.','1578100'),
(5313,'46888943','APBD','2024','Kab. Bondowoso','5.10.28.8.88.8888.1.0.10.22.02.0042.','11490383087'),
(5314,'46889470','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.01.0001.','2125300'),
(5315,'46890605','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.01.0001.','5170000'),
(5316,'46890700','APBD','2024','Kab. Bondowoso','5.20.58.8.88.8888.1.0.10.22.02.0042.','905132100'),
(5317,'46891634','APBD','2024','Kab. Bondowoso','5.20.28.8.88.8888.1.0.10.22.02.0042.','1420884813'),
(5318,'46893364','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.01.0003.','3505000'),
(5319,'46897006','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.01.0003.','1645000'),
(5320,'46897398','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0032.','7008100'),
(5321,'46898478','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.01.0004.','333300'),
(5322,'46898762','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0032.','951900'),
(5323,'46899319','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0032.','1060000'),
(5324,'46902867','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0039.1.0.10.22.02.0032.','9000000'),
(5325,'46903472','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0032.','11280000'),
(5326,'46906299','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.01.0004.','1854700'),
(5327,'46906898','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.01.0004.','612000'),
(5328,'46907205','APBDP','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.01.0004.','2350000'),
(5329,'46934402','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','8055000'),
(5330,'46934438','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5331,'46934476','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','10350000'),
(5332,'46934508','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','17250000'),
(5333,'46934551','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','10350000'),
(5334,'46934706','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','10350000'),
(5335,'46934734','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','10350000'),
(5336,'46934797','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','10350000'),
(5337,'46935249','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.1.1.1.11.11.11.111.11111','268500000'),
(5338,'46935251','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.1.1.1.11.11.11.111.11111','179000000'),
(5339,'46935253','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','179000000'),
(5340,'46935259','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','460000000'),
(5341,'46935265','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','345000000'),
(5342,'46935586','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','345000000'),
(5343,'46935588','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','575000000'),
(5344,'46935589','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.1.1.1.11.11.11.111.11111','345000000'),
(5345,'46935591','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','89500000'),
(5346,'46935649','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','89500000'),
(5347,'46935662','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','268500000'),
(5348,'46935668','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','345000000'),
(5349,'46935671','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','345000000'),
(5350,'46935677','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','268500000'),
(5351,'46935680','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','268500000'),
(5352,'46935681','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','89500000'),
(5353,'46935817','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','13800000'),
(5354,'46935839','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5355,'46935855','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','8055000'),
(5356,'46935877','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','8055000'),
(5357,'46935913','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','2685000'),
(5358,'46935977','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','2685000'),
(5359,'46935990','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','8055000'),
(5360,'46936078','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','2685000'),
(5361,'46936117','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5362,'46936229','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','3580000'),
(5363,'46936241','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','6900000'),
(5364,'46936249','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','11500000'),
(5365,'46936257','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','6900000'),
(5366,'46936271','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','6900000'),
(5367,'46936304','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','6900000'),
(5368,'46936316','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','6900000'),
(5369,'46936332','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','9200000'),
(5370,'46936341','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','3580000'),
(5371,'46936354','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5372,'46936362','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5373,'46936401','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','1790000'),
(5374,'46936409','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','1790000'),
(5375,'46936419','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5370000'),
(5376,'46936427','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','1790000'),
(5377,'46936492','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','20823000'),
(5378,'46936515','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','8350000'),
(5379,'46948995','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0003.','5400000'),
(5380,'46949078','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0004.','200000000'),
(5381,'46949134','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0004.','6000000'),
(5382,'46949172','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0004.','4000000'),
(5383,'46949495','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0004.','3000000000'),
(5384,'46949551','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0005.','3000000000'),
(5385,'46951995','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0006.','400000000'),
(5386,'46952096','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0006.','12000000'),
(5387,'46952122','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0006.','8000000'),
(5388,'46952141','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0006.','8000000000'),
(5389,'46952250','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0009.','938014850'),
(5390,'46952360','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5391,'46952371','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5392,'46952386','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5393,'46952411','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5394,'46952595','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5395,'46952618','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5396,'46952652','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5397,'46952706','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5398,'46952759','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5399,'46955886','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5400,'46956040','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5401,'46956099','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5402,'46956138','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5403,'46956215','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5404,'46956238','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5405,'46956292','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5406,'46956308','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5407,'46956325','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5408,'46956369','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5409,'46956393','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5410,'46956464','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5411,'46956504','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5412,'46956546','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5413,'46956568','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5414,'46956670','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5415,'46956713','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5416,'46956773','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5417,'46956942','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5418,'46956983','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5419,'46957019','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5420,'46957073','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5421,'46957099','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5422,'46957130','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5423,'46957163','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','160000000'),
(5424,'46957263','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','9000000'),
(5425,'46957282','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0012.','6000000'),
(5426,'46957740','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','450000000'),
(5427,'46957795','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','13500000'),
(5428,'46957834','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','9000000'),
(5429,'46957901','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','300000000'),
(5430,'46957982','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','9000000'),
(5431,'46958017','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','6000000'),
(5432,'46958248','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','450000000'),
(5433,'46958287','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','13500000'),
(5434,'46958307','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0014.','9000000'),
(5435,'46967020','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','202400000'),
(5436,'46967034','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','20160000'),
(5437,'46967058','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','13440000'),
(5438,'46967498','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','310000000'),
(5439,'46968234','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','21607000'),
(5440,'46968268','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','14415000'),
(5441,'46968295','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','465000000'),
(5442,'46968312','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','32410500'),
(5443,'46968321','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','21622500'),
(5444,'46968363','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','450000000'),
(5445,'46968369','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','13500000'),
(5446,'46968377','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','9000000'),
(5447,'46968388','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','750000000'),
(5448,'46968397','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','22500000'),
(5449,'46968408','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','15000000'),
(5450,'46968604','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0016.','77979000'),
(5451,'46968626','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0016.','2404800'),
(5452,'46968673','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0016.','1603200'),
(5453,'46968710','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0017.','330000000'),
(5454,'46968730','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0017.','9900000'),
(5455,'46968775','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0017.','6600000'),
(5456,'46969387','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','240000000'),
(5457,'46969398','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','7200000'),
(5458,'46969428','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','4800000'),
(5459,'46969473','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','240000000'),
(5460,'46969490','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','7200000'),
(5461,'46969500','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','4800000'),
(5462,'46969540','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','153434000'),
(5463,'46969555','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','4800000'),
(5464,'46969567','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','3200000'),
(5465,'46969576','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','369618000'),
(5466,'46969597','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','11040000'),
(5467,'46969608','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0018.','7360000'),
(5468,'46969642','APBD','2024','Kab. Bondowoso','5.10.20.3.03.0010.1.0.10.22.02.0018.','100000000'),
(5469,'46969695','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0024.','87553000'),
(5470,'46969718','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0024.','2760000'),
(5471,'46969740','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0024.','1840000'),
(5472,'46970416','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','89550000'),
(5473,'46970474','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','118520000'),
(5474,'46970605','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','49475000'),
(5475,'46970633','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','14250000'),
(5476,'46970707','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','21485000'),
(5477,'46970753','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','19785000'),
(5478,'46970770','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','31375000'),
(5479,'46970815','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0025.','23875000'),
(5480,'46973410','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.01.0005.','3505000'),
(5481,'46973429','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.01.0005.','1645000'),
(5482,'46974897','APBD','2024','Kab. Bondowoso','5.20.20.5.01.0004.1.0.10.22.02.0025.','7550000'),
(5483,'46974931','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0001.1.0.10.22.02.0025.','118520000'),
(5484,'46975037','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0001.1.0.10.22.02.0025.','11325000'),
(5485,'46975080','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0001.1.0.10.22.02.0025.','62750000'),
(5486,'46975197','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0001.1.0.10.22.02.0025.','8400000'),
(5487,'46975222','APBD','2024','Kab. Bondowoso','5.20.20.5.03.0002.1.0.10.22.02.0025.','12200000'),
(5488,'46975420','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0027.','127800'),
(5489,'46975468','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0027.','1763200'),
(5490,'46975528','APBD','2024','Kab. Bondowoso','5.20.20.5.01.0004.1.0.10.22.02.0027.','51088000'),
(5491,'46975557','APBD','2024','Kab. Bondowoso','5.20.21.0.01.0002.1.0.10.22.02.0027.','127200000'),
(5492,'46975638','APBD','2024','Kab. Bondowoso','5.20.21.0.02.0003.1.0.10.22.02.0027.','34821000'),
(5493,'46975731','APBD','2024','Kab. Bondowoso','5.10.20.3.03.0010.1.0.10.22.02.0030.','28500000'),
(5494,'46975810','APBD','2024','Kab. Bondowoso','5.10.20.3.03.0010.1.0.10.22.02.0030.','1500000'),
(5495,'46976045','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0006.1.0.10.22.02.0035.','1239000000'),
(5496,'46976349','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0044.','103200000'),
(5497,'46976435','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0044.','10080000'),
(5498,'46976462','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0044.','6720000'),
(5499,'46976716','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0044.','174000000'),
(5500,'46976750','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0044.','5220000'),
(5501,'46976772','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0044.','3480000'),
(5502,'46976818','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0045.','70000000'),
(5503,'46976880','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0045.','2250000'),
(5504,'46976903','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0045.','1500000'),
(5505,'46976979','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0064.','160000000'),
(5506,'46977028','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0064.','4800000'),
(5507,'46977066','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.02.0064.','3200000'),
(5508,'46977087','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0064.','160000000'),
(5509,'46977130','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0064.','4830000'),
(5510,'46977155','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0064.','3220000'),
(5511,'46977216','APBD','2024','Kab. Bondowoso','5.20.21.0.02.0003.1.0.10.22.02.0014.','4000000'),
(5512,'46977731','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','225000000'),
(5513,'46977760','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','237500000'),
(5514,'46977935','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','237500000'),
(5515,'46977952','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','237500000'),
(5516,'46978024','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','6750000'),
(5517,'46978160','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','7500000'),
(5518,'46978167','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','7500000'),
(5519,'46978218','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','7500000'),
(5520,'46978231','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','60000000'),
(5521,'46978284','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','4500000'),
(5522,'46978294','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','5000000'),
(5523,'46978303','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','5000000'),
(5524,'46978312','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','5000000'),
(5525,'46978331','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0047.5.2.03.01.01.0001.','40000000'),
(5526,'46978365','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0048.5.2.03.01.01.0001.','90000000'),
(5527,'46978376','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0048.5.2.03.01.01.0001.','2700000'),
(5528,'46978383','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0048.5.2.03.01.01.0001.','1800000'),
(5529,'46982179','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0041.','7543000'),
(5530,'46983134','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0041.','1902000'),
(5531,'46989099','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0041.','7514000'),
(5532,'46989647','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0043.','9801000'),
(5533,'46990055','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0041.','32900000'),
(5534,'46991367','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0043.','324000'),
(5535,'46992258','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0043.','17625000'),
(5536,'46992362','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0049.','1540000'),
(5537,'46992742','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0021.','2551000'),
(5538,'46993574','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0049.','712800'),
(5539,'46993612','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0021.','181800'),
(5540,'46994171','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0021.','373200'),
(5541,'46994362','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0049.','4384000'),
(5542,'46994576','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0055.','4172000'),
(5543,'46994643','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0032.1.0.10.22.01.0021.','2544000'),
(5544,'46995307','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0032.1.0.10.22.02.0049.','1701300'),
(5545,'46995528','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0055.','648000'),
(5546,'46995680','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0039.1.0.10.22.01.0021.','8750000'),
(5547,'46996008','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0049.','5405000'),
(5548,'46996396','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0076.1.0.10.22.01.0021.','4500000'),
(5549,'46996705','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0055.','8460000'),
(5550,'47000194','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5551,'47002327','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5552,'47005121','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0050.','1661500'),
(5553,'47006417','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0050.','499500'),
(5554,'47007377','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0050.','5400000'),
(5555,'47011425','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0054.','951600'),
(5556,'47012894','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0054.','324000'),
(5557,'47013560','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0052.','1434000'),
(5558,'47013653','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0054.','3180000'),
(5559,'47014296','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0052.','648000'),
(5560,'47014361','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0054.','14100000'),
(5561,'47015118','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0052.','2028000'),
(5562,'47015936','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0058.','492800'),
(5563,'47016064','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0052.','9870000'),
(5564,'47018832','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0058.','616500'),
(5565,'47020826','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0058.','662500'),
(5566,'47030381','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0058.','32900000'),
(5567,'47030980','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.04.0010.','4500000'),
(5568,'47031336','APBD','2024','Kab. Bondowoso','5.10.20.2.04.0043.1.0.10.22.04.0010.','4550000'),
(5569,'47032837','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0015.','2342000'),
(5570,'47033298','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0015.','230600'),
(5571,'47033690','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.04.0015.','678400'),
(5572,'47034206','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0036.1.0.10.22.04.0015.','5174000'),
(5573,'47034558','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.04.0015.','16575000'),
(5574,'47034963','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0061.','11431000'),
(5575,'47035035','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0016.','945100'),
(5576,'47035314','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0001.1.0.10.22.04.0016.','212500'),
(5577,'47035405','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0061.','441000'),
(5578,'47035693','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0061.','1128000'),
(5579,'47036149','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','8414000'),
(5580,'47036393','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0062.','70400'),
(5581,'47036493','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','3760000'),
(5582,'47036884','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0062.','129600'),
(5583,'47037149','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0076.1.0.10.22.02.0062.','4800000'),
(5584,'47057681','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0026.','2398000'),
(5585,'47061895','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.52.02.0003.','313500'),
(5586,'47062261','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.52.02.0003.','927500'),
(5587,'47062731','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.52.02.0003.','14100000'),
(5588,'47091382','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.52.02.0001.','1789800'),
(5589,'47091989','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.52.02.0001.','147700'),
(5590,'47092418','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.52.02.0001.','662500'),
(5591,'47096906','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0016.','1091400'),
(5592,'47097898','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0051.','5174000'),
(5593,'47098008','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0026.1.0.10.22.04.0016.','1749000'),
(5594,'47098787','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.04.0016.','746400'),
(5595,'47099067','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0051.','324000'),
(5596,'47099318','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0032.1.0.10.22.04.0016.','15900000'),
(5597,'47099731','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0051.','342000'),
(5598,'47101171','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0058.1.0.10.22.04.0016.','20250000'),
(5599,'47101575','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0051.','14100000'),
(5600,'47101739','APBD','2024','Kab. Bondowoso','5.10.20.2.04.0043.1.0.10.22.04.0016.','15750000'),
(5601,'47103207','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0046.','6729300'),
(5602,'47103658','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0046.','1519400'),
(5603,'47104138','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.04.0046.','5351300'),
(5604,'47104209','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','60000000'),
(5605,'47104322','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.52.02.0001.','18800000'),
(5606,'47104411','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0048.','5801000'),
(5607,'47104464','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.04.0046.','20500000'),
(5608,'47104883','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','40000000'),
(5609,'47104889','APBD','2024','Kab. Bondowoso','5.10.20.2.04.0043.1.0.10.22.04.0046.','22100000'),
(5610,'47105022','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0048.','616500'),
(5611,'47105602','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0027.','1611800'),
(5612,'47105925','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5613,'47106147','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0048.','1192500'),
(5614,'47106312','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0027.','388200'),
(5615,'47107114','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0048.','5640000'),
(5616,'47107673','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.02.0005.','1740800'),
(5617,'47108204','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.02.0005.','455000'),
(5618,'47108598','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.02.0005.','1074200'),
(5619,'47109013','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.02.0005.','1880000'),
(5620,'47109725','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.52.01.0002.','1015800'),
(5621,'47110433','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.52.01.0002.','36200'),
(5622,'47110589','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0038.','3330100'),
(5623,'47111039','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5624,'47111277','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.52.01.0002.','3948000'),
(5625,'47111300','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0038.','1457400'),
(5626,'47111643','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5627,'47111899','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0038.','2252500'),
(5628,'47112135','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5629,'47112371','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.06.0004.','48483600'),
(5630,'47112609','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5631,'47112685','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0039.1.0.10.22.02.0038.','8100000'),
(5632,'47113254','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5633,'47113504','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.52.01.0001.','1624400'),
(5634,'47113587','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5635,'47113684','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0038.','27260000'),
(5636,'47114499','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0076.1.0.10.22.02.0038.','26880000'),
(5637,'47115645','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.52.01.0001.','230600'),
(5638,'47116324','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.52.01.0001.','795000'),
(5639,'47119354','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.04.0027.','6750000'),
(5640,'47119697','APBD','2024','Kab. Bondowoso','5.10.20.2.04.0043.1.0.10.22.04.0027.','3250000'),
(5641,'47120867','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.04.0017.','3048200'),
(5642,'47121390','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.04.0017.','1945400'),
(5643,'47122426','APBD','2024','Kab. Bondowoso','5.10.20.2.04.0036.1.0.10.22.04.0017.','7350000'),
(5644,'47126306','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.06.0004.','84196000'),
(5645,'47131270','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.06.0004.','63670400'),
(5646,'47132201','APBD','2024','Kab. Bondowoso','5.20.20.5.02.0004.1.0.10.22.02.0025.','15160000'),
(5647,'47133000','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.06.0004.','53650000'),
(5648,'47134802','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.42.01.0002.','15583000'),
(5649,'47135839','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.42.01.0002.','1620000'),
(5650,'47136743','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.42.01.0002.','25897000'),
(5651,'47139261','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.42.01.0001.','9210300'),
(5652,'47139971','APBD','2024','Kab. Bondowoso','1.01.04.2.01.0001.5.1.02.01.01.0025.','1474400'),
(5653,'47140618','APBD','2024','Kab. Bondowoso','1.01.04.2.01.0001.5.1.02.01.01.0029.','9315300'),
(5654,'47141736','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0061.1.0.10.12.08.0002.','239194800'),
(5655,'47143492','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0016.1.0.10.12.08.0003.','15000000'),
(5656,'47144880','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0004.1.0.10.12.09.0002.','101939000'),
(5657,'47146331','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0013.1.0.10.12.09.0002.','100000000'),
(5658,'47146991','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0067.1.0.10.12.09.0002.','11000000'),
(5659,'47148025','APBD','2024','Kab. Bondowoso','5.10.20.3.02.0035.1.0.10.12.09.0002.','67200000'),
(5660,'47149284','APBD','2024','Kab. Bondowoso','1.52.03.0.10.1000.1.0.10.12.09.0010.','10000000'),
(5661,'47150813','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.32.02.0002.','713000'),
(5662,'47151338','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.32.02.0002.','324000'),
(5663,'47151688','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.32.02.0002.','318000'),
(5664,'47152048','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.32.02.0002.','1645000'),
(5665,'47154722','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.32.02.0006.','18000'),
(5666,'47155365','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.32.02.0006.','324000'),
(5667,'47155731','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.32.02.0006.','795000'),
(5668,'47156059','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.32.02.0006.','1363000'),
(5669,'47156422','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0053.1.0.10.32.02.0006.','3000000'),
(5670,'47166532','APBD','2024','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','18945000'),
(5671,'47168514','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.32.02.0005.','400000'),
(5672,'47169117','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.32.02.0005.','3850000'),
(5673,'47178917','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.32.02.0003.','481700'),
(5674,'47179503','APBD','2024','Kab. Bondowoso','5.20.50.1.01.0001.1.0.10.32.02.0003.','4452000'),
(5675,'47189359','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0041.','1227400'),
(5676,'47189478','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0041.','194400'),
(5677,'47189656','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0041.','21243000'),
(5678,'47194545','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0020.','20000000'),
(5679,'47194594','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5680,'47194656','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5681,'47194705','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5682,'47194735','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0042.','20000000'),
(5683,'47194756','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5684,'47194788','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','222000000'),
(5685,'47194821','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5686,'47194851','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5687,'47194907','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5688,'47194993','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5689,'47195020','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5690,'47195061','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5691,'47195081','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5692,'47195265','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5693,'47195314','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5694,'47195332','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','237000000'),
(5695,'47195412','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5696,'47195427','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5697,'47195478','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5698,'47195493','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5699,'47195525','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5700,'47195563','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5701,'47195786','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4440000'),
(5702,'47197079','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5703,'47201435','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5704,'47201524','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5705,'47201587','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5706,'47201675','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5707,'47201755','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5708,'47202027','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5709,'47202115','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5710,'47202211','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5711,'47202228','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0004.1.0.10.22.01.0025.','9004100'),
(5712,'47202348','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4740000'),
(5713,'47202443','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5714,'47202558','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5715,'47202748','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5716,'47202828','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5717,'47202968','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5718,'47203203','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5719,'47203445','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','6660000'),
(5720,'47203656','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5721,'47203913','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5722,'47204152','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5723,'47204297','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5724,'47204387','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0025.','4900600'),
(5725,'47204428','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5726,'47204582','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5727,'47204681','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5728,'47204889','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5729,'47205014','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5730,'47205219','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','7110000'),
(5731,'47205644','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','75000000'),
(5732,'47205833','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','75000000'),
(5733,'47206607','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0025.','681300'),
(5734,'47208349','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0016.','19089200'),
(5735,'47210324','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0025.','50034000'),
(5736,'47210820','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.03.0004.','689000'),
(5737,'47213490','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0052.1.0.10.12.03.0004.','6580000'),
(5738,'47220899','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0029.','18000000'),
(5739,'47225109','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.02.0008.','442000'),
(5740,'47228204','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.02.0008.','1065000'),
(5741,'47228369','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0016.','1360800'),
(5742,'47229107','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0016.','14350000'),
(5743,'47230000','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0029.','1022700'),
(5744,'47230023','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0050.','689000'),
(5745,'47231943','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0029.','1475500'),
(5746,'47232914','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.12.02.0008.','1175000'),
(5747,'47233366','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.03.0029.','4501800'),
(5748,'47235009','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.02.0006.','1196900'),
(5749,'47237917','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0052.1.0.10.12.03.0004.','2350000'),
(5750,'47239391','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.32.02.0003.','66300'),
(5751,'47244212','APBD','2024','Kab. Bondowoso','5.20.50.2.03.0002.1.0.10.22.02.0049.','1156500'),
(5752,'47244549','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0025.','45600'),
(5753,'47245070','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0023.','52000'),
(5754,'47245103','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0050.','536800'),
(5755,'47246176','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0025.','194400'),
(5756,'47246238','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0050.','389400'),
(5757,'47247511','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0050.','30362000'),
(5758,'47249055','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0024.','5358000'),
(5759,'47249912','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0024.','197000'),
(5760,'47250706','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.03.0024.','6445000'),
(5761,'47251458','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0040.','6256600'),
(5762,'47251897','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.52.02.0003.','3109000'),
(5763,'47253018','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.04.0017.','2656800'),
(5764,'47253279','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.52.01.0001.','2350000'),
(5765,'47254179','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.02.0040.','1647400'),
(5766,'47255201','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.02.0040.','1296000'),
(5767,'47255265','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.02.0041.','7684000'),
(5768,'47256234','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0045.','33460400'),
(5769,'47256804','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0045.','129600'),
(5770,'47257878','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0045.','1410000'),
(5771,'47257936','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.02.0040.','33300000'),
(5772,'47258941','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.04.0016.','20560000'),
(5773,'47260278','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0035.','250800'),
(5774,'47260686','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0035.','129600'),
(5775,'47260874','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.04.0010.','8046400'),
(5776,'47261563','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0035.','169600'),
(5777,'47262136','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0035.','7050000'),
(5778,'47263395','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0031.1.0.10.12.08.0002.','805200'),
(5779,'47263725','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0060.1.0.10.12.08.0002.','12000000'),
(5780,'47263890','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0059.1.0.10.12.08.0002.','48000000'),
(5781,'47264931','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.06.0005.','10000000'),
(5782,'47279652','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.12.08.0004.','493800'),
(5783,'47280927','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.12.08.0004.','574800'),
(5784,'47282303','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.03.0004.','530000'),
(5785,'47284026','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0017.','5555500'),
(5786,'47285189','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0017.','5865000'),
(5787,'47285996','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0052.1.0.10.12.08.0004.','10575000'),
(5788,'47286197','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.03.0017.','2118000'),
(5789,'47287408','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0017.','95669000'),
(5790,'47302152','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','2962900'),
(5791,'47302305','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','251100'),
(5792,'47302453','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','2256000'),
(5793,'47312209','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5794,'47312387','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5795,'47312460','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5796,'47312490','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5797,'47312520','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5798,'47312730','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5799,'47312863','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5800,'47312947','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5801,'47313006','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.,','113000000'),
(5802,'47313053','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5803,'47313100','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5804,'47313925','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5805,'47314180','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5806,'47314444','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5807,'47314546','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5808,'47314632','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5809,'47314783','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5810,'47314937','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5811,'47315086','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','230000000'),
(5812,'47315116','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5813,'47315155','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5814,'47315203','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5815,'47315235','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5816,'47315322','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5817,'47315353','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5818,'47315454','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5819,'47315583','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5820,'47315646','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5821,'47315669','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','230000000'),
(5822,'47315778','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5823,'47315888','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','230000000'),
(5824,'47315997','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','237000000'),
(5825,'47316064','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5826,'47316128','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','230000000'),
(5827,'47316159','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5828,'47316267','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5829,'47316493','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','113000000'),
(5830,'47316609','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','4500000'),
(5831,'47316800','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5832,'47316951','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','6750000'),
(5833,'47316985','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4600000'),
(5834,'47317037','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5835,'47317083','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5836,'47317085','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','7904800'),
(5837,'47317124','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5838,'47317150','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5839,'47317234','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','5758200'),
(5840,'47317242','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','110000000'),
(5841,'47317307','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','2200000'),
(5842,'47317373','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3300000'),
(5843,'47317409','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5844,'47317517','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5845,'47317575','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0051.5.2.03.01.01.0001.','1880000'),
(5846,'47317603','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5847,'47317645','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0025.','351000'),
(5848,'47317682','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','348000'),
(5849,'47317715','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4600000'),
(5850,'47317778','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0016.5.1.02.01.01.0025.','234000'),
(5851,'47317824','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0016.5.1.02.01.01.0024.','22800'),
(5852,'47317842','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4600000'),
(5853,'47317875','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','3223200'),
(5854,'47317898','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4740000'),
(5855,'47317925','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','346800'),
(5856,'47317984','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','4600000'),
(5857,'47318030','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','1410000'),
(5858,'47318044','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','50000000'),
(5859,'47318065','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0026.','8350000'),
(5860,'47318075','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','75000000'),
(5861,'47318134','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','6900000'),
(5862,'47318139','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','3186000'),
(5863,'47318159','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','294000'),
(5864,'47318169','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.03.0026.','2052000'),
(5865,'47318178','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0004.5.2.03.01.01.0001.','1880000'),
(5866,'47318184','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5867,'47318333','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','4956600'),
(5868,'47318376','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0026.','18800000'),
(5869,'47318410','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','353400'),
(5870,'47318427','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','6900000'),
(5871,'47318474','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0031.5.2.03.01.01.0001.','2350000'),
(5872,'47318512','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','6900000'),
(5873,'47318565','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5874,'47318703','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5875,'47318729','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5876,'47318751','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5877,'47318761','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0019.','250000'),
(5878,'47318971','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','6900000'),
(5879,'47318994','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0005.5.2.03.01.01.0001.','7110000'),
(5880,'47319100','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.03.0019.','3467000'),
(5881,'47319154','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0019.','1233000'),
(5882,'47319203','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0019.','7050000'),
(5883,'47324456','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0027.','80855100'),
(5884,'47325512','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0027.','7192000'),
(5885,'47325746','APBD','2024','Kab. Bondowoso','5.20.20.8.03.0015.1.0.10.22.03.0017.','60992500'),
(5886,'47325775','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0026.1.0.10.22.01.0027.','4401400'),
(5887,'47326102','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0027.','12071500'),
(5888,'47326322','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0027.','45680000'),
(5889,'47326684','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.5.1.02.01.01.0024.','651600'),
(5890,'47326812','APBD','2024','Kab. Bondowoso','5.10.20.2.05.0009.1.0.10.22.01.0027.','40000000'),
(5891,'47326823','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','60000000'),
(5892,'47326978','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','90000000'),
(5893,'47327237','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','130000000'),
(5894,'47328120','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','3900000'),
(5895,'47328408','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','2600000'),
(5896,'47328799','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','130000000'),
(5897,'47329933','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','3900000'),
(5898,'47330168','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','2600000'),
(5899,'47330243','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.03.0023.','648000'),
(5900,'47331267','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.03.0023.','4500000'),
(5901,'47331335','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','130000000'),
(5902,'47331475','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0036.','259200'),
(5903,'47331679','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','3900000'),
(5904,'47331995','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','2600000'),
(5905,'47332029','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0036.','158700'),
(5906,'47332477','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0036.','4324000'),
(5907,'47336052','APBD','2024','Kab. Bondowoso','5.20.50.2.03.0002.1.0.10.22.01.0036.','1156500'),
(5908,'47338873','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','115000000'),
(5909,'47340286','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0037.','1781400'),
(5910,'47340768','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','130000000'),
(5911,'47341224','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','3900000'),
(5912,'47341385','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0037.','518600'),
(5913,'47341766','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','2600000'),
(5914,'47342182','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','2300000'),
(5915,'47342286','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','130000000'),
(5916,'47342769','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','3900000'),
(5917,'47342907','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','3450000'),
(5918,'47343419','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','2600000'),
(5919,'47344727','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','115000000'),
(5920,'47344999','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0037.','4700000'),
(5921,'47345273','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','2300000'),
(5922,'47345783','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','3450000'),
(5923,'47345987','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','35750000'),
(5924,'47346355','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.02.0008.','318000'),
(5925,'47346536','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.01.01.0001.','154000000'),
(5926,'47347687','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','173000000'),
(5927,'47349554','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','150500000'),
(5928,'47349686','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0046.','112100'),
(5929,'47349947','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','45000000'),
(5930,'47350392','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','3460000'),
(5931,'47350493','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0076.1.0.10.22.01.0046.','10080000'),
(5932,'47351009','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','5190000'),
(5933,'47351519','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','3010000'),
(5934,'47352609','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','4515000'),
(5935,'47352947','APBD','2024','Kab. Bondowoso','5.20.50.2.03.0002.1.0.10.22.01.0046.','14807900'),
(5936,'47353027','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','3980000'),
(5937,'47353432','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0006.5.2.03.04.01.0004.','5970000'),
(5938,'47354401','APBD','2024','Kab. Bondowoso','5.10.02.0.10.1002.4.1.01.01.20.3000.4.','1565600'),
(5939,'47357841','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.12.03.0025.','3333000'),
(5940,'47358397','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0043.','550400'),
(5941,'47360224','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0043.','129600'),
(5942,'47361212','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0043.','5640000'),
(5943,'47362225','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','115000000'),
(5944,'47364081','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','2300000'),
(5945,'47365801','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0011.5.2.03.01.01.0001.','3450000'),
(5946,'47367849','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','157765000'),
(5947,'47368965','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','75000000'),
(5948,'47370443','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1500000'),
(5949,'47371183','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','2250000'),
(5950,'47371458','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0038.','709700'),
(5951,'47373761','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','50000000'),
(5952,'47374470','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0038.','342500'),
(5953,'47374619','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1000000'),
(5954,'47376268','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0038.','262800'),
(5955,'47376923','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0038.1.0.10.22.01.0038.','2115000'),
(5956,'47377624','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','50000000'),
(5957,'47378485','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1000000'),
(5958,'47379891','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0022.5.2.02.05.01.0005.','43400000'),
(5959,'47379912','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1500000'),
(5960,'47380282','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0022.5.1.02.01.04.0404.','1400000'),
(5961,'47380334','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0058.1.0.10.22.01.0038.','1410000'),
(5962,'47381020','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','50000000'),
(5963,'47381373','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0022.5.1.02.10.01.0002.','640500000'),
(5964,'47381697','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1000000'),
(5965,'47382054','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0022.5.2.02.10.02.0004.','14700000'),
(5966,'47382388','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1500000'),
(5967,'47384459','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0039.','773800'),
(5968,'47384941','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0039.','1623500'),
(5969,'47385067','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0022.5.2.02.05.02.0006.','1239000000'),
(5970,'47385385','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0039.','772700'),
(5971,'47385676','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0039.','22180000'),
(5972,'47388222','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1500000'),
(5973,'47388920','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','50000000'),
(5974,'47389231','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1000000'),
(5975,'47389462','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0009.5.2.03.01.01.0001.','1500000'),
(5976,'47404380','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0012.','40000000'),
(5977,'47404503','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','65580000'),
(5978,'47405370','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0012.','40000000'),
(5979,'47405736','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','154560000'),
(5980,'47407298','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0012.','40000000'),
(5981,'47409064','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','98400000'),
(5982,'47410040','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','43950000'),
(5983,'47410577','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','157765000'),
(5984,'47411293','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','4200000'),
(5985,'47412036','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','4200000'),
(5986,'47412989','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','2800000'),
(5987,'47412992','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','73800000'),
(5988,'47413865','APBD','2024','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','2800000'),
(5989,'47415535','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','353280000'),
(5990,'47416370','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','29540000'),
(5991,'47421135','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0014.5.1.02.01.01.0024.','22080000'),
(5992,'47424438','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0019.5.1.02.03.03.0010.','20000000'),
(5993,'47424963','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0016.5.2.02.05.01.0004.','7371600'),
(5994,'47425460','APBD','2024','Kab. Bondowoso','1.01.02.2.01.0016.5.2.02.05.01.0004.','7371600'),
(5995,'47457997','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.32.01.0004.','1426000'),
(5996,'47458065','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.32.01.0004.','324000'),
(5997,'47458154','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.32.01.0004.','6750000'),
(5998,'47458876','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0030.','50000'),
(5999,'47458932','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0030.','49950000'),
(6000,'47460230','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0024.1.0.10.22.01.0028.','2660600'),
(6001,'47460372','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0025.1.0.10.22.01.0028.','2757700'),
(6002,'47460542','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0029.1.0.10.22.01.0028.','3716700'),
(6003,'47460742','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.1.0.10.22.01.0028.','11515000'),
(6004,'48024244','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0001.1.0.10.12.03.0004.','42400'),
(6005,'48024579','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0052.1.0.10.12.03.0004.','1603100'),
(6006,'35920328','APBD','','Kab. Bondowoso','5.10.50.6.02.0001.1.0.10.22.02.0042.','6074400000'),
(6007,'35922359','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.12.01.0001.','4280000'),
(6008,'35929394','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0032.','19200000'),
(6009,'35959327','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.02.0059.','250000000'),
(6010,'35959338','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.02.0059.','100000000'),
(6011,'35961849','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0043.','2250000'),
(6012,'35969102','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0055.','9000000'),
(6013,'35969771','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0049.','10000000'),
(6014,'35972043','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0050.','6750000'),
(6015,'35973903','APBD','','Kab. Bondowoso','5.10.20.2.01.0037.1.0.10.22.02.0049.','2700000'),
(6016,'35974921','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0049.','2400000'),
(6017,'35976890','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0054.','8250000'),
(6018,'35977225','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0054.','2400000'),
(6019,'35977345','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0052.','4500000'),
(6020,'35979053','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0052.','11520000'),
(6021,'35983675','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0058.','4500000'),
(6022,'35983957','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0058.','4800000'),
(6023,'35984301','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.02.0058.','300000000'),
(6024,'35985273','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.22.02.0061.','12000000'),
(6025,'35986623','APBD','','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','8000000'),
(6026,'35999049','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.52.02.0003.','8800000'),
(6027,'36013439','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0051.','4500000'),
(6028,'36013617','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0051.','640000'),
(6029,'36013833','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.22.02.0051.','4920000'),
(6030,'36014757','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.52.02.0001.','4600000'),
(6031,'36015114','APBD','','Kab. Bondowoso','1.01.05.2.02.0001.5.1.02.04.01.0004.','24000000'),
(6032,'36015844','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0048.','6750000'),
(6033,'36020047','APBD','','Kab. Bondowoso','5.10.20.2.01.0037.1.0.10.22.02.0038.','12900000'),
(6034,'36020404','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.22.02.0038.','67820000'),
(6035,'36024181','APBD','','Kab. Bondowoso','5.10.50.5.01.0001.1.0.10.22.04.0041.','25000000'),
(6036,'36024822','APBD','','Kab. Bondowoso','5.10.20.2.12.0001.1.0.10.22.04.0036.','8000000'),
(6037,'36025196','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.04.0036.','17000000'),
(6038,'36025519','APBD','','Kab. Bondowoso','5.10.20.2.01.0013.1.0.10.22.04.0014.','36000000'),
(6039,'36025773','APBD','','Kab. Bondowoso','5.10.20.2.01.0026.1.0.10.22.04.0014.','120000000'),
(6040,'36026212','APBD','','Kab. Bondowoso','5.10.50.5.01.0001.1.0.10.22.04.0049.','50000000'),
(6041,'36026793','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.04.0010.','2200000'),
(6042,'36027307','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.22.04.0016.','89523000'),
(6043,'36027787','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.04.0046.','10800000'),
(6044,'36028067','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.22.04.0046.','33000000'),
(6045,'36028327','APBD','','Kab. Bondowoso','5.10.20.2.01.0037.1.0.10.22.04.0027.','3000000'),
(6046,'36028467','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.12.06.0009.','100000000'),
(6047,'36028714','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.04.0017.','16448000000'),
(6048,'36028876','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.42.01.0002.','10000000'),
(6049,'36029129','APBD','','Kab. Bondowoso','5.10.20.4.01.0001.1.0.10.42.01.0002.','6200000'),
(6050,'36029502','APBD','','Kab. Bondowoso','1.01.04.2.01.0002.5.1.02.04.01.0004.','700000'),
(6051,'36035102','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.32.02.0002.','2000000'),
(6052,'36036609','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.32.02.0006.','4500000'),
(6053,'36040700','APBD','','Kab. Bondowoso','5.20.30.1.01.0010.1.0.10.22.02.0014.','16000000'),
(6054,'36041497','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.32.02.0005.','750000'),
(6055,'36054020','APBD','','Kab. Bondowoso','5.10.20.2.01.0026.1.0.10.42.01.0002.','4408800000'),
(6056,'36060881','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.12.03.0004.','750000'),
(6057,'36062946','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0007.','100000000'),
(6058,'36065346','APBD','','Kab. Bondowoso','1.01.02.2.03.0016.5.1.02.02.01.0003.','3200000'),
(6059,'36065540','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.22.03.0016.','12000000'),
(6060,'36071378','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.02.0040.','7500000'),
(6061,'36085685','APBD','','Kab. Bondowoso','5.10.20.2.01.0026.1.0.10.12.08.0004.','372000000'),
(6062,'36086163','APBD','','Kab. Bondowoso','5.10.20.2.01.0031.1.0.10.12.08.0004.','42000000'),
(6063,'36086764','APBD','','Kab. Bondowoso','5.10.20.2.01.0033.1.0.10.12.08.0004.','12000000'),
(6064,'36087391','APBD','','Kab. Bondowoso','5.10.20.2.02.0005.1.0.10.12.08.0004.','40500000'),
(6065,'36087639','APBD','','Kab. Bondowoso','5.10.20.2.02.0006.1.0.10.12.08.0004.','3888000'),
(6066,'36093681','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0004.','150000000'),
(6067,'36093892','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0012.','25000000'),
(6068,'36094546','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0012.','1085000000'),
(6069,'36094879','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0003.','100000000'),
(6070,'36094913','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0003.','90000000'),
(6071,'36094934','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0003.','90000000'),
(6072,'36094949','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0003.','90000000'),
(6073,'36094965','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0003.','30000000'),
(6074,'36095053','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0041.','10000000'),
(6075,'36095137','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0011.','25000000'),
(6076,'36095364','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0018.','19809000000'),
(6077,'36095613','APBD','','Kab. Bondowoso','5.10.20.2.01.0013.1.0.10.22.03.0015.','5775000000'),
(6078,'36095706','APBD','','Kab. Bondowoso','5.10.20.2.01.0013.1.0.10.22.03.0015.','241800000'),
(6079,'36096369','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.03.0019.','3000000'),
(6080,'36098629','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.03.0017.','15800000'),
(6081,'36098840','APBD','','Kab. Bondowoso','5.10.20.2.01.0004.1.0.10.22.03.0017.','14000000'),
(6082,'36098865','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.03.0024.','3000000'),
(6083,'36099040','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.01.0027.','109800000'),
(6084,'36099205','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.03.0026.','3400000'),
(6085,'36099399','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.03.0025.','3840000'),
(6086,'36099705','APBD','','Kab. Bondowoso','5.10.20.4.01.0005.1.0.10.22.03.0025.','10920000'),
(6087,'36100037','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0030.','672500000'),
(6088,'36100966','APBD','','Kab. Bondowoso','5.10.20.2.01.0003.1.0.10.22.03.0023.','4800000'),
(6089,'36101529','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0042.','20000000'),
(6090,'36104280','APBD','','Kab. Bondowoso','5.10.50.5.02.0001.1.0.10.22.03.0002.','140000000'),
(6091,'36106273','APBD','','Kab. Bondowoso','5.10.50.5.02.0002.1.0.10.22.03.0002.','2600000'),
(6092,'36109517','APBD','','Kab. Bondowoso','5.10.20.4.01.0004.1.0.10.22.02.0055.','2720000'),
(6093,'47371922','APBD','2024','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','3416000'),
(6094,'47371925','APBD','2024','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','702000'),
(6095,'47371931','APBD','2024','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(6096,'47371936','APBD','2024','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2035200'),
(6097,'47381063','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0035.1.1.1.20.10.30.012.00071','95400'),
(6098,'47381064','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.02.04.0132.8.1.0.20.20.40.132.00002','1000000'),
(6099,'47381065','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.02.05.0009.8.1.0.20.20.50.009.00001','4000000'),
(6100,'47381066','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(6101,'47381067','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02055','15924000'),
(6102,'47381068','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00026','400000'),
(6103,'47381069','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.02.04.0117.8.1.0.20.20.40.117.00003','500000'),
(6104,'47381071','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.2.05.02.03.0002.1.3.0.50.20.30.002.00021','646600'),
(6105,'47381072','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.2.02.08.03.0015.1.3.0.20.80.30.015.00140','2060000'),
(6106,'47381073','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.2.02.18.01.0002.1.3.0.21.80.10.002.00419','5380800'),
(6107,'47381074','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0032.1.1.1.20.10.30.009.00194','636000'),
(6108,'47381075','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2800000'),
(6109,'47381077','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','116600'),
(6110,'47381078','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.01.01.0053.8.1.0.20.10.10.053.00013','70000'),
(6111,'47381832','APBD','2024','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3325000'),
(6112,'47381834','APBD','2024','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','22500'),
(6113,'47381837','APBD','2024','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1684800'),
(6114,'47381839','APBD','2024','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2035200'),
(6115,'47381841','APBD','2024','Kab. Bondowoso','2.15.01.2.02.0003.5.2.02.05.01.0002.1.3.0.20.50.10.002.00326','301900'),
(6116,'47382114','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.01.01.0032.1.1.1.20.10.30.009.00195','2546400'),
(6117,'47382115','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10356','892500'),
(6118,'47382116','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','532000'),
(6119,'47382117','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(6120,'47382327','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0001.5.2.02.05.01.0002.1.3.0.20.50.10.002.00326','301900'),
(6121,'47382330','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','18100'),
(6122,'47382331','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','848000'),
(6123,'47382332','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','700000'),
(6124,'47382333','APBD','2024','Kab. Bondowoso','2.15.01.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','31800'),
(6125,'47382946','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','375000'),
(6126,'47382947','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','5964000'),
(6127,'47382948','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(6128,'47382950','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','1696000'),
(6129,'47382951','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(6130,'47382952','APBD','2024','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.02.04.0043.8.1.0.20.20.40.043.00020','105000000'),
(6131,'47383106','APBD','2024','Kab. Bondowoso','2.15.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','454800'),
(6132,'47383107','APBD','2024','Kab. Bondowoso','2.15.01.2.03.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','658000'),
(6133,'47383108','APBD','2024','Kab. Bondowoso','2.15.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03314','841500'),
(6134,'47383109','APBD','2024','Kab. Bondowoso','2.15.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(6135,'47383517','APBD','2024','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(6136,'47383520','APBD','2024','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.02.09.0002.8.1.0.20.21.00.002.00008','225000000'),
(6137,'47383521','APBD','2024','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2800000'),
(6138,'47383523','APBD','2024','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','37200'),
(6139,'47383525','APBD','2024','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(6140,'47383704','APBD','2024','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.02.09.0002.8.1.0.20.21.00.002.00007','95000000'),
(6141,'47383706','APBD','2024','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','82500'),
(6142,'47383708','APBD','2024','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(6143,'47383711','APBD','2024','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','1008000'),
(6144,'47383712','APBD','2024','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(6145,'47384816','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0001.','120000'),
(6146,'47386997','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','200000000'),
(6147,'47388651','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','141600000'),
(6148,'47388736','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0015.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(6149,'47388737','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0015.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','115500'),
(6150,'47389593','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','148000000'),
(6151,'47390456','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','21542400'),
(6152,'47391126','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','16156800'),
(6153,'47392175','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.03.02.0493.','1625000'),
(6154,'47392696','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','14280000'),
(6155,'47392698','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09925','21900'),
(6156,'47392700','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(6157,'47392702','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0001.5.1.02.02.01.0067.8.1.0.20.20.10.067.00001','10000000'),
(6158,'47392866','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10957','32900'),
(6159,'47392867','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.03.02.0409.8.1.0.20.30.20.405.00001','1460000'),
(6160,'47392869','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','600000'),
(6161,'47392870','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00403','4664000'),
(6162,'47392871','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.01.01.0014.1.1.1.20.10.20.002.00001','38000000'),
(6163,'47392872','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0006.5.1.02.03.02.0121.8.1.0.20.30.20.121.00001','1220000'),
(6164,'47393063','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(6165,'47393064','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10769','732400'),
(6166,'47393065','APBD','2024','Kab. Bondowoso','2.15.01.2.09.0009.5.2.03.01.01.0001.1.3.0.30.10.10.001.00250','3621600'),
(6167,'47393326','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','900000'),
(6168,'47393327','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(6169,'47393329','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0036.1.1.1.20.10.30.013.00103','188000'),
(6170,'47393355','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03320','848000'),
(6171,'47393357','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0053.8.1.0.20.10.10.053.00019','510000'),
(6172,'47393358','APBD','2024','Kab. Bondowoso','2.15.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(6173,'47393580','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0001.5.1.02.02.01.0016.8.1.0.20.20.10.016.00043','640000'),
(6174,'47393581','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','5000'),
(6175,'47393582','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03613','535000'),
(6176,'47393853','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10152','66000'),
(6177,'47393854','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02257','80000'),
(6178,'47394113','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00008','60000'),
(6179,'47394114','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0004.5.1.02.01.01.0053.8.1.0.20.10.10.053.00013','210000'),
(6180,'47394115','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(6181,'47394116','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09997','14200'),
(6182,'47394816','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(6183,'47394817','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','42400'),
(6184,'47394818','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','290000'),
(6185,'47394819','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','300000'),
(6186,'47394820','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','207000'),
(6187,'47394821','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10314','110400000'),
(6188,'47394822','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.11196','145000000'),
(6189,'47394823','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(6190,'47394824','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','300000'),
(6191,'47394825','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','1400000'),
(6192,'47394826','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(6193,'47394827','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','174000'),
(6194,'47394828','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','86100'),
(6195,'47394829','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(6196,'47394830','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.01.01.0058.8.1.0.20.10.10.058.00018','2700000'),
(6197,'47394831','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0017.5.2.02.18.01.0002.1.3.0.21.80.10.002.00518','76956000'),
(6198,'47394842','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02177','2300000'),
(6199,'47394843','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10174','31600'),
(6200,'47394844','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','933000'),
(6201,'47394845','APBD','2024','Kab. Bondowoso','2.15.01.2.06.0005.5.2.02.05.01.0002.1.3.0.20.50.10.002.00327','311100'),
(6202,'47395019','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00005','28680000'),
(6203,'47395020','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(6204,'47395021','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','5000'),
(6205,'47395022','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00031','27394200'),
(6206,'47395023','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00056','49896000'),
(6207,'47395136','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0004.','11410000'),
(6208,'47395268','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7200000'),
(6209,'47395269','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00078','1400000'),
(6210,'47395270','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.02.12.0001.8.1.0.20.21.30.001.00207','23000000'),
(6211,'47395271','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1101600'),
(6212,'47395272','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','227500'),
(6213,'47395273','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0014.1.1.1.20.10.20.002.00001','19000000'),
(6214,'47395274','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0013.1.1.1.20.10.20.001.05946','20000000'),
(6215,'47395275','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','17500000'),
(6216,'47395276','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.02.03.0007.8.1.0.20.20.30.007.00001','2400000'),
(6217,'47395277','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.2.02.05.01.0002.1.3.0.20.50.10.002.00343','342500'),
(6218,'47395278','APBD','2024','Kab. Bondowoso','2.15.02.2.06.0004.5.2.02.15.02.0005.1.3.0.21.50.20.005.00041','31800000'),
(6219,'47395398','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','210000'),
(6220,'47395399','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(6221,'47395400','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.02.0005.8.1.0.20.20.20.005.00011','175200000'),
(6222,'47395401','APBD','2024','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00001','21024000'),
(6223,'47395409','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','4600'),
(6224,'47395410','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(6225,'47395411','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','2239200'),
(6226,'47395412','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0003.5.1.02.02.12.0001.8.1.0.20.21.30.001.00185','4970000'),
(6227,'47395543','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','88500'),
(6228,'47395544','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2544000'),
(6229,'47395545','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','2800000'),
(6230,'47395546','APBD','2024','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(6231,'47395655','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.2.02.02.01.0001.1.3.0.20.20.10.001.01339','590000000'),
(6232,'47395656','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(6233,'47395657','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(6234,'47395658','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10069','151200'),
(6235,'47395659','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.2.02.02.01.0004.1.3.0.20.20.10.004.00385','37100000'),
(6236,'47395660','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0001.5.2.02.02.02.0002.1.3.0.20.20.20.002.00451','15000000'),
(6237,'47395876','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(6238,'47395877','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0005.5.2.02.05.01.0004.1.3.0.20.50.10.004.01294','13446600'),
(6239,'47395878','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10026','10600'),
(6240,'47395879','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0005.5.2.02.05.02.0001.1.3.0.20.50.20.001.02021','3180000'),
(6241,'47396106','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.11100','13500'),
(6242,'47396107','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(6243,'47396108','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.2.02.05.02.0004.1.3.0.20.50.20.004.00832','7868000'),
(6244,'47396109','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.2.02.05.02.0003.1.3.0.20.50.20.003.00356','1324500'),
(6245,'47396110','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.2.02.05.02.0006.1.3.0.20.50.20.006.00575','8085000'),
(6246,'47396111','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.01910','13250000'),
(6247,'47396112','APBD','2024','Kab. Bondowoso','2.15.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02715','3869000'),
(6248,'47396262','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0004.','530000'),
(6249,'47396693','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0004.','650000'),
(6250,'47398297','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0013.','1856300'),
(6251,'47401912','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0024.','1350800'),
(6252,'47404992','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0025.','1427400'),
(6253,'47406029','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0027.','200000'),
(6254,'47409891','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0029.','1506200'),
(6255,'47411199','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0031.','2102700'),
(6256,'47459150','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0002.','50478400'),
(6257,'47460804','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0002.','172500000'),
(6258,'47461442','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0002.','16820250'),
(6259,'47461877','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0002.','22427000'),
(6260,'47463552','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0002.','180000000'),
(6261,'47464295','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.2.02.18.01.0003.','23320000'),
(6262,'47467361','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0010.5.1.02.01.01.0025.1.1.1.20.10.30.002.02190','534800'),
(6263,'47467362','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0010.5.1.02.01.01.0024.1.1.1.20.10.30.001.10788','282700'),
(6264,'47467363','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0010.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','3180000'),
(6265,'47469309','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0007.5.1.02.03.02.0086.8.1.0.20.30.20.086.00001','150000000'),
(6266,'47469310','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','9600'),
(6267,'47469311','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0007.5.1.02.01.01.0004.1.1.1.20.10.10.004.00416','11829600'),
(6268,'47474034','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','5264000'),
(6269,'47474035','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','7500'),
(6270,'47475288','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','159000'),
(6271,'47475289','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0005.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2250000'),
(6272,'47480064','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.02.01.0041.','8000000'),
(6273,'47482044','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0003.5.2.03.01.01.0032.1.3.0.30.10.10.032.00348','4688200'),
(6274,'47482045','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0003.5.2.03.01.01.0032.1.3.0.30.10.10.032.00320','189927000'),
(6275,'47482046','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0003.5.2.03.01.01.0032.1.3.0.30.10.10.032.00323','10638450'),
(6276,'47482047','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0003.5.2.03.01.01.0032.1.3.0.30.10.10.032.00322','15954150'),
(6277,'47482246','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.04576','188818900'),
(6278,'47482249','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.2.04.04.02.0003.1.3.0.40.40.20.003.00043','143275000'),
(6279,'47482250','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00045','12000000'),
(6280,'47482252','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.02.01.0068.8.1.0.20.20.10.061.00029','18000008000'),
(6281,'47482254','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.02.09.0011.8.1.0.20.21.00.011.00010','100000000'),
(6282,'47482257','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','867600'),
(6283,'47482258','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0064.8.1.0.20.10.10.064.00001','6600000'),
(6284,'47482260','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00407','5618000'),
(6285,'47482266','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.04512','63660000'),
(6286,'47482267','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.04574','300382400'),
(6287,'47482274','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.2.04.04.02.0003.1.3.0.40.40.20.003.00037','17250000'),
(6288,'47482275','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.2.04.04.02.0003.1.3.0.40.40.20.003.00038','11500000'),
(6289,'47482277','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.2.04.04.02.0003.1.3.0.40.40.20.003.00043','156300000'),
(6290,'47482278','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.03613','24641200'),
(6291,'47482295','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0001.1.1.1.20.10.10.001.13568','1358400'),
(6292,'47482297','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(6293,'47482298','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0013.1.1.1.20.10.20.001.05950','27000000'),
(6294,'47482300','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','730000'),
(6295,'47482302','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03522','742800'),
(6296,'47482621','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.02.01.0035.','300000'),
(6297,'47483396','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.02.01.0035.','1000000'),
(6298,'47483614','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0004.5.2.02.02.01.0006.','1400000000'),
(6299,'47484502','APBD','2024','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.01.01.0039.','250000'),
(6300,'47485806','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11199','75000000'),
(6301,'47486290','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0002.5.1.02.02.12.0001.8.1.0.20.21.30.001.00187','13814000'),
(6302,'47486291','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','107400'),
(6303,'47486292','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(6304,'47486293','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(6305,'47487424','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(6306,'47487425','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(6307,'47488542','APBD','2024','Kab. Bondowoso','2.15.02.2.05.0001.5.2.02.03.02.0013.1.3.0.20.30.20.013.00001','250000000'),
(6308,'36116863','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(6309,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','1460000'),
(6310,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','2674000'),
(6311,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','1328000'),
(6312,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00403','750000'),
(6313,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(6314,'36116864','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','1590000'),
(6315,'36116867','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00001','4480000'),
(6316,'36116867','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00004','3360000'),
(6317,'36116867','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00006','1984000'),
(6318,'36116867','APBD','','Kab. Bondowoso','2.15.01.2.01.0001.5.1.02.02.01.0071.8.1.0.20.20.10.071.00008','1184000'),
(6319,'36120542','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(6320,'36120543','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','10400000'),
(6321,'36120543','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1200000'),
(6322,'36120544','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','2656000'),
(6323,'36120544','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(6324,'36120544','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8200000'),
(6325,'36120544','APBD','','Kab. Bondowoso','2.15.02.2.09.0002.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','1513300'),
(6326,'36120803','APBD','','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(6327,'36120804','APBD','','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','664000'),
(6328,'36120804','APBD','','Kab. Bondowoso','2.15.01.2.02.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(6329,'36120897','APBD','','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00034','600000'),
(6330,'36120898','APBD','','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(6331,'36120899','APBD','','Kab. Bondowoso','2.15.01.2.04.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(6332,'36121007','APBD','','Kab. Bondowoso','2.15.01.2.04.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','410000'),
(6333,'36121270','APBD','','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00300','5460000'),
(6334,'36121270','APBD','','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','7200000'),
(6335,'36121270','APBD','','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','11480000'),
(6336,'36121270','APBD','','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00897','1260000'),
(6337,'36121270','APBD','','Kab. Bondowoso','2.15.02.2.09.0003.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','3026600'),
(6338,'36121324','APBD','','Kab. Bondowoso','2.15.01.2.03.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','800000'),
(6339,'36121478','APBD','','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','3968000'),
(6340,'36121478','APBD','','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','5740000'),
(6341,'36121478','APBD','','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','3180000'),
(6342,'36121478','APBD','','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.40.10.005.00476','3600000'),
(6343,'36121478','APBD','','Kab. Bondowoso','2.15.02.2.01.0001.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','1513300'),
(6344,'36121562','APBD','','Kab. Bondowoso','2.15.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(6345,'36123772','APBD','','Kab. Bondowoso','2.15.02.2.06.0015.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','18000000'),
(6346,'36123773','APBD','','Kab. Bondowoso','2.15.02.2.06.0015.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','4800000'),
(6347,'36125758','APBD','','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.04.01.0005.','6970000'),
(6348,'36125758','APBD','','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.04.01.0005.','3320000'),
(6349,'36126105','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(6350,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00402','7500000'),
(6351,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','21730000'),
(6352,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','6360000'),
(6353,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','16044000'),
(6354,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00279','5952000'),
(6355,'36126106','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00295','7304000'),
(6356,'36126107','APBD','','Kab. Bondowoso','2.15.01.2.06.0009.5.1.02.02.01.0054.8.1.0.20.20.10.054.00003','8160000'),
(6357,'36126357','APBD','','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','6150000'),
(6358,'36126358','APBD','','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.05.02.0001.8.1.0.20.50.20.001.00012','720000000'),
(6359,'36126359','APBD','','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.02.01.0017.8.1.0.20.20.10.017.00001','12000000'),
(6360,'36126359','APBD','','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.02.01.0017.8.1.0.20.20.10.017.00014','612000000'),
(6361,'36126360','APBD','','Kab. Bondowoso','2.15.02.2.06.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3520000'),
(6362,'36126528','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0001.8.1.0.20.40.10.001.00001','12350000'),
(6363,'36126529','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','27200000'),
(6364,'36126529','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7200000'),
(6365,'36126529','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','63200000'),
(6366,'36126529','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','27200000'),
(6367,'36126530','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','10250000'),
(6368,'36126530','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','5348000'),
(6369,'36126531','APBD','','Kab. Bondowoso','2.15.02.2.06.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00001','24000000'),
(6370,'36126565','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00005','96000000'),
(6371,'36126566','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00069','48000000'),
(6372,'36126566','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00070','60000000'),
(6373,'36126567','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0022.8.1.0.20.20.10.022.00005','48000000'),
(6374,'36126567','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0022.8.1.0.20.20.10.022.00006','12000000'),
(6375,'36126568','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00018','156000000'),
(6376,'36126568','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','807400000'),
(6377,'36126569','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00006','12000000'),
(6378,'36126570','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','24000000'),
(6379,'36126571','APBD','','Kab. Bondowoso','2.15.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00002','12000000'),
(6380,'36126621','APBD','','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','7380000'),
(6381,'36126622','APBD','','Kab. Bondowoso','2.15.02.2.07.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3520000'),
(6382,'36156578','APBD','','Kab. Bondowoso','2.15.02.2.05.0010.5.1.02.02.01.0035.8.1.0.20.20.10.035.00099','36000000'),
(6383,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','4380000'),
(6384,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00281','4380000'),
(6385,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','8610000'),
(6386,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00418','2960000'),
(6387,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','6360000'),
(6388,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','10696000'),
(6389,'36159130','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','1513300'),
(6390,'36159132','APBD','','Kab. Bondowoso','2.15.02.2.05.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(6391,'36159656','APBD','','Kab. Bondowoso','2.15.02.2.05.0005.5.1.02.04.01.0001.8.1.0.20.40.10.001.00006','5000000'),
(6392,'36160574','APBD','','Kab. Bondowoso','2.15.02.2.02.0002.5.1.02.02.01.0054.','1198200'),
(6393,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','1513300'),
(6394,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00280','2920000'),
(6395,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00296','2656000'),
(6396,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4100000'),
(6397,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','3180000'),
(6398,'36161672','APBD','','Kab. Bondowoso','2.15.02.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','5348000'),
(6399,'47056156','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.20.001.02168','5300000'),
(6400,'47056948','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.20.003.00307','7421900'),
(6401,'47058885','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.20.003.00384','636000'),
(6402,'47059664','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.20.006.00582','3000000'),
(6403,'47255424','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.30.001.00035','826800'),
(6404,'47256403','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.20.50.30.004.00081','3569900'),
(6405,'47257014','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0001.5.1.02.01.01.0029.1.3.0.21.00.20.003.02887','18000000'),
(6406,'47258502','APBD','2024','Kab. Bondowoso','2.24.02.2.03.0001.5.1.02.01.01.0029.1.3.0.20.50.10.005.01900','2226000'),
(6407,'47259377','APBD','2024','Kab. Bondowoso','2.24.02.2.03.0001.5.1.02.01.01.0029.1.3.0.21.00.10.002.02546','7300000'),
(6408,'47265071','APBD','2024','Kab. Bondowoso','2.24.02.2.03.0001.5.1.02.01.01.0029.1.3.0.21.00.20.004.02076','574700'),
(6409,'47265499','APBD','2024','Kab. Bondowoso','2.24.02.2.03.0001.5.1.02.01.01.0029.1.3.0.21.00.20.005.00942','1060000'),
(6410,'47266900','APBD','2024','Kab. Bondowoso','2.24.02.2.02.0002.5.1.02.01.01.0029.1.3.0.20.20.20.001.00042','2650000'),
(6411,'47267207','APBD','2024','Kab. Bondowoso','2.24.02.2.02.0002.5.1.02.01.01.0029.1.1.1.20.10.30.013.00104','35000000'),
(6412,'47267604','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0003.5.1.02.01.01.0029.8.1.0.20.10.10.052.00001','1700000'),
(6413,'47268002','APBD','2024','Kab. Bondowoso','2.24.02.2.01.0003.5.1.02.01.01.0029.8.1.0.20.10.10.052.00002','3000000'),
(6414,'47268493','APBD','2024','Kab. Bondowoso','2.24.03.2.01.0002.5.1.02.01.01.0029.8.1.0.20.10.10.052.00001','340000'),
(6415,'47268798','APBD','2024','Kab. Bondowoso','2.24.03.2.01.0002.5.1.02.01.01.0029.8.1.0.20.10.10.052.00002','600000'),
(6416,'47274954','APBD','2024','Kab. Bondowoso','2.23.02.2.02.0002.5.1.02.01.01.0029.1.3.0.50.10.10.003.00023','5680000'),
(6417,'47275676','APBD','2024','Kab. Bondowoso','2.23.02.2.02.0002.5.1.02.01.01.0029.1.3.0.50.10.10.004.00012','3400000'),
(6418,'47279901','APBD','2024','Kab. Bondowoso','2.23.02.2.02.0002.5.1.02.01.01.0029.1.3.0.50.10.10.009.00027','25600000'),
(6419,'47280582','APBD','2024','Kab. Bondowoso','2.23.02.2.02.0002.5.1.02.01.01.0029.1.3.0.50.10.10.001.00118','56000000'),
(6420,'47281111','APBD','2024','Kab. Bondowoso','2.23.02.2.02.0002.5.1.02.01.01.0029.1.3.0.20.50.10.004.01641','10000000'),
(6421,'47078916','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0002.','1632690000'),
(6422,'47079089','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0024.,','2329900'),
(6423,'47079136','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0025.','3412000'),
(6424,'47079153','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0029.','1590000'),
(6425,'47079185','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','32000000'),
(6426,'47079206','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','37500000'),
(6427,'47079217','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','7823000'),
(6428,'47079236','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','351000000'),
(6429,'47079246','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','600000000'),
(6430,'47079252','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','355000000'),
(6431,'47079267','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','12990000'),
(6432,'47079290','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','54306000'),
(6433,'47079332','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','129300000'),
(6434,'47079343','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','129300000'),
(6435,'47079352','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','129300000'),
(6436,'47079383','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','129300000'),
(6437,'47079410','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','129300000'),
(6438,'47079422','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','36203995'),
(6439,'47079426','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','15740000'),
(6440,'47079439','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','65856000'),
(6441,'47079450','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6442,'47079451','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6443,'47079457','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6444,'47079478','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6445,'47079492','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6446,'47079498','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6447,'47079503','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6448,'47079513','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6449,'47079532','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6450,'47079535','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','78400000'),
(6451,'47081062','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0039.','43904000'),
(6452,'47081075','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0052.','23500000'),
(6453,'47081119','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0002.','49920000'),
(6454,'47081132','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0002.','23040000'),
(6455,'47081152','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0008.','4653000'),
(6456,'47081295','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0024.','1022800'),
(6457,'47081305','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0025.','599500'),
(6458,'47081310','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0029.','424000'),
(6459,'47081331','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0039.','67500000'),
(6460,'47081343','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0039.','245000000'),
(6461,'47169181','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0004.5.1.02.01.01.0029.','4664000'),
(6462,'47169900','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0004.5.1.02.01.01.0024.','1888000'),
(6463,'47176145','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0004.5.1.02.01.01.0052.','9000000'),
(6464,'47198563','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0010.5.1.02.03.03.0001.','69700000'),
(6465,'47198914','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0010.5.2.03.04.01.0004.','102440000'),
(6466,'47199086','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0010.5.2.04.03.01.0004.','2048800'),
(6467,'47199105','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0010.5.2.04.03.01.0004.','5738200'),
(6468,'47199308','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0002.5.1.02.01.01.0013.','15000000'),
(6469,'47211552','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0003.5.1.02.01.01.0024.','9163500'),
(6470,'47212523','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0003.5.1.02.01.01.0025.','4196500'),
(6471,'47220222','APBD','2024','Kab. Bondowoso','3.27.01.2.09.0001.5.1.02.01.01.0013.','10000000'),
(6472,'47222948','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0003.5.1.02.01.01.0030.','9991000'),
(6473,'47223797','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0001.5.1.02.01.01.0031.','7996000'),
(6474,'47225942','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0005.5.1.02.01.01.0024.','6400000'),
(6475,'47239674','APBD','2024','Kab. Bondowoso','3.27.01.2.06.0005.5.1.02.01.01.0025.','3600000'),
(6476,'47241603','APBD','2024','Kab. Bondowoso','3.27.01.2.07.0007.5.2.02.05.01.0004.','35000000'),
(6477,'47243807','APBD','2024','Kab. Bondowoso','3.27.01.2.07.0007.5.2.02.05.02.0004.','15900000'),
(6478,'47244841','APBD','2024','Kab. Bondowoso','3.27.01.2.07.0007.5.2.02.10.01.0002.','21200000'),
(6479,'47246234','APBD','2024','Kab. Bondowoso','3.27.01.2.07.0007.5.2.02.10.02.0003.','16960000'),
(6480,'47248599','APBD','2024','Kab. Bondowoso','3.27.01.2.02.0005.5.1.02.01.01.0024.','3307800'),
(6481,'47249758','APBD','2024','Kab. Bondowoso','3.27.01.2.02.0005.5.1.02.01.01.0025.','3102200'),
(6482,'47253947','APBD','2024','Kab. Bondowoso','3.27.01.2.02.0005.5.1.02.01.01.0029.','1590000'),
(6483,'47260238','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0002.,','156680000'),
(6484,'47261033','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0024.','1636900'),
(6485,'47261395','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0025.','664300'),
(6486,'47261791','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0029.','530000'),
(6487,'47263139','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0024.','1081200'),
(6488,'47263481','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0025.','858000'),
(6489,'47263726','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0029.','424000'),
(6490,'47264060','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','11018000'),
(6491,'47264410','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','1574000'),
(6492,'47264528','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','6585600'),
(6493,'47264766','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','46099200'),
(6494,'47265028','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6495,'47265341','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','4390400'),
(6496,'47265537','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6497,'47265637','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6498,'47265764','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6499,'47265917','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6500,'47266051','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6501,'47266201','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6502,'47266297','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','78400000'),
(6503,'47266542','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0039.','30732800'),
(6504,'47266852','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.01.01.0052.','4700000'),
(6505,'47268930','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0005.5.1.02.01.01.0024.','4233000'),
(6506,'47269248','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0005.5.1.02.01.01.0025.','674000'),
(6507,'47269546','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0005.5.1.02.01.01.0029.','318000'),
(6508,'47269830','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0005.5.1.02.01.01.0052.','4935000'),
(6509,'47271907','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.01.01.0024.','27212200'),
(6510,'47272298','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.01.01.0025.','1263800'),
(6511,'47272702','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.01.01.0029.','424000'),
(6512,'47273265','APBD','2024','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.01.01.0052.','18800000'),
(6513,'47273307','APBD','2024','Kab. Bondowoso','3.27.01.2.01.0001.5.1.02.01.01.0024.','4854800'),
(6514,'47274477','APBD','2024','Kab. Bondowoso','3.27.01.2.01.0001.5.1.02.01.01.0025.','3970300'),
(6515,'47275913','APBD','2024','Kab. Bondowoso','3.27.01.2.01.0001.5.1.02.01.01.0029.','1696000'),
(6516,'47286664','APBD','2024','Kab. Bondowoso','3.27.05.2.01.0001.5.1.02.01.01.0002.','137182500'),
(6517,'47287716','APBD','2024','Kab. Bondowoso','3.27.05.2.01.0001.5.1.02.01.01.0024.','1318300'),
(6518,'47288797','APBD','2024','Kab. Bondowoso','3.27.05.2.01.0001.5.1.02.01.01.0025.','1079100'),
(6519,'47293331','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0003.5.1.02.04.01.0052.','17640000'),
(6520,'47295193','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.01.01.0024.','1874700'),
(6521,'47295926','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.01.01.0025.','1068200'),
(6522,'47296512','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.04.01.0029.','848000'),
(6523,'47297394','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.01.01.0052.','47000000'),
(6524,'47298968','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.02.01.0047.','400000000'),
(6525,'47300181','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0012.','16000000'),
(6526,'47300869','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0024.','29300600'),
(6527,'47301315','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0025.','1678000'),
(6528,'47301606','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0029.','636000'),
(6529,'47302048','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0052.','75200000'),
(6530,'47302293','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.01.01.0032.','37100000'),
(6531,'47305044','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0005.5.1.02.01.01.0012.','140000000'),
(6532,'47305616','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0005.5.1.02.01.01.0024.','1017400'),
(6533,'47305732','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0005.5.1.02.01.01.0025.','1678600'),
(6534,'47305922','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0005.5.1.02.01.01.0029.','424000'),
(6535,'47306420','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0024.','1808700'),
(6536,'47306642','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0025.','479600'),
(6537,'47306789','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0029.','424000'),
(6538,'47307148','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','58370000'),
(6539,'47308214','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','1167400'),
(6540,'47308445','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','3268850'),
(6541,'47308986','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','4903600'),
(6542,'47309102','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','2245000'),
(6543,'47309189','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','125720000'),
(6544,'47309271','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','2514400'),
(6545,'47309344','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','112250000'),
(6546,'47309464','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','7040600'),
(6547,'47309605','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','10561600'),
(6548,'47309676','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','6286250'),
(6549,'47309714','APBD','2024','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.01.01.0039.','9430000'),
(6550,'47309994','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.01.01.0024.','3501500'),
(6551,'47310076','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.01.01.0025.','424500'),
(6552,'47310125','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.01.01.0029.','424000'),
(6553,'47310164','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.01.01.0052.','9400000'),
(6554,'47313718','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.01.01.0024.','2794800'),
(6555,'47313904','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.01.01.0025.','554100'),
(6556,'47314151','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.01.01.0029.','986100'),
(6557,'47314432','APBD','2024','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.01.01.0052.','4395000'),
(6558,'47315539','APBD','2024','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.01.01.0025.','9089800'),
(6559,'47315659','APBD','2024','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.01.01.0025.','2462200'),
(6560,'47315735','APBD','2024','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.01.01.0029.','848000'),
(6561,'47315916','APBD','2024','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.01.01.0052.','37600000'),
(6562,'47316966','APBD','2024','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.01.01.0024.','1937700'),
(6563,'47317125','APBD','2024','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.01.01.0025.','1024000'),
(6564,'47317284','APBD','2024','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.01.01.0029.','1940900'),
(6565,'47317439','APBD','2024','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.01.01.0043.','130037400'),
(6566,'47317566','APBD','2024','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.01.01.0052.','4230000'),
(6567,'47318053','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0002.','696500'),
(6568,'47318121','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0012.','2438800'),
(6569,'47318290','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0024.','591100'),
(6570,'47318403','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0025.','479600'),
(6571,'47318482','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0029.','424000'),
(6572,'47318648','APBD','2024','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.01.01.0052.','680000'),
(6573,'47349611','APBD','2024','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.02.12.0003.','350000000'),
(6574,'36005525','APBD','','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.01.01.0004.','2926000'),
(6575,'36005864','APBD','','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.04.01.0004.','6080000'),
(6576,'36005867','APBD','','Kab. Bondowoso','3.27.02.2.01.0001.5.1.02.04.01.0005.','25010000'),
(6577,'36005898','APBD','','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.02.01.0023.','39000000'),
(6578,'36005921','APBD','','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.02.04.0043.','16250000'),
(6579,'36005954','APBD','','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.04.01.0005.','15170000'),
(6580,'36075935','APBD','','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.04.01.0005.','5740000'),
(6581,'36077920','APBD','','Kab. Bondowoso','3.27.03.2.02.0010.5.1.02.04.01.0004.','3680000'),
(6582,'36079123','APBD','','Kab. Bondowoso','3.27.03.2.01.0005.5.1.02.04.01.0005.','9840000'),
(6583,'36079297','APBD','','Kab. Bondowoso','3.27.03.2.01.0005.5.1.05.05.01.0001.','80000000'),
(6584,'36080681','APBD','','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.02.01.0029.','40000000'),
(6585,'36080805','APBD','','Kab. Bondowoso','3.27.03.2.01.0016.5.1.02.04.01.0005.','12300000'),
(6586,'36082649','APBD','','Kab. Bondowoso','3.27.01.2.01.0001.5.1.02.04.01.0005.','30600000'),
(6587,'36083394','APBD','','Kab. Bondowoso','3.27.01.2.09.0001.5.1.02.02.01.0035.','3600000'),
(6588,'36084242','APBD','','Kab. Bondowoso','3.27.01.2.09.0002.5.1.02.01.01.0004.','8378000'),
(6589,'36086907','APBD','','Kab. Bondowoso','3.27.05.2.01.0001.5.1.02.01.01.0004.','3040000'),
(6590,'36087124','APBD','','Kab. Bondowoso','3.27.05.2.01.0001.5.1.02.01.01.0005.','7380000'),
(6591,'36087367','APBD','','Kab. Bondowoso','3.27.01.2.09.0002.5.1.02.02.01.0035.','3000000'),
(6592,'36087775','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.01.0006.','1632000000'),
(6593,'36087997','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.01.0026.','504000000'),
(6594,'36088108','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.01.0035.','3000000'),
(6595,'36088122','APBD','','Kab. Bondowoso','3.27.07.2.01.0003.5.1.02.04.01.0004.','4000000'),
(6596,'36088334','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.02.0006.','15840000'),
(6597,'36088480','APBD','','Kab. Bondowoso','3.27.01.2.09.0002.5.1.02.02.01.0067.','30000000'),
(6598,'36088813','APBD','','Kab. Bondowoso','3.27.01.2.08.0002.5.1.02.02.01.0059.','64800000'),
(6599,'36088924','APBD','','Kab. Bondowoso','3.27.01.2.08.0002.5.1.02.02.01.0060.','18498600'),
(6600,'36089028','APBD','','Kab. Bondowoso','3.27.01.2.08.0002.5.1.02.02.01.0061.','66653600'),
(6601,'36089268','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.01.0001.','6950775300'),
(6602,'36089324','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.01.0002.','1863375400'),
(6603,'36089339','APBD','','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.02.01.0003.','7200000'),
(6604,'36089404','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.02.0001.','704913000'),
(6605,'36089498','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.02.0002.','153069500'),
(6606,'36089703','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.03.0001.','119581000'),
(6607,'36089796','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.04.0001.','1001308000'),
(6608,'36089798','APBD','','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.04.01.0004.','24000000'),
(6609,'36089893','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.05.0001.','67760000'),
(6610,'36089906','APBD','','Kab. Bondowoso','3.27.07.2.01.0002.5.1.02.04.01.0005.','8200000'),
(6611,'36089940','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.05.0002.','124286400'),
(6612,'36090057','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.06.0001.','489602700'),
(6613,'36090238','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.06.0002.','132716900'),
(6614,'36090319','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.07.0001.','43592300'),
(6615,'36090357','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.08.0001.','103900'),
(6616,'36090525','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.08.0002.','30400'),
(6617,'36090609','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.09.0001.','313721200'),
(6618,'36090640','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.09.0002.','85629300'),
(6619,'36090663','APBD','','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.02.01.0003.','14400000'),
(6620,'36090680','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.10.0001.','16681900'),
(6621,'36090691','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.10.0002.','4472200'),
(6622,'36090741','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.11.0001.','50045600'),
(6623,'36090756','APBD','','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.04.01.0004.','66080000'),
(6624,'36090786','APBD','','Kab. Bondowoso','3.27.01.2.02.0001.5.1.01.01.11.0002.','13416400'),
(6625,'36090811','APBD','','Kab. Bondowoso','3.27.07.2.01.0001.5.1.02.04.01.0005.','6560000'),
(6626,'36091019','APBD','','Kab. Bondowoso','3.27.01.2.06.0009.5.1.02.04.01.0005.','70000000'),
(6627,'36091350','APBD','','Kab. Bondowoso','3.27.07.2.01.0005.5.1.02.04.01.0004.','6880000'),
(6628,'36092722','APBD','','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.04.01.0004.','4000000'),
(6629,'36092733','APBD','','Kab. Bondowoso','2.09.02.2.01.0003.5.1.02.04.01.0004.','13530000'),
(6630,'36093460','APBD','','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.02.01.0003.','10000000'),
(6631,'36093516','APBD','','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.04.01.0004.','9600000'),
(6632,'36093534','APBD','','Kab. Bondowoso','2.09.03.2.01.0002.5.1.02.04.01.0005.','26650000'),
(6633,'36093605','APBD','','Kab. Bondowoso','2.09.03.2.01.0002.5.1.05.05.01.0001.','90000000'),
(6634,'36094457','APBD','','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.04.01.0004.','3840000'),
(6635,'36094492','APBD','','Kab. Bondowoso','2.09.03.2.01.0016.5.1.02.04.01.0005.','11890000'),
(6636,'36094641','APBD','','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.02.01.0003.','36000000'),
(6637,'36094774','APBD','','Kab. Bondowoso','2.09.03.2.04.0002.5.1.02.04.01.0004.','64000000'),
(6638,'36094861','APBD','','Kab. Bondowoso','2.09.03.2.04.0002.5.1.05.05.01.0001.','500000000'),
(6639,'36095869','APBD','','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.02.01.0006.','20700000'),
(6640,'36095890','APBD','','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.04.01.0004.','3040000'),
(6641,'36095910','APBD','','Kab. Bondowoso','2.09.04.2.02.0002.5.1.02.04.01.0005.','7790000'),
(6642,'36095954','APBD','','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.04.01.0005.','11890000'),
(6643,'36095970','APBD','','Kab. Bondowoso','2.09.05.2.01.0006.5.1.02.04.01.0004.','1600000'),
(6644,'47093368','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','180000000'),
(6645,'47094256','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','9600000'),
(6646,'47095378','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','6400000'),
(6647,'47097278','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','8820000'),
(6648,'47097563','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','8820000'),
(6649,'47097780','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','90000000'),
(6650,'47098138','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','140000000'),
(6651,'47098358','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','90000000'),
(6652,'47098890','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','90000000'),
(6653,'47099138','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','90000000'),
(6654,'47099301','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','90000000'),
(6655,'47099655','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','180000000'),
(6656,'47100684','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','50000000'),
(6657,'47101196','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','50000000'),
(6658,'47101857','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','49536000'),
(6659,'47102176','APBD','2024','Kab. Bondowoso','1.03.03.2.01.0028.5.1.02.01.01.0039.1.1.1.20.10.50.001.00397','33024000'),
(6660,'47106204','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6661,'47106416','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6662,'47106632','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6663,'47106851','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6664,'47107235','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','103800000'),
(6665,'47107507','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6666,'47108076','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00396','173000000'),
(6667,'47108442','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','45049200'),
(6668,'47108653','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','30032800'),
(6669,'47109183','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6670,'47109548','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6671,'47109806','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6672,'47110039','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6673,'47110227','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','51900000'),
(6674,'47110605','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','21798000'),
(6675,'47110959','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0022.5.1.02.01.01.0039.1.1.1.20.10.50.001.00395','14532000'),
(6676,'47130841','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00090','199520000'),
(6677,'47131273','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00090','199520000'),
(6678,'47131793','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00093','16761400'),
(6679,'47132127','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00093','16761400'),
(6680,'47132403','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00092','11175700'),
(6681,'47133094','APBD','2024','Kab. Bondowoso','1.03.05.2.01.0036.5.2.03.01.01.0001.1.1.1.20.10.50.002.00092','11175700'),
(6682,'48507710','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6683,'48508480','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','43375500'),
(6684,'48508756','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','43375500'),
(6685,'48509070','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6686,'48509438','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6687,'48509677','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','51880500'),
(6688,'48509882','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','43375500'),
(6689,'48510190','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','31216500'),
(6690,'48510522','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','21220500'),
(6691,'48510812','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','43375500'),
(6692,'48511213','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6693,'48511438','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00399','176616000'),
(6694,'48512440','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','20708250'),
(6695,'48512719','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','13848250'),
(6696,'48513164','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','132678000'),
(6697,'48513379','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','69315750'),
(6698,'48514127','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6699,'48514459','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00399','132462000'),
(6700,'48514793','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','132678000'),
(6701,'48515123','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','37081250'),
(6702,'48515386','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','24733000'),
(6703,'48515983','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6704,'48516155','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','88452000'),
(6705,'48516421','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00399','132462000'),
(6706,'48516688','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','20247000'),
(6707,'48517056','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00400','13387000'),
(6708,'48517355','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00398','88400000'),
(6709,'48517645','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00398','88400000'),
(6710,'48517842','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00398','11560000'),
(6711,'48517988','APBD','2024','Kab. Bondowoso','1.04.05.2.01.0002.5.2.03.01.01.0001.1.1.1.20.10.50.001.00398','7640000'),
(6712,'47043072','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.05.05.03.0002.','889227000'),
(6713,'47043588','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.05.05.03.0002.','328734000'),
(6714,'47044843','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0011.','227568600'),
(6715,'47045259','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0011.','55774000'),
(6716,'47046011','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.05.05.03.0002.','183352400'),
(6717,'47046353','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.05.05.03.0002.','21046800'),
(6718,'47047378','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0011.','310523200'),
(6719,'47047874','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.02.01.01.0011.','4121600'),
(6720,'47048385','APBD','2024','Kab. Bondowoso','3.27.02.2.01.0002.5.1.05.05.03.0002.','319480600'),
(6721,'47050217','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0011.5.1.05.05.03.0002.','32972800'),
(6722,'47117335','APBD','2024','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.01.01.0029.','662500'),
(6723,'47121474','APBD','2024','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.01.01.0025.','414000'),
(6724,'47125305','APBD','2024','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.01.01.0024.','506300'),
(6725,'47147170','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','731142200'),
(6726,'47147469','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','18263000'),
(6727,'47148311','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','357607800'),
(6728,'47148707','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','50196600'),
(6729,'47149697','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','89574000'),
(6730,'47149941','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','12364800'),
(6731,'47150234','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','29858000'),
(6732,'47150476','APBD','2024','Kab. Bondowoso','3.27.02.2.02.0002.5.1.02.01.01.0039.','4121600'),
(6733,'47502892','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0015.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','265000'),
(6734,'47502896','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0015.5.2.03.01.01.0001.1.3.0.30.10.10.001.00243','75440000'),
(6735,'47502902','APBD','2024','Kab. Bondowoso','3.27.03.2.02.0015.5.2.02.06.03.0047.1.3.0.20.60.30.047.00072','15900000'),
(6736,'36017642','APBD','','Kab. Bondowoso','3.27.04.2.04.0004.5.1.02.02.01.0015.','5000000'),
(6737,'36018195','APBD','','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.01.01.0027.','200000'),
(6738,'36018499','APBD','','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.02.01.0003.','2700000'),
(6739,'36018814','APBD','','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.02.01.0015.','25000000'),
(6740,'36019161','APBD','','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.04.01.0004.','2000000'),
(6741,'36019438','APBD','','Kab. Bondowoso','3.27.04.2.04.0002.5.1.02.04.01.0005.','6370000'),
(6742,'36169419','APBD','','Kab. Bondowoso','3.27.03.2.02.0015.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','500000'),
(6743,'36169420','APBD','','Kab. Bondowoso','3.27.03.2.02.0015.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(6744,'36169422','APBD','','Kab. Bondowoso','3.27.03.2.02.0015.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','12300000'),
(6745,'36603195','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.01.0026.','898800000'),
(6746,'36603972','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.02.0005.','3600000'),
(6747,'36604150','APBD','','Kab. Bondowoso','3.27.01.2.08.0004.5.1.02.02.02.0006.','10800000'),
(6748,'36910426','APBD','','Kab. Bondowoso','3.27.03.2.02.0015.5.1.02.01.01.0024.','1352500'),
(6749,'47092650','APBD','2024','Kab. Bondowoso','0.10.10.2.01.2010.0.0.15.10.20.1002.4.','1875800'),
(6750,'47096463','APBD','2024','Kab. Bondowoso','0.11.10.2.01.2010.0.0.15.02.01.0025.','593500'),
(6751,'47096936','APBD','2024','Kab. Bondowoso','0.51.02.0.12.0100.0.1.10.21.01.0029.','530700'),
(6752,'47107445','APBD','2024','Kab. Bondowoso','0.05.10.2.01.2010.0.0.25.10.21.0102.4.','884300'),
(6753,'47108865','APBD','2024','Kab. Bondowoso','1.02.01.2.01.0003.5.1.02.01.01.0029.','530700'),
(6754,'47109534','APBD','2024','Kab. Bondowoso','1.02.01.2.01.0004.5.1.02.01.01.0025.','496100'),
(6755,'47109992','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0012.5.1.02.01.01.0024.','55250000'),
(6756,'47110205','APBD','2024','Kab. Bondowoso','1.02.01.2.01.0005.5.1.02.01.01.0025.','496100'),
(6757,'47112029','APBD','2024','Kab. Bondowoso','1.02.01.2.01.0006.5.1.02.01.01.0024.','1118300'),
(6758,'47112681','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0055.2.1.40.32.01.0012.','24500000'),
(6759,'47112934','APBD','2024','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.01.01.0024.','1260000'),
(6760,'47113490','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0012.5.1.02.02.01.0055.','30000000'),
(6761,'47115092','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0011.5.1.02.01.01.0052.','133856000'),
(6762,'47117416','APBD','2024','Kab. Bondowoso','2.14.03.2.04.0001.5.1.02.01.01.0052.','47000000'),
(6763,'47118520','APBD','2024','Kab. Bondowoso','2.14.03.2.04.0001.5.1.02.01.01.0024.','16483000'),
(6764,'47120511','APBD','2024','Kab. Bondowoso','2.14.03.2.03.0015.5.1.02.01.01.0024.','10810000'),
(6765,'47122796','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0008.5.1.02.01.01.0052.','38681000'),
(6766,'47123881','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0008.5.1.02.01.01.0024.','10010000'),
(6767,'47124949','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0008.5.1.02.01.01.0025.','11349000'),
(6768,'47127498','APBD','2024','Kab. Bondowoso','2.14.04.2.01.0018.5.2.02.16.01.0003.','300000000'),
(6769,'47133434','APBD','2024','Kab. Bondowoso','5.10.20.2.01.0063.2.1.40.42.02.0005.','1791000000'),
(6770,'47135749','APBD','2024','Kab. Bondowoso','2.14.04.2.01.0028.5.1.02.01.01.0052.','23500000'),
(6771,'47136730','APBD','2024','Kab. Bondowoso','2.14.04.2.01.0028.5.1.02.01.01.0024.','8344000'),
(6772,'47137740','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0014.5.1.02.01.01.0052.','141000000'),
(6773,'47139842','APBD','2024','Kab. Bondowoso','2.14.03.2.03.0001.5.1.02.01.01.0052.','25850000'),
(6774,'47140783','APBD','2024','Kab. Bondowoso','2.14.03.2.03.0003.5.1.02.01.01.0052.','336729000'),
(6775,'47141170','APBD','2024','Kab. Bondowoso','2.14.03.2.03.0003.5.1.02.01.01.0012.','32907600'),
(6776,'47141510','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0037.2.1.40.32.03.0003.','101479400'),
(6777,'47142384','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.2.1.40.32.03.0008.','8288000'),
(6778,'47143310','APBD','2024','Kab. Bondowoso','2.14.03.2.01.0013.5.1.02.01.01.0052.','101050000'),
(6779,'47144487','APBD','2024','Kab. Bondowoso','2.14.02.2.02.0009.5.1.02.01.01.0052.','8225000'),
(6780,'47185215','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0004.5.1.02.01.01.0024.','1962000'),
(6781,'47185605','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0005.5.1.02.01.01.0025.','648000'),
(6782,'47185985','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0007.5.1.02.01.01.0024.','1352000'),
(6783,'47186057','APBD','2024','Kab. Bondowoso','1.02.01.2.02.0008.5.1.02.01.01.0024.','368300'),
(6784,'47186579','APBD','2024','Kab. Bondowoso','0.10.20.1.20.8000.2.5.10.20.20.1006.1.','42000000'),
(6785,'47186689','APBD','2024','Kab. Bondowoso','1.02.01.2.08.0002.5.1.02.01.01.0024.','200100'),
(6786,'47187268','APBD','2024','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.01.01.0024.','5700000'),
(6787,'47187450','APBD','2024','Kab. Bondowoso','1.02.01.2.06.0004.5.1.02.01.01.0024.','4556000'),
(6788,'47187824','APBD','2024','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.01.01.0024.','545000'),
(6789,'47191436','APBD','2024','Kab. Bondowoso','1.02.01.2.09.0002.5.1.02.01.01.0004.','34781000'),
(6790,'47191534','APBD','2024','Kab. Bondowoso','1.02.01.2.09.0002.5.1.02.01.01.0013.','50209000'),
(6791,'47191595','APBD','2024','Kab. Bondowoso','1.02.01.2.09.0002.5.1.02.01.01.0024.','10000'),
(6792,'36019341','APBD','','Kab. Bondowoso','1.02.01.2.01.0007.5.1.02.04.01.0005.','5740000'),
(6793,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0006.','1800000'),
(6794,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0026.','253200000'),
(6795,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0027.','150000000'),
(6796,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0030.','68400000'),
(6797,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.01.0031.','42000000'),
(6798,'36048501','APBD','','Kab. Bondowoso','1.02.01.2.08.0004.5.1.02.02.02.0005.','4500000'),
(6799,'36048768','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.04.01.0003.','12500000'),
(6800,'36048768','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.04.01.0004.','7680000'),
(6801,'36048768','APBD','','Kab. Bondowoso','1.02.01.2.06.0009.5.1.02.04.01.0005.','59275000'),
(6802,'47236054','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','10000000'),
(6803,'47239483','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','6600000'),
(6804,'47241340','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','31747100'),
(6805,'47242235','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','6856000'),
(6806,'47243691','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','16835500'),
(6807,'47244466','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.','15000000'),
(6808,'47245323','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','23500000'),
(6809,'47246308','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','29800000'),
(6810,'47246833','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(6811,'47247782','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.03.0006.','17000000'),
(6812,'47248424','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.06.01.0002.','7150000'),
(6813,'47249113','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.06.03.0047.','44000000'),
(6814,'47249802','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','43204300'),
(6815,'47250386','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0002.','38838900'),
(6816,'47250957','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0004.','4000000'),
(6817,'47251534','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0006.','848000'),
(6818,'47252475','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','14685200'),
(6819,'47253129','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.','3869000'),
(6820,'47573509','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','9870000'),
(6821,'47576236','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4230000'),
(6822,'47576598','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','7050000'),
(6823,'47576937','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28737000'),
(6824,'47595886','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2585000'),
(6825,'47596098','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','27000'),
(6826,'47596337','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','450000'),
(6827,'47596602','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','25000'),
(6828,'47596836','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','10000'),
(6829,'47596912','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','5142000'),
(6830,'47597000','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','51888000'),
(6831,'47602251','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','4256000'),
(6832,'47602526','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','36960000'),
(6833,'47602636','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','72240000'),
(6834,'36098957','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','705974850'),
(6835,'36099042','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','14075600'),
(6836,'36099100','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','1000000'),
(6837,'36099211','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','7270000'),
(6838,'36099270','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','2600000'),
(6839,'36099391','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','5000000'),
(6840,'36099536','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0021.','2120000'),
(6841,'36099677','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0050.','5962000'),
(6842,'36099782','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.','3036800'),
(6843,'36099836','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','36683750'),
(6844,'36099974','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','9600000'),
(6845,'36100086','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','19200000'),
(6846,'36100220','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','5040000'),
(6847,'36209615','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','7680000'),
(6848,'36209774','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1280000'),
(6849,'36209775','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1280000'),
(6850,'36209802','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','7680000'),
(6851,'36209834','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','4800000'),
(6852,'36209848','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','5040000'),
(6853,'36209880','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','5760000'),
(6854,'36209890','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','110640000'),
(6855,'36210006','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','5040000'),
(6856,'36210033','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','31288000'),
(6857,'36210068','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','5120000'),
(6858,'36210083','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','2560000'),
(6859,'36210117','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','1280000'),
(6860,'36210127','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','640000'),
(6861,'36210255','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','26240000'),
(6862,'36210461','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','3000000'),
(6863,'36212543','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','10760000'),
(6864,'36212575','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','27300000'),
(6865,'46868627','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0002.','50000000'),
(6866,'46868756','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0009.','954900'),
(6867,'46868833','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0012.','50000000'),
(6868,'46877011','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0013.','25821900'),
(6869,'46878489','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0024.','35989700'),
(6870,'46895396','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0025.','3388000'),
(6871,'46895884','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0027.','1000000'),
(6872,'46896833','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0030.','3180000'),
(6873,'46897543','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0031.','2544000'),
(6874,'46898690','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0037.','40000000'),
(6875,'46899009','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.03.03.0010.','6647100'),
(6876,'46899463','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.05.01.0004.','7000000'),
(6877,'46899808','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.05.02.0001.','15900000'),
(6878,'46900011','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.05.02.0004.','5300000'),
(6879,'46900713','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.05.02.0006.','30000000'),
(6880,'46901053','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.06.01.0001.','5300000'),
(6881,'46901347','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.07.01.0001.','38729400'),
(6882,'46901485','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.07.01.0005.','3710000'),
(6883,'46973586','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.10.01.0002.','21200000'),
(6884,'46973746','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.10.02.0001.','1113000'),
(6885,'46973794','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0025.5.2.02.10.02.0003.','7738000'),
(6886,'35958385','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.01.03.06.0001.','787529000'),
(6887,'35958454','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.01.01.0004.','4004000'),
(6888,'35958499','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0015.','3000000'),
(6889,'35958506','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0016.','3840000'),
(6890,'35958516','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0035.','33500000'),
(6891,'35958525','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0051.','34000000'),
(6892,'35958551','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0061.','36000000'),
(6893,'35958569','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0063.','7200000'),
(6894,'35958632','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.01.0069.','5000000'),
(6895,'35958639','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.02.0006.','25920000'),
(6896,'35958653','APBD','','Kab. Bondowoso','1.02.02.2.01.0025.5.1.02.02.02.0006.','6048000'),
(6897,'47581963','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0002.','77700000'),
(6898,'47582248','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0024.','135914200'),
(6899,'47582342','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0025.','15600000'),
(6900,'47582438','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0029.','25890500'),
(6901,'47582533','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0030.','22559000'),
(6902,'47582865','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.12.0001.','19200000'),
(6903,'47582904','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.2.02.07.01.0001.','51410000'),
(6904,'47582973','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.2.02.07.01.0005.','10600000'),
(6905,'47583011','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.2.02.10.01.0002.','88111200'),
(6906,'47583068','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0012.5.2.02.10.02.0003.','23214000'),
(6907,'47632139','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','8930000'),
(6908,'47633670','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','105750000'),
(6909,'47634379','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','45261000'),
(6910,'47635051','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','10998000'),
(6911,'47636131','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','16685000'),
(6912,'47636822','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','12925000'),
(6913,'47637545','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','88125000'),
(6914,'47662978','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28643000'),
(6915,'47714974','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','77700000'),
(6916,'47715923','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','80000000'),
(6917,'47717073','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','135914200'),
(6918,'47717303','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','15600000'),
(6919,'47718051','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','25890500'),
(6920,'47718388','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','22559000'),
(6921,'47721300','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.00.10.1003.7.','128636925'),
(6922,'47722039','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','51410000'),
(6923,'47722135','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0005.','10600000'),
(6924,'47722346','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','88111200'),
(6925,'47722594','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.','23214000'),
(6926,'36202759','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0004.','28192800'),
(6927,'36202784','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0010.','3183600'),
(6928,'36202878','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0013.','11982800'),
(6929,'36202933','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0027.','1000000'),
(6930,'36202961','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.01.01.0031.','9020000'),
(6931,'36202986','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0016.','5760000'),
(6932,'36203033','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0035.','21500000'),
(6933,'36203064','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0050.','9080000'),
(6934,'36203081','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0051.','25000000'),
(6935,'36203099','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0059.','1200000'),
(6936,'36203129','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0061.','74492460'),
(6937,'36203146','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0063.','19800000'),
(6938,'36203182','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.01.0069.','10000000'),
(6939,'36203205','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.02.0005.','40000000'),
(6940,'36203287','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.02.02.02.0006.','10000000'),
(6941,'36203321','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.2.02.07.01.0001.','39200000'),
(6942,'36237134','APBD','','Kab. Bondowoso','1.02.02.2.01.0012.5.1.01.03.06.0001.','1565100515'),
(6943,'36253199','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1482371515'),
(6944,'36253542','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','28192800'),
(6945,'36253730','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0010.','3183600'),
(6946,'36253917','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0013.','11982800'),
(6947,'36254087','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','1000000'),
(6948,'36254465','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','9020000'),
(6949,'36254670','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.','5760000'),
(6950,'36255198','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','21500000'),
(6951,'36255522','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0050.','9080000'),
(6952,'36255745','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','25000000'),
(6953,'36255957','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','1200000'),
(6954,'36256253','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','74492460'),
(6955,'36256575','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','19800000'),
(6956,'36256794','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(6957,'36257038','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','40000000'),
(6958,'36257458','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','10000000'),
(6959,'36257713','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.03.0001.','39200000'),
(6960,'36262202','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.12.0001.','19200000'),
(6961,'47315219','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0002.','77700000'),
(6962,'47315445','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0024.','54969100'),
(6963,'47315534','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0025.','20370300'),
(6964,'47388599','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','24480000'),
(6965,'47391061','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2108000'),
(6966,'47391667','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','3720000'),
(6967,'47392265','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','69000'),
(6968,'47440707','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','2618000'),
(6969,'47440795','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','4620000'),
(6970,'47441869','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','75000'),
(6971,'47447645','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','6800000'),
(6972,'47447730','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','12000000'),
(6973,'47448278','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','24480000'),
(6974,'47448374','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','43200000'),
(6975,'47449318','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','510000'),
(6976,'47449393','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','900000'),
(6977,'47460237','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0029.','15382400'),
(6978,'47460693','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0030.','40835800'),
(6979,'47461202','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0031.','706400'),
(6980,'47461334','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0037.','40000000'),
(6981,'47461573','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0051.','25000000'),
(6982,'47461862','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.05.02.0001.','10774200'),
(6983,'47462421','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.05.02.0004.','37736000'),
(6984,'47462601','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.05.01.0004.','20578800'),
(6985,'47462902','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.01.03.0014.','1590000'),
(6986,'47466510','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0002.','22278900'),
(6987,'47466759','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0008.','20000000'),
(6988,'47466760','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0008.','20000000'),
(6989,'47468321','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0026.','1000000'),
(6990,'47469085','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0012.','3975000'),
(6991,'47561123','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.02.0005.','5301500'),
(6992,'47561262','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.10.01.0002.','44520000'),
(6993,'47561624','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.10.02.0003.,','15584500'),
(6994,'47561711','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.10.02.0005.','6360000'),
(6995,'47561823','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.2.02.07.01.0001.','66356500'),
(6996,'47569851','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.90.01.0001.','3315000'),
(6997,'47569926','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.90.01.0001.','22050000'),
(6998,'47569989','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.90.01.0001.','37000'),
(6999,'47570177','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.03.03.0001.','23527600'),
(7000,'47570293','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0069.','5000000'),
(7001,'47571402','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','4675000'),
(7002,'47571580','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8250000'),
(7003,'36094672','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.01.03.06.0001.','1123401280'),
(7004,'36094702','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0004.','10968800'),
(7005,'36123375','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','8640000'),
(7006,'36124458','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','4200000'),
(7007,'36125622','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','11280000'),
(7008,'36125728','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','6400000'),
(7009,'36125866','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','4320000'),
(7010,'36129778','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.01.03.06.0001.','67800000'),
(7011,'36144703','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','9720000'),
(7012,'36144919','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','17920000'),
(7013,'36145021','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','9240000'),
(7014,'36145064','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','20640000'),
(7015,'36145238','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','175680000'),
(7016,'36147310','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','2400000'),
(7017,'36147486','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','4800000'),
(7018,'36147523','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','7520000'),
(7019,'36147663','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','2880000'),
(7020,'36148456','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','35840000'),
(7021,'36148497','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','1000000'),
(7022,'36192748','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.01.01.0027.','1000000'),
(7023,'36192777','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0015.','5000000'),
(7024,'36192815','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0016.','5760000'),
(7025,'36192833','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0060.','15601920'),
(7026,'36192864','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0061.','26362000'),
(7027,'36193033','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0063.','9600000'),
(7028,'36196415','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.90.01.0001.','45200000'),
(7029,'36196428','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.90.01.0001.','8400000'),
(7030,'36196470','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.02.0005.','24840000'),
(7031,'36196489','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.02.0006.','3600000'),
(7032,'36196796','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0015.','14300000'),
(7033,'36196806','APBD','','Kab. Bondowoso','1.02.02.2.01.1209.5.1.02.02.01.0049.','5000000'),
(7034,'36197218','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6384000'),
(7035,'36197273','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','36960000'),
(7036,'36197302','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','82560000'),
(7037,'47533189','Lainnya','2024','Kab. Bondowoso','-','11793100'),
(7038,'47564625','Lainnya','2024','Kab. Bondowoso','-','50000000'),
(7039,'47564723','Lainnya','2024','Kab. Bondowoso','-','66785700'),
(7040,'47564826','Lainnya','2024','Kab. Bondowoso','-','4830000'),
(7041,'47565018','Lainnya','2024','Kab. Bondowoso','-','3798000'),
(7042,'47565180','Lainnya','2024','Kab. Bondowoso','-','9020000'),
(7043,'47565219','Lainnya','2024','Kab. Bondowoso','-','80000000'),
(7044,'47578124','Lainnya','2024','Kab. Bondowoso','-','10000000'),
(7045,'47578233','Lainnya','2024','Kab. Bondowoso','-','530500'),
(7046,'47578323','Lainnya','2024','Kab. Bondowoso','-','38921600'),
(7047,'47578351','Lainnya','2024','Kab. Bondowoso','-','10000000'),
(7048,'47578467','Lainnya','2024','Kab. Bondowoso','-','40911600'),
(7049,'47578484','Lainnya','2024','Kab. Bondowoso','-','2362800'),
(7050,'47578553','Lainnya','2024','Kab. Bondowoso','-','2058200'),
(7051,'47578607','Lainnya','2024','Kab. Bondowoso','-','5578800'),
(7052,'47578795','Lainnya','2024','Kab. Bondowoso','-','149857600'),
(7053,'47578880','Lainnya','2024','Kab. Bondowoso','-','1655000'),
(7054,'47578973','Lainnya','2024','Kab. Bondowoso','-','16960000'),
(7055,'47579023','Lainnya','2024','Kab. Bondowoso','-','1730300'),
(7056,'47579224','Lainnya','2024','Kab. Bondowoso','-','7813800'),
(7057,'47590048','Lainnya','2024','Kab. Bondowoso','-','7059600'),
(7058,'47593845','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','103400000'),
(7059,'47594021','Lainnya','2024','Kab. Bondowoso','-','318000'),
(7060,'47594068','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','3149000'),
(7061,'47594137','Lainnya','2024','Kab. Bondowoso','-','6895000'),
(7062,'47594173','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','12878000'),
(7063,'47594193','Lainnya','2024','Kab. Bondowoso','-','67840000'),
(7064,'47594285','Lainnya','2024','Kab. Bondowoso','-','689700'),
(7065,'47594288','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','44352000'),
(7066,'47594340','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','82560000'),
(7067,'47594345','Lainnya','2024','Kab. Bondowoso','-','82030800'),
(7068,'47594389','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','5852000'),
(7069,'47594393','Lainnya','2024','Kab. Bondowoso','-','16745800'),
(7070,'47594444','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','7050000'),
(7071,'47594478','Lainnya','2024','Kab. Bondowoso','-','29220500'),
(7072,'47594496','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','990000'),
(7073,'47594949','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28729000'),
(7074,'47594972','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','33000'),
(7075,'47595072','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','16544000'),
(7076,'47595116','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','49000'),
(7077,'47595232','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','46530000'),
(7078,'47595315','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','6110000'),
(7127,'36209608','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','14080000'),
(7128,'36209620','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2880000'),
(7129,'36209711','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','14400000'),
(7130,'36209728','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','8800000'),
(7131,'36210009','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','21160000'),
(7132,'36210031','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11088000'),
(7133,'36210043','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','20640000'),
(7134,'36210058','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','6480000'),
(7135,'36210072','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','30000000'),
(7136,'36210081','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','183840000'),
(7137,'36210098','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','5040000'),
(7138,'36210122','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','60402000'),
(7139,'36210128','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','960000'),
(7140,'36210155','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','10800000'),
(7141,'36210180','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','1600000'),
(7142,'36210197','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','6160000'),
(7143,'36210231','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','27520000'),
(7144,'36210249','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4320000'),
(7145,'47390090','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','50000000'),
(7146,'47396461','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','68040000'),
(7147,'47561151','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','36755900'),
(7148,'47561410','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','39795000'),
(7149,'47561698','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','33125000'),
(7150,'47562023','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','7639600'),
(7151,'47562136','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.','40000000'),
(7152,'47563019','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','34800000'),
(7153,'47563524','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(7154,'47564214','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.03.03.0010.','10284000'),
(7155,'47564425','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0001.','32141400'),
(7156,'47564602','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.','21624000'),
(7157,'47564718','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','5304600'),
(7158,'47564919','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.08.01.0011.','7850800'),
(7159,'47565050','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','156183200'),
(7160,'47565142','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.','33390000'),
(7161,'47589455','Lainnya','2024','Kab. Bondowoso','-','22950000'),
(7162,'47676861','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','18800000'),
(7163,'47678118','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','15510000'),
(7164,'47679383','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','129000'),
(7165,'47680274','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','7520000'),
(7166,'47711252','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','12690000'),
(7167,'47712145','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','57528000'),
(7168,'47718589','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','63450000'),
(7169,'47718950','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','15510000'),
(7170,'47719568','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','532000'),
(7171,'47720819','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','116000'),
(7172,'47722264','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','61920000'),
(7173,'47722733','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','129000'),
(7174,'47761938','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','5651000'),
(7175,'47762769','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','4284000'),
(7176,'47764893','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','38000'),
(7177,'36126582','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','13943000'),
(7178,'36192138','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0013.','5300000'),
(7179,'36192492','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','5000000'),
(7180,'36193002','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','7800000'),
(7181,'36193059','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.','5040000'),
(7182,'36193217','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','19000000'),
(7183,'36193309','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0049.','2500000'),
(7184,'36193442','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','45999000'),
(7185,'36193465','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','25800000'),
(7186,'36193739','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','24000000'),
(7187,'36193767','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','6048000'),
(7188,'36193807','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.02.0035.','10000000'),
(7189,'36271153','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','4320000'),
(7190,'36271241','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','11400000'),
(7191,'36271365','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','6160000'),
(7192,'36271433','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','2040000'),
(7193,'36272076','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','10240000'),
(7194,'36272455','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','15480000'),
(7195,'36272636','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','9240000'),
(7196,'36272772','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','5520000'),
(7197,'36273260','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','176160000'),
(7198,'36273489','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','14240000'),
(7199,'36274146','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','800000'),
(7200,'36274370','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','6160000'),
(7201,'36275343','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','1800000'),
(7202,'36276428','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','38080000'),
(7203,'36276946','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','10160000'),
(7204,'36277384','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1208045500'),
(7205,'36279680','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','48000000'),
(7206,'36280294','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','5120000'),
(7207,'47601899','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','14500000'),
(7208,'47602273','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','65063100'),
(7209,'47602382','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','1860000'),
(7210,'47602577','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','9782400'),
(7211,'47602623','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','40000000'),
(7212,'47603222','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','4749000'),
(7213,'47603312','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','2546300'),
(7214,'47603386','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','9540000'),
(7215,'47603483','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','42400000'),
(7216,'47603538','APBD','2024','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','12720000'),
(7217,'47715915','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','35250000'),
(7218,'47719803','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','30000'),
(7219,'47719932','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','4230000'),
(7220,'47721138','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','2820000'),
(7221,'47721567','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','123984000'),
(7222,'47722077','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','1596000'),
(7223,'47722667','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','9400000'),
(7224,'47722818','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','1890000'),
(7225,'47723815','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','9180000'),
(7226,'47723878','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','35250000'),
(7227,'47724432','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','27520000'),
(7228,'47724471','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','42000'),
(7229,'47725685','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4230000'),
(7230,'36212315','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','536044800'),
(7231,'36212405','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','9373000'),
(7232,'36212447','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','30000000'),
(7233,'36212616','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','1500000'),
(7234,'36212802','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','3650000'),
(7235,'36212871','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','9200000'),
(7236,'36212907','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','15000000'),
(7237,'36212940','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','45999000'),
(7238,'36212963','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','10800000'),
(7239,'36213036','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','22680000'),
(7240,'36213077','APBD','','Kab. Bondowoso','0.00.00.0.00.0000.0.0.00.00.00.0000.0.0.0.00.00.00.000.00000','6000000'),
(7241,'36259937','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','9600000'),
(7242,'36260196','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2400000'),
(7243,'36260679','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','4320000'),
(7244,'36260779','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8560000'),
(7245,'36261294','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','30996000'),
(7246,'36261380','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','1680000'),
(7247,'36261501','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','10080000'),
(7248,'36261998','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','114000000'),
(7249,'36262024','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','1440000'),
(7250,'36262050','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','4320000'),
(7251,'36262084','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','320000'),
(7252,'36262112','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','720000'),
(7253,'36262213','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','19560000'),
(7254,'36262293','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','6240000'),
(7255,'36262410','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','31280000'),
(7256,'36262436','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','46920000'),
(7257,'36262996','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','5000000'),
(7258,'36552665','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','32640000'),
(7259,'47652083','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','82720000'),
(7260,'47659314','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0002.1.0.20.22.02.0033.0.0.0.00.00.00.000.00000','16095000'),
(7261,'47661904','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.0.0.0.00.00.00.000.00000','30000000'),
(7262,'47663403','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','13160000'),
(7263,'47663550','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.0.0.0.00.00.00.000.00000','7968000'),
(7264,'47665449','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.0.0.0.00.00.00.000.00000','13849800'),
(7265,'47667495','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.0.0.0.00.00.00.000.00000','13960200'),
(7266,'47667849','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','3995000'),
(7267,'47668594','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.0.0.0.00.00.00.000.00000','7147140'),
(7268,'47669517','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.0.0.0.00.00.00.000.00000','4462500'),
(7269,'47670464','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.0.0.0.00.00.00.000.00000','30000000'),
(7270,'47671238','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.0.0.0.00.00.00.000.00000','9063000'),
(7271,'47671282','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','9588000'),
(7272,'47671556','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.0.0.0.00.00.00.000.00000','25885200'),
(7273,'47672171','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0005.0.0.0.00.00.00.000.00000','10600000'),
(7274,'47676043','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','8580000'),
(7275,'47676601','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','43428000'),
(7276,'48364952','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.8.1.0.20.20.10.051.00004','16650000'),
(7277,'48366078','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.8.1.0.20.10.10.052.00035','25755000'),
(7278,'36234604','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.01.03.06.0001.','58385000'),
(7279,'36241734','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.0.0.0.00.00.00.000.00000','446781660'),
(7280,'36242941','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.0.0.0.00.00.00.000.00000','7213000'),
(7281,'36243150','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0013.0.0.0.','1856300'),
(7282,'36243230','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.0.0.0.','15976200'),
(7283,'36243393','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','1000000'),
(7284,'36243673','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','6000000'),
(7285,'36243743','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','12000000'),
(7286,'36243915','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','360000'),
(7287,'36244030','APBDP','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.','1000000'),
(7288,'36244171','APBD','','Kab. Bondowoso','5.10.20.2.01.0061.1.0.20.22.02.0033.','30000000'),
(7289,'36244335','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','7200000'),
(7290,'36244475','APBDP','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','26400000'),
(7291,'36244623','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','3168000'),
(7292,'36246549','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','8047000'),
(7293,'36247300','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2800000'),
(7294,'36247489','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','14080000'),
(7295,'36247910','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','2960000'),
(7296,'36248136','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','39040000'),
(7297,'36251199','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','26640000'),
(7298,'36251543','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','26976000'),
(7299,'36251829','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','107904000'),
(7300,'36252052','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','2720000'),
(7301,'36252283','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','12000000'),
(7302,'36252467','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','9000000'),
(7303,'36252608','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','2000000'),
(7304,'36252952','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','172040000'),
(7305,'36253149','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','540000'),
(7306,'36253393','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','189000'),
(7307,'36253562','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','16000000'),
(7308,'36253916','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4720000'),
(7309,'36511466','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.8.1.0.20.20.10.077.00018','54615000'),
(7310,'47245913','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.1.0.2.00.00.00.010.00003','14500000'),
(7311,'47249346','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.1.0.2.00.00.00.010.00003','32769500'),
(7312,'47249890','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.1.0.2.00.00.00.010.00003','13090500'),
(7313,'47255382','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.1.0.2.00.00.00.010.00003','4637500'),
(7314,'47257145','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.1.0.2.00.00.00.010.00003','4177500'),
(7315,'47258101','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.1.0.2.00.00.00.010.00003','1547000'),
(7316,'47258864','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.1.0.2.00.00.00.010.00003','30000000'),
(7317,'47259713','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.03.0001.1.0.2.00.00.00.010.00003','15594000'),
(7318,'47260092','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0002.1.0.2.00.00.00.010.00003','1231200'),
(7319,'47260580','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.1.0.2.00.00.00.010.00003','19618600'),
(7320,'47261176','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0005.1.0.2.00.00.00.010.00003','6678000'),
(7321,'47334483','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0001.1.0.2.00.00.00.010.00003','6731000'),
(7322,'47335197','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.1.0.2.00.00.00.010.00003','2385000'),
(7323,'47335893','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.06.01.0001.1.0.2.00.00.00.010.00003','412300'),
(7324,'47336356','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.1.0.2.00.00.00.010.00003','14255400'),
(7325,'47336773','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0005.1.0.2.00.00.00.010.00003','5300000'),
(7326,'47337244','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.02.0005.1.0.2.00.00.00.010.00003','3180000'),
(7327,'47337860','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.1.0.2.00.00.00.010.00003','30585200'),
(7328,'47338510','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.1.0.2.00.00.00.010.00003','5300000'),
(7329,'47339275','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.1.0.2.00.00.00.010.00003','20000000'),
(7330,'47491965','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.00003','26340000'),
(7331,'47568653','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','5922000'),
(7332,'47572383','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','28200000'),
(7333,'47572481','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','10340000'),
(7334,'47572782','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6580000'),
(7335,'47572935','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','18048000'),
(7336,'47573249','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.90.01.0001.','8460000'),
(7337,'47573392','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','25440000'),
(7338,'47573575','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','21150000'),
(7339,'47613252','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.00003','31000'),
(7340,'47632439','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','1458000'),
(7341,'47633751','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','2000'),
(7342,'47636795','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','107868000'),
(7343,'36060303','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.1.0.2.00.00.00.010.00003','594763300'),
(7344,'36060619','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.1.0.2.00.00.00.010.00003','11922000'),
(7345,'36061233','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.1.0.2.00.00.00.010.00003','750000'),
(7346,'36062054','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.1.0.2.00.00.00.010.00003','4090000'),
(7347,'36062651','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.1.0.2.00.00.00.010.00003','7000000'),
(7348,'36062753','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.1.0.2.00.00.00.010.00003','16800000'),
(7349,'36063299','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.1.0.2.00.00.00.010.00003','1200000'),
(7350,'36063530','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.1.0.2.00.00.00.010.00003','14395600'),
(7351,'36063753','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.1.0.2.00.00.00.010.00003','24102400'),
(7352,'36064196','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.1.0.2.00.00.00.010.00003','9600000'),
(7353,'36064542','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.1.0.2.00.00.00.010.00003','33600000'),
(7354,'36064714','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.1.0.2.00.00.00.010.00003','4176000'),
(7355,'36192543','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.00003','7440000'),
(7356,'36192651','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.00003','36880000'),
(7357,'36229551','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','3840000'),
(7358,'36236094','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','6480000'),
(7359,'36236814','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','20160000'),
(7360,'36237106','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','2000000'),
(7361,'36237334','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','23200000'),
(7362,'36237823','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','26568000'),
(7363,'36238150','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','2160000'),
(7364,'36238666','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','17760000'),
(7365,'36239053','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','142520000'),
(7366,'36239568','APBD','','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.90.01.0001.','6240000'),
(7367,'36240170','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','1200000'),
(7368,'36241127','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','2400000'),
(7369,'36241314','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','3120000'),
(7370,'36241484','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','1680000'),
(7371,'36241720','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','25920000'),
(7372,'36241892','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4200000'),
(7373,'36243735','APBD','','Kab. Bondowoso','1.02.02.2.03.0002.5.1.02.90.01.0001.','44537000'),
(7374,'47383149','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.35.20.21.0020.0.0.5.00.00.00.000.00000','2120000'),
(7375,'47494470','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.05.01.00.0400.0.0.0.00.00.00.000.00000','18020000'),
(7376,'47494985','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.05.02.00.0100.0.0.0.00.00.00.000.00000','9540000'),
(7377,'47495494','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.05.02.00.0500.0.0.0.00.00.00.000.00000','1113000'),
(7378,'47495730','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.07.01.00.0100.0.0.0.00.00.00.000.0000','164872800'),
(7379,'47496353','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.07.01.00.0200.0.0.0.00.00.00.000.000','742400'),
(7380,'47496823','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.07.01.00.0400.0.0.0.00.00.00.000.00000','10812000'),
(7381,'47497046','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.07.01.00.0500.0.0.0.00.00.00.000.0000','7950000'),
(7382,'47594286','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','135360000'),
(7383,'47594359','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2820000'),
(7384,'47594418','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','140160000'),
(7385,'47594461','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6384000'),
(7386,'47594493','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11280000'),
(7387,'47594547','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','6580000'),
(7388,'47594684','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','14100000'),
(7389,'47594723','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','84600000'),
(7390,'47594941','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','5640000'),
(7391,'47601703','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.02.00.0300.0.0.0.00.00.00.000.00000','32860000'),
(7392,'47601757','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.16.01.00.0300.0.0.0.00.00.00.000.00000','700000'),
(7393,'47601933','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.3.01.01.00.0100.0.0.0.00.00.00.000.0000','60615000'),
(7394,'47601989','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.3.01.01.00.0100.0.0.0.00.00.00.000.00000','5091750'),
(7395,'47602044','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.3.01.01.00.0100.0.0.0.00.00.00.000.00000','3395250'),
(7396,'47602101','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.0200.0.0.0.00.00.00.000.00000','50000000'),
(7397,'47602160','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.0900.0.0.0.00.00.00.000.00000','1183200'),
(7398,'47602266','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.1200.0.0.0.00.00.00.000.00000','80000000'),
(7399,'47602314','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.2400.0.0.0.00.00.00.','99298200'),
(7400,'47602367','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.2500.0.0.0.00.00.00.000.00000','19502200'),
(7401,'47602395','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.2900.0.0.0.00.00.00.000.00000','9640200'),
(7402,'47602466','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.3000.0.0.0.00.00.00.000.00000','18371900'),
(7403,'47602499','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.3100.0.0.0.00.00.00.000.00000','3597800'),
(7404,'47602589','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.3700.0.0.0.00.00.00.000.00','40000000'),
(7405,'47602670','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.00000','42400000'),
(7406,'47603458','APBD','2024','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.3500.0.0.0.00.00.00.000.00000','39500000'),
(7407,'47652920','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0112.5.1.02.90.01.0001.','28762000'),
(7408,'36209441','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','15360000'),
(7409,'36209477','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1880000'),
(7410,'36209498','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','11520000'),
(7411,'36209504','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','13600000'),
(7412,'36209516','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','13600000'),
(7413,'36209552','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','35040000'),
(7414,'36209561','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','3120000'),
(7415,'36209581','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','10400000'),
(7416,'36209609','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','207360000'),
(7417,'36209619','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','480000'),
(7418,'36209652','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','25680000'),
(7419,'36209664','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','7600000'),
(7420,'36209677','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','1920000'),
(7421,'36209685','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','39680000'),
(7422,'36209691','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4000000'),
(7423,'36212858','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.1.03.06.00.0100.0.0.0.00.00.00.','1540746740'),
(7424,'36212909','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.0400.0.0.0.00.00.','33214000'),
(7425,'36212947','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.1300.0.0.0.00.00.00.0','10000000'),
(7426,'36212988','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.01.01.00.2700.0.0.0.00.00.00.000.0','2000000'),
(7427,'36213016','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.1500.0.0.0.00.00.00.00','4740000'),
(7428,'36213041','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.1600.0.0.0.00.00.00.000.00','5760000'),
(7429,'36213073','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.0.00.00.00.0000.0.0.0.00.02.02.010.049','3540000'),
(7430,'36213089','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.5100.0.0.0.00.0','55000000'),
(7431,'36213116','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.6000.0.0.','12000000'),
(7432,'36213128','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.6100.','74492460'),
(7433,'36213131','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.01.00.6300.0.0.0.00.00.0','25800000'),
(7434,'36213144','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.02.00.0500.0.0.0.','58500000'),
(7435,'36213154','APBD','','Kab. Bondowoso','1.02.02.2.01.1251.0.2.02.02.00.0600.0.0.0.00.00.00.00','6890000'),
(7436,'36233096','APBD','','Kab. Bondowoso','1.02.02.2.02.0112.5.1.02.90.01.0001.','5040000'),
(7437,'36233432','APBD','','Kab. Bondowoso','1.02.02.2.02.0112.5.1.02.90.01.0001.','59200000'),
(7438,'36233920','APBD','','Kab. Bondowoso','1.02.02.2.02.0112.5.1.02.90.01.0001.','88800000'),
(7439,'47204492','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','50000000'),
(7440,'47207350','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','30000000'),
(7441,'47212022','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','33065200'),
(7442,'47213391','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','9915000'),
(7443,'47216957','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','18660000'),
(7444,'47234405','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','9946600'),
(7445,'47237101','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0036.','5353000'),
(7446,'47237639','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.','40000000'),
(7447,'47259814','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.03.0001.','11368000'),
(7448,'47469367','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.03.03.0010.','2215700'),
(7449,'47469653','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.','17928800'),
(7450,'47471082','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.','39856000'),
(7451,'47471846','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.','848000'),
(7452,'47472235','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0007.','3710000'),
(7453,'47472592','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.06.01.0001.','10600000'),
(7454,'47473316','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','78083400'),
(7455,'47474513','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','130022800'),
(7456,'47474855','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.','15900000'),
(7457,'47590295','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','99908000'),
(7458,'47590431','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0002.5.1.02.90.01.0001.','44537000'),
(7459,'47610315','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','4418000'),
(7460,'47610426','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','35250000'),
(7461,'47610683','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.90.01.0001.','8460000'),
(7462,'47610735','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','6580000'),
(7463,'47610786','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','56400000'),
(7464,'47610821','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','6580000'),
(7465,'47610854','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','7050000'),
(7466,'47610885','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','27162000'),
(7467,'47610928','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6862000'),
(7468,'36055738','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1047500400'),
(7469,'36056423','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','7394000'),
(7470,'36059039','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','2400000'),
(7471,'36066951','APBD','','Kab. Bondowoso','1.02.02.2.01.0033.5.1.02.01.01.0031.','1183100'),
(7472,'36067817','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','8325000'),
(7473,'36068631','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.','4400000'),
(7474,'36071423','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','22600000'),
(7475,'36072065','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','25000000'),
(7476,'36072686','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.','2400000'),
(7477,'36072931','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','12000000'),
(7478,'36073291','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','45999000'),
(7479,'36073816','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0062.','2400000'),
(7480,'36074028','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','21000000'),
(7481,'36074246','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(7482,'36074512','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','23000000'),
(7483,'36074840','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','2760000'),
(7484,'36208150','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','6400000'),
(7485,'36208243','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2800000'),
(7486,'36208259','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','28560000'),
(7487,'36208269','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','6000000'),
(7488,'36208273','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11800000'),
(7489,'36208287','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','24312000'),
(7490,'36208298','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','8160000'),
(7491,'36208321','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','21840000'),
(7492,'36208338','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','113960000'),
(7493,'36208353','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','6640000'),
(7494,'36208358','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','56242000'),
(7495,'36208363','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','35958000'),
(7496,'36208371','APBD','','Kab. Bondowoso','1.02.02.2.02.0034.5.1.02.90.01.0001.','6240000'),
(7497,'36208374','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','960000'),
(7498,'36208376','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','21600000'),
(7499,'36208383','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','800000'),
(7500,'36208391','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','6800000'),
(7501,'36208392','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','19840000'),
(7502,'36208397','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4600000'),
(7503,'47647394','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0002.','50000000'),
(7504,'47658955','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0012.','50000000'),
(7505,'47659887','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0024.','20365200'),
(7506,'47660707','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0025.','8613000'),
(7507,'47661885','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0029.','9604800'),
(7508,'47662712','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0030.','5766400'),
(7509,'47663396','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0031.','6609000'),
(7510,'47665414','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0037.','40000000'),
(7511,'47666570','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.1.02.01.01.0051.','27300000'),
(7512,'47667361','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.01.01.0004.','3044800'),
(7513,'47668167','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.05.02.0001.','40482000'),
(7514,'47668675','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.06.02.0001.','10600000'),
(7515,'47669197','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.07.01.0001.','51601700'),
(7516,'47669615','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.07.01.0002.','1061000'),
(7517,'47670300','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.10.01.0002.','26500000'),
(7518,'47670702','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0009.5.2.02.10.02.0003.','19014400'),
(7519,'47596063','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','23018250'),
(7520,'47597876','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','25000000'),
(7521,'47597939','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','51293750'),
(7522,'47597980','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','8683200'),
(7523,'47598085','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','3847800'),
(7524,'47598175','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','6031400'),
(7525,'47598218','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','4612500'),
(7526,'47598258','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.','70072041'),
(7527,'47598350','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','35970000'),
(7528,'47598403','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.03.0001.','23912000'),
(7529,'47598444','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.','12033550'),
(7530,'47598478','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0005.','337500'),
(7531,'47598533','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0001.','6649800'),
(7532,'47598757','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.','5300000'),
(7533,'47598818','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0005.','725625'),
(7534,'47598914','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','25388850'),
(7535,'47598950','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0005.','3710000'),
(7536,'47598991','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0006.','848000'),
(7537,'47599047','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.','11130000'),
(7538,'47753917','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','9870000'),
(7539,'47762282','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','55930000'),
(7540,'47767735','APBD','2024','Kab. Bondowoso','1.02.02.3.02.0044.5.1.02.90.01.0001.','7332000'),
(7541,'47811926','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','26522000'),
(7542,'47813732','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','930000'),
(7543,'47815269','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','11900000'),
(7544,'47818915','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','8084000'),
(7545,'47826886','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','44352000'),
(7546,'47828253','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','82560000'),
(7547,'47828734','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','3724000'),
(7548,'47829646','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','7285000'),
(7549,'47833076','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','23013000'),
(7550,'47838524','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','40796000'),
(7551,'36209684','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','639929584'),
(7552,'36209706','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','6649400'),
(7553,'36209727','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0013.','3460250'),
(7554,'36209996','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','600000'),
(7555,'36210017','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','600000'),
(7556,'36210044','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','8000000'),
(7557,'36210526','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','2400000'),
(7558,'36210544','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','45999000'),
(7559,'36210549','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','7200000'),
(7560,'36210564','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','25920000'),
(7561,'36210587','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','4896000'),
(7562,'36210618','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.02.02.0001.','530500'),
(7563,'36210634','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0006.','1800000'),
(7564,'36275939','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','7400000'),
(7565,'36277865','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','28880000'),
(7566,'36278756','APBD','','Kab. Bondowoso','1.02.02.3.02.0044.5.1.02.90.01.0001.','800000'),
(7567,'36279704','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','1920000'),
(7568,'36280508','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','4880000'),
(7569,'36280740','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','560000'),
(7570,'36281131','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','48182000'),
(7571,'36281390','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','57818000'),
(7572,'36295861','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','7280000'),
(7573,'36297790','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','144480000'),
(7574,'36298088','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','11360000'),
(7575,'36300907','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','2880000'),
(7576,'36302590','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11088000'),
(7577,'36302683','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','20640000'),
(7578,'36302979','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8840000'),
(7579,'36303160','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','4880000'),
(7580,'36303430','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','29400000'),
(7581,'36303600','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','19600000'),
(7582,'36305553','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','6720000'),
(7583,'47391178','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','50000000'),
(7584,'47391740','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','66750000'),
(7585,'47394297','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0013.','5300000'),
(7586,'47468253','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','19859600'),
(7587,'47468573','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','27136000'),
(7588,'47469342','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','54693800'),
(7589,'47470066','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','14918800'),
(7590,'47472760','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.','30000000'),
(7591,'47473528','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.02.02.0001.','1000000'),
(7592,'47474442','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.','14840000'),
(7593,'47475015','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0005.','850000'),
(7594,'47475610','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0001.','97700000'),
(7595,'47476205','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0006.','8000000'),
(7596,'47479699','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','82076900'),
(7597,'47481668','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0004.','250000'),
(7598,'47482812','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0008.','3180000'),
(7599,'47483406','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.02.0005.','3755600'),
(7600,'47484479','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','38160000'),
(7601,'47485224','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.16.01.0003.','700000'),
(7602,'47485816','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.03.01.01.0001.','34376100'),
(7603,'47486611','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.03.01.01.0025.','70314750'),
(7604,'47562881','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(7605,'47603351','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.01.01.0052.','74448000'),
(7606,'47603554','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.01.01.0052.','11891000'),
(7607,'47604392','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0052.','15510000'),
(7608,'47604484','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.01.01.0052.','13160000'),
(7609,'47604579','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.01.01.0052.','13783000'),
(7610,'47604645','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.01.01.0052.','74448000'),
(7611,'47604679','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.01.01.0052.','5640000'),
(7612,'47616676','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','83407800'),
(7613,'47617643','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0001.','2146500'),
(7614,'47685250','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0052.','28756000'),
(7615,'47693529','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.01.01.0056.','113664000'),
(7616,'47693623','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.2.02.16.01.0003.','5852000'),
(7617,'47693737','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.01.01.0024.','445000'),
(7618,'47693885','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','6000'),
(7619,'36192549','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','27445600'),
(7620,'36192583','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','2000000'),
(7621,'36192602','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','3680000'),
(7622,'36192660','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','23000000'),
(7623,'36192976','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','34800000'),
(7624,'36193012','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','6000000'),
(7625,'36193036','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.','7005090'),
(7626,'36193082','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','41400000'),
(7627,'36193100','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','7740000'),
(7628,'36193219','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','24500000'),
(7629,'36193250','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','8400000'),
(7630,'36214262','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.04.01.0004.','7040000'),
(7631,'36214284','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.04.01.0004.','7480000'),
(7632,'36214488','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.04.01.0004.','30720000'),
(7633,'36214502','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.04.01.0004.','8800000'),
(7634,'36214506','APBD','','Kab. Bondowoso','1.02.02.2.02.0012.5.1.02.04.01.0004.','4000000'),
(7635,'36214539','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.04.01.0004.','18920000'),
(7636,'36214551','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.02.01.0006.','28416000'),
(7637,'36214572','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.04.01.0004.','10400000'),
(7638,'36214578','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0004.','4240000'),
(7639,'36214581','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.04.01.0004.','190240000'),
(7640,'36214588','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.04.01.0004.','2640000'),
(7641,'36214594','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.04.01.0004.','4400000'),
(7642,'36214598','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.04.01.0004.','1280000'),
(7643,'36214604','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.04.01.0004.','4000000'),
(7644,'36214606','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.04.01.0004.','5040000'),
(7645,'36214613','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','57150000'),
(7646,'36214616','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','69850000'),
(7647,'36214647','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.04.01.0004.','26080000'),
(7648,'36217603','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1358080460'),
(7649,'47599153','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','22560000'),
(7650,'47599288','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','69576000'),
(7651,'47599788','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.0.2.','16009700'),
(7652,'47600166','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.1.2.','20000000'),
(7653,'47600240','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.2.4.','19572900'),
(7654,'47600298','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.2.5.','5250000'),
(7655,'47600376','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.2.9.','9631800'),
(7656,'47600424','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','105000'),
(7657,'47600480','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.3.0.','5320000'),
(7658,'47600544','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.3.1.','2706000'),
(7659,'47600643','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.3.7.','30000000'),
(7660,'47600698','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.3030.0.0.6.','9996000'),
(7661,'47600843','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.20.5010.0.0.5.','8904000'),
(7662,'47601043','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.20.6010.0.0.2.','2120000'),
(7663,'47601079','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.20.7010.0.0.1.','10651600'),
(7664,'47601140','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.20.7010.0.0.5.','3180000'),
(7665,'47601179','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.21.0010.0.0.2.','58740800'),
(7666,'47601224','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.20.21.0020.0.0.3.','15476000'),
(7667,'47643517','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','8460000'),
(7668,'47644404','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8930000'),
(7669,'47644778','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','12220000'),
(7670,'47645218','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','45000'),
(7671,'47645477','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','26257000'),
(7672,'47645769','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','104970000'),
(7673,'47646129','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','56400000'),
(7674,'47646399','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','3995000'),
(7675,'36211821','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001','5760000'),
(7676,'36211855','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001','6000000'),
(7677,'36211950','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001','14400000'),
(7678,'36211984','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001','7200000'),
(7679,'36212047','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001','18000000'),
(7680,'36212076','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001','16596000'),
(7681,'36212099','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001','21600000'),
(7682,'36212118','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001','2160000'),
(7683,'36212144','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.10.3060.0.0.1.','606753200'),
(7684,'36212167','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.0.4.','36465000'),
(7685,'36212196','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.2.4.','1113600'),
(7686,'36212206','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001','10560000'),
(7687,'36212207','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.1010.0.2.7.','1950000'),
(7688,'36212240','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.1.5.','2090000'),
(7689,'36212246','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001','222160000'),
(7690,'36212255','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.3.5.','9000000'),
(7691,'36212262','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.5.1.','25000000'),
(7692,'36212275','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.5.9.','6000000'),
(7693,'36212286','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.6.1.','36000000'),
(7694,'36212303','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','7440000'),
(7695,'36212304','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2010.0.6.3.','19800000'),
(7696,'36212325','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','60055000'),
(7697,'36212327','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2020.0.0.5.','21666000'),
(7698,'36212335','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','80945000'),
(7699,'36212343','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.2.35.10.20.2020.0.0.6.','5280000'),
(7700,'36212363','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','800000'),
(7701,'36212377','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','11200000'),
(7702,'36212403','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','960000'),
(7703,'36212420','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','5120000'),
(7704,'36212454','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','30880000'),
(7705,'36212478','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','2760000'),
(7706,'36211436','APBD','','Kab. Bondowoso','1.02.05.0.11.2520.2.1.00.10.00.2000.0.0.0.00.00.00.000.000','3820000'),
(7707,'36211466','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','900000'),
(7708,'36211497','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','128320000'),
(7709,'36211556','APBD','','Kab. Bondowoso','1.02.05.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','2200000'),
(7710,'36211583','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','4935000'),
(7711,'36211617','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','2440000'),
(7712,'36211637','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','400000'),
(7713,'36211661','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','39104000'),
(7714,'36211679','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','6400000'),
(7715,'36212977','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','2480000'),
(7716,'36213032','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','3360000'),
(7717,'36213092','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','6000000'),
(7718,'36213115','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','2640000'),
(7719,'36213134','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','20480000'),
(7720,'36213153','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','30000'),
(7721,'36213171','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','4536000'),
(7722,'36213176','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','480000'),
(7723,'36213226','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','16000'),
(7724,'36213232','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','8836000'),
(7725,'36213251','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','13920000'),
(7726,'36213267','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','400000'),
(7727,'36213288','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','39104000'),
(7728,'36213298','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','37760000'),
(7729,'36213310','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','1410000'),
(7730,'36213314','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','10720000'),
(7731,'36213342','APBD','','Kab. Bondowoso','1.02.02.2.01.1252.0.2.10.01.00.0200.0.0.0.00.00.00.000.000','131608000'),
(7732,'47220986','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.002','50000000'),
(7733,'47223124','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.012','30000000'),
(7734,'47223890','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.013','11982800'),
(7735,'47225303','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.024','57158700'),
(7736,'47225943','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.025','3240000'),
(7737,'47226472','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.029','9624000'),
(7738,'47228138','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.030','8807500'),
(7739,'47228935','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.031','5391000'),
(7740,'47229756','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.037','40000000'),
(7741,'47230575','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.015','4710000'),
(7742,'47232095','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.035','35000000'),
(7743,'47232751','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.051','31000000'),
(7744,'47233214','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.069','10000000'),
(7745,'47233921','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.03.030.010','10284000'),
(7746,'47234650','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.05.020.001','50000000'),
(7747,'47235219','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.05.020.006','39000000'),
(7748,'47237294','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.07.010.001','196089900'),
(7749,'47237655','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.07.010.005','5300000'),
(7750,'47238206','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.07.010.012','6360000'),
(7751,'47238775','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.07.020.005','5633400'),
(7752,'47239792','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.10.010.002','42620400'),
(7753,'47240430','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.52.02.10.020.003','7420000'),
(7754,'47615006','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','70500000'),
(7755,'47617412','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','8225000'),
(7756,'47621354','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8460000'),
(7757,'47627268','APBD','2024','Kab. Bondowoso','1.02.02.2.00.2033.5.1.02.90.01.0001.','28669000'),
(7758,'47645441','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','7050000'),
(7759,'47647760','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','70500000'),
(7760,'36069682','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.01.03.060.001','1134862700'),
(7761,'36069904','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.004','14173600'),
(7762,'36070085','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.01.010.027','1000000'),
(7763,'36070226','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.059','2400000'),
(7764,'36070378','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.061','30000000'),
(7765,'36070537','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.02.02.010.063','19800000'),
(7766,'36071788','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.1.0.20.00.00.0010.0.2.1.51.01.03.060.001','72000000'),
(7767,'47577425','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.','50000000'),
(7768,'47577476','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','80000000'),
(7769,'47577543','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.','10000000'),
(7770,'47577581','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','8225000'),
(7771,'47577635','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.','107143100'),
(7772,'47587133','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','50760000'),
(7773,'47587277','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','22808000'),
(7774,'47652917','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','500'),
(7775,'47664674','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','12473000'),
(7776,'47664933','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.52.02.05.0200.0.1.','99268500'),
(7777,'47666806','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0003.','13231700'),
(7778,'47666812','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.','21234200'),
(7779,'47667130','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','124500'),
(7780,'47667702','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.','1339600'),
(7781,'47667804','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.','2000000'),
(7782,'47668089','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','6956000'),
(7783,'47668774','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.06.01.0001.','5300000'),
(7784,'47669179','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.','34450000'),
(7785,'47670265','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.','15465000'),
(7786,'47670789','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.','9014000'),
(7787,'47671523','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.','117914600'),
(7788,'47672018','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','70072041'),
(7789,'47672367','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0004.','22608600'),
(7790,'47674200','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0005.','22260000'),
(7791,'47674625','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.01.07.01.0006.','3180000'),
(7792,'47675930','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0008.','5313400'),
(7793,'47676465','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0012.','2119400'),
(7794,'47676928','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.08.01.0011.','10000000'),
(7795,'47679088','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','154944000'),
(7796,'47679311','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8640000'),
(7797,'47680766','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.','16413300'),
(7798,'47681171','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.','37798000'),
(7799,'47681419','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0003.','42229500'),
(7800,'47682420','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','30456000'),
(7801,'47683190','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','50760000'),
(7802,'47685126','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28633000'),
(7803,'47690695','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','750000'),
(7804,'47692867','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','9000'),
(7805,'36233714','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','6000000'),
(7806,'36234843','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','35840000'),
(7807,'36236357','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','5920000'),
(7808,'36236759','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','2400000'),
(7809,'36237168','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','6720000'),
(7810,'36237453','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','240000'),
(7811,'36237911','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','166680000'),
(7812,'36239108','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','13320000'),
(7813,'36239472','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','2640000'),
(7814,'36240965','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','17560000'),
(7815,'36241070','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1526513059'),
(7816,'36241291','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','7475000'),
(7817,'36241398','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','38736000'),
(7818,'36241479','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.','3840000'),
(7819,'36241866','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','7000000'),
(7820,'36242123','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0049.','3000000'),
(7821,'36242250','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','31000000'),
(7822,'36242319','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','4788000'),
(7823,'36242348','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','1200000'),
(7824,'36242460','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','39600000'),
(7825,'36242602','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','19800000'),
(7826,'36242788','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.','10000000'),
(7827,'36242975','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','29580000'),
(7828,'36243421','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','8256000'),
(7829,'36243675','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.03.02.0409.','7100000'),
(7830,'36243998','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','10080000'),
(7831,'36244257','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','15120000'),
(7832,'36244887','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','4320000'),
(7833,'36245662','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','5160000'),
(7834,'36247524','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','4080000'),
(7835,'47479059','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.02','25000000'),
(7836,'47480168','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.12','20000000'),
(7837,'47482684','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.24','11091400'),
(7838,'47483552','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.25','2219500'),
(7839,'47484549','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.29','5598000'),
(7840,'47485827','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.30','1834500'),
(7841,'47486672','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.31','2913000'),
(7842,'47487746','APBD','2024','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.37','30000000'),
(7843,'47488984','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28725000'),
(7844,'47593102','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','4935000'),
(7845,'47600408','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','50760000'),
(7846,'47600525','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1692000'),
(7847,'47600624','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6580000'),
(7848,'47600693','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','3196000'),
(7849,'47600798','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','5950000'),
(7850,'47600993','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','17061000'),
(7851,'47601157','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','69560000'),
(7852,'36165213','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.1.03.06.00.01','42600000'),
(7853,'36165648','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.15','4975000'),
(7854,'36166094','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.16','1920000'),
(7855,'36166564','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.35','6000000'),
(7856,'36166822','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.51','19800000'),
(7857,'36167321','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.60','15057000'),
(7858,'36167523','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.61','20000000'),
(7859,'36167881','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.01.00.63','6000000'),
(7860,'36168112','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.02.02.00.05','29580000'),
(7861,'36168433','APBD','','Kab. Bondowoso','1.02.02.2.02.1020.0.0.00.00.10.0075.1.0.2.01.01.00.04','6930000'),
(7862,'47676226','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.10.200.2','14500000'),
(7863,'47677297','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.10.4','69769500'),
(7864,'47677643','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.11.200.1','66600000'),
(7865,'47677900','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','101520000'),
(7866,'47677974','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.20.100.6','6365600'),
(7867,'47678182','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.1','29710410'),
(7868,'47678490','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.200.6','11973030'),
(7869,'47679184','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.400.1','1040000'),
(7870,'47679331','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.600.4','16960000'),
(7871,'47679437','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.700.2','7224200'),
(7872,'47679705','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.30.800.2','2283000'),
(7873,'47680324','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.31.300.1','747000'),
(7874,'47680424','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.1.70.10.40.100.2','40000000'),
(7875,'47681092','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.80.70.401.4','2750000'),
(7876,'47681514','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','1940000'),
(7877,'47682115','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.31.20.100.1','3840000'),
(7878,'47682248','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.50.10.100.1','22400000'),
(7879,'47682444','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.31.20.100.1','29800000'),
(7880,'47683614','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','7614000'),
(7881,'47684133','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','834000'),
(7882,'47684532','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','4788000'),
(7883,'47685271','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','82560000'),
(7884,'47685532','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.30.10.100.1','6000000'),
(7885,'47685737','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.30.20.100.1','28680000'),
(7886,'47685750','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','46569600'),
(7887,'47686017','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.30.30.100.1','60000000'),
(7888,'47686304','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.30.60.100.1','6000000'),
(7889,'47687213','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.40.10.100.1','62000000'),
(7890,'47688021','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.40.30.100.1','6600000'),
(7891,'47688916','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.22.30.10.100.1','5000000'),
(7892,'47689140','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.21.80.30.400.5','19600000'),
(7893,'47689557','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.50.10.400.1','5300000'),
(7894,'47689929','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.50.20.103.5','33327400'),
(7895,'47690330','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.50.20.300.4','2255700'),
(7896,'47690571','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.70.10.100.5','45011300'),
(7897,'47690699','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1880000'),
(7898,'47690977','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.20.70.10.508.1','3180000'),
(7899,'47691290','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.21.00.10.200.2','89040000'),
(7900,'47691834','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.1.3.21.00.20.300.3','23578700'),
(7901,'47694124','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','180000'),
(7902,'47695565','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','12690000'),
(7903,'47697871','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','1500000'),
(7904,'47698241','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','6580000'),
(7905,'47699371','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','63450000'),
(7906,'47699435','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','9000'),
(7907,'47701071','APBD','2024','Kab. Bondowoso','1.02.02.2.03.0001.5.1.02.90.01.0001.','7285000'),
(7908,'47708373','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28753000'),
(7909,'36233619','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.1.81.02.02.2011.2.9.1.20.40.10.100.1','1144092160'),
(7910,'36242393','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','720000'),
(7911,'36242982','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','11520000'),
(7912,'36243278','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','800000'),
(7913,'36243624','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','720000'),
(7914,'36243731','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','179160000'),
(7915,'36244508','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','22000000'),
(7916,'36245938','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','20640000'),
(7917,'36246340','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11642400'),
(7918,'36246718','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','1520000'),
(7919,'36247470','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','13200000'),
(7920,'36247908','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','3600000'),
(7921,'36248347','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','23040000'),
(7922,'36249167','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','720000'),
(7923,'36250075','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','13840000'),
(7924,'36250134','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','48312000'),
(7925,'36250516','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','5040000'),
(7926,'36250591','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','20880000'),
(7927,'36251419','APBD','','Kab. Bondowoso','1.02.02.2.03.0001.5.1.02.90.01.0001.','7360000'),
(7928,'47140711','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0002.','35000000'),
(7929,'47142805','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0002.','7270000'),
(7930,'47223968','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0012.','30000000'),
(7931,'47225106','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0024.','26482500'),
(7932,'47225744','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0005.','23245700'),
(7933,'47226679','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0027.','500000'),
(7934,'47228780','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0029.','31270000'),
(7935,'47236567','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0031.','14702000'),
(7936,'47238582','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0031.','5700000'),
(7937,'47239406','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.01.01.0037.','60000000'),
(7938,'47352261','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0051.','29800000'),
(7939,'47352949','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.1.02.02.01.0063.','10000000'),
(7940,'47354350','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.01.03.0005.','10000000'),
(7941,'47355209','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.05.01.0005.','47260000'),
(7942,'47356093','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.07.01.0001.','30395000'),
(7943,'47356731','APBD','2024','Kab. Bondowoso','1.02.02.2.01.0006.5.2.02.07.01.0002.','424400'),
(7944,'47603679','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','7050000'),
(7945,'47604023','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','49632000'),
(7946,'47604212','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','7520000'),
(7947,'47604408','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','7520000'),
(7948,'47604532','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','156000'),
(7949,'47604643','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','141363200'),
(7950,'47604771','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','11280000'),
(7951,'47604888','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','90000'),
(7952,'47604990','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','26361000'),
(7953,'47605129','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','15669000'),
(7954,'47605147','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','45150000'),
(7955,'47605248','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','5100000'),
(7956,'47605680','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','1000'),
(7957,'36026891','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.01.03.06.0001.','734666400'),
(7958,'36027391','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0049.','5000000'),
(7959,'36027954','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0059.','2400000'),
(7960,'36028063','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0060.','12000000'),
(7961,'36028189','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0061.','36000000'),
(7962,'36028326','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0063.','11400000'),
(7963,'36028518','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.02.0005.','32400000'),
(7964,'36028713','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.02.0006.','4608000'),
(7965,'36069523','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0015.','3000000'),
(7966,'36069678','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0016.','3840000'),
(7967,'36109127','APBD','','Kab. Bondowoso','1.02.02.2.01.0005.5.1.02.02.01.0035.','14000000'),
(7968,'36213340','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','5000000'),
(7969,'36214293','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','3840000'),
(7970,'36214298','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','6400000'),
(7971,'36214322','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','9360000'),
(7972,'36214350','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','2720000'),
(7973,'36214412','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','12040000'),
(7974,'36214468','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','34276800'),
(7975,'36214481','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','8880000'),
(7976,'36214486','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','12120000'),
(7977,'36214501','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','109920000'),
(7978,'36214511','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','640000'),
(7979,'36214523','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','2720000'),
(7980,'36214548','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','6400000'),
(7981,'36214568','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','5360000'),
(7982,'36214576','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','20200000'),
(7983,'36214590','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','46860000'),
(7984,'36214595','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','38340000'),
(7985,'36214600','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','7440000'),
(7986,'47353905','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0002.1.0.2.00.00.00.010.0005','50000000'),
(7987,'47355437','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0012.1.0.2.00.00.00.010.00005','30000000'),
(7988,'47358089','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0024.1.0.2.00.00.00.010.0005','48736100'),
(7989,'47361207','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0025.1.0.2.00.00.00.010.0005','15324000'),
(7990,'47362234','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0029.1.0.2.00.00.00.010.0005','11925000'),
(7991,'47364237','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0030.1.0.2.00.00.00.010.0005','11207000'),
(7992,'47366875','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0031.1.0.2.00.00.00.010.0005','2466000'),
(7993,'47367784','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0037.1.0.2.00.00.00.010.0005','80000000'),
(7994,'47368895','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.1.0.2.00.00.00.010.0005','50000000'),
(7995,'47370105','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0069.1.0.2.00.00.00.010.0005','10000000'),
(7996,'47372356','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.01.0004.1.0.2.00.00.00.010.0005','9134400'),
(7997,'47373774','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0001.1.0.2.00.00.00.010.0005','25334000'),
(7998,'47375491','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.05.02.0004.1.0.2.00.00.00.010.0005','41075000'),
(7999,'47377005','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0001.1.0.2.00.00.00.010.0005','13996600'),
(8000,'47378471','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0002.1.0.2.00.00.00.010.0005','22278900'),
(8001,'47380546','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.01.0005.1.0.2.00.00.00.010.0005','15783300'),
(8002,'47381209','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.07.02.0005.1.0.2.00.00.00.010.0005','5633400'),
(8003,'47382232','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.01.0002.1.0.2.00.00.00.010.0005','189871200'),
(8004,'47383458','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.2.02.10.02.0003.1.0.2.00.00.00.010.0005','22327200'),
(8005,'47591461','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','27200000'),
(8006,'47591498','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','48000000'),
(8007,'47591529','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','3060000'),
(8008,'47591622','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','5400000'),
(8009,'47591650','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','5100000'),
(8010,'47591682','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','9000000'),
(8011,'47591755','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','92880000'),
(8012,'47591781','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','51744000'),
(8013,'47591823','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','6384000'),
(8014,'47591974','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','3026000'),
(8015,'47592047','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','5340000'),
(8016,'47592146','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','45000'),
(8017,'47592190','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','20825000'),
(8018,'47592486','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','5430000'),
(8019,'47592738','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','27000'),
(8020,'47592838','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','1275000'),
(8021,'47592890','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','2250000'),
(8022,'47592967','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','30600000'),
(8023,'47593011','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','54000000'),
(8024,'47593064','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','9000'),
(8025,'47593325','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','2040000'),
(8026,'47593421','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','3600000'),
(8027,'36163470','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.1.0.2.00.00.00.010.0005','1247902900'),
(8028,'36163724','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.1.0.2.00.00.00.010.0005','11076000'),
(8029,'36163999','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0027.1.0.2.00.00.00.010.0005','1500000'),
(8030,'36164428','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.1.0.2.00.00.00.010.0005','10035000'),
(8031,'36164908','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.1.0.2.00.00.00.010.0005','3840000'),
(8032,'36165223','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.1.0.2.00.00.00.010.0005','26000000'),
(8033,'36165474','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.1.0.2.00.00.00.010.0005','1200000'),
(8034,'36165782','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0060.1.0.2.00.00.00.010.0005','12000000'),
(8035,'36166126','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.1.0.2.00.00.00.010.0005','30000000'),
(8036,'36166401','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.1.0.2.00.00.00.010.0005','40800000'),
(8037,'36166949','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.1.0.2.00.00.00.010.0005','35640000'),
(8038,'36167212','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.1.0.2.00.00.00.010.0005','4752000'),
(8039,'36207300','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','12800000'),
(8040,'36207726','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','13920000'),
(8041,'36207761','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','11520000'),
(8042,'36207817','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','3200000'),
(8043,'36207833','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','19440000'),
(8044,'36207897','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','23220000'),
(8045,'36207921','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','12936000'),
(8046,'36207935','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','4320000'),
(8047,'36208008','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','21840000'),
(8048,'36208044','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','198000000'),
(8049,'36208052','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','7520000'),
(8050,'36208064','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','960000'),
(8051,'36208075','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','6400000'),
(8052,'36208077','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','2400000'),
(8053,'36208086','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','2800000'),
(8054,'36208094','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','4000000'),
(8055,'36208869','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','76200000'),
(8056,'36208875','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','50800000'),
(8057,'36209241','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.1.0.2.00.00.00.010.0005','29760000'),
(8058,'47062575','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0002.0.0.0.00.00.00.000.00000','77700000'),
(8059,'47063101','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0004.0.0.0.00.00.00.000.00000','23100000'),
(8060,'47063493','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0012.0.0.0.00.00.00.000.00000','80000000'),
(8061,'47063661','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0013.0.0.0.00.00.00.000.00000','20000000'),
(8062,'47063965','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0024.0.0.0.00.00.00.000.00000','60535500'),
(8063,'47064227','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0025.0.0.0.00.00.00.000.00000','14701800'),
(8064,'47064784','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0030.0.0.0.00.00.00.000.00000','52221000'),
(8065,'47065166','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0031.0.0.0.00.00.00.000.00000','17723000'),
(8066,'47066027','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.01.01.0037.0.0.0.00.00.00.000.00000','80000000'),
(8067,'47066428','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.01.0035.0.0.0.00.00.00.000.00000','26500000'),
(8068,'47066642','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.01.0069.0.0.0.00.00.00.000.00000','10000000'),
(8069,'47066955','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.05.02.0001.0.0.0.00.00.00.000.00000','9548100'),
(8070,'47067110','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.05.02.0001.0.0.0.00.00.00.000.00000','45187200'),
(8071,'47067321','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.05.02.0003.0.0.0.00.00.00.000.00000','3233000'),
(8072,'47067432','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.05.02.0004.0.0.0.00.00.00.000.00000','12226000'),
(8073,'47067695','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.05.02.0005.0.0.0.00.00.00.000.00000','2915000'),
(8074,'47067850','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.06.01.0001.0.0.0.00.00.00.000.00000','8323800'),
(8075,'47068029','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.07.01.0001.0.0.0.00.00.00.000.00000','104281700'),
(8076,'47068127','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.10.01.0002.0.0.0.00.00.00.000.00000','184441400'),
(8077,'47068191','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.02.10.02.0003.0.0.0.00.00.00.000.0','27591300'),
(8078,'47068253','APBD','2024','Kab. Bondowoso','1.02.02.1.02.0012.5.2.03.01.01.0001.0.0.0.00.00.00.000.00000','80820000'),
(8079,'47594926','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','112800000'),
(8080,'47595066','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','3290000'),
(8081,'47595233','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','9400000'),
(8082,'47595316','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','8460000'),
(8083,'47595475','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','28753000'),
(8084,'47595598','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','13750000'),
(8085,'47595675','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','70500000'),
(8086,'47595736','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','8460000'),
(8087,'47639767','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','900000'),
(8088,'47641859','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','540000'),
(8089,'47649407','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','5320000'),
(8090,'47654601','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','154944000'),
(8091,'47658644','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','9000'),
(8092,'35994148','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.01.03.06.0001.0.0.0.00.00.00.000.00000','1612393200'),
(8093,'35994631','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.01.0051.0.0.0.00.00.00.000.00000','31000000'),
(8094,'35994854','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.00.6000.0.0.0.00.00.00.000.00000','12000000'),
(8095,'35994951','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.01.0060.0.0.0.00.00.00.000.00000','40000000'),
(8096,'35995238','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.02.0005.0.0.0.00.00.00.00','29580000'),
(8097,'35995549','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.02.0006.0.0.0.00.00.00.000.0000','3300000'),
(8098,'36000271','APBD','','Kab. Bondowoso','1.02.02.1.02.0012.5.1.02.02.01.0015.0.0.0.00.00.00.000.00000','10000000'),
(8099,'36236667','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','12800000'),
(8100,'36237482','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2360000'),
(8101,'36238509','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','30720000'),
(8102,'36239638','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','6400000'),
(8103,'36239792','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','19080000'),
(8104,'36240056','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','38736000'),
(8105,'36240881','APBD','','Kab. Bondowoso','1.02.02.2.02.0017.5.1.02.90.01.0001.','8000000'),
(8106,'36241057','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','14720000'),
(8107,'36242154','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','214640000'),
(8108,'36242420','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','59200000'),
(8109,'36242808','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','5040000'),
(8110,'36243253','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','88800000'),
(8111,'36243668','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','4000000'),
(8112,'36244305','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','7200000'),
(8113,'36244445','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','10320000'),
(8114,'36244567','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','1600000'),
(8115,'36244666','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','47360000'),
(8116,'36244732','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','5800000'),
(8117,'47655732','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','2820000'),
(8118,'47680968','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','84600000'),
(8119,'47683152','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','8490000'),
(8120,'47692714','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','6862000'),
(8121,'47697210','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2820000'),
(8122,'47698118','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','112800000'),
(8123,'47699663','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','65000'),
(8124,'47708005','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.01.01.0024.','88000'),
(8125,'47712773','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11280000'),
(8126,'36212668','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.01.01.0004.','18073000'),
(8127,'36212791','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','1341213700'),
(8128,'36215657','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0015.','6360000'),
(8129,'36215660','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0016.','3840000'),
(8130,'36215681','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0035.','14000000'),
(8131,'36215684','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0049.','5000000'),
(8132,'36215687','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0051.','29800000'),
(8133,'36215698','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0059.','2400000'),
(8134,'36215721','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0061.','52371000'),
(8135,'36215743','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.01.0063.','19800000'),
(8136,'36216017','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0005.','48000000'),
(8137,'36216060','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.02.0006.','7800000'),
(8138,'36216095','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.02.12.0001.','38800000'),
(8139,'36219727','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','78040000'),
(8140,'36220132','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.01.03.06.0001.','54000000'),
(8141,'36235564','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','2000000'),
(8142,'36244468','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','29760000'),
(8143,'36244981','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','1360000'),
(8144,'36245844','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','6000000'),
(8145,'36246196','APBD','','Kab. Bondowoso','1.02.02.2.02.0040.5.1.02.90.01.0001.','4800000'),
(8146,'36246354','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','240000'),
(8147,'36247067','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','200000000'),
(8148,'36248191','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.04.01.0004.','9520000'),
(8149,'36248771','APBD','','Kab. Bondowoso','1.02.02.2.01.0017.5.1.02.04.01.0004.','4080000'),
(8150,'36249301','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','4800000'),
(8151,'36249687','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.04.01.0004.','12960000'),
(8152,'36255625','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','10600000'),
(8153,'36256011','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','11088000'),
(8154,'36256378','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','28896000'),
(8155,'36256726','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','44352000'),
(8156,'36256990','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','115584000'),
(8157,'47595867','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.000.2','50000000'),
(8158,'47595975','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.000.4','16772000'),
(8159,'47596018','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.001.2','80000000'),
(8160,'47596090','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.001.3','10000000'),
(8161,'47596323','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.002.4','46152400'),
(8162,'47597504','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.002.5','9964500'),
(8163,'47597527','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.002.7','1500000'),
(8164,'47597578','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.002.9','10867000'),
(8165,'47597632','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.003.0','9644100'),
(8166,'47597667','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.003.1','11183500'),
(8167,'47597679','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.01.01.003.7','128636925'),
(8168,'47597732','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.001.5','9390000'),
(8169,'47597768','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.001.6','7680000'),
(8170,'47597807','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.003.5','18000000'),
(8171,'47597834','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.005.1','44800000'),
(8172,'47597891','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.006.1','36000000'),
(8173,'47597938','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.01.006.3','9000000'),
(8174,'47597962','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.02.000.5','34500000'),
(8175,'47597986','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.02.000.6','3744000'),
(8176,'47598014','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.02.12.000.1','4800000'),
(8177,'47598146','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.01.03.000.5','6381200'),
(8178,'47598171','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.05.02.000.1','50000000'),
(8179,'47598211','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.07.01.000.1','15262800'),
(8180,'47598232','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.07.01.001.4','61798000'),
(8181,'47598260','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.08.01.001.3','90000000'),
(8182,'47598305','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.10.01.000.2','31800000'),
(8183,'47598364','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.02.10.02.000.3','6118500'),
(8184,'47598405','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.2.03.01.01.002.5','56251800'),
(8185,'47598462','APBD','2024','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.02.90.01.000.1','93002000'),
(8186,'47630816','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','3995000'),
(8187,'47639347','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','117312000'),
(8188,'47640647','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','13818000'),
(8189,'47641682','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','348000'),
(8190,'47643366','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','147273600'),
(8191,'47645025','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','8883000'),
(8192,'47647155','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','846000'),
(8193,'47652943','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','25392000'),
(8194,'47654326','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','90000'),
(8195,'47658129','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','7332000'),
(8196,'47660322','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','87984000'),
(8197,'47661944','APBD','2024','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','34874000'),
(8198,'47667887','APBD','2024','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','156000'),
(8199,'36210912','APBD','','Kab. Bondowoso','1.02.00.0.00.0010.0.0.71.02.02.2011.2.5.1.01.03.06.000.1','1379140275'),
(8200,'36239539','APBD','','Kab. Bondowoso','1.02.02.2.02.0001.5.1.02.90.01.0001.','16640000'),
(8201,'36239704','APBD','','Kab. Bondowoso','1.02.02.2.02.0002.5.1.02.90.01.0001.','2080000'),
(8202,'36239889','APBD','','Kab. Bondowoso','1.02.02.2.02.0005.5.1.02.90.01.0001.','29280000'),
(8203,'36240141','APBD','','Kab. Bondowoso','1.02.02.2.02.0011.5.1.02.90.01.0001.','1600000'),
(8204,'36241852','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','23200000'),
(8205,'36242043','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','36818400'),
(8206,'36242176','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','6916000'),
(8207,'36242343','APBD','','Kab. Bondowoso','1.02.02.2.02.0015.5.1.02.90.01.0001.','8320000'),
(8208,'36242687','APBD','','Kab. Bondowoso','1.02.02.2.02.0020.5.1.02.90.01.0001.','12320000'),
(8209,'36242803','APBD','','Kab. Bondowoso','1.02.02.2.02.0025.5.1.02.90.01.0001.','184720000'),
(8210,'36242919','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','8320000'),
(8211,'36243029','APBD','','Kab. Bondowoso','1.02.02.2.02.0033.5.1.02.90.01.0001.','59200000'),
(8212,'36262255','APBD','','Kab. Bondowoso','1.02.02.2.02.0036.5.1.02.90.01.0001.','800000'),
(8213,'36262327','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','7360000'),
(8214,'36262450','APBD','','Kab. Bondowoso','1.02.02.2.02.0041.5.1.02.90.01.0001.','3840000'),
(8215,'36262490','APBD','','Kab. Bondowoso','1.02.02.2.02.0044.5.1.02.90.01.0001.','1040000'),
(8216,'36262555','APBD','','Kab. Bondowoso','1.02.02.2.02.0046.5.1.02.90.01.0001.','33440000'),
(8217,'36263330','APBD','','Kab. Bondowoso','1.02.05.2.03.0001.5.1.02.90.01.0001.','18480000'),
(8218,'47553467','APBD','2024','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05946','2000000'),
(8219,'47554054','APBD','2024','Kab. Bondowoso','6.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00156','200000000'),
(8220,'47554055','APBD','2024','Kab. Bondowoso','6.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00156','30000000'),
(8221,'47554712','APBD','2024','Kab. Bondowoso','6.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02357','3180000'),
(8222,'47554772','APBD','2024','Kab. Bondowoso','6.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','306000'),
(8223,'47554823','APBD','2024','Kab. Bondowoso','6.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02326','760000'),
(8224,'47554863','APBD','2024','Kab. Bondowoso','6.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01739','424000'),
(8225,'47554941','APBD','2024','Kab. Bondowoso','6.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04431','424000'),
(8226,'47555292','APBD','2024','Kab. Bondowoso','6.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10742','145000'),
(8227,'47555369','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','468000'),
(8228,'47555423','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10074','69600'),
(8229,'47555752','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','691200'),
(8230,'47555787','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','397500'),
(8231,'47555804','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','576000'),
(8232,'47555854','APBD','2024','Kab. Bondowoso','6.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10742','87000'),
(8233,'36188078','APBD','','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00406','4057500'),
(8234,'36188078','APBD','','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','58828000'),
(8235,'36188078','APBD','','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00440','1790000'),
(8236,'36188079','APBD','','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00011','5000000'),
(8237,'36188079','APBD','','Kab. Bondowoso','6.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00078','1000000'),
(8238,'36188163','APBD','','Kab. Bondowoso','6.01.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00051','5000000'),
(8239,'36188163','APBD','','Kab. Bondowoso','6.01.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','5000000'),
(8240,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00003','12000000'),
(8241,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.02.0006.8.1.0.20.20.20.006.00001','3312000'),
(8242,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00058','18000000'),
(8243,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00059','63000000'),
(8244,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00060','384000000'),
(8245,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','26400000'),
(8246,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00002','24000000'),
(8247,'36188344','APBD','','Kab. Bondowoso','6.01.01.2.08.0004.5.1.02.02.02.0005.8.1.0.20.20.20.005.00011','27600000'),
(8248,'36188414','APBD','','Kab. Bondowoso','6.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00023','61843100'),
(8249,'36188414','APBD','','Kab. Bondowoso','6.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00032','10450000'),
(8250,'36188414','APBD','','Kab. Bondowoso','6.01.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00007','1200000'),
(8251,'36188414','APBD','','Kab. Bondowoso','6.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00008','1200000'),
(8252,'36188424','APBD','','Kab. Bondowoso','6.01.01.2.05.0009.5.1.02.02.01.0003.8.1.0.20.20.10.003.00002','50000000'),
(8253,'36188424','APBD','','Kab. Bondowoso','6.01.01.2.05.0009.5.1.02.02.12.0004.8.1.0.20.21.30.004.00022','75000000'),
(8254,'36188424','APBD','','Kab. Bondowoso','6.01.01.2.05.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','12710000'),
(8255,'36188424','APBD','','Kab. Bondowoso','6.01.01.2.05.0009.5.1.02.04.01.0001.8.1.0.20.40.10.001.00032','12240000'),
(8256,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.20.10.054.00006','4539900'),
(8257,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0001.8.1.0.20.40.10.001.00027','15150000'),
(8258,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00278','14900000'),
(8259,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00293','16050000'),
(8260,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00298','5838000'),
(8261,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','4800000'),
(8262,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','97580000'),
(8263,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','12190000'),
(8264,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','5250000'),
(8265,'36188541','APBD','','Kab. Bondowoso','6.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00508','5348000'),
(8266,'36188683','APBD','','Kab. Bondowoso','6.01.01.2.01.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3520000'),
(8267,'36188683','APBD','','Kab. Bondowoso','6.01.01.2.01.0006.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','15990000'),
(8268,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','950880000'),
(8269,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00186','0'),
(8270,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','0'),
(8271,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00246','15000000'),
(8272,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(8273,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8274,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','15000000'),
(8275,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00037','12500000'),
(8276,'36188821','APBD','','Kab. Bondowoso','6.01.02.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','15960000'),
(8277,'36188859','APBD','','Kab. Bondowoso','6.01.02.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(8278,'36188859','APBD','','Kab. Bondowoso','6.01.02.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8279,'36188859','APBD','','Kab. Bondowoso','6.01.02.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','181440000'),
(8280,'36188867','APBD','','Kab. Bondowoso','6.01.02.2.01.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','16000000'),
(8281,'36188867','APBD','','Kab. Bondowoso','6.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1275000'),
(8282,'36188867','APBD','','Kab. Bondowoso','6.01.02.2.01.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2250000'),
(8283,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','18000000'),
(8284,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.02.01.0004.8.1.0.20.20.10.004.00246','18000000'),
(8285,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','4200000'),
(8286,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','230400000'),
(8287,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','34850000'),
(8288,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.02.01.0004.8.1.0.20.20.10.004.00114','15000000'),
(8289,'36188869','APBD','','Kab. Bondowoso','6.01.02.2.01.0007.5.1.02.02.01.0027.8.1.0.20.20.10.027.00037','24000000'),
(8290,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(8291,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8292,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00036','15000000'),
(8293,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00114','12500000'),
(8294,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.02.01.0004.8.1.0.20.20.10.004.00246','15000000'),
(8295,'36188980','APBD','','Kab. Bondowoso','6.01.02.2.02.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','124800000'),
(8296,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','9000000'),
(8297,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','10000000'),
(8298,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','2700000'),
(8299,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00186','3000000'),
(8300,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00186','3000000'),
(8301,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00300','12000000'),
(8302,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00344','0'),
(8303,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(8304,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','82000000'),
(8305,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','4200000'),
(8306,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','2700000'),
(8307,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','2700000'),
(8308,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','2700000'),
(8309,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','2700000'),
(8310,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00114','90000000'),
(8311,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00116','20400000'),
(8312,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00186','3000000'),
(8313,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00186','3000000'),
(8314,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','2640000'),
(8315,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','2640000'),
(8316,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','2640000'),
(8317,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','2640000'),
(8318,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','2640000'),
(8319,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','13200000'),
(8320,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','13200000'),
(8321,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','13200000'),
(8322,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','13200000'),
(8323,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00345','0'),
(8324,'36189027','APBD','','Kab. Bondowoso','6.01.03.2.02.0003.5.1.02.02.01.0047.8.1.0.20.20.10.047.00472','300000000'),
(8325,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','4200000'),
(8326,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','9000000'),
(8327,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00041','10000000'),
(8328,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00058','675000'),
(8329,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00180','2100000'),
(8330,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00183','1500000'),
(8331,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0004.8.1.0.20.20.10.004.00187','5280000'),
(8332,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.02.01.0008.8.1.0.20.20.10.008.00017','8400000'),
(8333,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','70400000'),
(8334,'36189028','APBD','','Kab. Bondowoso','6.01.03.2.02.0004.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','61500000'),
(8335,'47444694','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(8336,'47444695','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','62400'),
(8337,'47444696','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8338,'47444814','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8339,'47444815','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','62400'),
(8340,'47444816','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8341,'47444819','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8342,'47444820','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8343,'47444821','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','62400'),
(8344,'47445003','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(8345,'47445004','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8346,'47445006','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','164800'),
(8347,'47445061','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','209400'),
(8348,'47445062','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8349,'47445063','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(8350,'47445172','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','271200'),
(8351,'47445174','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8352,'47445175','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8353,'47445194','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','271200'),
(8354,'47445195','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8355,'47445196','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8356,'47445201','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','542400'),
(8357,'47445202','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8358,'47445203','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1229600'),
(8359,'47445321','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','522300'),
(8360,'47445323','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8361,'47445324','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8362,'47445394','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','522300'),
(8363,'47445395','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8364,'47445396','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8365,'47448447','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','522300'),
(8366,'47448448','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(8367,'47448449','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8368,'47448537','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0001.1.1.1.20.10.10.001.14092','1710000'),
(8369,'47448538','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03682','1342000'),
(8370,'47448552','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02174','169600'),
(8371,'47448595','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1462500'),
(8372,'47448596','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(8373,'47448597','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1537000'),
(8374,'47448598','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','344500'),
(8375,'47448613','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','899100'),
(8376,'47448700','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0005.5.2.02.05.02.0001.1.3.0.20.50.20.001.02564','2000000'),
(8377,'47448758','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02404','2995800'),
(8378,'47448795','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00003','720000'),
(8379,'47448797','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00023','8340000'),
(8380,'47448798','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00039','7740000'),
(8381,'47448859','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','16800000'),
(8382,'47450612','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','40000'),
(8383,'47450613','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','461100'),
(8384,'47450614','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','175500'),
(8385,'47450969','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','62400'),
(8386,'47450970','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(8387,'47450971','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8388,'47453655','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0005.1.1.1.20.10.10.005.01701','159000'),
(8389,'47453657','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.04.0123.1.3.0.20.50.20.006.00595','18200000'),
(8390,'47453659','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.2.02.05.02.0006.1.3.0.20.50.20.006.00596','5400000'),
(8391,'47453660','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14116','154000'),
(8392,'47453661','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','7500000'),
(8393,'47454401','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','160000'),
(8394,'47454402','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8395,'47454403','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(8396,'47454404','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4590000'),
(8397,'47454479','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','109800'),
(8398,'47454480','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8399,'47454481','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(8400,'47454482','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(8401,'47454541','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','73500'),
(8402,'47454542','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(8403,'47454543','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8404,'47454544','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(8405,'47454549','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','109800'),
(8406,'47454550','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8407,'47454551','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(8408,'47454552','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(8409,'47454562','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','242100'),
(8410,'47454563','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8411,'47454564','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8412,'47454565','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(8413,'47457532','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','144000'),
(8414,'47457533','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(8415,'47457534','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3740000'),
(8416,'47457535','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8417,'47457538','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','163500'),
(8418,'47457539','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8419,'47457540','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8420,'47457541','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(8421,'47457543','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','144000'),
(8422,'47457544','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8423,'47457545','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(8424,'47457546','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(8425,'47457552','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','64000'),
(8426,'47457553','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8427,'47457554','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8428,'47457555','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(8429,'47457566','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','43500'),
(8430,'47457567','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8431,'47457568','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8432,'47457569','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(8433,'47457579','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','64000'),
(8434,'47457580','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8435,'47457581','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8436,'47457582','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1530000'),
(8437,'47457597','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','64000'),
(8438,'47457598','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8439,'47457599','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(8440,'47457600','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(8441,'47457602','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','80000'),
(8442,'47457603','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8443,'47457604','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(8444,'47457605','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3600000'),
(8445,'47458677','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354600'),
(8446,'47458678','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2073600'),
(8447,'47458679','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1537000'),
(8448,'47458680','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','11900000'),
(8449,'47459033','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','512000'),
(8450,'47459034','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(8451,'47459035','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(8452,'47459036','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','19500000'),
(8453,'47459060','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','160000'),
(8454,'47459061','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8455,'47459062','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(8456,'47459063','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4590000'),
(8457,'47460432','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','526500'),
(8458,'47460433','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1537000'),
(8459,'47460434','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','14400000'),
(8460,'47460435','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','368000'),
(8461,'47460500','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','273600'),
(8462,'47460501','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(8463,'47460502','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','922200'),
(8464,'47460503','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7990000'),
(8465,'36148314','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','9840000'),
(8466,'36148377','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00030','2000000'),
(8467,'36148377','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','30000000'),
(8468,'36148377','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','52800000'),
(8469,'36148378','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00027','14400000'),
(8470,'36148379','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00011','9600000'),
(8471,'36152804','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','7200000'),
(8472,'47372030','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','324000'),
(8473,'47376936','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.02.01.00.261.','559800'),
(8474,'47404525','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','162000'),
(8475,'47405227','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','972000'),
(8476,'47406751','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','1866000'),
(8477,'47415792','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.0.2.0.10.10.02.4','468200'),
(8478,'47416628','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','972000'),
(8479,'47418362','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','559800'),
(8480,'47449908','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','662600'),
(8481,'47450006','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','777600'),
(8482,'47450112','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','559800'),
(8483,'47450524','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','779800'),
(8484,'47450753','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','1847000'),
(8485,'47450812','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','373200'),
(8486,'47453514','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','502000'),
(8487,'47453578','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','1698000'),
(8488,'47453701','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','633600'),
(8489,'47453748','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','1620000'),
(8490,'47453811','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','746400'),
(8491,'47454435','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','316200'),
(8492,'47468510','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','6276000'),
(8493,'47469146','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','1944000'),
(8494,'47469625','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','780000'),
(8495,'47472844','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.52','28200000'),
(8496,'47475624','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','11160500'),
(8497,'47479248','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','1860000'),
(8498,'47482219','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.29','1866000'),
(8499,'47483325','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.52','14100000'),
(8500,'47492643','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.24','150400'),
(8501,'47493417','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.01.01.00.25','129600'),
(8502,'47496216','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.2.0.2.10.01.00.02','19080000'),
(8503,'47598027','APBD','2024','Kab. Bondowoso','5.70.10.0.00.0001.0.0.00.70.10.2204.0.1.1.02.01.01.002.4','2400000'),
(8504,'47598096','APBD','2024','Kab. Bondowoso','5.10.20.1.01.0052.7.0.10.00.00.0010.0.0.0.70.10.22.040.1','1360000'),
(8505,'47598148','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.02.2040.2.5.1.02.01.01.002.4','198100'),
(8506,'47598203','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.02.2040.2.5.2.02.05.01.000.2','301900'),
(8507,'47598261','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.02.2040.3.','140300'),
(8508,'47598358','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.02.2045.1.0.2.01.01.00.25','359700'),
(8509,'47598523','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.01.01.00.24','2143500'),
(8510,'47598577','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.01.01.00.52','31020000'),
(8511,'47598927','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.01.01.00.24','3049500'),
(8512,'47598965','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.01.01.00.52','21714000'),
(8513,'47599166','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.12','1590000'),
(8514,'47603033','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.24','5802800'),
(8515,'47603108','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.25','324000'),
(8516,'47603258','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.29','1667600'),
(8517,'47603345','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.31','3300800'),
(8518,'47603430','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.32','795000'),
(8519,'47603527','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.34','12720000'),
(8520,'47603579','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.01.01.00.52','31020000'),
(8521,'47603659','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.2.0.2.05.02.00.04','1590000'),
(8522,'47603723','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.2.0.2.07.01.00.01','373800'),
(8523,'47603790','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.2.0.2.10.02.00.03','4240000'),
(8524,'47603839','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.2.0.1.00.20.00.5','2120000'),
(8525,'47603940','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.2.0.2.15.02.00.05','3183000'),
(8526,'47610305','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.2015.1.0.2.01.01.00.24','17743100'),
(8527,'47610657','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.2015.1.0.2.01.01.00.25','1944000'),
(8528,'47611005','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.2015.1.0.2.01.01.00.29','2555000'),
(8529,'47611310','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.2015.1.0.2.01.01.00.52','31020000'),
(8530,'47614242','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.1.0.10.02.4','2084400'),
(8531,'47614774','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.1.0.10.02.5','648000'),
(8532,'47615441','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.1.0.10.02.9','725800'),
(8533,'47615831','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.1.0.10.05.2','8930000'),
(8534,'47621669','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.02.4','420400'),
(8535,'47624678','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5101.0.1.0.10.02.5','129600'),
(8536,'47625685','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.05.2','7050000'),
(8537,'47630656','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.02.4','172400'),
(8538,'47631416','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.02.5','777600'),
(8539,'47633138','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.05.2','7050000'),
(8540,'47636327','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.1.0.10.02.4','57800'),
(8541,'47657395','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2025.1.0.2.01.01.00.24','1704000'),
(8542,'47658099','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2025.1.0.2.01.01.00.25','1296000'),
(8543,'47660285','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2025.1.0.2.01.01.00.24','211200'),
(8544,'47664359','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2025.1.0.2.01.01.00.25','1296000'),
(8545,'47667363','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2025.1.0.2.01.01.00.29','1492800'),
(8546,'47731858','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.05','243300'),
(8547,'47731989','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.05','923500'),
(8548,'47732088','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.05','373200'),
(8549,'47732477','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.05','660000'),
(8550,'47747022','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.06','528000'),
(8551,'47748099','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.06','972000'),
(8552,'47750126','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.07','189700'),
(8553,'47750694','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.07','2592000'),
(8554,'47754377','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.03','3000000'),
(8555,'47755510','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.01','1555200'),
(8556,'47756598','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2701.0.1.2.03.00.1','559800'),
(8557,'47762209','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.05','1263200'),
(8558,'47871044','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.05','1736800'),
(8559,'47879148','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.06','778800'),
(8560,'47879910','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.06','1101600'),
(8561,'47885890','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.03.00.06','1119600'),
(8562,'36121499','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.04.00.11.000.3','2800000'),
(8563,'36150730','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.04.01.00.03','1800000'),
(8564,'36158939','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.04.01.00.04','52800000'),
(8565,'36162887','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.02.01.00.03','800000'),
(8566,'36163400','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.04.01.00.04','26400000'),
(8567,'36168160','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2015.1.0.2.04.01.00.04','640000'),
(8568,'36210962','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.02.01.00.03','9600000'),
(8569,'36210975','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.04.01.00.03','3600000'),
(8570,'36210981','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.02.01.00.03','14400000'),
(8571,'36210994','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2015.1.0.2.04.01.00.03','7200000'),
(8572,'36213502','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.02.01.00.03','14400000'),
(8573,'36213539','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.04.2025.1.0.2.04.01.00.03','9600000'),
(8574,'36216968','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.2015.1.0.2.02.01.00.03','9200000'),
(8575,'36217233','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.1025.1.0.2.04.01.00.04','21760000'),
(8576,'36219442','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.2.0.10.00.3','1600000'),
(8577,'36219765','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.05.5102.0.4.0.10.00.3','9200000'),
(8578,'36223247','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.2.0.10.00.3','2400000'),
(8579,'36223910','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.2.0.10.00.3','2000000'),
(8580,'36227523','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.06.5102.0.4.0.10.00.4','5760000'),
(8581,'36266194','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.05','1800000'),
(8582,'36273640','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.07.01.01.2027.0.1.0.12.02.00.07','2800000'),
(8583,'47479050','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','2455000'),
(8584,'47479564','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3000000'),
(8585,'47480114','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(8586,'47481836','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1500000'),
(8587,'47482233','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04417','547500'),
(8588,'47482521','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01713','106000'),
(8589,'47483388','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1500000'),
(8590,'47483974','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','5000000'),
(8591,'47485225','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05549','9219400'),
(8592,'47485227','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','954000'),
(8593,'47485229','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','288900'),
(8594,'47508302','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(8595,'47508412','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10072','5500'),
(8596,'47508413','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8597,'47508414','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(8598,'47508652','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','300000'),
(8599,'47508653','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8600,'47508654','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(8601,'47508972','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','960000'),
(8602,'47508973','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3600000'),
(8603,'47509169','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','1228000'),
(8604,'47509170','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(8605,'47509171','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2040000'),
(8606,'47509172','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(8607,'47509296','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','320000'),
(8608,'47509297','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(8609,'47509299','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3740000'),
(8610,'47509555','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(8611,'47509630','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8612,'47509766','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(8613,'47509767','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1500000'),
(8614,'47509929','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8615,'47509976','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8616,'47510094','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','40200'),
(8617,'47510095','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8618,'47510206','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09958','56300'),
(8619,'47510207','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(8620,'47510208','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(8621,'47510293','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10500000'),
(8622,'47510454','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','7000'),
(8623,'47510455','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1620000'),
(8624,'47510456','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(8625,'47510545','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','11900000'),
(8626,'47510666','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(8627,'47510751','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10480','19000'),
(8628,'47510752','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8629,'47510753','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1272000'),
(8630,'47510754','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(8631,'36161029','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','4500000'),
(8632,'36161161','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2000000'),
(8633,'36161349','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','700000'),
(8634,'36161512','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','500000'),
(8635,'36162179','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','13600000'),
(8636,'36162489','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','24000000'),
(8637,'36162490','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00023','12000000'),
(8638,'36172370','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0001.8.1.0.20.40.10.001.00025','1200000'),
(8639,'36172585','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1500000'),
(8640,'36172801','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(8641,'36172801','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(8642,'36172801','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(8643,'36172801','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(8644,'36172869','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','23000000'),
(8645,'36172920','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','22300000'),
(8646,'36172940','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','9500000'),
(8647,'36172994','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','38400000'),
(8648,'36173026','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','22100000'),
(8649,'36173060','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2000000'),
(8650,'36173082','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','32800000'),
(8651,'47395637','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','417500'),
(8652,'47395638','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1620000'),
(8653,'47395755','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8654,'47395757','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8655,'47395883','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8656,'47395884','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8657,'47395966','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','480000'),
(8658,'47395969','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8659,'47396003','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8660,'47396004','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','480000'),
(8661,'47396059','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8662,'47396060','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8663,'47396125','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8664,'47396126','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8665,'47396378','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8666,'47396380','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8667,'47396442','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8668,'47396443','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','480000'),
(8669,'47396501','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8670,'47396502','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8671,'47396558','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8672,'47396559','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8673,'47396612','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10087','287000'),
(8674,'47396613','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(8675,'47396755','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','215000'),
(8676,'47396756','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(8677,'47396807','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2594100'),
(8678,'47397178','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','6000000'),
(8679,'47397179','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00007','6000000'),
(8680,'47397380','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','42000000'),
(8681,'47397719','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','3510000'),
(8682,'47397720','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','975000'),
(8683,'47397721','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','480000'),
(8684,'47397722','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5950000'),
(8685,'47397851','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8686,'47397852','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','450000'),
(8687,'47397853','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','3802500'),
(8688,'47397854','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1537000'),
(8689,'47398011','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','6480000'),
(8690,'47398012','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(8691,'47398013','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','828000'),
(8692,'47398014','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1537000'),
(8693,'47398114','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','500000'),
(8694,'47398115','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','4095000'),
(8695,'47398116','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5950000'),
(8696,'47398117','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','5598000'),
(8697,'47398343','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(8698,'47398344','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(8699,'47398345','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8700,'47398450','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8701,'47398451','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','1250000'),
(8702,'47398452','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','4457300'),
(8703,'47398454','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02332','2400000'),
(8704,'47398612','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','846000'),
(8705,'47398613','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02318','135000'),
(8706,'47398614','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8707,'47398615','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','975000'),
(8708,'47398757','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','228600'),
(8709,'47398759','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(8710,'47398761','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1190000'),
(8711,'47398929','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10069','945000'),
(8712,'47398930','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1620000'),
(8713,'47398931','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1272000'),
(8714,'47398932','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(8715,'47399026','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','175000'),
(8716,'47399027','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','935000'),
(8717,'47399127','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','228600'),
(8718,'47399128','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(8719,'47399129','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1190000'),
(8720,'47399202','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','228600'),
(8721,'47399203','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(8722,'47399204','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2100000'),
(8723,'47399274','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','155000'),
(8724,'47399275','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02328','358500'),
(8725,'47399277','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(8726,'47399457','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1488000'),
(8727,'47399458','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','2340000'),
(8728,'47399459','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','2544000'),
(8729,'47399460','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8730,'47399537','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','630000'),
(8731,'47399538','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1755000'),
(8732,'47399539','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','975000'),
(8733,'47399540','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(8734,'47399590','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(8735,'47399737','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3360000'),
(8736,'47399738','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3240000'),
(8737,'47399739','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','3816000'),
(8738,'47399740','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(8739,'47399802','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','2553000'),
(8740,'47399803','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','2632500'),
(8741,'47399804','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','3816000'),
(8742,'47399806','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5950000'),
(8743,'47399955','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11051','38200'),
(8744,'47399958','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(8745,'47399960','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(8746,'47400099','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1299000'),
(8747,'47400100','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02034','562000'),
(8748,'47400101','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(8749,'47400224','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','250000'),
(8750,'47400225','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(8751,'47400395','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','161000'),
(8752,'47400396','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02183','693000'),
(8753,'47400397','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','3816000'),
(8754,'47400399','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(8755,'47417157','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02336','22000'),
(8756,'47417158','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.05.02.0001.1.3.0.20.50.20.001.02168','10600000'),
(8757,'47417159','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.01906','10600000'),
(8758,'47417160','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02236','8480000'),
(8759,'36127048','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(8760,'36127215','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(8761,'36127216','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','7200000'),
(8762,'36127217','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','105600000'),
(8763,'36127451','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8764,'36127494','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8765,'36127574','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8766,'36127646','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8767,'36127748','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8768,'36127789','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8769,'36127830','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00057','2400000'),
(8770,'36127830','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(8771,'36127830','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(8772,'36127830','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(8773,'36127830','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(8774,'36127831','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(8775,'36128202','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(8776,'36128285','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(8777,'36128312','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(8778,'36128368','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(8779,'36128399','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(8780,'36128443','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(8781,'36128484','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8782,'36128532','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(8783,'46920764','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','960200'),
(8784,'46920920','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','357300'),
(8785,'46921035','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','662500'),
(8786,'46921493','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','751100'),
(8787,'46921654','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','486400'),
(8788,'46921866','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','737500'),
(8789,'46922314','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.','910400'),
(8790,'46922460','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.','621900'),
(8791,'46922587','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.','317700'),
(8792,'46922884','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.','632900'),
(8793,'46923028','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.','422100'),
(8794,'46923164','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.','795000'),
(8795,'46924069','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.','748000'),
(8796,'46924149','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.','442000'),
(8797,'46924223','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.','795000'),
(8798,'46924571','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.','998700'),
(8799,'46924641','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.','536300'),
(8800,'46924699','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.','340000'),
(8801,'46924913','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.','955200'),
(8802,'46924975','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.','357300'),
(8803,'46925044','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.','662500'),
(8804,'46925320','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.','575300'),
(8805,'46925388','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.','512200'),
(8806,'46925449','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0029.','662500'),
(8807,'46926186','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.','172000'),
(8808,'46926280','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.','568000'),
(8809,'46926358','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.','1060000'),
(8810,'46926488','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.','288800'),
(8811,'46926571','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.','348700'),
(8812,'46926632','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.','662500'),
(8813,'46926744','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.','552900'),
(8814,'46926786','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.','534600'),
(8815,'46926878','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.','662500'),
(8816,'46927006','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.','642300'),
(8817,'46927134','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.','677700'),
(8818,'46927178','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.','530000'),
(8819,'46927244','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.','880300'),
(8820,'46927482','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0025.','577000'),
(8821,'46927571','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0029.','392700'),
(8822,'46927697','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.','772600'),
(8823,'46927779','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.','579900'),
(8824,'46927830','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.','397500'),
(8825,'46927941','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.','905100'),
(8826,'46927967','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.','447400'),
(8827,'46927989','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0029.','397500'),
(8828,'46928138','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.','815300'),
(8829,'46928218','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.','512200'),
(8830,'46928261','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.','472500'),
(8831,'46928353','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.','1325000'),
(8832,'46928400','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.','292500'),
(8833,'46928427','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.','132500'),
(8834,'46928504','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.','1797600'),
(8835,'46928541','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.','1287400'),
(8836,'46928613','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.','795000'),
(8837,'46928677','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.','61100000'),
(8838,'46928962','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.','1000000'),
(8839,'46929012','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.','3600000'),
(8840,'46929032','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.','3600000'),
(8841,'46929233','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.','41780000'),
(8842,'46929550','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.','1856900'),
(8843,'46929588','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.','863100'),
(8844,'46929633','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.','530000'),
(8845,'46929717','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.','11750000'),
(8846,'46929926','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.','743800'),
(8847,'46929984','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.','668700'),
(8848,'46930091','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.','662500'),
(8849,'46930186','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.','12925000'),
(8850,'46930353','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.','1495400'),
(8851,'46930465','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.','915300'),
(8852,'46930537','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.','662500'),
(8853,'46930610','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.','10575000'),
(8854,'46930798','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.','14000000'),
(8855,'46930915','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.','305100'),
(8856,'46931003','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.','265000'),
(8857,'46931045','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.','12925000'),
(8858,'46931185','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.','802500'),
(8859,'46931268','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.','733500'),
(8860,'46931315','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.','530000'),
(8861,'46931357','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.','19975000'),
(8862,'46931478','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.','1069600'),
(8863,'46931543','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.','607900'),
(8864,'46931631','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.','397500'),
(8865,'46931675','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.','12925000'),
(8866,'46931753','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.','30000'),
(8867,'46931784','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.','23970000'),
(8868,'46932073','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.','459000'),
(8869,'46932150','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.','58500'),
(8870,'46932206','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0029.','132500'),
(8871,'46932262','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.','2350000'),
(8872,'46932448','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.','650500'),
(8873,'46932489','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.','117000'),
(8874,'46932527','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0029.','132500'),
(8875,'46932605','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.','14100000'),
(8876,'46932713','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.','109000'),
(8877,'46932749','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.','58500'),
(8878,'46932804','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0029.','132500'),
(8879,'46932866','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.','4700000'),
(8880,'46932985','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.','300000'),
(8881,'46933052','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.','4700000'),
(8882,'46933170','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.','678200'),
(8883,'46933208','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.','181800'),
(8884,'46933289','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0029.','265000'),
(8885,'46933335','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.','5875000'),
(8886,'46933443','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.','679500'),
(8887,'46933488','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.','175500'),
(8888,'46933521','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.','265000'),
(8889,'46933562','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.','11280000'),
(8890,'46933835','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.','72500'),
(8891,'46933859','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.','58500'),
(8892,'46933908','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.','132500'),
(8893,'46933919','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.','17625000'),
(8894,'46934371','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.','932100'),
(8895,'46934415','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.','270400'),
(8896,'46934457','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.','397500'),
(8897,'46934500','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.','18800000'),
(8898,'46934839','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.','160500'),
(8899,'46934864','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.','117000'),
(8900,'46934934','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.','132500'),
(8901,'46934955','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.','26790000'),
(8902,'46935721','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.','257600'),
(8903,'46935757','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.','123300'),
(8904,'46935812','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.','132500'),
(8905,'46935841','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.','9400000'),
(8906,'46935972','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.','23500000'),
(8907,'46936235','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.','18095000'),
(8908,'46936298','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.','76900'),
(8909,'46936317','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.','486900'),
(8910,'46936334','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.','530000'),
(8911,'46936351','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.','24910000'),
(8912,'35938807','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.','8000000'),
(8913,'35938836','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.','8200000'),
(8914,'35938999','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','106800000'),
(8915,'35941115','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.','9600000'),
(8916,'35941244','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.','2600000'),
(8917,'35941432','APBDP','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.02.01.0004.','600000'),
(8918,'35941600','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.','24800000'),
(8919,'35941813','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.02.01.0003.','6900000'),
(8920,'35941891','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.02.01.0003.','1700000'),
(8921,'35941996','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.02.01.0003.','1700000'),
(8922,'46766152','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','585700'),
(8923,'46766461','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','664300'),
(8924,'46766774','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','70400'),
(8925,'46766970','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','129600'),
(8926,'46767446','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.','620400'),
(8927,'46767787','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.','129600'),
(8928,'46768516','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.','279600'),
(8929,'46768785','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.','220400'),
(8930,'46769231','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.','154700'),
(8931,'46769441','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.','129600'),
(8932,'46769703','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.','65700'),
(8933,'46770520','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.','139900'),
(8934,'46770829','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.','194400'),
(8935,'46771122','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.','65700'),
(8936,'46771587','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.','370400'),
(8937,'46771776','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.','129600'),
(8938,'46772478','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.','750000'),
(8939,'46772901','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.','896800'),
(8940,'46773058','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.','2820800'),
(8941,'46773255','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.','2349600'),
(8942,'46773474','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.','20680000'),
(8943,'46774279','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.','1500000'),
(8944,'46776303','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.05.02.0004.','4927300'),
(8945,'46776991','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.','6778800'),
(8946,'46777197','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.','7800000'),
(8947,'46781060','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.','8980100'),
(8948,'46781414','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.','81800'),
(8949,'46781685','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.','1150000'),
(8950,'46782771','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.2.03.01.01.0001.','50001600'),
(8951,'46782984','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.2.03.04.01.0004.','24685200'),
(8952,'46783298','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.','940600'),
(8953,'46783387','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.','194400'),
(8954,'46783625','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.','13865000'),
(8955,'46783854','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.','758800'),
(8956,'46783907','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.','518400'),
(8957,'46783985','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.','262800'),
(8958,'46784200','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.','8460000'),
(8959,'46788160','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0024.','645000'),
(8960,'46788172','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0025.','259200'),
(8961,'46788218','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0029.','105800'),
(8962,'46788237','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0052.','6110000'),
(8963,'46788322','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0024.','1558600'),
(8964,'46788344','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0025.','978600'),
(8965,'46788356','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0029.','262800'),
(8966,'46788381','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0052.','7200000'),
(8967,'46788490','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.','1422000'),
(8968,'46788520','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.','984100'),
(8969,'46788566','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.','423200'),
(8970,'46788603','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.','24440000'),
(8971,'46788683','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.2.02.05.01.0005.','8480000'),
(8972,'46788789','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.','575600'),
(8973,'46788840','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.','194400'),
(8974,'46788895','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.','4230000'),
(8975,'46790961','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.','405400'),
(8976,'46791038','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.','129600'),
(8977,'46791087','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.','4465000'),
(8978,'46791184','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.','998800'),
(8979,'46791240','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.','518400'),
(8980,'46791297','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.','262800'),
(8981,'46791364','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.','4700000'),
(8982,'46791656','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.','283400'),
(8983,'46791749','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.','259200'),
(8984,'46791824','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.','211600'),
(8985,'46791945','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.','9400000'),
(8986,'46792009','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.2.02.10.01.0002.','15195800'),
(8987,'46792159','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.','1915100'),
(8988,'46792267','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.','777600'),
(8989,'46792300','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.','317400'),
(8990,'46792444','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.','44650000'),
(8991,'46792583','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.','1800000'),
(8992,'46793087','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0024.','705600'),
(8993,'46793137','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0025.','194400'),
(8994,'46793275','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.','282300'),
(8995,'46793312','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.','64800'),
(8996,'46793365','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0029.','52900'),
(8997,'46793434','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.','2100000'),
(8998,'46793534','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.','199800'),
(8999,'46793568','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.','194400'),
(9000,'46793640','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0029.','105800'),
(9001,'46793839','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.','4500000'),
(9002,'46794260','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.','199800'),
(9003,'46794291','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.','194400'),
(9004,'46794327','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0029.','105800'),
(9005,'46794359','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.','4500000'),
(9006,'46794406','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.','199800'),
(9007,'46794435','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.','194400'),
(9008,'46794469','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0029.','105800'),
(9009,'46794494','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.','4500000'),
(9010,'46794535','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.','199800'),
(9011,'46794574','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.','194400'),
(9012,'46794605','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0029.','105800'),
(9013,'46794641','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.','4500000'),
(9014,'46794699','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.','898300'),
(9015,'46794715','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.','388800'),
(9016,'46794741','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.','211600'),
(9017,'46794778','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.','26320000'),
(9018,'46794897','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.','337500'),
(9019,'46795851','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.','129600'),
(9020,'46795864','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.','52900'),
(9021,'46795886','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.','5640000'),
(9022,'46831699','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.','465000'),
(9023,'46831890','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.','259200'),
(9024,'46832091','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.','105800'),
(9025,'46832285','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.','10810000'),
(9026,'46833298','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.','1504600'),
(9027,'46833536','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.','388800'),
(9028,'46833800','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.','264500'),
(9029,'46834434','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.','32900000'),
(9030,'46835621','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.','896300'),
(9031,'46836090','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.','259200'),
(9032,'46836390','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.','264500'),
(9033,'46836663','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.','19740000'),
(9034,'46837696','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.','365000'),
(9035,'46837927','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.','259200'),
(9036,'46838303','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.','105800'),
(9037,'46838658','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.','2350000'),
(9038,'46840379','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.','600400'),
(9039,'46840783','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.','129600'),
(9040,'46841274','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.','2350000'),
(9041,'46842352','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0006.5.1.02.01.01.0024.','114600'),
(9042,'46842632','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0006.5.1.02.01.01.0025.','129600'),
(9043,'46843012','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0006.5.1.02.01.01.0029.','105800'),
(9044,'46843261','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0006.5.1.02.01.01.0052.','10810000'),
(9045,'46849421','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.','1399600'),
(9046,'46849708','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.','259200'),
(9047,'46850046','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.','36660000'),
(9048,'35873758','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.','1920000'),
(9049,'35873943','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.','7450000'),
(9050,'35875887','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','103200000'),
(9051,'35876067','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.','30000000'),
(9052,'35876146','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.02.0005.','5184000'),
(9053,'35876241','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.02.0006.','2544000'),
(9054,'35879891','APBD','','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.04.01.0004.','2880000'),
(9055,'35881087','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.','3520000'),
(9056,'35881443','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.04.01.0004.','3200000'),
(9057,'35881555','APBD','','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.04.01.0004.','1600000'),
(9058,'35882283','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.','9600000'),
(9059,'35882301','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.','4800000'),
(9060,'35882398','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.','3840000'),
(9061,'35899014','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.','3360000'),
(9062,'35899776','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.','7680000'),
(9063,'35900491','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.','3840000'),
(9064,'35901521','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.','1920000'),
(9065,'35902327','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.','1920000'),
(9066,'35902899','APBD','','Kab. Bondowoso','7.01.06.2.01.0006.5.1.02.04.01.0004.','3840000'),
(9067,'35905267','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.','7680000'),
(9068,'47015862','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','6000000'),
(9069,'47085624','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9070,'47085660','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','95400'),
(9071,'47085701','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9072,'47085721','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(9073,'47085745','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09992','17200'),
(9074,'47085756','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','98900'),
(9075,'47085810','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9076,'47085909','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','163500'),
(9077,'47085953','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','160000'),
(9078,'47085964','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','160000'),
(9079,'47085980','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(9080,'47085995','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','100000'),
(9081,'47086316','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9082,'47086382','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','100000'),
(9083,'47086400','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9084,'47086446','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03638','934000'),
(9085,'47086466','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01781','636000'),
(9086,'47086493','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','106000'),
(9087,'47086494','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9088,'47086495','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','1855000'),
(9089,'47086496','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','9350000'),
(9090,'47086522','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1474500'),
(9091,'47086604','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.02536','24000000'),
(9092,'47086605','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02357','6360000'),
(9093,'47086770','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00399','1855000'),
(9094,'47086771','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05915','102800'),
(9095,'47086826','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13557','731500'),
(9096,'47086827','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','1875000'),
(9097,'47086855','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','8000'),
(9098,'47086856','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(9099,'47086857','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03649','130000'),
(9100,'47086858','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10800000'),
(9101,'47086942','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','9000'),
(9102,'47086943','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9103,'47086944','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(9104,'47086963','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','53000'),
(9105,'47086964','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9106,'47086965','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(9107,'47087044','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','90000'),
(9108,'47087045','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(9109,'47087046','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9110,'47087139','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','128000'),
(9111,'47087140','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(9112,'47087141','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','265000'),
(9113,'47087142','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(9114,'47087194','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','37100'),
(9115,'47087281','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','600'),
(9116,'47087282','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9117,'47087283','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(9118,'47087688','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','32000'),
(9119,'47087689','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1800000'),
(9120,'47087711','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','49600'),
(9121,'47087712','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9122,'47087713','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1800000'),
(9123,'47087743','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10070','170000'),
(9124,'47087744','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9125,'47087746','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(9126,'47087812','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','480000'),
(9127,'47087813','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','877500'),
(9128,'47087814','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03648','260000'),
(9129,'47087815','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','19040000'),
(9130,'47087859','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','5000'),
(9131,'47087862','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9132,'47087863','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','520000'),
(9133,'47087864','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(9134,'47087901','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','852000'),
(9135,'47087902','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','702000'),
(9136,'47087903','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','650000'),
(9137,'47087904','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','11900000'),
(9138,'47088040','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','1060000'),
(9139,'47088042','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03649','390000'),
(9140,'47088043','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(9141,'47088044','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0053.8.1.0.20.10.10.053.00016','9400000'),
(9142,'47088045','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1102000'),
(9143,'47088137','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10985','85200'),
(9144,'47088138','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1102000'),
(9145,'47088139','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','520000'),
(9146,'47088141','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(9147,'47088182','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','65700'),
(9148,'47088183','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9149,'47088184','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(9150,'47088283','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','4500'),
(9151,'47088285','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9152,'47088286','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','680000'),
(9153,'47088301','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','36600'),
(9154,'47088385','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','95000'),
(9155,'47088387','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9156,'47088388','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','662500'),
(9157,'47088389','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(9158,'48238185','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','427500'),
(9159,'48238186','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','465000'),
(9160,'48238187','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','520000'),
(9161,'48238188','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(9162,'48238350','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','42400'),
(9163,'48238351','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9164,'48238352','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(9165,'48238689','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10217','46200'),
(9166,'48238690','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9167,'48238691','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','106000'),
(9168,'48238692','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9169,'35976998','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','7200000'),
(9170,'35978248','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','1000000'),
(9171,'36007820','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4000000'),
(9172,'36008290','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','2400000'),
(9173,'36008291','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(9174,'36008300','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(9175,'36008311','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(9176,'36008355','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','32000000'),
(9177,'36008384','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','19200000'),
(9178,'36008428','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(9179,'36008435','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(9180,'36008477','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3680000'),
(9181,'47376748','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','230000'),
(9182,'47376749','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02335','74000'),
(9183,'47376750','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9184,'47379968','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','71000'),
(9185,'47379969','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(9186,'47379970','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9187,'47380065','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02335','74000'),
(9188,'47380066','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9189,'47380067','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','145000'),
(9190,'47380159','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','196400'),
(9191,'47380160','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02335','74000'),
(9192,'47380162','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9193,'47381797','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','174000'),
(9194,'47381798','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9195,'47382071','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','64400'),
(9196,'47382072','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(9197,'47382073','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9198,'47382199','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09888','73000'),
(9199,'47382202','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9200,'47383730','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','230000'),
(9201,'47383731','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(9202,'47383732','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9203,'47383804','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09888','73000'),
(9204,'47383805','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9205,'47384031','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','145000'),
(9206,'47384032','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9207,'47384033','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9208,'47384170','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10135','186400'),
(9209,'47384171','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9210,'47384172','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9211,'47384898','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','75000'),
(9212,'47384900','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','351000'),
(9213,'47385077','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','71000'),
(9214,'47385078','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02335','74000'),
(9215,'47385079','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9216,'47385700','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9217,'47385701','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','230000'),
(9218,'47385702','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(9219,'47385788','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','174000'),
(9220,'47385789','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','186000'),
(9221,'47386238','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03634','1378000'),
(9222,'47386381','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10765','60000'),
(9223,'47386423','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01986','371500'),
(9224,'47386689','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(9225,'47386690','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','137800'),
(9226,'47386691','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','2340000'),
(9227,'47386692','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','2120000'),
(9228,'47386799','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','982000'),
(9229,'47386963','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0053.8.1.0.20.10.10.053.00005','400000'),
(9230,'47387434','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00031','9600000'),
(9231,'47387436','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00023','8392800'),
(9232,'47387755','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','2438000'),
(9233,'47387987','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00026','1500000'),
(9234,'47387988','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0006.5.1.02.02.01.0046.8.1.0.20.20.10.046.00004','1500000'),
(9235,'47388343','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','174000'),
(9236,'47388344','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','585000'),
(9237,'47388345','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9750000'),
(9238,'47388476','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10135','116500'),
(9239,'47388477','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9240,'47388478','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','530000'),
(9241,'47388479','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(9242,'47388641','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(9243,'47388642','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','186000'),
(9244,'47388644','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','848000'),
(9245,'47388645','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(9246,'47388745','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','196400'),
(9247,'47388746','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(9248,'47388747','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9249,'47388890','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','63900'),
(9250,'47388891','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9251,'47388892','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','212000'),
(9252,'47388893','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1950000'),
(9253,'47388990','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','230000'),
(9254,'47388992','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9255,'47388993','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','212000'),
(9256,'47389066','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(9257,'47389067','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9258,'47389068','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9259,'47389369','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.04.0118.8.1.0.20.20.40.118.00001','1750000'),
(9260,'47389370','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10135','699000'),
(9261,'47389371','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','936000'),
(9262,'47389372','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','954000'),
(9263,'47389373','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(9264,'47389374','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.04.0117.8.1.0.20.20.40.117.00006','1200000'),
(9265,'47389453','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10135','466000'),
(9266,'47389454','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9267,'47389455','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03530','262800'),
(9268,'47389456','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(9269,'47389725','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10106','172000'),
(9270,'47389737','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(9271,'47389738','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','212000'),
(9272,'47389739','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5250000'),
(9273,'47389901','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','98200'),
(9274,'47389902','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9275,'47389903','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1530000'),
(9276,'47389998','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','66600'),
(9277,'47389999','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(9278,'47390001','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','530000'),
(9279,'47390002','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2100000'),
(9280,'47390139','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10096','62100'),
(9281,'47390140','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1360000'),
(9282,'47390221','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','106500'),
(9283,'47390223','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2400000'),
(9284,'47390335','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10106','206400'),
(9285,'47390336','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','58500'),
(9286,'47390338','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1530000'),
(9287,'47390401','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(9288,'47390402','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9289,'47390403','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','106000'),
(9290,'47390404','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4200000'),
(9291,'47390672','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','110400'),
(9292,'47390673','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(9293,'47390674','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','318000'),
(9294,'47390675','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(9295,'47390761','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','150300'),
(9296,'47390762','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9297,'47390763','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03530','65700'),
(9298,'47390764','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','15000000'),
(9299,'47390877','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','230000'),
(9300,'47390878','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9301,'47390879','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','530000'),
(9302,'47390880','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(9303,'47391053','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','55200'),
(9304,'47391054','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9305,'47391055','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1360000'),
(9306,'47391203','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10252','148500'),
(9307,'47391204','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02046','360600'),
(9308,'47391205','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','848000'),
(9309,'47391206','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(9310,'47391320','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','255600'),
(9311,'47391321','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(9312,'47391322','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','636000'),
(9313,'47391323','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3060000'),
(9314,'47391409','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','345000'),
(9315,'47391410','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','468000'),
(9316,'47391411','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','636000'),
(9317,'47391412','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3060000'),
(9318,'47391480','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','285200'),
(9319,'47391481','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(9320,'47391482','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','848000'),
(9321,'47391483','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3060000'),
(9322,'47424440','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','46000'),
(9323,'47424441','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9324,'47610749','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','145000'),
(9325,'36123102','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','1640000'),
(9326,'36123102','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00420','860000'),
(9327,'36123102','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00274','2012000'),
(9328,'36123102','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','4304000'),
(9329,'36123274','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','6000000'),
(9330,'36123275','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','24000000'),
(9331,'36123275','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00023','6000000'),
(9332,'36123276','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','7200000'),
(9333,'36123626','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8640000'),
(9334,'36123690','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1440000'),
(9335,'36123736','APBD','','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2880000'),
(9336,'36124035','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','2800000'),
(9337,'36124036','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4320000'),
(9338,'36124085','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(9339,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','1800000'),
(9340,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(9341,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(9342,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(9343,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','1800000'),
(9344,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','1800000'),
(9345,'36124147','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','1800000'),
(9346,'36124658','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','2400000'),
(9347,'36124659','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8640000'),
(9348,'36124849','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00012','600000'),
(9349,'36124889','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','8100000'),
(9350,'36124890','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(9351,'36124952','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(9352,'36124978','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(9353,'36125109','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9600000'),
(9354,'36137724','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(9355,'47384340','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','1057600'),
(9356,'47386820','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','518400'),
(9357,'47387154','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','424000'),
(9358,'47388615','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','2316600'),
(9359,'47388901','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','518400'),
(9360,'47389079','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','530000'),
(9361,'47389234','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','9400000'),
(9362,'47389789','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','3315600'),
(9363,'47390163','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','842400'),
(9364,'47390458','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','742000'),
(9365,'47390721','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','14100000'),
(9366,'47391418','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','687200'),
(9367,'47392445','APBDP','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','388800'),
(9368,'47392568','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','424000'),
(9369,'47392854','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','687200'),
(9370,'47392993','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.,','388800'),
(9371,'47393077','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','424000'),
(9372,'47393324','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','3375000'),
(9373,'47393458','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','972000'),
(9374,'47393670','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','742000'),
(9375,'47393958','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','14100000'),
(9376,'47398885','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','307300'),
(9377,'47399019','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','129600'),
(9378,'47399164','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','212000'),
(9379,'47399412','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','7050000'),
(9380,'47399697','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','300000'),
(9381,'47399851','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9382,'47400716','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','1528000'),
(9383,'47401039','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','648000'),
(9384,'47401191','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','424000'),
(9385,'47402447','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','9400000'),
(9386,'47402966','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','557000'),
(9387,'47403156','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','324000'),
(9388,'47403380','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','424000'),
(9389,'47403749','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','8695000'),
(9390,'47404847','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','455600'),
(9391,'47405031','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','194400'),
(9392,'47405306','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','2350000'),
(9393,'47405688','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','300000'),
(9394,'47405965','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9395,'47406562','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','300000'),
(9396,'47406964','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9397,'47408674','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','962600'),
(9398,'47408968','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','194400'),
(9399,'47409122','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','318000'),
(9400,'47409841','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','3525000'),
(9401,'47413949','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','5727800'),
(9402,'47414158','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','1101600'),
(9403,'47414434','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','1060000'),
(9404,'47414915','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.,','25850000'),
(9405,'47416280','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','478800'),
(9406,'47416567','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','259200'),
(9407,'47416850','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','212000'),
(9408,'47417152','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.,','7050000'),
(9409,'47418114','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','558400'),
(9410,'47419509','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','129600'),
(9411,'47419818','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','212000'),
(9412,'47420120','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','14100000'),
(9413,'47420863','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','5989900'),
(9414,'47421150','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','1296000'),
(9415,'47421788','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','530000'),
(9416,'47422342','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','37600000'),
(9417,'47422842','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','2354000'),
(9418,'47423235','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','648000'),
(9419,'47423422','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','848000'),
(9420,'47423663','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','21150000'),
(9421,'47424002','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','428800'),
(9422,'47424143','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','259200'),
(9423,'47424398','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','212000'),
(9424,'47424548','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','14100000'),
(9425,'47424825','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','300000'),
(9426,'47425041','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9427,'47425625','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','8016800'),
(9428,'47425926','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','972000'),
(9429,'47426105','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','1060000'),
(9430,'47426344','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.','39950000'),
(9431,'47451916','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','52800'),
(9432,'47451952','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9433,'47452003','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9434,'47452092','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9435,'47452179','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9436,'47452230','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9437,'47452304','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9438,'47452405','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9439,'47452431','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9440,'47452453','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9441,'47452507','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9442,'47452533','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9443,'47453266','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9444,'47453285','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9445,'47453315','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9446,'47453382','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9447,'47453397','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9448,'47453445','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9449,'47453473','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9450,'47453520','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9451,'47453541','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9452,'47453576','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9453,'47453596','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9454,'47453629','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9455,'47453644','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9456,'47453663','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9457,'47453680','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9458,'47453807','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9459,'47453817','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9460,'47453830','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9461,'47453854','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9462,'47453862','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9463,'47453875','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9464,'47453894','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9465,'47453912','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9466,'47453922','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9467,'47454415','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9468,'47454422','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.,','259200'),
(9469,'47454426','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9470,'47454445','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9471,'47454450','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9472,'47454465','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9473,'47454487','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','528800'),
(9474,'47454500','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','259200'),
(9475,'47454514','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','212000'),
(9476,'47454597','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','8320000'),
(9477,'47454613','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','1620000'),
(9478,'47454634','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','1060000'),
(9479,'47454668','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0052.','47000000'),
(9480,'47461667','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','3000000'),
(9481,'47464137','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.04.01.0003.','4000000'),
(9482,'47464729','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0031.','1000000'),
(9483,'47465265','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0030.','1000000'),
(9484,'47465683','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0030.','1000000'),
(9485,'47466650','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0059.','500000'),
(9486,'47466856','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0060.','2400000'),
(9487,'47467025','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0061.','5500000'),
(9488,'47467274','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0063.','3600000'),
(9489,'47467678','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0035.','1000000'),
(9490,'47470375','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0004.','18639500'),
(9491,'47470927','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0013.','7279100'),
(9492,'47471204','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0035.','3800000'),
(9493,'47471645','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0004.','12000000'),
(9494,'47472532','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0001.','8425000'),
(9495,'47472829','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.02.01.0016.','1575000'),
(9496,'47077203','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.','752000'),
(9497,'47077226','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.','324000'),
(9498,'47077272','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.','424000'),
(9499,'47077341','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.','752000'),
(9500,'47077366','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.','324000'),
(9501,'47077386','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.','424000'),
(9502,'47077423','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.','280800'),
(9503,'47077456','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.','259200'),
(9504,'47077479','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.','324000'),
(9505,'47077509','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.','324000'),
(9506,'47077538','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.','212000'),
(9507,'47077713','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.','671500'),
(9508,'47077729','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.','616500'),
(9509,'47077758','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.','212000'),
(9510,'47077786','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','565500'),
(9511,'47077818','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.','616500'),
(9512,'47077846','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.','318000'),
(9513,'47077940','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','671500'),
(9514,'47077961','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.','616500'),
(9515,'47078010','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.','212000'),
(9516,'47078191','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.','644000'),
(9517,'47078215','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.','324000'),
(9518,'47078234','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.','212000'),
(9519,'47078253','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.','899200'),
(9520,'47078266','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.','388800'),
(9521,'47078420','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.','212000'),
(9522,'47078471','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.','856000'),
(9523,'47078499','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.','324000'),
(9524,'47078534','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.','388800'),
(9525,'47078561','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.','259200'),
(9526,'47078598','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.','212000'),
(9527,'47078619','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.','640000'),
(9528,'47078643','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.','648000'),
(9529,'47078656','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0029.','212000'),
(9530,'47078694','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.','528800'),
(9531,'47078701','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.','259200'),
(9532,'47078713','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.','212000'),
(9533,'47078763','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.','464000'),
(9534,'47078772','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.','324000'),
(9535,'47078797','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.','212000'),
(9536,'47078816','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.','528800'),
(9537,'47078835','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.','259200'),
(9538,'47078849','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.','212000'),
(9539,'47078923','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.','1330000'),
(9540,'47078936','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.','1670000'),
(9541,'47079003','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.','5660600'),
(9542,'47079030','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.','8017600'),
(9543,'47079066','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.','4452000'),
(9544,'47079083','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.','4000000'),
(9545,'47079126','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.','4000000'),
(9546,'47079164','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.','5400000'),
(9547,'47079186','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.','600000'),
(9548,'47079205','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.','2000000'),
(9549,'47079219','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.','3600000'),
(9550,'47079237','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.','11000000'),
(9551,'47079248','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.','6000000'),
(9552,'47079256','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0005.5.2.02.05.02.0001.','11130000'),
(9553,'47079266','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0005.5.2.02.05.02.0001.','2000000'),
(9554,'47079346','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.','29489800'),
(9555,'47079357','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.','5310000'),
(9556,'47079409','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.','10640000'),
(9557,'47079435','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.','6725000'),
(9558,'47079447','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.','746400'),
(9559,'47079454','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.','6396200'),
(9560,'47079476','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.','4452000'),
(9561,'47079493','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.','4700000'),
(9562,'47079502','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.','7752300'),
(9563,'47079511','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.','785400'),
(9564,'47079531','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.','8470300'),
(9565,'47080210','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.','4452000'),
(9566,'47081060','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9567,'47085134','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.','7731100'),
(9568,'47085276','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.','1030200'),
(9569,'47085433','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.','5602700'),
(9570,'47085582','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.','636000'),
(9571,'47085719','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.','5662500'),
(9572,'47085919','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.','845400'),
(9573,'47086074','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.','5312100'),
(9574,'47086192','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.','1590000'),
(9575,'47086961','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.','4440500'),
(9576,'47087222','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.','621900'),
(9577,'47087342','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.','3647600'),
(9578,'47087530','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.','1590000'),
(9579,'47087619','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.','4700000'),
(9580,'47087911','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.','6119400'),
(9581,'47088136','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.','3540600'),
(9582,'47088437','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.','2120000'),
(9583,'47088871','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.','4700000'),
(9584,'47089165','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.','9702600'),
(9585,'47089524','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.','1840200'),
(9586,'47089771','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.','9449500'),
(9587,'47090868','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.','4452000'),
(9588,'47091172','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.','4700000'),
(9589,'47091588','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.','4732500'),
(9590,'47091825','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.','666900'),
(9591,'47092171','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.','4142000'),
(9592,'47092411','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.','1722500'),
(9593,'47092836','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.','7050000'),
(9594,'47093076','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.2.02.05.02.0006.','14846100'),
(9595,'47103034','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.','170400'),
(9596,'47103608','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.','129600'),
(9597,'47103828','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.','4700000'),
(9598,'47104292','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.','170400'),
(9599,'47104506','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.','129600'),
(9600,'47104861','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.','4700000'),
(9601,'47105113','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.','170400'),
(9602,'47105549','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.','129600'),
(9603,'47106142','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.','4700000'),
(9604,'47106721','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.','170400'),
(9605,'47107104','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.','129600'),
(9606,'47107510','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.','4700000'),
(9607,'47107866','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.','4351600'),
(9608,'47108099','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.','4152400'),
(9609,'47108345','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0029.','2226000'),
(9610,'47108593','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.','2350000'),
(9611,'47109506','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.','7421400'),
(9612,'47109810','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.','6126600'),
(9613,'47110073','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.','4452000'),
(9614,'47110403','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.','500000'),
(9615,'47110787','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.','4700000'),
(9616,'47111246','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.','4467700'),
(9617,'47111504','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.','2324000'),
(9618,'47111767','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.','2650000'),
(9619,'47112109','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.','4700000'),
(9620,'47112527','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.2.02.10.02.0003.','5600000'),
(9621,'47113026','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.','5411300'),
(9622,'47113562','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.','568500'),
(9623,'47113895','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.','2370200'),
(9624,'47114398','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.','1590000'),
(9625,'47114716','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.','4700000'),
(9626,'47115320','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.','6173700'),
(9627,'47115769','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.','617700'),
(9628,'47116009','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.','5436600'),
(9629,'47116285','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.','1272000'),
(9630,'47116516','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.','4700000'),
(9631,'47116782','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.','8407800'),
(9632,'47117126','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.','775500'),
(9633,'47117385','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.','11558400'),
(9634,'47117635','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.','4664000'),
(9635,'47118042','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.','9400000'),
(9636,'47118451','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0053.','1000000'),
(9637,'47118693','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.2.02.10.01.0002.','15195800'),
(9638,'47118934','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.2.02.10.02.0003.','11200000'),
(9639,'47138658','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.','5029900'),
(9640,'47139011','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.','296700'),
(9641,'47139174','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.','7444600'),
(9642,'47139280','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.','2862000'),
(9643,'47139438','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.','9400000'),
(9644,'47139656','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0053.','500000'),
(9645,'47583371','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.','5662900'),
(9646,'47583414','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.','721500'),
(9647,'47583422','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.','8073600'),
(9648,'47583485','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.','1272000'),
(9649,'47583502','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.','2350000'),
(9650,'47583509','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.','5625100'),
(9651,'47583533','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.','1389300'),
(9652,'47583543','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.','8073600'),
(9653,'47583554','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.','4452000'),
(9654,'47583563','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.','4700000'),
(9655,'36023174','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.','1920000'),
(9656,'36023403','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.','1920000'),
(9657,'36023517','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.','5760000'),
(9658,'36023979','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.02.01.0003.','1800000'),
(9659,'36024059','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.','5400000'),
(9660,'36024147','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.','7680000'),
(9661,'36024301','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.','1800000'),
(9662,'36024506','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.','1920000'),
(9663,'36024647','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.','9600000'),
(9664,'36024755','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.','5760000'),
(9665,'36024920','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.','1920000'),
(9666,'36025204','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0003.','18600000'),
(9667,'36025365','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.','1920000'),
(9668,'36025843','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.','3840000'),
(9669,'36026988','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.','3840000'),
(9670,'36027315','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','76600000'),
(9671,'36027906','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.','15000000'),
(9672,'36028094','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.','7680000'),
(9673,'36029000','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.','10320000'),
(9674,'36029061','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.04.01.0004.','320000'),
(9675,'36029109','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.04.01.0004.','320000'),
(9676,'36029183','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.04.01.0004.','640000'),
(9677,'36029249','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.04.01.0004.','960000'),
(9678,'36029309','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.04.01.0004.','640000'),
(9679,'36043769','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.','1920000'),
(9680,'47117161','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','132500'),
(9681,'47117162','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1292000'),
(9682,'47117163','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9683,'47117164','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','239400'),
(9684,'47117436','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10172','17100'),
(9685,'47117437','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9686,'47117438','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9300000'),
(9687,'47117440','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9688,'47117916','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','5000'),
(9689,'47117919','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','132500'),
(9690,'47117920','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(9691,'47117922','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9692,'47118192','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','225900'),
(9693,'47118193','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9694,'47118194','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1650000'),
(9695,'47118395','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','79800'),
(9696,'47118397','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9697,'47118399','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(9698,'47118568','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','271200'),
(9699,'47118569','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','64800'),
(9700,'47118570','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2380000'),
(9701,'47118746','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(9702,'47118748','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(9703,'47118749','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1530000'),
(9704,'47118840','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2100000'),
(9705,'47119232','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(9706,'47119233','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','58500'),
(9707,'47119234','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','132500'),
(9708,'47119235','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(9709,'47119490','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11181','11500'),
(9710,'47119491','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(9711,'47119492','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9712,'47119493','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18600000'),
(9713,'47119669','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11090','29200'),
(9714,'47119672','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','55100'),
(9715,'47119675','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','132500'),
(9716,'47119677','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(9717,'47119963','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','1272000'),
(9718,'47119964','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05676','150000'),
(9719,'47120125','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(9720,'47120126','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9721,'47120127','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9722,'47120343','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10002','3700'),
(9723,'47120345','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','518400'),
(9724,'47120346','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','265000'),
(9725,'47120426','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10158','47200'),
(9726,'47120427','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','55100'),
(9727,'47120428','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','265000'),
(9728,'47120667','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10109','18200'),
(9729,'47120668','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9730,'47120669','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','132500'),
(9731,'47120868','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','62500'),
(9732,'47120870','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9733,'47120871','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9734,'47121102','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10206','3700'),
(9735,'47121104','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9736,'47121105','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','265000'),
(9737,'47121266','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','125000'),
(9738,'47121269','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9739,'47121271','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(9740,'47121395','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','265000'),
(9741,'47121397','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','29000'),
(9742,'47121398','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','93000'),
(9743,'47121561','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(9744,'47121562','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','259800'),
(9745,'47121563','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','795000'),
(9746,'47122348','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00031','9000000'),
(9747,'47122350','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00007','6000000'),
(9748,'47122932','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(9749,'47122934','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','495900'),
(9750,'47122936','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','662500'),
(9751,'47122937','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0031.1.1.1.20.10.30.008.04004','324000'),
(9752,'47122938','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','22100000'),
(9753,'47123241','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10785','126000'),
(9754,'47123242','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9755,'47123243','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','132500'),
(9756,'47123244','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10500000'),
(9757,'47123534','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09943','31000'),
(9758,'47123535','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9759,'47123536','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9760,'47123537','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','12240000'),
(9761,'47123885','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','68900'),
(9762,'47123886','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','234000'),
(9763,'47123888','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','265000'),
(9764,'47123890','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','13260000'),
(9765,'47124183','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','16500'),
(9766,'47124185','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9767,'47124186','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9768,'47124187','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9600000'),
(9769,'47124476','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10109','36400'),
(9770,'47124477','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','133600'),
(9771,'47124478','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9772,'47186761','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9773,'47186762','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(9774,'47186763','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','17100000'),
(9775,'47186764','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(9776,'36020843','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(9777,'36023435','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','14400000'),
(9778,'36023436','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','26400000'),
(9779,'36023436','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00064','1000000'),
(9780,'36023668','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2050000'),
(9781,'36023668','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00285','1800000'),
(9782,'36023668','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','5380000'),
(9783,'36023668','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00398','350000'),
(9784,'36023668','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','420000'),
(9785,'36023884','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','3200000'),
(9786,'36023885','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(9787,'36024066','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','3200000'),
(9788,'36048342','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(9789,'47234485','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','180000'),
(9790,'47234487','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9791,'47234674','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09941','28000'),
(9792,'47234675','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9793,'47234791','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9794,'47234792','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11176','26000'),
(9795,'47234913','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','150000'),
(9796,'47234914','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','468000'),
(9797,'47235085','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','320000'),
(9798,'47235086','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9799,'47235382','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(9800,'47235383','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','2925000'),
(9801,'47235384','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','1696000'),
(9802,'47235385','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8925000'),
(9803,'47236440','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.13399','719000'),
(9804,'47236441','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','354000'),
(9805,'47237956','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','76200'),
(9806,'47237957','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.06.01.0001.1.3.0.20.60.10.001.00835','1060900'),
(9807,'47237958','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0005.1.3.0.21.00.20.005.00924','1484000'),
(9808,'47237960','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.06.03.0047.1.3.0.20.60.30.047.00072','15900000'),
(9809,'47238073','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','1800000'),
(9810,'47238074','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','7200000'),
(9811,'47238075','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00044','3600000'),
(9812,'47238766','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','1060000'),
(9813,'47238768','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05349','513000'),
(9814,'47239245','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09923','51800'),
(9815,'47239246','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2268000'),
(9816,'47239247','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','763200'),
(9817,'47239248','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(9818,'47239408','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','580000'),
(9819,'47239410','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1170000'),
(9820,'47239411','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(9821,'47239683','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09928','19100'),
(9822,'47239684','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(9823,'47239685','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(9824,'47239889','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','670000'),
(9825,'47239892','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','117000'),
(9826,'47239893','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9827,'47240046','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10773','1400'),
(9828,'47240047','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9829,'47240346','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11102','182000'),
(9830,'47240347','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','702000'),
(9831,'47240348','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(9832,'47240506','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10218','20000'),
(9833,'47240507','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9834,'47240508','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(9835,'47240860','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10117','692000'),
(9836,'47240862','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(9837,'47240863','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03650','130000'),
(9838,'47240864','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10500000'),
(9839,'47241033','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10218','10000'),
(9840,'47241034','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9841,'47241211','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','80000'),
(9842,'47241212','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9843,'47241213','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(9844,'47241341','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11166','6000'),
(9845,'47241342','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9846,'47241343','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(9847,'47241468','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(9848,'47241470','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9849,'47241471','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(9850,'47241655','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(9851,'47241656','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9852,'47241657','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(9853,'47241997','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09945','170000'),
(9854,'47241999','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','2925000'),
(9855,'47242000','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','848000'),
(9856,'47242001','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(9857,'47242226','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1350000'),
(9858,'47242227','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(9859,'47242814','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09997','710000'),
(9860,'47242815','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(9861,'47242816','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','559800'),
(9862,'47242817','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(9863,'47243334','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','366000'),
(9864,'47243335','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(9865,'47243336','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1866000'),
(9866,'47243337','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(9867,'47243538','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10085','200000'),
(9868,'47243610','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10085','200000'),
(9869,'47243743','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09931','142000'),
(9870,'47243744','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','3240000'),
(9871,'47243745','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03318','1166000'),
(9872,'47243747','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(9873,'47254311','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','180000'),
(9874,'47254312','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','468000'),
(9875,'47254313','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(9876,'36067265','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','10400000'),
(9877,'36067266','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','4320000'),
(9878,'36067266','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','4920000'),
(9879,'36067266','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','3780000'),
(9880,'36067266','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00419','3180000'),
(9881,'36067855','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00008','12000000'),
(9882,'36067856','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00023','12000000'),
(9883,'36067856','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(9884,'36068055','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(9885,'36068113','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(9886,'36068191','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(9887,'36068289','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','480000'),
(9888,'36068336','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(9889,'36068473','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(9890,'36068597','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(9891,'36068597','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00160','1800000'),
(9892,'36068597','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(9893,'36068597','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(9894,'36068598','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(9895,'36068669','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(9896,'36069045','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','2400000'),
(9897,'36069046','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','16000000'),
(9898,'36069173','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(9899,'36069380','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00009','4800000'),
(9900,'36069381','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(9901,'36069456','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2720000'),
(9902,'36069510','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','800000'),
(9903,'36069524','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','800000'),
(9904,'36069581','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5120000'),
(9905,'47322531','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.','2000000'),
(9906,'47328297','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.','2000000'),
(9907,'47329090','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.','2000000'),
(9908,'47330034','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.','2000000'),
(9909,'47331093','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.','2000000'),
(9910,'47335979','APBD','2024','Kab. Bondowoso','0.10.12.0.20.0003.5.1.02.01.01.0024.','2000000'),
(9911,'47337782','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.','2000000'),
(9912,'47339723','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.','2000000'),
(9913,'47340542','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.','2000000'),
(9914,'47341217','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.','2000000'),
(9915,'47342615','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.1.0.20.10.10.0241.','2000000'),
(9916,'47343376','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.','2000000'),
(9917,'47343977','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.','2000000'),
(9918,'47344951','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.','2108000'),
(9919,'47345798','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.','1075000'),
(9920,'47346653','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.','36664000'),
(9921,'47347231','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.1.0.20.10.10.0245.','3237100'),
(9922,'47349296','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.','16200000'),
(9923,'47373584','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','2000000'),
(9924,'47374408','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','2000000'),
(9925,'47376635','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.','39565900'),
(9926,'47377903','APBD','2024','Kab. Bondowoso','7.01.01.2.00.0051.0.2.01.01.00.2432.','41065600'),
(9927,'47378786','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','29113200'),
(9928,'47379714','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','15611700'),
(9929,'47380427','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','3500000'),
(9930,'47381170','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.','12000000'),
(9931,'47382188','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.','49290500'),
(9932,'47383839','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024., , , ,','35572800'),
(9933,'47385359','APBD','2024','Kab. Bondowoso','7.01.01.0.32.0600.0.1.51.02.01.0100.2.4.','5000000'),
(9934,'47386179','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0024.','5000000'),
(9935,'47387058','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.','5000000'),
(9936,'47387751','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.','5000000'),
(9937,'47388180','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.','12894600'),
(9938,'47388647','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.','46435300'),
(9939,'47389184','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.','17394600'),
(9940,'47389485','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.','5000000'),
(9941,'47389878','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0003.5.1.02.01.01.0024.','26431100'),
(9942,'47391408','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0003.8.5.10.20.10.1002.4.','38156900'),
(9943,'47391811','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.','5502900'),
(9944,'47392151','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.','4595900'),
(9945,'47392430','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.','5000000'),
(9946,'47392774','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.','55000000'),
(9947,'36101555','APBD','','Kab. Bondowoso','7.01.01.2.02.0001.5.1.01.01.01.0001.','2027064300'),
(9948,'36107860','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0001.','13950000'),
(9949,'36108732','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','222000000'),
(9950,'47203703','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.01905','14685200'),
(9951,'47203704','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02548','7543500'),
(9952,'36032794','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(9953,'36032794','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(9954,'36032795','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(9955,'36032795','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02034','56200'),
(9956,'36032795','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(9957,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','186900'),
(9958,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(9959,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','193200'),
(9960,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(9961,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','106000'),
(9962,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','562500'),
(9963,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','335000'),
(9964,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10776','110400'),
(9965,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10260','287000'),
(9966,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','224400'),
(9967,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09957','161000'),
(9968,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','127200'),
(9969,'36032796','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10273','113400'),
(9970,'36032797','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','636000'),
(9971,'36032798','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(9972,'36032799','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00012','7200000'),
(9973,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(9974,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','69600'),
(9975,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(9976,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','16500'),
(9977,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','68900'),
(9978,'36032866','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','123600'),
(9979,'36032867','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(9980,'36032868','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','510000'),
(9981,'36032868','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','900000'),
(9982,'36032942','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','330600'),
(9983,'36032942','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','200400'),
(9984,'36032942','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(9985,'36032943','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(9986,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','126000'),
(9987,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(9988,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10281','220800'),
(9989,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','48000'),
(9990,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11025','154500'),
(9991,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','80500'),
(9992,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09941','12000'),
(9993,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(9994,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','87000'),
(9995,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','290000'),
(9996,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','625000'),
(9997,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(9998,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','190800'),
(9999,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','47200'),
(10000,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10192','86000'),
(10001,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10209','80400'),
(10002,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10224','46200'),
(10003,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10260','287000'),
(10004,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(10005,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','251700'),
(10006,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','89400'),
(10007,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10776','138000'),
(10008,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10788','128500'),
(10009,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','133500'),
(10010,'36032944','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11166','30000'),
(10011,'36032945','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10012,'36032945','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(10013,'36032946','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(10014,'36033158','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(10015,'36033158','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(10016,'36033159','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(10017,'36033160','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10018,'36033160','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10019,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','36000'),
(10020,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','32200'),
(10021,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10022,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10028','61000'),
(10023,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','174000'),
(10024,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','402000'),
(10025,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10260','287000'),
(10026,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','165900'),
(10027,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','89400'),
(10028,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','64000'),
(10029,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10776','46000'),
(10030,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11025','103000'),
(10031,'36033161','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','94000'),
(10032,'36033162','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','106000'),
(10033,'36033205','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10034,'36033205','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(10035,'36033206','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','318000'),
(10036,'36033207','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10037,'36033207','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02034','140500'),
(10038,'36033207','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','133600'),
(10039,'36033207','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10040,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10041,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09885','21300'),
(10042,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','268000'),
(10043,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','625000'),
(10044,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','126000'),
(10045,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(10046,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(10047,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','90000'),
(10048,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10775','86400'),
(10049,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11025','103000'),
(10050,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11038','71700'),
(10051,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','85200'),
(10052,'36033208','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11166','12000'),
(10053,'36033409','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(10054,'36033409','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03632','397500'),
(10055,'36033410','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10056,'36033410','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(10057,'36033410','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10058,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','66000'),
(10059,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10060,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','250000'),
(10061,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','63000'),
(10062,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10260','287000'),
(10063,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','106000'),
(10064,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','141000'),
(10065,'36033411','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','16000'),
(10066,'36033437','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(10067,'36033437','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03632','397500'),
(10068,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','66000'),
(10069,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10070,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','250000'),
(10071,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','63000'),
(10072,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10260','287000'),
(10073,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','106000'),
(10074,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','141000'),
(10075,'36033438','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','16000'),
(10076,'36033439','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10077,'36033439','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(10078,'36033439','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10079,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09885','7100'),
(10080,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10081,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10082,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','19900'),
(10083,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','284700'),
(10084,'36033476','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','32000'),
(10085,'36033477','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10086,'36033477','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10087,'36033486','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10088,'36033486','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10089,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09885','7100'),
(10090,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10091,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10092,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','19900'),
(10093,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','284700'),
(10094,'36033487','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','32000'),
(10095,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','7200'),
(10096,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','174000'),
(10097,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','21200'),
(10098,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','145000'),
(10099,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','318000'),
(10100,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','312500'),
(10101,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10214','23600'),
(10102,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(10103,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','159400'),
(10104,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','206700'),
(10105,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','106000'),
(10106,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','312900'),
(10107,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','223500'),
(10108,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','373800'),
(10109,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.11158','360000'),
(10110,'36033531','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10111,'36033532','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10112,'36033532','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10113,'36033533','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(10114,'36033534','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(10115,'36033534','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(10116,'36033535','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5120000'),
(10117,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09888','87600'),
(10118,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','44000'),
(10119,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(10120,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','17400'),
(10121,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','670000'),
(10122,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','289500'),
(10123,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','64000'),
(10124,'36033602','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','160200'),
(10125,'36033603','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10126,'36033603','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10127,'36033604','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','530000'),
(10128,'36033605','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(10129,'36033605','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(10130,'36033606','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00012','2400000'),
(10131,'36033607','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(10132,'36033686','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10133,'36033687','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','424000'),
(10134,'36033688','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','125000'),
(10135,'36033688','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','112000'),
(10136,'36033688','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','28800'),
(10137,'36033688','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','145800'),
(10138,'36033689','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(10139,'36033689','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(10140,'36033690','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10141,'36033749','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10142,'36033749','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10143,'36033750','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10144,'36033750','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10145,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(10146,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','49500'),
(10147,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','68900'),
(10148,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(10149,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09888','14600'),
(10150,'36033751','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','75000'),
(10151,'36033752','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10152,'36033753','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','424000'),
(10153,'36033783','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10154,'36033783','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10155,'36033784','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10156,'36033785','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','220400'),
(10157,'36033785','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10158,'36033786','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','212000'),
(10159,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09994','14200'),
(10160,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10161,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','95400'),
(10162,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','39800'),
(10163,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','162000'),
(10164,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11166','12000'),
(10165,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(10166,'36033787','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10167,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10168,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10054','51400'),
(10169,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','268000'),
(10170,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10196','143000'),
(10171,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','183000'),
(10172,'36033835','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11051','152800'),
(10173,'36033836','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10174,'36033836','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10175,'36033837','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','318000'),
(10176,'36033838','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4590000'),
(10177,'36033838','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','8100000'),
(10178,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09894','22200'),
(10179,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','53000'),
(10180,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','80000'),
(10181,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','183000'),
(10182,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10775','3600'),
(10183,'36033875','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','18800'),
(10184,'36033876','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10185,'36033876','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(10186,'36033877','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(10187,'36033877','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(10188,'36033878','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10189,'36033953','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10190,'36033953','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','65400'),
(10191,'36033954','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10192,'36033954','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10193,'36033955','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','340000'),
(10194,'36033955','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','600000'),
(10195,'36033956','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(10196,'36034005','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','21600'),
(10197,'36034005','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10198,'36034005','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','87000'),
(10199,'36034005','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10200,'36034005','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','154800'),
(10201,'36034007','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10202,'36034007','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10203,'36034011','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','425000'),
(10204,'36034011','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','750000'),
(10205,'36034013','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(10206,'36034094','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10207,'36034094','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','65400'),
(10208,'36034095','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10209,'36034095','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10210,'36034096','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','340000'),
(10211,'36034096','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','600000'),
(10212,'36034097','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(10213,'36034129','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','14400'),
(10214,'36034129','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10215,'36034129','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','161100'),
(10216,'36034130','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','55100'),
(10217,'36034130','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10218,'36034131','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','510000'),
(10219,'36034131','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','900000'),
(10220,'36034132','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','640000'),
(10221,'36050509','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10222,'36050509','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(10223,'36050509','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','250000'),
(10224,'36050509','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','251700'),
(10225,'36050510','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10226,'36050510','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(10227,'36050511','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2975000'),
(10228,'36050511','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5250000'),
(10229,'36050512','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(10230,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(10231,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09926','22300'),
(10232,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10233,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','33000'),
(10234,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','164700'),
(10235,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','97600'),
(10236,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10782','50000'),
(10237,'36050901','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','37600'),
(10238,'36050902','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10239,'36050902','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10240,'36050903','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','106000'),
(10241,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10242,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10004','30900'),
(10243,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(10244,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','63600'),
(10245,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','132900'),
(10246,'36050930','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','230400'),
(10247,'36050931','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10248,'36050931','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10249,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10250,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10251,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10252,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10267','52400'),
(10253,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(10254,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','93300'),
(10255,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','59600'),
(10256,'36050964','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','16000'),
(10257,'36050965','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10258,'36050965','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10259,'36050986','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10260,'36050986','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','8700'),
(10261,'36050986','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','132300'),
(10262,'36050986','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','26700'),
(10263,'36050987','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10264,'36050987','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10265,'36050988','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','318000'),
(10266,'36051041','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09889','14600'),
(10267,'36051041','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','8700'),
(10268,'36051041','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09994','14200'),
(10269,'36051041','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','206100'),
(10270,'36051042','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','220400'),
(10271,'36051042','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10272,'36051043','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','212000'),
(10273,'36051067','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(10274,'36051067','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','63600'),
(10275,'36051067','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','91200'),
(10276,'36051067','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','44700'),
(10277,'36051068','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10278,'36051068','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10279,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10280,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','95400'),
(10281,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','23000'),
(10282,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','33000'),
(10283,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','68900'),
(10284,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','139500'),
(10285,'36051087','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10782','75000'),
(10286,'36051088','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10287,'36051088','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10288,'36051089','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','106000'),
(10289,'36055349','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','7200'),
(10290,'36055349','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10291,'36055349','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10292,'36055349','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','93600'),
(10293,'36055349','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11172','8000'),
(10294,'36055350','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10295,'36055351','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','169600'),
(10296,'36055377','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10297,'36055377','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10298,'36055378','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10299,'36055378','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','62500'),
(10300,'36055378','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','94200'),
(10301,'36055378','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','25100'),
(10302,'36055386','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','7200'),
(10303,'36055386','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','196200'),
(10304,'36055386','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10527','230400'),
(10305,'36055387','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10306,'36055388','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','186600'),
(10307,'36055401','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(10308,'36055401','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10309,'36055401','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','90300'),
(10310,'36055402','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','169600'),
(10311,'36055403','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10312,'36055412','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','44700'),
(10313,'36055412','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','7200'),
(10314,'36055412','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','88500'),
(10315,'36055413','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','480000'),
(10316,'36055414','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10317,'36055424','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10318,'36055425','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','106000'),
(10319,'36055426','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','44000'),
(10320,'36055426','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10321,'36055426','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(10322,'36055426','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','67500'),
(10323,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09894','7400'),
(10324,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09926','22300'),
(10325,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10326,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10327,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','159900'),
(10328,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','195200'),
(10329,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10782','50000'),
(10330,'36055449','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','37600'),
(10331,'36055450','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(10332,'36055450','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10333,'36055451','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03529','106000'),
(10334,'36055458','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10335,'36055458','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','180000'),
(10336,'36055458','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','122000'),
(10337,'36055459','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10338,'36055475','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(10339,'36055475','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10072','165000'),
(10340,'36055475','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','105000'),
(10341,'36055476','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10342,'36055492','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(10343,'36055492','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10072','165000'),
(10344,'36055492','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','105000'),
(10345,'36055493','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10346,'36055517','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0001.1.1.1.20.10.10.001.14093','1000000'),
(10347,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01719','71400'),
(10348,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01737','159000'),
(10349,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01746','96000'),
(10350,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01747','106000'),
(10351,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01766','170000'),
(10352,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01948','84000'),
(10353,'36055577','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02183','63600'),
(10354,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09880','14600'),
(10355,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','161000'),
(10356,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10357,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09994','42600'),
(10358,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','500000'),
(10359,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','402000'),
(10360,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10072','220000'),
(10361,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(10362,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10270','159400'),
(10363,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','137800'),
(10364,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','252300'),
(10365,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','32000'),
(10366,'36055615','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10777','66000'),
(10367,'36055616','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10368,'36055616','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02328','150000'),
(10369,'36055616','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(10370,'36055617','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','530000'),
(10371,'36055617','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03632','397500'),
(10372,'36055618','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(10373,'36055618','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(10374,'36055627','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','160000'),
(10375,'36055627','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','450000'),
(10376,'36055627','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10528','390000'),
(10377,'36055649','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4160000'),
(10378,'36055650','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2460000'),
(10379,'36055710','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00005','1000000'),
(10380,'36055711','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','5000000'),
(10381,'36055712','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00007','6000000'),
(10382,'36055755','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00082','1000000'),
(10383,'36055755','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','2000000'),
(10384,'36055786','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(10385,'36055787','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','36000000'),
(10386,'36055861','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','16800000'),
(10387,'36074117','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','885000'),
(10388,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13397','3672000'),
(10389,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13549','750000'),
(10390,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13771','7500'),
(10391,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14016','222900'),
(10392,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14019','27600'),
(10393,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14116','110000'),
(10394,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','125000'),
(10395,'36074118','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14120','4200000'),
(10396,'36004539','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(10397,'36004540','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1350000'),
(10398,'36004541','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','457200'),
(10399,'36004542','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10400,'36004543','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','953800'),
(10401,'36004544','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10402,'36004545','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','87000'),
(10403,'36004863','APBD','','Kab. Bondowoso','7.01.01.2.09.0007.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','2000000'),
(10404,'36004885','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13394','1300000'),
(10405,'36004886','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13402','636000'),
(10406,'36004887','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13409','159000'),
(10407,'36004888','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13556','500000'),
(10408,'36004889','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14000','42800'),
(10409,'36004890','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14019','55200'),
(10410,'36004891','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14116','132000'),
(10411,'36004892','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','250000'),
(10412,'36004893','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','1125000'),
(10413,'36004915','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13397','2080800'),
(10414,'36004916','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13403','4036200'),
(10415,'36004917','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13505','2037000'),
(10416,'36004918','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13783','94000'),
(10417,'36004919','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13409','2756000'),
(10418,'36004920','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13559','53500'),
(10419,'36004921','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14000','53500'),
(10420,'36004922','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','250000'),
(10421,'36004923','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14118','350000'),
(10422,'36004924','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.14119','1800000'),
(10423,'36004925','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','1239000'),
(10424,'36004926','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','2550000'),
(10425,'36004938','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','23978600'),
(10426,'36004939','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05709','1033400'),
(10427,'36004940','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05737','4668000'),
(10428,'36004941','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00078','800000'),
(10429,'36004942','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00011','3000000'),
(10430,'36004955','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.13325','1420000'),
(10431,'36004956','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.13349','960000'),
(10432,'36004957','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.13324','37500'),
(10433,'36004958','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.13494','2223600'),
(10434,'36004959','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.13508','22000'),
(10435,'36004960','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.01.01.0001.1.1.1.20.10.10.001.14004','372000'),
(10436,'36004961','APBD','','Kab. Bondowoso','7.01.01.2.09.0010.5.1.02.02.01.0016.8.1.0.20.20.10.016.00045','4524000'),
(10437,'36004975','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','174000'),
(10438,'36004976','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','42000'),
(10439,'36004977','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10440,'36004978','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(10441,'36004988','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','174000'),
(10442,'36004989','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','222000'),
(10443,'36004990','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10444,'36004991','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(10445,'36004999','APBD','','Kab. Bondowoso','7.01.01.2.07.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10007','5900000'),
(10446,'36005000','APBD','','Kab. Bondowoso','7.01.01.2.07.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','100000'),
(10447,'36005001','APBD','','Kab. Bondowoso','7.01.01.2.07.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09941','4000000'),
(10448,'36005023','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00008','2400000'),
(10449,'36005024','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','3000000'),
(10450,'36005025','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00044','3600000'),
(10451,'36005032','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','1800000'),
(10452,'36005033','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00012','1200000'),
(10453,'36005037','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00037','36000000'),
(10454,'36005038','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','26400000'),
(10455,'36005039','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(10456,'36005047','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','294000'),
(10457,'36005048','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10458,'36005049','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(10459,'36005059','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10460,'36005060','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354000'),
(10461,'36005061','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10462,'36005099','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10463,'36005100','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354000'),
(10464,'36005101','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10465,'36005103','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10466,'36005104','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354000'),
(10467,'36005105','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10468,'36005113','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','87000'),
(10469,'36005114','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','411000'),
(10470,'36005115','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10471,'36005116','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10472,'36005125','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(10473,'36005126','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','303000'),
(10474,'36005127','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','491000'),
(10475,'36005128','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10476,'36005154','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(10477,'36005155','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','303000'),
(10478,'36005156','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','491000'),
(10479,'36005157','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10480,'36005162','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','87000'),
(10481,'36005163','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','411000'),
(10482,'36005164','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10483,'36005165','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10484,'36005166','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.04.01.0003.8.1.0.20.40.10.001.00026','1000000'),
(10485,'36005178','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','29000'),
(10486,'36005179','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','147000'),
(10487,'36005180','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10488,'36005194','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','58000'),
(10489,'36005195','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','303000'),
(10490,'36005196','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','491000'),
(10491,'36005197','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10492,'36005211','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','174000'),
(10493,'36005212','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','836400'),
(10494,'36005213','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(10495,'36005214','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','212000'),
(10496,'36005217','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','261000'),
(10497,'36005218','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','144900'),
(10498,'36005219','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10524','491000'),
(10499,'36005220','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(10500,'36005221','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1120000'),
(10501,'36005231','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03451','800000'),
(10502,'36005232','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03619','496000'),
(10503,'36005233','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03633','573000'),
(10504,'36005234','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03769','10000'),
(10505,'36005235','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03842','116000'),
(10506,'36005236','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03883','1141500'),
(10507,'36005237','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03928','1122000'),
(10508,'36005238','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03977','678000'),
(10509,'36005239','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04436','63500'),
(10510,'36005253','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02242','10000000'),
(10511,'36005263','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','350100'),
(10512,'36005264','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02072','513600'),
(10513,'36005265','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01711','318000'),
(10514,'36005266','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01745','318300'),
(10515,'36005285','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','200800'),
(10516,'36005286','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10034','1126000'),
(10517,'36005287','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10072','16500'),
(10518,'36005288','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','357600'),
(10519,'36005289','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','881600'),
(10520,'36005290','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02189','917500'),
(10521,'36005307','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.13565','12000'),
(10522,'36005308','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.13403','1562400'),
(10523,'36005309','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','708000'),
(10524,'36005310','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.14118','1050000'),
(10525,'36005311','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','125000'),
(10526,'36005312','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.14016','297200'),
(10527,'36005313','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.13397','1224000'),
(10528,'36005314','APBD','','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.14000','21400'),
(10529,'36005318','APBD','','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0053.8.1.0.20.10.10.053.00001','6000000'),
(10530,'36005330','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','200800'),
(10531,'36005331','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','510000'),
(10532,'36005332','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','900000'),
(10533,'36005333','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','121200'),
(10534,'36005334','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','268000'),
(10535,'36005359','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','249000'),
(10536,'36005360','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(10537,'36005361','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(10538,'36005362','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(10539,'36005363','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00010','4600000'),
(10540,'36005364','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','15360000'),
(10541,'36005380','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10070','338300'),
(10542,'36005381','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','690000'),
(10543,'36005382','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10217','210000'),
(10544,'36005383','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','277200'),
(10545,'36005384','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','530000'),
(10546,'36005385','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(10547,'36005386','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','13320000'),
(10548,'36005387','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(10549,'36005395','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09953','601200'),
(10550,'36005396','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','21200'),
(10551,'36005397','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','5700'),
(10552,'36005398','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(10553,'36005399','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03001','4814400'),
(10554,'36005400','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(10555,'36005401','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','15000000'),
(10556,'36005402','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','6000000'),
(10557,'36005414','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','100700'),
(10558,'36005415','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10079','69000'),
(10559,'36005416','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','32000'),
(10560,'36005417','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','198300'),
(10561,'36005418','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5600000'),
(10562,'36005421','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','225000'),
(10563,'36005422','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','159000'),
(10564,'36005423','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','399000'),
(10565,'36005424','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1887000'),
(10566,'36005425','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3330000'),
(10567,'36005435','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10568,'36005436','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10569,'36005437','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0001.8.1.0.20.40.10.001.00026','300000'),
(10570,'36005454','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','502000'),
(10571,'36005455','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','164300'),
(10572,'36005456','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','80500'),
(10573,'36005457','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(10574,'36005458','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2203200'),
(10575,'36005459','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(10576,'36005460','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(10577,'36005473','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','150600'),
(10578,'36005474','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','125400'),
(10579,'36005475','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10580,'36005476','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10581,'36005477','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(10582,'36005483','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','47700'),
(10583,'36005484','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10065','222600'),
(10584,'36005485','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','70500'),
(10585,'36005486','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(10586,'36005487','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10587,'36005488','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(10588,'36005497','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','95400'),
(10589,'36005498','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','594600'),
(10590,'36005499','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10591,'36005500','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5910000'),
(10592,'36005510','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09959','742000'),
(10593,'36005511','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09968','198900'),
(10594,'36005512','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10064','784000'),
(10595,'36005513','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','303300'),
(10596,'36005514','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10568','638800'),
(10597,'36005515','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02034','281000'),
(10598,'36005516','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.2.02.05.02.0001.1.3.0.20.50.20.001.02014','21655200'),
(10599,'36005517','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.2.02.05.02.0001.1.3.0.20.50.20.001.02168','3180000'),
(10600,'36005518','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.2.02.10.01.0002.1.3.0.21.00.10.002.02519','44176600'),
(10601,'36005519','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10602,'36005520','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(10603,'36005521','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18060000'),
(10604,'36005522','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2000000'),
(10605,'36005539','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','464000'),
(10606,'36005540','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','484800'),
(10607,'36005541','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','712800'),
(10608,'36005542','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','1060000'),
(10609,'36005543','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6035000'),
(10610,'36005544','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10650000'),
(10611,'36005545','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.04.01.0003.8.1.0.20.40.10.001.00026','10000000'),
(10612,'36005546','APBD','','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4320000'),
(10613,'36005560','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','1004000'),
(10614,'36005561','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','348000'),
(10615,'36005562','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10098','2425500'),
(10616,'36005563','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','964500'),
(10617,'36005564','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10812','3240000'),
(10618,'36005565','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(10619,'36005566','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','848000'),
(10620,'36005567','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7174000'),
(10621,'36005568','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12660000'),
(10622,'36005569','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(10623,'36091964','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10624,'36091964','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354000'),
(10625,'36091965','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10626,'36091980','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10058','116000'),
(10627,'36091980','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','354000'),
(10628,'36091981','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03298','530000'),
(10629,'47434456','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10630,'47434676','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','1170000'),
(10631,'47434831','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','100000'),
(10632,'47430004','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10633,'47430439','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','375000'),
(10634,'47430637','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','186000'),
(10635,'47457959','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02350','292500'),
(10636,'47457996','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10637,'47458007','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10766','87000'),
(10638,'47458012','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10639,'47458280','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(10640,'47458300','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10641,'47458318','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','177500'),
(10642,'47458340','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','125000'),
(10643,'47458341','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10644,'47458342','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','561000'),
(10645,'47458362','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','530000'),
(10646,'47458793','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','75300'),
(10647,'47458798','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10648,'47458821','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','88000'),
(10649,'47461821','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01950','117000'),
(10650,'47462199','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','637200'),
(10651,'47462200','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1526400'),
(10652,'47462201','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(10653,'47462202','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(10654,'47462233','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10318','445500'),
(10655,'47462269','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0053.8.1.0.20.10.10.053.00014','3575000'),
(10656,'47462425','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0004.1.1.1.20.10.10.004.00429','2880000'),
(10657,'47465768','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00027','4200000'),
(10658,'47470528','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03950','828000'),
(10659,'47636037','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00414','1144800'),
(10660,'47636038','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0005.1.1.1.20.10.10.005.01685','31200'),
(10661,'47636039','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05816','581400'),
(10662,'47636041','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04068','561800'),
(10663,'47636248','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1056600'),
(10664,'47638263','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00156','25593000'),
(10665,'47638264','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00157','513000'),
(10666,'47638265','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00158','2151750'),
(10667,'47638266','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','303000'),
(10668,'47638267','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.03.03.0001.8.1.0.20.30.30.001.00159','1439250'),
(10669,'47644733','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03649','130000'),
(10670,'47644734','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','64000'),
(10671,'47644735','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(10672,'47644736','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10673,'47646269','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','980000'),
(10674,'47646270','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10211','12000'),
(10675,'47646271','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(10676,'47646272','APBD','2024','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(10677,'47646807','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','300000'),
(10678,'47647295','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','450000'),
(10679,'47647297','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10680,'47647298','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','25000'),
(10681,'47647637','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','205500'),
(10682,'47647638','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(10683,'48090553','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10684,'48090554','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10685,'48090555','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','130000'),
(10686,'48090556','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11168','30000'),
(10687,'48090632','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10688,'48090633','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','170400'),
(10689,'48090634','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(10690,'48090928','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10691,'48090929','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(10692,'48090930','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10693,'48091086','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','252700'),
(10694,'48091087','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','27300'),
(10695,'48091243','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10696,'48091244','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','43200'),
(10697,'48091245','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','425000'),
(10698,'48091524','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','750000'),
(10699,'48091525','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','142000'),
(10700,'48091526','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10701,'48091697','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10084','84000'),
(10702,'48091698','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','425000'),
(10703,'48091699','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10704,'48091786','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10705,'48091787','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','680000'),
(10706,'48091789','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','50000'),
(10707,'48091987','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','980000'),
(10708,'48091988','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10709,'48091991','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(10710,'48091993','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','17500'),
(10711,'48091997','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(10712,'48092198','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(10713,'48092199','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10714,'48092200','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(10715,'48092313','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','239400'),
(10716,'48092315','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(10717,'48092317','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','980000'),
(10718,'48092319','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10719,'48092577','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','826500'),
(10720,'48092578','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03656','1600000'),
(10721,'48092579','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0036.1.1.1.20.10.30.013.00103','564000'),
(10722,'48092580','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(10723,'48092581','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09974','202400'),
(10724,'48093044','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(10725,'48093045','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','130000'),
(10726,'48093048','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10727,'48093049','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','159600'),
(10728,'48093732','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','1330000'),
(10729,'48093733','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','115000'),
(10730,'48093734','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(10731,'48093735','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(10732,'48093846','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11159','90000'),
(10733,'48093848','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(10734,'48093849','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(10735,'48093850','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10736,'48093961','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(10737,'48093962','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','100000'),
(10738,'48179592','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','300000'),
(10739,'48179593','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','279000'),
(10740,'48179594','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10741,'48236498','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','266000'),
(10742,'48236499','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10743,'48236500','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','60000'),
(10744,'48236501','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3600000'),
(10745,'48236968','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10097','66000'),
(10746,'48236974','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10318','118800'),
(10747,'36154495','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(10748,'36154496','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','3280000'),
(10749,'36155970','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','3000000'),
(10750,'36155971','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00020','3300000'),
(10751,'36155993','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00014','18000000'),
(10752,'36155993','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','12000000'),
(10753,'36155993','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00037','18000000'),
(10754,'36155993','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','14400000'),
(10755,'36155993','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(10756,'36229643','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1120000'),
(10757,'36230387','APBD','','Kab. Bondowoso','7.01.02.2.02.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(10758,'36230859','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(10759,'36405896','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(10760,'36405948','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(10761,'36405948','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(10762,'36405948','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(10763,'36405948','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(10764,'36406041','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2720000'),
(10765,'36406496','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10766,'36406576','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(10767,'36406644','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2240000'),
(10768,'36406821','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(10769,'36406984','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(10770,'36407187','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(10771,'36407263','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2880000'),
(10772,'36407283','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','320000'),
(10773,'36461008','APBD','','Kab. Bondowoso','7.01.02.2.03.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2880000'),
(10774,'47299448','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10775,'47299465','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(10776,'47299486','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10289','79500'),
(10777,'47299521','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','937500'),
(10778,'47299559','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10289','185500'),
(10779,'47299618','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(10780,'47299703','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','311100'),
(10781,'48207308','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','163200'),
(10782,'48207342','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','132500'),
(10783,'48207451','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','56400'),
(10784,'48207500','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(10785,'48207553','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(10786,'48207811','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','162900'),
(10787,'48207840','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','32200'),
(10788,'48207925','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10070','153000'),
(10789,'48207955','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','132500'),
(10790,'48208004','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03976','318400'),
(10791,'48208070','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02201','424400'),
(10792,'48216296','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1653000'),
(10793,'48216299','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','1060000'),
(10794,'48216300','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09945','17000'),
(10795,'48216301','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10800000'),
(10796,'48216327','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10501','52400'),
(10797,'48216451','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.02.0003.1.3.0.21.00.20.003.02712','5300000'),
(10798,'48216642','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00003','3600000'),
(10799,'48216644','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00008','4800000'),
(10800,'48216646','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00027','7200000'),
(10801,'48216750','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','15431800'),
(10802,'48216875','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13510','20000'),
(10803,'48217060','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','220400'),
(10804,'48217061','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(10805,'48217062','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7650000'),
(10806,'48217063','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10070','425000'),
(10807,'48217122','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3444700'),
(10808,'48217123','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','11250000'),
(10809,'48217124','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10810,'48217125','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','335000'),
(10811,'48217126','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','530000'),
(10812,'48217194','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(10813,'48217228','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10814,'48217247','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10815,'48217330','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10816,'48217331','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','265000'),
(10817,'48217332','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3750000'),
(10818,'48217333','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1450500'),
(10819,'48217392','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10820,'48217393','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','530000'),
(10821,'48217394','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10500000'),
(10822,'48217395','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(10823,'48217421','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10824,'48217422','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','397500'),
(10825,'48217424','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','14100000'),
(10826,'48217425','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','201000'),
(10827,'48217548','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','117000'),
(10828,'48217549','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1275000'),
(10829,'48217584','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','67000'),
(10830,'48217585','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(10831,'48217637','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10026','10600'),
(10832,'48217638','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2700000'),
(10833,'48217720','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1530000'),
(10834,'48217721','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10026','10600'),
(10835,'48217795','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2125000'),
(10836,'48217799','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','685200'),
(10837,'48217930','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(10838,'48217931','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(10839,'48217932','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10067','312500'),
(10840,'48217933','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','530000'),
(10841,'48217950','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1680000'),
(10842,'48217951','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','356400'),
(10843,'48217992','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1020000'),
(10844,'48217993','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','180000'),
(10845,'48218168','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','4508700'),
(10846,'48218169','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10026','42400'),
(10847,'48218173','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03284','662500'),
(10848,'48218177','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','12325000'),
(10849,'48218180','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','330600'),
(10850,'48218415','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','132500'),
(10851,'48218472','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','730200'),
(10852,'48218540','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(10853,'48218781','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','826500'),
(10854,'48218782','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03285','1060000'),
(10855,'48218783','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10625000'),
(10856,'48218784','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(10857,'36454384','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3360000'),
(10858,'36454384','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','1920000'),
(10859,'36454384','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','420000'),
(10860,'36454384','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00418','2220000'),
(10861,'36454470','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00011','4800000'),
(10862,'36454501','APBD','','Kab. Bondowoso','7.01.01.2.09.0002.5.1.02.02.01.0016.8.1.0.20.20.10.016.00006','1000000'),
(10863,'36454532','APBD','','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00014','354000'),
(10864,'36454643','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(10865,'36454694','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(10866,'36454812','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(10867,'36454850','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(10868,'36454850','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(10869,'36454850','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(10870,'36454850','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(10871,'36454938','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(10872,'36455207','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00005','4800000'),
(10873,'36455220','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00006','900000'),
(10874,'36455238','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00006','1800000'),
(10875,'36455289','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00005','4800000'),
(10876,'36455290','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(10877,'36455313','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(10878,'36455478','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','5760000'),
(10879,'47509646','APBD','2024','Kab. Bondowoso','7.01.02.2.03.0002.5.2.02.10.01.0002.1.3.0.21.00.10.002.02525','26500000'),
(10880,'36170623','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10881,'36170623','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02075','311700'),
(10882,'36170623','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1620000'),
(10883,'36170624','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','795000'),
(10884,'36170624','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','922200'),
(10885,'36170625','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(10886,'36170625','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(10887,'36170626','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','3200000'),
(10888,'36170627','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(10889,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','267000'),
(10890,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','75000'),
(10891,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','127200'),
(10892,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(10893,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','460000'),
(10894,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','319000'),
(10895,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','99000'),
(10896,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(10897,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','96600'),
(10898,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','150000'),
(10899,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','634200'),
(10900,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','681600'),
(10901,'36170628','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','70000'),
(10902,'36170652','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','400000'),
(10903,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(10904,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','42400'),
(10905,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','33000'),
(10906,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','112800'),
(10907,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(10908,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(10909,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','115000'),
(10910,'36170653','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','22500'),
(10911,'36170654','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(10912,'36170655','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(10913,'36170655','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(10914,'36170656','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(10915,'36170656','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(10916,'36170685','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(10917,'36170685','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10918,'36170686','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(10919,'36170686','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','585000'),
(10920,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','144900'),
(10921,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','130500'),
(10922,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','84800'),
(10923,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','187500'),
(10924,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(10925,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','33000'),
(10926,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','253800'),
(10927,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','85200'),
(10928,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','62700'),
(10929,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','48800'),
(10930,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(10931,'36170687','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','84000'),
(10932,'36170688','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(10933,'36170688','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(10934,'36170689','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','960000'),
(10935,'36170690','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','400000'),
(10936,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09928','229200'),
(10937,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','193200'),
(10938,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(10939,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10006','94000'),
(10940,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10008','210000'),
(10941,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10032','159000'),
(10942,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','530000'),
(10943,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10078','740000'),
(10944,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','470000'),
(10945,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','435000'),
(10946,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','115500'),
(10947,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','310200'),
(10948,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1506600'),
(10949,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','44800'),
(10950,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','70000'),
(10951,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10782','112500'),
(10952,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10788','128500'),
(10953,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','106500'),
(10954,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10190','118000'),
(10955,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10278','212000'),
(10956,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','1022400'),
(10957,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11080','64800'),
(10958,'36172016','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11083','160200'),
(10959,'36172017','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1620000'),
(10960,'36172018','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(10961,'36172018','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(10962,'36172019','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','4800000'),
(10963,'36172020','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(10964,'36172021','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(10965,'36172021','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','877500'),
(10966,'36172044','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(10967,'36172044','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(10968,'36172045','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','292500'),
(10969,'36172045','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(10970,'36172046','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(10971,'36172046','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(10972,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10002','37000'),
(10973,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10006','94000'),
(10974,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(10975,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','470000'),
(10976,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','63000'),
(10977,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','125000'),
(10978,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10095','336000'),
(10979,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10218','50000'),
(10980,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','101400'),
(10981,'36172047','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','85200'),
(10982,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(10983,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','280900'),
(10984,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','26500'),
(10985,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','99600'),
(10986,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','511200'),
(10987,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','67200'),
(10988,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','308000'),
(10989,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(10990,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','752000'),
(10991,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','79600'),
(10992,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','84000'),
(10993,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','63900'),
(10994,'36172196','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11168','72000'),
(10995,'36172197','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(10996,'36172197','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(10997,'36172198','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(10998,'36172199','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','461100'),
(10999,'36172199','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11000,'36172200','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','2400000'),
(11001,'36172201','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(11002,'36172218','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11003,'36172218','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11004,'36172219','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(11005,'36172220','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(11006,'36172220','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11007,'36172221','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(11008,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','125500'),
(11009,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','87000'),
(11010,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','133000'),
(11011,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','500000'),
(11012,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','284000'),
(11013,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','53000'),
(11014,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','551200'),
(11015,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','340800'),
(11016,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','56000'),
(11017,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','105000'),
(11018,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','345000'),
(11019,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','122700'),
(11020,'36172222','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','63900'),
(11021,'36172230','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','795000'),
(11022,'36172230','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','922200'),
(11023,'36172231','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','4250000'),
(11024,'36172231','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(11025,'36172232','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','777600'),
(11026,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','87000'),
(11027,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(11028,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(11029,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','90300'),
(11030,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','426000'),
(11031,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','48000'),
(11032,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(11033,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09958','225200'),
(11034,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','79600'),
(11035,'36172233','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','70000'),
(11036,'36172234','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','4000000'),
(11037,'36172235','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1920000'),
(11038,'36172252','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11039,'36172253','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','49200'),
(11040,'36172253','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','161000'),
(11041,'36172253','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','255600'),
(11042,'36172255','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1200000'),
(11043,'36172257','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2125000'),
(11044,'36172257','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3750000'),
(11045,'36172272','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(11046,'36172273','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(11047,'36172274','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11048,'36172275','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11049,'36172275','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11050,'36172285','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11051,'36172285','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11052,'36172286','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(11053,'36172287','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11054,'36172288','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(11055,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09894','44400'),
(11056,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','25000'),
(11057,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','125000'),
(11058,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','92000'),
(11059,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','19200'),
(11060,'36172297','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','85200'),
(11061,'36172298','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11062,'36172299','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(11063,'36172299','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','1500000'),
(11064,'36172300','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(11065,'36172366','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','34800'),
(11066,'36172366','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','92000'),
(11067,'36172366','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','13200'),
(11068,'36172366','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(11069,'36172367','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11070,'36172368','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1360000'),
(11071,'36172368','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2400000'),
(11072,'36172369','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(11073,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','50000'),
(11074,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10095','210000'),
(11075,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10273','37800'),
(11076,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','141000'),
(11077,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(11078,'36172465','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','18600'),
(11079,'36172466','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(11080,'36172467','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11081,'36172467','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','461100'),
(11082,'36172468','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11083,'36172468','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11084,'36172469','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','800000'),
(11085,'36172470','APBD','','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(11086,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','100400'),
(11087,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','95700'),
(11088,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','460000'),
(11089,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','470000'),
(11090,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','79600'),
(11091,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','26500'),
(11092,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','77000'),
(11093,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','106500'),
(11094,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','112800'),
(11095,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11168','36000'),
(11096,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','241500'),
(11097,'36172488','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','511200'),
(11098,'36172489','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','200400'),
(11099,'36172489','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(11100,'36172490','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','1590000'),
(11101,'36172490','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1844400'),
(11102,'36172491','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(11103,'36172491','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(11104,'36172492','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','2400000'),
(11105,'36172493','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2560000'),
(11106,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(11107,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','104400'),
(11108,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','265000'),
(11109,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','115000'),
(11110,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','470000'),
(11111,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10188','25000'),
(11112,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10218','50000'),
(11113,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','32000'),
(11114,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','33600'),
(11115,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','42600'),
(11116,'36172509','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','255600'),
(11117,'36172512','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(11118,'36172514','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11119,'36172514','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','461100'),
(11120,'36172516','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(11121,'36172516','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(11122,'36172519','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1200000'),
(11123,'36172528','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','115000'),
(11124,'36172528','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','94000'),
(11125,'36172528','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','170400'),
(11126,'36172528','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','21000'),
(11127,'36172528','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','54000'),
(11128,'36172529','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11129,'36172530','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11130,'36172530','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11131,'36172531','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(11132,'36172531','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11133,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','75300'),
(11134,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','53200'),
(11135,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10051','127200'),
(11136,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(11137,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','161000'),
(11138,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','62500'),
(11139,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10191','21500'),
(11140,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','177500'),
(11141,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','26500'),
(11142,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','30900'),
(11143,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','39200'),
(11144,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','56000'),
(11145,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','42600'),
(11146,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11162','67500'),
(11147,'36172544','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11168','15000'),
(11148,'36172545','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11149,'36172546','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11150,'36172546','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03632','265000'),
(11151,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(11152,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','66500'),
(11153,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10051','106000'),
(11154,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(11155,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10174','221200'),
(11156,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10197','96500'),
(11157,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','177500'),
(11158,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','39300'),
(11159,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','28000'),
(11160,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','35000'),
(11161,'36172564','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','106500'),
(11162,'36172565','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(11163,'36172565','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(11164,'36172566','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11165,'36172566','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03538','195000'),
(11166,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','125500'),
(11167,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09974','75900'),
(11168,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(11169,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','66500'),
(11170,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10051','106000'),
(11171,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','250000'),
(11172,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10174','158000'),
(11173,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10192','43000'),
(11174,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10196','85800'),
(11175,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10250','106500'),
(11176,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','26500'),
(11177,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','344500'),
(11178,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','4200'),
(11179,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10740','106500'),
(11180,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','28000'),
(11181,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','35000'),
(11182,'36172572','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','63900'),
(11183,'36172573','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','66800'),
(11184,'36172573','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11185,'36172574','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11186,'36172574','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03632','132500'),
(11187,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','502000'),
(11188,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','217500'),
(11189,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(11190,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','460000'),
(11191,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','1880000'),
(11192,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','235800'),
(11193,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','340800'),
(11194,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','112000'),
(11195,'36172602','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10785','1260000'),
(11196,'36172603','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','795000'),
(11197,'36172603','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','768500'),
(11198,'36172604','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','3400000'),
(11199,'36172604','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11200,'36172605','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1600000'),
(11201,'36172606','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(11202,'36172607','APBD','','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','907200'),
(11203,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(11204,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','104400'),
(11205,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','149500'),
(11206,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','147500'),
(11207,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','255600'),
(11208,'36172618','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','30300'),
(11209,'36172619','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11210,'36172620','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11211,'36172620','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(11212,'36172621','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(11213,'36172621','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4500000'),
(11214,'36172622','APBD','','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1200000'),
(11215,'36172682','APBD','','Kab. Bondowoso','7.01.01.2.09.0006.5.1.02.02.01.0035.8.1.0.20.20.10.035.00064','4000000'),
(11216,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13556','125000'),
(11217,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13557','186200'),
(11218,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13562','142200'),
(11219,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13622','30600'),
(11220,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13646','340000'),
(11221,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13899','273600'),
(11222,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14117','125000'),
(11223,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.13395','127400'),
(11224,'36172697','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.01.01.0001.1.1.1.20.10.10.001.14145','150000'),
(11225,'36172698','APBD','','Kab. Bondowoso','7.01.01.2.09.0005.5.1.02.02.01.0016.8.1.0.20.20.10.016.00042','525000'),
(11226,'36172704','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','19950000'),
(11227,'36172705','APBD','','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00064','4000000'),
(11228,'36172741','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','6000000'),
(11229,'36172741','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','24000000'),
(11230,'36172741','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00035','7200000'),
(11231,'36172741','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','52800000'),
(11232,'36172741','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00064','0'),
(11233,'36172742','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00022','6000000'),
(11234,'36172742','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00023','6000000'),
(11235,'36172742','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00036','12000000'),
(11236,'36172743','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00008','6000000'),
(11237,'36172745','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00014','12000000'),
(11238,'36172751','APBD','','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00064','4000000'),
(11239,'36172784','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','3600000'),
(11240,'36172785','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','9800000'),
(11241,'36172786','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00003','7200000'),
(11242,'36172797','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8000000'),
(11243,'36172798','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','6560000'),
(11244,'36172798','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','3360000'),
(11245,'36172803','APBD','','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11246,'36172803','APBD','','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11247,'36172810','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10450','262800'),
(11248,'36172810','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','366000'),
(11249,'36172810','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10738','233200'),
(11250,'36172810','APBD','','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1033500'),
(11251,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','602400'),
(11252,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09879','93600'),
(11253,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','572000'),
(11254,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09958','844500'),
(11255,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09974','253000'),
(11256,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09992','240800'),
(11257,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','348000'),
(11258,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','465500'),
(11259,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','662500'),
(11260,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','1875000'),
(11261,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','920000'),
(11262,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','376000'),
(11263,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','238800'),
(11264,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10192','60200'),
(11265,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10194','559800'),
(11266,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10205','316800'),
(11267,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10276','74200'),
(11268,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','413400'),
(11269,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','15000'),
(11270,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','681600'),
(11271,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10740','127800'),
(11272,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','196000'),
(11273,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','273000'),
(11274,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11047','404700'),
(11275,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11080','129600'),
(11276,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11081','225600'),
(11277,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11167','252000'),
(11278,'36172819','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.11181','161000'),
(11279,'36172820','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1377500'),
(11280,'36172820','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02073','534400'),
(11281,'36172820','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2592000'),
(11282,'36172821','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','3577500'),
(11283,'36172821','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','3688800'),
(11284,'36172822','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(11285,'36172822','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(11286,'36172830','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.02258','12000'),
(11287,'36172830','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01828','115000'),
(11288,'36172830','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01898','55000'),
(11289,'36172830','APBD','','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01929','318000'),
(11290,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01734','63600'),
(11291,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01735','53000'),
(11292,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01978','212800'),
(11293,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02174','339200'),
(11294,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02175','101600'),
(11295,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02243','140000'),
(11296,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02255','405600'),
(11297,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01739','169600'),
(11298,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01742','424400'),
(11299,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01771','160000'),
(11300,'36172841','APBD','','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02178','430200'),
(11301,'36172843','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04110','260000'),
(11302,'36172843','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04589','495000'),
(11303,'36172843','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03633','1432500'),
(11304,'36172843','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04015','200000'),
(11305,'36172843','APBD','','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04062','69000'),
(11306,'36173086','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(11307,'36173086','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','184000'),
(11308,'36173086','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','16800'),
(11309,'36173086','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','28000'),
(11310,'36173086','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','75900'),
(11311,'36173087','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(11312,'36173087','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(11313,'36173088','APBD','','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11314,'36173112','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','312500'),
(11315,'36173112','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','82800'),
(11316,'36173112','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','28000'),
(11317,'36173112','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','35000'),
(11318,'36173112','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','38100'),
(11319,'36173113','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(11320,'36173114','APBD','','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(11321,'36173122','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10059','187500'),
(11322,'36173122','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','34500'),
(11323,'36173122','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','47000'),
(11324,'36173122','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','36600'),
(11325,'36173123','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11326,'36173131','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','138000'),
(11327,'36173131','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','188000'),
(11328,'36173131','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','75900'),
(11329,'36173132','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11330,'36173133','APBD','','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11331,'36173136','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','17400'),
(11332,'36173136','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','53000'),
(11333,'36173136','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','117300'),
(11334,'36173136','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','94000'),
(11335,'36173136','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','79500'),
(11336,'36173137','APBD','','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(11337,'36173162','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','104400'),
(11338,'36173162','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','227700'),
(11339,'36173162','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','67200'),
(11340,'36173162','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','56400'),
(11341,'36173163','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','583200'),
(11342,'36173164','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','461100'),
(11343,'36173171','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11344,'36173172','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11345,'36173173','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','26100'),
(11346,'36173173','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','57500'),
(11347,'36173173','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','14000'),
(11348,'36173173','APBD','','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','54300'),
(11349,'36173178','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','69000'),
(11350,'36173178','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','97600'),
(11351,'36173178','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','28000'),
(11352,'36173178','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','142500'),
(11353,'36173179','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11354,'36173180','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11355,'36173189','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','43500'),
(11356,'36173189','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','126500'),
(11357,'36173189','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','37500'),
(11358,'36173190','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(11359,'36173191','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','153700'),
(11360,'36173203','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','73600'),
(11361,'36173203','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','45000'),
(11362,'36173204','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11363,'36173205','APBD','','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11364,'36173231','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','230000'),
(11365,'36173231','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','104400'),
(11366,'36173231','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10778','67200'),
(11367,'36173231','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','68700'),
(11368,'36173232','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(11369,'36173232','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','907200'),
(11370,'36173233','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(11371,'36173233','APBD','','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','614800'),
(11372,'36173262','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','48800'),
(11373,'36173262','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78600'),
(11374,'36173262','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','56000'),
(11375,'36173264','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11376,'36173266','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11377,'36173277','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78600'),
(11378,'36173277','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','48800'),
(11379,'36173277','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','56000'),
(11380,'36173278','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11381,'36173279','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11382,'36173347','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','56000'),
(11383,'36173347','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78600'),
(11384,'36173347','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','48800'),
(11385,'36173349','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11386,'36173350','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11387,'36173356','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','78600'),
(11388,'36173356','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','48800'),
(11389,'36173356','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10779','56000'),
(11390,'36173357','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11391,'36173358','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','307400'),
(11392,'36173376','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1944000'),
(11393,'36173376','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1267300'),
(11394,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09993','217500'),
(11395,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','397500'),
(11396,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10107','470000'),
(11397,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10274','407000'),
(11398,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10773','50400'),
(11399,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','251000'),
(11400,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10066','345000'),
(11401,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','281100'),
(11402,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10525','292800'),
(11403,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10739','80000'),
(11404,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10774','59500'),
(11405,'36173377','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.11168','105000'),
(11406,'36173378','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','1987500'),
(11407,'36173378','APBD','','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03539','1844400'),
(11408,'47115000','APBD','2024','Kab. Bondowoso','7.01.01.2.09.1112.0.1.02.00.01.5102.0.1.0.10.01.3','6100000'),
(11409,'47118498','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.01.5102.0.1.0.10.02.4','76700'),
(11410,'47119415','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.5','123300'),
(11411,'47123082','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.01.5102.0.1.0.10.02.4','76700'),
(11412,'47128840','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.5','123300'),
(11413,'47132396','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.01.5102.0.1.0.10.02.4','595400'),
(11414,'47133822','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.5','480600'),
(11415,'47135511','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11416,'47139330','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','6498600'),
(11417,'47140521','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.02.5102.0.1.0.10.02.5','7374400'),
(11418,'47140909','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.06.5102.0.1.0.10.02.9','4505000'),
(11419,'47141354','APBD','2024','Kab. Bondowoso','7.01.01.2.06.8102.0.1.01.00.52.5102.0.1.0.10.05.2','32900000'),
(11420,'47147214','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','500000'),
(11421,'47149442','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.08.5102.0.1.0.10.03.1','2110300'),
(11422,'47151407','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.07.5102.0.1.0.10.03.0','1000000'),
(11423,'47155467','APBD','2024','Kab. Bondowoso','7.01.01.2.06.1112.0.1.03.00.07.5102.0.1.0.10.03.0','1000000'),
(11424,'47156914','APBD','2024','Kab. Bondowoso','7.01.01.2.05.1112.0.1.03.00.01.5102.0.1.0.10.02.4','649000'),
(11425,'47157410','APBD','2024','Kab. Bondowoso','7.01.01.2.05.1112.0.1.03.00.02.5102.0.1.0.10.02.5,','351000'),
(11426,'47174393','APBD','2024','Kab. Bondowoso','7.01.01.2.05.1112.0.1.03.00.01.5102.0.1.0.10.02.4','342000'),
(11427,'47174831','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.5','234000'),
(11428,'47175561','APBD','2024','Kab. Bondowoso','7.01.01.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.9','424000'),
(11429,'47177120','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.01.5102.0.1.0.10.02.4','559200'),
(11430,'47177956','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.02.5102.0.1.0.10.02.5','440800'),
(11431,'47186461','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.01.5102.0.1.0.10.02.4','347200'),
(11432,'47186573','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.02.5102.0.1.0.10.02.5','440800'),
(11433,'47186725','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.06.5102.0.1.0.10.02.9','212000'),
(11434,'47187587','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.01.5102.0.1.0.10.02.4','243000'),
(11435,'47187705','APBD','2024','Kab. Bondowoso','7.01.01.2.03.1112.0.1.03.00.02.5102.0.1.0.10.02.4','117000'),
(11436,'47187927','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','300000'),
(11437,'47188016','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.4','700000'),
(11438,'47188234','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','300500'),
(11439,'47188285','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','275500'),
(11440,'47188374','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11441,'47188426','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','440800'),
(11442,'47188468','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','635200'),
(11443,'47188527','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11444,'47188655','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','548800'),
(11445,'47189030','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','460200'),
(11446,'47189193','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11447,'47189372','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','615800'),
(11448,'47189454','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','460200'),
(11449,'47189514','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11450,'47189610','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','615800'),
(11451,'47189675','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','460200'),
(11452,'47189729','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11453,'47191132','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','820900'),
(11454,'47191193','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','755100'),
(11455,'47191241','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','424000'),
(11456,'47191764','APBD','2024','Kab. Bondowoso','7.01.01.2.07.1302.1.0.01.00.02.5202.1.0.0.10.00.2','15900000'),
(11457,'47192002','APBD','2024','Kab. Bondowoso','7.01.01.2.07.1302.1.0.02.00.03.5202.1.0.0.20.00.3','7738000'),
(11458,'47216960','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','2549150'),
(11459,'47217387','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','1701000'),
(11460,'47217672','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','1272000'),
(11461,'47219181','APBD','2024','Kab. Bondowoso','7.01.02.2.04.8102.0.1.01.00.52.5102.0.1.0.10.05.2','5012000'),
(11462,'47220890','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','2259000'),
(11463,'47221526','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','1337400'),
(11464,'47222075','APBD','2024','Kab. Bondowoso','7.01.01.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','1060000'),
(11465,'47222604','APBD','2024','Kab. Bondowoso','7.01.02.2.04.8102.0.1.01.00.52.5102.0.1.0.10.05.2','4100000'),
(11466,'47229245','APBD','2024','Kab. Bondowoso','7.01.02.2.04.1112.0.1.03.00.01.5102.0.1.0.10.02.4','109900'),
(11467,'47230536','APBD','2024','Kab. Bondowoso','7.01.02.2.04.1112.0.1.03.00.02.5102.0.1.0.10.02.5','190100'),
(11468,'47237384','APBD','2024','Kab. Bondowoso','7.01.02.2.04.8102.0.1.01.00.52.5102.0.1.0.10.05.2','4700000'),
(11469,'47310786','APBD','2024','Kab. Bondowoso','7.01.02.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','6825600'),
(11470,'47310844','APBD','2024','Kab. Bondowoso','7.01.02.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','3914400'),
(11471,'47310908','APBD','2024','Kab. Bondowoso','7.01.02.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','2120000'),
(11472,'47311029','APBD','2024','Kab. Bondowoso','7.01.02.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','27140000'),
(11473,'47311297','APBD','2024','Kab. Bondowoso','7.01.02.2.04.1112.0.1.03.00.01.5102.0.1.0.10.02.4','4847250'),
(11474,'47311379','APBD','2024','Kab. Bondowoso','7.01.02.2.04.1112.0.1.03.00.02.5102.0.1.0.10.02.5','3402000'),
(11475,'47311453','APBD','2024','Kab. Bondowoso','7.01.02.2.04.8102.0.1.01.00.52.5102.0.1.0.10.05.2','17625000'),
(11476,'47311616','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','602000'),
(11477,'47311672','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.02.5102.0.1.0.10.02.5','2398000'),
(11478,'47312061','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','1352000'),
(11479,'47312195','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.02.5102.0.1.0.10.02.5','648000'),
(11480,'47312447','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','26500'),
(11481,'47312484','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.02.5102.0.1.0.10.02.5','923500'),
(11482,'47312512','APBD','2024','Kab. Bondowoso','7.01.03.2.06.8102.0.1.01.00.52.5102.0.1.0.10.05.2','7050000'),
(11483,'47312640','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.01.5102.0.1.0.10.02.4','174500'),
(11484,'47312677','APBD','2024','Kab. Bondowoso','7.01.03.2.06.1112.0.1.03.00.02.5102.0.1.0.10.02.5','275500'),
(11485,'47312745','APBD','2024','Kab. Bondowoso','7.01.03.2.06.8102.0.1.01.00.52.5102.0.1.0.10.05.2','6550000'),
(11486,'47315068','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','4949600'),
(11487,'47315170','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','3970400'),
(11488,'47315291','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','3180000'),
(11489,'47315350','APBD','2024','Kab. Bondowoso','7.01.03.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','32900000'),
(11490,'47315556','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','2821000'),
(11491,'47315667','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','3259000'),
(11492,'47315721','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','2120000'),
(11493,'47315788','APBD','2024','Kab. Bondowoso','7.01.03.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','16450000'),
(11494,'47317035','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','837800'),
(11495,'47317169','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','493200'),
(11496,'47317243','APBD','2024','Kab. Bondowoso','7.01.03.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','132500'),
(11497,'47317355','APBD','2024','Kab. Bondowoso','7.01.03.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','11750000'),
(11498,'47325798','APBD','2024','Kab. Bondowoso','7.01.03.2.05.1112.0.1.03.00.01.5102.0.1.0.10.02.4','183000'),
(11499,'47325937','APBD','2024','Kab. Bondowoso','7.01.03.2.05.1112.0.1.03.00.02.5102.0.1.0.10.02.5','117000'),
(11500,'47326031','APBD','2024','Kab. Bondowoso','7.01.03.2.05.8102.0.1.01.00.52.5102.0.1.0.10.05.2','4700000'),
(11501,'47331600','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','2942600'),
(11502,'47334611','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','1368700'),
(11503,'47342720','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','1722500'),
(11504,'47343393','APBD','2024','Kab. Bondowoso','7.01.05.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','18800000'),
(11505,'47346933','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','4649600'),
(11506,'47356269','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','3970400'),
(11507,'47360188','APBD','2024','Kab. Bondowoso','7.01.05.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','3180000'),
(11508,'47360738','APBD','2024','Kab. Bondowoso','7.01.05.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','28200000'),
(11509,'47365345','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','2985500'),
(11510,'47366575','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','1409500'),
(11511,'47367253','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','1855000'),
(11512,'47368004','APBD','2024','Kab. Bondowoso','7.01.06.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','9400000'),
(11513,'47385234','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','353400'),
(11514,'47385585','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','246600'),
(11515,'47386148','APBD','2024','Kab. Bondowoso','7.01.06.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','9400000'),
(11516,'47389492','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','538400'),
(11517,'47390082','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','246600'),
(11518,'47390369','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','265000'),
(11519,'47390738','APBD','2024','Kab. Bondowoso','7.01.06.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','2350000'),
(11520,'47391757','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','3806900'),
(11521,'47392227','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','4001900'),
(11522,'47392466','APBD','2024','Kab. Bondowoso','7.01.06.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','2120000'),
(11523,'47392724','APBD','2024','Kab. Bondowoso','7.01.06.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','23500000'),
(11524,'47394124','APBD','2024','Kab. Bondowoso','7.01.04.2.02.1112.0.1.03.00.01.5102.0.1.0.10.02.4','4765900'),
(11525,'47395255','APBD','2024','Kab. Bondowoso','7.01.04.2.02.1112.0.1.03.00.02.5102.0.1.0.10.02.5','2056100'),
(11526,'47395954','APBD','2024','Kab. Bondowoso','7.01.04.2.02.1112.0.1.03.00.06.5102.0.1.0.10.02.9','2120000'),
(11527,'47396222','APBD','2024','Kab. Bondowoso','7.01.04.2.02.8102.0.1.01.00.52.5102.0.1.0.10.05.2','23500000'),
(11528,'47411923','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','3790300'),
(11529,'47412783','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','2517200'),
(11530,'47413945','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','1192500'),
(11531,'47418947','APBD','2024','Kab. Bondowoso','7.01.04.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','23500000'),
(11532,'47421010','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.01.5102.0.1.0.10.02.4','1742300'),
(11533,'47422097','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.02.5102.0.1.0.10.02.5','1196200'),
(11534,'47422487','APBD','2024','Kab. Bondowoso','7.01.04.2.01.1112.0.1.03.00.06.5102.0.1.0.10.02.9','848000'),
(11535,'47422993','APBD','2024','Kab. Bondowoso','7.01.04.2.01.8102.0.1.01.00.52.5102.0.1.0.10.05.2','9400000'),
(11536,'47029755','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11537,'47029756','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10029','133000'),
(11538,'47030367','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','717900'),
(11539,'47030368','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','4800000'),
(11540,'47030376','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10497','426000'),
(11541,'47030377','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11542,'47030427','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','199000'),
(11543,'47030430','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(11544,'47030431','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','10500000'),
(11545,'47030432','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0029.1.1.1.20.10.30.006.03649','390000'),
(11546,'47030461','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13600','1484000'),
(11547,'47030482','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05962','5300000'),
(11548,'47030483','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00012','900000'),
(11549,'47030484','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00410','848000'),
(11550,'47030550','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','74500'),
(11551,'47030551','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(11552,'47030584','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10985','63900'),
(11553,'47030585','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(11554,'47030622','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10523','119200'),
(11555,'47030623','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11556,'47030652','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10269','82500'),
(11557,'47030653','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11558,'47030669','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','184800'),
(11559,'47030670','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(11560,'47030702','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11561,'47030721','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.11184','52500'),
(11562,'47030736','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','100000'),
(11563,'47030751','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10985','42600'),
(11564,'47030805','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10009','100000'),
(11565,'47030835','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00005','7200000'),
(11566,'47030864','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','1000000'),
(11567,'47030894','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11568,'47030895','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03310','153700'),
(11569,'47030896','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10742','87000'),
(11570,'47030966','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10070','85000'),
(11571,'47030967','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11572,'47031013','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.02505','13250000'),
(11573,'47031045','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7500000'),
(11574,'47031046','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10205','70400'),
(11575,'47031048','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11576,'47031049','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(11577,'47031062','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10277','68900'),
(11578,'47031063','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(11579,'47031064','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11580,'47031065','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11581,'47031079','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','275500'),
(11582,'47031080','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11583,'47031081','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','690000'),
(11584,'47031082','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03650','390000'),
(11585,'47031107','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1190000'),
(11586,'47031108','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','444000'),
(11587,'47031126','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','500000'),
(11588,'47031127','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11589,'47031128','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4800000'),
(11590,'47031203','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11591,'47031204','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(11592,'47031231','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.09975','174000'),
(11593,'47031232','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11594,'47031238','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09949','250000'),
(11595,'47031239','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11596,'47036127','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','530000'),
(11597,'47036128','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(11598,'47036129','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','260000'),
(11599,'47036130','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(11600,'35982699','APBD','','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(11601,'35982976','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7680000'),
(11602,'35982977','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','1800000'),
(11603,'35983013','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','5400000'),
(11604,'35983014','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','38400000'),
(11605,'35983054','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6400000'),
(11606,'35983058','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','4160000'),
(11607,'35983077','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','9280000'),
(11608,'35983078','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','1800000'),
(11609,'35983247','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','52800000'),
(11610,'35983247','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00023','18000000'),
(11611,'35983247','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','14400000'),
(11612,'35983247','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0031.8.1.0.20.20.10.031.00014','18000000'),
(11613,'35983372','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(11614,'35983372','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(11615,'35983372','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(11616,'35983372','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(11617,'35983373','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7680000'),
(11618,'35983377','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(11619,'35983392','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7680000'),
(11620,'35983394','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00040','900000'),
(11621,'35983407','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3840000'),
(11622,'35983441','APBD','','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(11623,'35983466','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','2400000'),
(11624,'35983470','APBD','','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','3200000'),
(11625,'35986139','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','2400000'),
(11626,'35986140','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','7680000'),
(11627,'36059176','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','25000000'),
(11628,'47573399','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11629,'47573797','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2250000'),
(11630,'47573798','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','9000'),
(11631,'47574563','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','79500'),
(11632,'47574564','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','551000'),
(11633,'47574974','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','30900'),
(11634,'47574975','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11635,'47574976','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(11636,'47578496','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10057','318000'),
(11637,'47578507','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03634','2120000'),
(11638,'47578516','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10173','199000'),
(11639,'47578517','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','500000'),
(11640,'47578518','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00004','500000'),
(11641,'47578548','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','54900'),
(11642,'47578549','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','495900'),
(11643,'47578550','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','1866000'),
(11644,'47578565','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','9000'),
(11645,'47578576','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.1.02.01.01.0031.1.1.1.20.10.30.008.04547','1204000'),
(11646,'47578577','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.06.01.0001.1.3.0.20.60.10.001.00903','636000'),
(11647,'47578578','APBD','2024','Kab. Bondowoso','7.01.01.2.07.0006.5.2.02.10.01.0002.1.3.0.21.00.10.002.01929','38160000'),
(11648,'47578605','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','13800000'),
(11649,'47578606','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00027','4200000'),
(11650,'47578615','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.04.0117.8.1.0.20.20.40.117.00022','1500000'),
(11651,'47578624','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05778','207000'),
(11652,'47578625','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04110','26000'),
(11653,'47578626','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00420','901000'),
(11654,'47578636','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.01.01.0001.1.1.1.20.10.10.001.13395','637000'),
(11655,'47578637','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0009.5.1.02.02.01.0016.8.1.0.20.20.10.016.00040','1500000'),
(11656,'47580970','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','1000'),
(11657,'47580971','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','453600'),
(11658,'47580972','APBD','2024','Kab. Bondowoso','7.01.02.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(11659,'47581002','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','79500'),
(11660,'47581003','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(11661,'47581022','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','79500'),
(11662,'47581023','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18000000'),
(11663,'47581296','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','9300'),
(11664,'47581297','APBD','2024','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11665,'47581805','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','79500'),
(11666,'47581806','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(11667,'47581807','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5100000'),
(11668,'47581808','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.04.0132.8.1.0.20.20.40.132.00003','1500000'),
(11669,'47581809','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.04.0123.8.1.0.20.20.40.118.00006','2000000'),
(11670,'47581874','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','75300'),
(11671,'47581875','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','1296000'),
(11672,'47581876','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','15750000'),
(11673,'47581920','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','75300'),
(11674,'47581922','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1102000'),
(11675,'47581923','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5780000'),
(11676,'47581941','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','25100'),
(11677,'47581942','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','440800'),
(11678,'47581943','APBD','2024','Kab. Bondowoso','7.01.03.2.03.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','9000000'),
(11679,'47581966','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','11200'),
(11680,'47581967','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(11681,'47581972','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11682,'47581974','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','850000'),
(11683,'47581975','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','26100'),
(11684,'47581992','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','79500'),
(11685,'47581993','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11686,'47581994','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11687,'47582004','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','11100'),
(11688,'47582005','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','259200'),
(11689,'47582006','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','5400000'),
(11690,'47582025','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','26100'),
(11691,'47582026','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11692,'47582027','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11693,'47585794','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','79500'),
(11694,'47585795','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','18060000'),
(11695,'47585812','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','134100'),
(11696,'47585813','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','583200'),
(11697,'47585814','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(11698,'47586015','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','954000'),
(11699,'47586016','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','1102000'),
(11700,'47586017','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','12325000'),
(11701,'47586251','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.09940','161000'),
(11702,'47586252','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','826500'),
(11703,'47586253','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','20400000'),
(11704,'47586274','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','90600'),
(11705,'47586427','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10335','954000'),
(11706,'47586428','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','771400'),
(11707,'47586429','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','11900000'),
(11708,'47586436','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10481','2600'),
(11709,'47586437','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(11710,'47586438','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(11711,'47586443','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','26100'),
(11712,'47586444','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11713,'47586445','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0009.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11714,'47586449','APBD','2024','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.01.01.0024.1.1.1.20.10.30.001.09872','50200'),
(11715,'36196038','APBD','','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1700000'),
(11716,'36196047','APBD','','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1500000'),
(11717,'36196070','APBD','','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2500000'),
(11718,'36197186','APBD','','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1700000'),
(11719,'36197389','APBD','','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1700000'),
(11720,'36199963','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(11721,'36199963','APBD','','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','400000'),
(11722,'36200158','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1600000'),
(11723,'36200158','APBD','','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.04.01.0004.8.1.0.20.40.10.004.00043','400000'),
(11724,'36200237','APBD','','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2000000'),
(11725,'36200341','APBD','','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1000000'),
(11726,'36201845','APBD','','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.02.01.0003.8.1.0.20.20.10.003.00012','1200000'),
(11727,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00289','4152000'),
(11728,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00299','4950000'),
(11729,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00415','2400000'),
(11730,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','1260000'),
(11731,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','250000'),
(11732,'36201871','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00786','1979000'),
(11733,'36202302','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00030','1000000'),
(11734,'36202302','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','24000000'),
(11735,'36202302','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','26400000'),
(11736,'36203115','APBD','','Kab. Bondowoso','7.01.02.2.04.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1900000'),
(11737,'36203122','APBD','','Kab. Bondowoso','7.01.02.2.04.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1900000'),
(11738,'36203216','APBD','','Kab. Bondowoso','7.01.02.2.04.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1900000'),
(11739,'36203473','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00074','2250000'),
(11740,'36203474','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','7600000'),
(11741,'36203511','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','800000'),
(11742,'36203538','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','800000'),
(11743,'36203539','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','4200000'),
(11744,'36203539','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00468','500000'),
(11745,'36203539','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0005.8.1.0.20.40.10.005.00903','4000000'),
(11746,'36203558','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1700000'),
(11747,'36203591','APBD','','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1200000'),
(11748,'36205972','APBD','','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2800000'),
(11749,'36205974','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2400000'),
(11750,'36206009','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2400000'),
(11751,'36206132','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00010','4800000'),
(11752,'36206132','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00066','750000'),
(11753,'36206133','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','4600000'),
(11754,'36206134','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','3000000'),
(11755,'36206228','APBD','','Kab. Bondowoso','7.01.06.2.01.0002.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2400000'),
(11756,'36206234','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2400000'),
(11757,'36206234','APBD','','Kab. Bondowoso','7.01.06.2.01.0003.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','1400000'),
(11758,'36206249','APBD','','Kab. Bondowoso','7.01.06.2.01.0017.5.1.02.04.01.0003.8.1.0.20.40.10.001.00025','2600000'),
(11759,'47069914','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.11181','138000'),
(11760,'47069915','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','1017600'),
(11761,'47069916','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','110200'),
(11762,'47069917','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(11763,'47069939','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','373200'),
(11764,'47069940','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1724700'),
(11765,'47069941','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','129600'),
(11766,'47069942','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(11767,'47069955','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10060','134000'),
(11768,'47069956','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02022','165300'),
(11769,'47069957','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03286','1060000'),
(11770,'47069958','APBD','2024','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','6800000'),
(11771,'47069978','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','25000'),
(11772,'47069979','APBD','2024','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','2250000'),
(11773,'47069988','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(11774,'47069989','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11775,'47070000','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(11776,'47070002','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','3000000'),
(11777,'47070041','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(11778,'47070042','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0006.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11779,'47070062','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','300000'),
(11780,'47070063','APBD','2024','Kab. Bondowoso','7.01.03.2.06.0007.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','1700000'),
(11781,'47070105','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','648000'),
(11782,'47070106','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(11783,'47070107','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','5950000'),
(11784,'47070108','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','750000'),
(11785,'47070120','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10068','1260000'),
(11786,'47070121','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02058','93000'),
(11787,'47070122','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','10200000'),
(11788,'47070123','APBD','2024','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','795000'),
(11789,'47070138','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','625000'),
(11790,'47070139','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11791,'47070140','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','763200'),
(11792,'47070141','APBD','2024','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12000000'),
(11793,'47070144','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','600000'),
(11794,'47070145','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0002.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','6000000'),
(11795,'47070150','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','133200'),
(11796,'47070151','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','388800'),
(11797,'47070152','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','636000'),
(11798,'47070153','APBD','2024','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','2550000'),
(11799,'47070201','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0008.5.1.02.01.01.0053.8.1.0.20.10.10.053.00001','1800000'),
(11800,'47070215','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0007.5.1.02.01.01.0001.1.1.1.20.10.10.001.13323','300000'),
(11801,'47070245','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.02245','500000'),
(11802,'47070249','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01942','86000'),
(11803,'47070254','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.04549','150000'),
(11804,'47070274','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1500000'),
(11805,'47070275','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02176','1500000'),
(11806,'47070276','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(11807,'47070277','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0053.8.1.0.20.10.10.053.00001','18000000'),
(11808,'47070281','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','546000'),
(11809,'47070282','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0026.1.1.1.20.10.30.003.00346','954000'),
(11810,'47070296','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00429','27090000'),
(11811,'47070297','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0013.1.1.1.20.10.20.001.05316','115000'),
(11812,'47070299','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11813,'47070300','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11814,'47070301','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11815,'47070305','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11816,'47070306','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11817,'47070307','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11818,'47070310','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','415000'),
(11819,'47070311','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11820,'47070312','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11821,'47070319','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11822,'47070320','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11823,'47070321','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11824,'47070332','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11825,'47070333','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11826,'47070334','APBD','2024','Kab. Bondowoso','7.01.01.2.02.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11827,'47070355','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11828,'47070356','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11829,'47070357','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0007.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11830,'47070372','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11831,'47070373','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11832,'47070374','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11833,'47070381','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11834,'47070382','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11835,'47070383','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(11836,'47070404','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11837,'47070405','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11838,'47070406','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11839,'47070412','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11840,'47070413','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11841,'47070414','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11842,'47070417','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11843,'47070418','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11844,'47070419','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','254400'),
(11845,'47070424','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','112800'),
(11846,'47070425','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11847,'47070426','APBD','2024','Kab. Bondowoso','7.01.01.2.01.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03300','508800'),
(11848,'47070432','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11849,'47070433','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11850,'47070434','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11851,'47070448','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11852,'47070449','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11853,'47070450','APBD','2024','Kab. Bondowoso','7.01.01.2.05.0003.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11854,'47070455','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11855,'47070456','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11856,'47070457','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0006.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11857,'47070463','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11858,'47070464','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11859,'47070465','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0005.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11860,'47070474','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','174000'),
(11861,'47070475','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11862,'47070476','APBD','2024','Kab. Bondowoso','7.01.01.2.03.0001.5.1.02.01.01.0029.1.1.1.20.10.30.006.03301','381600'),
(11863,'47070956','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00012','10500000'),
(11864,'47070957','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00037','6000000'),
(11865,'36001573','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8320000'),
(11866,'36001574','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00099','7200000'),
(11867,'36001574','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00100','2400000'),
(11868,'36001574','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00101','2400000'),
(11869,'36001574','APBD','','Kab. Bondowoso','7.01.03.2.01.0003.5.1.02.02.01.0004.8.1.0.20.20.10.004.00102','3000000'),
(11870,'36001583','APBD','','Kab. Bondowoso','7.01.03.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','6240000'),
(11871,'36001593','APBD','','Kab. Bondowoso','7.01.03.2.01.0002.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1600000'),
(11872,'36001606','APBD','','Kab. Bondowoso','7.01.03.2.05.0003.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','1280000'),
(11873,'36001640','APBD','','Kab. Bondowoso','7.01.05.2.01.0008.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8160000'),
(11874,'36001654','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00004','1600000'),
(11875,'36001655','APBD','','Kab. Bondowoso','7.01.05.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12480000'),
(11876,'36001667','APBD','','Kab. Bondowoso','7.01.04.2.02.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','12480000'),
(11877,'36001671','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.02.01.0003.8.1.0.20.20.10.003.00080','7200000'),
(11878,'36001672','APBD','','Kab. Bondowoso','7.01.04.2.01.0001.5.1.02.04.01.0004.8.1.0.20.40.10.004.00028','8320000'),
(11879,'36001685','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00285','1800000'),
(11880,'36001685','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00294','5380000'),
(11881,'36001685','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00398','350000'),
(11882,'36001685','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00416','2050000'),
(11883,'36001685','APBD','','Kab. Bondowoso','7.01.01.2.06.0009.5.1.02.04.01.0005.8.1.0.20.40.10.005.00417','420000'),
(11884,'36001807','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00010','14400000'),
(11885,'36001808','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00063','79200000'),
(11886,'47570003','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','840000'),
(11887,'47570015','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10151','312500'),
(11888,'47570148','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','972000'),
(11889,'47570149','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10280','84600'),
(11890,'47570230','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00083','1100000'),
(11891,'47570259','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3000000'),
(11892,'47570265','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.03.02.0038.8.1.0.20.30.20.038.00001','1200000'),
(11893,'36196451','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.0','98868100'),
(11894,'36196483','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','26700000'),
(11895,'36196484','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','25800000'),
(11896,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00009','2000000'),
(11897,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','12000000'),
(11898,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','6000000'),
(11899,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','6000000'),
(11900,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00004','9000000'),
(11901,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00007','3000000'),
(11902,'36196485','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00008','600000'),
(11903,'47003222','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0024.','785900'),
(11904,'47004273','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0025.','1949100'),
(11905,'47007604','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0029.','265000'),
(11906,'47010450','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0024.','2223800'),
(11907,'47011114','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0025.,','712800'),
(11908,'47011351','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0029.','265000'),
(11909,'47012690','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0039.','12258400'),
(11910,'47013640','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0052.','47940000'),
(11911,'47015214','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0056.','31800000'),
(11912,'47103695','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024., ,','1503200'),
(11913,'47104263','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.','2656800'),
(11914,'47104608','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.','780000'),
(11915,'47104976','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.','23500000'),
(11916,'47106115','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0029.','1100000'),
(11917,'47106556','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.2.02.10.01.0002.','7900000'),
(11918,'47107571','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.','3550000'),
(11919,'47108016','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.','300000'),
(11920,'35973778','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.','77000000'),
(11921,'35974308','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.','22000000'),
(11922,'35977183','APBD','','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.02.01.0003.','4800000'),
(11923,'36016972','APBD','','Kab. Bondowoso','7.01.01.2.08.0000.2.5.10.20.20.1006.0.','960000'),
(11924,'36017119','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.','3900000'),
(11925,'36017252','APBD','','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.','3850000'),
(11926,'36054521','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.','16500000'),
(11927,'36054557','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.','24300000'),
(11928,'36054698','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','3700000'),
(11929,'36054949','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.','48000000'),
(11930,'36055143','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0031.','6000000'),
(11931,'45522670','APBD','2024','Kab. Bondowoso','7.01.01.2.06.00.0.1.51.02.01.0100.3.1.','1313200'),
(11932,'45523772','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.','912000'),
(11933,'45524255','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.','2400000'),
(11934,'45680428','APBD','2024','Kab. Bondowoso','7.01.01.2.09.00.0.1.51.02.01.0100.1.3.','1129700'),
(11935,'45683968','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0024.','5450000'),
(11936,'45684527','APBD','2024','Kab. Bondowoso','7.01.03.2.02.00.0.1.51.02.01.0100.5.2.','16920000'),
(11937,'45684813','APBD','2024','Kab. Bondowoso','7.01.03.2.02.00.0.4.51.02.01.0100.5.2.','3760000'),
(11938,'35401608','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.','12000000'),
(11939,'35401608','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0016.','240000'),
(11940,'35401608','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.','12600000'),
(11941,'35401608','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.','47700000'),
(11942,'35401608','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0035.','2000000'),
(11943,'35443945','APBD','','Kab. Bondowoso','7.01.03.2.02.00.0.2.51.02.01.0100.2.4.','744000'),
(11944,'35443945','APBD','','Kab. Bondowoso','7.01.03.2.02.00.0.2.51.02.01.0100.2.5.','234000'),
(11945,'35443945','APBD','','Kab. Bondowoso','7.01.03.2.02.00.0.2.51.05.05.0300.0.1.','99022000'),
(11946,'35444365','APBD','','Kab. Bondowoso','7.01.03.2.02.00.0.3.51.02.02.0100.0.3.','800000'),
(11947,'35444423','APBD','','Kab. Bondowoso','7.01.03.2.02.00.0.4.51.02.02.0100.0.3.','400000'),
(11948,'47586756','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.2.02.10.02.0003.1.3.0.21.00.20.003.02357','3180000'),
(11949,'47586757','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03294','3109400'),
(11950,'47586758','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.2.02.10.01.0002.1.3.0.21.00.10.002.01910','13250000'),
(11951,'47586762','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09976','38000'),
(11952,'47586763','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','372000'),
(11953,'47586764','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','7200000'),
(11954,'47586767','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','1320000'),
(11955,'47586768','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00020','1020000'),
(11956,'47586769','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00003','3600000'),
(11957,'47586786','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00438','3000000'),
(11958,'47586795','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.09928','95500'),
(11959,'47586796','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(11960,'47586803','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10083','40000'),
(11961,'47586804','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','194400'),
(11962,'47586805','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','8500000'),
(11963,'47586806','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0056.8.1.0.20.10.10.056.00007','39000000'),
(11964,'36206408','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.0','97000000'),
(11965,'36206409','APBD','','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.02.01.0026.8.1.0.20.20.10.026.00038','3600000'),
(11966,'36206770','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00007','4500000'),
(11967,'36206770','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00008','600000'),
(11968,'36206770','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00009','0'),
(11969,'36206770','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','72000000'),
(11970,'36206771','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00017','240000'),
(11971,'36206772','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00024','9000000'),
(11972,'36206773','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','33000000'),
(11973,'36206774','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','29400000'),
(11974,'46818049','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2060.2.5.2.02.10.01.000.2','11000000'),
(11975,'46818331','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2060.2.5.2.02.10.01.000.3','3000000'),
(11976,'46819973','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2060.4.5.1.02.01.01.002.4','4765000'),
(11977,'46820623','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2060.4.5.1.02.01.01.002.5','4835000'),
(11978,'46821038','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2060.4.5.1.02.01.01.005.2','14100000'),
(11979,'46821498','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.2.5.1.02.02.01.006.1','2700000'),
(11980,'46821737','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.2.5.1.02.02.01.006.3','6000000'),
(11981,'46871830','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.1.5.1.02.01.01.000.4','2400000'),
(11982,'46872146','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.02.01.003.5','1200000'),
(11983,'46872925','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.4','1095000'),
(11984,'46873124','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.5','324000'),
(11985,'46873290','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.9','424000'),
(11986,'46874992','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.4','1017400'),
(11987,'46875341','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.5','129600'),
(11988,'46875476','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.002.9','212000'),
(11989,'46875974','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.003.9','48750000'),
(11990,'46876544','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.005.2','28811000'),
(11991,'46878163','APBD','2024','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2090.2.5.1.02.01.01.005.6','20280000'),
(11992,'35890897','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.02.2024.5.1.0.50.50.30.001.','98157000'),
(11993,'35891529','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.02.2024.5.1.0.20.20.10.003.','800000'),
(11994,'35913391','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.001.4','16500000'),
(11995,'35913483','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.001.6','440000'),
(11996,'35913541','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.001.7','18600000'),
(11997,'35913584','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.002.6','24300000'),
(11998,'35913635','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.002.7','12000000'),
(11999,'35913697','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.003.0','6000000'),
(12000,'35913753','APBD','','Kab. Bondowoso','7.01.00.0.00.0010.0.0.67.01.01.2080.4.5.1.02.02.01.003.1','4800000'),
(12001,'47577639','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02354','465000'),
(12002,'47577640','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','1590000'),
(12003,'47577641','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03308','2035200'),
(12004,'47577642','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','12870000'),
(12005,'47577643','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09928','573000'),
(12006,'47577656','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','1712100'),
(12007,'47577685','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0059.8.1.0.20.20.10.059.00001','6000000'),
(12008,'47577748','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','3600000'),
(12009,'47577762','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','324000'),
(12010,'47577763','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','700000'),
(12011,'47577764','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03283','397500'),
(12012,'47577765','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10071','52500'),
(12013,'47577790','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.2.02.05.02.0007.1.3.0.20.50.20.007.00885','33428500'),
(12014,'47577791','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','595000'),
(12015,'47577792','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0056.8.1.0.20.10.10.056.00007','25150000'),
(12016,'47577793','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10785','220500'),
(12017,'36201527','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','31500000'),
(12018,'36201528','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00037','6000000'),
(12019,'36201529','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','25200000'),
(12020,'36201530','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00008','400000'),
(12021,'36201531','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00037','90000000'),
(12022,'36201532','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00007','4800000'),
(12023,'36201543','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.0','95000000'),
(12024,'36201549','APBD','','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.02.01.0003.8.1.0.20.20.10.003.00009','400000'),
(12025,'47587903','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0029.1.1.1.20.10.30.006.03207','1199200'),
(12026,'47587904','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3532500'),
(12027,'47587905','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0002.5.1.02.01.01.0025.1.1.1.20.10.30.002.02160','181000'),
(12028,'47587988','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0056.8.1.0.20.10.10.056.00007','19305000'),
(12029,'47587993','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00409','636000'),
(12030,'47588004','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','1200000'),
(12031,'47588031','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00104','1500000'),
(12032,'47588033','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','3650700'),
(12033,'36206889','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.0','91000000'),
(12034,'36206944','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00007','3000000'),
(12035,'36206944','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00008','600000'),
(12036,'36206944','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00009','2000000'),
(12037,'36206944','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','18000000'),
(12038,'36206945','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0027.8.1.0.20.20.10.027.00001','12000000'),
(12039,'36206946','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','13800000'),
(12040,'36206946','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','3000000'),
(12041,'36206947','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','9000000'),
(12042,'36206947','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','9000000'),
(12043,'36206948','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0016.8.1.0.20.20.10.016.00017','240000'),
(12044,'47590853','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0001.5.1.02.01.01.0031.1.1.1.20.10.30.008.03633','573000'),
(12045,'47590855','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0002.5.1.02.01.01.0030.1.1.1.20.10.30.007.01726','209000'),
(12046,'47590859','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0003.5.1.02.01.01.0030.1.1.1.20.10.30.007.01827','204900'),
(12047,'47590867','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.10155','580000'),
(12048,'47590869','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02204','220000'),
(12049,'47590872','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0027.1.1.1.20.10.30.004.00042','380000'),
(12050,'47590874','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0029.1.1.1.20.10.30.006.03647','1300000'),
(12051,'47590875','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','7769000'),
(12052,'47590880','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','750000'),
(12053,'47590898','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0060.8.1.0.20.20.10.060.00007','4800000'),
(12054,'47590899','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0061.8.1.0.20.20.10.061.00020','1200000'),
(12055,'47590900','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0062.8.1.0.20.20.10.062.00004','1500000'),
(12056,'47590901','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00027','4200000'),
(12057,'47590903','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0003.5.1.02.02.01.0035.8.1.0.20.20.10.035.00010','500000'),
(12058,'47590921','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.01.01.0004.1.1.1.20.10.10.004.00427','4432000'),
(12059,'47590922','APBD','2024','Kab. Bondowoso','7.01.01.2.09.0001.5.1.02.02.01.0035.8.1.0.20.20.10.035.00061','300000'),
(12060,'47590926','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0024.1.1.1.20.10.30.001.10479','69000'),
(12061,'47590927','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0052.8.1.0.20.10.10.052.00001','17221000'),
(12062,'47590928','APBD','2024','Kab. Bondowoso','7.01.03.2.02.0003.5.1.02.01.01.0056.8.1.0.20.10.10.056.00002','25800000'),
(12063,'36208180','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0014.8.1.0.20.20.10.014.00046','18000000'),
(12064,'36208181','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0017.8.1.0.20.20.10.017.00003','25200000'),
(12065,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00034','48000000'),
(12066,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00003','0'),
(12067,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00004','9000000'),
(12068,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00007','3000000'),
(12069,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00008','600000'),
(12070,'36208182','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0026.8.1.0.20.20.10.026.00035','7200000'),
(12071,'36208184','APBD','','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0030.8.1.0.20.20.10.030.00011','4800000'),
(12072,'36208398','APBD','','Kab. Bondowoso','7.01.03.2.02.0002.5.1.05.05.03.0001.0','100000000'),
(12073,'47457658','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0024.1.1.1.20.10.30.001.09927','110000'),
(12074,'47457659','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0025.1.1.1.20.10.30.002.02351','2851200'),
(12075,'47457660','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0004.5.1.02.01.01.0052.8.1.0.20.10.10.052.00002','16500000'),
(12076,'47457691','APBD','2024','Kab. Bondowoso','7.01.01.2.06.0005.5.1.02.01.01.0024.1.1.1.20.10.30.001.10354','2128000'),
(12077,'47457704','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0002.5.1.02.02.01.0063.8.1.0.20.20.10.063.00007','5500000'),
(12078,'47457746','APBD','2024','Kab. Bondowoso','7.01.01.2.08.0004.5.1.02.02.01.0035.8.1.0.20.20.10.035.00008','800000'),
(12079,'47445954','APBD','2024','Kab. Bondowoso','7.01.01.2.06.2510.2.0.10.15.10.2010.1.0.0.30.','2550000'),
(12080,'47446648','APBD','2024','Kab. Bondowoso','5.10.27.0.10.1206.5.1.02.51.02.0101.0.0.2.4','2923300'),
(12081,'47446823','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.2.5','1879200'),
(12082,'47447013','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.2.9','1793000'),
(12083,'47447111','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.5.2','15040000'),
(12084,'47447376','APBD','2024','Kab. Bondowoso','7.01.01.2.09.5102.0.1.01.51.02.0101.0.0.0.4','4373900'),
(12085,'47447607','APBD','2024','Kab. Bondowoso','7.01.01.2.09.5102.0.1.01.51.02.0101.0.0.1.3','1074100'),
(12086,'47448361','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5151.0.2.51.02.02.0100.6.0.','6000000'),
(12087,'47448504','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5151.0.2.51.02.02.0100.6.0.','2340000'),
(12088,'47448544','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5151.0.2.51.02.02.0100.6.1.','1260000'),
(12089,'47448996','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.00.3','5200000'),
(12090,'47449148','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.01.4','9900000'),
(12091,'47449269','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.01.6','240000'),
(12092,'47449345','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.01.7','24000000'),
(12093,'47449500','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.02.6','50300000'),
(12094,'47449575','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.03.1','6000000'),
(12095,'47449640','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.03.0','6000000'),
(12096,'47449700','APBD','2024','Kab. Bondowoso','7.01.01.2.08.5102.5.1.02.02.01.5102.0.2.0.10.03.5','2500000'),
(12097,'47449933','APBD','2024','Kab. Bondowoso','7.01.01.2.07.5102.0.1.01.52.02.1002.0.0.0.3','3651500'),
(12098,'47450811','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.3.0','2065000'),
(12099,'47451037','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.2.4','2550000'),
(12100,'47451177','APBD','2024','Kab. Bondowoso','7.01.01.2.06.5102.0.1.01.51.02.0101.0.0.3.1','2500000'),
(12101,'47451679','APBD','2024','Kab. Bondowoso','7.01.03.2.02.5102.0.1.01.51.02.0101.0.0.2.4','4452000'),
(12102,'47451738','APBD','2024','Kab. Bondowoso','7.01.03.2.02.5102.0.1.01.51.02.0101.0.0.2.5,','4536000'),
(12103,'47451820','APBD','2024','Kab. Bondowoso','7.01.03.2.02.5102.0.1.01.51.02.0101.0.0.5.6','27500000'),
(12104,'47451876','APBD','2024','Kab. Bondowoso','7.01.03.2.02.5102.0.1.01.51.02.0101.0.0.5.2','63512000'),
(12105,'36146302','APBD','','Kab. Bondowoso','7.01.03.2.02.5105.0.5.03.00.01.7010.3.5.1.05.05.','100000000'),
(12106,'47391075','BLUD','2024','Kab. Bondowoso','1.02.01.0.21.0001.5.1.02.01.01.0037.1.1.7.01.04.01.001.0001','6458970700'),
(12107,'47391538','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0037.1.1.7.01.04.01.001.0001','6000000000'),
(12108,'47393407','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0037.1.1.7.01.04.01.001.0002','2600000000'),
(12109,'47394657','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0037.1.1.7.01.04.01.001.0003','50000000'),
(12110,'47395037','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0037.1.1.7.01.04.01.001.0004','3000000'),
(12111,'47397190','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0004','2159700000'),
(12112,'47398198','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0004','2000000000'),
(12113,'47398892','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0002','1750000000'),
(12114,'47399252','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0002','1750000000'),
(12115,'47399708','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0001','10000000'),
(12116,'47400021','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0001','70000000'),
(12117,'47400465','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0001.1.1.7.01.01.01.022.00001','40000000'),
(12118,'47400631','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0005','550000000'),
(12119,'47401401','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0005','800000000'),
(12120,'47401894','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0003','867000000'),
(12121,'47402394','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.12.001.0006','1000000'),
(12122,'47403542','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0010.1.1.7.01.01.09.002.00002','12500000'),
(12123,'47405247','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.02.001.0003','500000000'),
(12124,'47405483','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0024.1.1.7.01.03.06.003.00002','50000000'),
(12125,'47407496','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0064.9.1.2.13.01.01.001.00008','100000000'),
(12126,'47408632','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0052.9.1.2.11.02.01.001.0001','45600000'),
(12127,'47409900','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0053.9.1.2.11.03.01.001.0001','29000000'),
(12128,'47413905','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0031.1.1.7.01.03.08.002.00002','38000000'),
(12129,'47414460','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0035.1.1.7.01.03.12.002.00001','10000000'),
(12130,'47415134','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0036.1.1.7.01.03.12.001.00001','2000000'),
(12131,'47416579','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.02.005.0004','2400000000'),
(12132,'47420625','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0012.1.1.7.01.01.02.001.0003','3300000000'),
(12133,'47420665','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0036.9.1.2.19.04.01.001.0001','64100000'),
(12134,'47423580','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.05.01.01.0001.1.3.4.04.02.02.004.0001','100000000'),
(12135,'47459477','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.02.0004.1.3.2.05.02.04.005.00005','600000000'),
(12136,'47463685','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.07.01.0015.1.3.2.07.01.04.045.0001','35000000'),
(12137,'47464817','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.04.0123.9.1.2.19.01.01.001.00001','3000000'),
(12138,'47466643','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0035.9.1.2.18.02.02.001.00001','220000000'),
(12139,'47466849','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0035.9.1.2.18.02.02.001.00001','500000'),
(12140,'47467089','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0040.9.1.2.18.02.02.001.00001','100000000'),
(12141,'47467623','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0061.9.1.2.19.02.03.001.00001','10000000'),
(12142,'47468756','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0404.9.1.2.18.02.10.002.00003','100000000'),
(12143,'47469110','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0405.9.1.2.18.02.10.001.00001','90000000'),
(12144,'47472769','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0002.1.1.7.01.01.02.005.00001','700000000'),
(12145,'47472830','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.02.01.0001.1.3.2.02.01.01.004.00001','500000000'),
(12146,'47473320','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0002.1.1.7.01.01.02.005.00002','304000000'),
(12147,'47473966','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0010.1.3.2.03.03.16.021.0010','50000000'),
(12148,'47475230','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.02.02.0001.1.3.2.02.02.01.008.00002','7000000'),
(12149,'47475836','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.03.02.0007.1.3.2.03.02.07.009.00001','8000000'),
(12150,'47477658','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0117.1.3.2.05.02.06.008.0117','100000000'),
(12151,'47478279','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.01.0004.1.3.2.05.01.04.003.00003','750000'),
(12152,'47478461','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0121.1.3.2.05.02.03.064.0121','40000000'),
(12153,'47478859','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.01.0005.1.3.2.05.01.05.002.00001','50000000'),
(12154,'47480553','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0121.1.3.2.05.02.04.004.0121','100000000'),
(12155,'47482487','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.01.03.0004.1.3.2.06.03.47.002.0004','3200000000'),
(12156,'47484582','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.06.01.0001.1.3.2.06.01.01.048.00002','4000000'),
(12157,'47485564','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.15.20.0006.1.3.2.15.02.06.001.00001','15000000'),
(12158,'47486904','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.06.01.05.0001.1.5.3.01.01.05.002.00001','300000000'),
(12159,'47487985','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.10.02.0004.1.3.2.10.02.04.033.00001','100000000'),
(12160,'47495196','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0056.1.1.7.01.07.01.003.00002','568000000'),
(12161,'47496337','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0232.9.1.2.18.02.07.001.0001','650000000'),
(12162,'47496465','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0056.1.1.7.01.07.01.003.00001','20000000'),
(12163,'47497335','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.02.0232.9.1.2.18.02.07.001.0001','100000000'),
(12164,'47505603','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.08.01.0011.1.2.3.08.01.25.008.0001','700000000'),
(12165,'47506202','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0073.9.1.2.03.12.01.001.00001','90000000'),
(12166,'47506961','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.07.02.0005.1.3.2.07.01.29.001.0001','100000000'),
(12167,'47515902','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0050.9.1.2.03.08.01.001.00003','13500000'),
(12168,'47516482','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0059.9.1.2.03.01.01.001.0001','30000000'),
(12169,'47517775','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.10.02.0003.1.3.2.10.02.03.018.00013','500000'),
(12170,'47518170','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0060.9.1.2.03.02.01.001.0001','45000000'),
(12171,'47519114','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0061.9.1.2.03.03.01.001.0001','1900000000'),
(12172,'47519787','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0010.1.1.7.01.01.10.002.0011','200000000'),
(12173,'47520502','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.02.0003.1.3.2.05.02.03.007.0001','5000000'),
(12174,'47521299','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.05.01.01.0001.1.3.5.01.01.07.010.0001','10000000'),
(12175,'47521440','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0063.9.1.2.03.06.01.001.0003','24500000'),
(12176,'47522642','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.02.0005.1.3.2.05.02.05.022.0002','9200000'),
(12177,'47523033','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.02.0006.1.3.2.05.02.06.077.00001','50000000'),
(12178,'47524771','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0067.9.1.3.01.05.01.001.0003','500000'),
(12179,'47527682','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0039.9.1.2.03.12.01.001.0001','2100000'),
(12180,'47531249','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0027.9.1.2.01.04.01.001.0001','12500000'),
(12181,'47539509','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0058.1.1.7.01.01.10.003.00001','699600000'),
(12182,'47539789','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.05.02.0001.1.3.2.05.02.01.048.00002','24000000'),
(12183,'47539822','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0058.1.1.7.01.01.10.003.00002','96000000'),
(12184,'47540108','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0058.1.1.7.01.01.10.003.00003','2000000'),
(12185,'47610212','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.03.01.01.0006.1.3.3.01.01.06.001.0006','2427184000'),
(12186,'47610770','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.03.01.01.0006.9.1.2.19.03.01.001.0006','72816000'),
(12187,'47611928','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.03.0050.1.3.3.01.01.06.019.0050','50000000'),
(12188,'47613849','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0029.1.1.7.01.03.06.012.00002','5000000'),
(12189,'47623464','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.09.0011.9.1.2.19.04.01.001.0001','65000000'),
(12190,'47625667','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.06.02.0001.1.3.2.06.02.01.022.00001','16000000'),
(12191,'47628107','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0030.1.1.7.01.03.07.015.00001','1000000'),
(12192,'47643354','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.04.0113.1.3.2.07.01.04.020.0113','50000000'),
(12193,'47664310','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0016.9.1.2.03.12.01.001.00001','800000'),
(12194,'48396091','BLUD','2024','Kab. Bondowoso','1.02.01.2.02.0001.5.2.02.10.01.0002.1.3.2.10.02.04.001.00003','271300000'),
(12195,'48603665','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.07.01.0001.1.3.2.07.01.01.042.00014','91000000'),
(12196,'48609966','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.07.01.0002.1.3.2.07.01.02.047.00010','710000'),
(12197,'48716693','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.10.01.0002.1.3.2.10.01.03.001.00003','1500000000'),
(12198,'48765365','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0001.9.1.2.23.01.01.001.00002','544000000'),
(12199,'48806768','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.2.02.07.01.0029.1.3.2.07.01.28.002.0001','11490000'),
(12200,'48968351','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0030.1.1.7.01.03.07.015.00001','500000000'),
(12201,'48974012','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0056.1.1.7.01.07.01.003.00004','1457000000'),
(12202,'48974257','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0056.1.1.7.01.07.01.003.00003','200000000'),
(12203,'49733797','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0026.1.1.7.01.03.01.014.00005','30000000'),
(12204,'49733855','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0026.1.1.7.01.03.01.014.00001','258400000'),
(12205,'49848780','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0062.9.1.2.03.05.01.001.00001','31000000'),
(12206,'49849345','BLUD','2024','Kab. Bondowoso','1.02.01.1.10.0001.5.1.02.02.01.0066.9.1.9.03.01.01.001.00001','5000000'),
(12207,'50014554','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0032.1.3.2.09.04.06.009.0001','350000000'),
(12208,'50038188','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0029.9.1.2.19.04.01.001.00002','10000000'),
(12209,'50072489','BLUD','2024','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.03.03.0006.1.3.3.01.01.06.001.0006','483130000'),
(12210,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00001','30000000'),
(12211,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00002','40000000'),
(12212,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00003','13942500'),
(12213,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00004','2535000'),
(12214,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00005','10000000'),
(12215,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00006','5125000'),
(12216,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00007','8000000'),
(12217,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00008','260000'),
(12218,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00009','11000000'),
(12219,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00010','16500000'),
(12220,'36124869','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0003.9.1.2.24.01.01.001.00011','5000000'),
(12221,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00001','18000000'),
(12222,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00002','20900000'),
(12223,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00003','7507500'),
(12224,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00004','1400000'),
(12225,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00005','5812500'),
(12226,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00006','2375000'),
(12227,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00007','5400000'),
(12228,'36125103','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0011.9.1.2.24.01.01.001.00008','8740000'),
(12229,'36166678','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0071.9.1.1.07.03.01.001.00001','5000000'),
(12230,'36167486','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0010.1.1.7.01.01.10.002.0051','750000000'),
(12231,'36174318','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0010.1.1.7.01.01.10.002.0015','214400000'),
(12232,'36175010','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.01.01.0010.1.1.7.01.01.10.002.0433','5000000'),
(12233,'36176451','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.04.01.0003.9.1.2.15.03.01.001.00001','2000000'),
(12234,'36177255','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.04.01.0001.9.1.2.15.02.01.001.00001','300000000'),
(12235,'36178437','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.01.0014.9.1.2.03.12.01.001.00001','54800248000'),
(12236,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00001','8175000'),
(12237,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00004','5000000'),
(12238,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00003','8325000'),
(12239,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00007','50000000'),
(12240,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00002','3500000'),
(12241,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00006','50000000'),
(12242,'36178897','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.12.0002.9.1.2.23.02.01.001.00005','50000000'),
(12243,'36217281','BLUD','','Kab. Bondowoso','1.02.01.0.10.0001.5.1.02.02.02.0005.9.1.1.01.09.01.001.00001','310000000'),
(12244,'36217459','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.02.0006.9.1.1.01.09.01.001.00002','48000000'),
(12245,'36217625','BLUD','','Kab. Bondowoso','1.02.01.2.10.0001.5.1.02.02.02.0009.9.1.1.01.09.01.001.00003','500000'),
(12246,'46993077','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0024.','4789300'),
(12247,'46993911','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0025.','2490700'),
(12248,'46994616','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0029.','4770000'),
(12249,'46995082','APBD','2024','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.01.01.0052.','7650000'),
(12250,'47002576','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0024.','1880500'),
(12251,'47002940','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0025.','1849500'),
(12252,'47003351','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0005.5.1.02.01.01.0024.','4770000'),
(12253,'47004567','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0007.5.1.02.01.01.0024.','520300'),
(12254,'47004923','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0007.5.1.02.01.01.0025.','817200'),
(12255,'47005455','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0007.5.1.02.01.01.0029.','662500'),
(12256,'47006098','APBD','2024','Kab. Bondowoso','1.05.01.2.02.0007.5.1.02.01.01.0052.','1500000'),
(12257,'47007530','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0001.5.1.02.01.01.0024.','34200'),
(12258,'47008013','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0001.5.1.02.01.01.0031.','3445800'),
(12259,'47010417','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0024.','3287500'),
(12260,'47011429','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0029.','8103000'),
(12261,'47013109','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0053.','7800000'),
(12262,'47013784','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.01.01.0024.','91000'),
(12263,'47016092','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.01.01.0024.','162000'),
(12264,'47016816','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0059.','2200000'),
(12265,'47018042','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0060.','6000000'),
(12266,'47018659','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0061.','4500000'),
(12267,'47019309','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.01.0063.','25800000'),
(12268,'47019885','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0002.5.1.02.02.06.0130.','2500000'),
(12269,'47020890','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0003.5.1.02.02.01.0035.','2000000'),
(12270,'47021421','APBD','2024','Kab. Bondowoso','1.05.01.2.08.0003.5.1.02.02.01.0039.','1750000'),
(12271,'47026879','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0002.5.1.02.01.01.0004.','107215400'),
(12272,'47027461','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0002.5.1.02.01.01.0013.','180000000'),
(12273,'47027809','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0002.5.1.02.01.01.0024.','6600'),
(12274,'47028194','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0002.5.1.02.02.01.0067.','30000000'),
(12275,'47028498','APBD','2024','Kab. Bondowoso','1.05.01.2.09.0002.5.1.02.03.02.0036.','65000000'),
(12276,'47030101','APBD','2024','Kab. Bondowoso','1.05.01.2.06.0004.5.1.02.01.01.0029.','2517500'),
(12277,'47116788','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.01.01.0024.','1131600'),
(12278,'47117468','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.01.01.0025.','518400'),
(12279,'47118020','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.01.01.0029.','530000'),
(12280,'47118922','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.01.01.0052.','5640000'),
(12281,'47119356','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.01.01.0058.','9000000'),
(12282,'47122695','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.01.01.0004.','6160000'),
(12283,'47123354','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.01.01.0024.','3185800'),
(12284,'47123917','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.01.01.0025.','1714200'),
(12285,'47124432','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.01.01.0029.','2120000'),
(12286,'47135491','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.01.01.0004.','3542000'),
(12287,'47135967','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.01.01.0024.','358000'),
(12288,'47136461','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.01.01.0052.','3450000'),
(12289,'47136745','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.01.01.0058.','12750000'),
(12290,'47137979','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.02.01.0047.','22250000'),
(12291,'47139855','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0008.5.1.02.01.01.0024.','105600'),
(12292,'47139964','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0008.5.1.02.01.01.0025.','194400'),
(12293,'47140161','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0008.5.1.02.01.01.0052.','4700000'),
(12294,'47140552','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.01.01.0004.','61759600'),
(12295,'47141005','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.01.01.0024.','2115400'),
(12296,'47141226','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.01.01.0025.','1620000'),
(12297,'47141428','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.01.01.0029.','1855000'),
(12298,'47142006','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.01.01.0058.','53448000'),
(12299,'47143636','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0016.5.1.02.01.01.0024.','113200'),
(12300,'47143844','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0016.5.1.02.01.01.0025.','489300'),
(12301,'47144187','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0016.5.1.02.01.01.0024.','397500'),
(12302,'47147100','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0016.5.1.02.01.01.0058.','99000000'),
(12303,'47202497','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0004.','73840940'),
(12304,'47202809','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0024.','70772800'),
(12305,'47203220','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0024.','5500000'),
(12306,'47203817','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0025.','2090500'),
(12307,'47204090','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0029.','2385000'),
(12308,'47204320','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0035.','37500000'),
(12309,'47204588','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0035.','37500000'),
(12310,'47205176','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0039.','75000000'),
(12311,'47205638','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0052.','17625000'),
(12312,'47209886','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','250000000'),
(12313,'47210207','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','200000000'),
(12314,'47210525','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','100000000'),
(12315,'47210744','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','50000000'),
(12316,'47211088','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','30000000'),
(12317,'47211380','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','30000000'),
(12318,'47211632','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','30000000'),
(12319,'47212055','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0047.','150000000'),
(12320,'47215636','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','105000000'),
(12321,'47216094','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','16750000'),
(12322,'47216549','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','150000000'),
(12323,'47217440','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','16000000'),
(12324,'47217803','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','14670000'),
(12325,'47218322','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','18000000'),
(12326,'47218736','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','75000000'),
(12327,'47219182','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0055.','56000000'),
(12328,'47219566','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.04.0117.','67500000'),
(12329,'47220152','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.04.0117.','19500000'),
(12330,'47222279','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0004.','338797260'),
(12331,'47223821','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0012.','7650000'),
(12332,'47224456','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0024.','15072600'),
(12333,'47225078','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0025.','4086000'),
(12334,'47225460','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0029.','4107500'),
(12335,'47226498','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0032.','45000000'),
(12336,'47228032','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0032.','114480000'),
(12337,'47228579','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.01.01.0064.','126000000'),
(12338,'47232863','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.01.0055.','9000000'),
(12339,'47234149','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.02.0006.','9648000'),
(12340,'47236412','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.04.0036.','210000000'),
(12341,'47237321','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.04.0036.','204600000'),
(12342,'47237967','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.04.0038.','135000000'),
(12343,'47239016','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.2.02.10.01.0002.','36000000'),
(12344,'47239701','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.2.02.10.01.0002.','22500000'),
(12345,'47240400','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.2.02.10.01.0002.','91960000'),
(12346,'47240984','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0011.5.2.02.10.02.0003.','6360000'),
(12347,'47257587','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.01.01.0004.','11149600'),
(12348,'47258593','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.01.01.0024.','1070500'),
(12349,'47259363','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.01.01.0025.','894900'),
(12350,'47259626','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.01.01.0029.','1325000'),
(12351,'47259852','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.01.01.0058.','10470000'),
(12352,'47260892','APBD','2024','Kab. Bondowoso','1.05.02.2.03.0006.5.1.02.01.01.0024.','228000'),
(12353,'47261218','APBD','2024','Kab. Bondowoso','1.05.02.2.03.0006.5.1.02.01.01.0025.','972000'),
(12354,'47262790','APBD','2024','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.01.01.0024.','3200000'),
(12355,'47328588','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.01.01.0004.','43438500'),
(12356,'47329026','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.01.01.0024.','1219500'),
(12357,'47329431','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.01.01.0025.','648000'),
(12358,'47329748','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.01.01.0029.','1590000'),
(12359,'47329988','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.01.01.0052.','295724000'),
(12360,'47333043','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0003.5.1.02.01.01.0004.','7490000'),
(12361,'47333492','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0003.5.1.02.01.01.0024.','588300'),
(12362,'47333770','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0003.5.1.02.01.01.0025.','259200'),
(12363,'47334118','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0003.5.1.02.01.01.0029.','662500'),
(12364,'47334482','APBD','2024','Kab. Bondowoso','1.05.04.2.01.0003.5.1.02.01.01.0052.','9000000'),
(12365,'47335682','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0001.5.1.02.01.01.0004.','4298000'),
(12366,'47336042','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0001.5.1.02.01.01.0024.','222400'),
(12367,'47336375','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0001.5.1.02.01.01.0025.','129600'),
(12368,'47336872','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0001.5.1.02.01.01.0052.','7350000'),
(12369,'47337586','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0002.5.1.02.01.01.0004.','3745000'),
(12370,'47338208','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0002.5.1.02.01.01.0024.','516200'),
(12371,'47338592','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0002.5.1.02.01.01.0025.','64800'),
(12372,'47339102','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0002.5.1.02.01.01.0052.','14100000'),
(12373,'47339568','APBD','2024','Kab. Bondowoso','1.05.04.2.04.0002.5.1.02.01.01.0076.','11500000'),
(12374,'47358785','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0001.5.1.02.01.01.0004.','4543000'),
(12375,'47359134','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0001.5.1.02.01.01.0024.','57000'),
(12376,'47359549','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0001.5.1.02.01.01.0052.','5400000'),
(12377,'47361086','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0004.5.1.02.01.01.0004.','5439000'),
(12378,'47361573','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0004.5.1.02.01.01.0024.','61000'),
(12379,'47362309','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0004.5.1.02.01.01.0052.','4500000'),
(12380,'47363232','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0005.5.1.02.01.01.0024.','60000'),
(12381,'47363984','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0005.5.1.02.01.01.0032.','5500000'),
(12382,'47366021','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0005.5.2.02.03.01.0006.','7070000'),
(12383,'47366936','APBD','2024','Kab. Bondowoso','1.05.04.2.05.0005.5.2.02.15.02.0006.','4770000'),
(12384,'48685407','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.01.01.0052.','23500000'),
(12385,'50033581','APBD','2024','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.02.01.0047.','50000000'),
(12386,'35967923','APBD','','Kab. Bondowoso','1.05.01.2.01.0001.5.1.02.04.01.0005.','12300000'),
(12387,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.01.0001.','4200258100'),
(12388,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.02.0001.','472968400'),
(12389,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.03.0001.','145761000'),
(12390,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.04.0001.','38808000'),
(12391,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.05.0001.','186340000'),
(12392,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.06.0001.','300007100'),
(12393,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.07.0001.','7564900'),
(12394,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.08.0001.','43000'),
(12395,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.09.0001.','200213100'),
(12396,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.10.0001.','10080700'),
(12397,'35969345','APBD','','Kab. Bondowoso','1.05.01.2.02.0001.5.1.01.01.11.0001.','30241900'),
(12398,'35976360','APBD','','Kab. Bondowoso','1.05.01.2.06.0009.5.1.02.04.01.0005.','84509000'),
(12399,'35980275','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0019.','36000000'),
(12400,'35980662','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0026.','288000000'),
(12401,'35980781','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0027.','62400000'),
(12402,'35981026','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0031.','264000000'),
(12403,'35981182','APBD','','Kab. Bondowoso','1.05.01.2.08.0004.5.1.02.02.01.0039.','31200000'),
(12404,'36022353','APBD','','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.02.01.0029.','3600000'),
(12405,'36022550','APBD','','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.02.01.0031.','6000000'),
(12406,'36022730','APBD','','Kab. Bondowoso','1.05.02.2.01.0003.5.1.02.04.01.0004.','10080000'),
(12407,'36024954','APBD','','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.04.01.0003.','16200000'),
(12408,'36025246','APBD','','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.04.01.0004.','37280000'),
(12409,'36025536','APBD','','Kab. Bondowoso','1.05.02.2.01.0004.5.1.02.04.01.0005.','9840000'),
(12410,'36029384','APBD','','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.02.01.0029.','3000000'),
(12411,'36029452','APBD','','Kab. Bondowoso','1.05.02.2.01.0005.5.1.02.04.01.0005.','149650000'),
(12412,'36031383','APBD','','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.02.01.0031.','2193150000'),
(12413,'36031453','APBD','','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.04.01.0004.','169600000'),
(12414,'36031623','APBD','','Kab. Bondowoso','1.05.02.2.01.0015.5.1.02.04.01.0005.','49200000'),
(12415,'36056814','APBD','','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.02.01.0003.','94400000'),
(12416,'36057058','APBD','','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.04.01.0004.','89600000'),
(12417,'36057142','APBD','','Kab. Bondowoso','1.05.02.2.02.0010.5.1.02.04.01.0005.','126520000'),
(12418,'36064931','APBD','','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.01.0003.','6000000'),
(12419,'36065223','APBD','','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.02.01.0004.','198500000'),
(12420,'36065401','APBD','','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.04.01.0004.','1046040000'),
(12421,'36065505','APBD','','Kab. Bondowoso','1.05.02.2.02.0011.5.1.02.04.01.0005.','377680000'),
(12422,'36075342','APBD','','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.04.01.0004.','12000000'),
(12423,'36075440','APBD','','Kab. Bondowoso','1.05.02.2.02.0012.5.1.02.04.01.0005.','20090000'),
(12424,'36075746','APBD','','Kab. Bondowoso','1.05.02.2.03.0006.5.1.02.04.01.0005.','68800000'),
(12425,'36100434','APBD','','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.04.01.0004.','3200000'),
(12426,'36100587','APBD','','Kab. Bondowoso','1.05.04.2.01.0002.5.1.02.04.01.0005.','11480000'),
(12427,'36178070','Lainnya','','Kab. Bondowoso','-','775000'),
(12428,'36178445','Lainnya','','Kab. Bondowoso','-','21119000'),
(12429,'36193751','Lainnya','','Kab. Bondowoso','-','18021600'),
(12430,'36194368','Lainnya','','Kab. Bondowoso','-','16000000'),
(12431,'36194440','Lainnya','','Kab. Bondowoso','-','29000000'),
(12432,'36201589','Lainnya','','Kab. Bondowoso','-','45600000'),
(12433,'36201600','Lainnya','','Kab. Bondowoso','-','4200000'),
(12434,'36201612','Lainnya','','Kab. Bondowoso','-','40000000'),
(12435,'36201632','Lainnya','','Kab. Bondowoso','-','14000000'),
(12436,'36201678','Lainnya','','Kab. Bondowoso','-','32400000'),
(12437,'36201686','Lainnya','','Kab. Bondowoso','-','3300000'),
(12438,'46671060','APBD','2024','Kab. Bondowoso','4.02.01.2.09.0002.5.1.02.01.01.0004.','130700000'),
(12439,'46772564','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.02.5502.0.1.0.10.01.3','120000000'),
(12440,'46773507','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.02.5102.0.2.0.10.03.5','37750000'),
(12441,'46775047','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.02.5102.0.2.0.10.06.7','48851271'),
(12442,'46777438','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.01.5102.0.1.0.10.03.1','41136900'),
(12443,'46779288','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.01.5102.0.2.0.10.01.6','9600000'),
(12444,'46780427','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.08.5102.0.1.0.10.05.2','39676000'),
(12445,'46781478','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.06.5102.0.2.0.10.06.2','20000000'),
(12446,'46788302','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.09.5102.0.1.0.00.4','19231800'),
(12447,'46788533','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.09.5102.0.2.0.40.04.3','40000000'),
(12448,'46788686','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.0.60.00.95.1020.4.0.1.00.04.','5000000'),
(12449,'46788882','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.09.5102.0.4.0.10.00.5','216244000'),
(12450,'46789584','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.05.5102.0.1.0.10.02.6','4452000'),
(12451,'46789809','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.08.5102.0.1.0.10.00.1','30321100'),
(12452,'46790112','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.05.5202.0.5.0.20.00.1','26500000'),
(12453,'46790413','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.04.5102.0.1.0.10.01.0','9550800'),
(12454,'46790692','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4201.2.0.60.00.45.1020.1.0.1.00.24.','25257700'),
(12455,'46791258','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.04.5102.0.1.0.10.04.3','4252500'),
(12456,'46791415','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.04.5102.0.1.0.10.05.2','32500000'),
(12457,'46791752','APBD','2024','Kab. Bondowoso','4.02.40.2.01.2064.0.2.01.20.60.0045.1.0.2.01.01.00.53','16950000'),
(12458,'46819594','APBD','2024','Kab. Bondowoso','4.02.01.2.16.0004.5.1.02.01.01.0001.','7079300'),
(12459,'46820166','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.0.90.00.55.1020.1.0.1.00.00.1','8481000'),
(12460,'46821827','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.05.5102.0.1.0.10.00.1','1848500'),
(12461,'46823309','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.05.5102.0.2.0.10.01.6','1848500'),
(12462,'46823724','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.1.0.10.00.4','1330000'),
(12463,'46826858','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.1.0.10.01.0','8224300'),
(12464,'46826959','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.09.5102.0.1.0.10.02.4','249600'),
(12465,'46827942','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.09.5102.0.3.0.03.6','8980000'),
(12466,'46828019','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4040.1.2.16.00.04.5102.0.1.0.10.01.0','8224300'),
(12467,'46829671','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.06.5102.0.1.0.00.4','49500000'),
(12468,'46830013','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.06.5102.0.3.0.20.11.7','1000000'),
(12469,'46830761','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.06.5102.0.3.0.20.11.7','19920000'),
(12470,'46831671','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.0.90.00.65.1020.3.0.2.01.21.','21350000'),
(12471,'46832762','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.01.5102.0.1.0.10.02.4','2105000'),
(12472,'46835317','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.01.5102.0.1.0.10.00.4','1611000'),
(12473,'46835526','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.06.5102.0.3.0.20.19.5','14810000'),
(12474,'46835922','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.01.5102.0.2.0.1','1005000'),
(12475,'46836280','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.01.5102.0.4.0.10.00.5','13036000'),
(12476,'46836528','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.06.5202.0.5.0.20.00.3','22265700'),
(12477,'46836705','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.02.5102.0.1.0.10.02.4','1861100'),
(12478,'46837484','APBD','2024','Kab. Bondowoso','4.02.01.2.09.4020.1.2.09.00.06.5102.0.3.0.20.40.9','31450000'),
(12479,'46838308','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5102.0.1.0.10.02.4','94800000'),
(12480,'46839910','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.0.5.0.20.00.4','92416200'),
(12481,'46840095','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.03.5102.0.1.0.10.02.4','1994100'),
(12482,'46840796','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.04.5102.0.1.0.10.02.4','4941500'),
(12483,'46841543','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.0.5.0.20.00.5','1398600'),
(12484,'46841917','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.05.5102.0.1.0.10.02.4','5043100'),
(12485,'46842554','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.06.5102.0.1.0.10.00.4','805500'),
(12486,'46842815','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.06.5102.0.1.0.10.02.4','2430000'),
(12487,'46843154','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.0.5.0.20.00.6','262000000'),
(12488,'46843523','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.06.5102.0.4.0.10.00.5','5420000'),
(12489,'46843833','APBD','2024','Kab. Bondowoso','4.02.01.2.01.4020.1.2.01.00.07.5102.0.1.0.10.02.4','453800'),
(12490,'46844297','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.0.6.0.10.00.2','26688200'),
(12491,'46845069','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.0.6.0.20.00.1','6890000'),
(12492,'46845786','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.1.0.0.10.00.2','220883000'),
(12493,'46846758','APBD','2024','Kab. Bondowoso','4.02.01.2.02.4020.1.2.02.00.07.5102.0.1.0.10.02.4','4662200'),
(12494,'46847428','APBD','2024','Kab. Bondowoso','4.02.01.2.02.4020.1.2.02.00.08.5102.0.1.0.10.02.4','88600'),
(12495,'46847626','APBD','2024','Kab. Bondowoso','4.02.01.2.07.4020.1.2.07.00.11.5202.1.0.0.20.00.3','42149000'),
(12496,'46849395','APBD','2024','Kab. Bondowoso','4.02.01.2.18.4020.1.2.16.00.04.5102.0.1.0.10.03.0','43705300'),
(12497,'46850911','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.1.0.10.03.1','9084600'),
(12498,'46859238','APBD','2024','Kab. Bondowoso','4.02.01.2.06.0201.0.6.00.07.51.0201.0.1.0.03.0','4187000'),
(12499,'46859421','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.07.5102.0.1.0.20.01.2','3751600'),
(12500,'46859589','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.07.5102.0.2.0.10.01.6','13678900'),
(12501,'46859903','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.00.02.51.0201.0.1.0.02.4','3863000'),
(12502,'46860056','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.02.5102.0.1.0.10.02.5','4932000'),
(12503,'46860327','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.02.5102.0.1.0.10.02.9','9540000'),
(12504,'46861005','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.02.5102.0.1.0.10.05.2','49550000'),
(12505,'46861196','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.03.5102.0.1.0.00.4','55615600'),
(12506,'46861572','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.03.5102.0.1.0.10.02.4','500'),
(12507,'46861803','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.03.5102.0.2.0.10.05.4','37350000'),
(12508,'46862128','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.03.5102.0.2.0.40.04.3','5700000'),
(12509,'46862419','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.03.5102.0.4.0.10.00.5','1437684000'),
(12510,'46862803','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0101.0.0.0.4','11865000'),
(12511,'46863185','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0101.0.0.2.4','18510900'),
(12512,'46863467','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.15.10.20.1010.0.2.5','1557000'),
(12513,'46863646','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0101.0.0.2.9','1272000'),
(12514,'46863880','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0101.0.0.5.2','111135000'),
(12515,'46864229','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0201.0.0.0.7','3200000'),
(12516,'46869197','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0201.0.0.2.5','50000000'),
(12517,'46869974','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.1.0.10.04.3','72917100'),
(12518,'46870420','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.1.0.10.05.3','178050000'),
(12519,'46871040','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.2.0.10.01.6','5310000'),
(12520,'46872013','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.2.0.10.05.9','14400000'),
(12521,'46872902','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.2.0.10.06.0','12000000'),
(12522,'46874274','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5102.0.2.0.10.06.1','26900000'),
(12523,'46876582','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0204.0.1.1.8','2800000'),
(12524,'46877317','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0401.0.0.0.5','304462000'),
(12525,'46878746','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.51.02.0201.0.0.6.3','25800000'),
(12526,'46881684','APBD','2024','Kab. Bondowoso','5.20.20.5.02.4020.1.2.16.40.20.1216.','190065300'),
(12527,'46882803','APBD','2024','Kab. Bondowoso','0.00.44.0.20.1216.4.0.20.12.16.5202.0.5.0.20.00.4','46669300'),
(12528,'46883950','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5202.0.5.0.20.00.5','4818400'),
(12529,'46885038','APBD','2024','Kab. Bondowoso','4.02.01.2.16.4020.1.2.16.00.04.5202.0.5.0.20.00.6','101157600'),
(12530,'46922595','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.4','6371600'),
(12531,'46922901','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.9','5561100'),
(12532,'46923189','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.9','7730900'),
(12533,'46924350','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.4','3703300'),
(12534,'46924543','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.5','948000'),
(12535,'46924891','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.4','2039100'),
(12536,'46925078','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.9','1060000'),
(12537,'46925347','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.0.4','5925000'),
(12538,'46925805','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0204.0.0.3.6','10000000'),
(12539,'46925957','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0204.0.0.4.3','10000000'),
(12540,'46926292','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0212.0.0.0.3','145000000'),
(12541,'46926423','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0401.0.0.0.5','69080600'),
(12542,'46926589','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.4','953400'),
(12543,'46926905','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.2.5','1605000'),
(12544,'46927240','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0101.0.0.5.2','17651500'),
(12545,'46927345','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0201.0.0.4.7','307823000'),
(12546,'46927483','APBD','2024','Kab. Bondowoso','4.02.01.2.05.4020.1.2.05.51.02.0401.0.0.0.5','70900000'),
(12547,'46931001','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0201.0.0.5.9','14400000'),
(12548,'46931151','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.02.5102.0.2.0.10.05.9','18400000'),
(12549,'46931292','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.02.5102.0.2.0.10.06.1','132526616'),
(12550,'46931505','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.02.5102.0.2.0.10.06.3','140000000'),
(12551,'46931676','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.01.5102.0.1.0.02.7','6020000'),
(12552,'46931965','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.03.5102.0.2.0.40.12.3','1000000'),
(12553,'46944663','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0001.5.1.02.01.01.0004.','20380000'),
(12554,'46945233','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0001.5.1.02.01.01.0004.','45000'),
(12555,'46945277','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0001.5.1.02.02.01.0054.','9960000'),
(12556,'46948574','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0001.5.1.02.02.04.0043.','3800000'),
(12557,'46948750','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.01.01.0004.','24772000'),
(12558,'46948831','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.01.01.0024.','3809000'),
(12559,'46948904','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.01.01.0025.','3935000'),
(12560,'46949170','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.01.01.0052.','226630000'),
(12561,'46949225','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.02.01.0054.','14940000'),
(12562,'46949281','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.02.04.0043.','11400000'),
(12563,'46969423','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0003.5.1.02.01.01.0024.','14000'),
(12564,'46969457','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0003.5.1.02.01.01.0052.','10168000'),
(12565,'46969513','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.00.04.5102.0.2.0.10.02.6','54800000'),
(12566,'46969561','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0004.5.1.02.01.01.0024.','8000'),
(12567,'46969562','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0201.0.0.3.0','192000000'),
(12568,'46969577','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0004.5.1.02.01.01.0052.','4692000'),
(12569,'46969601','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0201.0.0.3.1','72000000'),
(12570,'46969603','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.01.01.0004.','18980000'),
(12571,'46969643','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.01.01.0024.','10516000'),
(12572,'46969657','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0201.0.0.3.3','60000000'),
(12573,'46969726','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.01.01.0052.','20109000'),
(12574,'46969787','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.02.01.0054.','9960000'),
(12575,'46969841','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0202.0.0.0.5','28320000'),
(12576,'46969980','APBD','2024','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.02.04.0043.','4750000'),
(12577,'46970047','APBD','2024','Kab. Bondowoso','4.02.01.2.08.4020.1.2.08.51.02.0202.0.0.0.6','3434400'),
(12578,'46970085','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0002.5.1.02.01.01.0024.','8000'),
(12579,'46970103','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0002.5.1.02.01.01.0052.','4692000'),
(12580,'46970159','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.01.01.0004.','19760000'),
(12581,'46970182','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.01.01.0024.','27000'),
(12582,'46970221','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.01.01.0052.','84037000'),
(12583,'46970277','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.02.01.0054.','11205000'),
(12584,'46970295','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.02.04.0043.','7600000'),
(12585,'46970594','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.01.01.0004.','19760000'),
(12586,'46970717','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.01.01.0024.','73000'),
(12587,'46970830','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.01.01.0052.','117602000'),
(12588,'46970907','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.02.01.0054.','9960000'),
(12589,'46971295','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.02.04.0043.','11400000'),
(12590,'46973806','APBD','2024','Kab. Bondowoso','4.02.01.2.03.4020.1.2.03.00.01.5102.0.1.0.10.02.4','892000'),
(12591,'46973817','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0005.5.1.02.01.01.0024.','14200'),
(12592,'46973846','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0005.5.1.02.01.01.0052.','26634000'),
(12593,'46973953','APBD','2024','Kab. Bondowoso','4.02.01.2.03.4020.1.2.03.00.03.5102.0.1.0.10.02.4','1151100'),
(12594,'46973979','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0004.','39520000'),
(12595,'46974014','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0024.','3329000'),
(12596,'46974035','APBD','2024','Kab. Bondowoso','4.02.01.2.03.4020.1.2.03.00.05.5102.0.1.0.10.02.4','1310700'),
(12597,'46974141','APBD','2024','Kab. Bondowoso','4.02.01.2.03.4020.1.2.03.00.06.5102.0.1.0.10.02.4','548300'),
(12598,'46974221','APBD','2024','Kab. Bondowoso','4.02.01.2.15.4020.1.2.15.00.02.5102.0.1.0.10.02.4','7337700'),
(12599,'46974349','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0025.','4117500'),
(12600,'46974369','APBD','2024','Kab. Bondowoso','4.02.01.2.15.4020.1.2.15.00.02.5102.0.1.0.10.06.0','25650000'),
(12601,'46974398','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0027.','5180000'),
(12602,'46974444','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0029.','5936000'),
(12603,'46974481','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.01.01.0052.','171170000'),
(12604,'46974510','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.02.01.0054.','9960000'),
(12605,'46974559','APBD','2024','Kab. Bondowoso','4.02.02.2.02.0006.5.1.02.02.04.0043.','15200000'),
(12606,'46974670','APBD','2024','Kab. Bondowoso','4.02.01.2.15.4020.1.2.15.00.03.5102.0.1.0.10.02.4','358600'),
(12607,'46974747','APBD','2024','Kab. Bondowoso','4.02.01.2.15.4020.1.2.15.00.03.5102.0.2.0.10.07.3','99000000'),
(12608,'46974758','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0004.','18377900'),
(12609,'46974784','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0024.','3451600'),
(12610,'46974823','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0025.','7125500'),
(12611,'46974865','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0027.','6000000'),
(12612,'46974906','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0029.','6784000'),
(12613,'46974936','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.01.01.0052.','34575000'),
(12614,'46974979','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.02.01.0054.','7470000'),
(12615,'46975040','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0001.5.1.02.02.04.0043.','10450000'),
(12616,'46975302','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.01.01.0004.','18360000'),
(12617,'46975352','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.01.01.0024.','41000'),
(12618,'46975403','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.01.01.0027.','1420000'),
(12619,'46975464','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.01.01.0052.','38433000'),
(12620,'46975523','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.02.01.0054.','7470000'),
(12621,'46975545','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0002.5.1.02.02.01.0043.','10450000'),
(12622,'46980810','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.01.01.0004.','18360000'),
(12623,'46981371','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.01.01.0024.','41000'),
(12624,'46981643','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.01.01.0027.','1420000'),
(12625,'46981874','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.01.01.0052.','38433000'),
(12626,'46982597','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.02.01.0054.','7470000'),
(12627,'46983151','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0003.5.1.02.02.01.0043.','10450000'),
(12628,'46993676','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.01.01.0004.','23960000'),
(12629,'46993950','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.01.01.0024.','10000'),
(12630,'46995538','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.01.01.0027.','1500000'),
(12631,'46995955','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.01.01.0052.','41538000'),
(12632,'47000131','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.02.01.0054.','9960000'),
(12633,'47000355','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0004.5.1.02.02.01.0043.','10450000'),
(12634,'47002350','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0005.5.1.02.01.01.0024.','7000'),
(12635,'47002607','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0005.5.1.02.01.01.0052.','9083000'),
(12636,'47002964','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0006.5.1.02.01.01.0004.','28550000'),
(12637,'47033250','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0006.5.1.02.01.01.0024.','10059000'),
(12638,'47033453','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0006.5.1.02.01.01.0052.','56235000'),
(12639,'47033990','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0006.5.1.02.02.01.0054.','13695000'),
(12640,'47034105','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0006.5.1.02.02.04.0043.','11400000'),
(12641,'47034911','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0007.5.1.02.01.01.0052.','3350000'),
(12642,'47035173','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0008.5.1.02.01.01.0004.','19760000'),
(12643,'47035313','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0008.5.1.02.01.01.0024.','23000'),
(12644,'47035448','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0008.5.1.02.01.01.0052.','167583000'),
(12645,'47035564','APBD','2024','Kab. Bondowoso','4.02.02.2.03.0008.5.1.02.02.04.0043.','15200000'),
(12646,'47056176','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0001.4.0.20.22.08.0001.','227780000'),
(12647,'47059411','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0001.5.1.02.01.01.0024.','20000'),
(12648,'47060099','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0001.5.1.02.01.01.0052.','34500000'),
(12649,'47061182','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0001.5.1.02.02.01.0054.','107070000'),
(12650,'47061823','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0001.5.1.02.02.04.0043.','92150000'),
(12651,'47062933','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0002.5.1.02.01.01.0052.','24650000'),
(12652,'47063361','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.01.01.0004.','18980000'),
(12653,'47063631','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.01.01.0024.','2965700'),
(12654,'47064493','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.01.01.0025.','4013500'),
(12655,'47064668','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.01.01.0052.','105344000'),
(12656,'47064767','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.02.01.0054.','4980000'),
(12657,'47064900','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0003.5.1.02.02.04.0043.','6650000'),
(12658,'47074904','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0001.5.1.02.01.01.0004.','20815900'),
(12659,'47074952','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0001.5.1.02.01.01.0024.','252400'),
(12660,'47074994','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0001.5.1.02.02.01.0054.','9960000'),
(12661,'47075033','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0001.5.1.02.02.04.0043.','6650000'),
(12662,'47075098','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0001.5.1.02.02.12.0003.','322000000'),
(12663,'47075223','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0002.5.1.02.01.01.0004.','76310000'),
(12664,'47075280','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0002.5.1.02.01.01.0024.','357000'),
(12665,'47075458','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0002.5.1.02.02.01.0054.','29880000'),
(12666,'47075741','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0002.5.1.02.02.04.0043.','17100000'),
(12667,'47075803','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0002.5.1.02.02.12.0003.','1080000000'),
(12668,'47075938','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0004.5.1.02.01.01.0024.','5000'),
(12669,'47075977','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0004.5.1.02.01.01.0052.','24106000'),
(12670,'47076121','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.01.01.0004.','217280000'),
(12671,'47076282','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.01.01.0052.','24075000'),
(12672,'47076288','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0004.5.1.02.02.01.0004.','336000000'),
(12673,'47076428','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0005.5.1.02.02.01.0029.','156000000'),
(12674,'47076575','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.02.01.0054.','105825000'),
(12675,'47076661','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0006.5.1.02.01.01.0052.','3997000'),
(12676,'47076736','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0006.5.1.02.02.01.0008.','12200000'),
(12677,'47076821','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0006.5.1.02.02.01.0039.','5000000'),
(12678,'47076840','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.02.04.0043.','5700000'),
(12679,'47076870','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0006.5.1.02.02.01.0046.','20000000'),
(12680,'47076953','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0007.5.1.02.01.01.0004.','19760000'),
(12681,'47076954','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.02.12.0003.','56000000'),
(12682,'47076973','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0007.5.1.02.01.01.0024.','51000'),
(12683,'47077000','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0007.5.1.02.01.01.0052.','60091000'),
(12684,'47077037','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0007.5.1.02.02.01.0054.','12450000'),
(12685,'47077077','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0007.5.1.02.02.04.0043.','8850000'),
(12686,'47077175','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.01.01.0024.','39360000'),
(12687,'47077207','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.01.01.0025.','3825000'),
(12688,'47077227','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.01.01.0029.','2120000'),
(12689,'47077262','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.01.01.0035.','7420000'),
(12690,'47077324','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.01.01.0052.','7596000'),
(12691,'47077358','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.02.01.0003.','2400000'),
(12692,'47077375','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.02.01.0008.','8000000'),
(12693,'47077411','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.02.01.0016.','3200000'),
(12694,'47077424','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0004.5.1.02.01.01.0004.','29170000'),
(12695,'47077444','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.02.01.0055.','255000000'),
(12696,'47077471','APBD','2024','Kab. Bondowoso','4.02.02.2.04.0008.5.1.02.02.04.0117.','54000000'),
(12697,'47083068','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0001.5.1.02.01.01.0004.','1595000'),
(12698,'47083192','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.01.01.0004.','19760000'),
(12699,'47083196','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0005.5.1.02.01.01.0024.','17000'),
(12700,'47083219','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.01.01.0024.','336000'),
(12701,'47083224','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0005.5.1.02.01.01.0029.','2968000'),
(12702,'47083238','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.01.01.0052.','57156000'),
(12703,'47083325','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.02.01.0004.','9000000'),
(12704,'47083338','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0005.5.1.02.01.01.0052.','103552000'),
(12705,'47083524','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0005.5.1.02.02.01.0054.','12450000'),
(12706,'47083529','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.02.01.0054.','11205000'),
(12707,'47083659','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0002.5.1.02.02.04.0043.','11400000'),
(12708,'47083742','APBD','2024','Kab. Bondowoso','4.02.02.2.08.0005.5.1.02.02.04.0043.','5700000'),
(12709,'47083749','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.01.01.0004.','4944500'),
(12710,'47083790','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.01.01.0024.','41006800'),
(12711,'47083830','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.01.01.0025.','2592000'),
(12712,'47083852','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.01.01.0029.','2968000'),
(12713,'47083866','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0001.5.1.02.01.01.0004.','18980000'),
(12714,'47083909','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0001.5.1.02.01.01.0024.','10495000'),
(12715,'47083921','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.01.0031.','105000000'),
(12716,'47083979','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0022.','90000000'),
(12717,'47084005','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0001.5.1.02.01.01.0052.','29530000'),
(12718,'47084021','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0043.','58000000'),
(12719,'47084164','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0001.5.1.02.02.01.0054.','9960000'),
(12720,'47084180','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0117.','90000000'),
(12721,'47084231','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0118.','54000000'),
(12722,'47084237','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0001.5.1.02.02.04.0043.','4750000'),
(12723,'47084244','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0123.','18000000'),
(12724,'47084333','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.02.04.0132.','90000000'),
(12725,'47084427','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.01.01.0004.','13607000'),
(12726,'47084496','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.01.01.0024.','727000'),
(12727,'47084623','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.01.01.0025.','518400'),
(12728,'47084694','APBDP','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.01.01.0052.','5796000'),
(12729,'47084809','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.02.01.0054.','2490000'),
(12730,'47084897','APBD','2024','Kab. Bondowoso','4.02.02.2.06.0002.5.1.02.02.04.0043.','950000'),
(12731,'47085663','APBD','2024','Kab. Bondowoso','4.02.02.2.07.0001.5.1.02.01.01.0024.','33000'),
(12732,'47086096','APBD','2024','Kab. Bondowoso','4.02.02.2.07.0001.5.1.02.01.01.0052.','15902000'),
(12733,'47086531','APBD','2024','Kab. Bondowoso','4.02.02.2.07.0002.5.1.02.01.01.0024.','1331000'),
(12734,'47087596','APBD','2024','Kab. Bondowoso','4.02.02.2.07.0002.5.1.02.01.01.0025.','972000'),
(12735,'47088091','APBD','2024','Kab. Bondowoso','4.02.02.2.07.0002.5.1.02.01.01.0052.','23918000'),
(12736,'47842181','APBD','2024','Kab. Bondowoso','4.02.01.2.06.0008.5.1.02.01.01.0053.','71185000'),
(12737,'49281122','APBD','2024','Kab. Bondowoso','4.02.02.2.05.0003.5.1.02.01.01.0052.','44915000'),
(12738,'49289923','APBD','2024','Kab. Bondowoso','4.02.01.2.06.4020.1.2.06.00.02.5102.0.1.0.10.03.0','55281000'),
(12739,'50098457','APBD','2024','Kab. Bondowoso','4.02.01.2.02.4020.1.2.02.00.06.5102.0.1.0.10.02.4','45200'),
(12740,'35947520','APBD','','Kab. Bondowoso','4.02.02.2.01.0001.5.1.02.04.01.0005.','157454000'),
(12741,'35948000','APBD','','Kab. Bondowoso','4.02.02.2.01.0002.5.1.02.04.01.0005.','1049696000'),
(12742,'35956180','APBD','','Kab. Bondowoso','4.02.02.2.01.0003.5.1.02.04.01.0003.','12000000'),
(12743,'35956198','APBD','','Kab. Bondowoso','4.02.02.2.01.0003.5.1.02.04.01.0004.','17920000'),
(12744,'35956510','APBD','','Kab. Bondowoso','4.02.02.2.01.0005.5.1.02.04.01.0005.','267758000'),
(12745,'35956654','APBD','','Kab. Bondowoso','4.02.02.2.02.0003.5.1.02.04.01.0005.','819006000'),
(12746,'35957241','APBD','','Kab. Bondowoso','4.02.02.2.02.0004.5.1.02.04.01.0005.','383753000');

/*Table structure for table `master_subkegiatan` */

DROP TABLE IF EXISTS `master_subkegiatan`;

CREATE TABLE `master_subkegiatan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kode` varchar(25) NOT NULL,
  `deskripsi` varchar(255) NOT NULL,
  `kegiatan_id` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unKodeSubkegiatan` (`kode`),
  KEY `fkMasterSubkegiatanKegiatanID` (`kegiatan_id`),
  CONSTRAINT `fkMasterSubkegiatanKegiatanID` FOREIGN KEY (`kegiatan_id`) REFERENCES `master_kegiatan` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_subkegiatan` */

/*Table structure for table `master_subkegiatan_detail` */

DROP TABLE IF EXISTS `master_subkegiatan_detail`;

CREATE TABLE `master_subkegiatan_detail` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subkegiatan_id` varchar(25) NOT NULL,
  `indikator` varchar(255) DEFAULT NULL,
  `lokasi_kegiatan` varchar(255) DEFAULT NULL,
  `target` varchar(255) DEFAULT NULL,
  `sumberdana_id` int(11) unsigned DEFAULT NULL,
  `anggaran` float(11,2) DEFAULT '0.00',
  PRIMARY KEY (`id`),
  KEY `fkSubkegiatanDetailSubkegiatanID` (`subkegiatan_id`),
  KEY `fkSubkegiatanDetailSumberdasnaID` (`sumberdana_id`),
  CONSTRAINT `fkSubkegiatanDetailSubkegiatanID` FOREIGN KEY (`subkegiatan_id`) REFERENCES `master_subkegiatan` (`kode`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fkSubkegiatanDetailSumberdasnaID` FOREIGN KEY (`sumberdana_id`) REFERENCES `master_sumberdana` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_subkegiatan_detail` */

/*Table structure for table `master_subkegiatan_detail_perubahan` */

DROP TABLE IF EXISTS `master_subkegiatan_detail_perubahan`;

CREATE TABLE `master_subkegiatan_detail_perubahan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subkegiatan_detail_id` int(11) unsigned NOT NULL,
  `target` varchar(255) DEFAULT NULL,
  `anggaran` float(11,2) DEFAULT '0.00',
  `created_by` varchar(25) NOT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified_by` varchar(25) NOT NULL,
  `modified_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `fkSubkegiatanDetailSubkegiatanID` (`subkegiatan_detail_id`),
  CONSTRAINT `fkSubkegiatanDetailID` FOREIGN KEY (`subkegiatan_detail_id`) REFERENCES `master_subkegiatan_detail` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_subkegiatan_detail_perubahan` */

/*Table structure for table `master_sumberdana` */

DROP TABLE IF EXISTS `master_sumberdana`;

CREATE TABLE `master_sumberdana` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sumberdana` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_sumberdana` */

/*Table structure for table `master_urusan` */

DROP TABLE IF EXISTS `master_urusan`;

CREATE TABLE `master_urusan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kode` varchar(25) NOT NULL,
  `deskripsi` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unUrusan` (`kode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `master_urusan` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
